Silk4NET 19.0 へようこそ
Micro Focus Product Name

Silk4NET 19.0 へようこそ

  • Silk4NET Visual Studio の統合について
  • 製品スイート
New features

新機能

  • リリース ノート
Featured sections

主なセクション

  • Visual Studio での Silk4NET プロジェクトの作成
  • テストの記録
  • Silk4NET テスト スクリプトの実行
Tutorials and demonstrations

チュートリアルとデモンストレーション

  • Silk4NET のサンプル テスト スクリプト
  • Training Store の無料の Web ベース トレーニング
Samples

コード サンプル

  • Visual Studio での Silk4NET テストの手動作成
Online resources

オンライン リソース

  • Micro Focus のホーム ページ
  • Micro Focus リソース ページ
  • YouTube の Micro Focus チャンネル
  • Silk Test ドキュメント
  • オンライン ドキュメント
  • Micro Focus SupportLine
  • Micro Focus 製品アップデート
  • Silk Test Knowledge Base
  • Silk Test Forum
  • Web ベースのトレーニング
Provide feedback

フィードバックをお寄せください

  • Micro Focus へのお問い合わせ
  • このヘルプに関するフィードバックを電子メールでお送りください
  • 機能を提案する


ライセンス情報

評価版を使用しているのでない限り、Silk Test はライセンスを必要とします。

注: Silk Test ライセンスは、Silk Test の特定のバージョンに固定されています。たとえば、Silk Test 19.0 には Silk Test 19.0 のライセンスが必要です。
ライセンス モデルは、使用しているクライアントとテストすることができるアプリケーションに基づきます。利用可能なライセンス モードに応じて、次のアプリケーションの種類がサポートされます。
ライセンス モード | アプリケーションの種類
モバイル ネイティブ
  • モバイル Web アプリケーション
    • Android
    • iOS
  • ネイティブ モバイル アプリケーション
    • Android
    • iOS
フル
  • Web アプリケーション (以下を含む)
    • Apache Flex
    • Java アプレット
  • モバイル Web アプリケーション
    • Android
    • iOS
  • Apache Flex
  • Java AWT/Swing (Oracle Forms を含む)
  • Java SWT と Eclipse RCP
  • .NET (Windows Forms および Windows Presentation Foundation (WPF) を含む)
  • Rumba
  • Windows API ベース
注: ライセンスをフル ライセンスにアップグレードする場合は、http://www.microfocus.co.jp に移動します。
プレミアム

フル ライセンスでサポートされるすべてのアプリケーションの種類 + SAP アプリケーション

注: ライセンスをプレミアム ライセンスにアップグレードする場合は、http://www.microfocus.co.jp に移動します。
モバイル ネイティブ アドオン | フル ライセンスとプレミアム ライセンスでサポートされるテクノロジに加えて、モバイル ネイティブ アドオン ライセンスによって、Android と iOS 上でのネイティブ モバイル アプリケーション テストのサポートを提供します。


Silk4NET

Silk4NET は、Microsoft Visual Studio 用の Silk Test プラグインです。 Silk4NET を使用すると、機能テスト、回帰テスト、ローカライズ テストの作成と管理を Visual Studio で直接、効率的に行えます。Silk4NET で実行できる Visual Studio 内の作業は、以下のとおりです。
  • テストを記録します。
  • Visual Basic .NET を使用してテストを開発します。
  • C# を使用してテストを開発します。
  • Microsoft テスト環境内のテスト計画の一環としてテストを実行できます。
  • ビルド プロセスの一環としてテストを実行できます。
  • テスト結果を表示します。

テスト済みの Visual Studio のバージョンについての情報は、『リリース ノート』を参照してください。

Silk4NET は、アプリケーション テクノロジのさまざまなセットのテストをサポートしています。Silk4NET は、複雑なテストに適用した場合にも自動化の利点が実現されるように設計されており、開発者が使い慣れた環境に直接、テストの自動化機能を追加するため、テスト アプリケーションに加えられた変更に簡単に対処できます。

また、Silk4NET の強力なテスト フレームワークを使用すると、複数のテスト プロジェクトに対してテストの再利用が促進されるため、より高い投資収益率 (ROI) を達成できます。テスト スイートの構築と保守に要する時間が短縮されるため、QA 担当者はテスト範囲を拡張し、アプリケーション品質を最適化することができます。

注: Silk4NET の起動時に開始画面を表示しないように選択している場合、ヘルプ > 製品更新の確認 をクリックして利用可能な更新を確認できます。
  • Silk4NET の実行に必要な管理者権限
    Silk4NET の実行に必要な権限について説明します。
  • 特殊な状況下での自動化 (周辺機器が無い)
    リモート マシンへのアクセスを含む複雑なテスト環境における Silk4NET の使用方法について説明します。
  • Silk Test 製品スイート
    Silk Test で利用できるコンポーネントについて説明します。
  • 使用状況データの収集の有効化/無効化
    使用状況データを Micro Focus に提供し、Silk Test のユーザビリティの改善に役立てます。
  • Micro Focus へのお問い合わせ
    サポートが必要な際に Micro Focus SupportLine にアクセスする方法について説明します。


Silk4NET の実行に必要な管理者権限

Silk4NET のインストールまたは実行には、次の権限が必要です。

  • Silk4NET のインストールには、ローカル管理者権限が必要です。
  • Windows サーバー上への Silk4NET のインストールには、ドメイン レベルの管理者権限が必要です。
  • Silk4NET を実行するには、次のフォルダとそのすべてのサブフォルダに対するフルアクセス権が必要です。
    • C:\ProgramData\Silk\SilkTest
    • %APPDATA%\Roaming\Silk\SilkTest
    • %APPDATA%\Local\Silk\SilkTest
    • %TEMP%
親トピック: Silk4NET


特殊な状況下での自動化 (周辺機器が無い)

製品の基本的な位置付け

Silk4NET は GUI テスト製品で、自動化された状況下での有意なテスト結果を得るために、人間のように振舞います。Silk4NET が実行したテストは、人間が実行するよりもすばやく実行しますが、同等の価値のあるものです。このことは、人間が同じテストを実行するために必要なテスト環境とできる限り同等なテスト環境を Silk4NET が必要とすることを意味します。

物理的な周辺機器

実際のアプリケーション UI の手動テストでは、キーボード、マウス、ディスプレイなどの入出力デバイスが必要です。Silk4NET では、テストの再生時に物理的な入力デバイスを必要としません。Silk4NET に必要なものは、キーストロークやマウス クリックを実行するオペレーティング システムの機能です。大抵の場合、入力デバイスが接続されていなくても、Silk4NET の再生は期待通り動作します。ただし、デバイス ドライバによっては、物理的な入力デバイスが利用可能でないと、Silk4NET の再生機構をブロックする場合があります。

同じことが物理的な出力デバイスについても言えます。物理的なディスプレイが接続されている必要はありませんが、機能するビデオ デバイス ドライバがインストールされ、オペレーティング システムが画面にレンダリングできる状態になければなりません。たとえば、スクリーン セーバー モードやセッションがロックされている状況では、レンダリングできません。レンダリングできない場合、低レベルの再生は機能せず、高レベルの再生もテスト対象アプリケーション (AUT) で使用するテクノロジに依存しますが、期待通り機能しない可能性があります。

仮想マシン

Silk4NET は仮想化ベンダーを直接サポートしませんが、仮想ゲスト マシンが物理マシンと同等に動作する限り、任意の仮想化手法のもとで動作可能です。標準的な周辺機器は、通常は仮想デバイスとして提供されており、仮想マシンを実行するマシンで使用されている物理デバイスとは無関係です。

クラウド インスタンス

自動化の観点からは、クラウド インスタンスは仮想マシンと変わりありません。ただし、クラウド インスタンスでは、ビデオ レンダリングに特殊な最適化が行われている場合があり、ハードウェア リソースの消費を抑えるために、画面のレンダリングが一時的にオフになる状況があります。これは、ディスプレイを表示しているアクティブなクライアントが無いと、クラウド インスタンスが検知した場合に発生する場合があります。このような場合、回避策として VNC ウィンドウを開くことができます。

特殊な状況

ウィンドウが無く起動されるアプリケーション (ヘッドレス)
このようなアプリケーションは、Silk4NET を使ってテストできません。Silk4NET は、対象のアプリケーション プロセスにフックして、対話操作する必要があります。ウィンドウが表示されないプロセスをフックすることはできません。このような場合は、システム コマンドの実行のみ可能です。
リモート デスクトップ、ターミナル サービス、リモート アプリケーション (すべてのベンダー)
Silk4NET がリモート デスクトップ セッション側に存在し、操作する場合、完全に期待通りの操作が行われます。
注: フル ユーザー セッションが必要で、リモート表示ウィンドウは最大化されている必要があります。リモート表示ウィンドウが何らかの理由で表示されていない場合 (ネットワーク上の問題など)、Silk4NET は再生を続けますが、使用されているリモート表示技術によっては予期しない結果を生じる可能性があります。たとえば、リモート デスクトップ セッションが失われると、ビデオ レンダリングに悪影響を与えますが、他のリモート表示手法では、一度表示されたウィンドウが失われても、問題なく表示されるものもあります。

Silk4NET がリモート デスクトップ、リモート ビュー、リモート アプリ ウィンドウなどとの対話操作に使用される場合は、Silk4NET が見ることができるのはリモート マシンのスクリーンショットだけであるため、低レベルな技術だけが使用できます。リモート表示技術によっては、セキュリティ上の制約により、低レベル操作でさえできないものもあります。たとえば、リモート アプリケーション ウィンドウにキーストロークを送信できない場合があります。

既知の自動化の障壁

Silk4NET では、ログオンした対話的なフル ユーザー セッションが必要です。スクリーン セーバー、休止状態、スリープ モードなどのセッションをロックするものは無効化してください。組織の方針などで、これができない場合は、キープ アライブ 操作 (定期的にあるいは各テスト ケースの終わりにマウスを動かすなど) を追加することによって、このような問題を回避できます。

注: 実際のテスト環境の構成や AUT、仮想化、ターミナル サービスで使用される技術によっては、テストの自動化プロセスにおいて、さらなる問題や制約に直面する可能性があります。
親トピック: Silk4NET


Silk Test 製品スイート

Silk Test は、高速で信頼性の高い機能テストと回帰テストを行うための自動テスト ツールです。Silk Test は、高品質のソフトウェアをすばやくリリースするために、開発チーム、品質管理チーム、ビジネス アナリストを支援します。Silk Test を使用すると、アプリケーションが意図したとおりに動作することを確実にするために、複数のプラットフォームとデバイス上でテストを記録/再生することができます。

Silk Test 製品スイートには、以下のコンポーネントが含まれています。
  • Silk Test Workbench： Silk Test Workbench は、品質テスト環境です。上級者用の .NET スクリプトと、より幅広い利用者がテストを行えるようにする使いやすいビジュアル テストが提供されます。
  • Silk4NET： Silk4NET Visual Studio プラグインを使用すると、Visual Studio で直接 VB.NET または C# のテスト スクリプトを作成できます。
  • Silk4J： Silk4J Eclipse プラグインを使用すると、Eclipse 環境で直接 Java ベースのテスト スクリプトを作成できます。
  • Silk Test Classic： Silk Test Classic は、4Test を使用したスクリプトを作成できる Silk Test クライアントです。
  • Silk Test Agent： Silk Test Agent は、テストのコマンドを GUI 固有のコマンドに変換するソフトウェア プロセスです。つまり、テストするアプリケーションをエージェントが動かし、監視しています。ホストマシン上で 1 つのエージェントをローカルに実行できます。ネットワーク環境では、任意の数のエージェントをリモート マシン上で実行できます。

上の画像の個々のボックスのサイズは、記述上の理由で異なっているだけで、含まれる機能を反映しているわけではありません。

インストールする製品スイートによって、使用できるコンポーネントが決まります。すべてのコンポーネントをインストールするには、完全インストール オプションを選択します。Silk Test Classic を除くすべてのコンポーネントをインストールするには、標準インストール オプションを選択します。

親トピック: Silk4NET


使用状況データの収集の有効化/無効化

Micro Focus では、テスト全体にわたるユーザー エクスペリエンスの向上を図るため、Micro Focus ソフトウェアとサービスの使用方法に関する情報を収集し、Micro Focus に提供していただくことを望んでいます。Silk4NET のインストール時に使用許諾契約の条項に同意することにより、Silk4NET の使用方法に関する情報と、Silk4NET をインストールしたコンピューターに関する情報の収集を Micro Focus に許可したことになります。Micro Focus は、名前や住所などの個人の特定を可能にする情報の収集や、スクリプトやパスワードなどのデータ ファイルの収集は行いません。この情報の収集を Micro Focus に許可することにより、Micro Focus では、その傾向と使用方法のパターンの識別に役立てることができます。

Micro Focus による使用状況データの収集を有効化または無効化するには：

  1. メニューから Silk4NET > Silk4NET のバージョン情報 をクリックします。
  2. バージョン情報ダイアログ ボックスで、カスタマ フィードバック オプション をクリックします。
  3. 以下のオプションのいずれかを選択します。
    • 使用状況データの収集を有効化するには、はい、参加します をクリックします。
    • 使用状況データの収集を無効化するには、いいえ、参加しません をクリックします。
  4. OK をクリックします。
親トピック: Silk4NET


Micro Focus へのお問い合わせ

Micro Focus は、世界的規模のテクニカル サポートおよびコンサルティング サービスを提供します。すべての顧客のビジネスを成功に導くために、信頼できるサービスをタイムリーに提供するように、Micro Focus はワールドワイドのサポート体制を整えています。

保守およびサポート契約を結んだすべてのお客様、および製品を評価中のお客様は、カスタマー サポートを受けることができます。高度なトレーニングを積んだスタッフが、お客様の質問にできる限り迅速かつ専門的にお答えします。

http://supportline.microfocus.com/assistedservices.asp にアクセスするか、またはメールを supportline@microfocus.com に送信して、Micro Focus SupportLine と直接連絡できます。

また、http://supportline.microfocus.com の Micro Focus SupportLine では、 最新のサポートに関するニュースや、さまざまなサポート情報を得ることができます。 このサイトに初めてアクセスした場合は、ユーザー登録が必要な場合があります。

  • Micro Focus SupportLine が必要とする情報
    お客様の問題を解決するために役立つ Micro Focus SupportLine が必要とする情報について説明します。
親トピック: Silk4NET


Micro Focus SupportLine が必要とする情報

Micro Focus SupportLine をご利用の場合は、可能な限り次の情報を提供ください。情報が多ければ多いほど、Micro Focus SupportLine はお客様に適切なサービスを提供できます。

  • 問題の原因と思われるすべての製品の名前およびバージョン番号
  • 使用しているコンピュータの製造元およびモデル
  • システム情報 (オペレーティング システムの名前やバージョン、プロセッサやメモリの詳細など)
  • 問題の詳細な説明 (問題の再現手順など)
  • 発生したエラー メッセージ
  • お客様のシリアル番号

これらの番号は、Micro Focus から受け取った Electronic Product Delivery Notice 電子メールの件名および本文に記述されています。

親トピック: Micro Focus へのお問い合わせ


Silk4NET の新機能

Silk4NET では、以下の新しい機能がサポートされています。

  • Mac 上でのクロス ブラウザー テスト
    macOS 上の Mozilla Firefox または Google Chrome に対して、Web アプリケーションのテストを記録、再生できるようになりました。
  • 記録のカスタマイズ
    Silk4NET では、Web アプリケーションに対するロケーターやオブジェクト マップ エントリを記録中に編集できるようになりました。
  • ユーザビリティーの改善
    Silk Test 19.0 に導入されたユーザビリティーの改善点を示します。
  • API の改善
    Silk Test 19.0 に導入された API の改善点を示します。
  • モバイル テストの改善
    Silk Test19.0 で行われたモバイル テストに対する改善について説明します。
  • 使用技術の更新
    Silk Test 19.0 に対して行われた重要な使用技術の更新をリストします。


Mac 上でのクロス ブラウザー テスト

macOS 上の Mozilla Firefox または Google Chrome に対して、Web アプリケーションのテストを記録、再生できるようになりました。
親トピック: Silk4NET の新機能


記録のカスタマイズ

テスト対象アプリケーションのコントロールに対して分かりやすい識別子を作成することは、非常に重要です。Silk4NET では高度な方法で、可能な限り分かりやすいロケーターやプロジェクト マップ エントリの名前を記録時に生成しますが、ユーザーの要件を 100% 満たすことは困難です。たとえば、生成したロケーターに期待する属性が使用されていなかったり、記録したオブジェクトに対して自動的に生成されたオブジェクト マップ エントリが分かりにくかったり、特殊な文字を含んでいることがあります。Silk4NET 19.0 を使用すると、Web コントロールに対するロケーターやオブジェクト マップ エントリを、記録時に UI から直接編集できます。

この新しい機能は、Internet Explorer 以外のすべてのサポートするデスクトップおよびモバイル ブラウザーで利用できます。

親トピック: Silk4NET の新機能
関連資料
記録中に利用可能なアクション


ユーザビリティーの改善

このセクションでは、Silk Test 19.0 に対して行われたユーザビリティーの改善点の一覧を提供します。

並列テストのテスト実行

並列テストのテスト実行が、すべての Silk Test クライアントにおいてデフォルトで有効になりました。

Web ページ全体のスクリーンショットのキャプチャ

テスト中に Web ページの表示されている部分のスクリーンショットをキャプチャすることは今まででも可能でした。 このバージョンでは、BrowserWindow クラスの CaptureFullPageBitmap メソッドが Silk Test に追加され、Web ページのすべてのコンテンツのスクリーンショットをキャプチャできるようになりました。

コマンド ラインからの Open Agent の停止

-shutDown オプションを指定して、コマンド ラインから Open Agent を停止できるようになりました。

ブラウザー テストの iframe および frame サポートの無効化

ブラウザー テストの再生パフォーマンスを改善するため、Web アプリケーションの iframe および frame のコンテンツがテスト対象ではない場合に、iframe および frame サポートを無効化できるようになりました。たとえば、多くの広告が表示される Web ページやモバイル ブラウザーでテストする際に iframeサポートを無効にすると、再生パフォーマンスが大幅に向上する可能性があります。Internet Explorer を除くすべてのブラウザーに対して iframe と frame サポートを無効化できます。

複数の UI セッションを使ったテストの改善

MicroFocus.SilkTest.MultiSessionLauncher.exe を使用する代わりに、次のコマンドを実行して、UI セッションから直接 Open Agent を起動できるようになりました。
openAgent.exe -infoServicePort=<port>
親トピック: Silk4NET の新機能
関連概念
テストの並列実行
関連タスク
ブラウザの記録オプションの設定


API の改善

このセクションでは、Silk Test 19.0 に対して行われた API の改善点の一覧を提供します。

XPath の追加の軸のサポート

XPath の軸 (ancestor、preceding-sibling、following-sibling) のサポートが Silk Test に追加されました。 コントロールの階層的な位置の特定に役立ちます。

TrueLog セクションの追加による構造化

Silk4J または Silk4NET の使用時に、TrueLog にセクションを追加できるようになったため、複雑なスクリプトを、名前の付けられた小さなパーツに論理的に分割して構造化できます。

DOM オブジェクトのフォーカスの確認

指定した DOM オブジェクトにフォーカスが設定されているかどうかを、IsFocused プロパティを使って確認できるようになりました。

親トピック: Silk4NET の新機能
関連概念
オブジェクト タイプと検索範囲


モバイル テストの改善

Silk4NET は、Android 上のネイティブ モバイル アプリケーションに対するトーストのテストをサポートするようになりました。

親トピック: Silk4NET の新機能


使用技術の更新

このセクションでは、Silk Test 19.0 に対して行われた重要な使用技術の更新をリストします。

  • Mozilla Firefox の新しいバージョン
    Silk Test は、Mozilla Firefox の新しいバージョンで、記録と再生がテストされました。
  • Google Chrome の新しいバージョン
    Silk Test は、Google Chrome の次のバージョンでテストされました。
  • Microsoft Edge の新しいバージョン
    Silk Test は、Microsoft Edge の新しいバージョンで、記録と再生がテストされました。
  • Java 9 と Java 10 のサポート
    Silk4NET は、Java 9 や Java 10 をサポートするようになりました。
  • MFC サポートの改善
    Silk4NET が MFC (Microsoft Foundation Class) コントロールに対して安定したロケーターを生成できるようになりました。
親トピック: Silk4NET の新機能


Mozilla Firefox の新しいバージョン

Silk Test の前のバージョンでテストされた Mozilla Firefox のバージョンに加えて、Silk Test は Mozilla Firefox の次の新しいバージョンでテストされました。
  • Mozilla Firefox 57
  • Mozilla Firefox 58
  • Mozilla Firefox 59
  • Mozilla Firefox 60
注: このリストには、Silk Test 19.0 のリリースまでに Silk Test 19.0 でテストされた Mozilla Firefox の新しいバージョンが含まれます。Mozilla Firefox の新しいバージョンが、Silk Test 19.0 のリリースより後にリリースされた場合でも、ブラウザー側で互換性が保たれていれば、Silk Test 19.0 は新しいバージョンを使用してテストできます。
親トピック: 使用技術の更新


Google Chrome の新しいバージョン

Silk Test の前のバージョンでテストされた Google Chrome のバージョンに加えて、Silk Test は Google Chrome の次のバージョンでテストされました。
  • Google Chrome 63
  • Google Chrome 64
  • Google Chrome 65
  • Google Chrome 66
  • Google Chrome 67
注: このリストには、Silk Test 19.0 のリリースまでに Silk Test 19.0 でテストされた Google Chrome のバージョンが含まれます。Google Chrome の新しいバージョンが Silk Test 19.0 のリリースより後にリリースされた場合でも、ブラウザー側で互換性が保たれていれば、Silk Test 19.0 は新しいバージョンを使用してテストできます。
親トピック: 使用技術の更新


Microsoft Edge の新しいバージョン

Silk Test の前のバージョンでテストされた Microsoft Edge のバージョンに加えて、Silk Test は、Microsoft Edge 42.17134（Windows 10 April 2018 Update の Microsoft Edge）を使用して、記録と再生がテストされました。

親トピック: 使用技術の更新


Java 9 と Java 10 のサポート

Silk4NET は、Java 9 や Java 10 ベースのアプリケーションのテストをサポートするようになりました。

親トピック: 使用技術の更新


MFC サポートの改善

Silk4NET が MFC (Microsoft Foundation Class) コントロールに対して安定したロケーターを生成できるようになりました。
親トピック: 使用技術の更新


Silk4NET 入門

Silk4NET では、自動機能テストや回帰テストの作成、実行を行うことができます。Silk4NET を使用するには、次の操作を実行します。
  1. Silk4NET プロジェクトの作成
  2. 操作やキーワードを記録するか、手動でテストを記述して、自動 Silk4NET テストを作成します。
  3. Silk4NET テストをプロジェクトに追加します。プロジェクトには記録されたテストおよび、手動でスクリプトを作成したテストを含めることができます。
  4. テストを実行します。
  5. テスト結果を分析します。
関連タスク
Silk4NET プロジェクトの作成
プロジェクトへの Silk4NET テストの追加
Silk4NET テストの実行
コマンド ラインからのテストの再生
テスト結果の分析


Silk4NET プロジェクトの操作

このセクションでは、Silk4NET プロジェクトの使用方法について説明します。

Silk4NET プロジェクトには、Silk4NET を使用してアプリケションの機能をテストするために必要なリソースがすべて含まれています。

注: Silk4NET が提供する機能を最適に使用するには、同じテストで複数のアプリケーションをテストする場合を除き、テストするアプリケーションごとに個別のプロジェクトを作成します。
  • Silk4NET プロジェクトの作成
    テスト対象アプリケーションについてテストを記録または手動でスクリプトを記述するための Silk4NET プロジェクトを作成します。
関連概念
Silk4NET テストの操作
アプリケーション構成


Silk4NET プロジェクトの作成

  1. Silk4NET > 新しいプロジェクト または ファイル > 新しいプロジェクト をクリックします。 新しいプロジェクト ダイアログ ボックスが表示されます。
  2. インストール済み > テンプレート で、Visual Basic または Visual C# をクリックし、テスト を選択してから Silk4NET プロジェクトを選択します。
  3. プロジェクトの名前を 名前 フィールドに入力します。 チュートリアルでは、「Tutorial」と入力します。
  4. 省略可能： ソリューションの名前を ソリューション フィールドに入力します。
  5. OK をクリックします。 プロジェクトが作成されました ダイアログ ボックスが開きます。
  6. はい をクリックすると新しいテストの記録が開始され、いいえ をクリックすると空のプロジェクトが作成されます。 チュートリアルでは、いいえ をクリックします。 記憶の開始を選択した場合、新しい項目の追加 ダイアログ ボックスが開きます。
  7. 新しい項目の追加 ダイアログ ボックスで、記録するテストの種類を選択します。
    • 記録した操作をキーワードにまとめる場合は、Silk4NET キーワード駆動テスト を選択します。
    • キーワードを作成せずにテストを記録する場合は、Silk4NET テスト を選択します。
  8. 記録の開始を選択した場合、新しい項目の追加 ダイアログ ボックスの 名前 テキスト ボックスに新しいテストの名前を入力します。
  9. 追加 をクリックします。
  10. 新しい Silk4NET テストを記録するように選択した場合は、アプリケーションの選択 ダイアログ ボックスが開きます。テストするアプリケーションの種類に対応するタブを選択します。
    • ブラウザで実行しない標準アプリケーションをテストする場合は、Windows タブを選択します。
    • Web アプリケーションまたはモバイル Web アプリケーションをテストする場合は、Web タブを選択します。
    • ネイティブ モバイル アプリケーションをテストする場合は、モバイル タブを選択します。
  11. 標準アプリケーションをテストするには、現在のプロジェクトに対してアプリケーション構成が設定されていない場合は、リストからアプリケーションを選択します。
  12. Web アプリケーションまたはモバイル Web アプリケーションをテストするには、現在のプロジェクトに対してアプリケーション構成が設定されていない場合は、リストからインストール済みのブラウザまたはモバイル ブラウザのうちの 1 つを選択します。
    1. 移動する URL の入力 テキスト ボックスに、開く Web ページを指定します。選択したブラウザのインスタンスが既に実行されている場合、実行中のブラウザーの URL を使用する をクリックして、実行中のブラウザ インスタンスに現在表示されている URL の記録を行うことができます。チュートリアルの場合、Internet Explorer を選択し、移動する URL の入力 テキスト ボックスに http://demo.borland.com/InsuranceWebExtJS/ を指定します。
    2. 省略可能：あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。
      たとえば、Apple Safari 上の Web アプリケーションを Apple iPhone 7 の画面と同じ大きさのブラウザー ウィンドウでテストするには、リストから Apple iPhone 7 を選択します。
    3. 省略可能：ブラウザー ウィンドウの 向き を選択します。
    4. 省略可能：ブラウザー サイズの編集 をクリックすると、新しいブラウザー サイズを指定したり、ブラウザー サイズ リストに表示するブラウザー サイズを選択することができます。
  13. 現在のプロジェクトに対してアプリケーション構成が設定されていない場合に、ネイティブ モバイル アプリケーション (アプリ) をテストするには：
    1. アプリをテストするモバイル デバイスをリストから選択します。
    2. 参照 をクリックしてアプリ ファイルを選択するか、アプリ ファイルへの完全パスを モバイル アプリ ファイル テキスト フィールドに入力します。 このパスでは、Silk4NET は HTTP および UNC 形式をサポートします。 Silk4NET は、モバイル デバイスまたはエミュレータ上に指定したアプリをインストールします。
  14. OK をクリックします。 テスト メソッドの再生で Google Chrome の既存のインスタンスを選択した場合は、Silk4NET がオートメーション サポートが含まれているかどうかをチェックします。オートメーション サポートが含まれていない場合は、Silk4NET が Google Chrome を再起動する必要があることを通知します。アプリケーションと記録中 ウィンドウが開きます。
空の Silk4NET テストを作成するように選択した場合は、Silk4NET プロジェクトを含む新しいソリューションが作成されます。また、このプロジェクトには、言語固有の以下のファイル名を使用して、Silk4NET テストも作成されます。
  • UnitTest1.vb
  • UnitTest1.cs
注: ソリューション エクスプローラ のコンテキスト メニューを使用して、Silk4NET プロジェクトを既存のソリューションに追加することもできます。
親トピック: Silk4NET プロジェクトの操作
関連概念
レスポンシブ Web デザインのテスト
[アプリケーションの選択] ダイアログ ボックス
関連タスク
プロジェクトへの Silk4NET テストの追加
Silk4NET テストの記録


Silk4NET テストの操作

Silk4NET テストの使用方法について説明します。

AUT に対して行われたユーザーの操作を記録するか、Visual Basic または Visual C# のテスト クラスおよびメソッドのスクリプトを手動で記述することで、Silk4NET テストを新規に作成できます。

  • プロジェクトへの Silk4NET テストの追加
    アプリケーションの機能をテストするには、Silk4NET プロジェクトまたはテスト プロジェクトに Silk4NET テストを追加します。
  • Silk4NET テストの記録
    アプリケーションの機能をテストするための Silk4NET テストを記録します。
  • Microsoft Edge 上でのテストの記録
    Web アプリケーションをテストするために Microsoft Edge 上でテストを記録します。
  • Mozilla Firefox 上でのテストの記録
    Web アプリケーションをテストするために Mozilla Firefox 上でテストを記録します。
  • Google Chrome 上でのテストの記録
    Web アプリケーションをテストするために Google Chrome 上でテストを記録します。
  • 記録中および再生中に除外される文字
    記録中に除外され、再生中に Silk Test によって認識されない文字を示します。
  • 記録中に利用可能なアクション
    記録中に実行できるアクションを示します。
  • Silk4NET テストの手動作成
    Silk4NET テストを手動で作成すると、ハンドコーディングした複雑なテスト ロジックと、記録したテスト ステップを組み合わせることができます。
  • テスト スクリプト作成のベスト プラクティス
    Silk4NET を使用して安定したテスト スクリプトを作成する方法を説明します。
  • 記録中のスクリプトへの検証の追加
    スクリプトの記録中に検証を追加する方法について説明します。
  • Locator Spy を使用したロケーターまたはオブジェクト マップ項目のテスト メソッドへの追加
    Locator Spy を使用して、ロケーターまたはオブジェクト マップ項目を手動でキャプチャし、ロケーターまたはオブジェクト マップ項目をテスト メソッドにコピーします。
  • Silk4NET テストの実行
    Silk4NET テストを実行するには、Visual Studio を使用します。
  • コマンド ラインからのテストの再生
    コマンド ラインからテストを実行する方法を説明します。
  • テストの並列実行
    複数のブラウザー、モバイル デバイス、エミュレータ上でテストを並列に実行する方法について説明します。
  • テスト結果の分析
    テストを実行したら、テスト結果を確認し、テスト実行の成功または失敗を分析します。
  • Silk4NET がテストを同期する方法
    Silk4NET が再生時にテスト同期を実行する方法について説明します。
  • 再生ステータス ダイアログ ボックスの有効化
    再生ステータス ダイアログ ボックスを有効にすると、リモート テストやモバイル テストの再生中に実行される操作を表示できます。
関連概念
Silk4NET プロジェクトの操作


プロジェクトへの Silk4NET テストの追加

既存の Silk4NET またはテストプロジェクト、Silk4NET テストを追加することができます。Silk4NET またはテスト プロジェクトが存在しない場合、Silk4NET テストを作成する前に Silk4NET またはテスト プロジェクトを作成してください。

  1. Silk4NET > 新しいテスト または プロジェクト > 新しい項目の追加 をクリックします。
    注: ソリューションに複数の Silk4NET プロジェクトが存在する場合、新しいテストを追加したいプロジェクトをプロジェクトの選択 のリストから選択します。
    新しい項目の追加 ダイアログ ボックスが開きます。
  2. インストール済み で次のいずれかをクリックします。
    • プロジェクトが Visual Basic プロジェクトの場合は、共通項目 > Silk4NET テスト をクリックします。
    • プロジェクトが Visual C# プロジェクトの場合は、Visual C# アイテム > Silk4NET テスト をクリックします。
  3. テストの名前を 名前 フィールドに入力し、追加 をクリックします。
    Silk4NET テストの作成 ダイアログ ボックスが開きます。
  4. 次のいずれかのオプション ボタンをクリックして、Silk4NET テストの作成方法を選択します。
    Silk4NET テストの記録
    テスト対象アプリケーションに対する操作および検証を記録し、記録されたオートメーション ステートメントを含む新しいテストを生成します。
    空の Silk4NET テストの作成
    オートメーション ステートメントを後で入力できる空のテストを作成します。

    チュートリアルの場合、空の Silk4NET テストの作成 をクリックします。

  5. OK をクリックします。
  6. 新しい Silk4NET テストを記録するように選択した場合は、アプリケーションの選択 ダイアログ ボックスが開きます。テストするアプリケーションの種類に対応するタブを選択します。
    • ブラウザで実行しない標準アプリケーションをテストする場合は、Windows タブを選択します。
    • Web アプリケーションまたはモバイル Web アプリケーションをテストする場合は、Web タブを選択します。
    • ネイティブ モバイル アプリケーションをテストする場合は、モバイル タブを選択します。
  7. 標準アプリケーションをテストするには、現在のプロジェクトに対してアプリケーション構成が設定されていない場合は、リストからアプリケーションを選択します。
  8. Web アプリケーションまたはモバイル Web アプリケーションをテストするには、現在のプロジェクトに対してアプリケーション構成が設定されていない場合は、リストからインストール済みのブラウザまたはモバイル ブラウザのうちの 1 つを選択します。
    1. 移動する URL の入力 テキスト ボックスに、開く Web ページを指定します。選択したブラウザのインスタンスが既に実行されている場合、実行中のブラウザーの URL を使用する をクリックして、実行中のブラウザ インスタンスに現在表示されている URL の記録を行うことができます。チュートリアルの場合、Internet Explorer を選択し、移動する URL の入力 テキスト ボックスに http://demo.borland.com/InsuranceWebExtJS/ を指定します。
    2. 省略可能：あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。
      たとえば、Apple Safari 上の Web アプリケーションを Apple iPhone 7 の画面と同じ大きさのブラウザー ウィンドウでテストするには、リストから Apple iPhone 7 を選択します。
    3. 省略可能：ブラウザー ウィンドウの 向き を選択します。
    4. 省略可能：ブラウザー サイズの編集 をクリックすると、新しいブラウザー サイズを指定したり、ブラウザー サイズ リストに表示するブラウザー サイズを選択することができます。
  9. 現在のプロジェクトに対してアプリケーション構成が設定されていない場合に、ネイティブ モバイル アプリケーション (アプリ) をテストするには：
    1. アプリをテストするモバイル デバイスをリストから選択します。
    2. 参照 をクリックしてアプリ ファイルを選択するか、アプリ ファイルへの完全パスを モバイル アプリ ファイル テキスト フィールドに入力します。 このパスでは、Silk4NET は HTTP および UNC 形式をサポートします。 Silk4NET は、モバイル デバイスまたはエミュレータ上に指定したアプリをインストールします。
  10. OK をクリックします。 テスト メソッドの再生で Google Chrome の既存のインスタンスを選択した場合は、Silk4NET がオートメーション サポートが含まれているかどうかをチェックします。オートメーション サポートが含まれていない場合は、Silk4NET が Google Chrome を再起動する必要があることを通知します。アプリケーションと記録中 ウィンドウが開きます。
テストを記録するように選択した場合は、記録したテストがプロジェクトに追加されます。空のテストを追加するように選択した場合は、空の Silk4NET テストがプロジェクトに追加されます。
注: ソリューション エクスプローラ のコンテキスト メニューを使用して、Silk4NET を Silk4NET またはテスト プロジェクトに追加します。
親トピック: Silk4NET テストの操作
関連概念
レスポンシブ Web デザインのテスト
関連タスク
Silk4NET プロジェクトの作成
Silk4NET テストの手動作成
Silk4NET テストの記録


Silk4NET テストの記録

  1. Silk4NET > 新しいテスト または プロジェクト > 新しい項目の追加 をクリックします。
    注: ソリューションに複数の Silk4NET プロジェクトが存在する場合、新しいテストを追加したいプロジェクトをプロジェクトの選択 のリストから選択します。
    新しい項目の追加 ダイアログ ボックスが開きます。
  2. インストール済み で次のいずれかをクリックします。
    • プロジェクトが Visual Basic プロジェクトの場合は、共通項目 > Silk4NET テスト をクリックします。
    • プロジェクトが Visual C# プロジェクトの場合は、Visual C# アイテム > Silk4NET テスト をクリックします。
  3. テストの名前を 名前 フィールドに入力し、追加 をクリックします。
    Silk4NET テストの作成 ダイアログ ボックスが開きます。
  4. Silk4NET テストの記録 を選択して、OK をクリックします。
  5. 現在のプロジェクトに対してアプリケーション構成が設定されていない場合、テストするアプリケーションの種類に対応するタブを選択します。
    • ブラウザで実行しない標準アプリケーションをテストする場合は、Windows タブを選択します。
    • Web アプリケーションまたはモバイル Web アプリケーションをテストする場合は、Web タブを選択します。
    • ネイティブ モバイル アプリケーションをテストする場合は、モバイル タブを選択します。
  6. 標準アプリケーションをテストするには、リストからアプリケーションを選択します。
  7. Web アプリケーションまたはモバイル Web アプリケーションをテストするには、現在のプロジェクトに対してアプリケーション構成が設定されていない場合は、リストからインストール済みのブラウザまたはモバイル ブラウザのうちの 1 つを選択します。
    1. 移動する URL の入力 テキスト ボックスに、開く Web ページを指定します。選択したブラウザのインスタンスが既に実行されている場合、実行中のブラウザーの URL を使用する をクリックして、実行中のブラウザ インスタンスに現在表示されている URL の記録を行うことができます。チュートリアルの場合、Internet Explorer を選択し、移動する URL の入力 テキスト ボックスに http://demo.borland.com/InsuranceWebExtJS/ を指定します。
    2. 省略可能：あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。
      たとえば、Apple Safari 上の Web アプリケーションを Apple iPhone 7 の画面と同じ大きさのブラウザー ウィンドウでテストするには、リストから Apple iPhone 7 を選択します。
    3. 省略可能：ブラウザー ウィンドウの 向き を選択します。
    4. 省略可能：ブラウザー サイズの編集 をクリックすると、新しいブラウザー サイズを指定したり、ブラウザー サイズ リストに表示するブラウザー サイズを選択することができます。
  8. 現在のプロジェクトに対してアプリケーション構成が設定されていない場合に、ネイティブ モバイル アプリケーション (アプリ) をテストするには：
    1. アプリをテストするモバイル デバイスをリストから選択します。
    2. 参照 をクリックしてアプリ ファイルを選択するか、アプリ ファイルへの完全パスを モバイル アプリ ファイル テキスト フィールドに入力します。 このパスでは、Silk4NET は HTTP および UNC 形式をサポートします。 Silk4NET は、モバイル デバイスまたはエミュレータ上に指定したアプリをインストールします。
  9. OK をクリックします。 テスト メソッドの再生で Google Chrome の既存のインスタンスを選択した場合は、Silk4NET がオートメーション サポートが含まれているかどうかをチェックします。オートメーション サポートが含まれていない場合は、Silk4NET が Google Chrome を再起動する必要があることを通知します。アプリケーションと記録中 ウィンドウが開きます。
  10. 記録を行う、テスト対象アプリケーションとの対話を実行します。
    モバイル アプリケーションの記録についての詳細は、モバイル アプリケーションの記録 を参照してください。記録中に利用可能な操作についての詳細は、「記録中に利用可能な操作」を参照してください。
  11. 記録が終了したら、停止 をクリックします。 記録完了 ダイアログ ボックスが開きます。ダイアログ ボックスにある 再生 をクリックして、記録したテストを再生できます。
    • Visual Studio 2010 を使用している場合、Visual Studio の テスト ビュー にアクセスしてテストを再生したり管理することもできます。
    • Visual Studio 2012 以降を使用している場合、Visual Studio の テスト エクスプローラー にアクセスしてテストを再生したり管理することもできます。
記録された対話は、プロジェクトにファイルとして追加されます。生成されたファイルのデフォルトのファイル名は、プロジェクトのデフォルト プログラミング言語に応じて、UnitTest<Index>.cs または UnitTest<Index>.vb になります。たとえば、Visual Basic プロジェクトの初回テストを記録している場合、生成されたファイルの名前は UnitTest1.vb になります。
注: 新しいプロジェクトを作成し、そこに新しいテスト記録することもできます。
親トピック: Silk4NET テストの操作
関連概念
レスポンシブ Web デザインのテスト
関連タスク
プロジェクトへの Silk4NET テストの追加
Microsoft Edge 上でのテストの記録
Mozilla Firefox 上でのテストの記録
Silk4NET プロジェクトの作成
既存のテストへの追加操作の記録
記録中のスクリプトへの検証の追加
モバイル デバイスの操作
モバイル アプリケーションの記録
関連資料
記録中および再生中に除外される文字
記録中に利用可能なアクション


Microsoft Edge 上でのテストの記録

Silk4NET テストを記録する前に、Silk4NET プロジェクトを作成する必要があります。

Microsoft Edge 上の Web アプリケーションとのやり取りを開始するとき、Silk4NET は Microsoft Edge のすべての開いているインスタンスを閉じ、新しくブラウザーを開始します。新しいブラウザーは、アドオン無しのキャッシュを空にした状態の一時プロファイルを使用します。この Microsoft Edge のインスタンスは、Open Agent のシャットダウン時または、Microsoft Edge 外のほかのアプリケーションのテストを開始するときに閉じられます。

注: 現時点では、Microsoft Edge でキーワード駆動テストを記録することはできません。
Microsoft Edge 上の Web アプリケーションに対して新しいテストを記録するには：
  1. 新しいテストを追加するプロジェクトを選択します。
  2. ツールバーで、操作の記録 をクリックします。 新しい項目の追加 ダイアログ ボックスが開きます。
  3. Silk4NET テスト を選択します。
  4. 新しいテストの名前を 名前 フィールドに入力します。
  5. 追加 をクリックします。
  6. ブラウザーの選択 ダイアログ ボックスで、使用するブラウザーを選択します。
  7. 省略可能：あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。
  8. 省略可能：ブラウザー ウィンドウの 向き を選択します。
  9. 記録 をクリックします。
  10. 記録 ウィンドウが開き、Web アプリケーションを表示します。記録したい操作を実行します。
    1. 操作したいオブジェクトをクリックします。 Silk4NET は、オブジェクトのデフォルトの操作を実行します。デフォルトの操作がない場合や、テキストを挿入したりパラメータを指定する場合は、操作の選択 ダイアログ ボックスが開きます。
    2. 省略可能：デフォルトの操作以外のオブジェクトの操作を選択するには、オブジェクトを右クリックします。 操作の選択 ダイアログ ボックスが開きます。
    3. 省略可能：操作にパラメータある場合は、パラメータ フィールドにパラメータを入力します。 Silk4NET は自動的にパラメータを検証します。
    4. OK をクリックして、操作の選択 ダイアログ ボックスを閉じます。 Silk4NET は、記録した操作にその操作を追加し、モバイル デバイスまたはエミュレータ上でそれを再生します。
    記録中、Silk4NET は記録ウィンドウの隣にマウスの位置を表示します。その表示をクリックすると、デバイス画面に絶対的な位置とアクティブ オブジェクトに相対的な位置を切り替えることができます。記録中に利用可能なアクションについての詳細は、「記録中に利用可能なアクション」を参照してください。
  11. 停止 をクリックします。 記録完了 ダイアログ ボックスが開きます。
  12. OK をクリックします。

テストが期待通りの動作をするか確認するためにテストを再生します。必要な場合には変更をするために、テストを編集することも可能です。

親トピック: Silk4NET テストの操作
関連タスク
Silk4NET テストの記録
関連資料
Microsoft Edge を使用したテストの制限事項


Mozilla Firefox 上でのテストの記録

Silk4NET テストを記録する前に、Silk4NET プロジェクトを作成する必要があります。

Mozilla Firefox 上の Web アプリケーションに対して新しいテストを記録するには：
  1. 新しいテストを追加するプロジェクトを選択します。
  2. ツールバーで、操作の記録 をクリックします。 新しい項目の追加 ダイアログ ボックスが開きます。
  3. Silk4NET テスト を選択します。
  4. 新しいテストの名前を 名前 フィールドに入力します。
  5. 追加 をクリックします。
  6. ブラウザーの選択 ダイアログ ボックスで、使用するブラウザーを選択します。
  7. 省略可能：あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。
  8. 省略可能：ブラウザー ウィンドウの 向き を選択します。
  9. 記録 をクリックします。
  10. 記録 ウィンドウが開き、Web アプリケーションを表示します。記録したい操作を実行します。
    1. 操作したいオブジェクトをクリックします。 Silk4NET は、オブジェクトのデフォルトの操作を実行します。デフォルトの操作がない場合や、テキストを挿入したりパラメータを指定する場合は、操作の選択 ダイアログ ボックスが開きます。
    2. 省略可能：デフォルトの操作以外のオブジェクトの操作を選択するには、オブジェクトを右クリックします。 操作の選択 ダイアログ ボックスが開きます。
    3. 省略可能：操作にパラメータある場合は、パラメータ フィールドにパラメータを入力します。 Silk4NET は自動的にパラメータを検証します。
    4. OK をクリックして、操作の選択 ダイアログ ボックスを閉じます。 Silk4NET は、記録した操作にその操作を追加し、モバイル デバイスまたはエミュレータ上でそれを再生します。
    記録中、Silk4NET は記録ウィンドウの隣にマウスの位置を表示します。その表示をクリックすると、デバイス画面に絶対的な位置とアクティブ オブジェクトに相対的な位置を切り替えることができます。記録中に利用可能なアクションについての詳細は、「記録中に利用可能なアクション」を参照してください。
  11. 停止 をクリックします。 記録完了 ダイアログ ボックスが開きます。
  12. OK をクリックします。

テストが期待通りの動作をするか確認するためにテストを再生します。必要な場合には変更をするために、テストを編集することも可能です。

親トピック: Silk4NET テストの操作
関連タスク
Silk4NET テストの記録
関連資料
Mozilla Firefox を使用したテストの制限事項


Google Chrome 上でのテストの記録

Silk4NET は、Google Chrome 50 以降でのテストの記録をサポートします。Google Chrome のそれ以前のバージョンでは、Silk4NET はテストの再生とロケーターの記録のみをサポートします。

Silk4NET テストを記録する前に、Silk4NET プロジェクトを作成する必要があります。

注: バージョン 50 より前のバージョンの Google Chrome でテストを記録することはできません。
Google Chrome 50 以降の Web アプリケーションに対して新しいテストを記録するには：
  1. 新しいテストを追加するプロジェクトを選択します。
  2. ツールバーで、操作の記録 をクリックします。 新しい項目の追加 ダイアログ ボックスが開きます。
  3. Silk4NET テスト を選択します。
  4. 新しいテストの名前を 名前 フィールドに入力します。
  5. 追加 をクリックします。
  6. ブラウザーの選択 ダイアログ ボックスで、使用するブラウザーを選択します。
  7. 省略可能：あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。
  8. 省略可能：ブラウザー ウィンドウの 向き を選択します。
  9. 記録 をクリックします。
  10. 記録 ウィンドウが開き、Web アプリケーションを表示します。記録したい操作を実行します。
    1. 操作したいオブジェクトをクリックします。 Silk4NET は、オブジェクトのデフォルトの操作を実行します。デフォルトの操作がない場合や、テキストを挿入したりパラメータを指定する場合は、操作の選択 ダイアログ ボックスが開きます。
    2. 省略可能：デフォルトの操作以外のオブジェクトの操作を選択するには、オブジェクトを右クリックします。 操作の選択 ダイアログ ボックスが開きます。
    3. 省略可能：操作にパラメータある場合は、パラメータ フィールドにパラメータを入力します。 Silk4NET は自動的にパラメータを検証します。
    4. OK をクリックして、操作の選択 ダイアログ ボックスを閉じます。 Silk4NET は、記録した操作にその操作を追加し、モバイル デバイスまたはエミュレータ上でそれを再生します。
    記録中、Silk4NET は記録ウィンドウの隣にマウスの位置を表示します。その表示をクリックすると、デバイス画面に絶対的な位置とアクティブ オブジェクトに相対的な位置を切り替えることができます。記録中に利用可能なアクションについての詳細は、「記録中に利用可能なアクション」を参照してください。
  11. 停止 をクリックします。 記録完了 ダイアログ ボックスが開きます。
  12. OK をクリックします。

テストが期待通りの動作をするか確認するためにテストを再生します。必要な場合には変更をするために、テストを編集することも可能です。

親トピック: Silk4NET テストの操作


記録中および再生中に除外される文字

記録および再生中に Silk Test が無視する文字を以下に示します。
文字 | コントロール
... | MenuItem
タブ | MenuItem
& | すべてのコントロール。 アンパサンド (&) はアクセラレータとして使用されるため、記録されません。
親トピック: Silk4NET テストの操作
関連タスク
Silk4NET テストの記録
Silk4NET テストの実行


記録中に利用可能なアクション

記録中に次のアクションを 記録中 ウィンドウで実行できます。

アクション | ステップ
記録の一時停止 | 一時停止 をクリックして、操作を記録せずに AUT を特定の状態にしてから、記録 をクリックして記録を再開できます。
記録した操作の順番の変更 | 記録中 ウィンドウで記録した操作の順番を変更するには、移動したい操作を選択して新しい場所にそれらをドラッグします。
複数の操作の選択 | 複数の操作を選択するには、Ctrl を押しながら操作をクリックするか、もしくは選択する最初の操作をクリックしてから、Shift を押しながら最後のアクションをクリックします。
記録した操作の再生 | 記録中 ウィンドウから記録した操作を再生するには、操作を選択してから 再生 をクリックします。すべての記録した操作を再生するには、記録した操作 をクリックしてから 再生 をクリックします。
記録した操作の削除 | 誤って記録した操作を 記録中 ウィンドウから削除するには、マウス カーソルをその操作上にポイントすると表示される 削除 をクリックします。
イメージまたはコントロールのプロパティの検証 | 検証するオブジェクトの上にマウス カーソルを移動して、Ctrl+Alt を押します。
オブジェクト マップ エントリの変更 | Web アプリケーション、またはモバイル Web アプリを記録しているときに、記録したオブジェクトに対して自動的に生成されたオブジェクト マップ エントリが分かりにくい場合や、特殊な文字が含まれてしまっている場合、分かりやすいオブジェクト マップ エントリに変更したいことがあります。この様な場合は、記録中にオブジェクトを右クリックして、操作の選択 ダイアログの オブジェクトの識別 領域を展開します。そして、オブジェクト マップ ID フィールドでオブジェクト マップ エントリを編集できます。たとえば、デモ アプリケーションの画像に対して自動的に生成されるオブジェクト マップ エントリは、「http demo borland」になります。このエントリが何を参照しているのかを理解するのは、オブジェクト マップを見ただけでは困難です。このオブジェクト マップ エントリを「InsuranceWebHomePageBanner」のように変更すれば、より分かりやすくなります。この機能は、Internet Explorer 以外のすべてのサポートするデスクトップおよびモバイル ブラウザで利用できます。
別のロケーターの選択 | Web アプリケーション、またはモバイル Web アプリに対して記録しているときに、記録したオブジェクトに対して自動的に生成されたロケーターが要求を満たしていない場合、ロケーター フィールドにある矢印をクリックして、Silk4NET に他のロケーターを提示させることができます。提示されるロケーターはすべて、オブジェクトを一意に識別できるものです。この機能は、Internet Explorer 以外のすべてのサポートするデスクトップおよびモバイル ブラウザで利用できます。
親トピック: Silk4NET テストの操作
関連タスク
Silk4NET テストの記録


Silk4NET テストの手動作成

  1. Silk4NET テスをプロジェクトに追加します。
  2. オプション：特定のアプリケーション テクノロジのコントロールのサポートを追加するには、以下の例に示すように、アプリケーション テクノロジの名前空間を参照するテストの先頭にインポート ステートメントを含める必要があります。
    'Visual Basic .NET
Imports SilkTest.Ntf.Wpf
Imports SilkTest.Ntf.XBrowser
Imports SilkTest.Ntf.Win32
    //C#
using SilkTest.Ntf.Wpf;
using SilkTest.Ntf.XBrowser;
using SilkTest.Ntf.Win32;
  3. テスト アプリケーションの基本状態を構成します。 例：
    'Visual Basic .NET
Dim baseState = New BrowserBaseState(BrowserType.InternetExplorer, "www.borland.com")
baseState.Execute()
    //C#
BrowserBaseState baseState = new BrowserBaseState(BrowserType.InternetExplorer, "www.borland.com");
baseState.Execute();
    注: 基本状態を使用すると、テストするアプリケーションがフォアグラウンドで実行中であることを保証できます。 これにより、テストが常に同じアプリケーション状態で開始されることが保証され、信頼性が高まります。 基本状態を使用するには、メイン ウィンドウの外観、およびテストするアプリケーションが実行されていない場合のアプリケーションの起動方法を指定する必要があります。 基本状態の作成は任意です。 ただし、ベスト プラクティスとして、基本状態を作成することをお勧めします。
  4. テスト アプリケーションの目的の機能をテストするクラスとメソッドを追加します。
親トピック: Silk4NET テストの操作
関連タスク
プロジェクトへの Silk4NET テストの追加


テスト スクリプト作成のベスト プラクティス

テスト ケースの書き方によっては、テスト セットのパフォーマンスと安定性に非常に大きな影響を与える場合があります。記録時に、可能な限り速く安定したスクリプトを Silk4NET は作成します。しかし、テスト スクリプトを手動で作成したり編集する必要が生じる場合もあります。このトピックでは、いくつかの一般的なガイドラインを提示します。このガイドラインに従うことによって、保守性、再利用性の高いテスト スクリプトの作成、およびテストの安定性が高まるでしょう。

  • テストの名前の一貫性を保ち、内容のわかりやすい名前をつけてください。テスト対象アプリケーションとテストの機能を表す名前にすると良いでしょう。たとえば、テストの名前を MyApp_SuccessfulLogin や MyApp_FailingLogin とすると、Untitled_42 や Untitled_43 とするよりも、他のユーザーにとって非常にわかりやすいものになります。
  • できるだけ細かくテスト ケースの説明をコメントに記述してください。テスト ケースについての説明が普通の言葉で記述されていないと、実装されたコードを変更する必要がある人が、そのテストが正確に何を行っているのかを理解することが困難になります。
  • テスト ケースを開始する時に、テスト対象アプリケーションが確実に適切な状態になるようにしてください。テスト ケースの操作を実行する前に、テスト対象アプリケーションを正しい状態に戻します。
  • テスト ケースを完了する時に、テスト対象アプリケーションが確実に適切な状態になるようにしてください。追加のテストがそのテストの結果に依存する場合は、それらが開始できる状態にします。テスト ケースの操作が実行される時に、テスト対象アプリケーションを正しい状態に戻します。
  • 可能な限り、テスト ケースは他のテスト ケースの結果に依存しないようにしてください。これが不可能な場合、テスト ケースが正しい順番で実行されるようにしてください。
  • 機能的な流れだけでなく、テスト対象アプリケーションの正確さをテストするために、テストに検証を追加してください。
  • キーワード駆動テストを使用して、操作セットの再利用性を高めてください。共通に使用する操作をキーワードにまとめ、頻繁に同じ順番で実行されるキーワードをキーワード シーケンスに結合し、キーワードやキーワード シーケンスの組み合わせをキーワード駆動テストとして実行します。
  • テストの保守性と再利用性を保つためには、複雑なテスト ケースを記述するよりも、複数の単純なテスト ケースを記述して組み合わせる方が好まれます。
  • テスト セットの冗長性を避けるためには、新しいテスト ケースを追加するよりも、既存のテスト ケースを更新することが好まれます。
親トピック: Silk4NET テストの操作


記録中のスクリプトへの検証の追加

以下の操作を行って、スクリプトの記録中に検証を追加します。

  1. 記録を開始します。
  2. 検証するオブジェクトの上にマウス カーソルを移動して、Ctrl+Alt を押します。
    モバイル Web アプリケーションを記録する場合は、オブジェクトをクリックして 検証の追加 をクリックすることもできます。 このオプションを実行すると、記録が一時的に停止され、検証タイプの選択 ダイアログ ボックスが表示されます。
  3. TestObject のプロパティの検証 を選択します。 イメージ検証をスクリプトに追加する方法については、記録中にイメージ検証を追加する を参照してください。
  4. OK をクリックします。 プロパティの検証 ダイアログ ボックスが開きます。
  5. 検証したいプロパティを選択するには、対応するチェック ボックスをオンにします。
  6. OK をクリックします。 Silk4NET は記録したスクリプトに検証を追加し、記録は続行されます。
親トピック: Silk4NET テストの操作
関連タスク
記録中にイメージ検証を追加する


Locator Spy を使用したロケーターまたはオブジェクト マップ項目のテスト メソッドへの追加

Locator Spy を使用して、ロケーターまたはオブジェクト マップ項目を手動でキャプチャし、ロケーターまたはオブジェクト マップ項目をテスト メソッドにコピーします。たとえば、Locator Spy を使って、GUI オブジェクトのキャプションや XPath ロケーター文字列を識別できます。そして、関係するロケーター文字列や属性をスクリプト内のテストメソッドにコピーします。
  1. 変更したいテスト クラスを開きます。
  2. Silk4NET > Locator Spy をクリックします。
    Locator Spy とテスト対象アプリケーションが開きます。モバイル アプリケーションをテストしている場合、モバイルデバイスの画面を表示する [モバイルの記録] ウィンドウが開きます。この記録ウィンドウで操作を実行することはできませんが、モバイル デバイスやエミュレータ上で操作を実行してから、記録ウィンドウの表示を更新することができます。
  3. 省略可能：ロケーターを記録する前に、テスト対象アプリケーションを特定の状態にするには、ロケーターの記録を停止 をクリックします。 これ以降、テスト対象アプリケーションで実行する操作は、記録されなくなります。ロケーターの記録を再開する場合は、ロケーターの記録を開始 をクリックします。
  4. 省略可能：オブジェクト マップ項目の代わりにロケーターを ロケーター 列に表示するには、オブジェクト マップ識別子の表示 チェック ボックスをオフにします。 オブジェクト マップ項目名は、コントロールまたはウィンドウに対して、コントロールやウィンドウのロケーターではなく論理名 (エイリアス) を関連付けます。デフォルトでは、オブジェクト マップ項目名が表示されます。
    注: このチェック ボックスをオンまたはオフにすると、変更が自動的にロケーターの詳細に反映されます。ロケーターの詳細 テーブルのエントリを更新するには、エントリをクリックします。
  5. 記録するオブジェクトの上にマウスを移動します。 関連するロケーター文字列またはオブジェクト マップ項目は、選択済みロケーター テキスト ボックスに表示されます。
    注: ブラウザーでテストしている場合、選択済みロケーター フィールドに実際にキャプチャするとロケーターのみが表示される。
  6. Ctrl+Alt を押してオブジェクトをキャプチャします。
    注: スクリプト オプション ダイアログ ボックスの 全般記録オプション ページで別の記録停止キー操作を指定した場合は、Ctrl+Shift を押してオブジェクトをキャプチャします。
  7. 省略可能：追加のロケーター属性の表示 をクリックすると、関係する属性のすべてが ロケーター属性 テーブルに表示されます。
  8. 省略可能：記録したロケーター属性は、ロケーター属性 テーブルの別のロケーター属性で置き換えることができます。 たとえば、記録したロケーターは以下のように表示されます。
    /BrowserApplication//BrowserWindow//input[@id='loginButton']
    ロケーター属性 テーブルに textContents Login がリストされている場合、以下のようにしてロケーターを手動で変更できます。
    /BrowserApplication//BrowserWindow//input[@textContents='Login']
    新しいロケーターは、選択済みロケーター テキスト ボックスに表示されます。
  9. ロケーターをコピーするには、ロケーターをクリップボードにコピー をクリックします。 選択済みロケーター テキスト ボックスで、コピーするロケーター文字列の位置をマークし、マークしたテキストを右クリックして コピー をクリックすることもできます。
  10. スクリプト内で、記録したロケーターを貼り付ける位置にカーソルを置きます。 たとえば、スクリプト内の Find メソッドの該当するパラメータにカーソルを置きます。

    ロケーターを貼り付けるテスト メソッドでは、ロケーターをパラメータとして受け取れるメソッドを使用する必要があります。Locator Spy を使用することで、クエリ文字列が正しいことが保障されます。

  11. ロケーターまたはオブジェクト マップ項目をテスト ケースまたはクリップボードにコピーします。
  12. 閉じる をクリックします。
親トピック: Silk4NET テストの操作
関連概念
Locator Spy


Silk4NET テストの実行

このトピックでは、Silk4NET テストを Visual Studio で実行する方法について説明します。

  1. 選択したプロジェクトまたはソリューションで利用可能なすべてのテストを表示するには：
    • Visual Studio 2010 の場合、テスト > ウィンドウ > テスト ビュー をクリックします。
    • Visual Studio 2012 以降の場合、テスト > ウィンドウ > テスト エクスプローラー をクリックします。
  2. テスト ビュー、または テスト エクスプローラ (使用している Visual Studio のバージョンによる) で、実行するテストを選択します。
  3. 選択項目を右クリックして、次のいずれかをクリックします。
    • Visual Studio 2010 の場合、選択範囲の実行 をクリックします。
    • Visual Studio 2012 以降の場合、選択したテストの実行 をクリックします。
    選択したプロジェクトまたはソリューションのすべてのテストを実行するには、テスト ビュー、または テスト エクスプローラー (使用している Visual Studio のバージョンによる) で、すべて実行 をクリックします。
  4. Web アプリケーションをテストする場合は、ブラウザーの選択 ダイアログ ボックスが開きます。ブラウザーを選択して、 実行 をクリックします。
    注: 複数のアプリケーションが現在のプロジェクトに対して設定されている場合、ブラウザーの選択 ダイアログ ボックスは表示されません。
  5. 省略可能：必要に応じて、両方の Shift キーを同時に押して、テストの実行を停止できます。
  6. テストの実行が完了すると、再生完了 ダイアログ ボックスが開きます。TrueLog を使用してテスト結果を調べるには、結果の検討 をクリックします。ダイアログ ボックスを閉じるには、OK をクリックします。
注: テストを実行し、Visual Studio がテストの実行に必要なコンポーネントを開始する場合、Visual Studio はテスト実行が完了したときにすべてをクリーンナップします。つまり、Open Agent とすべての開いているブラウザー ウィンドウが強制終了されます。
親トピック: Silk4NET テストの操作
関連概念
再生時に TrueLog が結果ファイルを書き出さない理由
記録中および再生中に除外される文字
関連タスク
テスト結果の分析
コマンド ラインからのテストの再生


コマンド ラインからのテストの再生

コマンド ラインから Silk4NET テストを実行する場合、VSTest.Console.exe を使用できます。このコマンド ライン実行可能ファイルは、Visual Studio に含まれており、Silk4NET 以外のツールをインストールする必要はありません。コマンド ラインから VSTest.console を使用する方法についての詳細は、『コマンド ラインからの VSTest.console の使用』を参照してください。

コマンド ラインから Silk4NET テストを実行するには、次の手順を実行します。

  1. 実行するテストを含む DLL を作成します。 たとえば、myTestFile.dll という DLL を作成します。
    注: ひとつの DLL に複数のテスト クラスを含めることができます。これらのテスト クラスのすべてのテストが実行されます。
  2. 次のように入力して DLL 内のテストを実行します。
    Vstest.console.exe [TestFileNames] [Options]
    たとえば、myTestFile.dll 内のテストを実行する場合は、次のように入力します。
    vstest.console.exe myTestFile.dll
    注: 利用可能なコマンド ライン オプションについては、『コマンド ラインからの VSTest.console の使用』を参照してください。
  3. テスト クラスに対して TrueLog を作成する場合は、<SilkTestClass> 注釈を使用します。 たとえば、TrueLog を有効にして MyTestClass クラスを実行する場合は、スクリプトのクラス ヘッダーに次のように記述します。
    <SilkTestClass> Public Class MyTestClass
    その後、DLL（myTestClass.dll など） を作成し、コマンド ラインから次のように入力してテストを実行します。
    vstest.console.exe myTestClass.dll
親トピック: Silk4NET テストの操作
関連概念
テストの並列実行
テストを再生するブラウザーの選択
関連タスク
Silk4NET テストの実行


テストの並列実行

複数の MSTest プロセスを使用して、複数のブラウザーやモバイル デバイスに対してテストを並列に実行することができます。たとえば、CI サーバーや Silk Central からテストを実行するときに、この機能を使用できます。

デフォルトでは、Silk Test は、次のブラウザーやプラットフォームでの並列テストをサポートします。
  • Google Chrome
  • Mozilla Firefox
  • 以下のプラットフォーム上での Web、ネイティブ、ハイブリッド アプリ
    • 物理 Android デバイス
    • Android エミュレータ
    • 物理 デバイス

テストの並列再生を無効にするには、環境変数 SILKTEST_ENABLE_PARALLEL_TESTING を false に設定します。

注: 並列テストを有効にすると、Open Agent はテストの実行プロセスのそれぞれを別々に処理しようとします。ある Silk Test クライアントでテストされたアプリケーションは、最初のクライアントが実行している間、他のクライアントでテストすることはできません。たとえば、Silk4J と Silk4NET で交互に同じアプリケーションをテストすることはできません。
注: 同じモバイル デバイス上で同時に複数のテストを実行することはできません。テストを並列実行する前に、十分なデバイスとエミュレータが利用できることを確認してください。モバイル デバイスやエミュレータが割り当てられないと、テストの実行は失敗します。

並列テストの実行それぞれが、1 個のブラウザーまたはモバイル デバイスに対して個々の vstestconsole.exe または mstest.exe を開始します。ブラウザーやモバイル デバイスを特定の vstestconsole.exe または mstest.exe と関連付けたい場合には、接続文字列を使用できます。詳細については、「モバイル デバイスの接続文字列」または「リモート デスクトップ ブラウザーの接続文字列」を参照してください。

次の図は、複数のブラウザーの並列テストのイメージを表します。

次の図は、複数のデバイスの並列テストのイメージを表します。

複数のプロセスが同時に開始されると、Silk4NET を実行しているマシン上で Open Agent を何度も開始しようとする可能性があります。同じマシンで複数回 Open Agent を実行することはできないため、Silk4NET は例外をスローすることになります。これを避けるため、テストを並列実行する前に、Open Agent が実行されていることを確認してください。

テスト結果は、複数の TrueLog ファイル（各テスト実行毎に 1 つ）に保存されます。TrueLog ファイルが上書きされないようにするため、TrueLog ファイル名にプレースホルダーを使用することができます。詳細については、「TrueLog オプションの設定」を参照してください。
注: テスト中のメモリ消費量が激しいと感じた場合は、テスト結果が XLG 形式ではなく、圧縮ファイルである TLZ 形式で保存されていることを確認してください。並列テストでは、Silk4NET は TrueLog API をサポートしません。
親トピック: Silk4NET テストの操作
関連概念
テストを再生するブラウザーの選択
関連タスク
コマンド ラインからのテストの再生
TrueLog オプションの設定


テスト結果の分析

テストを実行後、テスト結果を確認し、テスト実行の成功または失敗を分析できます。

  1. Silk4NET テストを実行します。 実行が終了すると、再生完了 ダイアログ ボックスが開きます。
  2. 結果の検討 をクリックし、TrueLog を使用してテスト結果を調べます。
    Silk TrueLog Explorer が開きます。
  3. Silk TrueLog Explorer で結果をクリックします。 テストに失敗すると、Silk TrueLog Explorer によってスクリーンショットがキャプチャされます。
親トピック: Silk4NET テストの操作
関連概念
再生時に TrueLog が結果ファイルを書き出さない理由
TrueLog を使用したビジュアル実行ログ
関連タスク
Silk4NET テストの実行


Silk4NET がテストを同期する方法

ほとんどの予期しないテストの失敗は、同期問題に起因します。テストの再生時の同期が弱いと、予期しない結果が生成されるため、実際のアプリケーションの問題を見つけることが困難になります。同期エラーはタイミングの問題で、テストの環境に強く依存しており、このようなエラーを再現し解決することは困難です。たとえば、特定のテスト環境で発生する同期エラーが、開発環境では再現できないことがあります。同期が弱いと、自動化プロジェクトにおいて、自動化テスト セットの肥大化に伴い管理不能に陥る、最も一般的な理由のひとつになります。

Silk4NET では、自動的なテスト同期をすべてのサポートするテクノロジに対して提供しているため、ロバストで管理可能なテスト セットを構築できます。テストの再生中に、Silk4NET は、AUT が次の操作を実行する準備ができるまで、常にテストが待機するようにします。テストの検証ステップでは、Silk4NET は、テストのそれより前のテストが検証を実行する前に完了しているようにします。

AUT の特定の動作にテストを適用する場合は、次の同期タイムアウトの値を変更できます。
同期タイムアウト (OPT_SYNC_TIMEOUT)
再生中に AUT が準備完了状態になるまで Silk4NET が待機する最大時間をミリ秒で指定します。デフォルト値は、300000 ミリ秒です。
オブジェクト解決タイムアウト (OBJ_WAIT_RESOLVE_OBJDEF)
Find メソッドがオブジェクトを検索する最大時間をミリ秒で指定します。デフォルト値は、5000 ミリ秒です。
注: 低速な接続でアクセスした仮想マシンなどの低速なシステムや高負荷な環境でテストを正しく実行できるようにするために、Silk4NET は内部タイムアウト値を増やすことがあります（AUT の開始時やダイアログやウィンドウの表示時など）。AUT、ダイアログ、ウィンドウが完全に表示されると、Silk4NET は再びタイムアウト値を OPT_WAIT_RESOLVE_OBJDEF で指定された値に戻します。
オブジェクト解決再試行間隔 (OPT_WAIT_RESOLVE_OBJDEF_RETRY)
Silk4NET がオブジェクトを直ちに見つけることができなかった場合、Silk4NET はオブジェクト解決タイムアウトが経過するまでオブジェクトの検索を再試行します。オブジェクト解決再試行間隔は、Silk4NET がオブジェクトの検索を再試行するまで待機する時間をミリ秒で指定します。デフォルト値は、1000 ミリ秒です。
オブジェクト有効化タイムアウト (OPT_OBJECT_ENABLED_TIMEOUT)
再生中にオブジェクトが有効になるまで Silk4NET が待機する最大時間をミリ秒で指定します。デフォルト値は、1000 ミリ秒です。
注: タイムアウトは重なりません。

Silk4NET が提供する自動的な同期のうち、特に Web アプリケーションに関する詳細な情報については、「xBrowser のページ同期」を参照してください。Silk4NET が提供する同期のうち、特に AJAX アプリケーションに関する詳細な情報については、「How to Synchronize Test Automation Scripts for Ajax Applications」を参照してください。

自動的な同期に加えて、Silk4NET では、スクリプトに待機関数を手動で追加することもできます。Silk4NET は、手動同期用に次の待機関数を提供します。
WaitForObject
指定したロケータに一致するオブジェクトを待機します。XPath ロケーターやオブジェクト マップ識別子に対して動作します。
WaitForProperty
propertyName パラメータで指定したプロパティが expectedValue パラメータで指定した値を返すまで、またはタイムアウトに到達するまで待機します。
WaitForDisappearance
オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。
WaitForChildDisappearance
locator パラメータで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。

テストが ObjectNotFoundException で不規則に失敗する場合、オブジェクト解決タイムアウト を増やします (30 秒にするなど)。進行状況ダイアログが表示され、長時間計算が行われた後に表示されるオブジェクトをクリックする場合など、特定の操作に特別に時間のかかる場合は、WaitForObject メソッドをテスト スクリプトに手動で追加してオブジェクトが見つかるまで待機するようにしたり、WaitForDisappearance メソッドをテスト スクリプトに追加して進行状況ダイアログが表示されなくなるまで待機するようにします。

自動的な同期の例

Silk4NET がキャプション Ok を持つボタンをクリック する、次のサンプル コードを考えます。

'VB .NET code
Dim button = _desktop.PushButton("@caption='Ok'")
button.Click()
// C# code
var button = _desktop.PushButton("@caption='Ok'");
button.Click();
このサンプル コードの操作を再生するために、Silk4NET は次の同期操作を実行します。
  1. Silk4NET はボタンを検索します。そして、オブジェクト解決タイムアウト が経過した場合、Silk4NET は再生を停止して例外をスローします。
  2. Silk4NET はテスト対象アプリケーション (AUT) が準備完了状態になるまで待機します。AUT が準備完了状態になる前に、同期タイムアウト が経過した場合、Silk4NET は再生を停止して例外をスローします。
  3. Silk4NET はボタンが有効になるまで待機します。オブジェクト有効化タイムアウト がボタンが有効になる前に経過した場合、Silk4NET は再生を停止して例外をスローします。
  4. Silk4NET はボタンをクリックします。
  5. Silk4NET はテスト対象アプリケーション (AUT) が再び準備完了状態になるまで待機します。
親トピック: Silk4NET テストの操作
関連概念
xBrowser のページ同期
関連タスク
同期オプションの設定
再生オプションの設定


再生ステータス ダイアログ ボックスの有効化

再生ステータス ダイアログ ボックスを有効にすると、テストの再生中に実行される操作を表示できます。このダイアログ ボックスは、リモート Mac やモバイル デバイスなど、他のマシン上でテストを再生する場合に非常に役立ちます。

再生ステータス ダイアログ ボックスを有効化するには：

  1. Silk4NET > オプションの編集 をクリックします。
  2. 再生 タブ をクリックします。
  3. 再生ステータス ダイアログ ボックスを有効化するには、OPT_SHOW_PLAYBACK_STATUS_DIALOG チェック ボックスをオンにします。
  4. 再生ステータス ダイアログ ボックスにテスト対象アプリケーションのビデオまたはスクリーンショットを表示するには、OPT_PLAYBACK_STATUS_DIALOG_SCREENSHOTS チェック ボックスをオンにします。
  5. OK をクリックします。
注: リモート Mac やモバイル デバイス上でテストする場合は、Mac またはデバイスの画面がテスト中にオフにならないようにしてください。オフになると、再生ステータス ダイアログ ボックスには何も表示されなくなります。
親トピック: Silk4NET テストの操作
関連タスク
再生オプションの設定


TrueLog を使用したビジュアル実行ログ

TrueLog は、ビジュアルな検証を通じてテスト ケースの失敗の根本的な原因の分析を単純化するための強力なテクノロジです。 テストの結果は、TrueLog Explorer で検証できます。 テストの実行中にエラーが発生すると、TrueLog はそのエラーが発生したスクリプトの行を簡単に特定し、問題を解決できるようにします。

注: TrueLog は、スクリプトに対して単一のローカル エージェントまたはリモート エージェントのみをサポートしています。 たとえば、1 つのマシンでアプリケーションをテストし、そのアプリケーションが別のマシンのデータベースにデータを書き込む場合のように、複数のエージェントを使用する場合は、スクリプトで使用された最初のエージェントに対してのみ TrueLog が書き出されます。 リモート エージェントを使用する場合は、リモート マシンにも TrueLog ファイルが書き出されます。

TrueLog Explorer の詳細については、(Microsoft Windows 7) スタート > すべてのプログラム > Silk > Silk Test > ドキュメント、または (Microsoft Windows 10) スタート > Silk にある Silk TrueLog Explorer ユーザー ガイド を参照してください。

Silk4NETで TrueLog を有効にして、Silk4NET テストの実行中にビジュアル実行ログを作成できます。 TrueLog ファイルは、Silk4NET テストが実行されたプロセスの作業ディレクトリに作成されます。

デフォルトの設定では、スクリプトでエラーが発生した場合にのみスクリーンショットが作成され、エラーの発生したテスト ケースのログのみが作成されます。

  • TrueLog の有効化
    TrueLog を有効にして、Silk4NET テストの実行中にビジュアル実行ログを作成します。
  • TrueLog の場所の変更
    現在のプロジェクトでテストを実行するときに TrueLog を保存する場所を指定します。
  • TrueLog セクション
    TrueLog は、TrueLog オプション ダイアログ ボックスでグローバルに設定でき、テスト ケースでも個々に設定できます。
  • Web ページ コンテンツのキャプチャ
    Web ページ コンテンツをスクリーンショットにキャプチャして、画像ファイルに保存する方法について説明します。
  • TrueLog で非 ASCII 文字が正しく表示されない理由
    TrueLog ファイルに非 ASCII 文字が正しく表示されない場合の対処法について説明します。
  • 再生時に TrueLog が結果ファイルを書き出さない理由
    再生時に結果ファイルが書き出されない場合にすべきことについて説明します。
関連タスク
テスト結果の分析


TrueLog の有効化

新しい Silk4NET スクリプトでは、TrueLog がデフォルトで有効になっています。スクリプト オプション ダイアログ ボックスの TrueLog タブにある TrueLog の有効化 チェック ボックスのオン/オフを切り替えて、TrueLog を有効、または無効にすることができます。スクリプト オプション ダイアログ ボックスを開くには、Silk4NET > オプションの編集 をクリックします。

Visual Studio Unit Testing Framework を使用している既存の Silk4NET スクリプトで TrueLog を有効にするには、スクリプト内のすべてのテスト クラスの TestClass 属性を SilkTestClass 属性で置き換える必要があります。

既存の Silk4NET スクリプトに対して TrueLog を有効にするには：

  1. TrueLog を有効にするテスト クラスが含まれたスクリプトを開きます。
  2. テスト クラスに SilkTestClass 属性を追加します。

デフォルトでは、Visual Studio ソリューション ファイルおよび Visual Studio Unit Testing Framework の結果が格納されているディレクトリの TestResults サブディレクトリに TrueLog が作成されます。TrueLog の別の場所を指定するには、Silk4NET > オプションの編集 をクリックして スクリプト オプションダイアログ ボックスを開き、TrueLog ファイル フィールドの右側にある 参照 をクリックします。

Visual Studio ソリューション ファイルには、Silk4NET スクリプトが格納されています。Silk4NET テストの実行が完了したら、ダイアログ ボックスが開きます。結果の検討 をクリックすると、完了したテストの TrueLog を確認できます。

使用例

Visual Basic スクリプト内のクラスに対して TrueLog を有効にするには、以下のコードを使用します。
<SilkTestClass()> Public Class MyTestClass
  <TestMethod()> Public Sub MyTest()
    ' my test code
  End Sub
End Sub
C# スクリプト内のクラスに対して TrueLog を有効にするには、以下のコードを使用します。
[SilkTestClass]
public class MyTestClass {
  [TestMethod]
  public void MyTest() {
    // my test code
  }
}
親トピック: TrueLog を使用したビジュアル実行ログ
関連概念
スクリプトへの結果コメントの挿入
関連タスク
TrueLog オプションの設定


TrueLog の場所の変更

デフォルトでは、Visual Studio ソリューション ファイルおよび Visual Studio Unit Testing Framework の結果が格納されているディレクトリの TestResults サブディレクトリに TrueLog が作成されます。

TrueLog の場所を指定するには：

  1. メニューで、Silk4NET > オプションの編集 をクリックします。 スクリプト オプション ダイアログ ボックスが開きます。
  2. TrueLog タブを選択します。
  3. TrueLog ディレクトリ フィールドの右側にある 参照 をクリックします。
現在のプロジェクトでテストを実行すると、TrueLog は指定した場所に保存されます。
親トピック: TrueLog を使用したビジュアル実行ログ


TrueLog セクション

TrueLog にセクションを追加して、複雑なスクリプトを、名前の付けられた小さなパーツに論理的に分割して構造化できます。

TrueLog セクションは入れ子状にすることができます。 また、名前は一意である必要は無く、複数のセクションで同じ名前を使用できます。

TrueLog ファイルに新しいセクションを作成するには、次のコードを使用します。
openTrueLogSection("section_name")
最後に開いた TrueLog セクションを閉じるには、次のコードを使用します。
closeCurrentTrueLogSection()
次の場合には、セクションは自動的に閉じられます。
  • テスト ケースの終了
  • テスト クラスの終了
  • テスト実行の終了
  • キーワードの終了
  • 例外の発生
以下に、TrueLog セクション の使用例を示します。
[TestMethod]
public void SubSections()
{
  Agent.OpenTrueLogSection("Section a");
  Agent.LogInfo("In section a");
  Agent.OpenTrueLogSection("Section b");
  Agent.LogInfo("In section b");
  Agent.CloseCurrentTrueLogSection();
  Agent.LogInfo("In section a again");
}

サポートするメソッドの詳細については、Silk Test クライアントの API ドキュメントを参照してください。

親トピック: TrueLog を使用したビジュアル実行ログ


Web ページ コンテンツのキャプチャ

ブラウザー ウィンドウに現在表示されている Web ページの一部をスクリーンショットにキャプチャする場合は、CaptureBitmap メソッドを使用できます。画像ファイルの場所と名前は、絶対パスまたは相対パスでパラメータで指定します。例：
//C# code
browserWindow.CaptureBitmap("C:\Temp\MyPage.png");
'VB code
browserWindow.CaptureBitmap("C:\Temp\MyPage.png")
Web ページ コンテンツ全体のスクリーンショットを 1 つの画像としてキャプチャする場合は、CaptureFullPageBitmap メソッドを使用できます。画像ファイルの場所と名前は、絶対パスまたは相対パスでパラメータで指定します。例：
//C# code
browserWindow.CaptureFullPageBitmap("C:\Temp\MyPage.png");
'VB code
browserWindow.CaptureFullPageBitmap("C:\Temp\MyPage.png")
親トピック: TrueLog を使用したビジュアル実行ログ


TrueLog で非 ASCII 文字が正しく表示されない理由

TrueLog Explorer は MBCS ベースのアプリケーションであるため、正しく表示するには、すべての文字列が MBCS 形式でエンコードされている必要があります。 TrueLog Explorer でデータを表示およびカスタマイズすると、データが表示される前に、多数の文字列変換処理が発生することがあります。

UTF-8 でエンコードされた Web サイトをテストする場合は、文字列を含むデータをアクティブな Windows システム コード ページに変換できないことがあります。 このような場合、TrueLog Explorer は変換できない非 ASCII 文字列を、構成可能な置換文字 (通常は「?」) で置き換えます。

TrueLog Explorer で非 ASCII 文字列を正確に表示するには、システム コード ページに適切な言語 (日本語など) を設定します。

親トピック: TrueLog を使用したビジュアル実行ログ


再生時に TrueLog が結果ファイルを書き出さない理由

再生後に Silk4NET が以下のエラー メッセージを表示している場合があります。
結果ファイルが書き出されていないため、[結果の検討] は使用できません。十分な権限があること、および Silk4NET プロジェクトの参照設定にある単体テスト拡張機能が使用中の Visual Studio のバージョンに対応していることを確認してください。

この場合、単体テスト拡張機能への参照が現在使用している Visual Studio と異なるバージョンを指している可能性があります。たとえば、Silk4NET プロジェクトを前のバージョンの Visual Studio から移行した場合に発生します。TrueLog が結果ファイルを書き出すことができるようにするためには、誤った Visual Studio のバージョンへの参照を正しいバージョンを指すように変更してください。スクリプト オプション ダイアログ ボックスの TrueLog タブにある TrueLog の有効化 チェック ボックスがオンになっていることも確認してください。スクリプト オプション ダイアログ ボックスを開くには、Silk4NET > オプションの編集 をクリックします。

例

Silk4NET プロジェクトが Visual Studio 2012 を参照し、使用している Visual Studio のバージョンが 2013 である場合、SilkTest.Ntf.VisualStudio2012.UnitTestingExtension への参照を Silk4NET プロジェクトから削除し、SilkTest.Ntf.VisualStudio2013.UnitTestingExtension への参照をプロジェクトに追加します。

親トピック: TrueLog を使用したビジュアル実行ログ
関連タスク
Silk4NET テストの実行
テスト結果の分析


Silk Test Open Agent

Silk Test Open Agent は、スクリプトのコマンドを GUI 固有のコマンドに翻訳するソフトウェア プロセスです。 つまり、Open Agent がテストするアプリケーションを動かし、監視しています。

ホストマシン上で 1 つのエージェントをローカルに実行できます。 ネットワーク環境では、任意の数のエージェントがリモート マシン上でテストを再生できます。 ただし、記録はローカル マシン上でのみ実行できます。

  • Silk Test Open Agent の起動
    テストの作成またはサンプル スクリプトの実行前に、Silk Test Open Agent が実行されている必要があります。 通常は、製品を起動したときにエージェントが実行されます。
  • テスト実行後に Open Agent を停止する
    テスト実行の終わりにスクリプトから Open Agent を停止して、エージェントが実行し続けないようにします。
  • エージェント オプション
    GetOption および SetOption メソッドで操作できる Agent クラス オプションについて説明します。
  • Open Agent のポート番号
    Silk Test Open Agent が Information Service と通信する方法とポートへの接続方法について説明します。
  • Open Agent を使用したリモート テスト
    リモート エージェントを使用してリモート ロケーションのアプリケーションをテストする方法について説明します。


Silk Test Open Agent の起動

テストの作成またはサンプル スクリプトの実行前に、Silk Test Open Agent が実行されている必要があります。 通常は、製品を起動したときにエージェントが実行されます。 Open Agent を手動で開始しなければならない場合には、次のステップを実行してください。

(Microsoft Windows 7) スタート > すべてのプログラム > Silk > Silk Test > ツール > Silk Test Open Agent、または (Microsoft Windows 10) スタート > Silk > Silk Test Open Agent をクリックします。 Silk Test Open Agent アイコン Open Agent アイコン が、システム トレイに表示されます。
親トピック: Silk Test Open Agent


テスト実行後に Open Agent を停止する

コマンド ライン オプション -shutDown を使うか、スクリプトから Open Agent を停止して、テスト実行が終わってもエージェントが実行し続けることがないようにすることができます。次のコマンドをコマンド ラインから実行して、Open Agent を停止することができます：
openAgent.exe -shutDown

スクリプトからエージェントを停止するには：

  1. テスト実行が完了したときに実行するスクリプトを開く、または作成します。 たとえば、テスト実行後にクリーンアップのために使用する既存のスクリプトを開きます。
  2. スクリプトに ShutDown メソッドを追加します。
注: 他のスクリプトが Open Agent を必要になった時点で、エージェントは再起動されます。
親トピック: Silk Test Open Agent


エージェント オプション

このセクションでは、GetOption および SetOption メソッドで操作できるオプションについて説明します。

注: デフォルトでは、メニューから Silk4NET > オプションの編集 を選択してグローバル オプションを設定できます。

スクリプトでエージェント オプションを設定または取得するには、GetOption または SetOption メソッドを使用します。たとえば、Agent.SetOption(Options. と入力すると、オートコンプリートと構文ヒント テクノロジを使用して、エージェント オプションがアクティブなエディター ウィンドウに自動的に表示されます。たとえば、以下のオプションがアクティブなエディター ウィンドウに表示されます。

スクリプトでオプションを挿入する場合は、次のように記述します。
'VB .NET code
Agent.SetOption(Options.ApplicationReadyTimeout, 100000)
// C# code
Agent.SetOption(Options.ApplicationReadyTimeout, 100000);
あるいは、スクリプトでエージェント オプション名を使用することもできます。たとえば、以下のように入力できます。
'VB .NET code
Agent.SetOption("OPT_APPREADY_TIMEOUT", 100000)
// C# code
Agent.SetOption("OPT_APPREADY_TIMEOUT", 100000);
.NET オプション名 | エージェント オプション名 | 定数の型 | 説明
ApplicationReadyTimeout | OPT_APPREADY_TIMEOUT | 数値 | 新しく起動したアプリケーションが準備完了状態になるまで待機する時間をミリ秒で指定します。指定したタイムアウト時間内にアプリケーションの準備が整わない場合は、Silk4NET によって例外がスローされます。
BitmapMatchCount OPT_BITMAP_MATCH_COUNT 整数 ビットマップが安定していると判断するために、連続して同じビットマップでなければならないスナップショットの数を指定します。スナップショットは、OPT_BITMAP_MATCH_TIMEOUT で指定された秒数まで取得され、各スナップショット間で OPT_BITMAP_MATCH_INTERVAL で指定された時間間隔で一時停止します。

デフォルトで、これは 0 です。
BitmapMatchInterval OPT_BITMAP_MATCH_INTERVAL 実数 ビットマップ画像が安定していることを保証するために使用するスナップショット間の時間間隔を指定します。スナップショットは、OPT_BITMAP_MATCH_TIMEOUT で指定された時間まで取得されます。

デフォルトで、これは 0.1 です。
BitmapMatchTimeout OPT_BITMAP_MATCH_TIMEOUT 実数 ビットマップ画像が安定するまでの合計許容時間を指定します。

この期間に Silk4NET は画像の複数のスナップショットを取得し、スナップショット間で OPT_BITMAP_MATCH_TIMEOUT で指定された秒数だけ待機します。OPT_BITMAP_MATCH_COUNT で指定されたビットマップ数と一致する前に、OPT_BITMAP_MATCH_TIMEOUT から返される値に到達すると、Silk4NET でスナップショットの取得が停止し、例外 E_BITMAP_NOT_STABLE が発生します。

デフォルトで、これは 5 です。
BitmapPixelTolerance OPT_BITMAP_PIXEL_TOLERANCE 整数 2 つのビットマップが一致しているとみなされる許容差異 (ピクセル単位) を指定します。差異ピクセル数がこのオプションで指定された値より小さい場合、ビットマップは同一であるとみなされます。最大許容値は 32767 ピクセルです。

デフォルトで、これは 0 です。
ButttonsToCloseWindows | OPT_CLOSE_WINDOW_BUTTONS | 文字列のリスト | CloseSynchron メソッドでウィンドウを閉じるために使用するボタンを指定します。
ButttonsToConfirmDialogs | OPT_CLOSE_CONFIRM_BUTTONS | 文字列のリスト | CloseSynchron メソッドでウィンドウを閉じる際に表示された確認ダイアログ ボックスを閉じるために使用するボタンを指定します。
CloseUnresponsiveApplications | OPT_KILL_HANGING_APPS | ブール値 | 無応答のアプリケーションを閉じるかどうかを指定します。 タイムアウトなどの理由で、エージェントとアプリケーション間の通信に失敗した場合に、アプリケーションが無応答になります。 複数のインスタンスを実行できないアプリケーションをテストする場合は、このオプションを TRUE に設定します。デフォルトで、これは FALSE です。
CloseWindowTimeout | OPT_CLOSE_WINDOW_TIMEOUT | 数値 | ウィンドウ閉じるための次の方式を試行する前に待機する時間をミリ秒で指定します。 最終的に失敗と判断する前に、4 種類の方式が Agent によって実行されます。つまり、閉じるのに失敗するまでにかかる合計時間は、指定した値の 4 倍の時間になります。
Compatibility OPT_COMPATIBILITY 文字列

Silk4NET の最新バージョンで特定の機能の動作が変更されている場合は、これらの機能について、指定した Silk4NET バージョンの動作を使用することができます。

文字列の例：
  • 12
  • 11.1
  • 13.0.1

デフォルトでは、このオプションは設定されていません。
EnsureObjectIsActive | OPT_ENSURE_ACTIVE_OBJDEF | ブール値 | ターゲット オブジェクトがアクティブであることを保証します。 デフォルトで、これは FALSE です。
EnableAccessibility OPT_ENABLE_ACCESSIBILITY ブール値

Win32 アプリケーションをテストしているときに、Silk4NET がオブジェクトを認識できない場合、ユーザー補助を有効にするには TRUE に設定します。ユーザー補助は、オブジェクトの認識機能をクラス レベルで強化するためのものです。

ユーザー補助を無効にするには FALSE に設定します。

デフォルトで、これは FALSE です。

注: Mozilla Firefox と Google Chrome の場合、ユーザー補助は常に有効で、無効にすることはできません。
EnableMobileWebviewFallbackSupport OPT_ENABLE_MOBILE_WEBVIEW_FALLBACK_SUPPORT ブール値

デフォルトのブラウザー サポートではテストできないハイブリッド モバイル アプリケーションに対して、モバイル ネイティブ フォールバックのサポートを有効化します。

デフォルトで、これは FALSE です。
HangAppTimeOut OPT_HANG_APP_TIME_OUT 数値

応答のない再生操作をキャンセルするまでのタイムアウト値を、無応答のアプリケーションのタイムアウト で指定します。

デフォルト値は、5000 ミリ秒です。
HighlightObjectDuringPlayback OPT_REPLAY_HIGHLIGHT ブール値 現在のオブジェクトが再生中にハイライトされるかどうかを指定します。

デフォルトで、これは FALSE です。つまり、デフォルトではオブジェクトはハイライトされません。
KeyboardEventDelay OPT_KEYBOARD_INPUT_DELAY 数値 再生時のキー入力間の遅延をミリ秒で指定します。

テストするアプリケーションに応じて、選択する最適な値が異なることに注意してください。 たとえば、Web アプリケーションをテストする場合、1 ミリ秒に設定すると、ブラウザが極端に遅くなります。 ただし、この値を 0 (ゼロ) に設定すると、基本的なアプリケーション テストに失敗する可能性があります。
KeysToCloseDialogs | OPT_CLOSE_DIALOG_KEYS | 文字列のリスト | CloseSynchron メソッドでウィンドウを閉じる際に表示されたダイアログ ボックスを閉じるキー シーケンスを指定します。 例：<ESC>、<Alt+F4>。
LocatorAttributesCaseSensitive OPT_LOCATOR_ATTRIBUTES_CASE_SENSITIVE ブール値

はい に設定すると、ロケーター属性名の大文字と小文字が区別されるようになり、いいえ に設定すると、ロケーター名の大文字と小文字が区別されなくなります。モバイル Web アプリケーションのロケーター属性の名前は、常に大文字と小文字の区別はされません。つまり、モバイル Web アプリケーションの記録や再生時に、このオプションは無視されます。
MenuItemsToCloseWindows | OPT_CLOSE_WINDOW_MENUS | 文字列のリスト | CloseSynchron メソッドでウィンドウを閉じるために使用するメニュー項目を指定します。 例：「ファイル/*終了」、「ファイル/*中止」。
MouseEventDelay | OPT_MOUSE_INPUT_DELAY | 数値 | 各マウス イベントの前に使用される遅延をミリ秒で指定します。
ObjectResolveRetryInterval | OPT_WAIT_RESOLVE_OBJDEF_RETRY | 数値 | 再生中にオブジェクトが解決できなかった場合に、再試行する前に待機する時間をミリ秒で指定します。ObjectResolveTimeout の値を超過した場合は、再試行は行われません。
ObjectResolveTimeout | OPT_WAIT_RESOLVE_OBJDEF | 数値 | 再生中にオブジェクトの解決を待機する時間をミリ秒で指定します。 オブジェクトが解決されるとすぐに、Silk4NET はこのオブジェクトを認識することができます。
PlaybackMode OPT_REPLAY_MODE 数値 コントロールの再生方法を定義します。 「低レベル」を使用すると、マウスとキーボードを使用して各コントロールが再生されます。 「高レベル」を使用すると、API を使用して各コントロールが再生されます。 コントロールごとにデフォルトの再生モードが割り当てられています。 デフォルトの再生モードが選択されると、各コントロールごとのデフォルトの再生モードが使用されます。 デフォルト モードを使用すると、最も信頼できる結果が得られます。 「低レベル」または「高レベル」の再生を選択すると、すべてのコントロールの再生モードが選択した再生モードで上書きされます。

有効な値は、0、1、2 です。0 はデフォルト、1 は高レベル、2 は低レベルです。デフォルトで、これは 0 です。
PostReplayDelay | OPT_POST_REPLAY_DELAY | 数値 | 関数の呼び出しまたはプロパティの設定後に待機する時間をミリ秒で指定します。
RemoveFocusOnCaptureText OPT_REMOVE_FOCUS_ON_CAPTURE_TEXT ブール値
はい に設定すると、テキストのキャプチャ中にテスト対象アプリケーションからフォーカスが外れます。デフォルトでは いいえ に設定されており、テスト対象アプリケーションにフォーカスが残ります。テキストのキャプチャは、次のメソッドによる記録および再生中に実行されます。
  • TextClick
  • TextCapture
  • TextExists
  • TextRect
SuspensionTimeout | OPT_NTF_SUSPENSION_TIMEOUT | 数値 | NTF から回答を得るまで待機する最大時間をミリ秒で指定します。この時間を超えた場合は、NTF と Open Agent 間の通信が中断されたものとみなします。
SyncTimeout OPT_SYNC_TIMEOUT 数値 オブジェクトが準備完了状態になる最大時間をミリ秒で指定します。
注: Silk Test 13.0 より前のバージョンの Silk Test からアップグレードする場合、OPT_XBROWSER_SYNC_TIMEOUT オプションが設定されていると、オプション ダイアログ ボックスに OPT_SYNC_TIMEOUT のデフォルト値が表示されますが、タイムアウトは定義した値に設定されています。
TransparentClasses OPT_TRANSPARENT_CLASSES 文字列のリスト
オブジェクト階層を単純化し、テスト スクリプトや関数のコードの行の長さを短くするために、次のテクノロジの確実に不要なクラスに対するコントロールを抑制できます。
  • Win32
  • Java AWT/Swing
  • Java SWT/Eclipse
  • Windows Presentation Foundation (WPF)
記録や再生中に無視したいクラスの名前を指定します。
OPT_WPF_CHECK_DISPATCHER_FOR_IDLE | ブール値 | WPF アプリケーションによっては、コントロールの実装方法が影響して、Silk Test 同期が機能しない場合があります。これにより、WPF アプリケーションがアイドルであることを Silk4NET が認識できなくなります。このオプションを FALSE に設定すると、WPF 同期が無効になり、WPF アプリケーションを制御するスレッドである WPF ディスパッチャーを Silk4NET が確認しないようになります。このオプションを FALSE に設定すると、一部の WPF アプリケーションで発生する同期問題を解決できます。デフォルトで、これは TRUE です。
WPFCustomClasses | OPT_WPF_CUSTOM_CLASSES | 文字列のリスト | 記録や再生の対象にしたい WPF クラスの名前を指定します。たとえば、MyGrid というカスタム クラスが WPF Grid クラスから継承された場合、MyGrid カスタム クラスのオブジェクトは記録や再生に使用できません。Grid クラスはレイアウト目的のためにのみ存在し、機能テストとは無関係であるため、Grid オブジェクトは記録や再生に使用できません。この結果、Grid オブジェクトはデフォルトでは公開されません。機能テストに無関係なクラスに基づいたカスタム クラスを使用するには、カスタム クラス (この場合は MyGrid) を OPT_WPF_CUSTOM_CLASSES オプションに追加します。これによって、記録、再生、検索、プロパティの検証など、すべてのサポートされる操作を指定したクラスに対して実行できるようになります。
WPFPrefillItems | OPT_WPF_PREFILL_ITEMS | ブール値 | 記録および再生中に 、WPFComboBox や WPFListBox のような WPFItemsControl 内の項目を事前に入力するかどうかを定義します。WPF 自体が特定のコントロールの項目を遅延読み込みするため、項目がビューにスクロールされない場合、それらの項目は Silk4NET では使用できません。ビューにスクロールされないとアクセスできない項目にアクセスするには、事前入力をオンにします。これはデフォルトの設定です。ただし、一部のアプリケーションでは Silk4NET によってバックグランドで項目が事前入力されると問題が発生し、そのためアプリケーションがクラッシュすることがあります。この場合、事前入力をオフにします。
XbrowserEnableIframeSupport OPT_XBROWSER_ENABLE_IFRAME_SUPPORT ブール値

ブラウザーの iframe および frame のサポートを有効にするかどうかを指定します。Web アプリケーションの iframe の内容を無視して良い場合、iframe のサポートを無効にすると再生速度が速くなる可能性があります。たとえば、多くの広告が表示される Web ページやモバイル ブラウザーでテストする際に iframeサポートを無効にすると、再生パフォーマンスが大幅に向上する可能性があります。このオプションは、Internet Explorer では無視されます。このオプションは、デフォルトで有効になっています。
XBrowserExcludeIFrames | OPT_XBROWSER_EXCLUDE_IFRAMES | 文字列 | リストの各項目で、属性名と対応する値を定義します。項目のどれにも一致しない iframe と frame は、テスト対象に含まれます。ワイルドカードを使用できます。たとえば、"src:*advertising*" という項目を定義すると、<IFRAME src=http://my.domain/advertising-banner.html> がテスト対象から除外されます。このオプションは、Internet Explorer では無視されます。リストが空の場合は、すべての iframe と frame がテストの対象となります。複数のエントリをカンマで区切って指定します。
XBrowserFindHiddenInputFields OPT_XBROWSER_FIND_HIDDEN_INPUT_FIELDS ブール値

非表示入力フィールドを表示するかどうかを指定します（タグに type="hidden" を指定した HTML フィールドです）。デフォルト値は、TRUE です。
XBrowserIncludeIFrames | OPT_XBROWSER_INCLUDE_IFRAMES | 文字列 | リストの各項目で、属性名と対応する値を定義します。項目のどれにも一致しない iframe と frame は、テスト対象から除外されます。ワイルドカードを使用できます。たとえば、"name:*form" という項目を定義すると、<IFRAME name="user-form" src=...> がテスト対象に含まれます。このオプションは、Internet Explorer では無視されます。リストが空の場合は、すべての iframe と frame がテストの対象となります。複数のエントリをカンマで区切って指定します。
XBrowserSynchronizationMode | OPT_XBROWSER_SYNC_MODE | 文字列 | サポートする同期モード (HTML または AJAX) を設定します。 HTML モードを使用すると、すべての HTML ドキュメントが対話的な状態になることが保証されます。 このモードでは、単純な Web ページをテストすることができます。 Java Script が含まれるより複雑なシナリオが使用される場合は、WaitForObject、WaitForProperty、WaitForDisappearance、または WaitForChildDisappearance などの同期関数を使用して手動でスクリプトを記述することが必要になる可能性があります。 AJAX モードを使用すると、同期関数を手動で記述する必要はなくなります。 デフォルト値は、AJAX に設定されています。
XBrowserSynchronizationTimeout OPT_XBROWSER_SYNC_TIMEOUT 数値 オブジェクトが準備完了状態になる最大時間をミリ秒で指定します。
注: 推奨されません。代わりに OPT_SYNC_TIMEOUT オプションを使用してください。
XBrowserSynchronizationURLExcludes OPT_XBROWSER_SYNC_EXCLUDE_URLS 文字列 ページ同期中に除外するサービスまたは Web ページの URL を指定します。 AJAX フレームワークやブラウザによっては、サーバーから非同期にデータを取得するために、特殊な HTTP 要求を継続して出し続けるものがあります。これらの要求により、指定した同期タイムアウトの期限が切れるまで同期がハングすることがあります。この状態を回避するには、HTML 同期モードを使用するか、問題が発生する要求の URL を 同期除外リスト 設定で指定します。

http://test.com/timeService のように URL 全体を入力したり、timeService のように URL の一部を入力します。

次のようにカンマで項目を区切ります。
'VB .NET code
Agent.SetOption(OPT_XBROWSER_SYNC_EXCLUDE_URLS, { "fpdownload.macromedia.com", "fpdownload.adobe.com", "download.microsoft.com" })
// C# code
Agent.SetOption(OPT_XBROWSER_SYNC_EXCLUDE_URLS, { "fpdownload.macromedia.com", "fpdownload.adobe.com", "download.microsoft.com" });
親トピック: Silk Test Open Agent


Open Agent のポート番号

Open Agent が起動すると、Silk4NET およびテストするアプリケーションに対して、使用可能なポートがランダムに割り当てられます。ポート番号は Information Service に登録されます。Silk4NET は、Open Agent に接続するために使用するポートを決定するために Information Service に接続します。Information Service は適切なポートと通信し、Silk4NET はそのポートに接続します。通信は、エージェントと Silk4NET との間で直接行われます。

デフォルトでは、ポート 22901 を使用して Open Agent は Information Service と通信します。デフォルト ポートが利用可能でない場合に機能する代替ポートとして、Information Service の追加のポートを構成できます。デフォルトでは、Information Service は、代替ポートとして 2966、11998、および 11999 を使用します。

大抵の場合、手動でポート番号を設定する必要はありません。しかし、ポート番号が競合したり、ファイアウォールとの問題があったりした場合には、そのマシンや Information Service に対してポート番号を設定する必要があります。各マシンごとに異なるポート番号を使用することも、すべてのマシンに対して同じ番号を使用することも可能です。

  • Information Service に接続するポートの構成
    Information Service に接続するためにすべてのクライアントが使用するポート番号を変更します。
  • Open Agent に接続するポートの構成
    Silk Test クライアントまたはテストするアプリケーションが Open Agent に接続するために使用するポート番号を変更します。
  • Silk Test Recorder に接続するポートの構成
    Silk Test クライアントが Silk Test Recorder に接続するために使用するポート番号を変更します。
親トピック: Silk Test Open Agent


Information Service に接続するポートの構成

このタスクを開始する前に、Silk Test Open Agent を停止します。

大抵の場合、手動でポート番号を設定する必要はありません。Information Service はポート構成を自動的に処理します。エージェントとの接続には、Information Service のデフォルトのポートを使用します。これにより、Information Service によって、エージェントが使用するポートに通信が転送されます。

Information Service のデフォルトのポートは 22901 です。デフォルトのポートが使用可能であれば、ポート番号を指定せずに単純に hostname だけを入力できます。ポート番号を指定する場合には、Information Service のデフォルトのポートまたは追加したポートの 1 つと一致していることを確認ください。間違ったポートが指定されていると、通信に失敗します。

必要に応じて、Information Service に接続するためにすべてのクライアントが使用するポート番号を変更できます。

  1. infoservice.properties.sample ファイルに移動し、開きます。
    • Microsoft Windows システムでは、このファイルは C:\ProgramData\Silk\Silk Test\conf にあります。ここで、「C:\ProgramData」は、Windows システムでデフォルトで設定されている環境変数 ALLUSERSPROFILE の値です。
    • macOS では、このファイルは /Users/<ユーザー>/.silk/silktest/conf にあります。
    このファイルには、コメントとサンプルの代替ポート設定が含まれています。
  2. 代替ポートの値を変更します。 大抵の場合、ファイアウォールとの問題を避けるために、特定のポートに通信を強制するように Information Service ポートの設定を構成します。

    ポート番号は、1 から 65535 の間の任意の数値を指定できます。

    • infoservice.default.port： Information Service が実行されているデフォルト ポートです。デフォルトでは、このポートは 22901 に設定されています。

  3. ファイルを infoservice.properties という名前で保存します。
  4. Open Agent、Silk Test クライアント、およびテストするアプリケーションを再起動します。
親トピック: Open Agent のポート番号


Open Agent に接続するポートの構成

このタスクを開始する前に、Silk Test Open Agent を停止します。

大抵の場合、手動でポート番号を設定する必要はありません。Information Service はポート構成を自動的に処理します。エージェントとの接続には、Information Service のデフォルトのポートを使用します。これにより、Information Service によって、エージェントが使用するポートに通信が転送されます。

必要に応じて、Silk Test クライアントまたはテストするアプリケーションが Open Agent に接続するために使用するポート番号を変更します。

  1. agent.properties.sample ファイルに移動し、開きます。 デフォルトでは、このファイルは次の場所にあります：%APPDATA%\Silk\SilkTest\conf。 大抵の場合、C:\Users\<ユーザー名>\AppData\Silk\SilkTest\conf になります。ここで、<ユーザー名> は、現在のユーザー名に一致します。
  2. 代替ポートの値を変更します。 大抵の場合、ポートの競合を解決するためにポートの設定を構成します。
    注: 各ポート番号は一意でなければなりません。エージェントのポート番号が Information Service のポート設定とは異なることを確認してください。
    ポート番号は、1 から 65535 の間の任意の数値を指定できます。

    ポートの設定には次のものがあります：

    • agent.vtadapter.port： テストの実行時に、Silk Test Workbench と Open Agent 間の通信を制御します。

    • agent.xpmodule.port： テストの実行時に、Silk Test Classic とエージェント間の通信を制御します。

    • agent.autcommunication.port： Open Agent とテストするアプリケーション間の通信を制御します。

    • agent.rmi.port： Open Agent と Silk4J 間の通信を制御します。

    • agent.ntfadapter.port： Open Agent と Silk4NET 間の通信を制御します。

    注: Apache Flex のテスト時に使用されるポートは、この構成ファイルでは制御できません。Flex アプリケーションのテストで割り当てられるポート番号は、6000 から始まり、各 Flex アプリケーションがテストされる度に 1 ずつ増加していきます。Flex テスト用に開始ポートを構成することはできません。
  3. ファイルを agent.properties という名前で保存します。
  4. Open Agent、Silk Test クライアント、およびテストするアプリケーションを再起動します。
親トピック: Open Agent のポート番号


Silk Test Recorder に接続するポートの構成

このタスクを開始する前に、Silk Test Open Agent を停止します。

大抵の場合、手動でポート番号を設定する必要はありません。Information Service はポート構成を自動的に処理します。エージェントとの接続には、Information Service のデフォルトのポートを使用します。これにより、Information Service によって、エージェントが使用するポートに通信が転送されます。

必要に応じて、Silk Test Classic、Silk4J、または Silk4NET が Silk Test Recorder に接続するのに使用するポート番号を変更します。

  1. recorder.properties.sample ファイルに移動し、開きます。 デフォルトでは、このファイルは次の場所にあります：%APPDATA%\Silk\Silk Test\conf。大抵の場合、C:\Documents and Settings\<ユーザー名>\AppData\Silk\SilkTest\conf になります。ここで、<ユーザー名> は、現在のユーザー名に一致します。
  2. recorder.api.rmi.port を、使用するポートに変更します。 ポート番号は、1 から 65535 の間の任意の数値を指定できます。
    注: 各ポート番号は一意でなければなりません。エージェントのポート番号が Recorder や Information Service のポート設定とは異なることを確認してください。
  3. ファイルを recorder.properties という名前で保存します。
  4. Open Agent、Silk Test クライアント、およびテストするアプリケーションを再起動します。
親トピック: Open Agent のポート番号


Open Agent を使用したリモート テスト

リモート マシン上に Silk4NET をインストールして、ローカル マシンにインストールされている Silk4NET からリモート ロケーション上のアプリケーションをテストすることができます。

注: リモート マシンに接続されているモバイル デバイスや、リモート マシン上のエミュレータまたはシミュレータ上のモバイル アプリケーションをテストする場合や、Apple Safari またはリモート Microsoft Edge 上の Web アプリケーションをテストする場合には、リモート Open Agent ではなく、リモート Silk Test Information Service を使用する必要があります。
  • リモート Open Agent を使用したテスト
    リモート マシンに Open Agent をインストールして、リモート マシン上のアプリケーションに対してテストを再生できます。
親トピック: Silk Test Open Agent
関連概念
Silk4NET テストの操作
関連タスク
リモート ロケーションの編集


リモート Open Agent を使用したテスト

Silk4NET を使用してリモート マシン上のアプリケーションに対してテストを再生するには、次のタスクを実行します。
  1. ローカル マシン上のアプリケーションに対してテストを作成します。
  2. リモート マシン上に Open Agent をインストールします。 詳細については、『Silk Test インストール ガイド』を参照してください。
  3. リモート マシン上で Open Agent を開始します。
  4. テスト スクリプトで、Agent クラスの Connect メソッドを使用して、リモート Open Agent に接続します。 たとえば、次の行をスクリプトに追加します。
    // VB .NET code
Private agent As RemoteAgent = Agent.Connect("hostname:port")
    // C# code
private RemoteAgent agent = Agent.Connect("hostname:port");
    詳細については、「単一マシンでの複数 UI セッションのアプリケーションのテスト」を参照してください。
  5. リモート マシン上でテスト スクリプトのコマンドを実行するには、コマンドにエージェントを追加します。 たとえば、ローカル テスト スクリプトのコマンドが SomeAgentFunction であれば、次のようにコマンドを変更します。
    // VB .NET code
Dim d As Desktop = agent.Desktop
Dim baseState = New BaseState()
agent.ExecuteBaseState(basestate)
d.SomeAgentFunction()
    // C# code
Desktop d = agent.Desktop;
BaseState basestate = new BaseState();
agent.ExecuteBaseState(basestate);
d.SomeAgentFunction();
親トピック: Open Agent を使用したリモート テスト
関連資料
Connect メソッド


基本状態

アプリケーションの基本状態とは、各テスト ケースの実行開始前にアプリケーションに想定される既知の安定した状態です。アプリケーションは、各テスト ケースの実行が終了したあとに基本状態に戻る場合もあります。大抵の場合この状態は、アプリケーションを最初に起動したときの状態になります。

アプリケーションに対してクラスを作成するとき、Silk4NET は自動的に基本状態を作成します。

基本状態はテストの整合性を保障するための重要な一因です。各テスト ケースが安定した基本状態から開始することができることを保障することによって、あるテスト ケースのエラーによって、後続のテスト ケースが失敗しないことを保障することができます。

Silk4NET は、次の段階の間に、アプリケーションがその基本状態にあることを自動的に保障します。
  • テストの実行前
  • テストの実行中
  • テストが成功裏に完了した後
注: Silk4NET は、基本状態とすべての Silk4NET オプションを config.silk4net 構成ファイルに保存します。Silk4NET は、Silk4NET プロジェクトごとにこのようなファイルを作成します。
注: 定義済みの基本状態を使って Web アプリケーションをテストするときに、ブラウザー アプリケーション構成を複数追加しないでください。
基本状態は、次の方法で編集できます。
  • UI： 記録時と再生時の両方で AUT の開始方法を指定したい場合など。
  • スクリプト： スクリプトでテストを再生するときに、指定した方法で AUT を開始したい場合など。
  • ユーザー インターフェイスからの基本状態の変更
    Silk4NET が記録や再生時にテスト対象アプリケーションを開始する方法を指定する基本状態を、ユーザー インターフェイスから編集する方法について説明します。
  • スクリプトでの基本状態の変更
    Silk4NET が再生時にテスト対象アプリケーションを開始する方法を指定する基本状態を、スクリプトで編集する方法について説明します。
  • 基本状態の実行
    アプリケーションに対してテストの記録を開始する前に基本状態を実行することで、記録するすべてのアプリケーションを起動して、記録に適した状態にすることができます。
関連概念
アプリケーション構成
Silk4NET でのキーワード駆動テストの基本状態の設定


ユーザー インターフェイスからの基本状態の変更

Silk4NET が記録や再生時にテスト対象アプリケーションを開始する方法を指定する基本状態を、ユーザー インターフェイスから編集できます。基本状態では、AUT の実行可能ファイルの場所、作業ディレクトリや、Web アプリケーションの URL や接続文字列などを指定できます。たとえば、ステージング Web サイトで既に実行したテストを、プロダクション Web サイトで実行する場合には、基本状態の URL を変更すれば、新しい Web サイトに対してテストを実行することができます。

注: 再生時に特定のテストに対してのみ Silk4NET がテスト対象アプリケーション (AUT) を開始するように指定する場合は、テストを含むスクリプトで基本状態を編集します。詳細については、「スクリプトでの基本状態の変更」を参照してください。

ユーザー インターフェイスから基本状態を編集するには：

  1. Silk4NET をクリックして、アプリケーション構成の編集 を選択します。 アプリケーション構成の編集 ダイアログ ボックスが開き、既存のアプリケーション構成がリストされます。
  2. 変更するアプリケーション構成の右側にある 編集 をクリックします。
  3. Web アプリケーションまたはモバイル Web アプリケーションをテストするには、現在のプロジェクトに対してアプリケーション構成が設定されていない場合は、リストからインストール済みのブラウザまたはモバイル ブラウザのうちの 1 つを選択します。 変更 をクリックして アプリケーションの選択 ダイアログ ボックスを開き、使用するブラウザーを選択することもできます。
  4. 実行可能ファイルを指定するには、実行可能ファイル フィールドに実行可能ファイルへの完全パスを入力します。
    注: Web アプリケーションをテストする場合に、ブラウザーの実行可能ファイルを指定する場合は、ブラウザーの種類からカスタムを選択します。
    たとえば、Mozilla Firefox を起動するには、「C:\Program Files (x86)\Mozilla Firefox\firefox.exe」を入力します。
  5. コマンド ライン引数を指定するには、コマンド ライン引数 フィールドに引数を入力します。
    注: Web アプリケーションをテストする場合に、コマンド ライン引数を指定してブラウザーを開始する場合は、ブラウザーの種類からカスタムを選択します。
    たとえば、Mozilla Firefox を myProfile プロファイルを指定して起動するには、「-p myProfile」を入力します。
  6. テストするアプリケーションがディレクトリに依存する場合は、作業ディレクトリ フィールドにディレクトリへのパスを指定します。
    たとえば、Java アプリケーションを起動するバッチ ファイルを使用する場合には、バッチ ファイルは JAR ファイルを相対パスで参照することができます。この場合、正しく相対パスが処理されるように作業ディレクトリを指定します。
  7. デスクトップ アプリケーションをテストする場合は、ロケーター フィールドにアプリケーションのメイン ウィンドウを指定します。 たとえば、ロケーターは、/Shell[@caption='Swt Test Application'] のようになります。
  8. 実行可能ファイル パターンを指定して、デスクトップ アプリケーションをテストする場合は、実行可能ファイル パターン テキスト ボックスに、テストするデスクトップ アプリケーションの実行可能ファイルの名前とファイルへのパスを入力します。 たとえば、電卓を指定する場合には、*\calc.exe と入力します。
  9. デスクトップ アプリケーションをテストし、実行可能ファイルと一緒にコマンド ライン パターンを使用したい場合には、コマンド ライン パターンを コマンド ライン パターン テキスト ボックスに入力します。
  10. Web アプリケーションをテストする場合は、移動する URL テキスト ボックスに、Web アプリケーションのアドレスを入力します。
  11. 省略可能：あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。
    たとえば、Apple Safari 上の Web アプリケーションを Apple iPhone 7 の画面と同じ大きさのブラウザー ウィンドウでテストするには、リストから Apple iPhone 7 を選択します。
  12. 省略可能：ブラウザー ウィンドウの 向き を選択します。
  13. 省略可能：ブラウザー サイズの編集 をクリックすると、新しいブラウザー サイズを指定したり、ブラウザー サイズ リストに表示するブラウザー サイズを選択することができます。
  14. リモート ロケーション上の Web アプリケーションまたはモバイル ネイティブ アプリケーション（Mac に接続されているモバイル デバイスなど）をテストする場合に、リモート ロケーションを変更する場合は、変更 をクリックして アプリケーションの選択 ダイアログ ボックスを開き、リモート ロケーションの編集 をクリックします。
  15. モバイル アプリケーションや Apple Safari 上の Web アプリケーションをテストする場合は、接続文字列 テキスト ボックスに接続文字列を入力します。 詳細については、「接続文字列」を参照してください。
  16. WebDriver ベースのブラウザーのケイパビリティを編集する場合は、接続文字列 テキスト ボックスを使用できます。 たとえば、Google Chrome のブラウザー ウィンドウを最大化して開始する場合には、接続文字列 テキスト ボックスに次のように入力します。
    chromeOptions={"args":["--start-maximized"]}
    詳細については、「WebDriver ベースのブラウザーのケイパビリティの設定」を参照してください。
  17. モバイル ネイティブ アプリケーションのテストを行う場合は、モバイル アプリ テキスト ボックスに、テストするモバイル アプリケーションの名前を入力します。
  18. OK をクリックします。
  19. テスト対象アプリケーションの起動に時間がかかる場合は、再生オプションのアプリケーション準備完了タイムアウトの値を増やしてください。

アプリケーションが実行していない場合は、基本状態を実行することで開始されます。アプリケーションがすでに実行中の場合には、Silk4NET によってアプリケーションの別のインスタンスは開始されません。

複数のアプリケーション構成がテストに含まれており、基本状態に関連付けられているオブジェクト以外のアプリケーションまたは Web ページを変更する場合は、基本状態をオフにすることができます。このことは、変更を記録したり再生したりするときに基本状態が使用されないこと意味します。このため、アプリケーションまたは Web ページを起動するステップをテスト内に記録する必要があります。たとえば、Web ページをテストする場合は、テスト内で Internet Explorer を起動します。

注: 定義済みの基本状態を使って Web アプリケーションをテストするときに、ブラウザー アプリケーション構成を複数追加しないでください。
親トピック: 基本状態
関連概念
レスポンシブ Web デザインのテスト
関連タスク
アプリケーション構成の変更
スクリプトでの基本状態の変更


スクリプトでの基本状態の変更

Silk4NET が再生時にテスト対象アプリケーションを開始する方法を指定する基本状態を、スクリプトで編集できます。基本状態では、AUT の実行可能ファイルの場所、作業ディレクトリ、Web アプリケーションの URL や接続文字列などを指定できます。たとえば、ステージング Web サイトで既に実行したテストを、プロダクション Web サイトで実行する場合には、基本状態の URL を変更すれば、新しい Web サイトに対してテストを実行することができます。

注: Silk4NET が記録や再生時にテスト対象アプリケーション (AUT) を開始する方法を指定するには、ユーザー インターフェイスから基本状態を編集します。詳細については、「基本状態の変更」を参照してください。

スクリプトで基本状態を編集するには：

  1. スクリプトを開きます。
  2. baseState メソッドを変更します。
    基本状態の作成と実行との間にコードを追加できます。
    ' VB code
' Go to web page 'demo.borland.com/InsuranceWebExtJS'
BrowserBaseState baseState = new BrowserBaseState()
' <-- Insert your changes here!
baseState.Execute()
    // C# code
//Go to web page 'demo.borland.com/InsuranceWebExtJS'
BrowserBaseState baseState = new BrowserBaseState();
// <-- Insert your changes here!
baseState.Execute();
  3. テストするアプリケーションの実行可能ファイルの名前とファイルへのパスを指定する場合は、次のコードを使用します。
    ' VB code
baseState.Executable=executable
    // C# code
baseState.Executable=executable;
    たとえば、電卓を指定する場合は、次のように入力します。
    ' VB code
baseState.Executable = "C:\\Windows\\SysWOW64\\calc.exe"
    // C# code
baseState.Executable = "C:\\Windows\\SysWOW64\\calc.exe";
    Mozilla Firefox を指定する場合は、次のように入力します。
    ' VB code
baseState.Executable = "C:\\Program Files (x86)\\Mozilla Firefox\\firefox.exe"
    // C# code
baseState.Executable = "C:\\Program Files (x86)\\Mozilla Firefox\\firefox.exe";
  4. コマンド ライン引数を指定する場合は、次のコードを使用します。
    ' VB code
baseState.CommandLineArguments = commandLineArguments
    // C# code
baseState.CommandLineArguments = commandLineArguments;
    たとえば、Mozilla Firefox を myProfile プロファイルを指定して起動する場合は、次のように入力します。
    ' VB code
baseState.CommandLineArguments = "-p myProfile"
    // C# code
baseState.CommandLineArguments = "-p myProfile";
  5. 他の作業ディレクトリを指定する場合は、次のコードを使用します。
    ' VB code
baseState.WorkingDirectory = workingDirectory
    // C# code
baseState.WorkingDirectory = workingDirectory;
  6. 実行可能ファイル パターンを使用する場合には、次のコードを使用します。
    ' VB code
baseState.ExecutablePattern = executablePattern
    // C# code
baseState.ExecutablePattern = executablePattern;
    たとえば、電卓に対して実行可能ファイル パターンを指定する場合は、次のように入力します。
    ' VB code
baseState.ExecutablePattern = "*\\calc.exe"
    // C# code
baseState.ExecutablePattern = "*\\calc.exe";
  7. 実行可能ファイルと一緒にコマンド ライン パターンを使用する場合は、次のコードを使用します。
    ' VB code
baseState.CommandLinePattern = commandLinePattern
    // C# code
baseState.CommandLinePattern = commandLinePattern;
    たとえば、アプリケーションのコマンド ラインが com.example.MyMainClass で終わる場合には、コマンド ライン パターンに *com.example.MyMainClass を使用します。
    ' VB code
baseState.CommandLinePattern = "*com.example.MyMainClass"
    // C# code
baseState.CommandLinePattern = "*com.example.MyMainClass";
  8. Web アプリケーションまたはモバイル Web アプリケーションをテストする場合、現在のプロジェクトに対してアプリケーション構成が設定されていない場合は、インストール済みのブラウザまたはモバイル ブラウザから 1 つを指定します。 たとえば、Google Chrome を指定する場合は、次のように入力します。
    ' VB code
baseState.BrowserType = BrowserType.GoogleChrome
    // C# code
baseState.BrowserType = BrowserType.GoogleChrome;
  9. Web アプリケーションまたはモバイル Web アプリケーションをテストする場合、現在のプロジェクトに対してアプリケーション構成が設定されていない場合は、テストする Web アプリケーションのアドレスを指定します。
    ' VB code
baseState.Url = url
    // C# code
baseState.Url = url;
    たとえば、次のように入力します。
    ' VB code
baseState.Url = "demo.borland.com/InsuranceWebExtJS/"
    // C# code
baseState.Url = "demo.borland.com/InsuranceWebExtJS/";
  10. デスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー ウィンドウの幅と高さを指定できます。
    ' VB code
baseState.ViewportHeight = viewportHeight
baseState.ViewportWidth = viewportWidth
    // C# code
baseState.ViewportHeight = viewportHeight;
baseState.ViewportWidth = viewportWidth;
  11. リモート ロケーション上の Web アプリケーション、またはモバイル ネイティブ アプリケーションをテストする場合は、接続文字列を指定します。
    ' VB code
New MobileBaseState(connectionString)
    // C# code
new MobileBaseState(connectionString);
    接続文字列についての詳細は、「リモート デスクトップ ブラウザーの接続文字列」または「モバイル デバイスの接続文字列」を参照してください。
  12. Mozilla Firefox または Google Chrome のケイパビリティを編集する場合にも、接続文字列を使用できます。 たとえば、Mozilla Firefox のダウンロード フォルダーを設定する場合は、次のように入力します。
    ' VB code
baseState.ConnectionString = "moz:firefoxOptions= {\"prefs\": { \"browser.download.dir\":\"C:/Download/\"}};"
    // C# code
baseState.ConnectionString = "moz:firefoxOptions= {\"prefs\": { \"browser.download.dir\":\"C:/Download/\"}};";
    詳細については、「WebDriver ベースのブラウザーのケイパビリティの設定」を参照してください。
親トピック: 基本状態
関連タスク
ユーザー インターフェイスからの基本状態の変更


基本状態の実行

アプリケーションに対してテストの記録を開始する前に基本状態を実行することで、記録するすべてのアプリケーションを起動して、記録に適した状態にすることができます。

基本状態を実行するには：

Silk4NET > 基本状態の実行 をクリックします。
アプリケーションの種類に応じて、Silk4NET は次のアクションを実行します。
  • 現在のプロジェクトで定義されているアプリケーション構成に対応するすべてのアプリケーションのアプリケーション構成を実行します。
  • Web アプリケーションの場合、Silk4NET は指定したブラウザで指定した URL の Web アプリケーションを開きます。
  • モバイル Web アプリケーションの場合、Silk4NET は指定したモバイル デバイスまたはエミュレータ上の指定したブラウザで指定した URL を開きます。
  • モバイル ネイティブ アプリケーションの場合、Silk4NET は指定したモバイル デバイスまたはエミュレータ上で指定したアプリを開きます。指定したアプリが指定したモバイル デバイスまたはエミュレータ上にインストールされていない場合、Silk4NET はアプリをインストールしてから開きます。
親トピック: 基本状態


アプリケーション構成

アプリケーション構成は、テストするアプリケーションに Silk4NET が接続する方法を定義します。Silk4NET は、基本状態を作成するときに、アプリケーション構成を自動的に作成します。しかし、アプリケーション構成を追加したり、変更や削除をすることが必要になる場合があります。たとえば、データベースを変更するアプリケーションをテストしているときに、データベースの内容を確認するためにデータベースのビューアー ツールを使用する場合には、そのデータベースのビューアー ツール用のアプリケーション構成を追加する必要があります。

  • Windows アプリケーションの場合、アプリケーション構成には以下が含まれます。
    • 実行可能ファイル パターン

      このパターンに一致するすべてのプロセスは、テストに対して有効化されます。たとえば、Internet Explorer の実行可能パターンは *\IEXPLORE.EXE です。実行可能ファイルの名前が IEXPLORE.EXE で、任意のディレクトリに置かれているプロセスはすべて有効化されます。

    • コマンド ライン パターン

      コマンドライン パターンは、テストを行うために有効化されるプロセスの制約に使用される補足パターンで、コマンドライン引数の一部 (実行可能ファイル名の後ろ部分) をマッピングすることにより行います。コマンド ライン パターンを含むアプリケーション構成では、実行可能パターンとコマンド ライン パターンの両方に一致するプロセスのみが、テストに対して有効化されます。コマンド ライン パターンが定義されていない場合は、指定された実行可能ファイル パターンを持つすべてのプロセスが有効化されます。コマンド ラインの使用は、Java アプリケーションに対して特に有益です。これは、ほとんどの Java プログラムが javaw.exe を使用して実行されるためです。つまり、典型的な Java アプリケーションに対してアプリケーション構成を作成する場合、実行可能パターンには *\javaw.exe が使用され、このパターンはすべての Java プロセスに一致します。このような場合、コマンド ライン パターンを使用して、該当するアプリケーションのみがテストに対して有効化されるようにします。たとえば、アプリケーションのコマンド ラインが com.example.MyMainClass で終わる場合には、コマンド ライン パターンに *com.example.MyMainClass を使用します。

  • ローカル マシン上のデスクトップ ブラウザの Web アプリケーションの場合、アプリケーション構成にはブラウザの種類だけが含まれます。
    注: コマンド ライン引数を指定してブラウザを開始したり、ブラウザの作業ディレクトリや実行可能ファイルを指定するには、ブラウザの種類でカスタムを選択します。詳細については、「基本状態の変更」を参照してください。
  • リモート マシン上の Apple Safari や Microsoft Edge の Web アプリケーションの場合、アプリケーション構成には以下が含まれます。
    • ブラウザの種類
    • 接続文字列
  • モバイル ブラウザの Web アプリケーションの場合、アプリケーション構成には以下が含まれます。
    • ブラウザの種類
    • 接続文字列
  • ネイティブ モバイル アプリケーションの場合、アプリケーション構成には以下が含まれます。
    • 接続文字列
    • シンプルなアプリケーション名。モバイル デバイス上で複数のアプリケーションが同じ名前を持つ場合は、アプリケーションの完全修飾名が使用されます。
注: 定義済みの基本状態を使って Web アプリケーションをテストするときに、ブラウザー アプリケーション構成を複数追加しないでください。

  • アプリケーション構成の変更
    Silk4NET がテストするアプリケーションに接続する方法を定義します。
  • [アプリケーションの選択] ダイアログ ボックス
    アプリケーションの選択 ダイアログ ボックスについて説明します。
  • リモート ロケーションの編集
    リモート ロケーションを指定することで、これらのロケーション上で利用可能なブラウザやモバイル デバイスを、テストするアプリケーションのセットに追加できます。
  • アプリケーション構成エラー
    アプリケーションへのアタッチに失敗する原因として考えられる問題とその推奨解決策を示します。
  • アプリケーション構成のトラブルシューティング
    テストするアプリケーションを構成する際に直面する可能性のある問題に対処するのに有用な情報を提供します。
  • 複数のアプリケーションをテストするテストの作成
    複数のアプリケーション構成をプロジェクトに追加して、同時に複数のアプリケーションをテストします。
関連概念
基本状態
Silk4NET プロジェクトの操作
モバイル デバイスの接続文字列
リモート デスクトップ ブラウザーの接続文字列
関連タスク
ユーザー インターフェイスからの基本状態の変更


アプリケーション構成の変更

アプリケーション構成は、テストするアプリケーションに Silk4NET が接続する方法を定義します。Silk4NET は、基本状態を作成するときに、アプリケーション構成を自動的に作成します。しかし、アプリケーション構成を追加したり、変更や削除をすることが必要になる場合があります。たとえば、データベースを変更するアプリケーションをテストしているときに、データベースの内容を確認するためにデータベースのビューアー ツールを使用する場合には、そのデータベースのビューアー ツール用のアプリケーション構成を追加する必要があります。
  1. Silk4NET をクリックして、アプリケーション構成の編集 を選択します。 アプリケーション構成の編集 ダイアログ ボックスが開き、既存のアプリケーション構成がリストされます。
  2. アプリケーション構成をさらに追加するには、アプリケーション構成の追加 をクリックします。
    注: 定義済みの基本状態を使って Web アプリケーションをテストするときに、ブラウザー アプリケーション構成を複数追加しないでください。
    アプリケーションの選択 ダイアログ ボックスが開きます。タブを選択してからテストするアプリケーションを選択して OK をクリックします。
  3. アプリケーション構成を削除するには、該当するアプリケーション構成の隣にある 削除 をクリックします。
  4. アプリケーション構成を編集するには、編集 をクリックします。
  5. デスクトップ アプリケーションのテストを行う場合は、実行可能ファイル パターン テキスト ボックスに、テストするデスクトップ アプリケーションの実行可能ファイルの名前とファイルへのパスを入力します。 たとえば、電卓を指定する場合には、*\calc.exe と入力します。
  6. デスクトップ アプリケーションをテストし、実行可能ファイルと一緒にコマンド ライン パターンを使用したい場合には、コマンド ライン パターンを コマンド ライン パターン テキスト ボックスに入力します。
  7. Web アプリケーションまたはモバイル Web アプリケーションをテストするには、現在のプロジェクトに対してアプリケーション構成が設定されていない場合は、リストからインストール済みのブラウザまたはモバイル ブラウザのうちの 1 つを選択します。 変更 をクリックして アプリケーションの選択 ダイアログ ボックスを開き、使用するブラウザーを選択することもできます。
  8. Web アプリケーションをテストする場合は、移動する URL テキスト ボックスに、テストの開始時に表示する Web ページの Web アドレスを入力します。
  9. Web アプリケーションのビジュアル ブレークポイントを検出する場合は、分析 をクリックします。 詳細については、「ビジュアル ブレークポイントの検出」を参照してください。
  10. 省略可能：あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。
    たとえば、Apple Safari 上の Web アプリケーションを Apple iPhone 7 の画面と同じ大きさのブラウザー ウィンドウでテストするには、リストから Apple iPhone 7 を選択します。
  11. 省略可能：ブラウザー ウィンドウの 向き を選択します。
  12. モバイル アプリケーションや Apple Safari 上の Web アプリケーションをテストする場合は、接続文字列 テキスト ボックスに接続文字列を入力します。 詳細については、「モバイル デバイスの接続文字列」を参照してください。
  13. OK をクリックします。
親トピック: アプリケーション構成
関連概念
[アプリケーションの選択] ダイアログ ボックス
レスポンシブ Web デザインのテスト
関連タスク
ユーザー インターフェイスからの基本状態の変更
リモート ロケーションの編集
ビジュアル ブレークポイントの検出


[アプリケーションの選択] ダイアログ ボックス

アプリケーションの選択 ダイアログ ボックスを使用して、テストしたアプリケーションを選択し、アプリケーションとオブジェクト マップを関連付けたり、アプリケーション構成をテストに追加したりします。アプリケーションの種類は、ダイアログ ボックスのタブとしてリストされます。使用したいアプリケーションの種類に対応したタブを選択します。

Windows
システムで実行中のすべての Microsoft Windows アプリケーションの一覧が表示されます。リストから項目を選択して、OK をクリックします。

キャプションを持たないプロセスを表示しない チェック ボックスを使用して、キャプションを持たないアプリケーションを一覧から除去します。

Web

利用可能なすべてのブラウザーの一覧が表示されます (任意の接続済みモバイル デバイス上のモバイル ブラウザーや Mac 上の Apple Safari を含む)。移動する URL の入力 テキスト ボックスに、開く Web ページを指定します。選択したブラウザのインスタンスが既に実行されている場合、実行中のブラウザーの URL を使用する をクリックして、実行中のブラウザ インスタンスに現在表示されている URL の記録を行うことができます。あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。ブラウザー サイズを選択する場合は、選択したブラウザーの 向き も選択できます。

注: 定義済みの基本状態を使って Web アプリケーションをテストするときに、ブラウザー アプリケーション構成を複数追加しないでください。
モバイル
利用可能なすべてのモバイル デバイスとすべての実行中の Android エミュレーターの一覧が表示されます (リモート ロケーションに接続されたデバイスを含む)。モバイル ネイティブ アプリケーションをテストする場合は、このタブを選択します。選択したモバイル デバイス上で現在実行中のモバイル アプリケーション (アプリ) をテストするために選択したり、テストするアプリの名前やファイルを手動で参照したり指定することができます。
親トピック: アプリケーション構成
関連概念
モバイル デバイスの接続文字列
リモート デスクトップ ブラウザーの接続文字列
関連タスク
アプリケーション構成の変更
リモート ロケーションの編集


リモート ロケーションの編集

リモート ロケーション ダイアログ ボックスを使用すると、リモート ロケーション上のブラウザやモバイル デバイスを、テストするアプリケーションのセットに追加できます。
  1. Silk4NET > リモート ロケーションの編集 をクリックします。 リモート ロケーション ダイアログ ボックスが表示されます。
  2. リモート ロケーションを追加するには、次の操作を実行します。
    1. ロケーションの追加 の右側にある矢印をクリックして、Silk Test Information Service を使用してリモート ロケーションを追加するのか、Silk Central を追加するのかを指定します。
      注: Silk Central は 1 つだけリモート ロケーションとして設定できます。Silk Central との統合が既に設定されている場合は、リモート ロケーション リストに Silk Central が表示されます。
    2. ロケーションの追加 をクリックします。ロケーションの追加 ダイアログ ボックスが表示されます。
    3. Silk4NET がリモート マシン上の Information Service に接続するためのリモート ロケーションの URL とポートを、ホスト フィールドに入力します。 デフォルトのポートは 22901 です。
    4. 省略可能：名前 フィールドにリモート ロケーションの名前を入力します。
  3. 既存のリモート ロケーションを編集するには、編集 をクリックします。
  4. リモート ロケーションを削除するには、削除 をクリックします。
  5. 省略可能：アプリケーションの選択 ダイアログに表示されるブラウザーやデバイスの数を減らすには、このロケーション上のデバイスとブラウザーを非表示 をクリックします。 そのリモート ロケーションにインストールされたブラウザーや接続されたデバイスが、アプリケーションの選択 ダイアログに表示されなくなります。デフォルトでは、すべてのリモート ロケーションにインストールされたブラウザーや接続されたデバイスのすべてが、アプリケーションの選択 ダイアログに表示されます。
  6. デフォルトでは、リモート ロケーションは %APPDATA%\Silk\SilkTest\conf\remoteLocations.xml に保存されます。他のチーム メンバーと設定を共有したい場合など、リモート ロケーションを保存するファイルを変更するには、次の操作を実行します。
    1. 共有オプション をクリックします。共有オプション ダイアログ ボックスが表示されます。
    2. 共有ファイルに保存 をクリックします。
    3. 参照 をクリックして、ファイルを選択します。
    リポジトリにあるファイルを使用したい場合は、remoteLocationsFileLocation.properties という名前のファイルにリモート ロケーションへの完全パスを設定できます。たとえば、C:\mySources に保存した remoteLocations.xml で指定したリモート ロケーションを使用する場合は、%APPDATA%\Silk\SilkTest\conf\ フォルダーに remoteLocationsFileLocation.properties という名前のファイルを作成し、fileLocation=C\:\\mySources\\remoteLocations.xml を入力します。
  7. 他のチーム メンバーによって指定されたリモート ロケーションを使用する場合など、共有ファイルから設定済みのリモート ロケーションのセットを読み込むには、次の操作を実行します。
    1. 共有オプション をクリックします。共有オプション ダイアログ ボックスが表示されます。
    2. 共有ファイルから読み込む をクリックします。
    3. 参照 をクリックして、ファイルを選択します。
  8. OK をクリックします。
リモート ロケーションを追加すると、リモート ロケーション上にインストールされているブラウザ (Mac 上の Apple Safari など) が、アプリケーションの選択 ダイアログ ボックスの Web タブで利用可能になり、リモート ロケーションに接続されているモバイル デバイスが、アプリケーションの選択 ダイアログ ボックスの モバイル タブで利用可能になります。
親トピック: アプリケーション構成
関連概念
Open Agent を使用したリモート テスト
[アプリケーションの選択] ダイアログ ボックス
関連タスク
アプリケーション構成の変更
Silk Test Information Service を Mac にインストールする
関連資料
Mac 上の Apple Safari を使用したテストにおける前提条件


アプリケーション構成エラー

アプリケーションにアタッチできない場合、以下のエラー メッセージが表示されます。
アプリケーション <アプリケーション名> にアタッチするのに失敗しました。詳細については、ヘルプを参照してください。

この場合、以下の表に示されている 1 つ以上の問題が原因である可能性があります。

問題 | 原因 | 解決策
タイムアウト
  • システムが遅すぎます。
  • システムのメモリ サイズが小さすぎます。
 速いシステムを使用するか、現在使用しているシステムのメモリ使用量を減らします。
ユーザー アカウント制御 (UAC) の失敗 | システムの管理者権限がありません。 | 管理者権限を持つユーザー アカウントでログインします。
コマンド ライン パターン | コマンド ライン パターンが固有すぎます。この問題は特に Java の場合に発生します。再生が意図したとおりに機能しないことがあります。 | パターンから不明瞭なコマンドを削除します。
  • ブラウザーの選択 ダイアログ ボックスが、Web アプリケーションに対してテストを実行しているときに表示されない
  • Web アプリケーションに対してテストを実行しているときに、複数のブラウザー インスタンスが開始される
  • 開いているブラウザー インスタンスを使用して Web アプリケーションに対してテストを実行しているときに、Silk4NET が動作を停止することがある
 基本状態と複数のブラウザー アプリケーション構成がテスト ケースに対して定義されています。 1 つを除くすべてのブラウザー アプリケーション構成をテスト ケースから削除します。
テスト実行時の再生エラー

テストに対してアプリケーション構成が定義されていません。

次の例外が表示される可能性があります：

アプリケーション構成が存在しません。
  • キーワード駆動テストを実行するときに、基本状態を実行するキーワードがテストに含まれていることを確認します。
  • アプリケーション構成が現在のプロジェクトに対して設定されていることを確認します。
親トピック: アプリケーション構成
関連資料
アプリケーション構成のトラブルシューティング


アプリケーション構成のトラブルシューティング

アプリケーションの選択 ダイアログ ボックスにアプリケーションが表示されない理由

  • キャプションを持たないプロセスを表示しない チェック ボックスをオフにします。このチェック ボックスは、デフォルトではオンになっており、キャプションを持たないアプリケーションはダイアログ ボックスに表示されません。
  • Silk4NET をシステム特権で実行します。
    1. Silk4NET を閉じます。
    2. Open Agent を停止します。
    3. Silk4NET を管理者として実行します。
  • タスク マネージャー を使用して、アプリケーションが他のユーザー アカウントで実行されていないか確認します。
  • アプリケーションが runas コマンド、または同等のコマンドで起動されていないか確認します。
親トピック: アプリケーション構成
関連資料
アプリケーション構成エラー


複数のアプリケーションをテストするテストの作成

単一のテスト スクリプトで複数のアプリケーションをテストできます。このようなテスト スクリプトを作成するには、テストするアプリケーションそれぞれに対するアプリケーション構成を、スクリプトが存在するプロジェクトに追加する必要があります。
  1. テストする主要なアプリケーション用に、テストを記録するか手動でスクリプトを作成します。
  2. Silk4NET をクリックして、アプリケーション構成の編集 を選択します。 アプリケーション構成の編集 ダイアログ ボックスが開き、既存のアプリケーション構成がリストされます。
  3. アプリケーション構成をさらに追加するには、アプリケーション構成の追加 をクリックします。
    注: 定義済みの基本状態を使って Web アプリケーションをテストするときに、ブラウザー アプリケーション構成を複数追加しないでください。
    アプリケーションの選択 ダイアログ ボックスが開きます。タブを選択してからテストするアプリケーションを選択して OK をクリックします。
  4. OK をクリックします。
  5. 新しいアプリケーション構成を使用して、スクリプトに追加の操作を記録するか手動でスクリプトを作成します。
注: 定義済みの基本状態を使って Web アプリケーションをテストするときに、ブラウザー アプリケーション構成を複数追加しないでください。
親トピック: アプリケーション構成


スクリプト オプションの設定

記録、ブラウザ、カスタム属性、無視するクラス、同期、および再生モードに関するスクリプト オプションを指定します。

注: Silk4NET のプロジェクトごとに、Silk4NET によって config.Silk4net 構成ファイルが作成されます。 Silk4NET によって、テスト対象のアプリケーションの基本状態とすべてのオプションがこのファイルに保存されます。 その後、オプションが再生中に使用されます。
  • TrueLog オプションの設定
    ビットマップをキャプチャして Silk4NET の情報を記録するように TrueLog を有効化します。
  • 記録オプションの設定
    記録を一時停止するためのショートカット キーの組み合わせを設定したり、絶対値による指定やマウスの移動操作が記録されるかどうかを指定したりします。
  • ブラウザの記録オプションの設定
    記録中に無視するブラウザの属性や DOM 関数の代わりに、ユーザーの入力そのものを記録するかどうかを指定します。
  • カスタム属性の設定
    頻繁には変更されない属性を利用して、適切に定義されたロケーターでは、メンテナンス作業が少なく抑えられます。カスタム属性を使用すると、caption や index などの他の属性を使用するよりも高い信頼性を得ることができます。これは、caption はアプリケーションを他の言語に翻訳した場合に変更され、index は他のオブジェクトが追加されると変更される可能性があるためです。
  • 無視するクラスの設定
    記録や再生中に無視したいクラスの名前を指定します。
  • 記録/再生の対象とする WPF クラスの設定
    記録や再生の対象にしたい WPF クラスの名前を指定します。
  • 同期オプションの設定
    Web アプリケーションの同期およびタイムアウトの値を指定します。
  • 再生オプションの設定
    テストするオブジェクトがアクティブであることを確実にしたいかどうかや、デフォルトの再生モードを上書きしたいかどうかを指定します。再生モードは、コントロールがマウスやキーボードによって再生されるか、API で再生されるかを定義します。デフォルト モードを使用すると、最も信頼できる結果が得られます。他のモードを選択した場合は、すべてのコントロールが選択したモードを使用します。
  • 詳細オプションの設定
    詳細オプションでは、ハイブリッド アプリのフォールバック サポートを有効化したり、ロケーター属性名の大文字小文字を区別するかどうか、などを設定できます。


TrueLog オプションの設定

ビットマップをキャプチャして Silk4NET の情報を記録するように TrueLog を有効化します。

ビットマップとコントロールを TrueLog に記録すると、Silk4NET のパフォーマンスに悪影響が出ることがあります。ビットマップをキャプチャして情報を記録すると TrueLog ファイルが大きくなることがあるので、エラーを含むテスト ケースのみを記録するように、詳細情報が必要なテスト ケース用に TrueLog オプションを調整できます。

テストの結果は、TrueLog Explorer で検証できます。詳細については、『Silk TrueLog Explorer Silk Test のヘルプ』を参照してください。

注: Silk Test 17.5 以降では、TrueLog ファイルのサイズを小さくするために、TrueLog ファイルのファイル形式が .xlg 形式から .tlz 形式に変更されました。.xlg 拡張子のファイルには、自動的に .tlz 拡張子が追加されます。.tlz 形式の結果データを解析するときには、.tlz ファイルを展開し、展開された .xlg ファイルを使ってデータを解析することもできます。

TrueLog を有効にして、TrueLog が Silk4NET 用に収集する情報をカスタマイズするには、次の手順に従います。

  1. Silk4NET > オプションの編集 をクリックします。 スクリプト オプション ダイアログ ボックスが表示されます。
  2. TrueLog タブをクリックします。
  3. TrueLog の場所 フィールドで TrueLog ファイルの名前とパス（省略可能）を入力するか、参照 をクリックしてファイルを選択します。
  4. スクリーンショット モード を選択します。 デフォルトは、エラー時 です。
  5. 省略可能：遅延 を設定します。 この遅延により、ビットマップが撮影される前にオペレーティング システムがアプリケーション ウィンドウを描画する時間を確保できます。キャプチャされたビットマップでアプリケーションが適切に描画されない場合は、遅延時間を増やしてください。
  6. OK をクリックします。
親トピック: スクリプト オプションの設定
関連概念
TrueLog の有効化


記録オプションの設定

記録を一時停止するためのショートカット キーの組み合わせを設定したり、絶対値による指定やマウスの移動操作が記録されるかどうかを指定したりします。
注: 以下の設定はすべて任意です。テスト メソッドの品質が向上する場合に、これらの設定を変更してください。
  1. Silk4NET > オプションの編集 をクリックします。
  2. 記録 タブ をクリックします。
  3. 記録の一時停止に使用するショートカット キーの組み合わせとして Ctrl+Shift を設定するには、OPT_ALTERNATE_RECORD_BREAK チェック ボックスをオンにします。 デフォルトのショートカット キーの組み合わせは、Ctrl+Alt です。
  4. スクロール イベントの絶対値を記録するには、OPT_RECORD_SCROLLBAR_ABSOLUT チェック ボックスをオンにします。
  5. Web アプリケーション、Win32 アプリケーション、および Windows Forms アプリケーションのマウス移動操作を記録するには、OPT_RECORD_MOUSEMOVES チェック ボックスをオンにします。たとえば、Apache Flex や Swing など、xBrowser テクノロジー ドメインの子テクノロジ ドメインのマウス移動操作を記録することはできません。
  6. マウスの移動操作を記録する場合は、OPT_RECORD_MOUSEMOVE_DELAY テキスト ボックスで、MouseMove 操作を記録する前に必要なマウスの静止時間をミリ秒で指定します。 デフォルト値は、200 に設定されています。
  7. 概して、TextClick 操作のほうが Click 操作よりも望ましいオブジェクトで、Click 操作ではなくテキストのクリック操作を記録するには、OPT_RECORD_TEXT_CLICK チェック ボックスをオンにします。
  8. 概して、ImageClick 操作のほうが Click 操作よりも望ましいオブジェクトで、Click 操作ではなくイメージのクリック操作を記録するには、OPT_RECORD_IMAGE_CLICK チェック ボックスをオンにします。
  9. オブジェクト マップ エントリを記録するか、XPath ロケーターを記録するかを定義するには、OPT_RECORD_OBJECTMAPS_MODE リストから適切な記録モードを選択します。
    • オブジェクト マップ エントリ (新しいオブジェクトと既存のオブジェクト)。これはデフォルトのモードです。
    • XPath ロケーター (新しいオブジェクトと既存のオブジェクト)。
    • XPath ロケーター (新しいオブジェクトのみ)。オブジェクト マップに既に存在するオブジェクトに対しては、オブジェクト マップ エントリが再利用されます。この設定を選択すると、AUT のメイン コントロールに対するオブジェクト マップを作成し、AUT に対して追加のテストを作成する間、これらのオブジェクト マップを保持することができます。
  10. 記録セッションの開始時にテスト対象アプリケーション (AUT) のサイズを変更する場合は、 OPT_RESIZE_APPLICATION_BEFORE_RECORDING チェック ボックスをオンにします。 このチェック ボックスはデフォルトでオンになっており、AUT の隣に Silk Recorder が表示されます。このチェック ボックスをオフにすると、AUT と Silk Recorder が重なって表示される場合があります。
  11. OK をクリックします。
親トピック: スクリプト オプションの設定


ブラウザの記録オプションの設定

記録中に無視するブラウザの属性や DOM 関数の代わりに、ユーザーの入力そのものを記録するかどうかを指定します。
注: 以下の設定はすべて任意です。テスト メソッドの品質が向上する場合に、これらの設定を変更してください。
  1. Silk4NET > オプションの編集 をクリックします。 スクリプト オプション ダイアログ ボックスが表示されます。
  2. ブラウザー タブをクリックします。
  3. ロケーター属性名除外リスト グリッドで、記録中に無視する属性名を入力します。 たとえば、height という名前の属性を記録しない場合には、height 属性名をグリッドに追加します。 複数の属性名を指定する場合にはカンマで区切ります。
  4. ロケーター属性値除外リスト グリッドで、記録中に無視する属性値を入力します。 たとえば、x-auto という値を持つ属性を記録しない場合には、x-auto をグリッドに追加します。 複数の属性値を指定する場合にはカンマで区切ります。
  5. DOM 関数の代わりにユーザーの入力そのものを記録するには、OPT_XBROWSER_RECORD_LOWLEVEL チェック ボックスをオンにします。 たとえば、DomClick の代わりに Click、SetText の代わりに TypeKeys を記録するには、このチェック ボックスをオンにします。 アプリケーションでプラグインまたは AJAX を使用している場合は、ユーザーの入力そのものを使用します。アプリケーションでプラグインまたは AJAX を使用していない場合は、再生中にブラウザにフォーカスを設定したりブラウザをアクティブにしたりする必要がない高レベル DOM 関数を使用することをお勧めします。テストで DOM 関数を使用すると、より高速になり、信頼性も高まります。
  6. ロケーター属性値の最大長を設定するには、属性値の最大の長さ セクションのフィールドに長さを入力します。 実際の長さがこの制限を超えると、値は切り捨てられ、ワイルド カード (*) が付加されます。デフォルト値は、20 文字に設定されています。
  7. 指定したターゲット要素上の遮るもののないクリック スポットを自動的に検索するには、OPT_XBROWSER_ENABLE_SMART_CLICK_POSITION チェック ボックスをオンにします。
  8. Mozilla Firefox で外部リンクを新しいウィンドウではなく新しいタブで開く場合は、OPT_FIREFOX_SINGLE_WINDOW_MODE をオンにします。
    注: このオプションは、Mozilla Firefox 52 以降を使用している場合にのみ動作します。
  9. ブラウザーの iframe および frame サポートを無効にするには、OPT_XBROWSER_ENABLE_IFRAME_SUPPORT チェック ボックスをオフにします。 Web アプリケーションの iframe の内容を無視して良い場合、iframe のサポートを無効にすると再生速度が速くなる可能性があります。たとえば、多くの広告が表示される Web ページやモバイル ブラウザーでテストする際に iframeサポートを無効にすると、再生パフォーマンスが大幅に向上する可能性があります。このオプションは、Internet Explorer では無視されます。このオプションは、デフォルトで有効になっています。
  10. iframe サポートのホワイトリスト に、テストの対象となる iframe と frame の属性リストを指定します。 リストの各項目で、属性名と対応する値を定義します。項目のどれにも一致しない iframe と frame は、テスト対象から除外されます。ワイルドカードを使用できます。たとえば、"name:*form" という項目を定義すると、<IFRAME name="user-form" src=...> がテスト対象に含まれます。このオプションは、Internet Explorer では無視されます。リストが空の場合は、すべての iframe と frame がテストの対象となります。複数のエントリをカンマで区切って指定します。
  11. iframe サポートのブラックリスト に、テストから除外する iframe と frame の属性リストを指定します。 リストの各項目で、属性名と対応する値を定義します。項目のどれにも一致しない iframe と frame は、テスト対象に含まれます。ワイルドカードを使用できます。たとえば、"src:*advertising*" という項目を定義すると、<IFRAME src=http://my.domain/advertising-banner.html> がテスト対象から除外されます。このオプションは、Internet Explorer では無視されます。リストが空の場合は、すべての iframe と frame がテストの対象となります。複数のエントリをカンマで区切って指定します。
  12. OK をクリックします。
親トピック: スクリプト オプションの設定
関連概念
xBrowser における API 再生とネイティブ再生の比較


カスタム属性の設定

Silk4NET には、ロケーターが記録時に一意となり、メンテナンスが容易になるようにする、高度なロケーター生成メカニズムが備えられています。使用するアプリケーションやフレームワークに応じて、最適な結果を得るためにデフォルト設定を変更できます。それぞれのテクノロジで使用できる任意のプロパティ (整数や倍精度の数値、文字列、項目識別子、列挙値) を、カスタム属性として使用できます。

頻繁には変更されない属性を利用して、適切に定義されたロケーターでは、メンテナンス作業が少なく抑えられます。カスタム属性を使用すると、caption や index などの他の属性を使用するよりも高い信頼性を得ることができます。これは、caption はアプリケーションを他の言語に翻訳した場合に変更され、index は他のオブジェクトが追加されると変更される可能性があるためです。

カスタム属性 タブのリスト ボックスに一覧表示されているテクノロジ ドメインの場合、任意のプロパティー (myCustomProperty を定義する WPFButton など) を取得し、それらのプロパティーをカスタム属性として使用することもできます。最適な結果を得るために、テストで利用する要素にカスタム オートメーション ID を追加します。Web アプリケーションでは、操作する要素に <div myAutomationId= "my unique element name" /> などの属性を追加できます。また、Java SWT では、GUI を実装する開発者が属性 (testAutomationId など) をウィジェットに対して定義することによって、アプリケーション内でそのウィジェットを一意に識別できます。テスト担当者は、その属性をカスタム属性 (この場合は testAutomationId) のリストに追加し、その一意の ID によってコントロールを識別できます。この手法によって、ロケーターの変更に伴うメンテナンス作業を回避することができます。

caption のように、複数のオブジェクトで同じ属性値が共有されている場合、Silk4NET は、複数の利用可能な属性を "and" 操作で結合してロケーターを一意にするよう試み、一致したオブジェクトのリストを単一のオブジェクトになるまで絞り込んでいきます。それができなくなった場合には、索引を付加します。つまり、ロケーターは caption が xyz である n 番め のオブジェクトを探すことを意味します。

複数のオブジェクトに同じカスタム属性の値が割り当てられた場合は、そのカスタム属性を呼び出したときにその値を持つすべてのオブジェクトが返されます。たとえば、一意の ID として loginName を 2 つの異なるテキスト フィールドに割り当てた場合は、loginName 属性を呼び出したときに、両方のフィールドが返されます。

  1. Silk4NET > オプションの編集 をクリックします。 スクリプト オプション ダイアログ ボックスが表示されます。
  2. カスタム属性 タブを選択します。
  3. テクノロジ ドメインを選択します リスト ボックスから、テストするアプリケーションのテクノロジ ドメインを選択します。
    注: Flex または Windows API ベースのクライアント／サーバー (Win32) アプリケーションには、カスタム属性を設定できません。
  4. 使用する属性をリストに追加します。 カスタム属性が利用可能な場合は、ロケーター生成プログラムは、他の属性の前にそれらの属性を使用します。リストの順番は、ロケーター生成プログラムが使用する属性の優先順位を表しています。指定した属性が選択したオブジェクトに対して利用可能ではなかった場合には、Silk4NET はテストしているアプリケーションのデフォルトの属性を使用します。

    複数の属性名を指定する場合にはカンマで区切ります。

    注: Web アプリケーションにカスタム属性を含めるためには、HTML タグとして追加します。たとえば、bcauid という属性を追加するには、<input type='button' bcauid='abc' value='click me' /> と入力します。
    注: Java SWT コントロールにカスタム属性を含めるには、org.swt.widgets.Widget.setData(String key, Object value) メソッドを使用します。
    注: Swing コントロールにカスタム属性を含めるには、putClientProperty("propertyName", "propertyValue") メソッドを使用します。
  5. OK をクリックします。
親トピック: スクリプト オプションの設定


無視するクラスの設定

オブジェクト階層を単純化し、テスト スクリプトや関数のコードの行の長さを短くするために、次のテクノロジの確実に不要なクラスに対するコントロールを抑制できます。
  • Win32
  • Java AWT/Swing
  • Java SWT/Eclipse
  • Windows Presentation Foundation (WPF)
  1. Silk4NET > オプションの編集 をクリックします。 スクリプト オプション ダイアログ ボックスが表示されます。
  2. 無視するクラス タブをクリックします。
  3. 無視するクラス グリッドで、記録や再生中に無視するクラスの名前を入力します。 複数のクラス名を指定する場合にはカンマで区切ります。
  4. OK をクリックします。
親トピック: スクリプト オプションの設定


記録/再生の対象とする WPF クラスの設定

記録や再生の対象にしたい WPF クラスの名前を指定します。たとえば、MyGrid というカスタム クラスが WPF Grid クラスから継承された場合、MyGrid カスタム クラスのオブジェクトは記録や再生に使用できません。Grid クラスはレイアウト目的のためにのみ存在し、機能テストとは無関係であるため、Grid オブジェクトは記録や再生に使用できません。この結果、Grid オブジェクトはデフォルトでは公開されません。機能テストに無関係なクラスに基づいたカスタム クラスを使用するには、カスタム クラス (この場合は MyGrid) を OPT_WPF_CUSTOM_CLASSES オプションに追加します。これによって、記録、再生、検索、プロパティの検証など、すべてのサポートされる操作を指定したクラスに対して実行できるようになります。

  1. Silk4NET > オプションの編集 をクリックします。 スクリプト オプション ダイアログ ボックスが表示されます。
  2. WPF タブをクリックします。
  3. カスタム WPF クラス名 グリッドで、記録や再生中に公開するクラスの名前を入力します。 複数のクラス名を指定する場合にはカンマで区切ります。
  4. OK をクリックします。
親トピック: スクリプト オプションの設定


同期オプションの設定

Web アプリケーションの同期およびタイムアウトの値を指定します。
注: 以下の設定はすべて任意です。テスト メソッドの品質が向上する場合に、これらの設定を変更してください。
  1. Silk4NET > オプションの編集 をクリックします。 スクリプト オプション ダイアログ ボックスが表示されます。
  2. 同期 タブを選択します。
  3. Web アプリケーションを準備完了状態にするための同期アルゴリズムを指定するには、OPT_XBROWSER_SYNC_MODE リスト ボックスからオプションを選択します。 同期アルゴリズムは、呼び出しが可能になる状態までの待機時間を設定します。デフォルト値は、AJAX に設定されています。
  4. 同期除外リスト テキスト ボックスに、除外するサービスまたは Web ページの URL 全体あるいは URL の一部を入力します。

    AJAX フレームワークやブラウザによっては、サーバーから非同期にデータを取得するために、特殊な HTTP 要求を継続して出し続けるものがあります。これらの要求により、指定した同期タイムアウトの期限が切れるまで同期がハングすることがあります。この状態を回避するには、HTML 同期モードを使用するか、問題が発生する要求の URL を 同期除外リスト 設定で指定します。

    たとえば、クライアントからデータをポーリングすることによってサーバー時間を表示するウィジェットを Web アプリケーションで使用する場合は、このウィジェットのトラフィックが永続的にサーバーに送信されます。このサービスを同期から除外するには、サービス URL を判別し、除外リストに入力します。 たとえば、以下のように入力します。
    • http://example.com/syncsample/timeService
    • timeService
    • UICallBackServiceHandler
    複数のエントリをカンマで区切って指定します。
    注: アプリケーションで 1 つのサービスのみが使用されている場合、そのサービスでテストを無効にするには、サービス URL を除外リストに追加するのではなく、HTML 同期モードを使用する必要があります。
    ヒント: 除外リストには、URL 全体ではなく URL の部分文字列を追加することを、Micro Focus ではお勧めしています。たとえば、http://example.com/syncsample/timeService ではなく、/syncsample を除外リストに追加します。ブラウザは相対 URL のみをSilk4NET に返す場合があるため、URL 全体を指定すると機能しない場合があります。たとえば、ブラウザは /syncsample/timeService だけを返すのに対して、除外リストに http://example.com/syncsample/timeService を追加していると、Silk4NET は返された URL を除外しません。
  5. オブジェクトが準備完了状態になるまでの最大待機時間を指定するには、OPT_SYNC_TIMEOUT テキスト ボックスにミリ秒で値を指定します。 デフォルト値は、300000 に設定されています。
  6. 再生中にオブジェクトが解決されるまでの最大待機時間を指定するには、OPT_WAIT_RESOLVE_OBJDEF テキスト ボックスにミリ秒で値を入力します。 デフォルト値は、5000 に設定されています。
  7. エージェントがオブジェクトの解決を再試行するまでの最大待機時間を指定するには、OPT_WAIT_RESOLVE_OBJDEF_RETRY テキスト ボックスにミリ秒で値を入力します。 デフォルト値は、500 に設定されています。
  8. OK をクリックします。
親トピック: スクリプト オプションの設定
関連概念
Silk4NET がテストを同期する方法


再生オプションの設定

テストするオブジェクトがアクティブであることを確実にしたいかどうかや、デフォルトの再生モードを上書きしたいかどうかを指定します。再生モードは、コントロールがマウスやキーボードによって再生されるか、API で再生されるかを定義します。デフォルト モードを使用すると、最も信頼できる結果が得られます。他のモードを選択した場合は、すべてのコントロールが選択したモードを使用します。
  1. Silk4NET > オプションの編集 をクリックします。 スクリプト オプション ダイアログ ボックスが表示されます。
  2. 再生 タブを選択します。 再生オプション ページが表示されます。
  3. テスト対象アプリケーションの起動に時間がかかる場合は、OPT_APPREADY_TIMEOUT テキスト ボックスの値を増やして、アプリケーションを待機する時間を増やしてください。
  4. OPT_REPLAY_MODE リスト ボックスから、以下のいずれかのオプションを選択します。
    • デフォルト： このモードを使用すると、最も信頼できる結果が得られます。デフォルトでは、各コントロールそれぞれが、マウスやキーボード (低レベル)、あるいは API (高レベル) モードのどちらかを使用します。デフォルト モードを使用すると、各コントロールがコントロールの種類に応じて適切なモードが使用されます。
    • 高レベル： このモードを使用すると、対象のテクノロジの API を使用して各コントロールが再生されます。たとえば、Rumba コントロールの場合、Rumba RDE API がコントロールの再生に使用されます。
    • 低レベル： このモードを使用すると、マウスやキーボードを使用して各コントロールが再生されます。
  5. テストするオブジェクトがアクティブであることを確実にするには、OPT_ENSURE_ACTIVE_OBJDEF チェック ボックスをオンにします。
  6. 再生中にオブジェクトが有効になるまでの待機時間を変更するには、オブジェクト有効化タイムアウト セクションのフィールドに新しい時間を入力します。 この時間は、ミリ秒単位で指定されます。デフォルト値は、1000 です。
  7. 再生ステータス ダイアログ ボックスを有効化するには、OPT_SHOW_PLAYBACK_STATUS_DIALOG チェック ボックスをオンにします。 リモート　デバイス上のモバイル アプリケーションに対するテストを実行している場合など、リモート ロケーション上のテストの再生時に実行される操作を表示するために、再生ステータス ダイアログ ボックスを使用できます。
  8. 再生ステータス ダイアログ ボックスにテスト対象アプリケーションのビデオまたはスクリーンショットを表示するには、OPT_PLAYBACK_STATUS_DIALOG_SCREENSHOTS チェック ボックスをオンにします。
  9. OK をクリックします。
親トピック: スクリプト オプションの設定
関連概念
Silk4NET がテストを同期する方法
関連タスク
再生ステータス ダイアログ ボックスの有効化


詳細オプションの設定

詳細オプションでは、ハイブリッド アプリのフォールバック サポートを有効化したり、ロケーター属性名の大文字小文字を区別するかどうか、などを設定できます。
  1. Silk4NET > オプションの編集 をクリックします。 スクリプト オプション ダイアログ ボックスが表示されます。
  2. 詳細設定 タブをクリックします。 詳細オプション ページが表示されます。
  3. 埋め込み Chrome アプリケーションをテストするには、埋め込み Chrome サポートの有効化 フィールドに実行可能ファイルとポートを値ペア形式で指定します。 たとえば、myApp.exe=9222 のように指定します。 複数の埋め込み Chrome アプリケーションを指定する場合は、複数の値ペアをカンマで区切って指定します。
  4. デフォルトのブラウザー サポートではテストできないハイブリッド モバイル アプリケーションに対するフォールバック サポートを使用するには、OPT_ENABLE_MOBILE_WEBVIEW_FALLBACK_SUPPORT を有効化します。
  5. 標準の Win32 コントロールの解決に加えて、Microsoft ユーザー補助を有効にするには、OPT_ENABLE_ACCESSIBILITY を有効化にします。
  6. テキストをキャプチャする前にウィンドウからフォーカスを外すには、OPT_REMOVE_FOCUS_ON_CAPTURE_TEXT を有効化します。 テキストのキャプチャは、次のメソッドによる記録および再生中に実行されます。
    • TextClick
    • TextCapture
    • TextExists
    • TextRect
  7. ロケーター属性名の大文字と小文字が区別されるように設定するには、OPT_LOCATOR_ATTRIBUTES_CASE_SENSITIVE を有効化します。モバイル Web アプリケーションのロケーター属性の名前は、常に大文字と小文字の区別はされません。つまり、モバイル Web アプリケーションの記録や再生時に、このオプションは無視されます。
  8. OPT_IMAGE_ASSET_DEFAULT_ACCURACY リスト ボックスから、1 (低精度) から 10 (高精度) までの値を選択し、新しいイメージ資産のデフォルト精度レベルを設定します。
  9. OPT_IMAGE_VERIFICATION_DEFAULT_ACCURACY リスト ボックスから、1 (低精度) から 10 (高精度) までの値を選択し、新しいイメージ検証資産のデフォルト精度レベルを設定します。
  10. OK をクリックします。
親トピック: スクリプト オプションの設定
関連概念
Android 上のハイブリッド アプリケーションのテスト
iOS 上のハイブリッド アプリケーションのテスト


Silk4NET サンプル テスト

Silk4NET サンプル テストは、Visual Studio ソリューションにパッケージ化されており、開いて表示したり、Silk Test サンプル アプリケーションに対して実行したりできます。

サンプル プロジェクトを開くには、Silk4NET スタート ページ にある サンプル プロジェクトを開く をクリックするか、Visual Studio で ファイル > プロジェクトを開く をクリックして、\Users\Public\Documents\SilkTest\samples\Silk4NET を参照します。 使用する Visual Studio バージョンに対応するフォルダを選択し、サンプルのソリューション ファイルを選択します。 開く をクリックします。

インストールした Silk4NET サンプル アプリケーションに加え、一連の Silk4NET サンプル テストには、Web ベースの以下の Silk Test サンプル アプリケーション用のテストがいくつか含まれています。

Insurance Co. Web サイト
http://demo.borland.com/InsuranceWebExtJS/
Green Mountain Outpost Web
http://demo.borland.com/gmopost/


オブジェクト解決

Silk4NET は、コントロール クラスの名前と優先付けられた属性のコレクションの組み合わせによって、テスト対象アプリケーション（AUT）のコントロールをユニークな XPath ロケーターに識別します。組み合わせた XPath ロケーターでコントロールをユニークに識別できない場合には、Silk4NET は、ロケーターにインデックスを追加します。Silk4NET で記録中に、操作の選択 ダイアログの ロケーター フィールドのリストから、コントロールの他のロケーターを選択できます。

Silk4NET では、識別されたオブジェクトのリテラル参照はロケーターと呼ばれます。Silk4NET は、ロケーターを使用して、テスト対象アプリケーション (AUT) のオブジェクトを検索して識別します。ロケーターは、W3C (World Wide Web Consortium) によって定義された 共通の XML ベース言語である XPath クエリー言語のサブセットです。

  • ロケーターの基本概念
    ロケーターの基本概念の概要を説明します。
  • ロケーターの構文
    サポートするロケーター構成子、およびサポートしない構成子の例の一覧を提供します。
  • ロケーターの使用
    ロケーターの短縮形を使用する方法について説明します。
  • Find メソッドの使用
    ロケーターを持つ単一のオブジェクトを識別するために Find メソッドを使用する方法について説明します。
  • ロケーターを使用したオブジェクトの存在確認
    Exists メソッドを使用して、オブジェクトがテスト対象アプリケーションに存在するかどうかを確認する方法について説明します。
  • 1 つのロケーターで複数のオブジェクトを識別する
    1 つのロケーターを使って複数のオブジェクトを識別する方法について説明します。
  • ロケーターのカスタマイズ
    テスト対象アプリケーションのコントロールを Silk4NET が確実に解決できるようにするために、安定したロケーターを作成する方法について説明します。
  • XPath のパフォーマンス問題のトラブルシューティング
    他のロケーターを使用して、スクリプトのパフォーマンスを向上させる方法について説明します。
  • Locator Spy
    Locator Spy を使用して、GUI コントロールを一意に識別する方法について説明します。
関連概念
Locator Spy


ロケーターの基本概念

Silk4NET は、XPath クエリ言語のサブセットをサポートしています。XPath の詳細については、http://www.w3.org/TR/xpath20/ を参照してください。

XPath 式は現在のコンテキスト、つまり、Find メソッドを呼び出したオブジェクトの階層上における位置に依存します。ファイル システムと同じように、すべての XPath 式は、この位置に依存します。例：
  • "//Shell" は、現在のコンテキストから始まるすべての階層にあるすべての Shell を見つけます。
  • "Shell"は、現在のコンテキストの直下の子であるすべての Shell を見つけます。

さらに、ある XPath 式は、コンテキストの影響を受けます。たとえば、myWindow.find(xPath) は、myWindow が現在のコンテキストとなります。

動的オブジェクト解決は、テスト ケース内でオブジェクトを識別するために、Find または FindAll メソッドを使用します。

  • オブジェクト タイプと検索範囲
    Silk4NET がオブジェクトを識別するためにオブジェクト タイプと検索範囲を使用する方法について説明します。
  • 属性を使用したオブジェクトの識別
    属性を使用して、オブジェクトの識別を改善させる方法について説明します。
親トピック: オブジェクト解決
関連概念
Locator Spy
サポートする属性の種類
XPath のパフォーマンス問題のトラブルシューティング
関連資料
ロケーターの構文


オブジェクト タイプと検索範囲

典型的なロケーターには、検索するオブジェクトのタイプと検索範囲が含まれます。 検索範囲は以下のいずれかです。
  • //
  • /

ロケーターは、ロケーターを指定する対象となるオブジェクトである、現在のオブジェクトに依存します。現在のオブジェクトは、アプリケーション UI のオブジェクト階層における 位置を特定します。 ファイル システムと同じように、すべてのロケーターは、この階層における現在のオブジェクトの位置に依存します。

XPath 式は、 現在のコンテキスト、つまり、 Find メソッドを呼び出したオブジェクトの階層上における位置に依存します。 ファイル システムと同じように、すべての XPath 式は、この位置に依存します。

注:

HTML 要素に対するロケーターにおけるオブジェクト タイプは、HTML タグ名または、このオブジェクトに対して Silk4NET が使用するクラス名のいずれかになります。 たとえば、ロケーター //a と //DomLink（ここで、 DomLink は Silk4NET でのハイパーリンクに対する名前です）は同じです。 HTML ベースでないテクノロジの場合は、 Silk4NET クラス名だけが使用されます。

例

  • //a は、現在のオブジェクトに相対的なすべての階層にあるハイパーリンク オブジェクトを識別します。
  • /a は、現在のオブジェクトの直下の子であるハイパーリンク オブジェクトを識別します。
注: <a> は、Web ページのハイパーリンクを表す HTML タグです。

例

以下のコード例は、ブラウザ内の最初のハイパーリンクを識別します。 この例では、実行中のブラウザ インスタンスを参照するスクリプトに browserWindow という名前の変数が存在することを仮定しています。 ここで、タイプは "a" で、現在のオブジェクトは browserWindow です。

VB

Dim link As DomLink = browserWindow.DomLink("//a")

C#

DomLink link = browserWindow.DomLink("//a");
親トピック: ロケーターの基本概念


属性を使用したオブジェクトの識別

プロパティに基づいてオブジェクトを識別するために、ロケーター属性を使用できます。ロケーター属性は、オブジェクトの型の後にかぎ括弧で指定します。

例

次の例では、テキスト Home を持つハイパーリンクを識別するために、textContents 属性を使用します。同じテキストを持つハイパーリンクが複数存在する場合は、最初のハイパーリンクがロケーターによって識別されます。

VB

 Dim link as DomLink = browserWindow.DomLink("//a[@textContents='Home']")

C#

DomLink link = browserWindow.DomLink("//a[@textContents='Home']");
親トピック: ロケーターの基本概念


ロケーターの構文

Silk4NET では、UI コントロールを特定するために、XPath クエリ言語のサブセットをサポートしています。

以下の表に、Silk4NET がサポートする構成子を一覧します。

注: <a> は、Web ページのハイパーリンクを表す HTML タグです。
サポートするロケーター構成子 | 例 | 説明
// | //a | 現在のオブジェクトより下層にあるオブジェクトを識別します。 この例は、Web ページのハイパーリンクを識別します。
/ | /a | 現在のオブジェクトの直下にあるオブジェクトを識別します。それより下層にあるオブジェクトは解決されません。 この例は、現在のオブジェクトの直下にある Web ページのハイパーリンクを識別します。
属性 | 例 1： //a[@textContents='Home'] 例 2： //div[@textContents='Price: * USD'] | 特定の属性によってオブジェクトを識別します。属性値には、ワイルドカード * および ? を使用できます。 例 1 は、テキスト Home を持つハイパーリンクを識別し、例 2 は、ワイルドカードを使って任意の価格を持つ div を識別します。
インデックス | 例 1： //a[3] 例 2： //a[@textContents='Home'][2] | 複数のオブジェクトがある場合に、インデックスを指定して特定のオブジェクトを識別します。ロケーターのインデックスは 1 から始まります。 例 1 は、3 番目のハイパーリンクを識別し、例 2 は、テキスト Home を持つ 2 番目のハイパーリンクを識別します。
論理演算子：and、or、not、=、!= | 例 1： //a[@textContents='Remove' or @textContents='Delete'] 例 2： //a[@textContents!='Remove'] 例 3： //a[not(@textContents='Delete' or @id='lnkDelete') and @href='*/delete'] | 論理演算子を使って、属性を組み合わせてオブジェクトを識別します。 例 1 は、Remove か Delete のテキストを持つハイパーリンクを識別し、例 2 は、 Remove 以外のテキストを持つハイパーリンクを識別し、例 3 は、複数の論理演算子を組み合わせた例を示しています。
ancestor | 例 1： //input[@id='username']/ancestor::form 例 2： //input[@id='username']/ancestor::div[@className='container'] | 現在のオブジェクトより上層にあるオブジェクトを識別します。 例 1 は、識別子 username を持つ input 要素を子に持つ form 要素を識別し、例 2 は、識別子 username を持つ input 要素を子に持ち、クラス名が container を持つ div を識別します。
.. | 例 1： //a[@textContents='Edit']/.. 例 2： //a[@textContents='Edit']/..//a[@textContents='Delete'] | オブジェクトの親を識別します。 例 1 は、テキスト Edit を持つハイパーリンクの親を識別し、例 2 は、テキスト Edit を持つハイパーリンクと同列にあるテスト Delete を持つハイパーリンクを識別します。
following-sibling | 例： //td[@textContents='John']/following-sibling::td[2] | 現在のオブジェクトより後ろにある同列オブジェクトを識別します。 この例は、テキスト John を持つテーブル セルの右側から 2 番目にあるテーブル セルを識別します。
preceding-sibling | 例： //td[@textContents='John']/preceding-sibling::td[2] | 現在のオブジェクトより前にある同列オブジェクトを識別します。 この例は、テキスト John を持つテーブル セルの左側から 2 番目にあるテーブル セルを識別します。
* | 例 1： //*[@textContents='Home'] 例 2： /*/a | オブジェクトの型（ハイパーリンク、テキスト フィールド、ボタンなど）を考慮せずにオブジェクトを識別します。 例 1 は、オブジェクトの型は任意で、指定したテキストを持つオブジェクトを識別し、例 2 は、現在のオブジェクトより 2 つ下層にあるハイパーリンクを識別します。

以下の表には、Silk4NET がサポートしないロケーター構成子を一覧します。

サポートしないロケーター構成子 | 例
右辺、左辺ともに属性を指定して比較する。 | //a[@textContents = @id]
属性名を右辺に指定することはサポートされません。属性名は左辺に指定する必要があります。 | //a['abc' = @id]
複数のロケーターを and あるいは or で結合する。 | //a[@id = 'abc'] or ..//Checkbox
複数の属性をかぎ括弧で指定する。 | //a[@id = 'abc'] [@textContents = '123'] （代わりに //a [@id = 'abc' and @textContents = '123'] を使用）
複数のインデックスをかぎ括弧で指定する。 | //a[1][2]
クラスあるいはクラス名の一部にワイルドカードを含むクラス ワイルドカードを明示的に指定しない構成子。 | //[@id = 'abc'] （代わりに //*[@id = 'abc'] を使用） "//*//a[@id='abc']"
親トピック: オブジェクト解決
関連概念
ロケーターの基本概念
XPath のパフォーマンス問題のトラブルシューティング
サポートする属性の種類


ロケーターの使用

Silk4NET では、識別されたオブジェクトのリテラル参照はロケーターと呼ばれます。必要に応じて、ロケーター文字列の短縮形をスクリプトで使用できます。スクリプトを再生すると、Silk4NET によって自動的に構文が展開されて完全なロケーター文字列が使用されます。スクリプトを手動でコーディングする場合は、次の順番で次の部分を省略できます。

  • 検索スコープ「//」。
  • オブジェクトの型名。Silk4NET のデフォルトはクラス名です。
  • 属性を囲む角かっこ「[ ]」。

スクリプトを手動で記述する場合は、使用可能な最も短い形式を使用することをお勧めします。

注: オブジェクトを識別する場合は、完全なロケーター文字列がデフォルトでキャプチャされます。
以下のロケーターは同じです。
  • 最初の例では、完全なロケーター文字列が使用されています。

    VB

    _desktop.DomLink("//BrowserApplication//BrowserWindow//a[@textContents='Home']").Select()

    C#

    _desktop.DomLink("//BrowserApplication//BrowserWindow//a[@textContents='Home']").Select();

    完全なロケーター文字列を確認するには、Locator Spy ダイアログ ボックスを使用します。

  • 2 番目の例は、ブラウザー ウィンドウが既に存在する場合に機能します。

    VB

    browserWindow.DomLink("//a[@textContents='Home']").Select()

    C#

    browserWindow.DomLink("//a[@textContents='Home']").Select();
    または、短縮形を使用することができます。

    VB

    browserWindow.DomLink("@textContents='Home'").Select()

    C#

    browserWindow.DomLink("@textContents='Home'").Select();

識別のための実際の属性がないオブジェクトを検索するには、インデックスを使用します。たとえば、Web ページの 2 つめのハイパーリンクを選択するには、以下のように入力します。

VB

browserWindow.DomLink("[2]").Select()

C#

browserWindow.DomLink("[2]").Select();

さらに、その種類の最初のオブジェクトを検索する（このことは、オブジェクトに実際の属性がない場合に便利です）には、以下のように入力します。

VB

browserWindow.DomLink().Select()

C#

browserWindow.DomLink().Select();
親トピック: オブジェクト解決
関連概念
Locator Spy


Find メソッドの使用

.DomLink のようなメソッドを使用する代わりに、 Find メソッドを使用してロケーターを持つ単一のオブジェクトを識別することができます。

注: Find メソッドは、完全ロケーターのみ使用できます。省略形のロケーターはサポートされません。

以下のように入力する代わりに：

VB

_desktop.DomLink("//a[@textContents='Home']").Select()

C#

_desktop.DomLink("//a[@textContents='Home']").Select();

以下のように入力することができます。

VB

_desktop.Find(Of DomLink)("//a[@textContents='Home']").Select()

C#

_desktop.Find<DomLink>("//a[@textContents='Home']").Select();

.DomLink メソッドは、 Find メソッドで内部的に使用されます。 .DomLink メソッドを使用した方が、 Find メソッドよりも簡潔に表現できるため、好まれます。

親トピック: オブジェクト解決
関連資料
Find Method (TestObject)


ロケーターを使用したオブジェクトの存在確認

Exists メソッドを使用して、オブジェクトがテスト対象アプリケーションに存在するかどうかを確認できます。

次のコードは、「Log out」というテキストのハイパーリンクが Web ページに存在するか確認します。

VB

If (browserWindow.Exists( "//a[@textContents='Log out']" )) Then
  ' do something
End If

C#

if (browserWindow.Exists( "//a[@textContents='Log out']" )){
  // do something
}

Find メソッドの使用

Find メソッドや FindOptions メソッドを使用して、後で使用したいオブジェクトが存在するか確認できます。

次のコードは、ウィンドウを検索し、ウィンドウが見つかった場合にウィンドウを閉じます。

VB

Dim mainWindow As Window
mainWindow = _desktop.Find("//Window[@caption='My Window']", New FindOptions(False))
If (mainWindow IsNot Nothing) Then
   mainWindow.CloseSynchron()
End If

C#

Window mainWindow = _desktop.Find<Window>("//Window[@caption='My Window']", new FindOptions(false));
if (mainWindow != null){
  mainWindow.CloseSynchron();
}
親トピック: オブジェクト解決
関連資料
Exists Method (TestObject)


1 つのロケーターで複数のオブジェクトを識別する

FindAll メソッドを使用して、ロケーターに一致する最初のオブジェクトのみを識別するだけでなく、ロケーターに一致するすべてのオブジェクトを識別できます。

例

次のコードの例は、FindAll メソッドを使用して、Web ページのすべてのハイパーリンクを取得します。

VB

Dim links As IList(Of DomLink) = browserWindow.FindAll(Of DomLink)("//a")

C#

IList<DomLink> links = browserWindow.FindAll<DomLink>("//a");
親トピック: オブジェクト解決
関連資料
FindAll Method (TestObject)


ロケーターのカスタマイズ

このセクションでは、テスト対象アプリケーション (AUT) のコントロールを Silk4NET が確実に解決できるようにするために、安定したロケーターを作成する方法について説明します。

Silk4NET は、AUT がその UI コントロールに対して公開する識別子を利用して、非常に柔軟で強力な UI コントロールの識別方法を提供します。Silk4NET は、任意の UI コントロールに対して宣言された任意のプロパティを使用して、UI コントロールの階層を使ってロケーターを作成できます。Silk4NET は、それぞれの UI コントロールを識別するのに最も適した項目とプロパティを階層から選択します。

Silk4NET は、UI コントロールの階層から多くのコントロールを動的に除外するため、AUT の変更に対して非常に影響を受けにくいオブジェクト解決方法を Silk4NET は提供します。Web ページの書式要素のよな UI コントロール ツリーの階層を変更する中間のグループ化されたコントロールは、オブジェクト解決から除外することができます。

UI コントロールによっては、それを固有に識別できるようにする有意義なプロパティを公開しません。このようなコントロールを含んだアプリケーションは低いテスト容易性を持つアプリケーションとみなされます。階層、とくに動的な階層は、このようなアプリケーションに対する固有のロケーターを作成するのに、重要な意味を持ちます。高いテスト容易性を持つアプリケーションは、固有の UI コントロールを識別するための単純な仕組みを常に提供します。

AUT のテストを容易にする最も単純で最も効果的な慣例のひとつが、コントロールに対する安定した識別子を導入し、アプリケーションの既存のインターフェイスを通して、これらの安定した識別子を公開することです。

  • 安定した識別子
    安定した識別子とは何か、なぜ安定した識別子がオブジェクト解決にとって重要なのかについて説明します。
  • カスタム属性
    UI コントロールを識別するためにどのカスタム属性をどのように使用するかについて説明します。
親トピック: オブジェクト解決


安定した識別子

UI コントロールの 安定した識別子 とは、コントロールの呼び出しごとに、または UI コントロールが存在するアプリケーションのバージョンが変わっても変更されない識別子を言います。安定した識別子は、その使用されるコンテキストにおいて一意である必要があります。つまり、同じ識別子を持つコントロールが同時にアクセス可能でないことが求められます。つまり、グローバルなコンテキストで一意である GUID 形式の識別子を使用する必要はありません。コントロールの識別子は、可読性が高く、有意な名前であるべきです。これらの識別子の命名規則によって、実際のコントロールに識別子を関連付けるのがより容易になります。

例：キャプションはコントロールの良い識別子と言えるか

ほとんどのテスト ツールでは、UI コントロールのデフォルト識別子として キャプション を使用します。キャプションは、コントロールに関連付けられた UI のテキストです。しかし、UI コントロールを識別するためにキャプションを使用することには、次のような欠点があります。
  • キャプションは安定していません。キャプションは開発プロセスの間に頻繁に変更されます。たとえば、AUT の UI が開発プロセスの終わりにレビューされる場合があります。UI が安定していないため、開発プロセスの初期の段階で UI テストを導入することが困難になります。
  • キャプションは一意ではありません。たとえば、アプリケーションには OK というキャプションを持つボタンが複数存在する可能性があります。
  • 多くのコントロールはキャプションを表示しないため、識別するために、ほかのプロパティを使用する必要があります。
  • ローカライズしたアプリケーションのテストにキャプションを使用する場合、各言語ごとにコントロールのキャプションを保守する必要があるため、非常に扱いにくく、さらに言語ごとに適切なキャプションを動的に割り当てることができるように、複雑なスクリプト ロジックを保守する必要があります。
  • 安定したロケーターを作成する
    Silk4NET を使用して安定したロケーターを作成する方法を説明します。
  • 例：コントロールの同列要素の指定
    コントロールの同列要素のロケーターが安定している場合に、アプリケーションのコントロールを指定する方法について説明します。
  • 例：動的 GWT ツリーの展開アイコンの検索
    デフォルトでは Silk4NET が安定したロケーターを生成しないアプリケーションのコントロールを検索する方法について説明します。
親トピック: ロケーターのカスタマイズ


安定したロケーターを作成する

Silk4NET の主要なメリットのひとつが、柔軟で強力なオブジェクト解決の仕組みです。UI コントロールを特定するために XPath 記法を使用することによって、UI コントロールが適切な属性を持っていない場合でも、適切な属性を持つ対象要素のそばにある限り、Silk4NET は確実に識別できます。Silk4NET の XPath ロケーターは、UI コントロールを識別するために、UI コントロールの階層全体を使用することもできれば、その一部を使用することもできます。特に最近の AJAX ツールキットは、とても複雑なドキュメント オブジェクト モデル (DOM) を動的に生成するので、UI コントロールを特定するために使用できる適切なコントロール属性を提供しません。

このような場合、インテリジェントなオブジェクト解決の仕組みを提供しないテスト ツールでは、UI コントロールを識別するために、ほとんどの場合インデックス ベースの解決方法を使用することが必要になります。たとえば、展開 アイコンの n 番目のコントロールを識別します。このようなテスト スクリプトは保守することが容易でなく、アプリケーションにほんのわずかな変更を加えるだけでテスト スクリプトが動作しなくなってしまうことが良くあります。

有用な属性を提供しない UI コントロールに対して安定したロケーターを作成する良い方法は、階層の中で安定したロケーターを持つアンカー要素を見つけることです。そして、そのアンカー要素からロケーターを作成したい要素まで辿っていくことができます。

Silk4NET は、この方法を使用してロケーターを作成しますが、ときにはコントロールからの安定したロケーターを手動で作成することが必要となる場合もあります。

親トピック: 安定した識別子


例：コントロールの同列要素の指定

このトピックでは、ロケーターに使用することのできる安定した属性を提供しないコントロールを、そのコントロールの同列要素に対する安定したロケーターが利用できる場合に、それを使用して指定する方法を説明します。

次の安定したロケーターを持つコントロール Item 0.0 が既に識別されていると想定します。
/BrowserApplication//BrowserWindow//DIV[@textContent='Item 0.0']
Item 0.0 が、タイプ a の後ろに同列要素を持ていることがわかっている場合、次のコードを使用して、同列要素の安定したロケーターを構築できます。
/BrowserApplication//BrowserWindow//DIV[@textContent='Item 0.0']/following-sibling::a
テキスト フィールドを識別するときにも、この同列要素による方法を使用できます。テキスト フィールドは、たいていの場合、ロケーターで使用できる有用な属性を提供しません。テキスト フィールドのラベルを使用すると、テキスト フィールドの有用なロケーターを作成できます。同列要素による方法を使って、テキスト フィールドのロケーターの一部として、ラベルを使用することは簡単です。たとえば、テキスト フィールドがテキスト User Name を持つラベルの前に同列要素である場合、次のロケーターを使用できます。
/BrowserApplication//BrowserWindow//DIV[@textContent='User Name']/preceding-sibling::input[@type='text']
親トピック: 安定した識別子


例：動的 GWT ツリーの展開アイコンの検索

Google Widget Toolkit (GWT) は、とても人気のある強力なツールキットですが、テストしにくいです。動的ツリー コントロールは、とても一般的に使用されている GWT の UI コントロールです。ツリーを展開するには、展開 アイコン要素を識別する必要があります。

動的 GWT ツリーのサンプルは、http://samples.gwtproject.org/samples/Showcase/Showcase.html#!CwTree にあります。

Silk4NET が生成するデフォルトのロケーターは次のようになります。
/BrowserApplication//BrowserWindow//DIV[@id='gwt-debug-cwTree-dynamicTree-root-child0']/DIV/DIV[1]//IMG[@border='0']
次の理由で、このデフォルトのロケーターは、Item 0.0 の 展開 アイコンを識別するロケーターとしては信頼できるものではありません。
  • ロケーターは複雑で、複数の階層から構成されています。AJAX で動的に DOM 構造が少し変わるとロケーターは使えなくなります。
  • ロケーターには、階層のいくつかのコントロールにインデックスが含まれています。インデックス ベースのロケーターは、その出現番号によってコントロールを検索するため、一般にもろく、たとえば、ツリーの 6 番目の展開アイコンを見つけるなど、うまく特定のコントロールを定義できません。このルールの例外は、たとえばグリッドの 6 番目のデータ行など、識別するさまざまなデータ セットを表すためにインデックスが使用される場合です。

多くの場合、より良いロケーターを見つける良い方法は、検索する要素の同列要素を探し出すことです。より良いロケーターの同列要素を見つけると、XPath は、これらの同列要素を識別してロケーターを構成することができます。この場合、ツリー項目 Item 0.0 は、展開 アイコンよりも良いロケーターです。ツリー項目 Item 0.0 のロケーターは、コントロールの @textContents プロパティを使用するため、安定した単純なロケーターです。

デフォルトでは、Silk4NET は @id プロパティを使用しますが、GWT では @id には ='gwt-uid-<nnn>' のような値 (ここで、<nnn> は同じ要素でも呼出し毎に頻繁に変わります) が含まれるため、たいてい安定したプロパティではありません。

@textContents プロパティを @id の代わりに使用してロケーターを手動で変更できます。

元のロケーター：
/BrowserApplication//BrowserWindow//DIV[@id='gwt-uid-109']
別のロケーター：
/BrowserApplication//BrowserWindow//DIV[@textContents='Item 0.0']

もしくは、@id='gwt-uid-<nnn>' を使用しないように Silk4NET を設定できます。この場合、Silk4NET は自動的に安定したロケーターを記録します。たとえば、@id プロパティで使用されるテキスト パターンをロケーター属性値除外リストに追加ます。この場合、gwt-uid* を除外リストに追加します。

要素の階層を調べると、Item 0.0 コントロールと 展開 アイコン コントロールは、共通のルートノードとして DomTableRow コントロールを持つことが分かります。

展開 アイコンの安定したロケーターを作成するには、次のロケーターを使って Item 0.0 をまず検索する必要があります。
/BrowserApplication//BrowserWindow//DIV[@textContent='Item 0.0']
そして、要素の階層を 2 レベル上がって DomTableRow 要素まで移動します。これは、XPath では、ロケーターに /../.. を追加して表現します。最後に、DomTableRow から 展開 アイコンを検索します。展開 アイコンは、サブツリー内では唯一の IMG コントロールであるので、容易に検索できます。これは、XPath では、ロケーターに //IMG を追加して表現します。展開 アイコンの最終的な安定したロケーターは次のようになります。
/BrowserApplication//BrowserWindow//DIV[@textContent='Item 0.0']/../..//IMG
XPath の ancestor 軸を使うと、より簡単に 展開 アイコンを指定できます。
/BrowserApplication//BrowserWindow//DIV[@textContent='Item 0.0']/ancestor::tr//IMG
親トピック: 安定した識別子


カスタム属性

多くの UI テクノロジーは、UI コントロールのあらかじめ定義された属性のセットをカスタム属性で拡張する方法を提供します。アプリケーション開発者は、コントロールを一意に識別する安定した識別子を導入するためにカスタム属性を使用できます。Silk4NET は、UI コントロールのカスタム属性にアクセスでき、UI コントロールを識別するために、これらのカスタム属性を使用することもできます。

UI コントロールを識別するために特別に自動化用属性を使用すると、caption のような定義済み属性を使用する場合と比較して、いくつかのメリットを享受できます。アプリケーション コードで安定した識別子を指定でき、カスタム属性や定義済みの自動化用プロパティの何れかを通して識別子を公開することで、テスト自動化スクリプトが理解しやすくなり、保守性も高まり、開発プロセスの初期の段階からテストの自動化を開始することができるようになります。

Silk4NET はロケーター生成の柔軟性が高く、識別に使用する属性を設定することができます。

  • Apache Flex アプリケーションのカスタム属性
    Apache Flex アプリケーションの安定した識別子を作成するために使用できる属性について説明します。
  • Java SWT カスタム属性
    カスタム属性をテスト アプリケーションに追加して、テストをより安定させます。
  • Web アプリケーションのカスタム属性
    Web アプリケーションの安定した識別子を作成するために使用できる属性について説明します。
  • Windows Forms アプリケーションのカスタム属性
    Windows Forms アプリケーションの安定した識別子を作成するために使用できる属性について説明します。
  • WPF アプリケーションのカスタム属性
    WPF アプリケーションの安定した識別子を作成するために使用できる属性について説明します。
親トピック: ロケーターのカスタマイズ


Apache Flex アプリケーションのカスタム属性

Apache Flex アプリケーションは、あらかじめ定義されたプロパティ automationName を使用して、次のように Apache Flex コントロールに対して安定した識別子を指定します。
  <s:Group xmlns:fx="http://ns.adobe.com/mxml/2009"
      xmlns:s="library://ns.adobe.com/flex/spark"
      xmlns:mx="library://ns.adobe.com/flex/mx" width="400" height="300">
    <fx:Script>
    …
    </fx:Script>
    <s:Button x="247" y="81" label="Button" id="button1" enabled="true" click="button1_clickHandler(event)"
        automationName="AID_buttonRepeat"/>
    <s:Label x="128" y="123" width="315" height="18" id="label1" verticalAlign="middle"
        text="awaiting your click" textAlign="center"/>
  </s:Group>
Apache Flex アプリケーションのロケーターは次のようになります。
…//SparkApplication//SparkButton[@caption='AID_buttonRepeat'
重要: Apache Flex アプリケーションの場合、Silk4NET では automationName はロケーター属性 caption に常にマップされます。automationName 属性が指定されていない場合、Silk4NET は属性 ID をロケーター属性 caption にマップします。
親トピック: カスタム属性
親トピック: テスト可能な Flex アプリケーションの作成


Java SWT カスタム属性

カスタム属性をテスト アプリケーションに追加して、テストをより安定させることができます。 たとえば、Java SWT では、GUI を実装する開発者が属性（'silkTestAutomationId' など）をウィジェットに対して定義することによって、アプリケーション内でそのウィジェットを一意に識別することができます。 これにより、Silk4NET を使用するテスト担当者は、その属性（この場合は 'silkTestAutomationId'）をカスタム属性のリストに追加すると、その一意の ID によってコントロールを識別できるようになります。 カスタム属性を使用すると、caption や index のような他の属性よりも高い信頼性を得ることができます。これは、caption はアプリケーションを他の言語に翻訳した場合に変更され、index は定義済みのウィジェットより前に他のウィジェットが追加されると変更されるためです。

複数のオブジェクトに同じカスタム属性の値が割り当てられた場合は、そのカスタム属性を呼び出したときにその値を持つすべてのオブジェクトが返されます。 たとえば、一意の ID として 'loginName' を 2 つの異なるテキスト フィールドに割り当てた場合は、'loginName' 属性を呼び出したときに、両方のフィールドが返されます。

Java SWT の例

以下のコードを使用して、テストするアプリケーションにボタンを作成する場合：
Button myButton = Button(parent, SWT.NONE);

myButton.setData("SilkTestAutomationId", "myButtonId");
テストの XPath クエリ文字列に属性を追加するには、以下のクエリを使用します。
Dim button =
desktop.PushButton("@SilkTestAutomationId='myButton'")

Java SWT アプリケーションをカスタム属性のテストに対して有効化にするには、開発者はカスタム属性をアプリケーションに含める必要があります。 属性を含めるには org.swt.widgets.Widget.setData(String key, Object value) メソッドを使用します。

親トピック: カスタム属性
親トピック: Java SWT と Eclipse RCP のサポート


Web アプリケーションのカスタム属性

HTML は、安定した識別子を表すことができる一般的な属性 ID を定義します。定義により、ID は文書内の要素を一意に識別します。特定の ID を持つ要素は文書内で 1 つだけ存在します。

ただし、多くの場合 (特に AJAX アプリケーションでは)、ID は HTML 要素に関連付けられたサーバー ハンドラを動的に識別するために使用されます。つまり、Web 文書の作成のたびに ID は変わることになります。このような場合、ID は安定した識別子ではなく、Web アプリケーションの UI コントロールを識別するのに適しません。

Web アプリケーションの場合、より確実にするには、Silk4NET に UI コントロールの情報を公開するためだけに使用されるカスタム HTML 属性を新たに導入することです。

カスタム HTML 属性はブラウザーは無視するため、AUT の動作は変わりません。ブラウザーの DOM を通してアクセスすることができます。Silk4NET では、このような属性を (属性がコントロール クラスのカスタム 属性であっても) 識別時のデフォルト属性として使用するように設定することができます。特定のテクノロジ ドメインのデフォルト識別属性としてカスタム属性を設定するには、Silk4NET > オプションの編集 > カスタム属性 をクリックして、テクノロジ ドメインを選択します。

例：変化する ID

アプリケーション開発者は、Web 要素にさらに HTML 属性を追加することが必要です。

元の HTML コード：
<A HREF="http://abc.com/control=4543772788784322..." <IMG
src="http://abc.com/xxx.gif" width=16 height=16> </A>
新しいカスタム HTML 属性 AUTOMATION_ID を持つ HTML コード：
<A HREF="http://abc.com/control=4543772788784322..."
AUTOMATION_ID = "AID_Login" <IMG src="http://abc.com/xxx.gif"
width=16 height=16> </A>
カスタム属性を設定すると、Silk4NET は、できる限りカスタム属性を使用して、一意のロケーターを構成しようとします。Web ロケーターは次のようになります。
…//DomLink[@AUTOMATION_ID='AID_Login'
変化する ID の 1 例は、Google Widget Toolkit (GWT) で、ID は Web 文書の作成のたびに変化する動的な値を保持します：
ID = 'gwt-uid-<nnn>'
この場合、<nnn> が頻繁に変化します。
親トピック: カスタム属性
親トピック: クロス ブラウザ テスト


Windows Forms アプリケーションのカスタム属性

Windows Forms アプリケーションは、あらかじめ定義された自動化用プロパティ automationId を使用して、Windows Forms コントロールに対して安定した識別子を指定します。

Silk4NET は、ロケーターを識別するために、自動的にこのプロパティを使用します。Windows Forms アプリケーションのロケーターは次のようになります。
/FormsWindow//PushButton[@automationId='btnBasicControls']
親トピック: カスタム属性
親トピック: Windows Forms のサポート


WPF アプリケーションのカスタム属性

WPF アプリケーションは、あらかじめ定義された自動化用プロパティ AutomationProperties.AutomationId を使用して、次のように WPF コントロールに対して安定した識別子を指定します。
<Window x:Class="Test.MainWindow"
    xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
    Title="MainWindow" Height="350" Width="525">
  <Grid>
    <Button AutomationProperties.AutomationId="AID_buttonA">The
Button</Button>
  </Grid>
</Window>
Silk4NET は、ロケーターを識別するために、自動的にこのプロパティを使用します。WPF アプリケーションのロケーターは次のようになります。
/WPFWindow[@caption='MainWindow']//WPFButton[@automationId='AID_buttonA']
親トピック: カスタム属性
親トピック: Windows Presentation Foundation（WPF）のサポート


XPath のパフォーマンス問題のトラブルシューティング

複雑な Web アプリケーションの場合など、オブジェクトの構造が複雑なアプリケーションをテストする場合、パフォーマンスの問題や、スクリプトの信頼性に関連する問題が発生することがあります。このトピックでは、Silk4NET が記録中に自動的に生成したロケーターとは異なるロケーターを使用して、スクリプトのパフォーマンスを向上させる方法について説明します。

注: 一般に、複雑なロケーターを使用することは推奨しません。複雑なロケーターを使用すると、テストの信頼性を損なう恐れがあります。複雑なロケーターは、テスト アプリケーションの構造をほんの少し変更しただけで機能しなくなってしまう可能性があります。それにもかかわらず、スクリプトのパフォーマンスが要求を満たしていない場合には、より固有のロケーターを使用することによってテストのパフォーマンスを向上できる可能性があります。
例として、MyApplication アプリケーションの要素ツリーを以下に示します。
Root
  Node id=1
    Leaf id=2
    Leaf id=3
    Leaf id=4
    Leaf id=5
  Node id=6
    Node id=7
      Leaf id=8
      Leaf id=9
    Node id=9
      Leaf id=10
以下の最適化手法のいくつかを使用して、スクリプトのパフォーマンスを改善させることができます。
  • 複雑なオブジェクト構造内の要素を特定したい場合は、オブジェクト構造全体ではなく、その特定の部分だけを検索するようにします。たとえば、サンプル ツリーの識別子 4 を持つ要素を検索する場合に Root.Find("//Leaf[@id='4']") というクエリーを使用している場合、Root.Find("/Node[@id='1']/Leaf[@id='4']") というクエリーで置き換えます。最初のクエリーでは、識別子 4 を持つリーフが、アプリケーションの要素ツリー全体から検索されます。そして、最初のリーフが見つかった時点で返されます。2 番目のクエリーでは、識別子 1 を持つノードと識別子 6 を持つノードがある最初のレベルのノードがまず検索された後、識別子 4 を持つすべてのリーフが識別子 1 を持つノードのサブツリー内から検索されます。
  • 同じ階層内の複数の項目を特定したい場合は、まずは階層を特定してからループ内で項目を特定します。Root.FindAll("/Node[@id='1']/Leaf") というクエリーを使用している場合、次のようなループで置き換えます。
    Public Sub Main()
  Dim node As TestObject

  node = _desktop.Find("//Node[@id='1']")
  For i As Integer = 1 To 4 Step 1
    node.Find("/Leaf[@id='"+i+"']")
  Next

End Sub
親トピック: オブジェクト解決
関連概念
ロケーターの基本概念
関連資料
ロケーターの構文


Locator Spy

Locator Spy を使用して、テスト対象アプリケーション (AUT) の任意のコントロールに対する一意の Silk Test ロケーターを記録することができます。コントロールのロケーターやコントロールの属性を、Locator Spy からスクリプトのメソッドにコピーすることができます。コントロールのロケーターの属性を編集して、変更を検証するために、Locator Spy を使用することもできます。Locator Spy を使用することで、コントロールのロケーターがが正しいことが保証されます。

Locator Spy のオブジェクト ツリーには、AUT で利用可能なすべてのコントロールがリストされます。AUT の利用可能なコントロールとコントロールの階層を調べるためにオブジェクト ツリーを使用できます。WebDriver ロケーターを記録する場合、オブジェクト ツリー上の「>」は、ある IFrame から他に切り替わることを意味します。

注: Locator Spy のロケーター属性テーブルには、ロケーターで使用できるすべての属性が表示されます。Web アプリケーションの場合は、記録中に無視するように定義したすべての属性もテーブルに含まれます。
親トピック: オブジェクト解決
関連概念
ロケーターの基本概念
サポートする属性の種類
関連タスク
Locator Spy を使用したロケーターまたはオブジェクト マップ項目のテスト メソッドへの追加


オブジェクト マップ

オブジェクト マップはテスト資産の一種であり、コントロールまたはウィンドウのロケーターではなく、コントロールまたはウィンドウに論理名 (エイリアス) を関連付ける項目が含まれています。コントロールがオブジェクト マップ資産に登録されると、スクリプトでのそのコントロールに対する参照はすべて、実際のロケーター名ではなく、そのエイリアスによって行われます。

複数のスクリプトで頻繁に使用するオブジェクトを格納するために、オブジェクト マップを使用できます。複数のテストで 1 つのオブジェクト マップ項目の定義を参照できるため、ユーザーがそのオブジェクト マップ定義を 1 回更新すると、オブジェクト マップ定義を参照するすべてのテストでそのオブジェクト マップ定義が Silk4NET によって更新されます。

スクリプトで、オブジェクト マップ識別子とロケーターを混在させることができます。この機能により、オブジェクト マップを比較的小さいまま保ち、管理しやすくすることが可能です。共通で使用するオブジェクトをオブジェクト マップに格納し、まれにしかしようしないオブジェクトを参照するにはロケーターを使用します。

ヒント: オブジェクト マップが提供する機能を最適に使用するには、テストしたいアプリケーションごとに個々のプロジェクトを Silk4NET に作成します。

オブジェクト マップの例

以下の構成では、ロケーターが使用されている BrowserWindow の定義が示されています。

_desktop.BrowserApplication("cnn_com").BrowserWindow("//BrowserWindow[1]")

オブジェクト マップ資産の名前は cnn_com です。オブジェクト マップのエイリアスによって置き換えることができるロケーターは、以下のとおりです。

"//BrowserWindow[1]"

BrowserWindow のオブジェクト マップ エントリは BrowserWindow です。

結果的に、スクリプト内の BrowserWindow の定義は以下のようになります。

_desktop.BrowserApplication("cnn_com").BrowserWindow("BrowserWindow")

ロケーターのインデックスが変更された場合、テスト スクリプトのロケーターのすべての外観を変更する必要はなく、オブジェクト マップのエイリアスを変更するだけで済みます。Silk4NET によって、オブジェクト マップ定義を参照するすべてのテストが更新されます。

オブジェクト マップ識別子とロケーターを混在させる例

つぎのサンプル コードは、オブジェクト マップ識別子と、オブジェクト マップに格納されたオブジェクトのまれに使用される子オブジェクトを指定するロケーターを混在させる方法を示します：
// VB
Window window = _desktop.Window("MyApplication") // object map id - the application window is used often
MenuItem aboutMenuItem = _desktop.MenuItem("@caption='About'") // locator - the About dialog is only used once
aboutMenuItem.Select()
// C#
Window window = _desktop.Window("MyApplication"); // object map id - the application window is used often
MenuItem aboutMenuItem = _desktop.MenuItem("@caption='About'"); // locator - the About dialog is only used once-
aboutMenuItem.Select();
  • オブジェクト マップを使用する利点
    オブジェクト マップを使用する利点を示します。
  • オブジェクト マップのオン／オフの切り替え
    記録中にオブジェクト マップからエイリアスを使用するように、オブジェクト マップをオンに切り替えます。
  • 複数のプロジェクトでの資産の使用
    イメージ資産、イメージ検証、およびプロジェクト マップが置かれているプロジェクトのスコープ外でそれらを使用する方法を説明します。
  • 操作の記録中でのオブジェクト マップのマージ
    操作の記録中に既存のオブジェクト マップ識別子を Silk4NET が再利用する方法について説明します。
  • Web アプリケーションでのオブジェクト マップの使用
    Web アプリケーションでオブジェクト マップを使用する方法を説明します。
  • オブジェクト マップ項目名の変更
    オブジェクト マップの項目とロケーターの名前を手動で変更し、項目とロケーターをわかりやすくします。
  • オブジェクト マップの変更
    オブジェクト マップの変更方法を説明します。
  • オブジェクト マップのロケーターの変更
    オブジェクト マップのロケーター パスを変更すると、パスの汎用性を高めることができます。
  • テスト アプリケーションからのオブジェクト マップの更新
    テスト アプリケーションの項目が変化した場合は、オブジェクト マップ UI を使用してそれらの項目のロケーターを更新できます。
  • オブジェクト マップ項目のコピー
    オブジェクト マップ内、またはオブジェクト マップ間で、オブジェクト マップ エントリをコピーおよび貼り付けできます。 たとえば、2 つの異なるテスト アプリケーションに同じ機能が存在する場合は、一方のオブジェクト マップの一部分をコピーして、他方のオブジェクト マップに貼り付けることができます。
  • オブジェクト マップ項目の追加
    記録中に自動的に作成されたオブジェクト マップ項目がテスト要件に合わない場合は、手動で項目を追加できます。
  • スクリプトからオブジェクト マップを開く
    スクリプトからオブジェクト マップを開く方法を説明します。
  • テスト アプリケーションでのオブジェクト マップ項目のハイライト
    オブジェクト マップ項目を追加または記録したあと、ハイライト をクリックして、テスト アプリケーションで項目をハイライトできます。 変更する項目であることをオブジェクト マップ内で確認する場合などに項目をハイライトできます。
  • オブジェクト マップのエラーの検出
    無効な文字またはロケーターを使用すると、項目名またはロケーター テキストが赤で表示され、ツール ヒントにエラーの説明が表示されます。 オブジェクト マップ ウィンドウのツール バーを使用して、エラーに移動します。
  • オブジェクト マップ項目の削除
    テスト アプリケーションに存在しなくなったなどの理由により、オブジェクト マップから項目を削除できます。
  • オブジェクト マップを最初に書き出す
    すべてのオブジェクト マップを最初に書き出すテストを作成することによって、効率的にオブジェクト マップを使用する方法について説明します。
  • オブジェクト マップの要素のグループ化
    オブジェクト マップの項目が一貫した親オブジェクトを持たない場合、ロケーター "." を使用してこれらの要素をグループ化できます。
  • オブジェクト マップ：よくある質問
    オブジェクト マップを使用する時に直面する可能性のある質問を一覧します。


オブジェクト マップを使用する利点

オブジェクト マップには、以下の利点があります。
  • オブジェクト マップ項目のロケーターに加えられた変更を、対応するオブジェクト マップ項目を含むすべてのテストに適用することによって、テストのメンテナンスが簡単になる。
  • 大規模な機能テスト環境において、ロケーターの扱いが容易になる。
  • 個々のスクリプトから独立して管理することができるようになる。
  • 複雑なロケーター名がわかりやすい名前で置き換えられるため、スクリプトが読みやすくなる。
  • テスト アプリケーションが変更された場合に変わる可能性のあるロケーターに依存しなくなる。
親トピック: オブジェクト マップ


オブジェクト マップのオン／オフの切り替え

記録時に Silk4NET でロケーター名またはオブジェクト マップのエイリアスのいずれを使用するかを設定できます。

記録中にオブジェクト マップからエイリアスを使用するには、以下を実行します。

  1. Silk4NET > オプションの編集 をクリックします。
  2. 記録 をクリックします。
  3. オブジェクト マップ エントリを記録するか、XPath ロケーターを記録するかを定義するには、OPT_RECORD_OBJECTMAPS_MODE リストから適切な記録モードを選択します。
    • オブジェクト マップ エントリ (新しいオブジェクトと既存のオブジェクト)。これはデフォルトのモードです。
    • XPath ロケーター (新しいオブジェクトと既存のオブジェクト)。
    • XPath ロケーター (新しいオブジェクトのみ)。オブジェクト マップに既に存在するオブジェクトに対しては、オブジェクト マップ エントリが再利用されます。この設定を選択すると、AUT のメイン コントロールに対するオブジェクト マップを作成し、AUT に対して追加のテストを作成する間、これらのオブジェクト マップを保持することができます。
注: XPath 属性のほかに、ロケーターの記録中にオブジェクト マップをマージする際に、Silk4NET は要素の追加の属性を使用します。ただし、記録したスクリプトでオブジェクト マップ ID の用法を曖昧にする可能性のある属性は既存のオブジェクト マップ エントリにロケーターをマップするために使用されません。
注: オブジェクト マップを記録する 設定を有効にすると、Silk4NET 全体にわたって、ロケーター名の代わりにオブジェクト マップの項目名が表示されます。たとえば、プロパティ ペインで アプリケーション構成 カテゴリを表示する場合、ロケーター名ではなくオブジェクト マップ項目名が ロケーター ボックスに表示されます。
親トピック: オブジェクト マップ


複数のプロジェクトでの資産の使用

Silk4NET では、イメージ資産、イメージ検証、およびオブジェクト マップが資産と呼ばれます。資産が配置されているプロジェクトのスコープ外でそれらの資産を使用する場合、資産を使用するプロジェクトから、資産を配置するプロジェクトに、プロジェクトの直接的な参照を追加する必要があります。

再生中に資産が使用されると、Silk4NET は、最初に現在のプロジェクト内でその資産を検索します。現在のプロジェクトは、現在実行されるテスト コードを含んだディレクトリです。Silk4NET で現在のプロジェクト内に資産が検出されなかった場合、Silk4NET は現在のプロジェクトがプロジェクト参照を持つプロジェクトを追加検索します。それでも資産が見つからない場合、Silk4NET はエラーをスローします。

注: 別のプロジェクトに依存関係として追加したプロジェクトのコードが、依存関係のあるプロジェクトのコードで参照されていない場合、ユーザーが依存関係のあるプロジェクトを作成すると、Visual Studio はそのプロジェクト依存関係を削除します。プロジェクト依存関係に置かれている資産を使用するには、依存関係のあるプロジェクトから、資産が置かれるプロジェクトのメンバーに、コード参照を追加する必要があります。このようなコード参照を追加することで、依存関係のあるプロジェクトを作成しているときに、Visual Studio によってプロジェクト依存関係が削除されないようにできます。たとえば、クラスまたは定数をプロジェクト依存関係に追加した後、依存関係のあるプロジェクトのコードでそのクラスまたは定数を呼び出すことができます。

複数のプロジェクトに同じ名前の資産が存在する場合に、現在のプロジェクトに含まれている資産を使用しないときは、資産を使用するメソッドで使用する特定の資産を定義できます。使用する資産を定義するには、メソッドを呼び出すときに、アセンブリ名を接頭辞として資産名に追加します。アセンブリ名は、デフォルトでプロジェクト名に設定されます。

例：プロジェクトの参照の追加

プロジェクト ProjectA にコード
'VB code
window.ImageClick("imageAsset")
を呼び出すテストが含まれており、イメージ資産 imageAsset がプロジェクト ProjectB に置かれている場合、プロジェクトの直接的な参照を ProjectA から ProjectB に追加する必要があります。

例：特定の資産の呼び出し

ProjectA と ProjectB の両方に anotherImageAsset という名前のイメージ資産が含まれている場合に、ProjectB からイメージ資産を明示的にクリックする場合、次のコードを使用します：
'VB code
window.ImageClick("ProjectB:anotherImageAsset")
親トピック: オブジェクト マップ
親トピック: イメージ解決のサポート
関連概念
イメージ資産


操作の記録中でのオブジェクト マップのマージ

Silk4NET を使用して操作を記録するときに、Silk4NET は、既存のオブジェクト マップ エントリが再利用できるかどうか確認します。Silk4NET は、新しいロケーターが生成されるときに、記録中に直接確認します。Silk4NET は、テスト対象アプリケーションで現在記録されているオブジェクトが既存のオブジェクト マップ エントリと完全に一致するかどうか確認し、一致する場合に Silk4NET はオブジェクト マップからそのオブジェクト マップ識別子を再利用します。

この動作には以下のような利点があります。
  • オブジェクト マップのロケーターが変更された場合でも、Silk4NET は記録中にオブジェクト マップ識別子を正しく再利用します。
  • 記録したスクリプトに間違ったオブジェクト マップ識別子を含むはずがないため、間違ったオブジェクト マップ識別子によって再生に失敗することは決してありません。
  • 階層のレベルをさらに追加した場合など、オブジェクト マップを再構成した場合でも、オブジェクト マップ識別子を再利用することができます。

例

Micro Focus Web サイト (http://www.borland.com) の Products リンクをクリックしたとき、Silk4NET は、次のスクリプトを記録します。

With _desktop.BrowserApplication( "borland_com" )
  With .BrowserWindow( "BrowserWindow" )
    .DomLink( "Products" ).Click( MouseButton .Left, New Point (47, 18))
  End With
End With
記録したオブジェクト マップは次のようになります。
borland_com                           //BrowserApplication
  BrowserWindow                                //BrowserWindow
    Products                                     //A[@textContents='Products']
ここで、Micro Focus Web サイトのヘッダー部分を含むようにオブジェクト マップを手動で再構成した場合を考えます。
borland_com                           //BrowserApplication
  BrowserWindow                                //BrowserWindow
    header                                       //HEADER[@role='banner']
      Products                                     //A[@textContents='Products']
Products リンクのクリックを記録すると、オブジェクト マップが正しく再利用され、次のスクリプトが記録されます。
With _desktop.BrowserApplication( "borland_com" )
  With .BrowserWindow( "BrowserWindow" )
    .DomElement("header").DomLink( "Products" ).Click( MouseButton .Left, New Point (47, 18))
  End With
End With
注: About リンクなどの Micro Focus Web サイトのヘッダー部分にあるほかのオブジェクトを記録すると、Silk4NET は header ではなく、BrowserWindow の子として About オブジェクト マップ エントリを追加します。
親トピック: オブジェクト マップ


Web アプリケーションでのオブジェクト マップの使用

デフォルトで、Web アプリケーションに対する操作を記録すると、Silk4NET は、ネイティブ ブラウザのコントロール用に WebBrowser という名前のオブジェクト マップを作成し、各 Web ドメイン用にオブジェクト マップ資産を作成します。

印刷または設定用のメイン ウィンドウやダイアログ ボックスなど、Web ドメインに特有ではない共通のブラウザ コントロールの場合、WebBrowser という名前を使用して、現在のプロジェクトに追加のオブジェクト マップが生成されます。

オブジェクト マップで、オブジェクト マップのエントリのグループ化に使用される URL パターンを編集できます。パターンを編集すると、Silk4NET はそのパターンの構文検証を行います。パターンには、ワイルドカード * および ? を使用できます。

例

http://www.borland.com および http://www.microfocus.co.jp で何らかの操作を記録した後、プリンタ ダイアログを開くと、次の 3 つの新しいオブジェクト マップ資産がアセット ブラウザに追加されます。
  • WebBrowser
  • borland_com
  • microfocus_com
注: Silk4NET では、オブジェクト マップのないプロジェクトに対してのみ、新しいオブジェクト マップ資産が生成されます。バージョン 14.0 よりも前のバージョンの Silk4NET を使用して生成されたオブジェクト マップをすでに含む Silk4NET の Web アプリケーションに対する操作を記録すると、追加で記録されたエントリは既存のオブジェクト マップに保存されます。Web ドメインに対して追加のオブジェクト マップ資産が生成されることはありません。
親トピック: オブジェクト マップ


オブジェクト マップ項目名の変更

オブジェクト マップでは、項目とロケーターの名前を手動で変更できます。

警告: オブジェクト マップ項目の名前を変更すると、その項目を使用するすべてのスクリプトが影響を受けます。たとえば、キャンセル ボタンのオブジェクト マップ項目の名前を CancelMe から Cancel に変更すると、CancelMe を使用するすべてのスクリプトを、Cancel を使用するように手動で変更する必要があります。

オブジェクト マップ項目は一意である必要があります。重複するオブジェクト マップ項目を追加しようとすると、オブジェクト マップ項目は一意である必要があることが Silk4NET から通知されます。

無効な文字またはロケーターを使用すると、項目名またはロケーター テキストが赤で表示され、ツール ヒントにエラーの説明が表示されます。オブジェクト マップ項目として無効な文字は、\、/、<、>、"、:、*、?、|、=、.、@、[、] です。無効なロケーター パスは、空または不完全なロケーター パスです。

  1. ソリューション エクスプローラ で、変更するオブジェクト マップがあるプロジェクトの オブジェクト マップ フォルダをクリックします。
  2. 次のいずれか 1 つを選んでください：
    • 名前を変更するオブジェクト マップ項目を含むオブジェクト マップをダブルクリックします。
    • 名前を変更するオブジェクト マップ項目を含むオブジェクト マップを右クリックし、開く を選択します。
    オブジェクト マップ項目および各項目に関連付けられたロケーターの階層が、オブジェクト マップに表示されます。
  3. 名前を変更するオブジェクト マップ項目に移動します。 たとえば、名前を変更する項目を検索するには、ノードの展開が必要な場合があります。
  4. 名前を変更するオブジェクトをクリックしてから、オブジェクトを再度クリックします。
  5. 使用する項目名を入力し、Enter を押します。 無効な文字を使用すると、項目名が赤で表示されます。 新しい名前が 項目名 リストに表示されます。
  6. Ctrl+S を押して、変更を保存します。
注: オブジェクト マップ ツリーに含まれるすべてのノードのすべての子ノードは、オブジェクト マップを保存するときにアルファベット順にソートされます。

変更した項目名を既存のスクリプトで使用する場合は、新しい項目名を使用するようにスクリプトを手動で変更する必要があります。

注: Web アプリケーションまたはモバイル Web アプリの記録中に、操作の選択 ダイアログでオブジェクト マップ エントリの名前を直接変更できます。オブジェクトを右クリックして、操作の選択 ダイアログの オブジェクトの識別 領域を展開します。そして、オブジェクト マップ ID フィールドでオブジェクト マップ エントリを編集できます。この機能は、次のブラウザーに対するテストで利用できます。
  • Microsoft Edge
  • Apple Safari
  • Mozilla Firefox 41 以降
  • Google Chrome 50 以降
  • モバイル ブラウザー
親トピック: オブジェクト マップ


オブジェクト マップの変更

既存のオブジェクト マップは、オブジェクト マップに構造化要素をさらに追加したとしても、記録中に既存のオブジェクト マップ識別子を再利用することができます。

例：既存のオブジェクト マップへの DIV の追加

次の単純なオブジェクト マップの email フィールドと login フィールドをまとめる DIV 要素を追加することを考えます。
demo_borland_com                               //BrowserApplication
  BrowserWindow                                         //BrowserWindow
    login-form email                                    //INPUT[@id='login-form:email']
    login-form login                                    //INPUT[@id='login-form:login']

新たに DIV loginArea を追加することにより、オブジェクト マップの構造を変更できますが、オブジェクト マップは、記録中にオブジェクト マップ識別子は正しく再利用することができます。

demo_borland_com                               //BrowserApplication
  BrowserWindow                                         //BrowserWindow
    loginArea                                           //'DIV[@id='login']
      login-form email                                  //INPUT[@id='login-form:email']
      login-form login                                  //INPUT[@id='login-form:login']
親トピック: オブジェクト マップ


オブジェクト マップのロケーターの変更

スクリプトを記録するときに、ロケーターは自動的にオブジェクト マップ項目に関連付けられます。ただし、より汎用的にするために、ロケーター パスを変更できます。たとえば、テスト アプリケーションで特定のコントロールに自動的に日付または時刻が割り当てられる場合、ワイルドカードを使用するようにそのコントロールのロケーターを変更できます。ワイルドカードを使用すると、それぞれのテストで異なる日付または時刻が挿入される場合でも、各テストで同じロケーターを使用できます。

  1. ソリューション エクスプローラ で、変更するオブジェクト マップがあるプロジェクトの オブジェクト マップ フォルダをクリックします。
  2. 次のいずれか 1 つを選んでください：
    • 変更するロケーターを含むオブジェクト マップをダブルクリックします。
    • 変更するロケーターを含むオブジェクト マップを右クリックし、開く を選択します。
    オブジェクト マップ項目および各項目に関連付けられたロケーターの階層が、オブジェクト マップに表示されます。
  3. 変更するロケーターに移動します。 たとえば、変更するロケーターを検索するには、ノードの展開が必要な場合があります。
  4. 変更するロケーター パスをクリックしてから、ロケーター パスを再度クリックします。
  5. 有効なロケーター パスがある場合は、使用する項目名とロケーター パスを入力して Enter を押すことができます。有効なロケーター パスを判別するには、以下のステップで説明するように、Locator Spy ダイアログ ボックスを使用します。
    1. Silk4NET > Locator Spy をクリックします。
    2. 記録したいオブジェクトの上にマウスを移動して Ctrl+Alt を押します。 Silk4NET の ロケーター テキスト フィールドにロケーター文字列が表示されます。
    3. ロケーターの詳細 テーブルで、使用するロケーターを選択します。
    4. ロケーターをコピーしてオブジェクト マップに貼り付けます。
  6. 必要に応じて、ニーズに合わせて項目名またはロケーター テキストを変更します。 無効な文字またはロケーターを使用すると、項目名またはロケーター テキストが赤で表示され、ツール ヒントにエラーの説明が表示されます。

    オブジェクト マップ項目として無効な文字は、\、/、<、>、"、:、*、?、|、=、.、@、[、] です。

    無効なロケーター パスは、空または不完全なロケーター パスです。

  7. Ctrl+S を押して、変更を保存します。

変更したロケーター パスが既存のスクリプトによって使用されている場合は、新しいロケーター パスを使用するように、そのビジュアル テストまたはスクリプトを手動で変更する必要があります。

親トピック: オブジェクト マップ


テスト アプリケーションからのオブジェクト マップの更新

テスト アプリケーションの項目が変化した場合は、オブジェクト マップ UI を使用してそれらの項目のロケーターを更新できます。

  1. ソリューション エクスプローラ で、変更するオブジェクト マップがあるプロジェクトの オブジェクト マップ フォルダをクリックします。
  2. 次のいずれか 1 つを選んでください：
    • 使用するオブジェクト マップをダブルクリックします。
    • 使用するオブジェクト マップを右クリックし、開く をクリックします。
    オブジェクト マップ項目および各項目に関連付けられたロケーターの階層が、オブジェクト マップに表示されます。
  3. ロケータの更新 をクリックします。 Locator Spy が表示され、Silk4NET によってテスト アプリケーションが開かれます。
  4. 記録するオブジェクトの上にカーソルを合わせて、Ctrl+Alt を押します。 Silk4NET の ロケーター テキスト フィールドにロケーター文字列が表示されます。
  5. ロケーターの詳細 テーブルで、使用するロケーターを選択します。
  6. ロケーター テキスト フィールドに表示されているロケーターから、使用しない属性を削除します。
  7. ロケーターの検証 をクリックして、ロケーターが機能することを検証します。
  8. ロケーターをエディターに貼り付け をクリックして、オブジェクト マップのロケーターを更新します。
  9. 変更されたオブジェクト マップを保存します。
AUT からオブジェクト マップ項目を更新するときに、オブジェクト マップ ツリーのリーフ ノードの XPath 表現のみを変更できます。親ノードの XPath 表現を変更することはできません。オブジェクト マップ ツリー内のより高いレベルのノードにある XPath 表現が更新後に整合しなくなると、エラー メッセージが表示されます。

例

たとえば、次の 3 つの階層レベルを持つオブジェクト マップ ID を含むオブジェクト マップ項目があるとします：
WebBrowser.Dialog.Cancel
これらの階層レベルに対応する XPath 表現は次のようになります：
 /BrowserApplication//Dialog//PushButton[@caption='Cancel']
  • 最初の階層レベル： /BrowserApplication
  • 2 番目の階層レベル：//Dialog
  • 3 番目の階層レベル：//PushButton[@caption='Cancel']
次のロケーターを使用して、オブジェクト マップ項目を更新できます：
 /BrowserApplication//Dialog//PushButton[@id='123']
  • 最初の階層レベル： /BrowserApplication
  • 2 番目の階層レベル：//Dialog
  • 3 番目の階層レベル：//PushButton[@id='123']
2 番目のレベルの階層が一致しないため、次のロケーターを使用してオブジェクト マップ項目を更新することはできません：
 /BrowserApplication//BrowserWindow//PushButton[@id='9999999']
  • 最初の階層レベル： /BrowserApplication
  • 2 番目の階層レベル：//BrowserWindow
  • 3 番目の階層レベル：//PushButton[@id='9999999']
親トピック: オブジェクト マップ


オブジェクト マップ項目のコピー

オブジェクト マップ内、またはオブジェクト マップ間で、オブジェクト マップ エントリをコピーおよび貼り付けできます。 たとえば、2 つの異なるテスト アプリケーションに同じ機能が存在する場合は、一方のオブジェクト マップの一部分をコピーして、他方のオブジェクト マップに貼り付けることができます。

  1. ソリューション エクスプローラ で、変更するオブジェクト マップがあるプロジェクトの オブジェクト マップ フォルダをクリックします。
  2. 次のいずれか 1 つを選んでください：
    • コピーするオブジェクト マップ項目を含むオブジェクト マップをダブルクリックします。
    • コピーするオブジェクト マップ項目を含むオブジェクト マップを右クリックし、開く を選択します。
    オブジェクト マップ項目および各項目に関連付けられたロケーターの階層が、オブジェクト マップに表示されます。
  3. コピーするオブジェクト マップ項目に移動します。 たとえば、コピーするオブジェクト マップ項目を検索するには、ノードの展開が必要な場合があります。
  4. 次のいずれか 1 つを選んでください：
    • コピーするオブジェクト マップ項目を右クリックし、ツリーのコピー を選択します。
    • コピーするオブジェクト マップ項目をクリックし、Ctrl+C を押します。
  5. オブジェクト マップ階層で、コピーした項目を貼り付ける位置に移動します。 たとえば、階層の第 1 レベルに項目を組み込むには、項目リストの最初の項目の名前をクリックします。 特定の項目の 1 レベル下にコピーする項目の位置を設定するには、コピーする項目の上にある項目をクリックします。 オブジェクト マップ間でコピーして貼り付けるには、オブジェクト マップ項目をコピーしたマップを終了し、オブジェクト マップ項目を貼り付けるオブジェクト マップを開いて編集する必要があります。
  6. 次のいずれか 1 つを選んでください：
    • コピーしたオブジェクト マップ項目を貼り付けるオブジェクト マップ内の位置を右クリックし、貼り付け を選択します。
    • コピーしたオブジェクト マップ項目を貼り付けるオブジェクト マップ内の位置をクリックし、Ctrl+V を押します。
    オブジェクト マップ項目が、階層内の新しい位置に表示されます。
  7. Ctrl+S を押して、変更を保存します。

移動したオブジェクト マップ項目を既存のスクリプトで使用する場合は、階層内の新しい位置を使用するようにスクリプトを手動で変更する必要があります。

親トピック: オブジェクト マップ


オブジェクト マップ項目の追加

スクリプトを記録すると、オブジェクト マップ項目が自動的に作成されます。場合によっては、手動でオブジェクト マップ項目を追加することもできます。

  1. ソリューション エクスプローラ で、変更するオブジェクト マップがあるプロジェクトの オブジェクト マップ フォルダをクリックします。
  2. 新しい項目を追加したい場所で、オブジェクト マップをダブルクリックします。 オブジェクト マップ項目および各項目に関連付けられたロケーターの階層が、オブジェクト マップに表示されます。
  3. オブジェクト マップ階層で、新しいオブジェクト マップ項目を追加したい位置の下の項目を右クリックします。 たとえば、階層の第 1 レベルに項目を組み込むには、項目リストの最初の項目の名前を右クリックします。特定の項目の 1 レベル下に新しい項目の位置を設定するには、新しい項目を配置したい位置の下の項目をクリックします。
  4. 新規挿入 をクリックします。 新しい項目が、現在のノードの最初の子として階層に追加されます。
  5. 有効なロケーター パスがある場合は、使用する項目名とロケーター パスを入力して Enter を押すことができます。有効なロケーター パスを判別するには、以下のステップで説明するように、Locator Spy ダイアログ ボックスを使用します。
    1. Silk4NET > Locator Spy をクリックします。
    2. 記録したいオブジェクトの上にマウスを移動して Ctrl+Alt を押します。 Silk4NET の ロケーター テキスト フィールドにロケーター文字列が表示されます。
    3. ロケーターの詳細 テーブルで、使用するロケーターを選択します。
    4. ロケーターをコピーしてオブジェクト マップに貼り付けます。
  6. 必要に応じて、ニーズに合わせて項目名またはロケーター テキストを変更します。 無効な文字またはロケーターを使用すると、項目名またはロケーター テキストが赤で表示され、ツール ヒントにエラーの説明が表示されます。

    オブジェクト マップ項目として無効な文字は、\、/、<、>、"、:、*、?、|、=、.、@、[、] です。

    無効なロケーター パスは、空または不完全なロケーター パスです。

  7. Ctrl+S を押して、変更を保存します。
注: オブジェクト マップ ツリーに含まれるすべてのノードのすべての子ノードは、オブジェクト マップを保存するときにアルファベット順にソートされます。
親トピック: オブジェクト マップ


スクリプトからオブジェクト マップを開く

スクリプトを編集している際に、スクリプトのオブジェクト マップ エントリを右クリックし、 Silk4NET 資産を開く を選択してオブジェクト マップを開くことができます。オブジェクト マップは GUI 上で開かれます。

例

// VB .NET code
<TestMethod()> Public Sub TestMethod1()
  With _desktop.Window("Untitled - Notepad").TextField("TextField").TypeKeys("hello")
  End With
End Sub
// C# code
[TestMethod]
public void TestMethod1()
{
  Window untitledNotepad = _desktop.Window("Untitled - Notepad");
  untitledNotepad.TextField("TextField").TypeKeys("hello");
}
上記のコード例で、 Untitled - Notepad エントリをオブジェクト マップで開く場合は、 Untitled - Notepad を右クリックします。 オブジェクト マップで Untitled - Notepad.TextField エントリをオブジェクト マップで開く場合は、TextField を右クリックします。
親トピック: オブジェクト マップ


テスト アプリケーションでのオブジェクト マップ項目のハイライト

オブジェクト マップ項目を追加または記録したあと、ハイライト をクリックして、テスト アプリケーションで項目をハイライトできます。 変更する項目であることをオブジェクト マップ内で確認する場合などに項目をハイライトできます。

  1. ソリューション エクスプローラ で、変更するオブジェクト マップがあるプロジェクトの オブジェクト マップ フォルダをクリックします。
  2. 次のいずれか 1 つを選んでください：
    • 使用するオブジェクト マップをダブルクリックします。
    • 使用するオブジェクト マップを右クリックし、開く をクリックします。
    オブジェクト マップ項目および各項目に関連付けられたロケーターの階層が、オブジェクト マップに表示されます。
  3. オブジェクト マップ階層で、テスト アプリケーションでハイライトするオブジェクト マップ項目を選択します。
    注: テスト アプリケーションの 1 つのインスタンスのみが実行中であることを確認します。 テスト アプリケーションの複数のインスタンスを実行すると、複数のオブジェクトがロケーターと一致するためエラーになります。
  4. ハイライト をクリックします。 テスト アプリケーションがオブジェクト マップに関連付けられていないと、アプリケーションの選択 ダイアログ ボックスが表示されることがあります。 この場合は、テストするアプリケーションを選択し、OK をクリックします。 Silk4NET によってテスト アプリケーションが開かれ、オブジェクト マップ項目を示すコントロールの周囲に緑のボックスが表示されます。
親トピック: オブジェクト マップ


オブジェクト マップのエラーの検出

無効な文字またはロケーターを使用すると、項目名またはロケーター テキストが赤で表示され、ツール ヒントにエラーの説明が表示されます。 オブジェクト マップ ウィンドウのツール バーを使用して、エラーに移動します。

  1. ソリューション エクスプローラ で、変更するオブジェクト マップがあるプロジェクトの オブジェクト マップ フォルダをクリックします。
  2. 次のいずれか 1 つを選んでください：
    • トラブルシュートするオブジェクト マップをダブルクリックします。
    • トラブルシュートするオブジェクト マップを右クリックし、開く を選択します。
    オブジェクト マップ項目および各項目に関連付けられたロケーターの階層が、オブジェクト マップに表示されます。
  3. 赤色で表示された項目名またはロケーター テキストを探します。
  4. 必要に応じて、ニーズに合わせて項目名またはロケーター テキストを変更します。 無効な文字またはロケーターを使用すると、項目名またはロケーター テキストが赤で表示され、ツール ヒントにエラーの説明が表示されます。

    オブジェクト マップ項目として無効な文字は、\、/、<、>、"、:、*、?、|、=、.、@、[、] です。

    無効なロケーター パスは、空または不完全なロケーター パスです。

  5. Ctrl+S を押して、変更を保存します。
親トピック: オブジェクト マップ


オブジェクト マップ項目の削除

テスト アプリケーションに存在しなくなったなどの理由により、オブジェクト マップから項目を削除できます。

  1. ソリューション エクスプローラ で、変更するオブジェクト マップがあるプロジェクトの オブジェクト マップ フォルダをクリックします。
  2. 削除するオブジェクト マップ項目を含むオブジェクト マップをダブルクリックします。 オブジェクト マップ項目および各項目に関連付けられたロケーターの階層が、オブジェクト マップに表示されます。
  3. 削除するオブジェクト マップ項目に移動します。 たとえば、削除するオブジェクト マップ項目を検索するには、ノードの展開が必要な場合があります。
  4. 次のいずれか 1 つを選んでください：
    • 削除するオブジェクト マップ項目を右クリックし、削除 を選択するか、そのオブジェクト マップ項目のすべての子項目も削除する場合は ツリーの削除 を選択します。
    • 削除するオブジェクト マップ項目をクリックし、Del を押すか、そのオブジェクト マップ項目のすべての子項目も削除する場合は Ctrl+Del を押します。
    オブジェクト マップ項目を削除した後、フォーカスはオブジェクト マップの次の項目に移動します。
  5. Ctrl+S を押して、変更を保存します。

削除したオブジェクト マップ項目または子オブジェクトを既存のスクリプトで使用する場合は、そのオブジェクト マップ項目への参照をスクリプトで、手動で変更する必要があります。

親トピック: オブジェクト マップ


オブジェクト マップを最初に書き出す

ベスト プラクティスとして、テストを記録する前に、すべてのオブジェクト マップ項目を書き出し。確認することをお勧めします。

AUT のすべての利用可能な項目をもつオブジェクト マップを最初に書き出すためには、テスト対象アプリケーションのすべてのオブジェクトをクリックし、すべてのウィンドウとダイアログ ボックスを開くテストを作成する必要があります。その後、各オブジェクトに対するオブジェクト マップ項目を確認し、機能テストを記録する前に、必要な変更を加えることができます。オブジェクト マップ項目を確認し、修正した後に、オブジェクト マップを書き出すために作成したテストを削除できます。

ヒント: オブジェクト マップ中の項目間を移動するには、矢印キーを使用できます。
親トピック: オブジェクト マップ


オブジェクト マップの要素のグループ化

オブジェクト マップの項目が一貫した親オブジェクトを持たない場合、XPath の現在の要素のロケーターを意味するロケーター "." を持つ新しいツリー項目を追加して、これらの要素をグループ化できます。

警告: オブジェクト マップ項目をグループ化すると、それらの項目を使用するすべてのスクリプトが影響を受けます。これらの項目を使用するすべてのスクリプトは、新しいロケーターを使用するように手動で変更する必要があります。
  1. ソリューション エクスプローラ で、変更するオブジェクト マップがあるプロジェクトの オブジェクト マップ フォルダをクリックします。
  2. 次のいずれか 1 つを選んでください：
    • 編集するオブジェクト マップをダブルクリックします。
    • 編集するオブジェクト マップを右クリックし、開く をクリックします。
    オブジェクト マップ項目および各項目に関連付けられたロケーターの階層が、オブジェクト マップに表示されます。
  3. 新しく追加する構成項目のすぐ上のツリー項目を右クリックして、新規挿入 を選択します。
  4. 新しいオブジェクト マップ項目の 項目名 フィールドをダブルクリックします。
  5. 使用する項目名を入力し、Enter を押します。 無効な文字を使用すると、項目名が赤で表示されます。 新しい名前が 項目名 リストに表示されます。
  6. 新しいオブジェクト マップ項目の ロケーター パス フィールドをクリックして、フィールドに「.」を入力します。
  7. Enter を押します。
  8. 新しい項目の下に新たに配置し直したいすべてのオブジェクト マップ項目に対して、次の操作を行います。
    1. 配置し直したい項目を右クリックして、ツリーの切り取り を選択します。
    2. 新しい構成項目を右クリックして、貼り付け を選択します。
  9. Ctrl+S を押して、変更を保存します。
親トピック: オブジェクト マップ


オブジェクト マップ：よくある質問

このセクションでは、Silk4NET でオブジェクト マップを使用する時に直面する可能性のある質問を一覧します。

  • 複数のオブジェクト マップを単一のオブジェクト マップのマージする方法
    複数のオブジェクト マップを単一のオブジェクト マップにマージする方法について説明します。
  • テスト スクリプトを削除したときにオブジェクト マップで起こること
    オブジェクト マップ エントリに対応するテスト スクリプトが削除するときに起こることについて説明します。
  • テスト対象アプリケーションのオブジェクト マップを手動で作成する方法
    Silk4NET でオブジェクト マップを手動で作成する方法について説明します。
親トピック: オブジェクト マップ


複数のオブジェクト マップを単一のオブジェクト マップのマージする方法

既存のオブジェクト マップをマージせずに、同じオブジェクト マップに記録することを Micro Focus は推奨しますが、テキスト エディタを使用して複数のオブジェクト マップを単一のマップにマージすることができます。

親トピック: オブジェクト マップ：よくある質問


テスト スクリプトを削除したときにオブジェクト マップで起こること

オブジェクト マップ エントリを含んだテスト スクリプトを削除しても、関連するオブジェクト マップは変更されません。すべてのオブジェクト マップ エントリはそのまま残ります。

親トピック: オブジェクト マップ：よくある質問


テスト対象アプリケーションのオブジェクト マップを手動で作成する方法

Micro Focus では、テストの記録時にオブジェクト マップを作成することを推奨します。しかし、空のオブジェクト マップを作成し、このマップにオブジェクト マップの項目を手動で追加することもできます。

新しいオブジェクト マップを作成するには、Silk4NET > 新しいオブジェクト マップ をメニューから選択します。

親トピック: オブジェクト マップ：よくある質問


イメージ解決のサポート

イメージ解決は、次の場合に使用できます。
  • オブジェクト解決で識別できない、高度にカスタマイズされたコントロールを含むテスト アプリケーションを簡便に操作する場合。座標ベースのクリックの代わりにイメージ クリックを使用し、指定されたイメージをクリックできます。
  • テスト対象アプリケーションのグラフィカル オブジェクト (グラフなど) をテストする場合。
  • テスト対象アプリケーションの視覚的な UI のチェックを実行する場合。

認識されないコントロールをクリックするには、ImageClick メソッドとイメージ資産を使用します。テスト対象アプリケーションに、認識されないコントロールがあるかどうかを確認するには、VerifyAsset メソッドとイメージ検証を使用します。

イメージ解決メソッドは、Silk4NET でサポートされるすべてのテクノロジ ドメインでサポートされます。

注: イメージ解決メソッドは、画面に表示されていないコントロールに対しては機能しません。たとえば、スクロールして画面外にあるイメージに対しては、イメージ解決を使用できません。
  • イメージ クリックの記録
    イメージのクリックを記録する方法について説明します。
  • イメージ解決メソッド
    イメージ解決でサポートされるメソッドを一覧で示します。
  • イメージ資産
    イメージ資産と、それらを Silk4NET で使用する方法について説明します。
  • イメージ検証
    イメージ検証と、それらを Silk4NET で使用する方法について説明します。
  • 複数のプロジェクトでの資産の使用
    イメージ資産、イメージ検証、およびプロジェクト マップが置かれているプロジェクトのスコープ外でそれらを使用する方法を説明します。
関連概念
テキスト解決のサポート


イメージ クリックの記録

イメージ クリックの記録を行うと、大量のイメージが生成されてわかりにくくなるため、デフォルトではイメージ クリックの記録が無効となり、座標ベースのクリックの記録が優先されます。

イメージ クリックの記録を有効にするには、Silk4NET > オプションの編集 をクリックして、記録 タブを選択し、 'ImageClick' を記録する セクションのチェック ボックスをチェックします。

注: モバイル ブラウザを記録する場合、イメージ クリックの記録を有効にする必要はありません。

イメージ クリックの記録を有効にすると、Silk4NET は、オブジェクト解決またはテキスト解決ができない場合に、ImageClick メソッドを記録します。イメージ クリックが記録されない場合でも、任意のコントロールに対してイメージ クリックをスクリプトに挿入できます。

ImageClick 操作を記録しない場合は、イメージ クリックの記録をオフに切り替えて通常のクリックまたはテキスト クリックを記録できます。

注: 記録したイメージは再利用されません。 Silk4NET は、記録するイメージ クリックごとに新しいイメージ資産を作成します。
注: イメージ クリックの記録は、Java AWT/Swing コントロールを使用するアプリケーションまたはアプレットではサポートされません。
親トピック: イメージ解決のサポート


イメージ解決メソッド

Silk4NET では、イメージ解決用に次のメソッドが用意されています。
メソッド | 説明
ImageClick | 資産で指定されたイメージの中央をクリックします。イメージが見つかるか、オブジェクト解決タイムアウト (同期オプションで定義可能) が経過するまで待機します。
ImageExists | 資産で指定されたイメージが存在するかどうかを返します。
ImageRectangle | 資産で指定されたイメージのオブジェクト相対矩形を返します。
ImageClickFile | ファイルで指定されたイメージをクリックします。
ImageExistsFile | ファイルで指定されたイメージが存在するかどうかを返します。
ImageRectangleFile | ファイルで指定されたイメージのオブジェクト相対矩形を返します。
VerifyAsset | 検証資産を実行します。検証に合格しなかった場合、VerificationFailedException がスローされます。
TryVerifyAsset | 検証資産を実行し、検証に合格したかどうかを返します。
注: イメージ解決メソッドは、画面に表示されていないコントロールに対しては機能しません。たとえば、スクロールして画面外にあるイメージに対しては、イメージ解決を使用できません。
親トピック: イメージ解決のサポート
関連資料
ImageClick Method (TestObject)
ImageExists Method (TestObject)
ImageRectangle Method (TestObject)
ImageClickFile Method (TestObject)
ImageExistsFile Method (TestObject)
ImageRectangleFile Method (TestObject)
VerifyAsset メソッド (Silk4NET)
TryVerifyAsset メソッド


イメージ資産

イメージ資産は、次の場合に使用できます。
  • オブジェクト解決で識別できない、高度にカスタマイズされたコントロールを含むテスト アプリケーションを簡便に操作する場合。 座標ベースのクリックの代わりにイメージ クリックを使用し、指定されたイメージをクリックできます。
  • テスト対象アプリケーションのグラフィカル オブジェクト (グラフなど) をテストする場合。

イメージ資産は、イメージと、Silk4NET で資産を操作するために必要な追加情報で構成されます。

Silk4NET では、イメージ資産用に次のメソッドが用意されています。
メソッド | 説明
ImageClick | 指定されたイメージ資産の中央をクリックします。 イメージが見つかるか、オブジェクト解決タイムアウト (同期オプションで定義可能) が経過するまで待機します。
ImageExists | 指定されたイメージ資産があるかどうかを返します。
ImageRectangle | 指定されたイメージ資産のオブジェクト相対矩形を返します。

イメージ資産は、プロジェクトの Image Assets フォルダに置く必要があります。 .imageasset ファイルは、埋め込みリソースにする必要があります。

  • イメージ資産の作成
    イメージ解決サポートを使用するためのイメージ資産を作成します。
  • 同じイメージ資産に複数のイメージを追加する
    同じイメージ資産に複数のイメージを追加して、異なる複数のテスト構成を持つ資産を使用できます。
  • スクリプトから資産を開く
    スクリプトから資産を開く方法を説明します。
親トピック: イメージ解決のサポート
関連概念
イメージ検証
複数のプロジェクトでの資産の使用
関連資料
ImageClick Method (TestObject)
ImageExists Method (TestObject)
ImageRectangle Method (TestObject)


イメージ資産の作成

イメージ資産は、次のいずれかの方法で作成できます。
  • 新しいイメージ資産を既存のスクリプトに挿入。
  • 記録時。
  • メニューから。

新しいイメージ資産を で作成するには、以下のステップを実行します。

  1. メニューで、Silk4NET > 新規イメージ資産 をクリックします。
  2. 資産のわかりやすい名前を 名前 フィールドに入力し、Silk4NET イメージ資産 をダブルクリックします。 イメージ資産の UI が開きます。
  3. 資産にイメージを追加する方法を選択します。
    • 既存のイメージを使用する場合は、参照 をクリックし、イメージ ファイルを選択します。
    • テスト対象アプリケーションの UI から新しいイメージをキャプチャする場合は、キャプチャ をクリックします。Web アプリケーションをテストする場合、ブラウザーの選択 ウィンドウからイメージをキャプチャするブラウザーを選択できます。
  4. 新しいイメージをキャプチャする場合は、キャプチャする画面領域を選択し、選択範囲をキャプチャします をクリックします。
  5. 省略可能：検証 をクリックして、Silk4NET が AUT の UI でイメージ資産を見つけることができるかどうかを確認します。 Web アプリケーションをテストする場合、ブラウザーの選択 ウィンドウからイメージをキャプチャするブラウザーを選択できます。
  6. 省略可能：クリック位置 チェック ボックスをオンにすると、イメージ資産上でクリックを実行する位置を選択できます。 デフォルトの位置は、イメージの中央です。x フィールドと y フィールドに位置を入力するか、イメージ上の位置を選択します。
  7. 精度レベル を指定します。 精度レベルは、検証されるイメージがテスト対象アプリケーションのイメージと異なっていてもよい度合いを定義し、これを超えて異なっている場合、Silk4NET はイメージが異なっていると判断します。これは、画面解像度が異なる複数のシステムまたはブラウザをテストする場合に役立ちます。誤検出を防ぐため、できるだけ精度レベルを高くすることを推奨します。デフォルトの精度レベル値は、オプションで変更できます。
    注: 精度レベル を 5 未満に設定した場合、イメージの実際の色が比較で考慮されなくなります。イメージのグレースケール表現だけが比較されます。
  8. イメージ資産を保存します。

新しいイメージ資産が、ソリューション エクスプローラ で現在のプロジェクトの下に表示され、これを使用してイメージ クリックを実行できます。

同じイメージ資産に複数のイメージを追加できます。

注: モバイル ブラウザーに対する記録中にイメージ クリックを追加するには、記録 ウィンドウで右クリックして、操作のリストから ImageClick を選択します。
親トピック: イメージ資産
関連タスク
同じイメージ資産に複数のイメージを追加する


同じイメージ資産に複数のイメージを追加する

テスト時に、異なるテスト構成を使用して、複数の環境の機能をテストする必要が生じることがよくあります。環境が異なると、イメージ資産にキャプチャしたイメージと実際のイメージが若干異なることがあり、イメージが存在するにもかかわらずイメージ クリックが失敗することがあります。このような場合、同じイメージ資産に複数のイメージを追加できます。

イメージ資産に別のイメージを追加するには、以下を実行します。

  1. イメージ資産に追加したいイメージをダブルクリックします。 イメージ資産の UI が開きます。
  2. UI の下部に表示されるプラス記号をクリックして、新しいイメージをイメージ資産に追加します。
  3. イメージ資産を保存します。
新しいイメージが資産に追加されます。イメージ クリックが呼び出されるたびに、一致するものに到達するまで、Silk4NET は資産のイメージとテスト対象アプリケーションの UI のイメージを比較します。デフォルトで、Silk4NET は資産に追加された順にイメージを比較します。
注: Silk4NET で比較するイメージの順番を変更するには、イメージ資産の UI の下部でイメージをクリックし、目的の場所にドラッグします。左から右の順に比較されます。最初に比較されるのは、最も左にあるイメージです。
親トピック: イメージ資産
関連タスク
イメージ資産の作成


スクリプトから資産を開く

スクリプトを編集しているときに、資産を右クリックして Silk4NET 資産を開く を選択し、資産を開くことができます。 これにより、GUI で資産が開きます。

資産がシステム上のファイルへの参照である場合 (ImageClickFile によって参照される場合など)、ファイルはシステムのデフォルト エディターで開かれます。

親トピック: イメージ資産


イメージ検証

イメージ検証を使用して、テスト対象アプリケーション (AUT) の UI にイメージがあるかどうかをチェックできます。

イメージ検証は、イメージと、Silk4NET で資産を操作するために必要な追加情報で構成されます。

イメージ検証を実行するには、VerifyAsset メソッドを使用します。

イメージ検証資産は、プロジェクトの Verifications フォルダに置く必要があります。 .verification ファイルは、埋め込みリソースにする必要があります。

Silk4NET が AUT のイメージを見つけることができなかった場合、イメージ検証は失敗します。 この場合、スクリプトの実行は中断され、VerificationFailedException がスローされます。 この動作を防止するには、TryVerifyAsset メソッドを使用します。

AUT 内でイメージ検証のロケーターが見つからなかった場合、Silk4NET は ObjectNotFoundException をスローします。

TrueLog Explorer で成功したイメージ検証を開くには、検証ステップの 情報 タブで 検証を開く をクリックします。 TrueLog Explorer で失敗したイメージ検証を開くには、検証ステップの 情報 タブで 相違点の表示 をクリックします。 失敗したイメージ検証が、精度レベルを低くすれば成功すると判断された場合は、成功する精度レベルが提示されます。

  • イメージ検証の作成
    テスト対象アプリケーションの UI に認識されないコントロールがあるかどうかをチェックするためのイメージ検証を作成します。
  • 記録中にイメージ検証を追加する
    イメージ検証をスクリプトに追加して、テスト対象アプリケーションの UI に認識されないコントロールがあるかどうかをチェックします。
親トピック: イメージ解決のサポート
関連概念
イメージ資産


イメージ検証の作成

イメージ検証は、次のいずれかの方法で作成できます。
  • メニュー を使用。
  • 記録時。

新しいイメージ検証を メニュー で作成するには、以下のステップを実行します。

  1. Silk4NET > 新規イメージ検証 をクリックします。
  2. 資産のわかりやすい名前を 名前 フィールドに入力し、Silk4NET イメージ検証 をダブルクリックします。 イメージ検証の UI が開きます。
  3. 識別 をクリックして、テスト対象アプリケーションの、検証するイメージを識別します。
  4. 省略可能：最初にキャプチャしたイメージから変更されたために、テスト対象アプリケーションから同じイメージを再キャプチャする必要がある場合は、再キャプチャ をクリックします。 Web アプリケーションをテストする場合、ブラウザーの選択 ウィンドウからイメージをキャプチャするブラウザーを選択できます。
  5. 省略可能：検証 をクリックすると、イメージ検証が機能するかどうかをテストできます。 Silk4NET は、AUT の UI でイメージを、上から下へ、左から右へと検索し、最初に一致したイメージをハイライトします。
  6. 省略可能：Silk4NET がイメージ検証とテスト対象アプリケーション (AUT) の UI を比較するときに考慮しない除外領域をイメージ検証に追加できます。
  7. 省略可能：オプション クライアント領域のみ を設定して、Silk4NET がイメージ検証と AUT の UI を比較するときに、実際に AUT の一部であるイメージの部分だけを考慮するように定義できます。
  8. 精度レベル を指定します。 精度レベルは、検証されるイメージがテスト対象アプリケーションのイメージと異なっていてもよい度合いを定義し、これを超えて異なっている場合、Silk4NET はイメージが異なっていると判断します。これは、画面解像度が異なる複数のシステムまたはブラウザをテストする場合に役立ちます。誤検出を防ぐため、できるだけ精度レベルを高くすることを推奨します。デフォルトの精度レベル値は、オプションで変更できます。
    注: 精度レベル を 5 未満に設定した場合、イメージの実際の色が比較で考慮されなくなります。イメージのグレースケール表現だけが比較されます。
  9. イメージ検証を保存します。
新しいイメージ検証がソリューション エクスプローラ に表示され、これを使用して、テスト対象アプリケーションの UI にイメージが存在するかどうかをチェックできます。
親トピック: イメージ検証


記録中にイメージ検証を追加する

イメージ検証をスクリプトに追加して、テスト対象アプリケーションの UI に認識されないコントロールがあるかどうかをチェックできます。 スクリプトの記録中にイメージ検証を追加するには、以下のステップを実行します。
  1. 記録を開始します。
  2. 検証するイメージの上にマウス カーソルを移動して、Ctrl+Alt を押しながらクリックします。 Silk4NET から、プロパティーまたはイメージを検証するかどうかを尋ねられます。
  3. イメージ検証の作成または挿入 を選択します。
  4. 次のいずれか 1 つのステップを行います：
    • イメージ検証の UI で新しいイメージ検証を作成するには、リスト ボックスから 新規 を選択します。
    • 既存のイメージ検証資産を挿入するには、リスト ボックスからイメージ検証資産を選択します。
  5. OK をクリックします。
    • 新しいイメージ検証の作成を選択した場合は、イメージ検証の UI が表示されます。
    • 既存のイメージ検証の使用を選択した場合は、イメージ検証がスクリプトに追加されます。 この場合、このトピックの残りのステップはスキップできます。
  6. 新しいイメージ検証を作成するには、イメージ検証の UI で 検証 をクリックします。
  7. AUT のイメージの上にマウス カーソルを移動して、Ctrl+Alt を押しながらクリックします。 イメージ検証の UI に、新しいイメージ検証が表示されます。
  8. OK をクリックします。 新しいイメージ検証が現在のプロジェクトに追加されます。
  9. 記録を続けます。
親トピック: イメージ検証
関連タスク
記録中のスクリプトへの検証の追加


テストの拡張

このセクションでは、テストの拡張方法について説明します。

  • 既存のテストへの追加操作の記録
    追加操作を記録して、既存のテストを更新します。
  • Windows DLL の呼び出し
    Visual Basic から DLL を呼び出す方法について説明します。
  • カスタム コントロール
    Silk4NET がカスタム コントロールをサポートする方法を説明します。
  • Microsoft ユーザー補助を使用したオブジェクト解決の向上
    Microsoft ユーザー補助を使用して、クラス レベルでオブジェクトを簡単に認識する方法について説明します。
  • Silk4NET での Unicode コンテンツのサポートの概要
    Silk4NET での Unicode コンテンツのサポートについて説明します。
  • テキスト解決のサポート
    テキスト解決を使用して、高度にカスタマイズされたコントロールを含むテスト アプリケーションを便利に操作できるようにする方法について説明します。
  • スクリプトへの結果コメントの挿入
    TrueLog ファイルにテストに関する補足情報を提供するために、結果コメントをテスト スクリプトに追加する方法について説明します。
  • 実行時間の計測
    テストの実行にかかる時間を計測する方法について説明します。
  • テスト実行の遅延
    AUT の UI が読み込みを終えて有効になるまでテストを遅延させる方法を示します。
  • 単一マシンでの複数 UI セッションのアプリケーションのテスト
    単一マシンで複数の Open Agent に接続して、そのマシンでの複数の UI セッションでアプリケーションをテスト (または複数のエージェント上でテスト) することができます。


既存のテストへの追加操作の記録

テストを作成したあと、テストを開き、テストの任意の場所から追加操作を記録できます。これにより、既存のテストを追加操作で更新できます。

  1. 既存のテスト スクリプトを開きます。
  2. 追加操作を記録するテスト スクリプトの場所を選択します。
    注: 記録した操作は、選択した場所の後に挿入されます。テスト対象アプリケーション (AUT) は基本状態に戻りません。代わりに、テスト スクリプトの直前の操作が記録された範囲で AUT を開いておきます。
  3. Silk4NET > 操作の記録 をクリックします。 Silk4NET が最小化され、記録中 ダイアログ ボックスが開きます。
  4. AUT に対して実行したい追加操作を記録します。 記録中に利用可能な操作についての詳細は、「記録中に利用可能な操作」を参照してください。
  5. 記録を停止するには、記録中 ウィンドウの 停止 をクリックします。
親トピック: テストの拡張
関連タスク
Silk4NET テストの記録


Windows DLL の呼び出し

このセクションでは、DLL を呼び出す方法について説明します。 DLL は Open Agent のプロセス内から、または AUT (テスト対象アプリケーション) から呼び出すことができます。 これにより、テスト スクリプト内の既存のネイティブ DLL を再利用できます。

Open Agent 内の DLL 呼び出しは通常、AUT 内の UI コントロールと対話しないグローバル関数を呼び出す場合に使用されます。

AUT 内の DLL 呼び出しは通常、アプリケーションの UI コントロールと対話する関数を呼び出す場合に使用されます。 これにより、Silk4NET は再生中に DLL 呼び出しを自動的に同期できます。

注: 32 ビット アプリケーションでは 32 ビット DLL を、64 ビット アプリケーションでは 64 ビット DLL を呼び出すことができます。 Open Agent は 32 ビットと 64 ビットの両方の DLL を実行できます。
注: .NET Framework では、P/Invoke という DLL 呼び出しも組み込みでサポートされています。 P/Invoke を Visual Basic スクリプト内で使用すると、このスクリプトを実行するプロセス内で DLL 関数を呼び出すことができます。 ただし、AUT では Silk Test Workbenchを使用して DLL 関数を呼び出すことができる一方で、自動同期は行われません。
注: DLL を呼び出すには、C インターフェイスを使用する必要があります。 同様に .dll というファイル拡張子の付いた .NET アセンブリを呼び出す場合は、DLL 呼び出し機能を使用しないで、.NET スクリプト内でアセンブリへの参照を追加します。
  • スクリプトからの Windows DLL の呼び出し
    スクリプトから DLL を呼び出す方法について説明します。
  • DLL 関数の宣言構文
    DLL 関数の宣言構文について説明します。
  • DLL 呼び出しの例
    DLL 関数を呼び出す例を示します。
  • DLL 関数への引数の受け渡し
    DLL 関数に引数を渡す方法について説明します。
  • DLL 関数への文字列引数の受け渡し
    DLL 関数に文字列引数を渡す方法について説明します。
  • DLL 名のエイリアス設定
    DLL 関数名のエイリアス設定について説明します。
  • DLL 関数呼び出しの表記規則
    DLL 関数を呼び出す場合にサポートされている表記規則を示し、この規則の変更方法について説明します。
親トピック: テストの拡張


スクリプトからの Windows DLL の呼び出し

DLL の宣言を開始するには、DLL 属性を持つインターフェイスを使用します。宣言の構文は次のとおりです。
<Dll("dllname.dll")> Public Interface DllInterfaceName
  FunctionDeclaration
  [FunctionDeclaration]…
End Interface
// C# code
[Dll("dllname.dll")]
public interface DllInterfaceName {
  FunctionDeclaration ...
}
dllname
スクリプトから呼び出す関数が含まれた DLL ファイルの完全パスの名前。DLL パスの環境変数は自動的に解決されます。パスでは二重のバックスラッシュ (\\) を使用する必要はありません。単一のバックスラッシュ (\) で十分です。
DllInterfaceName
スクリプト内で DLL と対話するために使用される識別子。
FunctionDeclaration
呼び出そうとしている DLL 関数の関数宣言。
親トピック: Windows DLL の呼び出し


DLL 関数の宣言構文

DLL 関数の宣言は、一般に以下の形式を取ります。

戻り値のない関数の場合、宣言の形式は以下のとおりです、

return-type
戻り値のデータ型。
function-name
関数の名前。
arg-list
関数に渡される引数のリスト。
リストは以下のように指定します。
data-type
引数のデータ型。
identifier
引数の名前。
親トピック: Windows DLL の呼び出し


DLL 呼び出しの例

この例では、user32.dll の SendMessage DLL 関数を呼び出して、フィールドに「hello world!」というテキストを書き出します。

DLL の宣言：

// VB .NET code
<Dll("user32.dll")> Public Interface IUserDll32Functions
  Function SendMessageW( _
    ByVal obj As TestObject,ByVal message As Integer,ByVal wParam As Integer,ByVal lParam As String) As Integer
End Interface
// C# code
[Dll("user32.dll")]
public interface IUserDll32Functions {
  int SendMessageW(TestObject obj, int message, int wParam, string lParam);
}
以下のコードは、AUT で宣言された DLL 関数を呼び出す方法を示します。
// VB .NET code
Public Sub Main()
  Dim user32Functions As IUserDll32Functions = DllCall.CreateInProcessDllCall(Of IUserDll32Functions)()
  Dim textField = _desktop.Window().TextField()
  user32Functions.SendMessageW(textField, WindowsMessages.WM_SETTEXT, 0, "my text")
End Sub
// C# code
public void main()
{
  IUserDll32Functions user32Functions = DllCall.CreateInProcessDllCall<IUserDll32Functions>();
  TextField textField = _desktop.Window().TextField();
  user32Functions.SendMessageW(textField, (int) WindowsMessages.WM_SETTEXT, 0, "my text");
}
注: DLL 関数の最初のパラメーターに C データ型の HWND が指定されている場合は、AUT 内で DLL 関数の呼び出しのみを実行できます。
次のコードは、Open Agent のプロセスで宣言された DLL 関数を呼び出す方法を示します。
// VB .NET code
Public Sub Main()
  Dim user32Functions As IUserDll32Functions = DllCall.CreateAgentDllCall(Of IUserDll32Functions)()
  Dim textField = _desktop.Window().TextField()
  user32Functions.SendMessageW(textField, WindowsMessages.WM_SETTEXT, 0, "my text")
End Sub
// C# code
public void main()
{
  IUserDll32Functions user32Functions = DllCall.CreateAgentDllCall<IUserDll32Functions>();
  TextField textField = _desktop.Window().TextField();
  user32Functions.SendMessageW(textField, (int) WindowsMessages.WM_SETTEXT, 0, "my text");
}
注: コード例では、DLL 関数で使用するのに便利な Windows メッセージングに関連する定数を定義した WindowsMessages クラスを使用しています。
親トピック: Windows DLL の呼び出し


DLL 関数への引数の受け渡し

DLL 関数は C で記述されているため、これらの関数に渡す引数には適切な C データ型を指定する必要があります。 次のデータ型がサポートされます。
次のデータ型を持つ引数または戻り値には、このデータ型を使用します。
  • int
  • INT
  • long
  • LONG
  • DWORD
  • BOOL
  • WPARAM
  • HWND
の 型は、4 バイト値を持つすべての DLL 引数に対して有効です。
C データ型 long および int64 を持つ引数または戻り値には、このデータ型を使用します。 の 型は、8 バイト値を持つすべての DLL 引数に対して有効です。
C データ型 short および WORD を持つ引数または戻り値には、このデータ型を使用します。 の 型は、2 バイト値を持つすべての DLL 引数に対して有効です。
C データ型 bool を持つ引数または戻り値には、このデータ型を使用します。
String
C で String となる引数または戻り値には、このデータ型を使用します。
C データ型 double を持つ引数または戻り値には、このデータ型を使用します。
C データ型 RECT を持つ引数には、このデータ型を使用します。 は戻り値として使用できません。
C データ型 POINT を持つ引数には、このデータ型を使用します。 POINT は戻り値として使用できません。
C データ型 HWND を持つ引数には、このデータ型を使用します。 TestObject は戻り値として使用できませんが、戻り値型として Integer を持つ HWND を戻す DLL 関数を宣言できます。
注: 渡された TestObject は インターフェイスを実装して、DLL 関数に渡される TestObject のウィンドウ ハンドルを Silk4NET が 判別できるようにする必要があります。 そうしないと、この DLL 関数を呼び出すときに、例外がスローされます。
List
ユーザー定義の C 構造体の配列には、このデータ型を使用します。 List は戻り値として使用できません。
注: List をパラメーターとして使用する場合は、渡されるリストに、戻される内容を保持できるだけのサイズを確保する必要があります。
注: C 構造体は List で表すことができます。この場合、すべてのリスト要素は構造体のメンバに対応しています。 最初の構造体メンバは、リスト内の最初の要素で表されます。2 番目の構造体メンバは、リスト内の 2 番目の要素で表されます (以下同様)。
注: DLL 関数に渡す引数の前には、いずれかの データ型を配置する必要があります。
親トピック: Windows DLL の呼び出し


DLL 関数への文字列引数の受け渡し

DLL 関数に渡している文字列、または DLL 関数から戻される文字列は、デフォルトでは Unicode Strings として処理されます。 DLL 関数に ANSI String 引数が必要な場合は、DllFunctionOptions 属性の CharacterSet プロパティーを使用します。

例

<Dll( "user32.dll" )> Public Interface IUserDll32Functions
  <DllFunctionOptions(CharacterSet:=CharacterSet.Ansi)> Function SendMessageA( _
    ByVal obj As TestObject, ByVal message As Integer , ByVal wParam As Integer , ByRef lParam As String ) As Integer
End Interface

DLL 呼び出しから String を ByRef 引数 として戻した場合、String のサイズが 256 文字以下であれば、デフォルトの動作に従います。 戻される String が 256 文字を超えている場合は、作成された String を保持できるだけの長さを持つ、Visual Basic String を渡します。

例

1024 個の空白文字を含む String を作成するには、以下のコードを使用します。
Dim longEmptyString = New String ( " "c , 1024 )
この String を ByRef 引数として DLL 関数に渡します。すると、この DLL 関数は最大 1024 文字の String を戻します。

関数の戻り値として DLL から String が戻される場合、DLL は DLL 関数 FreeDllMemory を実装し、DLL 関数から戻される C String ポインターを受け入れて、以前に割り当てられたメモリーを解放する必要があります。 このような関数が存在しない場合、メモリーはリークされます。

親トピック: Windows DLL の呼び出し


DLL 名のエイリアス設定

DLL 関数に、Visual Basic の予約語と同じ名前が付いている場合、または DLL 関数に名前でなく序数が付いている場合は、宣言内でこの関数の名前を変更し、エイリアス ステートメントを使用して、宣言した名前と実際の名前をマッピングする必要があります。

例

たとえば、Exit ステートメントは Visual Basic コンパイラーで予約されています。 したがって、関数 exit を呼び出すには、次のようにその関数を別の名前で宣言し、エイリアス ステートメントを追加する必要があります。
<Dll("mydll.dll")> Public Interface IMyDllFunctions
  <DllFunctionOptions(Alias:="exit")> Sub MyExit()
End Interface
親トピック: Windows DLL の呼び出し


DLL 関数呼び出しの表記規則

DLL 関数を呼び出す場合は、次に示す呼び出し規則がサポートされています。
  • __stdcall
  • __cdecl

DLL 関数を呼び出す場合は、__stdcall 呼び出し規則がデフォルトで使用されます。 この呼び出し規則は、すべての Windows API DLL 関数で使用されます。

DLL 関数の呼び出し規則を変更するには、DllFunctionOptions属性の CallingConvention プロパティーを使用します。

例

次のコード例では、__decl 呼び出し規則を使用して DLL 関数を宣言します。
<Dll("msvcrt.dll")> Public Interface IMsVisualCRuntime
 <DllFunctionOptions(CallingConvention:=CallingConvention.Cdecl)> Function cos(ByVal input As Double) As Double
End Interface
親トピック: Windows DLL の呼び出し


カスタム コントロール

Silk4NET では、カスタム コントロールを扱うときに、以下の機能がサポートされます。
  • 動的呼び出しを使用すると、テスト対象アプリケーション (AUT) 内のコントロールの実際のインスタンスに関して、メソッドの呼び出し、プロパティの取得、またはプロパティの設定を Silk4NET で直接実行できます。
  • クラス マッピング 機能によって、カスタム コントロール クラスの名前を標準 Silk Test クラスの名前にマップできます。このようにすると、標準 Silk Test クラスでサポートされる機能をテストで使用できます。
    Silk4NET は、次のテクノロジ ドメインに対する UI のカスタム コントロールの管理をサポートします。
    • Win32
    • Windows Presentation Foundation (WPF)
    • Windows Forms
    • Java AWT/Swing
    • Java SWT
  • AUT にコードを追加して、カスタム コントロールをテストできます。
  • カスタム コントロールの管理 ダイアログ ボックスを使用して、ロケーターで使用できるカスタム コントロールの名前を指定したり、カスタム コントロールを操作する再利用可能なコードを作成することができます。
注: カスタム コントロールでは、Click、TextClick、TypeKeys などのメソッドだけが、Silk4NET で記録できます。Apache Flex アプリケーションをテストする場合を除き、カスタム コントロールのカスタム メソッドは記録できません。
  • 動的呼び出し
    テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、メソッドの呼び出し、プロパティーの取得、またはプロパティーの設定を実行する方法について説明します。
  • テスト対象アプリケーションにコードを追加してカスタム コントロールをテストする
    動的呼び出しメソッドの単純呼び出しではテストできないカスタム コントロールをテストするために、AUT にコードを追加します。
  • Apache Flex カスタム コントロールのテスト
    カスタム コントロールのテストに使用できる基本サポートおよび高度なサポートについて説明します。
  • カスタム コントロールの管理
    Silk4NET がカスタム コントロールをサポートする方法を説明します。
親トピック: テストの拡張
関連資料
カスタム コントロール オプション


動的呼び出し

動的呼び出しを使用すると、テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、メソッドの呼び出し、プロパティーの取得、またはプロパティーの設定を直接実行できます。また、このコントロールの Silk4NET API で使用できないメソッドおよびプロパティーも呼び出すことができます。動的呼び出しは、作業しているカスタム コントロールを操作するために必要な機能が、Silk4NET API を通して公開されていない場合に特に便利です。

オブジェクトの動的メソッドは Invoke メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

オブジェクトの複数の動的メソッドは InvokeMethods メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

動的プロパティの取得には GetProperty メソッドを、動的プロパティの設定には SetProperty メソッドを使用します。コントロールでサポートされている動的プロパティのリストを取得するには、GetPropertyList メソッドを使用します。

たとえば、テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、タイトルを String 型の入力パラメータとして設定する必要がある SetTitle というメソッドを呼び出すには、次のように入力します：
control.Invoke("SetTitle", "my new title")
注: 通常、ほとんどのプロパティは読み取り専用で、設定できません。
注: ほとんどのテクノロジー ドメインでは、メソッドを呼び出してプロパティーを取得する場合、Reflection を使用します。
注: DOM 要素のメソッドを動的に呼び出すことはできません。
  • 動的呼び出しに関するよくある質問
    カスタム コントロールをテストするために動的にメソッドを呼び出すときの質問を示します。
親トピック: カスタム コントロール
関連概念
Flex メソッドの動的呼び出し
Java メソッドの動的な呼び出し
SAP メソッドの動的な呼び出し
Silverlight メソッドの動的呼び出し
Windows Forms メソッドの動的な呼び出し
WPF メソッドの動的な呼び出し


動的呼び出しに関するよくある質問

このセクションでは、カスタム コントロールをテストするために動的にメソッドを呼び出すときの質問を示します。

  • Invoke メソッドを使用して呼び出せるメソッド
    Invoke メソッドを使用して呼び出せるインスタンス メソッドのリストを取得する方法を説明します。
  • 呼び出しで複雑なオブジェクトが返されることが期待されるときに単純な文字列が返される理由
    Invoke 呼び出しで複雑なオブジェクトが返されることが期待されるときに、単純な文字列が返される理由を説明します。
  • 複数の InvokeMethods 呼び出しを使用するときにスクリプトを単純化する方法
    スクリプトで複数の InvokeMethods 呼び出しを使用するときに、スクリプトを単純化する方法について説明します。
親トピック: 動的呼び出し


Invoke メソッドを使用して呼び出せるメソッド

特定のテスト オブジェクトに対して、Invoke メソッドを使用して呼び出せるすべてのメソッドのリストを取得するには、GetDynamicMethodList を使用します。リストを表示するには、コンソールに出力したり、デバッガーで表示することなどができます。

親トピック: 動的呼び出しに関するよくある質問


呼び出しで複雑なオブジェクトが返されることが期待されるときに単純な文字列が返される理由

Invoke メソッドは単純なデータ型のみを返すことができます。 複雑な型は文字列として返されます。 Silk4NET は ToString メソッドを使用して、戻り値の文字列表現を取得します。 個々のメソッドを呼び出し、最初のメソッドの呼び出しで返される複雑なオブジェクトのプロパティーを読み取るには、Invoke ではなく、InvokeMethods を使用します。

親トピック: 動的呼び出しに関するよくある質問


複数の InvokeMethods 呼び出しを使用するときにスクリプトを単純化する方法

スクリプトで大量の InvokeMethods を使用すると、すべてのメソッド名を文字列として渡し、すべてのパラメータをリストとして渡す必要があるため、複雑になります。 このような複雑なスクリプトを単純化するには、InvokeMethods を通じてコントロールを操作するのではなく、AUT の実際のコントロールを操作する静的メソッドを作成します。 詳細については、「テスト対象アプリケーションにコードを追加してカスタム コントロールをテストする」を参照してください。

親トピック: 動的呼び出しに関するよくある質問
関連概念
テスト対象アプリケーションにコードを追加してカスタム コントロールをテストする


テスト対象アプリケーションにコードを追加してカスタム コントロールをテストする

Windows Forms アプリケーションまたは WPF アプリケーションをテストし、複雑なカスタム コントロールまたは Invoke および InvokeMethods メソッドを使用するだけではテストできないカスタム コントロールをテストする場合は、テスト対象アプリケーション (AUT) の実際のコントロールを操作する静的メソッドを作成し、このコードを AUT に追加できます。

AUT にコードを追加することのメリットは、AUT のコードで、動的呼び出しメソッドによるメソッド呼び出しのリフレクション形式ではなく、通常のメソッド呼び出しを使用してコントロールを操作できるという点です。そのため、コードを作成する時に、コード補完と IntelliSense を使用できます。その後、AUT のコードを単純な呼び出しで呼び出し、該当するコントロールをパラメータとして渡すことができます。

AUT にコードを追加するには、次の方法があります。
  • AUT でコードをコンパイルします。実装は簡単ですが、意図しない AUT の変更を行うことになります。
  • テスト スクリプトの LoadAssembly メソッドを使用して、実行時にコードを AUT に挿入します。AUT でコードをコンパイルする場合よりも作業は多くなりますが、挿入されたコードはテスト コードの近くに配置されます。LoadAssembly は、WPFWindow クラスおよびFormsWindow クラスで使用できます。

例：UltraGrid Infragistics コントロールのテスト

この例では、UltraGrid コントロールの内容を取得する方法を示します。UltraGrid コントロールは、Infragistics が提供する NETAdvantage for Windows Forms ライブラリに含まれています。ライブラリの試用版を http://www.infragistics.com/products/windows-forms/downloads からダウンロードできます。

UltraGridUtil クラスを作成するには、以下の操作を実行します。
  1. C# または VB .NET で、新しいクラス ライブラリを作成します。新しいプロジェクト AUTExtensions を呼び出します。
    注: クラス ライブラリは、AUT と同じバージョンの .NET バージョンを使用する必要があります。
  2. 必要な依存関係への参照をプロジェクトに追加します。たとえば、Infragistics バージョン 12.2 の場合、次のアセンブリへの参照が必要です。
    • Infragistics4.Shared.v12.2
    • Infragistics4.Win.UltraWinGrid.v12.2
    • Infragistics4.Win.v12.2
    AUT で使用している Infragistics のバージョンが不明な場合は、Microsoft の Process Explorer ツールを使用して、AUT にロードされているアセンブリを確認できます。
    1. AUTExtensions プロジェクトで、次の内容を持つ新しいクラス UltraGridUtil を作成します：
      ' VB code
Public Class UltraGridUtil

  Public Shared Function GetContents(ultraGrid As Infragistics.Win.UltraWinGrid.UltraGrid) As List(Of List(Of String))
    Dim contents = New List(Of List(Of String))
    For Each row In ultraGrid.Rows
      Dim rowContents = New List(Of String)
      For Each cell In row.Cells
        rowContents.Add(cell.Text)
      Next
      contents.Add(rowContents)
    Next
    Return contents
  End Function

End Class
      // C# code
using System.Collections.Generic;

namespace AUTExtensions {

  public class UltraGridUtil {

    public static List<List<string>> GetContents(Infragistics.Win.UltraWinGrid.UltraGrid grid) {
      var result = new List<List<string>>();
      foreach (var row in grid.Rows) {
        var rowContent = new List<string>();
        foreach (var cell in row.Cells) {
          rowContent.Add(cell.Text);
        }
        result.Add(rowContent);
      }
      return result;
    }

  }

}
      注: Shared 修飾子によって、GetContents メソッドが静的メソッドになります。
  3. AUTExtensions プロジェクトを構築します。
  4. 再生中に、AUT にアセンブリをロードします。
    • Silk4NET プロジェクトで、既存のテスト スクリプトを開くか、新しいテスト スクリプトを作成します。
    • AUTExtensions プロジェクトを Silk4NET プロジェクトへの参照として追加します。
    • 次のコードをテスト スクリプトに追加します：
      ' VB code
mainWindow.LoadAssembly(GetType(UltraGridUtil).Assembly.Location)
      // C# code
mainWindow.LoadAssembly(typeof(UltraGridUtil).Assembly.Location);
  5. 挿入したコードの静的メソッドを呼び出して、UltraGrid の内容を取得します：
    'VB code
Dim ultraGrid = mainWindow.Control("@automationId='my grid'")
Dim contents As IList = mainWindow.Invoke("AUTExtensions.UltraGridUtil.GetContents", ultraGrid)
    // C# code
Dim ultraGrid = mainWindow.Control("@automationId='my grid'");
Dim contents As IList = mainWindow.Invoke("AUTExtensions.UltraGridUtil.GetContents", ultraGrid);
  • AUT へのコードの追加に関するよくある質問
    カスタム コントロールをテストするために AUT にコードを追加するときの質問を示します。
親トピック: カスタム コントロール
関連概念
WPF メソッドの動的な呼び出し
Windows Forms メソッドの動的な呼び出し
カスタム コントロールの管理


AUT へのコードの追加に関するよくある質問

このセクションでは、カスタム コントロールをテストするために AUT にコードを追加するときの質問を示します。

  • LoadAssembly メソッドを使用して AUT に挿入したコードが AUT で更新されない理由
    LoadAssembly メソッドを使用して挿入したコードによって、AUT 内のコードが置き換えられない場合の対処法を説明します。
  • メソッドを呼び出すと入力引数の型が一致しない理由
    何らかのメソッドを呼び出したときに、入力引数の型が一致しないことを示すエラーが表示される場合の対処法を説明します。
  • アセンブリをコピーできないときにコンパイル エラーを修正する方法
    LoadAssembly メソッドで AUT にコードを追加しようとしたときに、アセンブリ ファイルをコピーできない場合の対処方法を説明します。
親トピック: テスト対象アプリケーションにコードを追加してカスタム コントロールをテストする


LoadAssembly メソッドを使用して AUT に挿入したコードが AUT で更新されない理由

AUT 内のコードが、LoadAssembly メソッドを使用して AUT に挿入したコードによって置き換えられない場合、アセンブリがすでに AUT にロードされている可能性があります。 アセンブリをアンロードすることはできないため、AUT を閉じてから、再開する必要があります。

親トピック: AUT へのコードの追加に関するよくある質問


メソッドを呼び出すと入力引数の型が一致しない理由

何らかのメソッドを呼び出したときに、入力引数の型が一致しないことを示すエラーが表示される場合は、呼び出すメソッドは見つかりましたが、引数が正しくありません。 スクリプトで正しいデータ型を使用していることを確認します。

スクリプトで LoadAssembly メソッドを使用してアセンブリを AUT にロードする場合にこのエラーが発生するもう 1 つの理由として、AUT が使用するバージョンとは異なるサード パーティ ライブラリのバージョンに対してアセンブリが作成されている可能性があります。 この問題を修正するには、プロジェクトで参照されているアセンブリを変更します。 AUT で使用されているサード パーティ ライブラリのバージョンが不明な場合は、Microsoft の Process Explorer ツールを使用できます。

親トピック: AUT へのコードの追加に関するよくある質問


アセンブリをコピーできないときにコンパイル エラーを修正する方法

LoadAssembly メソッドで AUT にコードを追加しようとしたときに、次のコンパイル エラーが発生することがあります。
Could not copy '<assembly_name>.dll' to '<assembly_name>.dll'. The process cannot access the file.
このコンパイル エラーは、アセンブリがすでに AUT にロードされていて、上書きできないために発生します。

このコンパイル エラーを修正するには、AUT を閉じて、再度スクリプトをコンパイルします。

親トピック: AUT へのコードの追加に関するよくある質問


Apache Flex カスタム コントロールのテスト

Silk4NET では、Apache Flex カスタム コントロールのテストがサポートされています。ただし、デフォルトでは、Silk4NET は、カスタム コントロールの個別のサブコントロールを記録および再生することはできません。

カスタム コントロールをテストする場合、以下のオプションが存在します。
  • 基本サポート

    基本サポートでは、動的呼び出しを使用して、再生中にカスタム コントロールと対話します。作業量が少なく済むこのアプローチは、テスト アプリケーションにおいて、Silk4NET が公開しないカスタム コントロールのプロパティおよびメソッドにアクセスする場合に使用します。カスタム コントロールの開発者は、コントロールのテストを容易にすることのみを目的としたメソッドおよびプロパティをカスタム コントロールに追加することもできます。ユーザーは、動的呼び出し機能を使用してこれらのメソッドやプロパティを呼び出すことができます。

    基本サポートには以下のような利点があります。
    • 動的呼び出しでは、テスト アプリケーションのコードを変更する必要がありません。
    • 動的呼び出しを使用することによって、ほとんどのテストのニーズを満たすことができます。
    基本サポートには以下のような短所があります。
    • ロケーターには、具体的なクラス名が組み込まれません (たとえば、Silk4NET では「//FlexSpinner」ではなく「//FlexBox」と記録されます)。
    • 記録のサポートが限定されます。
    • Silk4NET では、イベントを再生できません。

    例を含む動的呼び出しの詳細については、「Apache Flex メソッドの動的呼び出し」を参照してください。

  • 高度なサポート
    高度なサポートでは、カスタム コントロールに対して、特定のオートメーション サポートを作成できます。この追加のオートメーション サポートによって、記録のサポートおよびより強力な再生のサポートが提供されます。高度なサポートには以下のような利点があります。
    • イベントの記録と再生を含む、高レベルの記録および再生のサポートが提供されます。
    • Silk4NET では、カスタム コントロールが他のすべての組み込み Apache Flex コントロールと同様に処理されます。
    • Silk4NET API とシームレスに統合できます。
    • Silk4NET では、ロケーターで具体的なクラス名が使用されます (たとえば、Silk4NET では「//FlexSpinner」と記録されます)。
    高度なサポートには以下のような短所があります。
    • 実装作業が必要です。テスト アプリケーションを変更し、Open Agent を拡張する必要があります。
  • Flex メソッドの動的呼び出し
    動的呼び出し機能を使用して Silk4NET が対象としないコントロールのメソッドを呼び出したり、プロパティーを取得/設定したりする方法を説明します。
  • テスト アプリケーションでのカスタム コントロールの定義
    以下の手順では、Flex のカスタム Spinner コントロールを使用して、カスタム コントロールの定義方法を示します。
  • 動的呼び出しを使用した Flex カスタム コントロールのテスト
    Silk4NET では、動的呼び出しを使用したカスタム コントロールの記録と再生のサポートが提供されており、これにより再生中にカスタム コントロールを操作できます。
  • オートメーション サポートを使用したカスタム コントロールのテスト
    カスタム コントロールをテストに対して有効化します。
親トピック: カスタム コントロール
親トピック: Apache Flex のサポート


カスタム コントロールの管理

Silk4NET が専用サポートを提供していないカスタム コントロールに対応するカスタム クラスを作成できます。 カスタム クラスを作成すると、以下の利点があります。
  • スクリプトのロケーターが効率化されます。
  • カスタム コントロールと対話するための再利用可能コードを簡単に記述できます。

例：UltraGrid Infragistics コントロールのテスト

カスタム グリッド コントロールが Silk4NET で汎用クラス Control として認識されるとします。 Silk4NET のカスタム コントロール サポートを使用すると、以下の利点があります。
カスタム コントロール クラス名をロケーターで使用できるため、オブジェクトの認識率が高まります。
複数のオブジェクトが Control として認識されることがあります。 ローケーターには、特定のオブジェクトを識別するためのインデックスが必要です。 たとえば、オブジェクトはロケーター //Control[13] を使用して識別できます。 このコントロールのカスタム クラス (クラス UltraGrid など) を作成する場合は、ロケーター //UltraGrid を使用できます。 カスタム クラスを作成することによって、テスト対象アプリケーションが変更された場合にオブジェクト識別子が変わりやすい、大きな数字のインデックスを使用する必要がなくなります。
スクリプト内のコントロールに、再利用可能な再生操作を実行できます。

カスタム クラスを使用している場合、ユーザー インターフェイスにカスタム コントロールを指定すると生成されるクラスであるカスタム クラスに以下のコードを追加することで、グリッドのコンテンツをメソッド内に取り込む動作をカプセル化できます。

通常は、以下のいずれかの方法で、メソッドをカスタム コントロール クラスに実装できます。
  • Click、TypeKeys、TextClick、および TextCapture などのメソッドを使用できます。
  • AUT のオブジェクトで動的にメソッドを呼び出せます。
  • AUT に追加したメソッドを動的に呼び出せます。 これは、この例で説明されている手法です。
以下のコードを使用して、「テスト対象アプリケーションにコードを追加してカスタム コントロールをテストする」の例で定義されている静的メソッドを呼び出すことができます。 メソッド GetContents が、生成されたクラス UltraGrid に追加されます。
' VB code
Partial Public Class UltraGrid

  Public Function GetContents() As IList
    Return Invoke("AUTExtensions.UltraGridUtil.GetContents", Me)
  End Function

End Class
// C# code
public partial class UltraGrid {

  public System.Collections.IList GetContents() {
    return (System.Collections.IList) Invoke("AUTExtensions.UltraGridUtil.GetContents", this);
  }

}
クラスをカスタム コントロールとして定義すると、Dialog クラスのように、すべての組み込みクラスの場合と同じ方法でそのクラスを使用できます。
' VB code
Dim ultraGrid As UltraGrid = mainWindow.UltraGrid("@automationId='my grid'")
Dim contents = ultraGrid.GetContents()
// C# code
UltraGrid ultraGrid = mainWindow.UltraGrid("@automationId='my grid'");
IList contents = ultraGrid.GetContents();
  • カスタム コントロールのサポート
    Silk4NET のカスタム コントロールをサポートする新しいカスタム クラスを作成します。
  • カスタム コントロール オプション
    カスタム コントロールをサポートするためのオプションの設定方法について説明します。
親トピック: カスタム コントロール
関連タスク
テスト対象アプリケーションにコードを追加してカスタム コントロールをテストする


カスタム コントロールのサポート

Silk4NET は、次のテクノロジ ドメインに対する UI のカスタム コントロールの管理をサポートします。
  • Win32
  • Windows Presentation Foundation (WPF)
  • Windows Forms
  • Java AWT/Swing
  • Java SWT

Silk4NET が専用サポートを提供していないカスタム コントロールに対応するカスタム クラスを作成するには、以下を実行します。

  1. Silk4NET > カスタム コントロールの管理 をクリックします。 カスタム コントロールの管理 ダイアログ ボックスが開きます。
  2. Silk4NET カスタム コントロール コードのディレクトリ フィールドで、任意の名前を入力するか、参照 をクリックして、カスタム コントロールを含めるディレクトリ を選択します。
  3. 新しいカスタム クラスを作成するテクノロジ ドメインのタブをクリックします。
  4. 追加 をクリックします。
  5. 次のいずれかをクリックします。
    • 新しいカスタム コントロールの識別 をクリックし、オブジェクトの識別 ダイアログ ボックスを使ってアプリケーション内のカスタム コントロールを直接選択します。
    • 新しいカスタム コントロールの追加 をクリックし、カスタム コントロールを手動でリストに追加します。
    新しい行がカスタム コントロールのリストに追加されます。
  6. カスタム コントロールを手動でリストに追加するように選択した場合は、以下を実行します。
    1. Silk Test 基本クラス 列で、クラスの取得元となる既存の基本クラスを選択します。 このクラスは、ご使用のカスタム コントロールのタイプに最も一致率が高くなければなりません。
    2. Silk Test クラス 列で、クラスの参照に使用する名前を入力します。 この名前は、ロケーターに表示されます。たとえば、//Control[13] でなく //UltraGrid を入力します。
      注: 有効なクラスを追加すると、そのクラスは Silk Test 基本クラス リストで使用できるようになります。追加したクラスは、基本クラスとして再使用できます。
    3. カスタム コントロール クラス名 列に、マップしているクラスの完全修飾クラス名を入力します。 たとえば、Infragistics.Win.UltraWinGrid.UltraGrid です。Win32 アプリケーションの場合、クラス名にワイルドカード ? および * を使用できます。
  7. Win32 アプリケーションの場合のみ：クラスの宣言を使用する 列で、値を False に設定して、カスタム コントロール クラスの名前を標準 Silk Test クラスの名前に単純にマップします。 カスタム コントロール クラスを標準 Silk Test クラスにマップすると、テストの際に標準 Silk Test クラスでサポートされている機能を使用できます。カスタム コントロール クラスのクラス宣言を追加して使用する場合は、この値を True にします。
  8. OK をクリックします。
  9. スクリプトの場合のみ：
    1. カスタム コントロール用のクラスにカスタム メソッドおよびプロパティーを追加します。
    2. スクリプト内で新しいクラスのカスタム メソッドおよびプロパティーを使用します。
      注: カスタム メソッドおよびプロパティは記録されません。
注: スクリプト ファイル内のカスタム クラスまたは基本クラスの名前を変更しないでください。スクリプト内に生成されたクラスを変更した場合、予期しない動作を起こすことがあります。カスタム クラスにプロパティおよびメソッドを追加する場合にのみスクリプトを使用してください。それ以外の変更をカスタム クラスに加える場合は カスタム コントロールの管理 ダイアログ ボックスを使用してください。
親トピック: カスタム コントロールの管理
関連資料
カスタム コントロール オプション


カスタム コントロール オプション

Silk4NET > カスタム コントロールの管理。

Silk4NET は、次のテクノロジ ドメインに対する UI のカスタム コントロールの管理をサポートします。
  • Win32
  • Windows Presentation Foundation (WPF)
  • Windows Forms
  • Java AWT/Swing
  • Java SWT

Silk4NET カスタム コントロール コードのディレクトリ で、新しいカスタム クラスをその中に生成するスクリプト ファイルを定義します。

カスタム コントロール クラスを標準 Silk Test クラスにマップすると、テストの際に標準 Silk Test クラスでサポートされている機能を使用できます。次の カスタム コントロール オプションが使用できます。
オプション
説明
Silk Test 基本クラス
自分のクラスの派生元として使用する既存の基本クラスを選択します。このクラスは、ご使用のカスタム コントロールのタイプに最も一致率が高くなければなりません。
Silk Test クラス
クラスの参照に使用する名前を入力します。この名前は、ロケーターに表示されます。
カスタム コントロールのクラス名
マッピングされているクラスの完全修飾クラス名を入力します。クラス名には、ワイルドカード ? および * を使用できます。
クラスの宣言を使用する
このオプションは Win32 アプリケーションの場合のみ使用できます。デフォルト値は False で、カスタム コントロール クラスの名前が標準 Silk Test クラスの名前にマップされることを意味します。カスタム コントロール クラスのクラス宣言を追加して使用する場合は、この設定を True にします。
注: 有効なクラスを追加すると、そのクラスは Silk Test 基本クラス リストで使用できるようになります。追加したクラスは、基本クラスとして再使用できます。

例：UltraGrid Infragistics コントロールのオプションの設定

UltraGrid Infragistics コントロールをサポートするには、次の値を使用します。
オプション | 値
Silk Test 基本クラス | Control
Silk Test クラス | UltraGrid
カスタム コントロールのクラス名 | Infragistics.Win.UltraWinGrid.UltraGrid
親トピック: カスタム コントロールの管理
関連概念
カスタム コントロール
カスタム コントロールのサポート


Microsoft ユーザー補助を使用したオブジェクト解決の向上

Microsoft ユーザー補助を、クラス レベルでオブジェクトを簡単に認識するために使用することができます。 Internet Explorer や Microsoft アプリケーションのいくつかのオブジェクトには、ユーザー補助を有効にすることで Silk4NET によってより良く認識されるようになるものがあります。 たとえば、ユーザー補助を有効にしないと、Silk4NET は Microsoft Word のメニュー バーや表示されるタブについて基本的な情報のみを記録します。 しかし、ユーザー補助を有効にすると、 Silk4NET はそれらのオブジェクトを完全に認識するようになります。

例

ユーザー補助を使用しないと、 Silk4NET は DirectUIHwnd コントロールを完全に認識できません。これは、このコントロールのパブリックな情報が存在しないためです。 Internet Explorer は、2 つの DirectUIHwnd コントロールを使用しています。1 つはブラウザ ウィンドウの下部に表示されるポップアップです。 このポップアップには、通常、次の情報が表示されます。
  • Internet Explorer を既定のブラウザにしたいかどうかを尋ねるダイアログ ボックス。
  • ダウンロード オプション（ 開く、 保存、 キャンセル）。

Silk4NET でプロジェクトを開始して、 DirectUIHwnd ポップアップに対してロケーターを記録すると、ユーザー補助を無効にしている場合、単一のコントロールのみが表示されます。 ユーザー補助を有効にした場合には、 DirectUIHwnd コントロールを完全に認識した情報が得られます。

  • ユーザー補助の使用
    ユーザー補助を使用する方法について説明します。
  • ユーザー補助の有効化
    ユーザー補助を有効にする方法について説明します。
親トピック: テストの拡張


ユーザー補助の使用

Win32 では、ジェネリック コントロールとして認識されるコントロールにユーザー補助 サポートが使用されます。 Win32 は、コントロールを特定すると、ユーザー補助オブジェクトをコントロールのすべてのユーザー補助の子とともに取得しようとします。

ユーザー補助によって返されるオブジェクトは、AccessibleControl、Button、CheckBox のいずれかのクラスになります。 Button および Checkbox は、そのクラス用に定義されたメソッドとプロパティの通常セットをサポートするので個別に扱われます。 ユーザー補助によって返されるすべてのジェネリック オブジェクトの場合、クラスは AccessibleControl です。

例

ユーザー補助が有効になる前、アプリケーションのコントロール階層が次のようになっていたとします。
  • コントロール
    • コントロール
  • ボタン
ユーザー補助を有効にすると、階層は次のように変わります。
  • コントロール
    • コントロール
      • ユーザー補助コントロール
      • ユーザー補助コントロール
        • ボタン
  • ボタン
親トピック: Microsoft ユーザー補助を使用したオブジェクト解決の向上


ユーザー補助の有効化

Win32 アプリケーションをテストしているときに、 がオブジェクトを認識できない場合は、最初にユーザー補助を有効にする必要があります。ユーザー補助は、オブジェクトの認識機能をクラス レベルで強化するためのものです。

ユーザー補助を有効にするには、以下の手順を実行します。

  1. Silk4NET > オプションの編集 をクリックします。 スクリプト オプション ダイアログ ボックスが表示されます。
  2. 詳細設定 をクリックします。
  3. Microsoft ユーザー補助を使用する オプションを選択します。 ユーザー補助が有効になります。
親トピック: Microsoft ユーザー補助を使用したオブジェクト解決の向上


Silk4NET での Unicode コンテンツのサポートの概要

Open Agent は、Unicode 対応済みです。つまり、Open Agent は、2 バイト (ワイド) 言語を認識できます。

Silk4NET を使用して、中国語、韓国語、日本語 (漢字) などの 2 バイト言語や、それらを組み合わせたコンテンツを含んだアプリケーションをテストできます。

Open Agent は、以下をサポートします。

  • Windows のローカライズ版。
  • 国際化キーボードとネイティブ言語の入力方式エディター (IME)。
  • テストケース、メソッドなどにパラメータとして国際化文字列を渡す、および文字列の比較。
  • 複数の形式でのテキスト ファイルの読み書き：ANSI、Unicode、UTF-8。

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

Silk4NET を使用した 2 バイト文字のテストを行う前に

国際化されたアプリケーション、特に 2 バイト文字を含んだアプリケーションをテストするのは、英語 (1 バイト文字) のみを含んだアプリケーションをテストするよりも複雑です。国際化アプリケーションのテストにおいては、オペレーティング システムのサポートから、言語パック、フォント、IME の動作、さらに複合した言語など、さまざまな問題を理解する必要があります。

Silk4NET を使用してアプリケーションのテストを始める前に、以下を確認する必要があります。

  • 必要なローカライズ OS、地域の設定、必要な言語パックがテスト対象アプリケーション (AUT) の要求を満たしているか。
  • AUT を表示するのに必要なフォントがインストールされているか。
  • データ入力に IME が必要なアプリケーションをテストする場合、適切な IME がインストールされているか。
親トピック: テストの拡張


テキスト解決のサポート

テキスト解決メソッドを使用して、オブジェクト解決で識別できない、高度にカスタマイズされたコントロールを含むテスト アプリケーションを便利に操作できます。座標ベースのクリックの代わりにテキスト クリックを使用し、コントロール内に指定されたテキスト文字列をクリックできます。

たとえば、次の表の 2 行目の最初のセルを選択することをシミュレートできます。

セルのテキストを指定すると、次のコードが生成されます：
'VB code
table.TextClick("Brian Miller")
// C# code
table.TextClick("Brian Miller");
テキスト解決メソッドは、次のテクノロジ ドメインでサポートされます。
  • Win32
  • WPF
  • Windows Forms
  • Java SWT と Eclipse
  • Java AWT/Swing
    注: Java アプレット、および Java バージョンが 1.6.10 より前の Swing アプリケーションの場合、テキスト解決は追加設定なしでサポートされます。Direct3D をサポートしない Java バージョン 1.6.10 以降の Swing アプリケーションの場合は、アプリケーションの起動時に次のコマンドライン要素を追加する必要があります。
    -Dsun.java2d.d3d=false
    例：
    javaw.exe -Dsun.java2d.d3d=false -jar mySwingApplication.jar
    Direct3D をサポートする Java アプレットや Swing アプリケーションでは、テキスト解決はサポートされません。
  • Internet Explorer。
注: テキスト解決は、画面に表示されていないコントロールに対しては機能しません。たとえば、スクロールして画面外にあるテキストに対しては、テキスト解決を使用できません。
注: 対象のテキストで使用されたフォントがテストが実行されるマシン上にインストールされていない場合、テキスト解決が機能しない場合があります。

テキスト解決メソッド

次のメソッドにより、コントロールのテキストを操作できます。
TextCapture
コントロール内のテキストを返します。子コントロールのテキストも返します。
TextClick
コントロール内の指定テキストをクリックします。テキストが検出されるか、同期オプションで定義できるオブジェクト解決タイムアウトに達するまで待機します。
TextRectangle
コントロール内の特定テキストの矩形、またはコントロールの領域を返します。
TextExists
コントロール内またはコントロールの領域内に特定テキストが存在するかどうかを判断します。

テキスト クリックの記録

テキスト クリックの記録はデフォルトで有効です。テキスト クリックの記録を無効にするには、Silk4NET > オプションの編集 > 記録 をクリックし、OPT_RECORD_TEXT_CLICK チェック ボックスをオフにします。

テキスト クリックの記録を有効にすると、Silk4NET は、相対座標でクリックを記録するのではなく、TextClick メソッドを記録します。通常の座標ベースのクリックよりも TextClick 記録の方が結果が良いコントロールには、この方法を使用します。テキスト クリックが記録されない場合でも、任意のコントロールに対してテキスト クリックをスクリプトに挿入できます。

TextClick 操作を記録しない場合は、テキスト クリックの記録をオフに切り替えて通常のクリックを記録できます。

テキスト解決メソッドでは、部分的に一致する単語よりも完全に一致する単語が優先されます。Silk4NET では、完全に一致する単語の前に部分的に一致する単語が画面に表示されていても、部分的に一致する単語よりも完全に一致した単語の出現が先に解決されます。完全に一致する単語がない場合は、部分的に一致する単語が画面に表示される順序で使用されます。

例

ユーザー インターフェイスには、テキスト「the hostname is the name of the host」が表示されているとします。次のコードでは、画面上では host の前に hostname が表示されていますが、hostname ではなく host がクリックされます。
'VB code
control.TextClick("host")
// C# code
control.TextClick("host");
次のコードでは、2 番目の出現箇所であることを指定することで、単語 hostname 中の部分文字列 host がクリックされます。
'VB code
control.TextClick("host", 2)
// C# code
control.TextClick("host", 2);
親トピック: テストの拡張
関連概念
イメージ解決のサポート


スクリプトへの結果コメントの挿入

テストに関する補足情報を提供するために、結果コメントをテスト スクリプトに追加することができます。テストの実行中、結果コメントはテストの TrueLog ファイルに追加されます。

情報、警告、エラーの種類のコメントを追加できます。各コメントの種類のサンプルとして、以下にコード例を示します。
'VB .NET code
Agent.LogInfo("This is a comment!")
Agent.LogWarning("This is a warning!")
Agent.LogError("This is an error!")
// C# code
Agent.LogInfo("This is a comment!");
Agent.LogWarning("This is a warning!");
Agent.LogError("This is an error!");
親トピック: テストの拡張
関連タスク
TrueLog の有効化


実行時間の計測

Timer クラスが提供するメソッドやプロパティを使用して、テストの実行にかかる時間を計測できます。詳細については、「Timer クラス」を参照してください。

特に、 これらのメソッドとプロパティは、Silk Performer から呼び出されるテスト実行の計測に使用できるという利点があります。Silk4NET と Silk Performer の統合についての詳細は、『Silk Performer ヘルプ』を参照してください。

親トピック: テストの拡張
関連資料
Timer クラス


テスト実行の遅延

テスト対象アプリケーションによっては、UI でのアプリケーション データの読み込みに多くの時間を必要とするため、テストの再生に必要なオブジェクトのロードが時間内に終わらない場合があります。このような AUT でテストの再生を正しく行うには、操作を実行する前にオブジェクトの存在を確認したり、操作の実行前にスリープを挿入する必要があります。

注: Micro Focus では、テストにスリープを追加することは基本的には推奨していません。 たいていの場合、オブジェクトが利用可能かどうかを Silk4NET が自動的に検出するので、スリープはテストのパフォーマンスを落とす結果になるためです。
  1. オブジェクトが AUT で利用可能かどうかを確認するには、Exists メソッドを使用します。 たとえば、INPUT ボタンが利用可能になるまで 6 秒間待機する場合は、テスト スクリプトに次の行を追加します。
    'VB .NET code
browserWindow.Exists("//INPUT", 6000)
    // C# code
browserWindow.Exists("//INPUT", 6000)
  2. コントロールの操作を実行する前にスリープを追加するには、 メソッドを使用します。 たとえば、6 秒間スリープする場合は、テスト スクリプトに次の行を追加します。
    'VB .NET code
System.Threading.Thread.Sleep(6000)
    // C# code
browserWindow.Exists("//INPUT", 6000)
親トピック: テストの拡張
関連概念
xBrowser のページ同期


単一マシンでの複数 UI セッションのアプリケーションのテスト

単一マシンで複数の UI セッションを持つアプリケーションや、単一マシンで複数のエージェントをテストするには、そのマシンで複数の Open Agent インスタンスに接続します。すべてのエージェントがそれ自身の UI セッションで実行します。UI セッションは、リモート デスクトップ プロトコル (RDP) や Citrix ベースの接続です。

  1. UI セッションを作成します。
  2. コマンドライン ウィンドウを開きます。
  3. Silk Test インストール ディレクトリの /ng/agent フォルダに移動します。 たとえば、デフォルトでは、フォルダのパスは次のようになります：C:\Program Files (x86)\Silk\SilkTest\ng\agent。
  4. 各 UI セッションで、次のコマンドを実行します。openAgent.exe -infoServicePort=<port>
    注: このポート番号は、Silk4NET スクリプトで Open Agent とエージェントが実行している UI セッションを識別するために使用されるため、一意のポート番号を使用してください。
  5. Silk4NET スクリプトを変更して、Open Agent インスタンスに接続します。 Open Agent インスタンスに接続するために、スクリプトに次の行を追加します。
    // VB .NET code
Private agent As RemoteAgent = Agent.Connect("hostname:port")
    // C# code
private RemoteAgent agent = Agent.Connect("hostname:port");
    ここで、hostname はエージェントが実行しているマシンの名前で、port は指定した一意のポート番号です。
結果のオブジェクトは互いに独立しており、単一スレッド、複数スレッドのどちらででも使用することができます。
注: 複数の UI セッションでアプリケーションを起動する場合には、それぞれの UI セッションに対して基本状態を実行する必要があります。
次のクラスには、複数のエージェントまたは複数のセッションでのテストを行うためのメソッドのオーバーロードがあります。
  • Agent
  • BaseState
  • BrowserBaseState
  • Clipboard
  • ConsoleWindow
  • Desktop
  • DllCall
注: リモート マシン上の複数の UI セッションでアプリケーションをテストするときに TrueLog を使用するには、生成された TrueLog ファイルをリモート マシンからローカル マシンに手動でコピーする必要があります。

例

複数の UI セッションをホストしているサーバー マシンの名前を ui-srv とします。ポート番号 22903、22904、22905 を使用して 3 つの UI セッションを作成します。

最初のセッションのために、コマンドライン ウィンドウを開き、agent ディレクトリに移動して、次を入力します。
openAgent.exe -infoServicePort=22903

他の 2 つのセッション対して、ポート番号 22904 と 22905 をそれぞれ使用して同じことを行います。

Open Agent インスタンスに接続するために、スクリプトに次の行を追加します。
// VB .NET code
Private agent1 As RemoteAgent = Agent.Connect("ui-srv:22903")
Private agent2 As RemoteAgent = Agent.Connect("ui-srv:22904")
Private agent3 As RemoteAgent = Agent.Connect("ui-srv:22905")
// C# code
private RemoteAgent agent1 = Agent.Connect("ui-srv:22903");
private RemoteAgent agent2 = Agent.Connect("ui-srv:22904");
private RemoteAgent agent3 = Agent.Connect("ui-srv:22905");
次のサンプル スクリプトでは、3 つの UI セッションそれぞれに対して単純なテキストを出力します。
// VB .NET code
<SilkTestClass()> Public Class TestMultiSession

  Private agent1 As RemoteAgent = Agent.Connect("ui-srv:22903")
  Private agent2 As RemoteAgent = Agent.Connect("ui-srv:22904")
  Private agent3 As RemoteAgent = Agent.Connect("ui-srv:22905")

  <TestMethod()> Public Sub Test()
    Dim d1 As Desktop = agent1.Desktop
    Dim d2 As Desktop = agent2.Desktop
    Dim d3 As Desktop = agent3.Desktop

    Dim baseState = New BaseState()
    agent1.ExecuteBaseState(baseState)
    agent2.ExecuteBaseState(baseState)
    agent3.ExecuteBaseState(baseState)

    d1.Window("@caption='My Application'").TypeKeys("Hello to session 1!")
    d2.Window("@caption='My Application'").TypeKeys("Hello to session 2!")
    d3.Window("@caption='My Application'").TypeKeys("Hello to session 3!")
  End Sub
End Class
// C# code
[SilkTestClass]
  public class TestMultiSession {

    private RemoteAgent agent1 = Agent.Connect("ui-srv:22903");
    private RemoteAgent agent2 = Agent.Connect("ui-srv:22904");
    private RemoteAgent agent3 = Agent.Connect("ui-srv:22905");

    [TestMethod]
    public void Test() {
      Desktop d1 = agent1.Desktop;
      Desktop d2 = agent2.Desktop;
      Desktop d3 = agent3.Desktop;

      BaseState basestate = new BaseState();
      agent1.ExecuteBaseState(basestate);
      agent2.ExecuteBaseState(basestate);
      agent3.ExecuteBaseState(basestate);

      d1.Window("@caption='My Application'").TypeKeys("Hello to session 1!");
      d2.Window("@caption='My Application'").TypeKeys("Hello to session 2!");
      d3.Window("@caption='My Application'").TypeKeys("Hello to session 3!");
    }
  }
親トピック: テストの拡張


キーワード駆動テストのパフォーマンス テストとしての使用

Silk4NET を使用した機能テストや回帰テストの実行に加えて、キーワード駆動テストを Silk Performer にエクスポートして、パフォーマンス テストや負荷テストに使用できます。

キーワード駆動テストを Silk Performer にエクスポートする前に、Silk Performer 18.0 以降がインストールされていることを確認してください。キーワード駆動テストを含んだ Silk4NET プロジェクトを選択し、Silk4NET メニューの パフォーマンス テストとしてエクスポート をクリックします。

Silk4NET プロジェクトを Silk Performer にエクスポートした後で、Silk Performer の対応するプロジェクトを更新する場合は、次の手順を実行します。
  1. Silk Performer を起動します。
  2. 更新するプロジェクトを開きます。
  3. Silk4NET プロジェクトを開きます。
  4. パフォーマンス テストとしてエクスポート をクリックします。
  5. 現在の Silk Performer プロジェクトを更新することを確認します。

Silk Performer プロジェクトの データ ファイル ノードで、ライブラリへの参照が更新されます。

その他の情報については、Silk Performer のドキュメントを参照してください。


スクリプトのデバッグ

再生中の実行時エラーは、さまざまな要因により発生します。これらの要因には、テスト アプリケーションの変更、テスト スクリプトのコーディングの誤り、または環境の変更などがあります。スクリプトのデバッグによってこれらのエラーを迅速に診断、修正することで、スクリプトのメンテナンスの労力を最小限に抑え、より効率的なチームによるテスト作業を推進することができます。

スクリプトのデバッグを使用すると、開発環境でのスクリプトの再生を一時的に中断して、その再生の管理、検証、リセット、段階的実行、継続を行えます。

  • スクリプトの信頼性
    スクリプトの信頼性を高めるために使用できね機能の概要について説明します。
  • デバッグ モードでのスクリプトの段階的実行
    デバッグ モードでスクリプトを一度に 1 行ずつ再生するためのオプションを示します。
  • 選択したポイントからのスクリプト再生の段階的実行
    デバッグ中に、ブレークポイントによって再生が一時停止された場所から、スクリプトを実行できます。
  • スクリプト デバッグ中の行の実行の制御
    スクリプトのデバッグ中にフローを制御して、エラーを認識しやすくし、エラーの診断と修正に要する時間を短縮することができます。
  • 選択したポイントでのスクリプト再生の停止
    デバッグしやすいように再生を管理し、スクリプトが失敗する箇所を切り分けるのに役立ちます。
  • スクリプトの印刷
    確認やトラブルシューティングに役立てるために、コード ウィンドウに表示されているコードを印刷できます。


スクリプトの信頼性

アプリケーションのテストは、テスト対象アプリケーション内のエラーを明らかにします。ソフトウェア アプリケーションのテスト時に、これらのエラーが原因でスクリプトの実行を完了できない場合があります。

テストを成功させるには、スクリプトの再生を確実に完了させる必要があります。同期化の問題、あるいは予期されるまたは予期されないアプリケーション エラーによって、再生が完了する前にスクリプトが失敗することがあります。Silk4NET に組み込まれているオプション設定とスクリプト作成機能により、同期化とアプリケーションの問題を調整して、任意のテスト環境でスクリプトを確実に再生できるようになります。

スクリプトを再生しているときに、アプリケーションの応答時間の遅延に起因するエラーが発生すると、アプリケーションとそのアプリケーションをテストするスクリプトとの同期が取れなくなります。これらのエラーは、Silk4NET のオプション設定を調整してスクリプトとテスト対象アプリケーション間の同期を最適化することで処理できます。

親トピック: スクリプトのデバッグ


デバッグ モードでのスクリプトの段階的実行

デバッグ モードでは、スクリプトを一度に 1 行ずつ再生できます。ステッピングと呼ばれるこの方法により、テスト担当者は再生中にコードを段階的にトレースして、ステートメントの実行順序を確認できるため、デバッグに役立ちます。

ステッピングにより、デバッグ モードでスクリプトを段階的に実行し、その実行を詳細に検証することができます。

デバッグ モードでは、以下のコマンドを使用して再生の実行を制御します。
ステップ イン (F11)
一度に 1 ステートメントずつスクリプトを実行します。ステップ イン はコードの各行のトレースに有効であり、関数または埋め込まれているスクリプトにもステップ インします。各関数または埋め込みスクリプトも、一度に 1 行ずつ実行されます。

ステップ イン はテストの詳細分析に有効であり、変数の使用やターゲット アプリケーションとの対話に対する各ステートメントの影響を確認することができます。

注: VB .NET スクリプトのデバッグ中に反復子（Iterator）にステップ インすることはできません。反復子は実行されますが、デバッガは実行時に反復子が処理されていることを表示しません。反復子の内側にブレイクポイントを設定すると、実行はブレイクポイントで停止しますが、反復子内のパラメータやローカル変数は、ローカル変数 ウィンドウに表示されません。詳細については、「反復子」を参照してください。
ステップ オーバー (F10)
各プロシージャを 1 つのステートメントとして実行します。関数を構成する各行を実行せずに、関数に直接移動する場合には、[ステップ イン] ではなくこのコマンドを使用します。
ステップ アウト (Shift + F11)
プロシージャ内の残りすべてのコードを 1 つのステートメントのように実行し、そのプロシージャを最初に呼び出したプロシージャ内の次のステートメントに移ります。
実行ポインタ/次のステートメントの設定
現在ポインタがある場所のステートメントから、途中のステートメントを実行せずに実行を続けます。 ポインタをステートメントにドラッグし、F5 をクリックして実行します。

ステッピング コマンドには、デバッグ メニューからアクセスします。

親トピック: スクリプトのデバッグ


選択したポイントからのスクリプト再生の段階的実行

デバッグ中に、ブレークポイントによって再生が一時停止された場所から、スクリプトを実行できます。

  1. スクリプトの特定の行にブレークポイントを設定します。
  2. F5 を押して、スクリプトを再生します。 再生は、ブレークポイントまで実行されると停止し、デバッグ モードになります。
  3. F5 を押して、スクリプトを次のブレークポイントまで再生します。 コードが正常に実行されたら、再生は再びデバッグ モードになり、次に再生されるコードが黄色で強調表示されます。コードが正常に再生されなかった場合は、再生エラー ダイアログ ボックスが開きます。
  4. F5 を押して、スクリプト内の残りのコードの再生を段階的に実行します。 再生は、設定されたブレークポイントまで実行されます。スクリプトがデバッグ モードで表示され、再生を段階的に実行したり、ステップの再生を制御したり、再生をスクリプト内の特定のポイントで開始または停止したりできるようになります。
親トピック: スクリプトのデバッグ


スクリプト デバッグ中の行の実行の制御

スクリプトのデバッグ中にフローを制御して、エラーを認識しやすくし、エラーの診断と修正に要する時間を短縮することができます。

ステップ オーバー コマンドは、スクリプト内の選択した行に実行ポイントを設定します。この機能は、デバッグ中のブレークポイントでのみ使用可能です。

現在のプロシージャ内でステートメントを再実行する場合や、スクリプト内で再生したくないステートメントをスキップする場合は、ステップ オーバー コマンドを使用します。この機能を使用すると、スクリプトのデバッグ中にフローを制御してエラーを認識しやすくできるため、エラーの診断と修正に要する時間を短縮することができます。

  1. デバッグ中、または再生中のブレークポイントで、以下のいずれかのステップを実行します。
    • 黄色い矢印をクリックして次に再生するコード行へドラッグします。
    • 次に再生する行をクリックしてカーソルを配置してから、デバッグ > ステップ オーバー を選択します。
  2. F5 を押して選択した行から再生を再開します。 選択したステップが実行されると、再生が停止し、Silk4NET がデバッグ モードに戻ります。実行ポイントは次の行に移動します。
親トピック: スクリプトのデバッグ


選択したポイントでのスクリプト再生の停止

スクリプトの再生中に特定のポイントで停止して、デバッグ モードに入るようにスクリプトを構成できます。再生中にスクリプトが停止するように設定するポイントのことを、ブレークポイントと呼びます。ブレークポイントにより、デバッグしやすいように再生を管理でき、スクリプトが失敗する箇所を切り分けるのに役立ちます。ブレークポイントを使用すると、スクリプトにエラーがない場合でも、スクリプトがどのように再生されるかを分析できます。ブレークポイントを設定すると、再生はブレークポイントで停止し、デバッグ モードに入ります。

ブレークポイントの設定により、確認したい特定のポイントまでスクリプトを再生できるようになります。ブレークポイントは、再生を停止したい特定の行に設定します。再生は最初のブレークポイントまで実行され、スクリプトに続行を指示するまで中断されます。

  1. ブレークポイントを設定するスクリプトを開きます。
  2. 再生を停止する行をクリックします。
  3. デバッグ > ブレークポイントの設定/解除. 行の横の列に、ブレークポイント アイコンが表示されます。再生は、設定されたブレークポイントまで実行されます。再生がブレークポイントで停止すると、スクリプトのブレークポイント行が黄色で強調表示され、その行を指す黄色の矢印が表示されます。
デバッグでは、再生中に行の実行を制御できます。また、特定の行まで再生を実行したり、特定の行から再生を開始したりするように、スクリプトを構成することもできます。
ヒント: ブレークポイントが設定された行を選択し、F9 を押すと、選択した行からブレークポイントが削除されます。Ctrl+Shift+F9 を押すと、スクリプトからすべてのブレークポイントが削除されます。
親トピック: スクリプトのデバッグ


スクリプトの印刷

確認やトラブルシューティングに役立てるために、コード ウィンドウに表示されているコードを印刷できます。

  1. 印刷するスクリプトを開きます。
  2. ファイル > 印刷 を選択します。 印刷 ダイアログ ボックスが開きます。
  3. リストからプリンターを選択するか、プリンター検索 をクリックして他のプリンターを検索します。
  4. 省略可能： ファイルへ出力 チェック ボックスをオンにすると、PDF などのファイルへ出力されます。
  5. 省略可能： 詳細設定 をクリックすると、余白や印刷の向きなどの印刷ページ設定を変更できます。
  6. 省略可能： 印刷範囲 セクションで、ドキュメント全体を印刷するか、または選択したページのみを印刷するかを指定します。
    以下のいずれかのオプションをクリックします。
    • すべて：ドキュメント全体を印刷します。
    • 選択した部分：選択したコードを印刷します。
    • ページ指定：指定したページを印刷します。
    • 現在のページ：現在のページを印刷します。
  7. 省略可能：部数 フィールドで、印刷する部数を指定します。
  8. 省略可能：部単位で印刷する チェック ボックスをオンにすると、すべてのコピーの対応するページをまとめて印刷します。 このチェック ボックスは、複数の部数を印刷するように選択した場合にのみ有効になります。
  9. 印刷 をクリックします。
親トピック: スクリプトのデバッグ


特定の環境のテスト

Silk4NET では、複数の種類の環境でのテストがサポートされています。

  • Apache Flex のサポート
    Apache Flex アプリケーションに対して利用可能なコントロールの概要について説明します。
  • Java AWT/Swing のサポート
    Java AWT/Swing ツールキットを使用するアプリケーションまたはアプレットで使用可能なサンプル アプリケーションおよびコントロールの概要について説明します。
  • Java SWT と Eclipse RCP のサポート
    Java SWT アプリケーションに対して利用可能なコントロールの概要について説明します。
  • モバイル アプリケーションのテスト
    モバイル デバイスまたは Android エミュレータ上のモバイル アプリケーションのテスト方法について説明します。
  • .NET のサポート
    Silk Test でサポートされている .NET アプリケーションのタイプを示します。
  • Rumba のサポート
    Silk4NET で Rumba アプリケーションがどのようにサポートされるかについて説明します。
  • SAP のサポート
    SAP アプリケーションに対して利用可能なコントロールの概要について説明します。
  • Windows API ベースのアプリケーションのサポート
    Windows API ベース アプリケーションに対して利用可能なコントロールの概要について説明します。
  • クロス ブラウザ テスト
    クロス ブラウザ テストで利用可能なサンプル アプリケーションとコントロールの概要について説明します。
  • Microsoft Windows 10 上のテストの制限事項
    Microsoft Windows 10 上でテストする際の既知の制限事項を一覧します。
  • 64 ビット アプリケーションのサポート
    64 ビット アプリケーションのテストをサポートするテクノロジの種類を示します。
  • サポートする属性の種類
    動的オブジェクト解決がサポートする属性の一覧を提供します。


Apache Flex のサポート

Silk4NET は、Internet Explorer やスタンドアロンの Flash Player を使用した Apache Flex アプリケーション、および Apache Flex 4 以降でビルドした Adobe AIR アプリケーションのテストを組み込みでサポートしています。

Silk4NET では、Apache Flex 3.x および 4.x アプリケーションにおいて複数のアプリケーション ドメインもサポートされているため、サブアプリケーションをテストできます。Silk4NET では、ロケーター階層ツリーの各サブアプリケーションが、関連するアプリケーション ドメイン コンテキストを持つアプリケーション ツリーとして認識されます。Apache Flex 4.x サブアプリケーションでは、ロケーター属性テーブルのルート レベルで SparkApplication クラスが使用されます。Apache Flex 3.x サブアプリケーションでは、FlexApplication クラスが使用されます。

サポートするコントロール

Apache Flex のテストで記録および再生できるコントロールの完全なリストについては、「Flex クラス リファレンス」を参照してください。

注: Silk Test Flex オートメーション SDK は、Apache Flex のオートメーション API に基づいています。Silk Test オートメーション SDK は、Apache Flex のオートメーション API でサポートされているものと同じコンポーネントが同様にサポートされます。たとえば、Flex オートメーション API の typekey ステートメントでは、すべてのキーはサポートされません。テキスト入力ステートメントを使用してこの問題を解決できます。Flex オートメーション API の詳細については、『Apache Flex リリース ノート』を参照してください。
  • Adobe Flash Player で実行するための Flex アプリケーションの構成
    Flex アプリケーションをブラウザ ウィンドウではなく Flash Player で開きます。
  • Component Explorer の起動
    Component Explorer サンプル アプリケーションを起動します。
  • Apache Flex アプリケーションのテスト
    Apache Flex アプリケーションをテストするために実行する必要があるステップを示します。
  • Apache Flex カスタム コントロールのテスト
    カスタム コントロールのテストに使用できる基本サポートおよび高度なサポートについて説明します。
  • Apache Flex スクリプトのカスタマイズ
    手動で Flex スクリプトをカスタマイズします。たとえば、スクリプトに検証呼び出しを追加できます。
  • 同一 Web ページ上の複数の Flex アプリケーションのテスト
    単一の Web ページで複数の Flex アプリケーションが同じサイズである場合は、このタスクを使用して、Silk4NET によってアプリケーションが正しく識別されるようにします。
  • Adobe AIR のサポート
    Silk4NET における Adobe AIR のサポートの概要について説明します。
  • 名前またはインデックスを使用する Flex の Select メソッドの概要
    Flex の Select メソッドの概要について説明します。
  • FlexDataGrid コントロールでの項目の選択
    FlexDataGrid コントロールの項目は、インデックス値または内容値を使用して選択します。
  • Flex アプリケーションのテストの有効化
    テストを有効にするために Apache Flex 開発者が Flex アプリケーションに組み込む必要があるコンポーネントについて説明します。
  • Apache Flex アプリケーションのスタイル
    Apache Flex 4.x の Spark という接頭辞が付いているすべての新しい Flex コントロール（SparkButton など）では、スタイルがプロパティとして公開されません。
  • Adobe Flash Player のセキュリティ制約に対応するための Flex アプリケーションの構成
    Adobe Flash Player を使用するテストを再生する場合、特定の状況で高レベルのクリックが使用されると、予期しない結果が発生します。
  • Apache Flex アプリケーションの属性
    Apache Flex アプリケーションがサポートする属性の一覧を提供します。
  • Silk4NET が Apache Flex コントロールを認識できない理由
    Silk4NET が Apache Flex アプリケーションのコントロールを認識できないときにできることについて説明します。
親トピック: 特定の環境のテスト
関連資料
Flex Class Reference


Adobe Flash Player で実行するための Flex アプリケーションの構成

Apache Flex アプリケーションを Flash Player で実行するには、以下のいずれか、または両方の条件が満たされている必要があります。
  • Flex アプリケーションを作成する開発者は、アプリケーションを EXE ファイルとしてコンパイルする必要があります。アプリケーションは、ユーザーが起動すると、Flash Player で開きます。Windows Flash Player は、http://www.adobe.com/support/flashplayer/downloads.html からインストールします。
  • ユーザーが、Windows Flash Player Projector をインストールしている必要があります。ユーザーは、Flex の .SWF ファイルを開いた場合に Flash Player で開くように構成できます。Apache Flex 開発者スイートをインストールしないと、Flash Player をインストールしても Windows Flash Projector はインストールされません。Windows Flash Projector は、http://www.adobe.com/support/flashplayer/downloads.html からインストールします。
  1. Microsoft Windows 7 および Microsoft Windows Server 2008 R2 では、管理者として実行されるように Flash Player を構成します。以下の手順を実行します。
    1. Adobe Flash Player プログラム ショートカットまたは FlashPlayer.exe ファイルを右クリックして、プロパティ をクリックします。
    2. プロパティ ダイアログ ボックスで、互換性 タブをクリックします。
    3. 管理者としてこのプログラムを実行する チェック ボックスをオンにして、OK をクリックします。
  2. コマンド プロンプト (cmd.exe) で以下のコマンドを入力して、Flash Player で .SWF ファイルを起動します。 "<Application_Install_Directory>\ApplicationName.swf" デフォルトで、<SilkTest_Install_Directory> は Program Files\Silk\Silk Test にあります。
親トピック: Apache Flex のサポート
関連タスク
Adobe Flash Player のセキュリティ制約に対応するための Flex アプリケーションの構成
Component Explorer の起動


Component Explorer の起動

Silk Test には、Component Explorer というサンプルの Apache Flex アプリケーションが含まれています。 Component Explorer は、Adobe オートメーション SDK および Silk Test 固有のオートメーション実装を使用してコンパイルされており、テスト用に事前に構成されています。

Internet Explorer で、http://demo.borland.com/flex/SilkTest19.0/index.html を開きます。 デフォルト ブラウザでアプリケーションが起動します。
親トピック: Apache Flex のサポート
関連タスク
Adobe Flash Player で実行するための Flex アプリケーションの構成


Apache Flex アプリケーションのテスト

Silk Test は、Apache Flex アプリケーションのテストを組み込みでサポートしています。Silk Test では、いくつかのサンプル Apache Flex アプリケーションを提供しています。サンプル アプリケーションには、http://demo.borland.com/flex/SilkTest19.0/index.html からアクセスできます。

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

独自の Apache Flex アプリケーションをテストする前に、Apache Flex 開発者は以下のステップを実行する必要があります。

  • Apache Flex アプリケーションのテストの有効化
  • テスト可能な Apache Flex アプリケーションの作成
  • Apache Flex コンテナのコーディング
  • カスタム コントロールのオートメーション サポートの実装

独自の Apache Flex アプリケーションをテストするには、以下のステップを実行します。

  • ローカルの Flash Player のセキュリティ設定の構成
  • テストの記録
  • テストの再生
  • Apache Flex スクリプトのカスタマイズ
  • カスタム Apache Flex コントロールのテスト
注: Apache Flex アプリケーションを読み込み、Flex オートメーション フレームワークを初期化するとき、テストを実行するマシンおよび Apache Flex アプリケーションの複雑度に応じて、多少の時間がかかる場合があります。アプリケーションが完全に読み込まれるように、ウィンドウのタイムアウト値を高い値に設定します。
親トピック: Apache Flex のサポート
関連概念
テスト可能な Flex アプリケーションの作成
Flex コンテナのコーディング
関連タスク
Apache Flex スクリプトのカスタマイズ
オートメーション サポートを使用したカスタム コントロールのテスト


Flex メソッドの動的呼び出し

動的呼び出し機能を使用して Silk4NET が対象としないコントロールのメソッドを呼び出したり、プロパティを取得/設定することができます。この機能は、カスタム コントロールを使用したり、カスタマイズせずに Silk4NET がサポートするコントロールを使用する場合に有効です。

注: 通常、ほとんどのプロパティは読み取り専用で、設定できません。

サポートされているメソッドおよびプロパティ

次のメソッドとプロパティを呼び出すことができます。
  • Silk4NET がサポートするコントロールのメソッドとプロパティー。
  • Flex API で定義されているすべてのパブリック メソッド
  • コントロールが標準コントロールから派生したカスタム コントロールの場合、標準コントロールが呼び出すことのできるすべてのメソッドとプロパティー。

サポートされているパラメータ型

次のパラメータ型がサポートされます。
  • すべての組み込み Silk4NET 型

    Silk4NET 型には、プリミティブ型 (boolean、int、string など)、リスト、およびその他の型 (Point など) が含まれます。

戻り値

プロパティや戻り値を持つメソッドの場合は、次の値が返されます。
  • すべての組み込み Silk4NET 型の場合は正しい値。これらの型は、「サポートされているパラメータ型」のセクションに記載されています。
  • 戻り値を持たないすべてのメソッドの場合、C# では null が、VB では Nothing が返されます。
親トピック: Apache Flex カスタム コントロールのテスト
関連概念
動的呼び出し
カスタム コントロール
動的呼び出しに関するよくある質問
関連タスク
動的呼び出しを使用した Flex カスタム コントロールのテスト


テスト アプリケーションでのカスタム コントロールの定義

通常、テスト アプリケーションには、アプリケーションの開発中に追加されたカスタム コントロールがすでに含まれています。テスト アプリケーションにすでにカスタム コントロールが含まれている場合は、「動的呼び出しを使用して Flex カスタム コントロールをテストする」または「オートメーション サポートを使用してカスタム コントロールをテストする」に進んでください。

この手順では、Flex アプリケーション開発者が Flex で Spinner カスタム コントロールを作成する方法を示します。このトピックで作成する Spinner カスタム コントロールは、カスタム コントロールの実装およびテストのプロセスを説明するために、いくつかのトピックで使用されています。

Spinner カスタム コントロールは、以下のグラフィックに示すように、2 つのボタンと 1 つのテキスト フィールドを含んでいます。

Flex カスタム コントロール

ユーザーは、Down をクリックしてテキスト フィールドに表示されている値を 1 減分させ、Up をクリックしてテキスト フィールドの値を 1 増分させることができます。

カスタム コントロールには、設定および取得が可能なパブリックの Value プロパティが用意されています。

  1. テスト アプリケーションで、コントロールのレイアウトを定義します。 たとえば、Spinner コントロール タイプでは、以下のように記述します。
    <customcontrols:SpinnerClass xmlns:mx="http://www.adobe.com/2006/mxml" xmlns:controls="mx.controls.*" xmlns:customcontrols="customcontrols.*">
    <controls:Button id="downButton" label="Down" />
    <controls:TextInput id="text" enabled="false" />
    <controls:Button id="upButton" label="Up"/>
</customcontrols:SpinnerClass>
  2. カスタム コントロールの実装を定義します。 たとえば、Spinner コントロール タイプでは、以下のように記述します。
    package customcontrols
{
    import flash.events.MouseEvent;

    import mx.containers.HBox;
    import mx.controls.Button;
    import mx.controls.TextInput;
    import mx.core.UIComponent;
    import mx.events.FlexEvent;

    [Event(name="increment", 	type="customcontrols.SpinnerEvent")]
    [Event(name="decrement", 	type="customcontrols.SpinnerEvent")]

    public class SpinnerClass extends HBox
    {
        public var downButton : Button;
        public var upButton : Button;
        public var text : TextInput;
        public var ssss: SpinnerAutomationDelegate;
        private var _lowerBound : int = 0;
        private var _upperBound : int = 5;

        private var _value : int = 0;
        private var _stepSize : int = 1;

        public function SpinnerClass() {
            addEventListener(FlexEvent.CREATION_COMPLETE, creationCompleteHandler);
        }

        private function creationCompleteHandler(event:FlexEvent) : void {
            downButton.addEventListener(MouseEvent.CLICK, downButtonClickHandler);
            upButton.addEventListener(MouseEvent.CLICK, upButtonClickHandler);
            updateText();
        }

        private function downButtonClickHandler(event : MouseEvent) : void {
            if(Value - stepSize >= lowerBound) {
                Value = Value - stepSize;
            }
            else {
                Value = upperBound - stepSize + Value - lowerBound + 1;
            }

            var spinnerEvent : SpinnerEvent = new SpinnerEvent(SpinnerEvent.DECREMENT);
            spinnerEvent.steps = _stepSize;
            dispatchEvent(spinnerEvent);
        }

        private function upButtonClickHandler(event : MouseEvent) : void {
            if(cValue <= upperBound - stepSize) {
                Value = Value + stepSize;
            }
            else {
                Value = lowerBound + Value + stepSize - upperBound - 1;
            }

            var spinnerEvent : SpinnerEvent = new SpinnerEvent(SpinnerEvent.INCREMENT);
            spinnerEvent.steps = _stepSize;
            dispatchEvent(spinnerEvent);
        }

        private function updateText() : void {
            if(text != null) {
                text.text = _value.toString();
            }
        }

        public function get Value() : int {
            return _value;
        }

        public function set Value(v : int) : void {
            _value = v;
            if(v < lowerBound) {
                _value = lowerBound;
            }
            else if(v > upperBound) {
                _value = upperBound;
            }
            updateText();

        }

        public function get stepSize() : int {
            return _stepSize;
        }

        public function set stepSize(v : int) : void {
            _stepSize = v;
        }

        public function get lowerBound() : int {
            return _lowerBound;
        }

        public function set lowerBound(v : int) : void {
            _lowerBound = v;
            if(Value < lowerBound) {
                Value = lowerBound;
            }
        }

        public function get upperBound() : int {
            return _upperBound;
        }

        public function set upperBound(v : int) : void {
            _upperBound = v;
            if(Value > upperBound) {
                Value = upperBound;
            }
        }
    }
}
  3. コントロールが使用するイベントを定義します。 たとえば、Spinner コントロール タイプでは、以下のように記述します。
    package customcontrols
{
    import flash.events.Event;

    public class SpinnerEvent extends Event
    {
        public static const INCREMENT : String = "increment";
        public static const DECREMENT : String = "decrement";

        private var _steps : int;

        public function SpinnerEvent(eventName : String) {
            super(eventName);
        }

        public function set steps(value:int) : void {
            _steps = value;
        }

        public function get steps() : int {
            return _steps;
        }

    }
}

次のステップでは、テスト アプリケーションのオートメーション サポートを実装します。

親トピック: Apache Flex カスタム コントロールのテスト
関連タスク
動的呼び出しを使用した Flex カスタム コントロールのテスト
オートメーション サポートを使用したカスタム コントロールのテスト
カスタム コントロールのオートメーション サポートの実装


動的呼び出しを使用した Flex カスタム コントロールのテスト

Silk4NET では、動的呼び出しを使用したカスタム コントロールの記録と再生のサポートが提供されており、これにより再生中にカスタム コントロールを操作できます。作業量が少なく済むこのアプローチは、テスト アプリケーションにおいて、Silk4NET が公開しないカスタム コントロールのプロパティおよびメソッドにアクセスする場合に使用します。カスタム コントロールの開発者は、コントロールのテストを容易にすることのみを目的としたメソッドおよびプロパティをカスタム コントロールに追加することもできます。

  1. コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。
  2. オブジェクトの動的メソッドは Invoke メソッドを使用して呼び出します。
  3. オブジェクトの複数の動的メソッドは InvokeMethods メソッドを使用して呼び出します。
  4. コントロールでサポートされている動的プロパティのリストを取得するには、GetPropertyList メソッドを使用します。
  5. 動的プロパティの取得には GetProperty メソッドを、動的プロパティの設定には SetProperty メソッドを使用します。

例

この例では、以下の図に示すように、2 つのボタンと 1 つのテキスト フィールドを含む Spinner カスタム コントロールをテストします。

Flex カスタム コントロール

ユーザーは、Down をクリックしてテキスト フィールドに表示されている値を 1 減分させ、Up をクリックしてテキスト フィールドの値を 1 増分させることができます。

カスタム コントロールには、設定および取得が可能なパブリックの Value プロパティが用意されています。

Spinner の値を 4 に設定するには、以下のように入力します。
Dim spinner = Desktop.Find("//FlexBox[@className=customcontrols.Spinner]")
spinner.SetProperty("Value", 4)
親トピック: Apache Flex カスタム コントロールのテスト
関連概念
Flex メソッドの動的呼び出し


オートメーション サポートを使用したカスタム コントロールのテスト

カスタム コントロールに対して、特定のオートメーション サポートを作成できます。この追加のオートメーション サポートによって、記録のサポートおよびより強力な再生のサポートが提供されます。オートメーション サポートを作成するには、テスト アプリケーションを変更し、Open Agent を拡張する必要があります。

Silk4NET でカスタム コントロールをテストする前に、以下のステップを実行します。
  • テスト アプリケーションでのカスタム コントロールの定義
  • オートメーション サポートの実装

テスト アプリケーションを変更してオートメーション サポートを組み込んだあと、以下のステップを実行します。

スクリプトの場合は、スクリプトを記録して、カスタム コントロールに合わせて手動で変更を加えます。 たとえば、以下のコードでは、オートメーションの委譲に実装されている「Increment」メソッドを使用して、Spinner の値を 3 増分する方法を示しています。
_desktop.TestObject("//FlexSpinner[@caption='index:1']").Invoke("Increment", 3)
以下の例は、Spinner の値を 3 に設定する方法を示しています。
_desktop.TestObject("//FlexSpinner[@caption='index:1']").SetProperty("Value", 3)
  • カスタム コントロールのオートメーション サポートの実装
    カスタム コントロールをテストする前に、カスタム コントロールの ActionScript でオートメーション サポート（オートメーションの委譲）を実装し、テスト アプリケーションにコンパイルします。
  • Flex クラス定義ファイル
    Flex クラス定義ファイルの内容について説明します。
親トピック: Apache Flex カスタム コントロールのテスト
関連概念
テスト可能な Flex アプリケーションの作成


カスタム コントロールのオートメーション サポートの実装

カスタム コントロールをテストする前に、カスタム コントロールの ActionScript でオートメーション サポート（オートメーションの委譲）を実装し、テスト アプリケーションにコンパイルします。

以下の手順では、Flex のカスタム Spinner コントロールを使用して、カスタム コントロールのオートメーション サポートの実装方法を示します。Spinner カスタム コントロールは、以下のグラフィックに示すように、2 つのボタンと 1 つのテキスト フィールドを含んでいます。

Flex カスタム コントロール

ユーザーは、Down をクリックしてテキスト フィールドに表示されている値を 1 減分させ、Up をクリックしてテキスト フィールドの値を 1 増分させることができます。

カスタム コントロールには、設定および取得が可能なパブリックの Value プロパティが用意されています。

  1. カスタム コントロールの ActionScript でオートメーション サポート（オートメーションの委譲）を実装します。 オートメーションの委譲の実装の詳細については、Adobe Live ドキュメント（http://livedocs.adobe.com/flex/3/html/help.html?content=functest_components2_14.html）を参照してください。 この例では、オートメーションの委譲によって、「increment」および「decrement」メソッドに対してサポートが追加されます。オートメーションの委譲のコード例は以下のとおりです。
    package customcontrols
{
    import flash.display.DisplayObject;
    import mx.automation.Automation;
    import customcontrols.SpinnerEvent;
    import mx.automation.delegates.containers.BoxAutomationImpl;
    import flash.events.Event;
    import mx.automation.IAutomationObjectHelper;
    import mx.events.FlexEvent;
    import flash.events.IEventDispatcher;
    import mx.preloaders.DownloadProgressBar;
    import flash.events.MouseEvent;
    import mx.core.EventPriority;

    [Mixin]
    public class SpinnerAutomationDelegate extends BoxAutomationImpl
    {

        public static function init(root:DisplayObject) : void {
            // register delegate for the automation
            Automation.registerDelegateClass(Spinner, SpinnerAutomationDelegate);
        }

        public function SpinnerAutomationDelegate(obj:Spinner) {
            super(obj);
            // listen to the events of interest (for recording)
            obj.addEventListener(SpinnerEvent.DECREMENT, decrementHandler);
            obj.addEventListener(SpinnerEvent.INCREMENT, incrementHandler);
        }

        protected function decrementHandler(event : SpinnerEvent) : void {
            recordAutomatableEvent(event);
        }

        protected function incrementHandler(event : SpinnerEvent) : void {
            recordAutomatableEvent(event);
        }

        protected function get spinner() : Spinner {
            return uiComponent as Spinner;
        }

        //----------------------------------
        //  override functions
        //----------------------------------

        override public function get automationValue():Array {
            return [ spinner.Value.toString() ];
        }

        private function replayClicks(button : IEventDispatcher, steps : int) : Boolean {
            var helper : IAutomationObjectHelper = Automation.automationObjectHelper;
            var result : Boolean;
            for(var i:int; i < steps; i++) {
                helper.replayClick(button);
            }
            return result;
        }

        override public function replayAutomatableEvent(event:Event):Boolean {

            if(event is SpinnerEvent) {
                var spinnerEvent : SpinnerEvent = event as SpinnerEvent;
                if(event.type == SpinnerEvent.INCREMENT) {
                    return replayClicks(spinner.upButton, spinnerEvent.steps);
                }
                else if(event.type == SpinnerEvent.DECREMENT) {
                    return replayClicks(spinner.downButton, spinnerEvent.steps);
                }
                else {
                    return false;
                }

            }
            else {
                return super.replayAutomatableEvent(event);
            }
        }

        // do not expose the child controls (i.e the buttons and the textfield) as individual controls
        override public function get numAutomationChildren():int {
            return 0;
        }

    }
}
  2. Open Agent にオートメーションの委譲を導入するために、カスタム コントロールを記述する XML ファイルを作成します。 クラス定義ファイルには、インストルメント化されたすべての Flex コンポーネントについての情報が含まれています。このファイルでは、記録中にイベントを送信でき、再生中にイベントを受け取ることができるコンポーネントについての情報が提供されます。クラス定義ファイルには、サポートされているプロパティの定義も含まれています。 Spinner カスタム コントロールの XML ファイルは以下のようになります。
    <TypeInformation>
    <ClassInfo Name="FlexSpinner" Extends="FlexBox">
        <Implementation
            Class="customcontrols.Spinner" />
        <Events>
            <Event Name="Decrement">
                <Implementation
                    Class="customcontrols.SpinnerEvent"
                    Type="decrement" />
                <Property Name="steps">
                    <PropertyType Type="integer" />
                </Property>
            </Event>
            <Event Name="Increment">
                <Implementation
                    Class="customcontrols.SpinnerEvent"
                    Type="increment" />
                <Property Name="steps">
                    <PropertyType Type="integer" />
                </Property>
            </Event>
        </Events>
        <Properties>
            <Property Name="lowerBound" accessType="read">
                <PropertyType Type="integer" />
            </Property>
            <Property Name="upperBound" accessType="read">
                <PropertyType Type="integer" />
            </Property>
            <!-- expose read and write access for the Value property -->
            <Property Name="Value" accessType="both">
                <PropertyType Type="integer" />
            </Property>
            <Property Name="stepSize" accessType="read">
                <PropertyType Type="integer" />
            </Property>
        </Properties>
    </ClassInfo>
</TypeInformation>
  3. サポートされている Flex コントロールのすべてのクラス、およびそのメソッドとプロパティを記述するすべての XML ファイルが格納されるフォルダに、カスタム コントロールの XML ファイルを配置します。 Silk Test には、サポートされている Flex コントロールのすべてのクラス、およびそのメソッドとプロパティを記述するいくつかの XML ファイルが含まれています。これらの XML ファイルは、<Silk Test_install_directory>\ng\agent\plugins\com.borland.fastxd.techdomain.flex.agent_<バージョン>\config\automationEnvironment フォルダにあります。 独自の XML ファイルを提供する場合は、XML ファイルをこのフォルダにコピーする必要があります。Open Agent が起動して、Apache Flex のサポートを初期化する場合、このディレクトリの内容が読み込まれます。 Flex の Spinner サンプル コントロールをテストするには、CustomControls.xml ファイルをこのフォルダにコピーする必要があります。Open Agent が現在実行されている場合は、ファイルをフォルダにコピーしたあと、Open Agent を再起動します。
親トピック: オートメーション サポートを使用したカスタム コントロールのテスト


Flex クラス定義ファイル

クラス定義ファイルには、インストルメント化されたすべての Flex コンポーネントについての情報が含まれています。このファイルでは、記録中にイベントを送信でき、再生中にイベントを受け取ることができるコンポーネントについての情報が提供されます。クラス定義ファイルには、サポートされているプロパティの定義も含まれています。

Silk Test には、Flex の共通コントロールおよび特殊化されたコントロールのすべてのクラス、イベント、およびプロパティを記述するいくつかの XML ファイルが含まれています。これらの XML ファイルは、<Silk Test_install_directory>\ng\agent\plugins\com.borland.fastxd.techdomain.flex.agent_<バージョン>\config\automationEnvironment フォルダにあります。

独自の XML ファイルを提供する場合は、XML ファイルをこのフォルダにコピーする必要があります。Silk Test のエージェントが起動して Apache Flex のサポートを初期化するとき、このディレクトリの内容が読み込まれます。

XML ファイルの基本的な構造は以下のとおりです。
<TypeInformation>

<ClassInfo>

<Implementation />

<Events>

<Event />

…

</Events>

<Properties>

<Property />

…

</Properties>

</ClassInfo>

</TypeInformation>
親トピック: オートメーション サポートを使用したカスタム コントロールのテスト
親トピック: テスト可能な Flex アプリケーションの作成


Apache Flex スクリプトのカスタマイズ

手動で Flex スクリプトをカスタマイズできます。Flex オブジェクトのプロパティに対して Verify 関数を使用して、手動で検証を挿入できます。各 Flex オブジェクトには、検証可能な一連のプロパティがあります。検証に使用できるプロパティのリストについては、「Flex クラス リファレンス」を参照してください。

  1. Flex アプリケーションのテストを記録します。
  2. カスタマイズするスクリプト ファイルを開きます。
  3. 追加するコードを手動で入力します。
親トピック: Apache Flex のサポート


同一 Web ページ上の複数の Flex アプリケーションのテスト

同じ Web ページに複数の Flex アプリケーションが存在する場合、Silk4NET は、Flex アプリケーションの ID またはアプリケーションの size プロパティを使用して、テスト対象アプリケーションを特定します。同じページに複数のアプリケーションが存在し、それらのサイズが異なる場合、Silk4NET は、size プロパティを使用して操作実行対象のアプリケーションを特定します。追加の操作は必要ありません。

以下の場合、Silk4NET は、JavaScript を使用して Flex アプリケーションの ID を検索し、操作実行対象のアプリケーションを特定します。

  • 単一の Web ページ上に複数の Flex アプリケーションが存在する場合。
  • これらのアプリケーションのサイズが同じである場合。
注: この場合、ブラウザ マシンで JavaScript が有効になっていないと、スクリプト実行時にエラーが発生します。
  1. JavaScript を有効にします。
  2. Internet Explorer で、以下の手順を実行します。
    1. ツール > インターネット オプション を選択します。
    2. セキュリティ タブをクリックします。
    3. レベルのカスタマイズ をクリックします。
    4. スクリプト作成 セクションの アクティブ スクリプト で、有効にする をクリックして OK をクリックします。
  3. 「Apache Flex アプリケーションのテスト」の手順に従います。
    注: Web ページにフレームが存在し、アプリケーションが同じサイズである場合、この方法は動作しません。
親トピック: Apache Flex のサポート
関連概念
Apache Flex アプリケーションのテスト


Adobe AIR のサポート

Silk4NET がサポートする Adobe AIR でのテストは、Flex 4 コンパイラを使用してコンパイルされたアプリケーションのみです。 サポートされているバージョンの詳細については、リリース ノートで最新の情報を確認してください。

Silk Test には、サンプルの Adobe AIR アプリケーションが含まれています。 http://demo.borland.com/flex/SilkTest19.0/index.html にあるサンプル アプリケーションにアクセスして、使用する Adobe AIR アプリケーションをクリックしてください。 オートメーションあり、またはオートメーションなしのアプリケーションを選択できます。 AIR アプリケーションを実行するには、Adobe AIR ランタイムをインストールする必要があります。

親トピック: Apache Flex のサポート


名前またはインデックスを使用する Flex の Select メソッドの概要

Flex の Select メソッドは、選択するコントロールの Name または Index を使用して記録できます。デフォルトで、Silk4NET では、コントロールの名前を使用して Select メソッドが記録されます。ただし、コントロールのインデックスを使用して Select イベントを記録するように環境を変更したり、名前を使用した記録とインデックスを使用した記録を切り替えたりすることができます。

以下のコントロールでは、インデックスを使用して Select イベントを記録できます。

  • FlexList
  • FlexTree
  • FlexDataGrid
  • FlexAdvancedDataGrid
  • FlexOLAPDataGrid
  • FlexComboBox

デフォルト設定は、コントロールの名前を使用する ItemBasedSelection（Select イベント）です。インデックスを使用するには、IndexBasedSelection（SelectIndex イベント）を使用するように AutomationEnvironment を変更する必要があります。これらのクラスのいずれかの動作を変更するには、以下のコードを使用して FlexCommonControls.xml、AdvancedDataGrid.xml、または OLAPDataGrid.xml ファイルを変更する必要があります。これらの XML ファイルは、<Silk Test_install_directory>\ng\agent\plugins\com.borland.fastxd.techdomain.flex.agent_<バージョン>\config\automationEnvironment フォルダにあります。対応する xml ファイルで、以下の変更を行います。

<ClassInfo Extends="FlexList" Name="FlexControlName"  EnableIndexBasedSelection=”true” >

…

</ClassInfo>
この変更では、FlexList::SelectIndex イベントの記録に IndexBasedSelection が使用されています。コードの EnableIndexBasedSelection= を false に設定するか、またはこのブール値を削除すると、記録で名前が使用される設定に戻ります（FlexList::Select イベント）。
注: これらの変更内容を有効にするには、アプリケーションを再起動する必要があります。アプリケーションを再起動すると、Silk Test Agent も自動的に再起動されます。
親トピック: Apache Flex のサポート


FlexDataGrid コントロールでの項目の選択

FlexDataGrid コントロールの項目は、インデックス値または内容値を使用して選択します。

  1. インデックス値を使用して FlexDataGrid コントロールの項目を選択するには、SelectIndex メソッドを使用します。 たとえば、FlexDataGrid.SelectIndex(1) のように入力します。
  2. 内容値を使用して FlexDataGrid コントロールの項目を選択するには、Select メソッドを使用します。 必要な形式の文字列を使用して、選択する行を識別します。 項目と項目の間は、縦線文字（|）で区切る必要があります。 少なくとも 1 つの項目を 2 つのアスタリスク（*）で囲む必要があります。 これにより、クリックが実行される項目が識別されます。 構文は FlexDataGrid.Select("*Item1* | Item2 | Item3") です。
親トピック: Apache Flex のサポート
関連タスク
同一 Web ページ上の複数の Flex アプリケーションのテスト
関連資料
Flex Class Reference


Flex アプリケーションのテストの有効化

Flex アプリケーションをテストに対して有効化するには、Apache Flex 開発者は Flex アプリケーションに以下のコンポーネントを組み込む必要があります。

  • Apache Flex オートメーション パッケージ
  • Silk Test オートメーション パッケージ

Apache Flex オートメーション パッケージ

開発者は、Flex オートメーション パッケージを使用して、オートメーション API を使用する Flex アプリケーションを作成できます。Flex オートメーション パッケージは、Adobe の Web サイト（http://www.adobe.com）からダウンロードできます。パッケージには、以下の内容が含まれています。

  • オートメーション ライブラリ：automation.swc ライブラリおよび automation_agent.swc ライブラリは、Flex フレームワーク コンポーネントの委譲の実装です。automation_agent.swc ファイルおよび関連するリソース バンドルは、汎用的なエージェント メカニズムです。Silk Test Agent などのエージェントは、これらのライブラリの上に構築されます。
  • サンプル
注: Silk Test Flex オートメーション SDK は、Flex のオートメーション API に基づいています。Silk Test オートメーション SDK は、Flex のオートメーション API でサポートされているものと同じコンポーネントが同様にサポートされます。たとえば、Flex オートメーション API の typekey ステートメントでは、すべてのキーはサポートされません。テキスト入力ステートメントを使用してこの問題を解決できます。Flex オートメーション API の詳細については、『Apache Flex リリース ノート』を参照してください。

Silk Test オートメーション パッケージ

Silk Test の Open Agent は、Apache Flex オートメーション エージェント ライブラリを使用しています。FlexTechDomain.swc ファイルに、Silk Test 固有の実装が含まれています。

以下のいずれかの方法を使用して、アプリケーションをテストに対して有効化できます。

  • Flex アプリケーションへのオートメーション パッケージのリンク
  • 実行時の読み込み
  • Flex アプリケーションへのオートメーション パッケージのリンク
    テストする予定の Flex アプリケーションを事前にコンパイルする方法について説明します。
  • テストのための Flex アプリケーションの事前コンパイル
    テストのためにアプリケーションを事前コンパイルすることによって、アプリケーションをテストに対して有効化します。
  • 実行時の読み込み
    Silk Test Flex オートメーション ランチャを使用した、実行時の Flex オートメーション サポートの読み込みの概要について説明します。
  • コマンド ラインを使用した構成情報の追加
    コマンド ライン コンパイラを使用して、automation.swc、automation_agent.swc、および FlexTechDomain.swc ライブラリの場所を指定します。
  • Flex アプリケーションにパラメータを渡す
    Flex アプリケーションにパラメータを渡す方法を示します。
  • テスト可能な Flex アプリケーションの作成
    オブジェクトに対してわかりやすい ID を指定する方法、および重複オブジェクトの回避方法について説明します。
  • Flex コンテナのコーディング
    コンテナは、ユーザー対話（ユーザーが Accordion コンテナの次のページに移動したなど）の記録、およびテスト スクリプト内でのコントロールに対する一意の場所の提供の両方の目的で使用されるため、他の種類のコントロールとは異なります。
  • Flex 自動テスト ワークフロー
    Flex アプリケーションのテストの Silk4NET ワークフローを示します。
親トピック: Apache Flex のサポート


Flex アプリケーションへのオートメーション パッケージのリンク

テストする予定の Flex アプリケーションを事前にコンパイルする必要があります。機能テスト クラスは、コンパイル時にアプリケーションに埋め込まれ、アプリケーションは実行時に自動テストに関する外部依存関係を持ちません。

コンパイル時にアプリケーションの SWF ファイルに機能テスト クラスを埋め込むと、SWF ファイルのサイズが大きくなります。SWF ファイルのサイズが重要でない場合は、機能テストと展開に同じ SWF ファイルを使用します。SWF ファイルのサイズが重要である場合は、2 つの SWF ファイルを生成します。1 つは機能テスト クラスが埋め込まれたファイル、もう 1 つは機能テスト クラスが埋め込まれていないファイルです。展開には、テスト クラスが埋め込まれていない SWF ファイルを使用します。

include-libraries コンパイラ オプションを指定してテストのために Flex アプリケーションを事前にコンパイルする場合は、以下のファイルを参照します。

  • automation.swc
  • automation_agent.swc
  • FlexTechDomain.swc
  • automation_charts.swc（アプリケーションでグラフおよび Flex 2.0 を使用する場合のみインクルード）
  • automation_dmv.swc（アプリケーションでグラフおよび Flex 3.x 以降を使用する場合にインクルード）
  • automation_flasflexkit.swc（アプリケーションで埋め込みの Flash コンテンツを使用する場合にインクルード）
  • automation_spark.swc（アプリケーションで新しい Flex 4.x コントロールを使用する場合にインクルード）
  • automation_air.swc（アプリケーションが AIR アプリケーションである場合にインクルード）
  • automation_airspark.swc（アプリケーションが AIR アプリケーションであり、新しい Flex 4.x コントロールを使用する場合にインクルード）

Flex アプリケーションの最終リリース バージョンを作成する場合は、これらの SWC ファイルへの参照なしでアプリケーションを再コンパイルします。オートメーション SWC ファイルの使用の詳細については、『Apache Flex リリース ノート』を参照してください。

アプリケーションをサーバーに展開しないで、ファイル プロトコルを使用して要求したり、Apache Flex Builder 内で実行したりする場合は、各 SWF ファイルをローカルの信頼済みサンドボックスに組み込む必要があります。このためには、追加の構成情報が必要です。コンパイラの構成ファイルを変更するか、またはコマンド ライン オプションを使用して、構成情報を追加します。

注: Silk Test Flex オートメーション SDK は、Flex のオートメーション API に基づいています。Silk Test オートメーション SDK は、Flex のオートメーション API でサポートされているものと同じコンポーネントが同様にサポートされます。たとえば、オートメーション コードを使用してアプリケーションがコンパイルされ、連続的に SWF ファイルが読み込まれる場合、メモリ リークが発生して、最終的にアプリケーションでメモリが不足します。Flex Control Explorer サンプル アプリケーションは、この問題の影響を受けます。回避策として、Explorer が読み込むアプリケーションの SWF ファイルをオートメーション ライブラリを使用してコンパイルしない方法があります。たとえば、Explorer のメイン アプリケーションのみをオートメーション ライブラリを使用してコンパイルします。SWFLoader の代わりにモジュール ローダーを使用する方法もあります。Flex オートメーション API の詳細については、『Apache Flex リリース ノート』を参照してください。
親トピック: Flex アプリケーションのテストの有効化
関連概念
実行時の読み込み
関連タスク
テストのための Flex アプリケーションの事前コンパイル
コマンド ラインを使用した構成情報の追加


テストのための Flex アプリケーションの事前コンパイル

アプリケーションをテスト用に事前コンパイルするか、または実行時の読み込みを使用することによって、アプリケーションをテストに対して有効化できます。

  1. 以下のコードを構成ファイルに追加することによって、コンパイラの構成ファイルに automation.swc、automation_agent.swc、および FlexTechDomain.swc ライブラリをインクルードします。
    <include-libraries>

...

<library>/libs/automation.swc</library>

<library>/libs/automation_agent.swc</library>

<library>pathinfo/FlexTechDomain.swc</library>

</include-libraries>
    注: アプリケーションでグラフを使用する場合は、automation_charts.swc ファイルも追加する必要があります。
  2. コマンド ライン コンパイラで include-libraries コンパイラ オプションを使用して、automation.swc、automation_agent.swc、および FlexTechDomain.swc ライブラリの場所を指定します。 構成ファイルは以下の場所にあります。

    Apache Flex 2 SDK – <flex_installation_directory>/frameworks/flex-config.xml

    Apache Flex データ サービス – <flex_installation_directory>/flex/WEB-INF/flex/flex-config.xml

    以下の例では、automation.swc ファイルと automation_agent.swc ファイルがアプリケーションに追加されています。
    mxmlc -include-libraries+=../frameworks/libs/automation.swc;../frameworks/libs/
automation_agent.swc;pathinfo/FlexTechDomain.swc MyApp.mxml
    注: コマンド ラインで include-libraries オプションを明示的に設定すると、既存のライブラリに対して追加されるのではなく、既存のライブラリが上書きされます。コマンド ラインで include-libraries オプションを使用して automation.swc ファイルと automation_agent.swc ファイルを追加する場合は、+= 演算子を使用します。これにより、インクルードされる既存のライブラリが上書きされるのではなく、インクルードされる既存のライブラリに対して追加されます。
    注: Silk Test Flex オートメーション SDK は、Flex のオートメーション API に基づいています。Silk Test オートメーション SDK は、Flex のオートメーション API でサポートされているものと同じコンポーネントが同様にサポートされます。たとえば、オートメーション コードを使用してアプリケーションがコンパイルされ、連続的に SWF ファイルが読み込まれる場合、メモリ リークが発生して、最終的にアプリケーションでメモリが不足します。Flex Control Explorer サンプル アプリケーションは、この問題の影響を受けます。回避策として、Explorer が読み込むアプリケーションの SWF ファイルをオートメーション ライブラリを使用してコンパイルしない方法があります。たとえば、Explorer のメイン アプリケーションのみをオートメーション ライブラリを使用してコンパイルします。SWFLoader の代わりにモジュール ローダーを使用する方法もあります。Flex オートメーション API の詳細については、『Apache Flex リリース ノート』を参照してください。
親トピック: Flex アプリケーションのテストの有効化
関連概念
実行時の読み込み
関連タスク
コマンド ラインを使用した構成情報の追加


実行時の読み込み

Silk Test Flex オートメーション ランチャを使用して、実行時に Flex オートメーション サポートを読み込むことができます。このアプリケーションは、オートメーション ライブラリを使用してコンパイルされており、SWFLoader クラスを使用してユーザーのアプリケーションを読み込みます。これにより、SWF ファイルにオートメーション ライブラリをコンパイルしなくても、アプリケーションが自動的にテストに対して有効化されます。Silk Test Flex オートメーション ランチャは、HTML および SWF のファイル形式で利用できます。

制限事項

  • Flex オートメーション ランチャ アプリケーションは、自動的にルート アプリケーションとなります。ユーザーのアプリケーションをルート アプリケーションにする必要がある場合は、Silk Test Flex オートメーション ランチャを使用してオートメーション サポートを読み込むことができません。
  • 外部ライブラリを読み込むアプリケーション（他の SWF ファイル ライブラリを読み込むアプリケーション）をテストするには、自動テストに特別な設定が必要です。実行時に読み込まれるライブラリ（ランタイム共有ライブラリ（RSL）を含む）は、読み込むアプリケーションの ApplicationDomain に読み込まれる必要があります。アプリケーションで使用される SWF ファイルが異なるアプリケーション ドメインに読み込まれた場合、自動テストの記録と再生が正しく動作しません。以下に、同じ ApplicationDomain に読み込まれるライブラリの例を示します。
    import flash.display.*;

import flash.net.URLRequest;

import flash.system.ApplicationDomain;

import flash.system.LoaderContext;

var ldr:Loader = new Loader();

var urlReq:URLRequest = new URLRequest("RuntimeClasses.swf");

var context:LoaderContext = new LoaderContext();

context.applicationDomain = ApplicationDomain.currentDomain;

loader.load(request, context);
  • 実行時読み込み
    Silk Test Flex Automation Launcher を使用すると、Flex オートメーション サポートを実行時に読み込むことができます。
親トピック: Flex アプリケーションのテストの有効化
関連概念
Flex アプリケーションへのオートメーション パッケージのリンク
関連タスク
テストのための Flex アプリケーションの事前コンパイル
コマンド ラインを使用した構成情報の追加


実行時読み込み

  1. Silk\Silk Test\ng\AutomationSDK\Flex\<バージョン>\FlexAutomationLauncher ディレクトリの内容を、テストする Flex アプリケーションのディレクトリにコピーします。
  2. Windows Explorer で FlexAutomationLauncher.html を開き、ファイル パスへの接尾辞として以下のパラメータを追加します。
    ?automationurl=YourApplication.swf

    YourApplication.swf は Flex アプリケーションの SWF ファイルの名前です。

  3. ファイル パスへの接頭辞として file:/// を追加します。 たとえば、ファイルの URL に ?automationurl=explorer.swf などのパラメータが含まれている場合は、以下のように入力します。を設定して、インストールするコンポーネントを指定できます。
    file:///C:/Program%20Files/Silk/Silk Test/ng/sampleapplications/Flex/3.2/FlexControlExplorer32/FlexAutomationLauncher.html?automationurl=explorer.swf
親トピック: 実行時の読み込み


コマンド ラインを使用した構成情報の追加

コマンド ライン コンパイラを使用して automation.swc、automation_agent.swc、および FlexTechDomain.swc ライブラリの場所を指定するには、include-libraries コンパイラ オプションを使用します。

次の例では、automation.swc ファイルと automation_agent.swc ファイルがアプリケーションに追加されます。

mxmlc -include-libraries+=../frameworks/libs/automation.swc;../frameworks/libs/
automation_agent.swc;pathinfo/FlexTechDomain.swc MyApp.mxml
注: アプリケーションでグラフを使用する場合は、include-libraries コンパイラ オプションに automation_charts.swc ファイルも追加する必要があります。

コマンド ラインで include-libraries オプションを明示的に設定すると、既存のライブラリに対して追加されるのではなく、既存のライブラリが上書きされます。 コマンド ラインで include-libraries オプションを使用して automation.swc ファイルと automation_agent.swc ファイルを追加する場合は、+= 演算子を使用します。 これにより、インクルードされる既存のライブラリが上書きされるのではなく、インクルードされる既存のライブラリに対して追加されます。

Flex Builder プロジェクトに自動テストサポートを追加するには、include-libraries コンパイラ オプションに automation.swc および automation_agent.swc ライブラリも追加する必要があります。

親トピック: Flex アプリケーションのテストの有効化
関連概念
Flex アプリケーションへのオートメーション パッケージのリンク
実行時の読み込み
関連タスク
テストのための Flex アプリケーションの事前コンパイル


Flex アプリケーションにパラメータを渡す

以下の手順に従って、Flex アプリケーションにパラメータを渡すことができます。

  • 実行する前に Flex アプリケーションにパラメータを渡す
    オートメーション ライブラリを使用して、実行する前に Flex アプリケーションにパラメータを渡します。
  • Flex オートメーション ランチャを使用して、実行時に Flex アプリケーションにパラメータを渡す
    Flex オートメーション ランチャを使用して、実行時に Flex アプリケーションにパラメータを渡します。
親トピック: Flex アプリケーションのテストの有効化


実行する前に Flex アプリケーションにパラメータを渡す

オートメーション ライブラリを使用して、実行する前に Flex アプリケーションにパラメータを渡すことができます。

  1. 適切なオートメーション ライブラリを使用して、アプリケーションをコンパイルします。
  2. パラメータの指定には、通常どおり標準的な Flex のメカニズムを使用します。
親トピック: Flex アプリケーションにパラメータを渡す
関連タスク
テストのための Flex アプリケーションの事前コンパイル


Flex オートメーション ランチャを使用して、実行時に Flex アプリケーションにパラメータを渡す

このタスクを開始する前に、実行時の読み込みに対応するようにアプリケーションを準備します。

  1. FlexAutomationLauncher.html ファイルを開くか、または例として FlexAutomationLauncher.html を使用してファイルを作成します。
  2. 以下のセクションに移動します。
    <script language="JavaScript" type="text/javascript">

                AC_FL_RunContent(eef

                   "src", "FlexAutomationLauncher",

                   "width", "100%",

                   "height", "100%",

                   "align", "middle",

                   "id", "FlexAutomationLauncher",

                   "quality", "high",

                   "bgcolor", "white",

                   "name", "FlexAutomationLauncher",

                   "allowScriptAccess","sameDomain",

                   "type", "application/x-shockwave-flash",

                   "pluginspage", "http://www.adobe.com/go/getflashplayer",

                   "flashvars", "yourParameter=yourParameterValue"+ "&automationurl=YourApplication.swf"

                );

        </script>
    注: 「src」、「id」、および「name」の「FlexAutomationLauncher」の値は変更しないでください。
  3. 「yourParameter=yourParameterValue」に、独自のパラメータを追加します。
  4. 「& automationurl=YourApplication.swf」の値として、テストする Flex アプリケーションの名前を渡します。
  5. ファイルを保存します。
親トピック: Flex アプリケーションにパラメータを渡す


テスト可能な Flex アプリケーションの作成

Flex 開発者は、Flex アプリケーションを可能なかぎりテストしやすくするためのテクニックを利用できます。 以下のテクニックがあります。

  • オブジェクトに対するわかりやすい ID の指定
  • オブジェクトの重複の回避

オブジェクトに対するわかりやすい ID の指定

テストしやすいアプリケーションを作成するには、 スクリプト内でオブジェクトを識別しやすくする必要があります。 テストするすべてのコントロールに対して、わかりやすい文字列を使用した ID プロパティの値を設定できます。

オブジェクトに対してわかりやすい ID を指定するには：

  • テスト可能なすべての MXML コンポーネントに対して ID を指定して、その Flex コントロールの参照時にテスト スクリプトで一意の ID が使用できるようにします。
  • これらの ID は、ユーザーがテスト スクリプト内でそのオブジェクトを容易に識別できるように、可能なかぎり人間が理解しやすい文字列にします。 たとえば、TabNavigator 内の Panel コンテナの id プロパティは、panel1 や p1 ではなく submit_panel とします。

Silk4NET を使用する場合、id や childIndex などの特定のタグに基づいて、オブジェクトに対して自動的に名前が設定されます。 id プロパティに値がない場合、Silk4NET では、childIndex プロパティなどの他のプロパティが使用されます。 id プロパティに値を割り当てると、テスト スクリプトを読みやすくすることができます。

オブジェクトの重複の回避

自動エージェントの処理は、実行中にオブジェクト インスタンスの一部のプロパティが変更されないことを前提としています。 実行時に Silk4NET によってオブジェクト名として使用されている Flex コンポーネント プロパティを変更すると、予期しない結果が発生する可能性があります。 たとえば、automationName プロパティのない Button コントロールを作成し、最初は label プロパティに値を設定しないで、その後、label プロパティに値を設定した場合、問題が発生することがあります。 この場合、Silk4NET では、automationName プロパティが設定されていない場合は Button コントロールを識別するためにコントロールの label プロパティの値が使用されます。 あとから label プロパティの値を設定したり、既存の label の値を変更すると、Silk4NET ではこのオブジェクトを新しいオブジェクトとして識別し、既存のオブジェクトを参照しなくなります。

重複オブジェクトを回避するには：

  • エージェントにおいて、オブジェクトの識別にどのプロパティが使用されているかを理解し、実行時にそれらのプロパティを変更しないようにします。
  • 記録されたスクリプトに含まれているすべてのオブジェクトに対して、人間が理解しやすい一意の id プロパティまたは automationName プロパティを設定します。
  • Apache Flex アプリケーションのカスタム属性
    Apache Flex アプリケーションの安定した識別子を作成するために使用できる属性について説明します。
  • Flex の AutomationName プロパティと AutomationIndex プロパティ
    Silk Test で automationName プロパティと automationIndex プロパティがどのように使用されるかについて説明します。
  • Flex クラス定義ファイル
    Flex クラス定義ファイルの内容について説明します。
  • Flex の automationName プロパティの設定
    Flex の automationName プロパティを設定することの利点について説明します。
  • 名前またはインデックスを使用するように Flex の Select メソッドを設定
    Flex の Select メソッドを、選択するコントロールの Name または Index を使用して記録します。
親トピック: Flex アプリケーションのテストの有効化
関連概念
Apache Flex アプリケーションのテスト
Flex コンテナのコーディング
Flex 自動テスト ワークフロー


Flex の AutomationName プロパティと AutomationIndex プロパティ

Flex オートメーション API には、automationName プロパティと automationIndex プロパティが用意されています。automationName を指定すると、Silk4NET では、記録されたウィンドウ宣言の名前としてこの値が使用されます。わかりやすい名前を指定すると、そのオブジェクトを Silk4NET で識別しやすくなります。ベスト プラクティスとして、アプリケーションのテストに含まれているすべてのオブジェクトの automationName プロパティに値を設定することをお勧めします。

automationIndex プロパティを使用して、オブジェクトに対して一意のインデックス値を割り当てます。たとえば、2 つのオブジェクトが同じ名前を共有している場合は、インデックス値を割り当てて、2 つのオブジェクトを識別します。
注: Silk Test Flex オートメーション SDK は、Flex のオートメーション API に基づいています。Silk Test オートメーション SDK は、Flex のオートメーション API でサポートされているものと同じコンポーネントが同様にサポートされます。たとえば、オートメーション コードを使用してアプリケーションがコンパイルされ、連続的に SWF ファイルが読み込まれる場合、メモリ リークが発生して、最終的にアプリケーションでメモリが不足します。Flex Control Explorer サンプル アプリケーションは、この問題の影響を受けます。回避策として、Explorer が読み込むアプリケーションの SWF ファイルをオートメーション ライブラリを使用してコンパイルしない方法があります。たとえば、Explorer のメイン アプリケーションのみをオートメーション ライブラリを使用してコンパイルします。SWFLoader の代わりにモジュール ローダーを使用する方法もあります。Flex オートメーション API の詳細については、『Apache Flex リリース ノート』を参照してください。
親トピック: テスト可能な Flex アプリケーションの作成
関連概念
Flex アプリケーションのテストの有効化
Flex コンテナのコーディング
Flex 自動テスト ワークフロー
関連タスク
名前またはインデックスを使用するように Flex の Select メソッドを設定


Flex の automationName プロパティの設定

automationName プロパティは、テストに表示されるコンポーネント名を定義します。このプロパティのデフォルト値は、コンポーネントの種類に応じて異なります。たとえば、Button コントロールの automationName は、Button コントロールのラベルです。automationName がコントロールの id プロパティと同じ場合もありますが、常に同じであるわけではありません。

一部のコンポーネントでは、automationName プロパティの値は、Flex によってそのコンポーネントを認識しやすい属性に設定されています。これにより、テスト担当者は、テストでコンポーネントを認識しやすくなります。通常、テスト担当者は、アプリケーションの基になるソース コードにアクセスできないため、コントロールの表示されるプロパティによってそのコントロールを認識できるようにすることは有用です。たとえば、「Process Form Now」というラベルが設定された Button は、テストで FlexButton("Process Form Now") と表示されます。

新しいコンポーネントを実装する場合や、既存のコンポーネントから派生する場合は、automationName プロパティのデフォルト値をオーバーライドできます。たとえば、UIComponent では、automationName の値は、デフォルトでコンポーネントの id プロパティに設定されます。ただし、一部のコンポーネントでは、独自の方法を使用して値が設定されます。たとえば、Flex Store サンプル アプリケーションでは、コンテナを使用して製品のサムネイルが作成されています。コンテナのデフォルトの automationName はコンテナの id プロパティと同じ値となるため、あまり役立ちません。そのため、Flex Store では、製品のサムネイルを生成するカスタム コンポーネントで明示的に automationName を製品名に設定して、アプリケーションをテストしやすくしています。

例

以下の CatalogPanel.mxml カスタム コンポーネントの例では、automationName プロパティの値をカタログに表示される項目名に設定しています。これにより、デフォルトのオートメーション名を使用するよりもサムネイルを認識しやすくなります。

thumbs[i].automationName = catalog[i].name;

例

以下の例では、ComboBox コントロールの automationName プロパティを「Credit Card List」に設定しています。このように設定すると、通常、テスト ツールでは、スクリプトにおいて id プロパティではなく「Credit Card List」を使用して ComboBox が識別されます。
<?xml version="1.0"?>
<!-- at/SimpleComboBox.mxml -->
<mx:Application xmlns:mx="http://www.adobe.com/2006/mxml">
  <mx:Script>
    <![CDATA[
      [Bindable]
      public var cards: Array = [
        {label:"Visa", data:1},
        {label:"MasterCard", data:2},
        {label:"American Express", data:3}
      ];

      [Bindable]
      public var selectedItem:Object;
      ]
   ]>
  </mx:Script>
  <mx:Panel title="ComboBox Control Example">
    <mx:ComboBox id="cb1" dataProvider="{cards}"
      width="150"
      close="selectedItem=ComboBox(event.target).selectedItem"
      automationName="Credit Card List"
    />
    <mx:VBox width="250">
      <mx:Text width="200" color="blue" text="Select a type of credit card." />
      <mx:Label text="You selected: {selectedItem.label}"/>
      <mx:Label text="Data: {selectedItem.data}"/>
    </mx:VBox>
  </mx:Panel>
</mx:Application>

automationName プロパティの値を設定すると、オブジェクト名が実行時に変更されないことが保証されます。このことは、予期しない結果の回避に役立ちます。

automationName プロパティの値を設定すると、テストでは、デフォルト値ではなく、その値が使用されます。たとえば、Silk4NET では、デフォルトで、スクリプトにおいて Button コントロールの label プロパティがボタンの名前として使用されます。この場合、ラベルが変更されると、スクリプトが動作しなくなります。automationName プロパティの値を明示的に設定することによって、このような事態を回避できます。

ラベルがなく、アイコンがあるボタンは、インデックス番号によって記録されます。この場合は、automationName プロパティをわかりやすい文字列に設定して、テスト担当者がスクリプトでボタンを認識できるようにします。automationName プロパティの値を設定したあとは、コンポーネントのライフ サイクル全体を通して値を変更しないでください。項目レンダラでは、automationName プロパティではなく automationValue プロパティを使用します。automationValue プロパティを使用するには、createAutomationIDPart() メソッドをオーバーライドして、automationName プロパティに割り当てる新しい値を返します。以下に例を示します。

<mx:List xmlns:mx="http://www.adobe.com/2006/mxml">
  <mx:Script>

      import mx.automation.IAutomationObject;
      override public function
      createAutomationIDPart(item:IAutomationObject):Object {
        var id:Object = super.createAutomationIDPart(item);
        id["automationName"] = id["automationIndex"];
        return id;
      }

  </mx:Script>
</mx:List>

このテクニックを使用して、任意のコンテナまたはリスト形式コントロールの子にインデックス値を追加します。子が自分自身のインデックスを指定する方法はありません。

親トピック: テスト可能な Flex アプリケーションの作成
関連概念
Flex アプリケーションのテストの有効化
Flex コンテナのコーディング
Flex の AutomationName プロパティと AutomationIndex プロパティ
関連タスク
名前またはインデックスを使用するように Flex の Select メソッドを設定


名前またはインデックスを使用するように Flex の Select メソッドを設定

Flex の Select メソッドは、選択するコントロールの Name または Index を使用して記録できます。デフォルトで、Silk Test では、コントロールの名前を使用して Select メソッドが記録されます。ただし、コントロールのインデックスを使用して Select イベントを記録するように環境を変更したり、名前を使用した記録とインデックスを使用した記録を切り替えたりすることができます。

  1. インデックスを使用するように変更するクラスを特定します。 以下のコントロールでは、インデックスを使用して Select イベントを記録できます。
    • FlexList
    • FlexTree
    • FlexDataGrid
    • FlexOLAPDataGrid
    • FlexComboBox
    • FlexAdvancedDataGrid
  2. 変更するクラスに関連する XML ファイルを特定します。 上記のコントロールに関連する XML ファイルには、FlexCommonControls.xml、AdvancedDataGrid.xml、または OLAPDataGrid.xml があります。
  3. 変更するクラスに関連する XML ファイルに移動します。 XML ファイルは、<Silk Test_install_directory>\ng\agent\plugins\com.borland.fastxd.techdomain.flex.agent_<バージョン>\config\automationEnvironment フォルダにあります。
  4. 対応する XML ファイルで、以下の変更を行います。
    <ClassInfo Extends="FlexList" Name="FlexControlName"  EnableIndexBasedSelection=”true” >

…

</ClassInfo>
    たとえば、「FlexControlName」として「FlexList」を使用し、FlexCommonControls.xml ファイルを変更できます。

    この変更では、FlexList::SelectIndex イベントの記録に IndexBasedSelection が使用されています。

    注: コードの EnableIndexBasedSelection= を false に設定するか、またはこのブール値を削除すると、記録で名前が使用される設定に戻ります（FlexList::Select イベント）。
  5. これらの変更内容を有効にするには、Flex アプリケーションおよび Open Agent を再起動します。
親トピック: テスト可能な Flex アプリケーションの作成
関連概念
Flex の AutomationName プロパティと AutomationIndex プロパティ


Flex コンテナのコーディング

コンテナは、ユーザー対話（ユーザーが Accordion コンテナの次のページに移動したなど）の記録、およびテスト スクリプト内でのコントロールに対する一意の場所の提供の両方の目的で使用されるため、他の種類のコントロールとは異なります。

  • オートメーション階層におけるコンテナの追加と削除
    どのような場合にオートメーション階層からコンテナを削除するか、および削除方法について説明します。
  • 複数ビュー コンテナ
    複数ビュー コンテナを使用する場合のベスト プラクティスについて説明します。
親トピック: Flex アプリケーションのテストの有効化
関連概念
Apache Flex アプリケーションのテスト
テスト可能な Flex アプリケーションの作成


オートメーション階層におけるコンテナの追加と削除

通常、自動テスト機能のスクリプトでは、ネストされたコンテナについての詳細情報は少なく抑えられます。テストの結果やコントロールの識別に影響がないコンテナは、スクリプトから削除されます。削除対象となるコンテナは、HBox、VBox、Canvas などの、レイアウトの目的でのみ使用されるコンテナです。ただし、ViewStack、TabNavigator、Accordion などの複数ビュー ナビゲータ コンテナで使用されている場合は削除されません。このような場合、コンテナはオートメーション階層に追加されて、ナビゲーションに使用されます。

多くの複合コンポーネントでは、Canvas や VBox などのコンテナを使用して、子が整理されます。これらのコンテナは、アプリケーション上では視覚的な効果を持ちません。この結果、これらのコンテナでは、ユーザー操作は実行されず、操作を視覚的に記録する必要もないため、通常、これらのコンテナはテストから除外されます。テストからコンテナを除外することによって、関連するテスト スクリプトが簡潔になり、読みやすくなります。

コンテナを記録から除外するには、コンテナの showInAutomationHierarchy プロパティを false に設定します（子は除外されません）。このプロパティは、UIComponent クラスによって定義されているため、UIComponent のサブクラスであるすべてのコンテナにこのプロパティが存在します。階層で表示されないコンテナの子は、階層内でそのコンテナの次に上位の親の子として表示されます。

showInAutomationHierarchy プロパティのデフォルト値は、コンテナの種類に応じて異なります。Panel、Accordion、Application、DividedBox、Form などのコンテナではデフォルト値は true であり、Canvas、HBox、VBox、FormItem などのコンテナではデフォルト値は false です。

以下の例では、VBox コンテナがテスト スクリプトの階層に組み込まれています。
<?xml version="1.0"?>
<!-- at/NestedButton.mxml -->
<mx:Application xmlns:mx="http://www.adobe.com/2006/mxml">
<mx:Panel title="ComboBox Control Example">
<mx:HBox id="hb">
<mx:VBox id="vb1" showInAutomationHierarchy="true">
<mx:Canvas id="c1">
<mx:Button id="b1" automationName="Nested Button 1" label="Click Me" />
</mx:Canvas>
</mx:VBox>
<mx:VBox id="vb2" showInAutomationHierarchy="true">
<mx:Canvas id="c2">
<mx:Button id="b2" automationName="Nested Button 2" label="Click Me 2" />
</mx:Canvas>
</mx:VBox>
</mx:HBox>
</mx:Panel>
</mx:Application>
親トピック: Flex コンテナのコーディング
関連概念
複数ビュー コンテナ
Flex アプリケーションのテストの有効化
Apache Flex アプリケーションのテスト


複数ビュー コンテナ

TabNavigator や Accordion コンテナなどの複数ビュー コンテナ内の複数のタブに同じラベルを使用しないでください。 同じラベルを使用することもできますが、このことは、通常、推奨UI 設計プラクティスとして推奨されていません。このようにすると、テスト環境においてコントロールの識別に問題が発生することがあります。

親トピック: Flex コンテナのコーディング
関連概念
オートメーション階層におけるコンテナの追加と削除


Flex 自動テスト ワークフロー

Flex アプリケーションのテストの Silk4NET ワークフローは、以下のとおりです。

  • 自動テストの初期化
  • 自動テストの記録
  • 自動テストの再生
  • Flex 自動テストの初期化
    Flex アプリケーション起動時に発生する初期化イベントを示します。
  • Flex 自動テストの記録
    ユーザーが Flex アプリケーションのテストを記録するときに発生するイベントについて説明します。
  • Flex 自動テストの再生
    ユーザーが Flex アプリケーションのテストを実行した場合に発生するイベントについて説明します。
親トピック: Flex アプリケーションのテストの有効化
関連概念
テスト可能な Flex アプリケーションの作成


Flex 自動テストの初期化

ユーザーが Flex アプリケーションを起動すると、以下の初期化イベントが発生します。
  1. オートメーション初期化コードによって、コンポーネントの委譲クラスがコンポーネントのクラスに関連付けられます。
  2. コンポーネントの委譲クラスは、IAutomationObject インターフェイスを実装します。
  3. AutomationManager のインスタンスがミックスインの init() メソッドで作成されます。（AutomationManager はミックスインです。）
  4. SystemManager によってアプリケーションが初期化されます。コンポーネント インスタンスおよび対応する委譲インスタンスが作成されます。委譲インスタンスによって、目的のイベントに対するイベント リスナーが追加されます。
  5. Silk4NET FlexTechDomain はミックスインです。FlexTechDomain の init() メソッドで、FlexTechDomain が SystemManager.APPLICATION_COMPLETE イベントに登録されます。イベントを受信すると、FlexTechDomain インスタンスが作成されます。
  6. FlexTechDomain インスタンスが、同じマシン上の記録および再生機能に登録する Silk Test Agent に TCP/IP ソケット経由で接続します。
  7. FlexTechDomain は、自動環境についての情報を要求します。この情報は XML ファイルに格納され、Silk Test Agent から FlexTechDomain に転送されます。
親トピック: Flex 自動テスト ワークフロー
関連概念
Flex 自動テストの記録
Flex 自動テストの再生


Flex 自動テストの記録

ユーザーが Silk4NET で Flex アプリケーションの新しいテストを記録すると、以下のイベントが発生します。

  1. Silk4NET によって Silk Test Agent が呼び出されて、記録が開始されます。Agent は、このコマンドを FlexTechDomain インスタンスに転送します。
  2. FlexTechDomain は、beginRecording() を呼び出すことによって、AutomationManager に対して記録の開始を通知します。AutomationManager は、SystemManager からの AutomationRecordEvent.RECORD イベントに対するリスナーを追加します。
  3. ユーザーがアプリケーションを操作します。たとえば、ユーザーが Button コントロールをクリックしたとします。
  4. ButtonDelegate.clickEventHandler() メソッドによって、プロパティとしてクリック イベントと Button のインスタンスが指定された AutomationRecordEvent イベントがディスパッチされます。
  5. AutomationManager は、XML 環境情報に基づいて、クリック イベントのどのプロパティを格納するかを決定します。値が適切な型または書式に変換されます。記録イベントがディスパッチされます。
  6. FlexTechDomain イベント ハンドラがイベントを受信します。AutomationManager.createID() メソッドが呼び出されて、ボタンの AutomationID オブジェクトが作成されます。このオブジェクトは、オブジェクト識別用の構造体を提供します。AutomationID 構造体は、AutomationIDParts の配列になっています。AutomationIDParts は、IAutomationObject を使用して作成されます。（Button コントロールの UIComponent.id、automationName、automationValue、childIndex、および label プロパティが読み込まれて、オブジェクトに格納されます。XML 情報に、label プロパティを Button の識別に使用できることが指定されているため、label プロパティが使用されます。）
  7. FlexTechDomain は、AutomationManager.getParent() メソッドを使用して、Button の論理的な親を取得します。アプリケーション レベルまでの各レベルで、親コントロールの AutomationIDParts オブジェクトが収集されます。
  8. すべての AutomationIDParts が AutomationID オブジェクトの一部として組み込まれます。
  9. FlexTechDomain は、Silk4NET への呼び出しでこの情報を送信します。
  10. ユーザーが記録を停止すると、FlexTechDomain.endRecording() メソッドが呼び出されます。
親トピック: Flex 自動テスト ワークフロー
関連概念
Flex 自動テストの初期化
Flex 自動テストの再生


Flex 自動テストの再生

ユーザーが Silk4NET で 再生 ボタンをクリックすると、以下のイベントが発生します。

  1. 各スクリプト呼び出しにおいて、Silk4NET は Silk Test Agent に接続し、実行されるスクリプト呼び出しの情報を送信します。 この情報には、完全なウィンドウ宣言、イベント名、およびパラメータが含まれています。
  2. Silk Test Agent は、その情報を FlexTechDomain に転送します。
  3. FlexTechDomain は、ウィンドウ宣言情報と共に AutomaionManager.resolveIDToSingleObject を使用します。 AutomationManager は、説明情報（automationName、automationIndex、id など）に基づいて、解決したオブジェクトを返します。
  4. Flex コントロールが解決されると、FlexTechDomain は AutomationManager.replayAutomatableEvent() を呼び出して、イベントを再生します。
  5. AutomationManager.replayAutomatableEvent() メソッドによって、委譲クラスの
IAutomationObject.replayAutomatableEvent() メソッドが呼び出されます。 委譲では、IAutomationObjectHelper.replayMouseEvent() メソッド（または
replayKeyboardEvent() などの他のいずれかの再生メソッド）を使用してイベントが再生されます。
  6. スクリプトに検証がある場合、FlexTechDomain は AutomationManager.getProperties() を呼び出して、検証する必要がある値にアクセスします。
親トピック: Flex 自動テスト ワークフロー
関連概念
Flex 自動テストの記録
Flex 自動テストの初期化


Apache Flex アプリケーションのスタイル

Apache Flex 3.x で開発されたアプリケーションについて、Silk4NET ではスタイルとプロパティを区別しません。この結果、スタイルはプロパティとして公開されます。ただし、Apache Flex 4.x の Spark という接頭辞が付いているすべての新しい Flex コントロール（SparkButton など）では、スタイルがプロパティとして公開されません。この結果、Flex 4.x コントロールの GetProperty() メソッドおよび GetPropertyList() メソッドでは color や fontSize などのスタイルが返されず、text や name などのプロパティのみが返されます。

GetStyle(string styleName) メソッドは、スタイルの値を文字列として返します。どのようなスタイルが存在するかを確認するには、次の Adobe ヘルプを参照してください： http://help.adobe.com/ja_JP/FlashPlatform/reference/actionscript/3/package-detail.html.

スタイルが設定されていない場合は、再生中に StyleNotSetException が発生します。

FlexTree などの Flex 3.x コントロールでは、GetProperty() を使用してスタイルを取得できます。GetStyle() を使用することもできます。Flex 3.x コントロールでは、GetProperty() メソッドと GetStyle() メソッドの両方が動作します。

色スタイルの計算

Flex では、色は数値として表されます。色は、以下の式を使用して計算できます。
red*65536 + green*256 + blue

例

以下のスクリプト例では、Spark アプリケーションの ButtonBar がフォント サイズ 12 を使用しているかどうかを検証しています。
 Imports SilkTest.Ntf.Flex

Public Module Main
    Dim _desktop As Desktop = Agent.Desktop

    Public Sub Main()
        Dim Application As SparkApplication
        Dim ButtonBar As SparkButtonBar
        Application = _desktop.Find( "/BrowserApplication//BrowserWindow//
            SparkApplication" )
        ButtonBar = Application.SparkButtonBar()

        Workbench.Verify(ButtonBar.GetStyle( "fontSize" ), "12" )
    End Sub
End Module
親トピック: Apache Flex のサポート


Adobe Flash Player のセキュリティ制約に対応するための Flex アプリケーションの構成

Adobe Flash Player 10 では、セキュリティ モデルが以前のバージョンから変更されています。Flash Player を使用するテストを記録する場合、記録は想定どおりに動作します。ただし、テストを再生する場合は、特定の状況で高レベルのクリックが行われると、予期しない結果が発生します。たとえば、ファイル参照 ダイアログ ボックスをプログラムから開くことができません。このシナリオの再生を試みると、セキュリティ制約が原因でテストに失敗します。

このセキュリティ制約を回避するには、ダイアログ ボックスを開くボタンに対して低レベルのクリックを実行します。低レベルのクリックを作成するには、Click メソッドにパラメータを追加します。

たとえば、SparkButton::Click() の代わりに SparkButton::Click(MouseButton.Left) を使用します。パラメータを指定しない Click() は高レベルのクリックとして再生され、パラメータを指定したクリック（ボタンなど）は低レベルのクリックとして再生されます。

  1. Flash Player を使用するテストを記録します。
  2. Click メソッドに移動して、パラメータを追加します。 たとえば、ファイルを開く ダイアログ ボックスを開くには、以下のように指定します：
    SparkButton("@caption='Open File Dialog…'").Click(MouseButton.Left)
    。 テストを再生すると、想定どおりに動作します。
親トピック: Apache Flex のサポート
関連タスク
Adobe Flash Player で実行するための Flex アプリケーションの構成


Apache Flex アプリケーションの属性

ロケーターが作成されるとき、属性の種類はアプリケーションが使用するテクノロジ ドメインに基づいて自動的に割り当てられます。 属性の種類と値によって、ロケーターがテスト内のオブジェクトを識別する方法が決定されます。

Flex アプリケーションがサポートする属性は次のとおりです。
  • automationName
  • caption（automationName と同様）
  • automationClassName（FlexButton など）
  • className（実装クラスの完全修飾名。 mx.controls.Button など）
  • automationIndex（FlexAutomation のビューでのコントロールのインデックス。 index:1 など）
  • index（automationIndex と同様。ただし、接頭辞はなし。 1 など）
  • id (コントロールの ID)
  • windowId (id と同様)
  • label（コントロールのラベル）
  • すべての動的ロケーター属性
注: 属性名は、大文字小文字が区別されます (モバイル アプリケーションを除く。モバイル アプリケーションでは、大文字小文字は無視されます)。デフォルトで、属性値では大文字と小文字が区別されますが、他のオプションと同様にこのデフォルト設定は変更できます。ロケーター属性は、ワイルドカード ? および * をサポートしています。

動的ロケーター属性の詳細については、「動的ロケーター属性」を参照してください。

親トピック: Apache Flex のサポート
親トピック: サポートする属性の種類


Silk4NET が Apache Flex コントロールを認識できない理由

Web サーバーを通してアクセスしている Apache Flex アプリケーションのコントロールを Silk4NET が認識できない場合、以下のことを行ってみてください。
  • Adobe オートメーション ライブラリと Apache Flex バージョン用に適した FlexTechDomain.swc を使用して、Apache Flex アプリケーションをコンパイルします。
  • 実行時ローディングを使用します。
  • Apache Flex アプリケーションを空の id 属性を使用して埋め込んでいると、Apache Flex コントロールは認識されません。
親トピック: Apache Flex のサポート


Java AWT/Swing のサポート

Silk4NET は、Java AWT/Swing コントロールを使用するアプリケーションまたはアプレットのテストを組み込みでサポートしています。Java AWT/Swing を使用するアプリケーションまたはアプレットを設定すると、Silk4NET は標準の AWT/Swing コントロールのテストのサポートを組み込みで提供します。
注: Java AWT/Swing アプリケーションまたはアプレットに埋め込まれた Java SWT コントロールや、Java SWT アプリケーションに埋め込まれた Java AWT/Swing コントロールもテストできます。
注: イメージ クリックの記録は、Java AWT/Swing コントロールを使用するアプリケーションまたはアプレットではサポートされません。

サンプル アプリケーション

Silk Test は、サンプルの Swing テスト アプリケーションを提供しています。サンプル アプリケーションを http://supportline.microfocus.com/websync/SilkTest.aspx からダウンロードしてインストールします。 サンプル アプリケーションをインストールしたあと、(Microsoft Windows 7) スタート > すべてのプログラム > Silk > Silk Test > Sample Applications > Java Swing > Swing Test Application、または (Microsoft Windows 10) スタート > Silk をクリックします。

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

サポートするコントロール

Java AWT/Swing のテストで使用可能なコントロールの完全な一覧については、「Java AWT/Swing クラス リファレンス」を参照してください。

  • Java AWT/Swing アプリケーションの属性
    Java AWT/Swing アプリケーションがサポートする属性を示します。
  • Java メソッドの動的な呼び出し
    動的呼び出し機能を使用して Silk4NET が対象としないコントロールのメソッドを呼び出したり、プロパティーを取得/設定したりする方法を説明します。
  • Java AWT/Swing テクノロジ ドメインでの priorLabel の判別
    Java AWT/Swing テクノロジ ドメインでの priorLabel の判別方法について説明します。
  • Oracle Forms のサポート
    Oracle Forms ベースのアプリケーションをテストするために Silk4NET が提供するサポートについて説明します。
親トピック: 特定の環境のテスト
関連資料
Java AWT and Swing Class Reference


Java AWT/Swing アプリケーションの属性

ロケーターが作成されるとき、属性の種類はアプリケーションが使用するテクノロジ ドメインに基づいて自動的に割り当てられます。 属性の種類と値によって、ロケーターがテスト内のオブジェクトを識別する方法が決定されます。

Java AWT/Swing でサポートされる属性には以下のものがあります。
  • caption
  • priorlabel：隣接するラベル フィールドのテキストによってテキスト入力フィールドを識別します。 通常、フォームのすべての入力フィールドに、入力の目的を説明するラベルがあります。 caption のないコントロールの場合、自動的に属性 priorlabel がロケーターに使用されます。 コントロールの priorlabel 値 (テキスト入力フィールドなど) には、コントロールの左側または上にある最も近いラベルの caption が使用されます。
  • name
  • accessibleName
  • Swing のみ：すべてのカスタム オブジェクトの定義属性は、ウィジェットに putClientProperty("propertyName", "propertyValue") で設定されます。
注: 属性名は、大文字小文字が区別されます (モバイル アプリケーションを除く。モバイル アプリケーションでは、大文字小文字は無視されます)。デフォルトで、属性値では大文字と小文字が区別されますが、他のオプションと同様にこのデフォルト設定は変更できます。ロケーター属性は、ワイルドカード ? および * をサポートしています。
親トピック: Java AWT/Swing のサポート
親トピック: サポートする属性の種類


Java メソッドの動的な呼び出し

動的呼び出しを使用すると、テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、メソッドの呼び出し、プロパティーの取得、またはプロパティーの設定を直接実行できます。また、このコントロールの Silk4NET API で使用できないメソッドおよびプロパティーも呼び出すことができます。動的呼び出しは、作業しているカスタム コントロールを操作するために必要な機能が、Silk4NET API を通して公開されていない場合に特に便利です。

オブジェクトの動的メソッドは Invoke メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

オブジェクトの複数の動的メソッドは InvokeMethods メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

動的プロパティの取得には GetProperty メソッドを、動的プロパティの設定には SetProperty メソッドを使用します。コントロールでサポートされている動的プロパティのリストを取得するには、GetPropertyList メソッドを使用します。

たとえば、テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、タイトルを String 型の入力パラメータとして設定する必要がある SetTitle というメソッドを呼び出すには、次のように入力します：
control.Invoke("SetTitle", "my new title")
注: 通常、ほとんどのプロパティは読み取り専用で、設定できません。
注: ほとんどのテクノロジー ドメインでは、メソッドを呼び出してプロパティーを取得する場合、Reflection を使用します。

サポートされているメソッドおよびプロパティ

次のメソッドとプロパティを呼び出すことができます。
  • Silk4NET がサポートするコントロールのメソッドとプロパティー。
  • SWT、AWT、または Swing ウィジェットのすべてのパブリック メソッド
  • コントロールが標準コントロールから派生したカスタム コントロールの場合、標準コントロールが呼び出すことのできるすべてのメソッドとプロパティー。

サポートされているパラメータ型

次のパラメータ型がサポートされます。
  • プリミティブ型 (boolean、integer、long、double、string)

    プリミティブ型 (int など) とオブジェクト タイプ (java.lang.Integer など) の両方がサポートされます。プリミティブ型は必要に応じて拡大変換されます。たとえば、long が必要な場所で int を渡すことができます。

  • 列挙型

    列挙パラメータは文字列として渡す必要があります。文字列は、列挙値の名前と一致しなければなりません。たとえば、メソッドが列挙型 java.sql.ClientInfoStatus のパラメータを必要とする場合、次の文字列値を使用できます： REASON_UNKNOWN、REASON_UNKNOWN_PROPERTY、REASON_VALUE_INVALID、REASON_VALUE_TRUNCATED

  • リスト

    リスト、配列、または可変長引数のパラメータを持つメソッドを呼び出すことができます。リストの要素がターゲットの配列型に代入可能の場合、配列型への変換は自動的に行われます。

  • その他のコントロール

    コントロール パラメーターは、TestObject として渡したり、返したりできます。

戻り値

プロパティや戻り値を持つメソッドの場合は、次の値が返されます。
  • すべての組み込み Silk4NET 型の場合は正しい値。これらの型は、「サポートされているパラメータ型」のセクションに記載されています。
  • 戻り値を持たないすべてのメソッドの場合、C# では null が、VB では Nothing が返されます。
親トピック: Java AWT/Swing のサポート
親トピック: Java SWT と Eclipse RCP のサポート
関連概念
動的呼び出し
動的呼び出しに関するよくある質問


Java AWT/Swing テクノロジ ドメインでの priorLabel の判別

Java AWT/Swing テクノロジ ドメインで priorLabel を判別するには、ターゲット コントロールと同じウィンドウ内のすべてのラベルおよびグループを考慮する必要があります。 判別の基準は、次のとおりです。
  • priorLabel の候補とみなされるのは、コントロールの上または左にあるラベル、およびコントロールが属しているグループのみです。
  • コントロールの親が JViewPort または ScrollPane の場合、アルゴリズムはこのコントロールを含むウィンドウが親であるかのように機能し、外側の要素はどれも関連しないとみなされます。
  • 最も単純なケースでは、コントロールに最も近いラベルが priorLabel として使用されます。
  • 2 つのラベルがコントロールから等距離にあり、1 つがコントロールの左、もう 1 つが上にある場合は、左側のラベルが優先します。
  • 適したラベルがない場合は、最も近いグループのキャプションが使用されます。
親トピック: Java AWT/Swing のサポート


Oracle Forms のサポート

この機能がサポートされるのは、Open Agent を使用している場合のみです。

Silk4NET は、Oracle Forms ベースのアプリケーションのテストを組み込みでサポートします。

注: コントロールによっては、Silk4NET は低レベルの記録のみをサポートします。

サポート対象バージョン、既知の問題、回避策の詳細については、「リリース ノート」を参照してください。

  • Oracle Forms テストの前提条件
    Oracle Forms をテストするための前提条件を示します。
  • Oracle Forms アプリケーションの属性
    Oracle Forms ベースのアプリケーションがサポートする属性の一覧を提供します。
親トピック: Java AWT/Swing のサポート
関連資料
Java AWT and Swing Class Reference


Oracle Forms テストの前提条件

Oracle Forms を使ってビルドしたアプリケーションをテストするには、次の前提条件を満たす必要があります。
  • 次世代 Java プラグインを有効化する必要があります。この設定は、デフォルトで有効になっています。Java コントロール パネル で設定を変更できます。次世代 Java プラグインの詳細については、Java のドキュメントを参照してください。
  • Java セキュリティ ダイアログをテストの実行中に表示されないようにするには、アプレットにサインする必要があります。
  • Micro Focus は、Names プロパティを有効にすることを推奨します。このプロパティを有効にすると、Oracle Forms ランタイムは内部の名前 を公開します。この名前は、コントロールの開発者が、コントロールの Name プロパティとしてコントロールに対して指定したものです。そうでない場合、Name プロパティには、コントロールのクラス名とインデックスから構成された値が設定されます。これを使用すると、Silk4NET はコントロールに対して安定したロケーターを生成できます。
親トピック: Oracle Forms のサポート


Oracle Forms アプリケーションの属性

ロケーターが作成されるとき、属性の種類はアプリケーションが使用するテクノロジ ドメインに基づいて自動的に割り当てられます。 属性の種類と値によって、ロケーターがテスト内のオブジェクトを識別する方法が決定されます。

Oracle Forms がサポートする属性は次のとおりです。
  • priorlabel：隣接するラベル フィールドのテキストによってテキスト入力フィールドを識別します。 通常、フォームのすべての入力フィールドに、入力の目的を説明するラベルがあります。 caption のないコントロールの場合、自動的に属性 priorlabel がロケーターに使用されます。 コントロールの priorlabel 値 (テキスト入力フィールドなど) には、コントロールの左側または上にある最も近いラベルの caption が使用されます。
  • name
  • accessibleName
注: 属性名は、大文字小文字が区別されます (モバイル アプリケーションを除く。モバイル アプリケーションでは、大文字小文字は無視されます)。デフォルトで、属性値では大文字と小文字が区別されますが、他のオプションと同様にこのデフォルト設定は変更できます。ロケーター属性は、ワイルドカード ? および * をサポートしています。
親トピック: Oracle Forms のサポート


Java SWT と Eclipse RCP のサポート

Silk Test は、SWT (Standard Widget Toolkit) コントロールのウィジェットを使用したアプリケーションのテストの組み込みサポートを提供します。Java SWT/RCP アプリケーションを設定すると、Silk Test は標準の Java SWT/RCP コントロールのテストのサポートを組み込みで提供します。

Silk Test では、以下をサポートしています。

  • Java AWT/Swing アプリケーションに埋め込まれた Java SWT コントロール、および Java SWT アプリケーションに埋め込まれた Java AWT/Swing コントロールのテスト。
  • Java SWT アプリケーションのテスト。
  • レンダリングに SWT ウィジェットを使用した Eclipse ベースのアプリケーション。 Silk Test は、Eclipse IDE ベース、および RCP ベースの両方のアプリケーションをサポートします。

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

サポートするコントロール

SWT テストで使用できるウィジェットの完全なリストについては、「Java SWT クラス リファレンス」を参照してください。

  • Java SWT クラス リファレンス
    Java SWT をサポートするための Visual Basic クラスを一覧します。
  • Java SWT カスタム属性
    カスタム属性をテスト アプリケーションに追加して、テストをより安定させます。
  • Java SWT アプリケーションの属性
    Java SWT アプリケーションがサポートする属性の一覧を提供します。
  • Java メソッドの動的な呼び出し
    動的呼び出し機能を使用して Silk4NET が対象としないコントロールのメソッドを呼び出したり、プロパティーを取得/設定したりする方法を説明します。
  • Java SWT と Eclipse アプリケーションのトラブルシューティング
    Silverlight アプリケーションのテスト時に発生する可能性のある問題の処理について有用な情報を提供します。
親トピック: 特定の環境のテスト


Java SWT クラス リファレンス

Java SWT アプリケーションを設定すると、Silk4NET は標準の Java SWT コントロールのテストのサポートを組み込みで提供します。

親トピック: Java SWT と Eclipse RCP のサポート
関連資料
Java SWT Class Reference


Java SWT アプリケーションの属性

ロケーターが作成されるとき、属性の種類はアプリケーションが使用するテクノロジ ドメインに基づいて自動的に割り当てられます。 属性の種類と値によって、ロケーターがテスト内のオブジェクトを識別する方法が決定されます。

Java SWT がサポートする属性は次のとおりです。
  • caption
  • すべてのカスタム オブジェクト定義属性
注: 属性名は、大文字小文字が区別されます (モバイル アプリケーションを除く。モバイル アプリケーションでは、大文字小文字は無視されます)。デフォルトで、属性値では大文字と小文字が区別されますが、他のオプションと同様にこのデフォルト設定は変更できます。ロケーター属性は、ワイルドカード ? および * をサポートしています。
親トピック: Java SWT と Eclipse RCP のサポート
親トピック: サポートする属性の種類


Java SWT と Eclipse アプリケーションのトラブルシューティング

一部の SWTTree メソッドが低レベル再生時に再生されない

低レベル再生を使用したとき、Expand や Collapse などの一部の SWTTree メソッドが再生されません。

この問題を解決するには、再生モードを デフォルト に設定します。詳細については、「再生オプションの設定」を参照してください。

SWTTree の非表示ノードの選択

低レベル再生を使用したとき、Silk4NET は SWTTree の非表示ノードを操作できません。

この問題を解決するには、再生モードを デフォルト に設定します。詳細については、「再生オプションの設定」を参照してください。

親トピック: Java SWT と Eclipse RCP のサポート
関連タスク
再生オプションの設定


モバイル アプリケーションのテスト

Silk4NET では、ネイティブ モバイル アプリケーション（アプリ）およびモバイル Web アプリケーションを自動的にテストすることができます。Silk4NET を使用してモバイル アプリケーションを自動的にテストすることには、次のメリットがあります。
  • モバイル アプリケーションのテスト時間を大幅に減少させることができます。
  • テストを一旦作成すれば、数多くの異なるデバイスやプラットフォーム上でモバイル アプリケーションをテストできます。
  • エンタープライズ モバイル アプリケーションに要求される信頼性とパフォーマンスを確保できます。
  • QA チームのメンバーおよびモバイル アプリケーションの開発者の効率を向上できます。
  • モバイル アプリケーションは、多くのモバイル デバイスとプラットフォームで動作することを要求されるため、アジャイルにフォーカスした開発環境にとって手動テストは十分効率的とは言えない場合があります。
注: Silk4NET を使用してネイティブ モバイル アプリケーションやハイブリッド アプリケーションをテストするには、ネイティブ モバイル ライセンスが必要です。詳細については、「ライセンス情報」を参照してください。
注: Silk4NET は、Android および iOS デバイスの両方でのモバイル アプリのテストをサポートします。

モバイル アプリケーションのテストをサポートするオペレーティング システムとサポートするブラウザーについての情報は、『リリース ノート』を参照してください。

  • Android
    Android プラットフォーム上でモバイル アプリケーションをテストする方法について説明します。
  • iOS
    iOS プラットフォーム上でモバイル アプリケーションをテストする方法について説明します。
  • インストール済みアプリのテスト
    デバイス、エミュレーター、またはシミュレータ上に既にインストールされているネイティブ モバイル アプリをテストするには、接続文字列でアプリを指定します。
  • モバイル アプリケーションの記録
    モバイル デバイスまたは Android エミュレータ上のモバイル アプリケーションに対してテストを記録する方法について説明します。
  • テストを再生するモバイル デバイスの選択
    テストを再生するために使用するモバイル デバイス、Android エミュレータ、iOS シミュレータを定義する方法について説明します。
  • Mobile Center デバイスの使用
    Silk4NET と Silk Central を統合すると、Mobile Center デバイスをモバイル アプリケーションのテストに使用できます。
  • Sauce Labs デバイスの使用
    Silk4NET と Silk Central を統合すると、Sauce Labs デバイスをモバイル アプリケーションのテストに使用できます。
  • モバイル デバイスの接続文字列
    モバイル デバイスに接続するために接続文字列を指定する方法について説明します。
  • モバイル デバイスの操作
    記録 ウィンドウで モバイル デバイス操作の表示 を使って、モバイル デバイスを操作することができます。
  • モバイル デバイスの開放
    テストの記録または再生後にモバイル デバイスを開放しなければならない理由について説明します。
  • モバイル アプリケーションのテスト時のトラブルシューティング
    モバイル アプリケーションのテスト時に発生する可能性のある問題の処理について有用な情報を提供します。
  • モバイル Web アプリケーションのテストにおける制限事項
    モバイル Web アプリケーションに対するテストの再生とロケーターの記録の既知の制限事項を一覧します。
  • ネイティブ モバイル アプリケーションのテストにおける制限事項
    ネイティブ モバイル アプリケーションに対するテストの再生とロケーターの記録の既知の制限事項を一覧します。
  • モバイル Web サイトでのオブジェクトのクリック
    テストの記録と再生時に、Silk4NET がモバイル Web サイトのオブジェクトのクリックを処理する方法について説明します。
  • 既存のモバイル Web テストの使用方法
    Silk Test 17.0 以降で既存のモバイル Web テストを使用できるように変更する方法について説明します。
親トピック: 特定の環境のテスト


Android

Silk4NET では、Android デバイスまたは Android エミュレータ上のモバイル アプリケーションをテストすることができます。

  • Android 上のモバイル アプリケーションのテストにおける前提条件
    Android 上のモバイル アプリケーションのテストにおける前提条件を示します。
  • Android 上のモバイル アプリケーションのテスト
    物理 Android デバイスや Android エミュレータ上のモバイル アプリケーションをテストするためにテスト環境を構成します。
  • Android 上のハイブリッド アプリケーションのテスト
    Silk4NET を使用して Android 上のハイブリッド アプリケーションをテストする方法について説明します。
  • USB ドライバのインストール
    モバイル アプリケーションをテストするために、最初に Android デバイスに接続する前に、ローカル マシンに適切な USB ドライバをインストールします。
  • USB デバッグの有効化
    Android Debug Bridge (adb) 上で Android デバイスと通信するために USB デバッグを有効化します。
  • Android デバイスの推奨設定
    テストを最適化するために Android デバイスで設定すべき項目を一覧します。
  • Silk4NET 用に Android エミュレータを設定する
    Silk4NET を使用してモバイル アプリケーションをテストするために Android エミュレータを設定します。
  • 並列テスト実行のテスト済みの構成
    このトピックでは、複数の Android デバイス上で並列にテストを実行するためのテスト構成の例を定義します。
親トピック: モバイル アプリケーションのテスト


Android 上のモバイル アプリケーションのテストにおける前提条件

Android デバイスや Android エミュレータ上のモバイル アプリケーションをテストする前に、次の前提条件を満たしていることを確認してください。
  • Silk4NET を実行するマシンに Java インストールされており、Java へのパスが Path 環境変数に追加されていることを確認してください。 Silk4NET は、JRE または JDK のいずれかをモバイル テストで必要とします。Java がインストールされていない場合は、C:\Program Files (x86)\Silk\SilkTest\ng\jre\bin を Path に追加してください。
  • ネイティブ モバイル アプリに Web ビューを追加したハイブリッド アプリを作成した場合は、アプリを Silk4NET でテスト可能にするために、次のコードをアプリに追加してください。
    WebView.setWebContentsDebuggingEnabled(true);
webView.getSettings().setJavaScriptEnabled(true);
  • Silk4NET では、Android 4.4 のデバイス画面のライブ ビュー表示をサポートしていません。 このため、Android 5 以降を使用することを Micro Focus は推奨しています。
親トピック: Android
関連タスク
Android 上のモバイル アプリケーションのテスト
関連資料
モバイル アプリケーションのテスト時のトラブルシューティング


Android 上のモバイル アプリケーションのテスト

物理 Android デバイスや Android エミュレータ上のモバイル アプリケーションをテストするには、次のタスクを実行します。

  1. Android 上のモバイル アプリケーションのテストにおける前提条件を満たすことを確認します。 詳細については、「Android 上のモバイル アプリケーションのテストにおける前提条件」を参照してください。
  2. Android エミュレータ上のモバイル アプリケーションをテストするには、Silk4NET 用にエミュレータを設定します。 詳細については、「 Silk Test 用に Android エミュレータを設定する」を参照してください。
  3. Silk4NET をインストールしたマシンで Android エミュレータを開始するか、デバイスを接続します。
  4. 物理 Android デバイスを初めて使用するマシンでテストする場合、適切な Android USB ドライバをマシンにインストールします。 詳細については、「USB ドライバのインストール」を参照してください。
  5. 物理 Android デバイス上でモバイル アプリケーションをテストする場合は、Android デバイスの USB デバッグを有効化します。 詳細については、「USB デバッグの有効化」を参照してください。
  6. モバイル アプリケーション用の Silk4NET プロジェクトを作成します。
  7. モバイル アプリケーション用のテストを作成します。
  8. テストで実行する操作を記録します。 記録 ウィンドウを開始すると、アプリケーションの選択 ダイアログ ボックスが開きます。
  9. モバイル Web アプリケーションをテストするには：
    1. Web タブを選択します。
    2. 使用するモバイル ブラウザーを選択します。
    3. 移動する URL の入力 テキスト ボックスに、開く Web ページを指定します。
  10. ネイティブ モバイル アプリケーションまたはハイブリッド アプリケーションをテストするには：
    注: Silk4NET を使用してネイティブ モバイル アプリケーションやハイブリッド アプリケーションをテストするには、ネイティブ モバイル ライセンスが必要です。詳細については、「ライセンス情報」を参照してください。
    1. モバイル タブを選択します。
    2. アプリをテストするモバイル デバイスをリストから選択します。
    3. 参照 をクリックしてアプリ ファイルを選択するか、アプリ ファイルへの完全パスを モバイル アプリ ファイル テキスト フィールドに入力します。 このパスでは、Silk4NET は HTTP および UNC 形式をサポートします。 Silk4NET は、モバイル デバイスまたはエミュレータ上に指定したアプリをインストールします。
  11. OK をクリックします。 Android デバイスまたはエミュレータの画面が、テスト中にロックされないようにしてください。マシンに接続中にデバイスがロックされないようにするには、開発者向けオプション を開きます。スリープモードにしない または 充電中に画面をスリープにしない をチェックします。
  12. 記録 ウィンドウを使用して、モバイル アプリケーションに対するテストを記録します。 詳細については、「モバイル アプリケーションの記録」を参照してください。
  13. すべての操作の記録を終えたら、記録を停止します。
  14. テストを再生します。
  15. テスト結果を分析します。
親トピック: Android
関連概念
モバイル アプリケーションの記録
モバイル アプリケーションのテスト時のトラブルシューティング
関連タスク
USB ドライバのインストール
USB デバッグの有効化
関連資料
Android 上のモバイル アプリケーションのテストにおける前提条件
Android デバイスの推奨設定


Android 上のハイブリッド アプリケーションのテスト

ハイブリッド アプリケーション（アプリ）は、デバイス上で実行されるネイティブ アプリケーションのようなアプリですが、HTML5、CSS、JavaScript などの Web テクノロジを使用して記述されたアプリです。

Silk4NET は、ネイティブ コンテナに埋め込まれた単一の Web ビューで構成されたデバッグ ハイブリッド アプリのテストにする完全なブラウザー サポートを提供します。このようなハイブリッド アプリの一般的な例は、Apache Cordova アプリケーションです。

非デバッグ ハイブリッド アプリをテスト可能にするには、次のコードをアプリに追加してアプリをリモート デバッグできるようにします。
WebView.setWebContentsDebuggingEnabled(true);
webView.getSettings().setJavaScriptEnabled(true);
リモート デバッグを有効化しない非デバッグ ハイブリッド アプリや、複数の Web ビューを含んだハイブリッド アプリをテストするには、Silk4NET フォールバック サポートを有効化するために、オプション OPT_ENABLE_MOBILE_WEBVIEW_FALLBACK_SUPPORT を TRUE に設定します。詳細については、「詳細オプションの設定」を参照してください。フォールバック サポートを有効化すると、Silk4NET は Web ビューのコントロールをブラウザー コントロールではなく、ネイティブ モバイル コントロールとして解決して処理します。たとえば、以下のコードは、ブラウザー サポートを使用したときのリンクのクリックです。
' VB .NET code
Agent.SetOption(Options.EnableMobileWebviewFallbackSupport, False)
_desktop.DomLink("//BrowserApplication//BrowserWindow//INPUT[@id='email']").Click()
// C# code
Agent.SetOption(Options.EnableMobileWebviewFallbackSupport, False);
_desktop.DomLink("//BrowserApplication//BrowserWindow//INPUT[@id='email']").Click();
フォールバック サポートを有効化すると、同じリンクをクリックするコードは次のようになります。
' VB .NET code
Agent.SetOption(Options.EnableMobileWebviewFallbackSupport, True)
_desktop.Find("//BrowserApplication//BrowserWindow//MobileTextField[@resource-id='email']").Click()
// C# code
Agent.SetOption(Options.EnableMobileWebviewFallbackSupport, True);
_desktop.Find("//BrowserApplication//BrowserWindow//MobileTextField[@resource-id='email']").Click();
Silk4NET は、Chrome リモート デバッグをサポートする Web ビューを検出できます。 Silk4NET は、com.android.webview パッケージまたは com.google.android.webview パッケージ（多くの Android デバイス上のデフォルト パッケージ）のいずれかを使用した Web ビューを検出できます。
注: Silk4NET は、Android 4.4 以降でのハイブリッド アプリのテストをサポートします。Android でハイブリッド アプリをテストするには、Android システムの WebView バージョン 51 以降が必要です。

Android 上のハイブリッド アプリをテストする手順は、モバイル ネイティブ アプリケーションをテストする手順と同じです。詳細については、「Android 上のモバイル アプリケーションのテスト」を参照してください。

親トピック: Android
関連概念
iOS 上のハイブリッド アプリケーションのテスト
関連タスク
詳細オプションの設定
関連資料
Android 上のモバイル アプリケーションのテストにおける前提条件


USB ドライバのインストール

モバイル アプリケーションをテストするために、ローカル マシンに最初に Android デバイスに接続するには、適切な USB ドライバをインストールする必要があります。

デバイスの製造元は、そのデバイスに必要なすべてのドライバをもった実行可能ファイルを提供している可能性があります。この場合、ローカル マシンにその実行可能ファイルをインストールするだけです。製造元がこのような実行可能ファイルを提供していない場合、マシン上にデバイスに対する単一の USB ドライバをインストールできます。

Android USB ドライバをインストールするには：

  1. デバイス用の適切なドライバをダウンロードします。 たとえば、Google Nexus デバイス用の USB ドライバを検索し、インストールする場合は、http://developer.android.com/tools/extras/oem-usb.html を参照します。
  2. Android デバイスをローカル マシンの USB ポートに接続します。
  3. デスクトップ、またはWindows Explorer から、コンピュータ を右クリックし、管理 を選択します。
  4. 左側のペインで、デバイス マネージャ を選択します。
  5. 右側のペインで、その他のデバイス を探して展開します。
  6. デバイス名 (Nexus 5x など) を右クリックして、ドライバ ソフトウェアの更新 を選択します。 ハードウェアの更新ウィザード が開きます。
  7. コンピュータを参照してドライバ ソフトウェアを検索します を選択して、次へ をクリックします。
  8. 参照 をクリックし、USB ドライバをダウンロードしたフォルダに移動します。
  9. USB ドライバを選択します。
  10. 次へ をクリックしてドライバをインストールします。
親トピック: Android
関連タスク
Android 上のモバイル アプリケーションのテスト


USB デバッグの有効化

Android Debug Bridge (adb) 上で Android デバイスと通信するために USB デバッグを有効化します。
  1. Android デバイスで設定を開きます。
  2. 開発者向けオプション (Dev Settings) をタップします。 開発者向けオプションは、デフォルトでは表示されません。開発者向けオプションがデバイスの設定メニューに含まれていない場合：
    1. 画面を下にスクロールさせて、デバイスが携帯電話の場合は 端末情報 を、タブレットの場合は タブレット情報 をタップします。
    2. 再度画面を下にスクロールさせて ビルド番号 を 7 回タップします。
  3. 開発者向けオプション ウィンドウで、USB デバッグ をオンにします。
  4. デバイスの USB モードをデフォルトの設定である メディア デバイス (MTP) に設定します。 詳細については、デバイスのドキュメントを参照してください。
親トピック: Android
関連タスク
Android 上のモバイル アプリケーションのテスト


Android デバイスの推奨設定

Silk4NET を使用したテストを最適化するために、テストしたい Android デバイスで次の設定を行ってください。
  • USB デバッグを Android デバイスで有効化します。詳細については、「USB デバッグの有効化」を参照してください。
  • Android デバイスは、Open Agent を実行しているマシンに、メディア デバイスとして接続されている必要があります。Android デバイスの USB モードは、メディア デバイス (MTP) を設定します。
  • Android デバイスまたはエミュレータの画面が、テスト中にロックされないようにしてください。マシンに接続中にデバイスがロックされないようにするには、開発者向けオプション を開きます。スリープモードにしない または 充電中に画面をスリープにしない をチェックします。
親トピック: Android
関連タスク
Android 上のモバイル アプリケーションのテスト
関連資料
iOS デバイスの推奨設定


Silk4NET 用に Android エミュレータを設定する

注: Android エミュレータを使用する場合、Silk4NET が使用している adb サーバー以外の adb サーバーが実行されてます。実行中の adb サーバーのバージョンが異なる場合、Open Agent とデバイスとの接続が不安定になったり、接続できない場合があります。このようなバージョンの不一致によるエラーを避けるには、環境変数 SILK_ANDROID_HOME に Android SDK ディレクトリへのパス（C:\Users\<ユーザー>\AppData\Local\Android\android-sdk など）を指定してください。Information Service が実行中の場合、Windows のサービス マネージャーを使用して、Silk Test Information Service を再起動して更新した環境変数を適用する必要があります。環境変数が設定されていない場合は、Silk4NET は Silk4NET に同梱されたバージョンの adb を使用します。
Silk4NET を使用して Android エミュレータ上でモバイル アプリケーションをテストする場合、テスト用にエミュレータを設定する必要があります。
  1. Android SDK の最新版をインストールします。 Android SDK のインストールと設定についての詳細は、「Get the Android SDK」を参照してください。
  2. Android Studio 2 をインストールします。
    ヒント: Android Studio 2 のインストールをスキップして、Android SDK で提供されるエミュレータを使用することもできます。ただし、エミュレータのパフォーマンスを向上させるため、Android Studio 2 をインストールすることを、Micro Focus では推奨しています。このトピックの以下の手順では、Android Studio 2 がインストールされていることを前提としています。
  3. Android Studio 2 から AVD Manager を開きます。
  4. Create Virtual Device をクリックします。
  5. 仮想デバイスを選択します。
  6. Next をクリックします。
  7. Google API を含む Android のシステム イメージをダウンロードして選択します。
  8. Next をクリックします。
  9. 要件に従って仮想デバイスを設定します。
  10. Show Advanced Settings をクリックします。
  11. エミュレータが使用する RAM サイズとヒープ領域を対象のマシンで管理可能な量に調整します。
    ヒント: 最低 1 GB の RAM と 256 MB のヒープ領域を使用することを、Micro Focus では推奨しています。
  12. Emulated Performance 領域のリストで Auto を選択します。

  13. Finish をクリックします。
親トピック: Android


並列テスト実行のテスト済みの構成

Silk4NET を使用して、複数の Android デバイス上で並列に自動テストを実行することができます。並列に実行できる Android デバイスの数は利用可能なハードウェアに依存します。 Micro Focus では、次のハードウェア構成でテストの実行を確認しています。

単一テスト マシンを使用した構成

USB により Android デバイスを直接接続した単一のテスト マシンを使用して、最大 8 台の物理 Android デバイスまでの並列テストを行いました。

テスト マシンは、次のハードウェア仕様の Lenovo ThinkPad T450 です。
  • Intel® Core™ i7 - 5600U CPU @ 2.60 GHz
  • 2 コア (4 スレッド)
  • 8 GB RAM

2 台のテスト マシンを使用した構成

また、2 台のテスト マシンを使用してテストを行いました。 1 台に Silk4NET をインストールし、もう 1 台には Silk Test Information Service をインストールして最初のマシンのリモート ロケーションとして設定しました。このような構成を使用して、最大 10 台の物理 Android デバイスまでの並列テストを行いました。

テスト マシン 1 は、次のハードウェア仕様の Lenovo ThinkPad T450 です。
  • Intel® Core™ i7 - 5600U CPU @ 2.60 GHz
  • 2 コア (4 スレッド)
  • 8 GB RAM
テスト マシン 2 は、次のハードウェア仕様の Dell Precision T1700 です。
  • Intel® Core™ i7 - 4770 CPU @ 3.40 GHz
  • 4 コア (8 スレッド)
  • 16 GB RAM

Windows マシンと Mac を使用した構成

さらに、2 台のテスト マシンを使用したテストで、Windows マシンに Silk4NET をインストールし、Mac には Silk Test Information Service をインストールして最初のマシンのリモート ロケーションとして設定しました。このような構成を使用して、最大 10 台の物理 Android デバイスまでの並列テストを行いました。

テスト マシン 1 は、次のハードウェア仕様の Lenovo ThinkPad T450 です。
  • Intel® Core™ i7 - 5600U CPU @ 2.60 GHz
  • 2 コア (4 スレッド)
  • 8 GB RAM
テスト マシン 2 は、次のハードウェア仕様の Apple Mac Mini です。
  • Intel® Core™ i5 - 4782U CPU @ 2.60 GHz
  • 2 コア (4 スレッド)
  • 16 GB RAM
親トピック: Android


iOS

Silk4NET では、iOS デバイスまたは iOS シミュレータ上のモバイル アプリケーションをテストすることができます。

iOS の以前のバージョンと比べて、iOS 9.3 に対して大幅な変更が Apple によってなされたため、Silk Test は iOS 9.3 以降のモバイル アプリケーションのテストをサポートします。サポートされている iOS のバージョンのリストについては、『リリース ノート』を参照してください。

注: iOS 11 上のモバイル アプリケーションのテストには Xcode 9 が必要です。Mac 上で Xcode 9 を使用している場合は、この Mac に接続（または実行）されている iOS 11 より前のバージョンの iOS をインストールした物理デバイスおよびシミュレータ上でのテストはサポートされません。iOS 9.3 または iOS 10 の物理デバイスまたはシミュレータでテストする場合は、Xcode 8.3 を使用してください。
ヒント: iOS 9.3 より前のバージョンの iOS をテストする場合は、Silk Test 17.5 を使用してください。Silk Test 19.0 を使用した iOS 上でのテストについて、Silk Test 17.5 でのテストとの主な違いを以下の表に示します。
Silk Test19.0 | Silk Test 17.5
iOS 9.3、iOS 10、iOS 11 をサポートします。 | iOS 8.1、8.2、8.3、8.4、9.0、9.1、9.2、9.3 をサポートします。
Xcode 8.3、Xcode 9 をサポートします。 | Xcode 6、Xcode 7 をサポートします。
同じユーザー セッションでの複数の物理 iOS デバイスのテストをサポートします。 ヒント: Silk Test 17.5 を使用してテストするために、複数のユーザー セッションを作成している場合、1 つ以外のすべてのユーザー セッションを削除することを Micro Focus は推奨します。 | 複数の物理 iOS デバイスをテストする場合は、Mac 上に複数のユーザー セッションが必要です。
  • iOS 上のモバイル アプリケーションのテストにおける前提条件
    iOS 上のモバイル アプリケーションのテストにおける前提条件を示します。
  • 物理 iOS デバイス上のネイティブ モバイル アプリケーションのテスト
    物理 iOS デバイス上のネイティブ モバイル アプリケーションやハイブリッド アプリケーションをテストするためにテスト環境を構成します。
  • iOS シミュレータ上のネイティブ モバイル アプリケーションのテスト
    iOS シミュレータ上のネイティブ モバイル アプリケーションやハイブリッド アプリケーションをテストするためにテスト環境を構成します。
  • 物理 iOS デバイス上のモバイル Web アプリケーションのテスト
    物理 iOS デバイス上のモバイル Web アプリケーションをテストするためにテスト環境を構成します。
  • iOS シミュレータ上のモバイル Web アプリケーションのテスト
    iOS シミュレータ上のモバイル Web アプリケーションをテストするためにテスト環境を構成します。
  • iOS 上のハイブリッド アプリケーションのテスト
    Silk4NET を使用して iOS 上のハイブリッド アプリケーションをテストする方法について説明します。
  • iOS デバイスのテストの準備
    モバイル アプリケーションをテストするために iOS デバイスを準備します。
  • iOS アプリのテストの準備
    Silk4NET でiOS アプリをテストできるように、アプリを準備する方法を説明します。
  • Silk Test Information Service を Mac にインストールする
    Information Service を Mac にインストールし、Silk4NET を使用して iOS 上の Apple Safari やモバイル アプリケーションをテストできます。
  • iOS 上でのモバイル アプリケーションのテストのための Mac の準備
    iOS 上のモバイル アプリケーションをテストするために、Mac を準備します。
  • パーソナル チーム プロファイルを使用した物理 iOS デバイス上でのテスト
    Apple Developer Program のメンバーシップに登録していない場合は、パーソナル チーム プロファイル（Personal Team）を使用して、物理 iOS デバイス上でアプリケーションをテストします。
  • Silk Test Information Service プロパティの編集
    infoservice.properties ファイルを使用して、Silk Test Information Service のポートを指定したり、Silk Test Information Service を実行しているマシン上で Silk Test がテストを実行するたびに毎回適用されるケイパビリティ（Capabilities）を指定できます。
  • Silk Test Information Service を Mac からアンインストールする
    Silk4NET を使用して Apple Safari 上の iOS やモバイル アプリケーションをテストする必要がなくなった場合、Information Service を Mac からアンインストールできます。
  • iOS デバイスの推奨設定
    テストを最適化するために iOS デバイスで設定すべき項目を一覧します。
  • XCUITest を使用した iOS 上の既存のスクリプトの実行
    iOS 10 で導入された変更に対応するために、スクリプトに変更を行う手順について説明します。
親トピック: モバイル アプリケーションのテスト


iOS 上のモバイル アプリケーションのテストにおける前提条件

iOS デバイスや iOS シミュレータ上のモバイル アプリケーションをテストする前に、次の前提条件を満たしていることを確認してください。
  • 現在のバージョンの Silk Test Information Service が Mac 上にインストールされている。詳細については、「Silk Test Information Service を Mac にインストールする」を参照してください。
  • 物理 iOS デバイス上でアプリケーションをテストする場合は、以下の項目を確認してください。
    • デバイスが Mac に接続されている。
    • デバイスが iOS のサポートされているバージョンである。サポートされている iOS のバージョンのリストについては、『リリース ノート』を参照してください。
  • iOS シミュレータ上でアプリケーションをテストする場合は、以下の項目を確認してください。
    • iOS シミュレータのイメージが Mac 上にインストールされている。
    • iOS シミュレータのイメージが iOS のサポートされているバージョンである。サポートされている iOS のバージョンのリストについては、『リリース ノート』を参照してください。
  • 物理 iOS デバイス上でアプリケーションをテストする場合は、デバイスと Mac の両方ともタイム ゾーンが同じである。
  • サポートするバージョンの Xcode が Mac 上にインストールされている。
  • Windows マシン上に Silk4NET がインストールされている。
  • Mac が Windows マシンと同じネットワークにあり、Windows マシンにリモート ロケーションとして追加されている。
  • iOS デバイス上でネイティブ モバイル アプリをテストする場合は、Developer Account でサインされたアプリの .ipa ファイルが作成されている。詳細については、「iOS アプリのテストの準備」を参照してください。
  • iOS シミュレータ上でネイティブ モバイル アプリをテストする場合は、ZIP 形式に圧縮したアプリが作成されている。詳細については、「iOS シミュレータ上のネイティブ モバイル アプリケーションのテスト」を参照してください。
  • iOS デバイスと iOS シミュレータの両方でネイティブ モバイル アプリをテストする場合は、サインした .ipa ファイルと ZIP した .app ディレクトリの両方が同じフォルダに作成されている。
  • ネイティブ モバイル アプリをテストする場合は、iOS デバイスの ID がアプリをサインするのに使用した Developer Profile に関連付けられている。
  • iOS デバイスのテスト中に、スリープ モードに移行してはいけません。画面ロックとパスワードをオフにするには、設定 > 一般 > パスコードロック を選択します。
  • テスト中に Mac の画面がオフにならないようにしてください。オフになると、再生ステータス ダイアログ ボックスに何も表示されなくなります。
  • iOS シミュレータ上でモバイル アプリケーションをテストする場合は、テスト中に Mac のディスプレイ スリープが無効化されている。
  • 物理 iOS デバイス上のネイティブ モバイル アプリをテストする場合は、デバイスで UI オートメーションが有効化されている。詳細については、「iOS デバイスのテストの準備」を参照してください。
  • 物理 iOS デバイス上で Apple Safari を使用してのモバイル Web アプリケーションをテストする場合は、Web インスペクタ が有効化されている。詳細については、「iOS デバイスのテストの準備」を参照してください。
  • Lightning コネクタを持つ iOS デバイスを使用することを Micro Focus は推奨しています。これは、Silk4NET では、Lightning ケーブルで Mac に接続していない iOS デバイスのデバイス画面のライブ ビュー表示をサポートしていないためです。
親トピック: iOS
関連タスク
Silk Test Information Service を Mac にインストールする


物理 iOS デバイス上のネイティブ モバイル アプリケーションのテスト

注: Silk4NET を使用してネイティブ モバイル アプリケーションやハイブリッド アプリケーションをテストするには、ネイティブ モバイル ライセンスが必要です。詳細については、「ライセンス情報」を参照してください。

iOS 上のモバイル アプリケーションのテストにおける前提条件については、「iOS 上のモバイル アプリケーションのテストにおける前提条件」を参照してください。ネイティブ モバイル アプリケーションをテストする際の既知の制限については、「モバイル ネイティブ アプリケーションのテストにおける制限事項」を参照してください。

物理 iOS デバイス上のネイティブ モバイル アプリケーション (アプリ) やハイブリッド アプリケーションをテストするには、次のタスクを実行します。
  1. テストする iOS デバイスを準備します。 詳細については、「iOS デバイスのテストの準備」を参照してください。
  2. テストするアプリを準備します。 詳細については、「iOS アプリのテストの準備」を参照してください。
  3. テストする Mac を準備します。 詳細については、「iOS 上でのモバイル アプリケーションのテストのための Mac の準備」を参照してください。
  4. iOS デバイスが接続されている Mac を、Silk Test がインストールされている Windows マシンに、リモート ロケーションとして追加します。 詳細については、「リモート ロケーションの編集」を参照してください。
    注: 任意の時点で、Mac に接続されている複数の物理 iOS デバイス上でテストできますが、iOS シミュレータは Mac 上で実行している 1 つに対してのみテストできます。Silk Test 17.5 Hotfix 1 以降を使用した場合、iOS 上のモバイル アプリケーションをテストするために、Mac 上で複数のユーザー セッションを使用する必要はありません。
  5. モバイル アプリケーション用の Silk4NET プロジェクトを作成します。
  6. モバイル アプリケーション用のテストを作成します。
  7. テストで実行する操作を記録します。 記録 ウィンドウを開始すると、アプリケーションの選択 ダイアログ ボックスが開きます。
  8. モバイル タブを選択します。
  9. アプリをテストするモバイル デバイスをリストから選択します。
  10. 参照 をクリックしてアプリ ファイルを選択するか、アプリ ファイルへの完全パスを モバイル アプリ ファイル テキスト フィールドに入力します。 このパスでは、Silk4NET は HTTP および UNC 形式をサポートします。 Silk4NET は、モバイル デバイス上に指定したアプリをインストールします。
  11. OK をクリックします。 iOS デバイスやシミュレータのテスト中に、スリープ モードに移行してはいけません。画面ロックとパスワードをオフにするには、設定 > 一般 > パスコードロック を選択します。
  12. すべての操作の記録を終えたら、記録を停止します。
  13. テストを再生します。
  14. テスト結果を分析します。
注: iOS デバイスと iOS シミュレータの両方でネイティブ モバイル アプリをテストする場合は、サインした .ipa ファイルと ZIP した .app ディレクトリの両方が同じフォルダに作成されている。
親トピック: iOS
関連概念
iOS アプリのテストの準備
関連タスク
iOS シミュレータ上のネイティブ モバイル アプリケーションのテスト
物理 iOS デバイス上のモバイル Web アプリケーションのテスト
iOS シミュレータ上のモバイル Web アプリケーションのテスト
関連資料
iOS 上のモバイル アプリケーションのテストにおける前提条件
iOS デバイスの推奨設定


iOS シミュレータ上のネイティブ モバイル アプリケーションのテスト

注: Silk4NET を使用してネイティブ モバイル アプリケーションやハイブリッド アプリケーションをテストするには、ネイティブ モバイル ライセンスが必要です。詳細については、「ライセンス情報」を参照してください。

iOS 上のモバイル アプリケーションのテストにおける前提条件については、「iOS 上のモバイル アプリケーションのテストにおける前提条件」を参照してください。ネイティブ モバイル アプリケーションをテストする際の既知の制限については、「モバイル ネイティブ アプリケーションのテストにおける制限事項」を参照してください。

iOS シミュレータ上のネイティブ モバイル アプリケーション (アプリ) やハイブリッド アプリケーションをテストするには、次のタスクを実行します。
  1. テストする Mac を準備します。 詳細については、「iOS 上でのモバイル アプリケーションのテストのための Mac の準備」を参照してください。
  2. アプリの Xcode プロジェクトで、iOS シミュレータ用にアプリをコンパイルします。 Xcode UI からでも、コマンドラインからでもアプリをコンパイルできます。たとえば、iOS 10.0 で iOS シミュレータ用のアプリをコマンドラインでコンパイルするには、次のコマンドを実行します。
    xcodebuild -sdk iphonesimulator10.0
  3. アプリの .app ディレクトリを .zip ファイルに Zip します。 デフォルトでは、.app ディレクトリは、~/Library/Developer/Xcode/DerivedData ディレクトリにあります。Xcode で File > Project Settings をクリックすれば、ディレクトリがある場所を確認できます。
  4. iOS シミュレータがインストールされている Mac を、Silk4NET がインストールされている Windows マシンに、リモート ロケーションとして追加します。 詳細については、「リモート ロケーションの編集」を参照してください。
    注: Mac にインストールされている 1 つの iOS シミュレータでのみテストを実行できます。複数の Silk4NET ユーザーが、同じ Mac にインストールされている複数の iOS シミュレータ上で同時にテストを実行することはできません。
  5. モバイル アプリケーション用の Silk4NET プロジェクトを作成します。
  6. モバイル アプリケーション用のテストを作成します。
  7. テストで実行する操作を記録します。 記録 ウィンドウを開始すると、アプリケーションの選択 ダイアログ ボックスが開きます。
  8. モバイル タブを選択します。
  9. リストから iOS シミュレータを選択します。
  10. 参照 をクリックして Zip したアプリ ファイルを選択するか、Zip したアプリ ファイルへの完全パスを モバイル アプリ ファイル テキスト フィールドに入力します。 このパスでは、Silk4NET は HTTP および UNC 形式をサポートします。 Silk4NET は、iOS シミュレータ上に指定したアプリをインストールします。
  11. OK をクリックします。 iOS デバイスやシミュレータのテスト中に、スリープ モードに移行してはいけません。画面ロックとパスワードをオフにするには、設定 > 一般 > パスコードロック を選択します。
  12. すべての操作の記録を終えたら、記録を停止します。
  13. テストを再生します。
  14. テスト結果を分析します。
注: iOS デバイスと iOS シミュレータの両方でネイティブ モバイル アプリをテストする場合は、サインした .ipa ファイルと ZIP した .app ディレクトリの両方が同じフォルダに作成されている。
親トピック: iOS
関連タスク
物理 iOS デバイス上のネイティブ モバイル アプリケーションのテスト
物理 iOS デバイス上のモバイル Web アプリケーションのテスト
iOS シミュレータ上のモバイル Web アプリケーションのテスト
関連資料
iOS 上のモバイル アプリケーションのテストにおける前提条件


物理 iOS デバイス上のモバイル Web アプリケーションのテスト

iOS 上のモバイル アプリケーションのテストにおける前提条件については、「iOS 上のモバイル アプリケーションのテストにおける前提条件」を参照してください。モバイル Web アプリケーションをテストする際の既知の制限については、「モバイル Web アプリケーションのテストにおける制限事項」を参照してください。
物理 iOS デバイス上のモバイル Web アプリケーションをテストするには、次のタスクを実行します。
  1. テストする iOS デバイスを準備します。 詳細については、「iOS デバイスのテストの準備」を参照してください。
  2. テストする Mac を準備します。 詳細については、「iOS 上でのモバイル アプリケーションのテストのための Mac の準備」を参照してください。
  3. iOS デバイスが接続されている Mac を、Silk Test がインストールされている Windows マシンに、リモート ロケーションとして追加します。 詳細については、「リモート ロケーションの編集」を参照してください。
    注: 任意の時点で、Mac に接続されている複数の物理 iOS デバイス上でテストできますが、iOS シミュレータは Mac 上で実行している 1 つに対してのみテストできます。Silk Test 17.5 Hotfix 1 以降を使用した場合、iOS 上のモバイル アプリケーションをテストするために、Mac 上で複数のユーザー セッションを使用する必要はありません。
  4. モバイル アプリケーション用の Silk4NET プロジェクトを作成します。
  5. モバイル アプリケーション用のテストを作成します。
  6. テストで実行する操作を記録します。 記録 ウィンドウを開始すると、アプリケーションの選択 ダイアログ ボックスが開きます。
  7. モバイル Web アプリケーションをテストするには：
    1. Web タブを選択します。
    2. 使用するモバイル ブラウザーを選択します。
    3. 移動する URL の入力 テキスト ボックスに、開く Web ページを指定します。
  8. OK をクリックします。 iOS デバイスやシミュレータのテスト中に、スリープ モードに移行してはいけません。画面ロックとパスワードをオフにするには、設定 > 一般 > パスコードロック を選択します。
  9. すべての操作の記録を終えたら、記録を停止します。
  10. テストを再生します。
  11. テスト結果を分析します。
親トピック: iOS
関連タスク
物理 iOS デバイス上のネイティブ モバイル アプリケーションのテスト
iOS シミュレータ上のネイティブ モバイル アプリケーションのテスト
iOS シミュレータ上のモバイル Web アプリケーションのテスト
関連資料
iOS 上のモバイル アプリケーションのテストにおける前提条件


iOS シミュレータ上のモバイル Web アプリケーションのテスト

モバイル Web アプリケーションをテストする際の既知の制限については、「モバイル Web アプリケーションのテストにおける制限事項」を参照してください。

iOS シミュレータ上のモバイル Web アプリケーションをテストするには、次のタスクを実行します。

  1. テストする Mac を準備します。 詳細については、「iOS 上でのモバイル アプリケーションのテストのための Mac の準備」を参照してください。
  2. iOS シミュレータがインストールされている Mac を、Silk Test がインストールされている Windows マシンに、リモート ロケーションとして追加します。 詳細については、「リモート ロケーションの編集」を参照してください。
    注: 任意の時点で、Mac に接続されている複数の物理 iOS デバイス上でテストできますが、iOS シミュレータは Mac 上で実行している 1 つに対してのみテストできます。Silk Test 17.5 Hotfix 1 以降を使用した場合、iOS 上のモバイル アプリケーションをテストするために、Mac 上で複数のユーザー セッションを使用する必要はありません。
  3. モバイル アプリケーション用の Silk4NET プロジェクトを作成します。
  4. モバイル アプリケーション用のテストを作成します。
  5. テストで実行する操作を記録します。 記録 ウィンドウを開始すると、アプリケーションの選択 ダイアログ ボックスが開きます。
  6. モバイル Web アプリケーションをテストするには：
    1. Web タブを選択します。
    2. 使用するモバイル ブラウザーを選択します。
    3. 移動する URL の入力 テキスト ボックスに、開く Web ページを指定します。
  7. OK をクリックします。 iOS デバイスやシミュレータのテスト中に、スリープ モードに移行してはいけません。画面ロックとパスワードをオフにするには、設定 > 一般 > パスコードロック を選択します。
  8. すべての操作の記録を終えたら、記録を停止します。
  9. テストを再生します。
  10. テスト結果を分析します。
親トピック: iOS
関連タスク
物理 iOS デバイス上のネイティブ モバイル アプリケーションのテスト
iOS シミュレータ上のネイティブ モバイル アプリケーションのテスト
物理 iOS デバイス上のモバイル Web アプリケーションのテスト
関連資料
iOS 上のモバイル アプリケーションのテストにおける前提条件


iOS 上のハイブリッド アプリケーションのテスト

ハイブリッド アプリケーション（アプリ）は、デバイス上で実行されるネイティブ アプリケーションのようなアプリですが、HTML5、CSS、JavaScript などの Web テクノロジを使用して記述されたアプリです。

Silk4NET は、ネイティブ コンテナに埋め込まれた単一の Web ビューで構成されたデバッグ ハイブリッド アプリのテストにする完全なブラウザー サポートを提供します。このようなハイブリッド アプリの一般的な例は、Apache Cordova アプリケーションです。

リモート デバッグを有効化しない非デバッグ ハイブリッド アプリや、複数の Web ビューを含んだハイブリッド アプリをテストするには、Silk4NET フォールバック サポートを有効化するために、オプション OPT_ENABLE_MOBILE_WEBVIEW_FALLBACK_SUPPORT を TRUE に設定します。詳細については、「詳細オプションの設定」を参照してください。フォールバック サポートを有効化すると、Silk4NET は Web ビューのコントロールをブラウザー コントロールではなく、ネイティブ モバイル コントロールとして解決して処理します。たとえば、以下のコードは、ブラウザー サポートを使用したときのリンクのクリックです。
' VB .NET code
Agent.SetOption(Options.EnableMobileWebviewFallbackSupport, False)
_desktop.DomLink("//BrowserApplication//BrowserWindow//INPUT[@id='email']").Click()
// C# code
Agent.SetOption(Options.EnableMobileWebviewFallbackSupport, False);
_desktop.DomLink("//BrowserApplication//BrowserWindow//INPUT[@id='email']").Click();
フォールバック サポートを有効化すると、同じリンクをクリックするコードは次のようになります。
' VB .NET code
Agent.SetOption(Options.EnableMobileWebviewFallbackSupport, True)
_desktop.Find("//BrowserApplication//BrowserWindow//MobileTextField[@resource-id='email']").Click()
// C# code
Agent.SetOption(Options.EnableMobileWebviewFallbackSupport, True);
_desktop.Find("//BrowserApplication//BrowserWindow//MobileTextField[@resource-id='email']").Click();

iOS 上のハイブリッド アプリをテストする手順は、モバイル ネイティブ アプリケーションをテストする手順と同じです。詳細については、「物理 iOS デバイス上のネイティブ モバイル アプリケーションのテスト」または「iOS シミュレータ上のネイティブ モバイル アプリケーションのテスト」を参照してください。

iOS デバイス上のハイブリッド アプリをテストする前に、デバイスで Web インスペクタ が有効化されていることを確認してください。

親トピック: iOS
関連概念
Android 上のハイブリッド アプリケーションのテスト
関連タスク
詳細オプションの設定


iOS デバイスのテストの準備

注: Silk4NET を使用してネイティブ モバイル アプリケーションやハイブリッド アプリケーションをテストするには、ネイティブ モバイル ライセンスが必要です。詳細については、「ライセンス情報」を参照してください。

モバイル アプリケーションをテストするために iOS デバイスを準備するには：

  1. Mac 上で Xcode を起動します。
  2. iOS デバイスを Mac に接続します。
  3. iOS デバイスで、設定 > デベロッパ をクリックします。
    ヒント: デベロッパ メニューが iOS デバイスに表示されていない場合は、デバイスと Mac を再起動します。
  4. Enable UI Automation をオンにします。
  5. Apple Safari 上でモバイル Web アプリケーションをテストするには、設定 > Safari > 詳細 をクリックします。
  6. Web インスペクタ をオンにします。
  7. iOS シミュレータ上でテストを行う場合は、Rotate Device Automatically をオンにします。 この設定は、Silk Test Configuration Assistant を使うか、手動でオンにできます。Mac 上で Configuration Assistant を開くには、ステータス メニューの Silk Test アイコンをクリックして、Configuration Assistant を選択します。手動でオンにするには、以下の操作を実行します。
    1. Mac 上で iOS シミュレータを開始します。
    2. Xcode 9 以降を使用している場合は、Hardware メニューを開きます。 以前のバージョンの Xcode を使用している場合は、Debug メニューを開きます。
    3. Rotate Device Automatically をオンにします。
  8. Xcode 9 以降を使用して iOS シミュレータ上でテストを行う場合は、Show Device Bezels をオフにします。 この設定は、Silk Test Configuration Assistant を使うか、手動でオフできます。Mac 上で Configuration Assistant を開くには、ステータス メニューの Silk Test アイコンをクリックして、Configuration Assistant を選択します。手動でオフにするには、以下の操作を実行します。
    1. Mac 上で iOS シミュレータを開始します。
    2. Window メニューを開きます。
    3. Show Device Bezels をオフにします。
親トピック: iOS


iOS アプリのテストの準備

Silk4NET を使用して特定の デバイス上で特定の iOS アプリをテストできるようにするには、次の項目を考慮する必要があります。
  • 特定の デバイスに手動でインストールできる iOS アプリに対してのみテストを自動化できます。iOS アプリにサインできるようにするために、Apple Developer Program のメンバーシップに登録する必要があります。詳細については、「メンバーシップの選択」を参照してください。Apple Developer Program のメンバーシップに登録せずにテストを行う場合は、「パーソナル チーム プロファイルを使用した物理 iOS デバイス上でのテスト 」を参照してください。
    注: App Store で配布するように作成された アプリや、任意の iOS デバイスに手動でインストールできるアプリを自動的にテストできません。
  • 特定の デバイスで アプリをインストールして実行する前に、iOS デバイスを Apple Developer アカウントを使用して登録する必要があります。
  • デバイスに iOS アプリをインストールするには、Xcode を使用してアプリの IPA ファイルを作成する必要があります。特定の iOS デバイスでのテスト用に IPA ファイルを作成するには、Apple Developer Program のメンバーとして Xcode の Archive 機能を使用します。この機能には 2 つのオプションがあります。
    • Apple Developer Enterprise Program のメンバーの場合、Save for Ad Hoc Deployment オプションを使用できます。
    • Apple Developer Enterprise Program のメンバー以外の Apple Developer Program のメンバーの場合、Save for Development Deployment オプションを使用できます。
    詳細については、「Exporting Your App for Testing (iOS, tvOS, watchOS)」を参照してください。

シミュレータ上の特定の アプリを Silk4NET を使用してテストできるようにするには、Xcode を使用して アプリの Zip ファイルを作成してから iOS シミュレータ上にインストールします。詳細については、Xcode のドキュメントを参照してください。

親トピック: iOS
関連タスク
Silk Test Information Service を Mac にインストールする
物理 iOS デバイス上のネイティブ モバイル アプリケーションのテスト


Silk Test Information Service を Mac にインストールする

注: Information Service を Mac にインストールするには、Mac の管理者権限が必要です。

Mac 上の Apple Safari や、Mac に接続されている iOS や Android デバイス上のモバイル アプリケーションに対するテストを作成して実行するには、Mac に Silk Test Information Service (Information Service) をインストールしてから、リモート ロケーション ダイアログ ボックスを使用して、Silk4NET をインストールした Windows マシンと Mac を接続する必要があります。

Information Service を Mac にインストールするには：

  1. Java JDK が Mac 上にインストールされていることを確認します。
  2. iOS デバイス上でモバイル アプリケーションをテストする場合は、Xcode が Mac 上にインストールされていることを確認します。
  3. Information Service セットアップ ファイル（SilkTestInformationService<バージョン>-<ビルド番号>.pkg にアクセスします。
    • Silk Test のインストール時に Information Service セットアップ ファイルをダウンロードした場合は、Silk Test インストール ディレクトリ（C:\Program Files (x86)\Silk\SilkTest など）の macOS フォルダを開きます。
    • Silk Test のインストール時に Information Service セットアップ ファイルをダウンロードしなかった場合は、Micro Focus SupportLine からセットアップ ファイルをダウンロードできます。
  4. SilkTestInformationService<バージョン>-<ビルド番号>.pkg ファイルを Mac にコピーします。
  5. SilkTestInformationService<バージョン>-<ビルド番号>.pkg を実行して、Information Service をインストールします。
  6. インストール ウィザードの指示に従います。
  7. パスワードを尋ねられた場合、現在サインインしている Mac ユーザーのパスワードを入力します。
  8. Apple Safari が開き、SafariDriver を信頼するかどうかを尋ねるメッセージ ボックスが表示されたら、信頼 をクリックします。
    注: リモート接続ではなく、直接 Mac にログインしている場合には、SafariDriver だけをインストールできます。
インストールを完了するために、現在の Mac ユーザーをログアウトします。Information Service が正しくインストールされていることを確認するには、Mac にログインし、画面の右上隅にある Silk Test アイコンをクリックして、利用可能なデバイスとブラウザーを表示させます。
ヒント: Silk Test アイコンが表示されない場合は、Mac を再起動してください。
親トピック: iOS
親トピック: Mac 上の Apple Safari を使用したテスト
関連概念
iOS アプリのテストの準備
関連タスク
リモート ロケーションの編集
関連資料
iOS 上のモバイル アプリケーションのテストにおける前提条件
Mac 上の Apple Safari を使用したテストにおける前提条件


iOS 上でのモバイル アプリケーションのテストのための Mac の準備

注: Silk4NET を使用してネイティブ モバイル アプリケーションやハイブリッド アプリケーションをテストするには、ネイティブ モバイル ライセンスが必要です。詳細については、「ライセンス情報」を参照してください。

iOS 上でモバイル アプリケーションをテストするためには、iOS デバイスを接続した、または iOS シミュレータを実行している Mac が必要です。この Mac には Xcode がインストールされている必要があります。iOS 上のモバイル アプリケーションのテストにおける前提条件についての詳細は、「iOS 上のモバイル アプリケーションのテストにおける前提条件」を参照してください。

iOS テストを物理 iOS デバイス上で実行するには、Silk Test Configuration Assistant の指示に従って WebDriverAgentRunner Xcode プロジェクトを設定します。Configuration Assistant を開くには、ステータス メニューの Silk Test アイコンをクリックして、Configuration Assistant を選択します。

WebDriverAgentRunner Xcode プロジェクトを手動でビルドしたい場合には、次の手順を実行します。

  1. Mac 上で Xcode を起動します。
  2. Xcode > Preferences を選択します。

  3. Preferences ウィンドウで、アカウントを選択します。
    1. Accounts タブを選択します。
    2. Apple ID を選択します。
    3. Team を選択します。
    4. View Details をクリックします。

  4. Apple Member Center にアクセスし、開発チーム ID を取得します。
  5. ターミナルで、~/.silk/silktest/conf/ に移動します。
  6. xcconfig ファイル テンプレート silktest.xcconfig.sample を silktest.xcconfig という名前に変更します。
  7. 開発チーム ID を silktest.xcconfig ファイルに追加します。
    DEVELOPMENT_TEAM = <your development team>
  8. Mac 上のターミナルで次のコマンドを実行すると、WebDriverAgentRunner プロジェクトが正しく準備できたかどうかを確認できます。
    1. 物理 iOS デバイスの UDID（Unique Device ID）を見つけます。
      idevice_id -l
    2. WebDriverAgentRunner プロジェクトに移動します。
      cd /Application/Silk/Mobile/common/Appium/node_modules/appium-xcuitest-driver/WebDriverAgent
    3. WebDriverAgent がビルドできるかどうかをテストします。
      xcodebuild -project WebDriverAgent.xcodeproj -scheme WebDriverAgentRunner –xcconfig ~/.silk/silktest/conf/silktest.xcconfig -destination 'id=<udid>' test
      <udid> を先ほど見つけた UDID で置き換えます。
      ヒント: xcodebuild コマンドが失敗する場合には、エラー メッセージの手順に従ってください。さらに、WebDriverAgentRunner プロジェクトで Preferences ウィンドウを開き、General タブの Automatically manage signing チェック ボックスがオフになっていることを確認します。
  9. 省略可能：infoservice.properties ファイルには、Silk Test Information Service のポートや、Mac 上でのすべてのテストの実行で使用されるケイパビリティを指定することができます。 詳細については、「Silk Test Information Service プロパティの編集」を参照してください。
親トピック: iOS
関連タスク
Apple Safari のテストの準備
関連資料
Mac 上の Apple Safari を使用したテストにおける前提条件


パーソナル チーム プロファイルを使用した物理 iOS デバイス上でのテスト

Apple Developer Program のメンバーシップに登録していない場合は、パーソナル チーム プロファイルを使用して、物理 iOS デバイス上のアプリケーションをテストできます。
  1. Mac 上で、/Application/Silk/Mobile/common/Appium/node_modules/appium-xcuitestdriver/WebDriverAgent に移動します。
  2. WebDriverAgent.xcodeproj プロジェクトを Xcode で開きます。
  3. TARGETS リストから、WebDriverAgentLib ターゲットを選択します。
    1. General タブをクリックします。
    2. Automatically manage signing を選択します。
    3. 開発チームを選択します。
    Signing Certificate は自動的に選択されます。
  4. TARGETS リストから、WebDriverAgentRunner ターゲットを選択します。
    1. General タブをクリックします。
    2. Automatically manage signing を選択します。
    3. 開発チームを選択します。
    Signing Certificate は自動的に選択されます。
  5. WebDriverAgentRunner ターゲットに対するプロビジョニング プロファイルの作成に Xcode が失敗する場合は、ターゲットのバンドル ID を手動で変更します。
    1. Build Settings タブをクリックします。
    2. Product Bundle Identifier の値を Xcode が受け付ける適切な値に変更します。
      たとえば、Product Bundle Identifier が com.facebook.WebDriverAgentRunner の場合、 io.appium.WebDriverAgentRunner や io.borland.WebDriverAgentRunner などに変更します。
    3. General タブをクリックします。
    これでターゲットにプロビジョニング プロファイルが設定されました。
  6. WebDriverAgent.xcodeproj プロジェクトを保存します。
  7. すべてが期待通り動作することを確認するために、プロジェクトをビルドします。
    xcodebuild -project WebDriverAgent.xcodeproj -scheme WebDriverAgentRunner -destination 'id=<udid>' test IPHONEOS_DEPLOYMENT_TARGET=10.3
  8. WebDriverAgent アプリの再インストール時に問題が発生する場合は、同じプロビジョニング プロファイルを使ってデバイスに追加のアプリを永続的にインストールします。たとえば、WebDriverAgent Xcode プロジェクトの IntegrationApp をインストールします。
    1. TARGETS リストから、IntegrationApp ターゲットを選択します。
    2. General タブをクリックします。
    3. Automatically manage signing を選択します。
    4. 開発チームを選択します。
  9. IntegrationApp ターゲットに対するプロビジョニング プロファイルの作成に Xcode が失敗する場合は、上記の WebDriverAgentRunner ターゲットに対する対処と同じ手順で、ターゲットのバンドル ID を手動で変更します。
  10. IntegrationApp ターゲットの設定に成功したら、IntegrationApp を物理 iOS デバイスにインストールして実行します。
    1. ターゲットと iOS デバイスを選択します。
    2. Play をクリックします。
アプリのデバイスへのインストールが成功しても、次のようなエラー メッセージがコンソールや Appium ログ ファイルに出力される場合があります。
2017-01-24 09:02:18.358 xcodebuild[30385:339674] Error
Domain=com.apple.platform.iphoneos
Code=-12 "Unable to launch com.apple.test.WebDriverAgentRunner-Runner"
UserInfo={NSLocalizedDescription=Unable to launch com.apple.test.WebDriverAgentRunner-Runner,
NSUnderlyingError=0x7fa839cadc60 {Error Domain=DTXMessage Code=1 "(null)"
UserInfo={DTXExceptionKey=The operation couldn't be completed. Unable to launch
com.apple.test.WebDriverAgentRunner-Runner because it has an invalid code signature,
inadequate entitlements or its profile has not been explicitly trusted by the user. :
Failed to launch process with bundle identifier 'com.apple.test.WebDriverAgentRunner-Runner'}}}
2017-01-24 09:02:18.358 xcodebuild[30385:339674] Error
Domain=IDETestOperationsObserverErrorDomain Code=5 "Early unexpected exit, operation
never finished bootstrapping - no restart will be attempted"
UserInfo={NSLocalizedDescription=Early unexpected exit,
operation never finished bootstrapping - no restart will be attempted}

Testing failed:
Test target WebDriverAgentRunner encountered an error (Early unexpected exit, operation never
finished bootstrapping - no restart will be attempted)
この問題は、開発者がそのデバイスで信頼されていないため発生します。そのデバイス上でアプリを手動で実行しようとすると、信頼されていない開発元 メッセージが表示される場合があります。

デバイス上でこの問題を解決するには、設定 > 一般 > プロファイル または 設定 > 一般 > デバイス管理（デバイスの種類と iOS のバージョンによって異なります）に移動します。そして、開発元を信頼し、アプリの実行を許可します。

親トピック: iOS


Silk Test Information Service プロパティの編集

infoservice.properties ファイルを使用して、Silk Test Information Service のポートやさまざまなケイパビリティ（Capabilities）を指定できます。これらのケイパビリティは、Silk Test Information Service を実行しているマシン上で Silk Test がテストを実行するたびに毎回適用されます。
  1. infoservice.properties.sample ファイルがあるディレクトリに移動します。 たとえば、Mac の場合は ~/.silk/silktest/conf/ に移動します。Windows マシンの場合は C:\ProgramData\Silk\SilkTest\conf に移動します。
  2. infoservice.properties.sample ファイルの名前を infoservice.properties に変更します。
  3. 使用していないポートを指定します。 Silk Test Information Service のデフォルトのポートは 22901 です。
  4. ケイパビリティを指定するには、次の行を infoservice.properties ファイルに追加します。
    customCapabilities=<custom capability_1>;<custom_capability_2>;...

例：指定した言語での iOS シミュレータの実行

Mac 上で iOS シミュレータを常に同じ言語で実行するようにするには、カスタム ケイパビリティ language および locale を指定します。たとえば日本語の場合、次の行を infoservice.properties ファイルに追加します。
customCapabilities=language=ja;locale=ja_JP
親トピック: iOS


Silk Test Information Service を Mac からアンインストールする

Mac 上の Apple Safari に対するテストを実行する必要がなくなった場合など、次の手順で Silk Test Information Service を Mac からアンインストールすることができます。

  1. uninstallInfoService.sh のような新しいシェル ファイルを作成します。
  2. 新しいファイルに以下のコードを入力します。
    #!/bin/sh

if launchctl list | grep com.borland.infoservice ; then
  launchctl unload /Library/LaunchAgents/com.borland.infoservice.plist
  echo "unloading Launch Daemon"
fi

if [ -d "/Applications/Silk" ]
then
  sudo rm -rf /Applications/Silk
fi

if [ -f "/Library/LaunchAgents/com.borland.infoservice.plist" ]
then
  sudo rm /Library/LaunchAgents/com.borland.infoservice.plist
fi

if [ -f "/usr/local/bin/ideviceinstaller" ]
then
  sudo rm /usr/local/bin/ideviceinstaller
fi

exit 0
  3. コマンドラインで chmod +x uninstallInfoService.sh を実行し、シェル ファイルの実行可能にします。
  4. コマンドラインからシェル ファイルを実行します。
親トピック: iOS
親トピック: Mac 上の Apple Safari を使用したテスト


iOS デバイスの推奨設定

Silk4NET を使用したテストを最適化するために、テストしたい iOS デバイスで次の設定を行ってください。
  • 実際にユーザーが行った操作をテストに反映させるために、Apple Safari の自動入力とパスワードの保存を無効化します。設定 > Safari > パスワードと自動入力 をタップし、ユーザ名とパスワード 設定をオフにします。
  • iOS デバイスのテスト中に、スリープ モードに移行してはいけません。画面ロックとパスワードをオフにするには、設定 > 一般 > パスコードロック を選択します。
親トピック: iOS
関連タスク
物理 iOS デバイス上のネイティブ モバイル アプリケーションのテスト
関連資料
Android デバイスの推奨設定


XCUITest を使用した iOS 上の既存のスクリプトの実行

重要: 以前のバージョンの Silk4NET では、Instruments を使用して iOS デバイスを自動化していました。iOS 9.3 から、Instruments のサポートは XCUITest フレームワークのサポートに Apple によって置き換えられたため、Silk4NET でも Instruments をサポートできなくなりました。この変更により、既存の iOS テスト スクリプトを Silk4NET の現在のバージョンで実行できなくなる場合があります。
  • XCUITest における classname 属性の動作は Instruments での動作と異なります。ほとんどの場合、Silk4NET はこの変更に自動的に対応します。しかし、このような classname 属性が原因で既存のテスト スクリプトが動作しなくなった場合には、対応するオブジェクトの新しいロケーターを記録する必要があります。
  • オブジェクトの階層が変更されました。
親トピック: iOS
関連概念
ネイティブ モバイル アプリケーションのテストにおける制限事項
モバイル Web アプリケーションのテストにおける制限事項


インストール済みアプリのテスト

デバイス、エミュレーター、またはシミュレータ上に既にインストールされているネイティブ モバイル アプリをテストするには、接続文字列でアプリを指定します。
  1. ネイティブ モバイル アプリをテストする既存のプロジェクトを開きます。
  2. アプリケーション構成の編集 ダイアログ ボックスを開きます。
  3. 次のいずれかの方法で、既存のアプリの指定部分を接続文字列で置き換えます。
    • iOS アプリをテストする場合は、bundleId を使ってアプリを指定します。たとえば、app=MyApp.ipa を bundleId=silktest.InsuranceMobile で置き換えます。
    • Android アプリをテストする場合は、appActivity と appPackage を使用してアプリを指定します。たとえば、app=MyApp.apk を appActivity=.LoginActivity;appPackage=silktest.insurancemobile で置き換えます。
詳細については、「接続文字列」を参照してください。
親トピック: モバイル アプリケーションのテスト


モバイル アプリケーションの記録

Silk4NET とモバイル デバイスまたはエミュレータとの間の接続が一旦確立すると、デバイス上で実行する操作を記録できます。モバイル アプリケーションを記録するために、Silk4NET では次の機能を持つ 記録 ウィンドウを使用します。

  • テストするモバイル デバイスまたは Android エミュレータの画面を表示します。
  • 記録 ウィンドウで操作を実行すると、モバイル デバイス上でも同じ操作が実行されます。
  • 画面上のコントロールを操作すると、記録 ウィンドウはデフォルトの操作を事前に選択します。
    • デフォルトの操作が Click の場合、コントロール上で左クリックすると、その操作が実行されます。右クリックすると、コントロールに対して利用可能な操作のリストが表示されます。この場合は、実行する操作を選択し、OK をクリックします。
    • デフォルトの操作が Click ではない場合、コントロールに対して有効なすべての操作がリストで表示されるので、実行したい操作を選択するか、単に OK をクリックして事前に選択された操作を受け入れます。
    リストから操作を選択する場合、選択した操作のパラメータの値をパラメータ フィールドに入力することができます。Silk4NET は自動的にパラメータを検証します。
  • 記録中、Silk4NET は記録ウィンドウの隣にマウスの位置を表示します。その表示をクリックすると、デバイス画面に絶対的な位置とアクティブ オブジェクトに相対的な位置を切り替えることができます。
  • 記録を一時停止すると、画面上での操作は記録されないため、デバイスを記録を続けたい状態に変更することができます。
  • 記録を停止すると、記録した操作でスクリプトが生成されるため、続いてテストの再生を行うことができます。
親トピック: モバイル アプリケーションのテスト
関連概念
モバイル Web アプリケーションのテストにおける制限事項
ネイティブ モバイル アプリケーションのテストにおける制限事項
関連タスク
Silk4NET テストの記録
Android 上のモバイル アプリケーションのテスト
モバイル デバイスの操作


テストを再生するモバイル デバイスの選択

テストを再生するために使用するモバイル デバイスを定義できます。
  • Silk4NET の UI からテストを実行する場合、モバイル デバイスの選択 ダイアログ ボックスが表示され、このダイアログ ボックスで選択したモバイル デバイス、Android エミュレータ、iOS シミュレータが使用され、テスト スクリプトで設定されているモバイル デバイス Silk4NET は無視します。
  • モバイル デバイスの選択 ダイアログ ボックスが無効の場合 (再び表示しない チェック ボックスをオンにした場合)、個々のテスト スクリプトのアプリケーション構成によって、テストを実行するために使用するモバイル デバイスが決定されます。
    注: モバイル デバイスの選択 ダイアログ ボックスを再び有効にするには、Silk4NET > アプリケーション構成の編集 をクリックして、記録および再生前に 'モバイル デバイスの選択' ダイアログを表示する チェックボックスをオンにします。
  • スクリプトをコマンド ラインや CI サーバーから実行する場合は、スクリプトのアプリケーション構成で接続文字列を指定します。

    アプリケーション構成で指定したモバイル デバイスを上書きするには、silktest.configurationName 環境変数を使用します。

  • Silk Central からテストを実行する場合、接続文字列を指定する代わりに、Silk Central の実行定義の 配置 タブにある モバイル デバイスの選択 領域でモバイル デバイスを指定します。詳細については、『Silk Central ヘルプ』を参照してください。
デバイス プールなどがある場合に、特定のモバイル デバイスを指定したり、利用可能なデバイス群のサブセットをフィルタするために接続文字列を使用できます。最初に一致したデバイスが再生に使用されます。特に指定がない場合には、次のルールに従って一致したモバイル デバイスが使用されます（高い優先度順）。
  • リモート ロケーションに接続されたモバイル デバイスよりも、ローカル マシンに接続されたモバイル デバイスが優先されます。
  • ブラウザーの種類が接続文字列で指定されている場合、古いバージョンのブラウザーよりも、新しいバージョンのブラウザーが優先されます。
  • 古いプラットフォームよりも、新しいプラットフォームが優先されます。
  • 物理デバイスがエミュレータやシミュレータよりも優先されます。
  • アルファベット順で後者のデバイス名のデバイスが優先されます。たとえば、"iphone 5"という名前のデバイスよりも、"iphone 6"という名前のデバイスが優先されます。

例：リモート マシンに接続されている Android デバイス上のアプリに対する接続文字列

リモート マシンに接続されている Android デバイス上で MyApp.apk アプリをテストするには、接続文字列は次のようになります。
"platformName=Android;deviceName=MotoG3;host=http://10.0.0.1;app=MyApp.apk"

例：Mac の iOS シミュレータ上のアプリに対する接続文字列

"platformName=iOS;platformVersion=10.0;deviceName=iPhone6;host=10.0.0.1;app=MyApp.ipa;isSimulator=true"
親トピック: モバイル アプリケーションのテスト
関連概念
モバイル デバイスの接続文字列
テストを再生するブラウザーの選択
関連タスク
Sauce Labs デバイスの使用
Mobile Center デバイスの使用


Mobile Center デバイスの使用

Mobile Center は、モバイル デバイスのテストを管理するためのモバイル用ゲートウェイです。

Mobile Center によって管理されたデバイスに Silk4NET からアクセスするには、次の手順を実行します。

  1. Silk4NET と Silk Central を統合します。 詳細については、「Silk4NET と Silk Central の統合」を参照してください。
  2. Mobile Center を使用するように Silk Central を設定します。
    注: Mobile Center のインストール時に、適切なバージョンの Android SDK が使用されていることを確認してください。Silk4NET で同じバージョンを使用するように設定するには、環境変数 SILK_ANDROID_HOME に C:\Users\<ユーザー>\AppData\Local\Android\android-sdk などを指定します。詳細については、『Silk Central ヘルプ』を参照してください。
  3. iOS 上でテストする場合は、次の IPA ファイルがサインされていることを確認します。
    • HP4M-Agent.ipa
    • HPMC-AgentLauncher.ipa
    • WebDriverAgentRunner-Runner.ipa
    注: Silk4NET は、Mobile Center を介した iOS シミュレータのテストをサポートしません。
以上により、アプリケーションの選択 ダイアログに Mobile Center デバイスが表示されます。テストするデバイスを選択してください。
注: Silk4NET と Mobile Center の両方で同時に同じモバイル デバイスをテストできません。Silk4NET を使用してテストしたモバイル デバイスを、Mobile Center から引き続きテストする場合は、そのデバイスを再起動します。
注: Mobile Center 上で管理されているデバイスをテストする場合は、Silk4NET は TypeKeys メソッドや SetText メソッドを使用して Enter などのキー コードの入力をサポートしません。さらに、Silk4NET は iOS デバイス上の ホーム ボタンの押下をサポートしません。
注: Android エミュレータ上でテストする場合は、GPU HW アクセラレーションを無効にしてください。
親トピック: モバイル アプリケーションのテスト
関連概念
テストを再生するモバイル デバイスの選択
関連タスク
Silk4NET と Silk Central の統合


Sauce Labs デバイスの使用

Sauce Labs は、自動テスト プラットフォームを提供しており、さまざまなモバイル デバイスやモバイル プラットフォームのバージョン上でテストを行うことができます。 自分自身のインフラストラクチャとしてデバイスを購入、保守する必要はありません。

Sauce Labs デバイスには Silk Central を介してアクセスすることができます。 次の手順に従って設定してください。

  1. Silk4NET が Silk Central と統合されていることを確認してください。 詳細については、「Silk4NET と Silk Central の統合」を参照してください。
  2. Silk Central が Sauce Labs を使用するように設定されていることを確認してください。 詳細については、Silk Central ヘルプ を参照してください。
以上により、アプリケーションの選択 ダイアログに Sauce Labs デバイスが表示されます。テストするデバイスを選択してください。
親トピック: モバイル アプリケーションのテスト
関連概念
テストを再生するモバイル デバイスの選択
関連タスク
Silk4NET と Silk Central の統合


モバイル デバイスの接続文字列

接続文字列 は、テストに使用するモバイル デバイスを指定します。モバイル テストを実行する場合、Silk4NET は接続文字列を使用してモバイル デバイスに接続します。接続文字列は、アプリケーション構成の主要な一部です。テスト対象アプリケーションを構成するときに、接続文字列は設定されます。接続文字列を変更するには、アプリケーション構成の編集 ダイアログ ボックスを使用します。

注: Silk Central からテストを実行する場合、接続文字列を指定する代わりに、Silk Central の実行定義の 配置 タブにある モバイル デバイスの選択 領域でモバイル デバイスを指定します。詳細については、『Silk Central ヘルプ』を参照してください。
デバイス プールなどがある場合に、特定のモバイル デバイスを指定したり、利用可能なデバイス群のサブセットをフィルタするために接続文字列を使用できます。最初に一致したデバイスが再生に使用されます。特に指定がない場合には、次のルールに従って一致したモバイル デバイスが使用されます（高い優先度順）。
  • リモート ロケーションに接続されたモバイル デバイスよりも、ローカル マシンに接続されたモバイル デバイスが優先されます。
  • ブラウザーの種類が接続文字列で指定されている場合、古いバージョンのブラウザーよりも、新しいバージョンのブラウザーが優先されます。
  • 古いプラットフォームよりも、新しいプラットフォームが優先されます。
  • 物理デバイスがエミュレータやシミュレータよりも優先されます。
  • アルファベット順で後者のデバイス名のデバイスが優先されます。たとえば、"iphone 5"という名前のデバイスよりも、"iphone 6"という名前のデバイスが優先されます。

次のコンポーネントが接続文字列で使用できます。

コンポーネント | 説明
deviceName | モバイル デバイスの名前。物理モバイル デバイス上でテストをする場合、デバイス ID を代わりに使用します。ワイルドカードをサポートします。大文字と小文字は区別されません。
platformName | Android または iOS。必須。
deviceId | 省略可能：モバイル デバイスの ID。物理モバイル デバイスでテストをする場合に、デバイス名の代わりに使用します。ワイルドカードをサポートします。大文字と小文字は区別されません。
platformVersion | 省略可能：Android または iOS のバージョン。特定の Android または iOS のバージョンのモバイル デバイス上でのみテストする場合に、バージョンを指定します。ワイルドカードをサポートします。大文字と小文字は区別されません。
browserVersion | 省略可能：特定のブラウザーのバージョンでのみテストする場合に、ブラウザーの種類と共に使用します。ワイルドカードをサポートします。大文字と小文字は区別されません。
host | 省略可能：設定しない場合は、任意のリモート ロケーションがホストとして使用されます。ワイルドカードをサポートします。大文字と小文字は区別されません。
  • app
  • appActivity
  • appPackage
 Android 上のネイティブ モバイル アプリケーションのテストでは必須です。アプリへのフルパス、または appActivity と appPackage の組み合わせで指定します。たとえば、app=MyApp.apk、appActivity=.LoginActivity;appPackage=silktest.insurancemobile などです。
  • app
  • bundleId
 iOS 上のネイティブ モバイル アプリケーションのテストでは必須です。アプリへのフルパス、または bundleId で指定します。たとえば、app=MyApp.ipa、bundleId=silktest.InsuranceMobile などです。
noReset | 省略可能：ネイティブ モバイル アプリケーションをテストする場合に設定できます。app が指定されている場合にのみ有効です。テストの前にアプリを再インストールしない場合は True。テストの前にアプリを再インストールする場合は False を指定します。デフォルト値は、False です。
isSimulator | 省略可能：iOS シミュレータ上でのみテストを実行する場合に指定します。デバイス名を代わりに使用できます。
isPhysicalDevice | 省略可能：物理デバイス上でのみテストを実行する場合に指定します。デバイス名を代わりに使用できます。

デバイス プールを使用して、テストで実際に使用されるデバイスを確認するには、MobileDevice クラスの GenerateConnectionString メソッドの戻り値を使用できます。

モバイル デバイスまたは Android エミュレータ上のモバイル Web アプリケーションのテスト

モバイル デバイスまたは Android エミュレータ上でモバイル Web アプリケーションをテストする場合、接続文字列は次の要素から構成されます。

  1. モバイル デバイス名（MotoG3 など）、またはデバイス ID（11111111 など）。
    注: デバイス ID は可読性に欠けるため、デバイス名がユニークであれば、デバイス名を接続文字列に使用することを Micro Focus では推奨します。
  2. プラットフォーム名。
  3. ブラウザーのバージョン。ブラウザーの種類の設定との組み合わせでのみ使用されます。
  4. 特定のリモート マシンの IP アドレスまたはホスト名（10.0.0.1 など）。リモート ロケーションの編集 ダイアログ ボックスで指定したリモート ロケーションの名前をホスト名として使用することもできます（MyRemoteLocation など）。リモート ロケーション名を使用する場合に、ワイルドカードを使用することもできます。ローカル マシンに接続されている Android デバイスをテストする場合は、ローカル マシンの IP アドレスまたはホスト名を指定します。

例：利用可能な任意の Android デバイスの接続文字列

"platformName=Android"

例：ローカル マシンに接続されている Android デバイス上のブラウザーに対する接続文字列

ローカル マシンに接続されている Android デバイス上でモバイル ブラウザーをテストするには、接続文字列は次のようになります。
"deviceName=MotoG3;platformName=Android;host=localhost"
または
"platformName=Android;deviceId=11111111;host=localhost"

例：リモート マシンに接続されている Android デバイス上のブラウザーに対する接続文字列

リモート Android デバイス上のモバイル ブラウザーをテストするには、接続文字列は次のようになります。
"deviceName=MotoG3;platformName=Android;host=10.0.0.1"
"deviceName=MotoG3;platformName=Android;host=MyRemoteLocation*"

例：Mac に接続されている iOS デバイス上のブラウザーに対する接続文字列

リモート iOS デバイス上のモバイル ブラウザーをテストするには、接続文字列は次のようになります。
"deviceName=myiPhone6;platformName=iOS;host=10.0.0.1"

モバイル デバイスまたは Android エミュレータ上のネイティブ モバイル アプリケーションのテスト

モバイル デバイスまたは Android エミュレータ上でネイティブ モバイル アプリケーションをテストする場合、接続文字列は次の要素から構成されます。
  1. モバイル デバイス名（MotoG3 など）、またはデバイス ID（11111111 など）。
    注: デバイス ID は可読性に欠けるため、デバイス名がユニークであれば、デバイス名を接続文字列に使用することを Micro Focus では推奨します。
  2. プラットフォーム名。
  3. 特定のリモート マシンの IP アドレスまたはホスト名（10.0.0.1 など）。リモート ロケーションの編集 ダイアログ ボックスで指定したリモート ロケーションの名前をホスト名として使用することもできます（MyRemoteLocation など）。リモート ロケーション名を使用する場合に、ワイルドカードを使用することもできます。ローカル マシンに接続されている Android デバイスをテストする場合は、ローカル マシンの IP アドレスまたはホスト名を指定します。
  4. テストするアプリのファイルの名前または、ファイルが Web サーバー上にある場合には、ファイルの URL。たとえば、C:/MyApp.apk や MyApp.ipa など。
    • Android アプリは、常に .apk ファイルを指定します。
    • 物理デバイス上の iOS アプリは、常に .ipa ファイルを指定します。
    • シミュレータ上の iOS アプリは、ZIP ファイルまたは、app という名前のディレクトリを指定します。

例：リモート マシンに接続されている Android デバイス上のアプリに対する接続文字列

リモート マシンに接続されている Android デバイス上で MyApp.apk アプリをテストするには、接続文字列は次のようになります。
"platformName=Android;deviceName=MotoG3;host=http://10.0.0.1;app=MyApp.apk"

例：Mac に接続されている iOS デバイス上のアプリに対する接続文字列

リモート マシンに接続されている iOS デバイス上で MyApp.ipa アプリをテストするには、接続文字列は次のようになります。
"platformName=iOS;deviceName=MyiPhone;host=http://10.0.0.1;app=MyApp.ipa"

iOS シミュレータ上のモバイル Web アプリケーションのテスト

iOS シミュレータ上でモバイル Web アプリケーションをテストする場合、接続文字列は次の要素から構成されます。
  1. プラットフォーム名（iOS）。
  2. プラットフォームのバージョン（10.0 など）。
  3. モバイル デバイス名（iPhone6 など）。
  4. iOS シミュレータを実行している Mac の IP アドレスまたはホスト名。

例：Mac の iOS シミュレータ上のブラウザーに対する接続文字列

"platformName=iOS;platformVersion=10.0;deviceName=iPhone6;host=10.0.0.1;isSimulator=true"

iOS シミュレータ上のネイティブ モバイル アプリケーションのテスト

Mac の iOS シミュレータ上でネイティブ モバイル アプリケーションをテストする場合、接続文字列は次の要素から構成されます。
  1. プラットフォーム名（iOS）。
  2. プラットフォームのバージョン（10.0 など）。
  3. モバイル デバイス名（iPhone6 など）。
  4. リモート マシンの IP アドレスまたはホスト名（10.0.0.1 など）。
  5. テストするアプリの名前（MyApp.ipa など）。

例：Mac の iOS シミュレータ上のアプリに対する接続文字列

"platformName=iOS;platformVersion=10.0;deviceName=iPhone6;host=10.0.0.1;app=MyApp.ipa;isSimulator=true"
親トピック: モバイル アプリケーションのテスト
関連概念
リモート デスクトップ ブラウザーの接続文字列
[アプリケーションの選択] ダイアログ ボックス
テストを再生するモバイル デバイスの選択
テストを再生するブラウザーの選択


モバイル デバイスの操作

モバイル デバイスを操作したり、テスト対象アプリケーションでスワイプのような操作を実行するには、次の手順を実行します。
  1. 記録 ウィンドウで、モバイル デバイス操作の表示 をクリックします。 モバイル デバイスに対して実行できるすべての操作がリストされます。
  2. リストからリストから実行したい操作を選択します。
  3. Android デバイスまたはエミュレータで、スワイプを記録するには、マウスの左ボタンを押したままマウスを動かします。
  4. テストの記録を続行します。
親トピック: モバイル アプリケーションのテスト
関連概念
モバイル アプリケーションの記録
関連タスク
Silk4NET テストの記録


モバイル デバイスの開放

モバイル デバイスに対するテストを記録または再生する場合、Open Agent インスタンスはそのデバイスの所有権を確保します。これによって、Open Agent は、他の Silk Test ユーザーがそのデバイスを使用することを防止します。デバイス上でのテストの記録や再生が終了した後に、他の Silk Test ユーザーがデバイスを使用できるようにするために、Silk Test クライアントが閉じたとき、無人のテスト プロセスが完了したとき、または Open Agent が閉じたときに、Silk Test は自動的にデバイスを開放します。また、デバイスを手動で開放することもできます。

注: モバイル デバイスを開放すると、モバイル デバイス上のテスト対象アプリケーション (AUT) は閉じられます。
  • 記録後のモバイル デバイスの開放
    他の Silk Test ユーザーがモバイル デバイスでテストできるようにするために、記録後にデバイスを開放します。
  • 再生後のモバイル デバイスの開放
    他の Silk Test ユーザーがモバイル デバイスでテストできるようにするために、再生後にデバイスを開放します。
親トピック: モバイル アプリケーションのテスト


記録後のモバイル デバイスの開放

他の Silk Test ユーザーがモバイル デバイスでテストできるようにするために、記録後にデバイスを開放します。

記録が完了した後にモバイル デバイスを開放するには、次のいずれかを実行します。
  • システム トレイから Open Agent を停止する。
  • Silk4NET を閉じる。並列テストが有効な場合には、この操作でのみデバイスが開放されます。
注: モバイル デバイスを開放すると、モバイル デバイス上のテスト対象アプリケーション (AUT) は閉じられます。
親トピック: モバイル デバイスの開放


再生後のモバイル デバイスの開放

他の Silk Test ユーザーがモバイル デバイスでテストできるようにするために、再生後にデバイスを開放します。

再生が完了した後に手動でモバイル デバイスを開放するために、次のいずれかを実行することもできます。
  • モバイル Web アプリケーションのテストを再生した場合、BrowserApplication クラスの Close メソッド、または CloseSynchron メソッド を使用します。これらのメソッド の詳細については、 API ドキュメントを参照してください。
    // C# code
webBrowser.Close();
    'VB .NET code
WebBrowser.Close()
  • モバイル ネイティブ アプリケーションのテストを再生した場合、MobileDevice クラスの CloseApp メソッドを使用します。
    たとえば、次のように入力します。
    // C# code
MobileDevice mobileDevice = _desktop.MobileDevice();
mobileDevice.CloseApp();
    'VB .NET code
Dim mobileDevice = _desktop.MobileDevice()
mobileDevice.CloseApp()
  • Agent.DetachAll() ステートメントをテスト スクリプトに追加します。
次の条件を満たしている場合は、モバイル デバイスは自動的に開放されます。
  • Open Agent を閉じる。
  • 無人テスト中にテスト プロセスが停止する。並列テストが有効な場合には、この操作でのみデバイスが開放されます。
  • Silk4NET を閉じる。並列テストが有効な場合には、この操作でのみデバイスが開放されます。
注: モバイル デバイスを開放すると、モバイル デバイス上のテスト対象アプリケーション (AUT) は閉じられます。
親トピック: モバイル デバイスの開放


モバイル アプリケーションのテスト時のトラブルシューティング

[アプリケーションの選択] ダイアログにモバイル デバイスが表示されない理由

Silk4NET がモバイル デバイスやエミュレータを認識できないと、アプリケーションの選択 ダイアログの モバイル タブにはデバイスやエミュレータが表示されません。さらに、アプリケーションの選択 ダイアログの Web タブにも、そのデバイスやエミュレータ上にインストールされているモバイル ブラウザーが表示されません。

Silk4NET が、次の何れかが原因でモバイル デバイスまたはエミュレータを認識していない可能性があります。
原因 | 解決策
エミュレータが実行されていない。 | エミュレータを開始します。
Android Debug Bridge (adb) がモバイル デバイスを認識しない。 モバイル デバイスが adb によって認識されているかどうか確認するには：
  1. Android SDK をインストールしたフォルダで、Android Debug Bridge (adb) がある場所に移動します。Android SDK がインストールされていない場合、C:\Program Files (x86)\Silk\SilkTest\ng\Mobile\windows\AndroidTools\platform-tools に移動して、Silk4NET がインストールした adb を使用します。
  2. Shift を押しながら、ファイル エクスプローラ ウィンドウで右クリックします。
  3. コマンド ウィンドウをここで開く を選択します。
  4. コマンド ウィンドウで、 adb devices を入力して、アタッチしたすべてのデバイスのリストを得ます。
  5. デバイスがリストされない場合、USB デバッグがデバイスで有効化されていること、および適切な USB ドライバがインストールされていることを確認します。
  6. 「adb server is out of date」のようなエラーが発生する場合は、C:\Program Files (x86)\Silk\SilkTest\ng\Mobile\windows\AndroidTools\platform-tools の adb のバージョンがローカルの Android SDKの adb のバージョンと一致していることを確認してください。詳細については、「Open Agent とデバイスとの接続が不安定な場合の対処方法」を参照してください。
デバイスのオペレーティング システムのバージョンを Silk4NET がサポートしていない。 | サポートするモバイル オペレーティング システムのバージョンについては、リリース ノート を参照してください。
デバイスの USB ドライバがローカル マシンにインストールされていない。 | デバイスの USB ドライバをローカル マシンにインストールしてください。詳細については、「USB ドライバをインストールする」を参照してください。
USB デバッグがデバイスで有効化されていない。 | USB デバッグをデバイスで有効化してください。詳細については、「USB デバッグの有効化」を参照してください。
注: どの解決策を適用しても解決できない場合は、デバイスを再起動してみてください。

URL に移動せずに Silk4NET が Chrome for Android で URL を検索する理由

アドレス バーに入力された URL を、Chrome for Android が検索として解釈する場合があります。回避策として、URL に移動するコマンドをスクリプトに手動で追加できます。

adb サーバーが正しく起動しない場合にすべきこと

Android Debug Bridge (adb) サーバーが開始するとき、ローカル TCP ポート 5037 にバインドし、adb クライアントから送信されてくるコマンドをリッスンします。すべての adb クライアントは、ポート 5037 を使用して、adb サーバーと通信します。adb サーバーは、5555 から 5585 の範囲 (エミュレータやデバイスで使用される範囲) で奇数のポートをスキャンしてエミュレータやデバイス インスタンスを探します。adb はこれらのポートの変更を許しません。adb 開始中に問題が発生した場合、これらの範囲のポートの 1 つが、他のプログラムによって既に使用されているかどうか確認します。

詳細については、http://developer.android.com/tools/help/adb.html を参照してください。

Open Agent とデバイスとの接続が不安定な場合の対処方法

Android SDK、または Android Debug Bridge (adb) を使用するその他のツールをインストールしている場合、Silk4NET が使用する　adb サーバー以外のサーバーが実行中の可能性があります。バージョンの異なる adb サーバーが実行中の場合、Open Agent とデバイスとの接続が不安定になったり、接続できない場合があります。

このようなバージョンの不一致によるエラーを避けるには、環境変数 SILK_ANDROID_HOME に Android SDK ディレクトリへのパス（C:\Users\<ユーザー>\AppData\Local\Android\android-sdk など）を指定してください。Information Service が実行中の場合、Windows のサービス マネージャーを使用して、Silk Test Information Service を再起動して更新した環境変数を適用する必要があります。環境変数が設定されていない場合は、Silk4NET は Silk4NET に同梱されたバージョンの adb を使用します。

エラー「メモリの割り当てに失敗しました：8」が発生する理由

エミュレータを開始しているときに、システムが十分なメモリを割り当てることができない場合に、このエラーが表示されます。以下を行ってみてください。

  1. エミュレータのメモリ オプションの RAM サイズを下げる
  2. Intel HAXM の RAM サイズを下げるRAM サイズを下げるには、IntelHaxm.exe を再度実行して、Change を選択します。
  3. タスク マネージャ を開き、十分なフリー メモリが利用可能かどうかを確認します。不足している場合、プログラムを閉じてメモリを開放してください。

iOS デバイスのテスト時に「Silk Test は指定したアプリを開始できません」というエラーが発生する理由

このエラーが発生する原因として、以下の理由が考えられます。
原因 | 解決策
iOS デバイスがデベロッパ モードになっていない。 次の 2 種類の方法のいずれかで、デベロッパ モードを有効化できます。
  • Xcode がインストールされている Mac にデバイスを接続し、テストするアプリをデバイスで開始します。
  • プロビジョニング プロファイルをデバイスに追加します。
    1. Xcode を開きます。
    2. Window > Devices を選択します。
    3. iOS デバイスを右クリックします。
    4. Show Provisioning Profiles を選択します。
    5. プロビジョニング プロファイルを追加します。
デバイスの iOS のバージョンを最近更新した。
  1. Xcode を開きます。
  2. Window > Devices を選択します。
  3. Xcode がシンボル ファイルを処理するまで待機します。
UI オートメーションが iOS デバイスで有効化されていない。
  1. 設定 > デベロッパ を選択します。
  2. Enable UI Automation をオンにします。
Web インスペクタ が iOS デバイスで有効化されていない（モバイル Web アプリケーションのテストの場合）。
  1. 設定 > Safari > 詳細 をクリックします。
  2. Web インスペクタ をオンにします。
テストするアプリがテストしようとしている iOS デバイスの iOS バージョン用にビルドされていない。 | Xcode を使用してデバイスの iOS バージョン用にアプリをビルドします。
ソフトウェア・アップデート ダイアログ ボックスが iOS デバイス上で開いている。 ダイアログ ボックスを閉じ、ソフトウェアの自動アップデートを無効化します。
  1. 設定 > iTunes & App Store > 自動ダウンロード を選択します。
  2. アップデート をオフにします。

Android デバイスの動的ハードウェア コントロールに戻るボタンだけが表示される理由

テストの開始時に Android デバイスや Android エミュレータの画面がロックされると、デバイスやエミュレータが動的ハードウェア コントロールに 戻る ボタンだけを表示する場合があります。

この問題を解決するには、Open Agent を停止し、デバイスを再起動してから、デバイスの設定を画面のロックをしないように設定してください。

Android デバイスまたはエミュレータにキーボードが表示されなくなる理由

Unicode 文字列をサポートするために、Silk4NET は標準キーボードをカスタム キーボードに置き換えます。そして、テストの完了時に元のキーボードに戻します。テスト中にエラーが発生すると、カスタム キーボードが設定されたまま、元に戻らない場合があります。

この問題を解決するには、設定 > 言語と入力 > 現在のキーボード を開き、手動で元のキーボードに戻してください。

テスト中にデバイスが応答しなくなる理由

テストの開始時に、デバイス、エミュレータ、シミュレータの画面がロックされると、Silk4NET は画面のロックを解除できず、デバイス、エミュレータ、シミュレータが操作に応答しなくなる場合があります。

この問題を解決するには、Open Agent を停止し、デバイスの設定を画面のロックをしないように設定してください。

Information Service を Mac にインストールできない理由

システム環境設定の セキュリティとプライバシー で、一般 タブの ダウンロードしたアプリケーションの実行許可 設定が Mac App Store と確認済みの開発元からのアプリケーションを許可（デフォルト値）に設定されている場合、Information Service セットアップを開いているときに次のエラー メッセージが表示されます。
"SilkTestInformationService<バージョン>.pkg" は、開発元が未確認のため開けません。
この問題を解決するには、次のいずれかを行います。
  • セットアップ ファイルを右クリックして、開く を選択します。警告メッセージが表示されても、ファイルを開くことができます。
  • ダウンロードしたアプリケーションの実行許可 設定を すべてのアプリケーションを許可 に設定します。
  • ファイルを開いた後、システム環境設定の セキュリティとプライバシー の 一般 タブを開き、このまま開く をクリックします。

Android アプリの記録時に記録ウィンドウが真っ暗になる理由

金融取引を処理するアプリなど、高レベルなセキュリティを必要とする Android アプリでは、Silk4NET がアプリのキャプチャをできないようにするために、FLAG_SECURE フラグが設定されている可能性があります。Silk4NET は、記録時に Android デバイスのスクリーンショットやビデオを利用しますが、テストする Android アプリにこのフラグが設定されていると、記録中 ウィンドウにはデバイスの真っ黒な画面が表示されます。Silk Test でこのようなアプリをテストするには、テスト中に FLAG_SECURE フラグを設定しないよう、アプリの開発チームに依頼してください。

Android エミュレータでのテスト時に Silk4NET がビデオを表示しない理由

エミュレータがレンダリングにコンピュータのグラフィック カードを使用している場合、Silk4NET のビデオ キャプチャが機能しない場合があります。この問題を解決するには、ソフトウェアでグラフィックでエミュレートします。
  1. Android Virtual Device Manager を開きます。
  2. エミュレータの Actions 列の Edit をクリックします。
  3. Virtual Device Configuration ダイアログ Emulated Performance 領域で、リストから Software を選択します。

クラウド環境でのテスト時に Silk4NET がビデオを表示しない理由

クラウド環境でテストする場合、必要なポートがオープンになっていないことなどが原因で、テストの記録や再生時にビデオの表示が機能しない場合があります。

この問題を解決するには、infoservice.properties ファイルに WebDriver ホストの URL リストを指定します。このプロパティ ファイルについての詳細は、「Silk Test Information Service プロパティの編集」を参照してください。infoservice.disableScreencastHosts オプションをファイルに追加し、次のように入力します。
infoservice.disableScreencastHosts=<URL_1>,<URL_2>, ...
例：
infoservice.disableScreencastHosts=http://my-webdriver-server-url.com:80/wd/hub
ワイルドカードとしてアスタリスク（*）を使用して、*my-webdriver-server-url.com のような URL パターンを指定することができます。

この設定により、指定したホストでの記録と再生時に、Silk4NET はビデオの代わりに連続したスクリーンショットを表示するようになります。

Xcode のインストール バージョンを変更する方法

Xcode の最新版にアップグレードしてしまった場合など、使用している Xcode のバージョンを Silk4NET がサポートしていない場合、iOS でテストする際にエラー メッセージが表示される場合があります。

インストールした Xcode のバージョンをサポートするバージョンで置換するには、サポートするバージョンの Xcode を https://developer.apple.com/download/more/ からダウンロードし、サポートされていないバージョンをダウンロードしたバージョンで置換します。サポートする Xcode のバージョンについての情報は、『リリース ノート』を参照してください。

Mac のディスクの空き容量がなくなった場合の対処

Silk4NET は iOSデバイスの自動化に Instruments を使用します。このツールは、/Library/Caches/com.apple.dt.instruments ディレクトリに大きなログ ファイルを生成するため、Mac のディスクの空き容量を圧迫している場合があります。この問題を解決するために、手動であるいは cron ジョブを使用して、これらのログ ファイルを定期的に削除することを Micro Focus は推奨します。たとえば、毎日同じ時間にファイルを削除するには、次の手順を実行します。
  1. ターミナルで「sudo crontab -e」を入力します。crontab を root として編集できるエディタが開きます。
  2. 次の行を crontab に追加します。
    0 2 1 * * find /Library/Caches/com.apple.dt.instruments -mtime +10 -delete
  3. crontab を保存します。

この例では、10 日より前のすべてのログ ファイルが、毎日午前 2 時にディレクトリから削除されます。

「Unable to sign WebDriver Agent for testing」というエラー メッセージによりテストが失敗する理由

物理 iOS デバイス上でテストを行う場合、通常このエラーは WebDriverAgent アプリのビルド プロセス中に、プロビジョニング プロファイルでサインされていないか問題があったことを意味します。

デバイスが接続されている Mac マシンで次のコマンドを実行して、実際の問題を確認できます。
cd /Applications/Silk/Mobile/common/Appium/node_modules/appium-xcuitest-driver
xcodebuild -project WebDriverAgent.xcodeproj -scheme WebDriverAgentRunner -destination 'id=<udid>' test
/Applications/Silk/Mobile/common/Appium/node_modules/appium-xcuitest-driver フォルダーにある Resources フォルダーが存在し、そのフォルダーに WebDriverAgent.bundle ファイルがあることを確認します。存在しない場合は、このフォルダーを作成し、空の WebDriverAgent.bundle ファイルを作成します。たとえば、次のコマンドを実行します。
mkdir -p Resources/WebDriverAgent.bundle

Developer Tools Access による他のプロセスの制御の要求を抑える方法

iOS 上でテストの実行を開始すると、つぎのメッセージようなメッセージ ボックスが表示される場合があります。
Developer Tools Access は、デバッグを続けるためにほかのプロセスを制御する必要があります。 これを許可するには、パスワードを入力してください。パスワードを入力して許可します。
このメッセージを抑制するには、ターミナルで次のコマンドを実行します。
sudo /usr/sbin/DevToolsSecurity --enable

iPad 上のモバイル Web アプリケーションのテスト時に矩形領域がずれる理由

iPad 上のモバイル Web アプリケーションのテスト時にコントロールを囲む矩形領域がずれている場合、複数のブラウザー タブが開いており、タブ バーが表示されている場合があります。この問題を回避するには、1 つを残して、ほかのすべてのタブを閉じてください。

Silk4NET のアップデート後にデバイス上でテストの記録と再生が動作しない理由

Silk4NET の新しいバージョンにアップデートすると、Silk4NET の以前のバージョンでモバイル テスト用に使用してきた物理モバイル デバイス上の Appium アプリも自動的にアップデートされます。何らかの理由でこれらのアプリが自動的にアップデートされないと、そのデバイス上でテストの記録と再生が正常に動作しない場合があります。

Silk4NET のアップデート後に、Android デバイスでこのような問題が発生した場合は、次のアプリをデバイスから手動でアンインストールしてください。
  • Appium Android Input Manager
  • Appium Settings
  • io.appium.uiautomator2.server
  • io.appium.uiautomator2.server.test
  • Unlock

Silk4NET のアップデート後に、iOS デバイスでこのような問題が発生した場合は、WebDriverAgentRunner をデバイスから手動でアンインストールしてください。

モバイルアプリケーションを記録できないのはなぜですか

Silk4NET は Appium を使用してモバイルアプリケーションをテストします。 Appium で設定されている一部のネットワークプロキシ設定が、Silk4J の記録を妨げる可能性があります。モバイルデバイスまたはエミュレータでネットワークプロキシの設定を無効にすることができます。

  • テストの再生に Chrome for Android を使用する方法
    テストの再生に使用するブラウザとして Chrome for Android を設定する方法について説明します。
親トピック: モバイル アプリケーションのテスト
関連タスク
Android 上のモバイル アプリケーションのテスト
Silk Test Information Service プロパティの編集
関連資料
Android 上のモバイル アプリケーションのテストにおける前提条件


テストの再生に Chrome for Android を使用する方法

デフォルトでは、ブラウザーの選択 ダイアログ ボックスを使用して、再生に使用するブラウザーを選択できます。

スクリプトをコマンド ラインや CI サーバーから実行する場合は、スクリプトのアプリケーション構成で接続文字列を指定できます。アプリケーション構成で指定したブラウザーを上書きするには、silktest.configurationName 環境変数を使用します。

BrowserApplication クラスの browsertype プロパティを使用して、再生に使用するブラウザーの種類を設定することもできます。ただし、browsertype は Chrome for Androidの明示的な値を含みません。

テストを再生するブラウザーとして Chrome for Android を使用するように指定するには、browsertype に GoogleChrome を設定し、Android をプラットフォームとして指定します。Android が指定されると、デスクトップ マシン上の Google Chrome の代わりに Chrome for Android を使用して、Silk4NET はテストを実行します。

使用例

次のサンプル コードは、silktest.configurationName を使用して Nexus 7 上の Chrome for Android を使用するテストの基本状態を設定する方法を示しています。
SET silktest.configurationName="platformName=Android;deviceName=Nexus 7;host=10.0.0.1 - Chrome"
次の のサンプル コードは、browsertype を使用して Chrome for Android を使用するテストの基本状態を設定する方法を示しています。
// C# code
var baseState = New BrowserBaseState(BrowserType.GoogleChrome, "demo.borland.com/InsuranceWebExtJS/");
baseState.SetConnectionString("platformName=Android");
baseState.Execute();
'VB .NET code
Dim baseState = New BrowserBaseState(BrowserType.GoogleChrome, "demo.borland.com/InsuranceWebExtJS/")
baseState.SetConnectionString("platformName=Android")
baseState.Execute()
親トピック: モバイル アプリケーションのテスト時のトラブルシューティング


モバイル Web アプリケーションのテストにおける制限事項

モバイル ブラウザ上でのテストの再生とロケーターの記録のサポートは、サポートされている他のブラウザほど完全なものではありません。モバイル Web アプリケーションに対するテストの再生とロケーターの記録の既知の制限事項を以下に示します。

  • 次のクラス、インターフェイス、メソッド、プロパティは、モバイル Web アプリケーションでは現時点ではサポートされません。
    • BrowserApplication クラス。
      • CloseOtherTabs メソッド
      • CloseTab メソッド
      • ExistsTab メソッド
      • GetActiveTab メソッド
      • GetSelectedTab メソッド
      • GetSelectedTabIndex メソッド
      • GetSelectedTabName メソッド
      • GetTabCount メソッド
      • ImageClick メソッド
      • OpenTab メソッド
      • SelectTab メソッド
    • DomElement クラス。
      • DomDoubleClick メソッド
      • DomMouseMove メソッド
      • GetDomAttributeList メソッド
    • IKeyable インターフェイス。
      • PressKeys メソッド
      • ReleaseKeys メソッド
  • Silk4NET は、iOS 上の Apple Safari を使用した HTML フレームおよび iframe のテストをサポートしません。
  • 横固定モードでの記録はシステム バーに仮想ボタンを含むエミュレータに対してサポートされません。このようなエミュレータは、回転を正しく検出せずに、横固定モードのシステム バーを画面の下部ではなく画面の右側に配置します。ただし、このようなエミュレータは縦固定モードで記録することができます。
  • モバイル アプリケーションに対する XPath 式では、HTML DOM の HTML 属性だけがサポートされます。 Silk4NET は、XPath 式のプロパティをサポートしません。
  • Android 上でのモバイル Web アプリケーションのテストでは、Silk4NET は、拡大縮小をサポートしません。
  • BrowserWindow クラスの以下の JavaScript 警告処理メソッドが、Original Android Stock (AOSP) ブラウザー上でのテストでは機能しません。
    • AcceptAlert メソッド
    • DismissAlert メソッド
    • GetAlertText メソッド
    • IsAlertPresent メソッド
  • 任意の時点で、Mac に接続されている複数の物理 iOS デバイス上でテストできますが、iOS シミュレータは Mac 上で実行している 1 つに対してのみテストできます。
  • モバイル Web アプリケーションのテストを開始する前に、ブラウザーのタブが開いていないことを確認してください。
    ヒント: iPad 上で Apple Safari のタブを無効に出来ます。設定 > Safari を選択して、タブバーを表示 をオフにすると無効になります。
  • モバイル Web アプリケーションのテスト中に、ブラウザーのタブは 1 つだけ開くことができます。
  • Silk4NET は、ネイティブ モバイル アプリケーションによって開かれたモバイル Web アプリケーションのテストをサポートしません。
親トピック: モバイル アプリケーションのテスト
関連概念
ネイティブ モバイル アプリケーションのテストにおける制限事項
XCUITest を使用した iOS 上の既存のスクリプトの実行
イメージ解決のサポート


ネイティブ モバイル アプリケーションのテストにおける制限事項

ネイティブ モバイル アプリケーションに対するテストの再生とロケーターの記録の既知の制限事項は次の通りです。

  • 次のクラス、インターフェイス、メソッド、プロパティは、ネイティブ モバイル アプリケーションでは現時点ではサポートされません。
    • IKeyable インターフェイス。
      • PressKeys メソッド
      • ReleaseKeys メソッド
    • MobileDevice クラス。
      • iOS 上でのネイティブ モバイル アプリケーションのテスト時に、SetLocation メソッドはサポートされません。
      • Android 6.0 より前のバージョンの Android 上でのネイティブ モバイル アプリケーションのテスト時に、SetLocation メソッドを使用する場合は、擬似ロケーションを許可 を有効にする必要があります。設定は、Android デバイスまたはエミュレータの設定を開き、開発者向けオプション をタップします。
      • Android 6.0 以降上でのネイティブ モバイル アプリケーションのテスト時に、SetLocation メソッドを使用する場合は、Appium Settings をアプリとして設定する必要があります。設定は、Android デバイスまたはエミュレータの設定を開き、開発者向けオプション > 仮の現在地情報アプリを選択 をタップします。そして、Appium Settings を選択します。
        注: Appium Settings という項目は、Android デバイスまたはエミュレータ上の Appium でテストを既に実行した場合にのみ表示されます。
      • iOS 上でのテスト時に、Find メソッドが次の状況では機能しません。
        • path 属性が設定されている場合。
        • 属性値が空の場合。
  • iOS 上でのテスト時に、XCUIElementTypeSwitch クラスの getValue メソッドがチェック状態に応じて、文字列 0、1 ではなく、文字列 false、true を返します。
  • 横固定モードでの記録はシステム バーに仮想ボタンを持つ Android エミュレータではサポートされません。このようなエミュレータは、回転を正しく検出せずに、横固定モードのシステム バーを画面の下部ではなく画面の右側に配置します。ただし、このようなエミュレータは縦固定モードで記録することができます。
  • モバイル アプリケーションに対する XPath 式では、HTML DOM の HTML 属性だけがサポートされます。Silk4NET は、XPath 式のプロパティをサポートしません。
  • 任意の時点で、Mac に接続されている複数の物理 iOS デバイス上でテストできますが、iOS シミュレータは Mac 上で実行している 1 つに対してのみテストできます。Silk Test 17.5 Hotfix 1 以降を使用した場合、iOS 上のモバイル アプリケーションをテストするために、Mac 上で複数のユーザー セッションを使用する必要はありません。
  • Silk4NET は、Android と iOS の両方とも、ネイティブ モバイル アプリケーションのテスト時にテキスト解決をサポートしません。
    テキスト解決は次のメソッドを含みます。
    • TextCapture
    • TextClick
    • TextExists
    • TextRectangle
  • Silk4NET は、複数の Web ビューを持つネイティブ モバイル アプリケーションのテストをサポートしません。
  • iOS 上でのテスト時に、isVisible プロパティの状態は、要素が非表示であったとしても常に true になります。
  • iOS 上でのテスト時に、複数のステップを持つスワイプ操作は、あるポイントへスワイプし、マウス ポインタをリリースした後、次のポイントへスワイプします。iOS の以前のバージョンでは、この操作はスワイプ間でマウス ポインタをリリースしません。
  • iOS 上でのテスト時に、Silk4NET はピンチ以外のマルチタッチ操作をサポートしません。
  • iOS 上でのテスト時に、Silk4NET は PinchIn メソッドをサポートしません。
  • iOS 上でのテスト時に、警告ダイアログ ボックスに対して承認と解除のみを行えます。キャンセル ボタンは利用できないため、Silk4NET はダイアログを解除できません。デフォルトの操作はダイアログの承認です。
  • Android 上でのテスト時に、Silk4NETは Animation クラスのコントロールに対する自動同期を行いません。
  • Android 上でのトーストのテスト時には、次の制限事項があります。
    • 記録時に、トースト用の矩形領域は、トーストの実際の位置とは関係なく、Silk4NET の 記録 ウィンドウの下部に表示されます。
    • 記録時と再生時に、トーストがすぐに表示された場合でも、Silk4NET によるトーストの検出に、常に 5 秒間かかります。

  • iOS 上でのテスト時に、Silk4NET は UIView.animate 関数または UIView.animateWithDuration 関数を呼び出すコントロールに対する自動同期を行いません。

    アプリケーション デリゲートでアニメーションの速度を速くすることで、問題が回避できる可能性があります。
    func application(application: UIApplication, didFinishLaunchingWithOptions launchOptions: [NSObject: AnyObject]?) -> Bool {
  //...
  if NSProcessInfo.processInfo().environment["automationName"] == "Silk Test" {
    // Speed animations up (recommended)
    window!.layer.speed = 100;
  }
}
    このようなアニメーションを完全に無効にすることは、アプリケーションの挙動が変わってしまう可能性があるため、Micro Focus では推奨していません。しかし、アニメーションの速度を速めても同期問題が解決できない場合は、次のようにしてアプリケーション デリゲートでアニメーションを完全に無効化することもできます。
    func application(application: UIApplication, didFinishLaunchingWithOptions launchOptions: [NSObject: AnyObject]?) -> Bool {
  //...
  if NSProcessInfo.processInfo().environment["automationName"] == "Silk Test" {
    UIView.setAnimationsEnabled(false)
  }
}
  • iOS 上でのテスト時には、さらに次の制限事項があります。
    • テストの記録および再生時にパフォーマンスの低下を感じる場合があります。
    • iOS の内部的な変更の影響で一部のコントロールのロケーターが変ったため、既存のテストが動作しない場合があります。
    • フォーカスを持たないテキスト フィールドが、テキスト フィールドとして解決されない場合があります。テキスト フィールドを正しく解決するために、操作する前にテキスト フィールドのクリックなどを実行して、テキスト フィールドにフォーカスを移してください。
親トピック: モバイル アプリケーションのテスト
関連概念
モバイル Web アプリケーションのテストにおける制限事項
XCUITest を使用した iOS 上の既存のスクリプトの実行
イメージ解決のサポート


モバイル Web サイトでのオブジェクトのクリック

自動テストの記録と再生中にオブジェクトをクリックするとき、モバイル Web サイトではデスクトップ Web サイトと比較して、次のような困難があります。
  • 拡大/縮小率やデバイス ピクセル比が異なる
  • さまざまなモバイル デバイスによって画面サイズが異なる
  • モバイル デバイス間でのフォントとグラフィックサイズが異なる (通常、デスクトップ ブラウザの Web サイトよりも小さい)。
  • さまざまなモバイルデバイスによってピクセル サイズと解像度が異なる

Silk4NET は、このような困難をものともせずに、モバイル Web サイトの適切なオブジェクトをクリックできます。

モバイル デバイスでテストを記録するときに、Silk4NET は Click の記録時に座標を記録しません。ただし、クロス ブラウザ テストの場合、再生中に座標が許されています。また、Click に座標を手動で追加することもできます。Silk4NET は、これらの座標をオブジェクトの HTML 座標として解釈します。モバイル デバイスのテストの再生時に BrowserWindow の内側の適切なオブジェクトをクリックするために、Silk4NET はオブジェクトの HTML 座標に現在の拡大/縮小率を適用します。デバイスのピクセル座標は、オブジェクトの HTML 座標に現在の拡大/縮小率をかけた座標です。

モバイル Web サイトの現在表示されている領域にオブジェクトが表示されていない場合、Silk4NET は Web サイトの適切な位置にスクロールします。

例

HTML ページで 100 x 20 ピクセルの固定サイズの DomButton をテストするコードを以下に示します。

C#
DomButton domButton = _desktop.Find<DomButton>("locator for the button");
domButton.Click(MouseButton.LEFT, new Point(50, 10));
VB
DomButton domButton = _desktop.Find(Of DomButton)("locator for the button");
domButton.Click(MouseButton.LEFT, new Point(50, 10));

異なるモバイル デバイスまたは異なる拡大/縮小率で再生すると、たとえば DomButton は、デバイス画面上では実際は 10 ピクセルの幅かもしれません。しかし、現在の拡大/縮小率の影響は受けず、上記のコードを使用したときに Silk4NET は要素の中央をクリックします。これは、Silk4NET が座標を HTML 座標として解釈し、現在の拡大/縮小率を適用するためです。

親トピック: モバイル アプリケーションのテスト


既存のモバイル Web テストの使用方法

Silk Test 17.0 以降では、モバイル Web テストの扱いが、前のバージョンの Silk Test とは異なります。この変更により、以前のモバイル Web テストが Silk Test 17.0 以降では動作しなくなる可能性があります。このトピックでは、Silk Test 17.0 で行われた変更について説明し、既存のモバイル Web テストを Silk Test 17.0 以降で使用できるように変更する方法を説明します。

Silk Test 17.0 でモバイル Web テストに対して行われた変更は、以下の通りです。

  • Silk Test の以前のバージョンでは、Windows マシンに USB で接続された iOS デバイスをテストすることができました。Silk Test 17.0 以降では、OS X マシン（Mac）に接続された iOS デバイスに対してのみテストすることができます。
  • 以前のバージョンの Silk Test を使用して Android デバイス上のモバイル Web アプリケーションをテストしていた場合、Silk Test 17.0 以降で Web アプリケーションをテストするには、Android デバイスのプロキシ設定を手動で削除する必要があります。Silk Test 17.0 以降では、プロキシは使用しません。プロキシが設定されていると、「プロキシ サーバーに接続できません」というメッセージがデバイスに表示されます。
親トピック: モバイル アプリケーションのテスト


.NET のサポート

Silk Test は、以下の .NET アプリケーションのテストを組み込みでサポートしています。

  • Windows Forms（Win Forms）アプリケーション
  • Windows Presentation Foundation (WPF) アプリケーション
  • Microsoft Silverlightアプリケーション

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

  • Windows Forms のサポート
    .NET スタンドアロン アプリケーションとノータッチ Windows Forms（Win Forms）アプリケーションをテストするための組み込みサポートについて説明します。
  • Windows Presentation Foundation（WPF）のサポート
    Windows Presentation Foundation（WPF）アプリケーションのサポートの概要について説明します。
  • Silverlight アプリケーションのサポート
    Silverlight アプリケーションをテストするための組み込みサポートについて説明します。
  • Visual COBOL のサポート
    Visual COBOL ベースのアプリケーションをテストするために Silk4NET が提供するサポートについて説明します。
親トピック: 特定の環境のテスト


Windows Forms のサポート

Silk4NET は、.NET スタンドアロン アプリケーションとノータッチ Windows Forms (Win Forms) アプリケーションのテストを組み込みでサポートしています。ただし、スタンドアロン アプリケーションでは、side-by-side 実行はサポートされていません。

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

オブジェクト解決

アプリケーション中の要素に指定された name が使用可能な場合、ロケーターの automationId 属性として使用されます。この結果、多くのオブジェクトは、この属性のみを使用して一意に識別できます。

サポートするコントロール

Win Forms テストで使用可能な記録／再生コントロールの完全な一覧については、「Windows Forms クラス リファレンス」を参照してください。

  • Windows Forms クラス リファレンス
    Windows Forms をサポートするための Visual Basic クラスを一覧します。
  • Windows Forms アプリケーションの属性
    Windows Forms アプリケーションがサポートする属性の一覧を提供します。
  • Windows Forms アプリケーションのカスタム属性
    Windows Forms アプリケーションの安定した識別子を作成するために使用できる属性について説明します。
  • Windows Forms メソッドの動的な呼び出し
    動的呼び出し機能を使用して Silk4NET が対象としないコントロールのメソッドを呼び出したり、プロパティーを取得/設定したりする方法を説明します。
親トピック: .NET のサポート


Windows Forms クラス リファレンス

Windows Forms アプリケーションを設定すると、Silk4NET は標準の Windows Forms コントロールのテストのサポートを組み込みで提供します。

親トピック: Windows Forms のサポート
関連資料
Windows Forms Class Reference


Windows Forms アプリケーションの属性

ロケーターが作成されるとき、属性の種類はアプリケーションが使用するテクノロジ ドメインに基づいて自動的に割り当てられます。 属性の種類と値によって、ロケーターがテスト内のオブジェクトを識別する方法が決定されます。

Windows Forms アプリケーションがサポートする属性は次のとおりです。
  • automationid
  • caption
  • windowid
  • priorlabel（caption のないコントロールの場合、自動的に priorlabel が caption として使用されます。 caption のあるコントロールの場合、caption を使う方が簡単な場合があります。）
注: 属性名は、大文字小文字が区別されます (モバイル アプリケーションを除く。モバイル アプリケーションでは、大文字小文字は無視されます)。デフォルトで、属性値では大文字と小文字が区別されますが、他のオプションと同様にこのデフォルト設定は変更できます。ロケーター属性は、ワイルドカード ? および * をサポートしています。
親トピック: Windows Forms のサポート
親トピック: サポートする属性の種類


Windows Forms メソッドの動的な呼び出し

動的呼び出しを使用すると、テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、メソッドの呼び出し、プロパティーの取得、またはプロパティーの設定を直接実行できます。また、このコントロールの Silk4NET API で使用できないメソッドおよびプロパティーも呼び出すことができます。動的呼び出しは、作業しているカスタム コントロールを操作するために必要な機能が、Silk4NET API を通して公開されていない場合に特に便利です。

オブジェクトの動的メソッドは Invoke メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

オブジェクトの複数の動的メソッドは InvokeMethods メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

動的プロパティの取得には GetProperty メソッドを、動的プロパティの設定には SetProperty メソッドを使用します。コントロールでサポートされている動的プロパティのリストを取得するには、GetPropertyList メソッドを使用します。

たとえば、テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、タイトルを String 型の入力パラメータとして設定する必要がある SetTitle というメソッドを呼び出すには、次のように入力します：
control.Invoke("SetTitle", "my new title")
注: 通常、ほとんどのプロパティは読み取り専用で、設定できません。
注: ほとんどのテクノロジー ドメインでは、メソッドを呼び出してプロパティーを取得する場合、Reflection を使用します。

Invoke メソッド

Windows Forms または WPF コントロールでは、Invoke メソッドを使用して、以下のメソッドを呼び出すことができます。
  • MSDN が定義するコントロールのパブリック メソッド。
  • MSDN が定義する静的パブリック メソッド。
  • ユーザーが定義する任意の型の静的パブリック メソッド。

Invoke メソッドの最初の例

Silk4NET の DataGrid 型のオブジェクトでは、MSDN が System.Windows.Forms.DataGrid 型に定義しているすべてのメソッドを呼び出すことができます。

System.Windows.Forms.DataGrid クラスのメソッド IsExpanded を呼び出すには、次のコードを使用します。
//VB .NET code
Dim isExpanded As Boolean = dataGrid.Invoke("IsExpanded", 3)
//C# code
bool isExpanded = (bool) dataGrid.Invoke("IsExpanded", 3);

Invoke メソッドの 2 番目の例

AUT 内の静的メソッド String.Compare(String s1, String s2) を呼び出すには、次のコードを使用します。
//VB .NET code
Dim result as Integer = (Integer) mainWindow.Invoke("System.String.Compare", "a", "b")
//C# code
int result = (int) mainWindow.Invoke("System.String.Compare", "a", "b");

Invoke メソッドの 3 番目の例

この例では、ユーザーが生成したメソッド GetContents を動的に呼び出す方法を示します。

テスト対象アプリケーション (AUT) のコントロールの操作に使用するコードを作成できます (この例では UltraGrid)。UltraGrid の内容を取得するために、複雑な動的呼び出しを作成するのではなく、新しいメソッド GetContents を生成し、この新しいメソッドを動的に呼び出すことができます。

Visual Studio で、AUT 内の次のコードによって GetContents メソッドを UltraGridUtil クラスのメソッドとして定義します。
//C# code, because this is code in the AUT
namespace UltraGridExtensions {
  public class UltraGridUtil {
    /// <summary>
    /// Retrieves the contents of an UltraGrid as nested list
    /// </summary>
    /// <param name="grid"></param>
    /// <returns></returns>
    public static List<List<string>> GetContents(Infragistics.Win.UltraWinGrid.UltraGrid grid) {
      var result = new List<List<string>>();
      foreach (var row in grid.Rows) {
        var rowContent = new List<string>();
        foreach (var cell in row.Cells) {
          rowContent.Add(cell.Text);
        }
        result.Add(rowContent);
      }
      return result;
    }
  }
}
UltraGridUtil クラスのコードを AUT に追加する必要があります。これは、次のようにして行います。
  • アプリケーション開発者は、クラスのコードを AUT にコンパイルできます。アセンブリがすでにロードされている必要があります。
  • テストの実行時に AUT にロードされる新しいアセンブリを作成できます。
アセンブリをロードするには、次のコードを使用します。
FormsWindow.LoadAssembly(String assemblyFileName)
次のようにして、フルパスで指定してアセンブリをロードします。
mainWindow.LoadAssembly("C:/temp/ultraGridExtensions.dll")
Location メソッドを使用してアセンブリの場所を見つけることもできます。
//VB.NET code
Dim assemblyLocation = GetType(UltraGridExtensions.UltraGridUtil).Assembly.Location
mainWindow.LoadAssembly(assemblyLocation)

//C# code
string assemblyLocation = typeof(UltraGridExtensions.UltraGridUtil).Assembly.Location;
mainWindow.LoadAssembly(assemblyLocation);
UltraGridUtil クラスのコードが AUT 内にある場合は、次のコードをテスト スクリプトに追加して、GetContents メソッドを呼び出すことができます。
var contents = (IList) mainWindow.Invoke("UltraGridExtensions.UltraGridUtil.GetContents", ultraGrid);

Invoke メソッドを呼び出す mainWindow オブジェクトは、AUT を特定しているだけなので、同じ AUT の他のオブジェクトに置き換えてもかまいません。

InvokeMethods メソッド

Windows Forms または WPF コントロールでは、InvokeMethods メソッドを使用して、ネストされたメソッドのシーケンスを呼び出すことができます。以下のメソッドを呼び出すことができます。
  • MSDN が定義するコントロールのパブリック メソッド。
  • MSDN が定義する静的パブリック メソッド。
  • ユーザーが定義する任意の型の静的パブリック メソッド。

例：カスタム データ グリッドのセルの内容のテキストでの取得

Infragistics ライブラリのカスタム データ グリッドのセルの内容をテキストで取得するには、AUT で次の C# コードを使用できます。
string cellText = dataGrid.Rows[rowIndex].Cells[columnIndex].Text;
次の C# コードのサンプルは、最初の行の 3 番目のセルの内容をテキストで取得します。
string cellText = dataGrid.Rows[0].Cells[2];
InvokeMethods メソッドを使用して同じ例をスクリプト化すると、比較的複雑なスクリプトになります。これは、対応するパラメータを持つ 5 つのメソッドを InvokeMethods メソッドに渡さなければならないためです。
// C# code
var dataGrid = mainWindow.WPFControl("@automationId='Custom Data Grid'");
// Get text contents of third cell in first row.
var rowIndex = 0;
var columnIndex = 2;

var methodNames = new List<string>();
methodNames.Add("Rows"); 			 								// Get the list of rows from the grid.
methodNames.Add("get_Item"); 								// Get a specific row from the list of rows by using the indexer method.
methodNames.Add("Cells"); 											// Get the list of cells from the the row.
methodNames.Add("get_Item"); 								// Get a specific cell from the list of cells by using the indexer method.
methodNames.Add("Text"); 												// Get the text of the cell.

var parameters = new List<List<object>>();
parameters.Add(new List<object>());                  // Parameters for the Rows property.
parameters.Add(new List<object>() { rowIndex });     // Parameters for the get_Item method.
parameters.Add(new List<object>());                  // Parameters for the Cells property.
parameters.Add(new List<object>() { columnIndex });  // Parameters for the get_Item method.
parameters.Add(new List<object>());                  // Parameters for the Text property.

string cellText = (string)dataGrid.InvokeMethods(methodNames, parameters);
' VB .NET code
Dim dataGrid = mainWindow.WPFControl("@automationId='Custom Data Grid'")

' Get text contents of third cell in first row.
Dim rowIndex = 0
Dim column = 2

Dim methodNames = New List(Of String)()
methodNames.Add("Rows")                   ' Get the list of rows from the grid.
methodNames.Add("get_Item")               ' Get a specific row from the list of rows by using the indexer method.
methodNames.Add("Cells")                  ' Get the list of cells from the the row.
methodNames.Add("get_Item")               ' Get a specific cell from the list of cells by using the indexer method.
methodNames.Add("Text")                   ' Get the text of the cell.

Dim parameters = New List(Of List(Of Object))()
parameters.Add(New List(Of Object)())                  ' Parameters for the Rows property.
parameters.Add(New List(Of Object) From {rowIndex})    ' Parameters for the get_Item method.
parameters.Add(New List(Of Object)())                  ' Parameters for the Cells property.
parameters.Add(New List(Of Object) From {columnIndex}) ' Parameters for the get_Item method.
parameters.Add(New List(Of Object)())                  ' Parameters for the Text property.

Dim cellText As String = dataGrid.InvokeMethods(methodNames, parameters)
このような場合に、より簡単にするアプローチは、テスト対象アプリケーションにコードを追加して、InvokeMethods メソッドを使用することです。たとえば、GetCellText メソッドを AUT に追加します。
// C# code, if the AUT is implemented in C#.
public static string GetCellText(Infragistics.Win.UltraWinGrid.UltraGrid dataGrid, int rowIndex, int columnIndex) {
  return dataGrid.Rows[rowIndex].Cells[columnIndex].Text;
' VB code, if the AUT is implemented in VB.
public static string GetCellText(Infragistics.Win.UltraWinGrid.UltraGrid dataGrid, int rowIndex, int columnIndex) {
  return dataGrid.Rows[rowIndex].Cells[columnIndex].Text;
テスト スクリプトから GetCellText メソッドを動的に呼び出して、セルの内容をテキストで取得します。
// C# code
string cellText = (string) mainWindow.Invoke("GetCellText", dataGrid, rowIndex, columnIndex);
'VB .NET code
Dim cellText As String = mainWindow.Invoke("GetCellText", dataGrid, rowIndex, columnIndex)

詳細については、「テスト対象アプリケーションにコードを追加してカスタム コントロールをテストする」を参照してください。

サポートされているメソッドおよびプロパティ

次のメソッドとプロパティを呼び出すことができます。
  • Silk4NET がサポートするコントロールのメソッドとプロパティー。
  • MSDN が定義するコントロールのパブリック メソッドとプロパティー。
  • コントロールが標準コントロールから派生したカスタム コントロールの場合、標準コントロールが呼び出すことのできるすべてのメソッドとプロパティー。

サポートされているパラメータ型

次のパラメータ型がサポートされます。
  • すべての組み込み Silk4NET 型

    Silk4NET 型には、プリミティブ型 (boolean、int、string など)、リスト、およびその他の型 (Point や Rect など) が含まれます。

  • 列挙型

    列挙パラメータは文字列として渡す必要があります。文字列は、列挙値の名前と一致しなければなりません。たとえば、メソッドが .NET 列挙型 System.Windows.Visiblity のパラメータを必要とする場合、次の文字列値を使用できます： Visible、Hidden、Collapsed。

  • .NET 構造体とオブジェクト

    .NET 構造体とオブジェクト パラメータはリストとして渡す必要があります。リスト内の要素は、テスト アプリケーションの .NET オブジェクトで定義されているコンストラクタの 1 つと一致しなければなりません。たとえば、メソッドが .NET 型 System.Windows.Vector のパラメータを必要とする場合、2 つの整数値を持つリストを渡すことができます。これが機能するのは、System.Windows.Vector 型が 2 つの整数値を引数に取るコンストラクタを持つためです。

  • その他のコントロール

    コントロール パラメーターは、TestObject として渡したり、返したりできます。

戻り値

プロパティや戻り値を持つメソッドの場合は、次の値が返されます。
  • すべての組み込み Silk4NET 型の場合は正しい値。これらの型は、「サポートされているパラメータ型」のセクションに記載されています。
  • 戻り値を持たないすべてのメソッドの場合、C# では null が、VB では Nothing が返されます。
親トピック: Windows Forms のサポート
関連概念
動的呼び出し
テスト対象アプリケーションにコードを追加してカスタム コントロールをテストする
カスタム コントロール
動的呼び出しに関するよくある質問


Windows Presentation Foundation（WPF）のサポート

Silk4NET は、Windows Presentation Foundation (WPF) アプリケーションのテストを組み込みでサポートしています。Silk4NET は、スタンドアロン WPF アプリケーションをサポートしており、.NET バージョン 3.5 以降に組み込まれているコントロールを記録し、再生できます。

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

サポートするコントロール

WPF テストで使用可能なコントロールの完全な一覧については、「WPF クラス リファレンス」を参照してください。

Silk4NET WPF がサポートするすべての WPF クラスは、WPFWindow や WPFListBox のように接頭辞 WPF で始まります。

WPF コントロールでサポートされるメソッドとプロパティは、実際の実装とランタイム状態によって異なります。メソッドとプロパティは、対応するクラスに対して定義されたリストと異なる場合があります。特定の状況でサポートされるメソッドとプロパティを判別するには、以下のコードを使用します。

  • GetPropertyList()
  • GetDynamicMethodList()

WPF の詳細については、MSDN を参照してください。

  • WPF クラス リファレンス
    WPF をサポートするための Visual Basic クラスを一覧します。
  • Windows Presentation Foundation (WPF) アプリケーションの属性
    Windows Presentation Foundation (WPF) アプリケーションがサポートする属性の一覧を提供します。
  • WPF アプリケーションのカスタム属性
    WPF アプリケーションの安定した識別子を作成するために使用できる属性について説明します。
  • WPFItemsControl クラスから派生したクラス
    WPFItemsControl から派生したクラスを操作する方法について説明します。
  • カスタム WPF コントロール
    Silk4NET がカスタム コントロールを認識する方法を説明します。
  • WPF メソッドの動的な呼び出し
    動的呼び出し機能を使用して Silk4NET が対象としないコントロールのメソッドを呼び出したり、プロパティーを取得/設定したりする方法を説明します。
  • 記録/再生の対象とする WPF クラスの設定
    記録、再生、検索、プロパティの検証など、すべてのサポートされる操作をクラスに対して実行するには、クラスを公開します。
  • 記録/再生時の事前読み込みの設定
    ビューにスクロールされないとアクセスできない項目にアクセスするには、記録/再生時の事前読み込みをオンにします。
親トピック: .NET のサポート


WPF クラス リファレンス

WPF アプリケーションを設定すると、Silk4NET は標準の WPF コントロールのテストのサポートを組み込みで提供します。

親トピック: Windows Presentation Foundation（WPF）のサポート
関連資料
WPF Class Reference


Windows Presentation Foundation (WPF) アプリケーションの属性

WPF アプリケーションがサポートする属性は次のとおりです。
  • automationId
  • caption
  • className
  • name
  • すべての動的ロケーター属性。
注: 属性名は、大文字小文字が区別されます (モバイル アプリケーションを除く。モバイル アプリケーションでは、大文字小文字は無視されます)。デフォルトで、属性値では大文字と小文字が区別されますが、他のオプションと同様にこのデフォルト設定は変更できます。ロケーター属性は、ワイルドカード ? および * をサポートしています。

動的ロケーター属性の詳細については、「動的ロケーター属性」を参照してください。

オブジェクト解決

WPF スクリプト内のコンポーネントを識別するために、automationId、caption、className、あるいは name を指定できます。 アプリケーション中の要素に指定された name が利用可能な場合、ロケーターの automationId 属性として使用されます。 この結果、多くのオブジェクトは、この属性のみを使用して一意に識別できます。 たとえば、automationId を持つロケーターは、以下のようになります：//WPFButton[@automationId='okButton']"

automationId や他の属性を定義した場合、再生中に automationId だけが使用されます。 automationId が定義されていない場合には、コンポーネントを解決するのに name が使用されます。 name も automationId もどちらも定義されていない場合には、caption 値が使用されます。 caption が定義されていない場合は、className が使用されます。 automationId は非常に役立つプロパティであるため、使用することを推奨します。

属性の種類 説明 例
automationId

テスト アプリケーションの開発者によって提供された ID

//WPFButton[@automationId='okButton']"
name コントロールの名前。 Visual Studio デザイナは、デザイナ上で作成されたすべてのコントロールに自動的に名前を割り当てます。 アプリケーション開発者は、アプリケーションのコード上でコントロールを識別するために、この名前を使用します。
//WPFButton[@name='okButton']"
caption

コントロールが表示するテキスト。 複数の言語にローカライズされたアプリケーションをテストする場合、caption の代わりに automationId や name 属性を使用することを推奨します。

//WPFButton[@automationId='Ok']"
className

WPF の .NET 単純クラス名 (名前空間なし)。 クラス名属性を使用すると、Silk4NET が解決する標準 WPF コントロールから派生したカスタム コントロールを識別するのに役立ちます。

//WPFButton[@className='MyCustomButton']"

Silk4NET は、automationId、name、caption、className 属性をこの表に示した順番に使用して WPF コントロールのロケーターを記録時に作成します。 たとえば、コントロールが automationId と name を持つ場合、Silk4NET がロケーターを作成する際には automationId が使用されます。

以下の例では、アプリケーション開発者がアプリケーションの WPF ボタンに対して name と automationId を XAML コードに定義する方法を示します。
<Button Name="okButton" AutomationProperties.AutomationId="okButton"
Click="okButton_Click">Ok</Button>
親トピック: Windows Presentation Foundation（WPF）のサポート
親トピック: サポートする属性の種類


WPFItemsControl クラスから派生したクラス

Silk4NET は、2 つの方法を使用して WPFItemsControl から派生したクラス (WPFListBox、WPFTreeView、WPFMenu など) を操作することができます。

  • コントロールでの作業

    ほとんどのコントロールには、標準的なユースケースのためのメソッドやプロパティがあります。 項目は、テキストや索引によって識別されます。

  • WPFListBoxItem、WPFTreeViewItem、WPFMenuItem などの個々の項目での作業

    高度なユースケースの場合、個々の項目を使用します。 たとえば、リスト ボックスの特定の項目のコンテキスト メニューを開いたり、項目に相対的な場所をクリックしたりする場合に個々の項目を使用します。

親トピック: Windows Presentation Foundation（WPF）のサポート


カスタム WPF コントロール

一般的に、Silk4NET では、すべての標準 WPF コントロールの記録と再生がサポートされています。

Silk4NET は、カスタム コントロールが実装された方法を基にしてカスタム コントロールを処理します。 次の方法を使用してカスタム コントロールを実装することができます。
  • UserControl から派生したクラスを定義する

    複合コントロールを作成する典型的な方法です。 Silk4NET は、これらのユーザー コントロールを WPFUserControl として認識し、含まれるコントロールを完全にサポートしています。

  • ListBox などの標準 WPF コントロールから派生したクラスを定義する

    Silk4NET は、これらのコントロールを派生元の標準 WPF コントロールのインスタンスとして扱います。 ユーザー コントロールの振る舞いがその基底クラスの実装と大きく異なる場合には、子の記録、再生、解決は機能しない可能性があります。

  • テンプレートを使用して視覚デザインを変更した標準コントロールを使用する

    低レベルの再生が機能しない可能性があります。 その場合には、「高レベル」再生モードに切り替えます。

Silk4NET は、一般的に機能テストに無関係なコントロールは除外します。 たとえば、レイアウトを目的として使用されるコントロールは含まれません。 しかし、カスタム コントロールが除外されたクラスから派生している場合、除外されたコントロールを記録/再生の対象とするためには、関連する WPF クラスの名前を指定します。

親トピック: Windows Presentation Foundation（WPF）のサポート
関連タスク
記録/再生の対象とする WPF クラスの設定
再生オプションの設定


WPF メソッドの動的な呼び出し

動的呼び出しを使用すると、テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、メソッドの呼び出し、プロパティーの取得、またはプロパティーの設定を直接実行できます。また、このコントロールの Silk4NET API で使用できないメソッドおよびプロパティーも呼び出すことができます。動的呼び出しは、作業しているカスタム コントロールを操作するために必要な機能が、Silk4NET API を通して公開されていない場合に特に便利です。

オブジェクトの動的メソッドは Invoke メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

オブジェクトの複数の動的メソッドは InvokeMethods メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

動的プロパティの取得には GetProperty メソッドを、動的プロパティの設定には SetProperty メソッドを使用します。コントロールでサポートされている動的プロパティのリストを取得するには、GetPropertyList メソッドを使用します。

たとえば、テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、タイトルを String 型の入力パラメータとして設定する必要がある SetTitle というメソッドを呼び出すには、次のように入力します：
control.Invoke("SetTitle", "my new title")
注: 通常、ほとんどのプロパティは読み取り専用で、設定できません。
注: ほとんどのテクノロジー ドメインでは、メソッドを呼び出してプロパティーを取得する場合、Reflection を使用します。

Invoke メソッド

Windows Forms または WPF コントロールでは、Invoke メソッドを使用して、以下のメソッドを呼び出すことができます。
  • MSDN が定義するコントロールのパブリック メソッド。
  • MSDN が定義する静的パブリック メソッド。
  • ユーザーが定義する任意の型の静的パブリック メソッド。

Invoke メソッドの最初の例

Silk4NET の DataGrid 型のオブジェクトでは、MSDN が System.Windows.Forms.DataGrid 型に定義しているすべてのメソッドを呼び出すことができます。

System.Windows.Forms.DataGrid クラスのメソッド IsExpanded を呼び出すには、次のコードを使用します。
//VB .NET code
Dim isExpanded As Boolean = dataGrid.Invoke("IsExpanded", 3)
//C# code
bool isExpanded = (bool) dataGrid.Invoke("IsExpanded", 3);

Invoke メソッドの 2 番目の例

AUT 内の静的メソッド String.Compare(String s1, String s2) を呼び出すには、次のコードを使用します。
//VB .NET code
Dim result as Integer = (Integer) mainWindow.Invoke("System.String.Compare", "a", "b")
//C# code
int result = (int) mainWindow.Invoke("System.String.Compare", "a", "b");

Invoke メソッドの 3 番目の例

この例では、ユーザーが生成したメソッド GetContents を動的に呼び出す方法を示します。

テスト対象アプリケーション (AUT) のコントロールの操作に使用するコードを作成できます (この例では UltraGrid)。UltraGrid の内容を取得するために、複雑な動的呼び出しを作成するのではなく、新しいメソッド GetContents を生成し、この新しいメソッドを動的に呼び出すことができます。

Visual Studio で、AUT 内の次のコードによって GetContents メソッドを UltraGridUtil クラスのメソッドとして定義します。
//C# code, because this is code in the AUT
namespace UltraGridExtensions {
  public class UltraGridUtil {
    /// <summary>
    /// Retrieves the contents of an UltraGrid as nested list
    /// </summary>
    /// <param name="grid"></param>
    /// <returns></returns>
    public static List<List<string>> GetContents(Infragistics.Win.UltraWinGrid.UltraGrid grid) {
      var result = new List<List<string>>();
      foreach (var row in grid.Rows) {
        var rowContent = new List<string>();
        foreach (var cell in row.Cells) {
          rowContent.Add(cell.Text);
        }
        result.Add(rowContent);
      }
      return result;
    }
  }
}
UltraGridUtil クラスのコードを AUT に追加する必要があります。これは、次のようにして行います。
  • アプリケーション開発者は、クラスのコードを AUT にコンパイルできます。アセンブリがすでにロードされている必要があります。
  • テストの実行時に AUT にロードされる新しいアセンブリを作成できます。
アセンブリをロードするには、次のコードを使用します。
FormsWindow.LoadAssembly(String assemblyFileName)
次のようにして、フルパスで指定してアセンブリをロードします。
mainWindow.LoadAssembly("C:/temp/ultraGridExtensions.dll")
Location メソッドを使用してアセンブリの場所を見つけることもできます。
//VB.NET code
Dim assemblyLocation = GetType(UltraGridExtensions.UltraGridUtil).Assembly.Location
mainWindow.LoadAssembly(assemblyLocation)

//C# code
string assemblyLocation = typeof(UltraGridExtensions.UltraGridUtil).Assembly.Location;
mainWindow.LoadAssembly(assemblyLocation);
UltraGridUtil クラスのコードが AUT 内にある場合は、次のコードをテスト スクリプトに追加して、GetContents メソッドを呼び出すことができます。
var contents = (IList) mainWindow.Invoke("UltraGridExtensions.UltraGridUtil.GetContents", ultraGrid);

Invoke メソッドを呼び出す mainWindow オブジェクトは、AUT を特定しているだけなので、同じ AUT の他のオブジェクトに置き換えてもかまいません。

InvokeMethods メソッド

Windows Forms または WPF コントロールでは、InvokeMethods メソッドを使用して、ネストされたメソッドのシーケンスを呼び出すことができます。以下のメソッドを呼び出すことができます。
  • MSDN が定義するコントロールのパブリック メソッド。
  • MSDN が定義する静的パブリック メソッド。
  • ユーザーが定義する任意の型の静的パブリック メソッド。

例：カスタム データ グリッドのセルの内容のテキストでの取得

Infragistics ライブラリのカスタム データ グリッドのセルの内容をテキストで取得するには、AUT で次の C# コードを使用できます。
string cellText = dataGrid.Rows[rowIndex].Cells[columnIndex].Text;
次の C# コードのサンプルは、最初の行の 3 番目のセルの内容をテキストで取得します。
string cellText = dataGrid.Rows[0].Cells[2];
InvokeMethods メソッドを使用して同じ例をスクリプト化すると、比較的複雑なスクリプトになります。これは、対応するパラメータを持つ 5 つのメソッドを InvokeMethods メソッドに渡さなければならないためです。
// C# code
var dataGrid = mainWindow.WPFControl("@automationId='Custom Data Grid'");
// Get text contents of third cell in first row.
var rowIndex = 0;
var columnIndex = 2;

var methodNames = new List<string>();
methodNames.Add("Rows"); 			 								// Get the list of rows from the grid.
methodNames.Add("get_Item"); 								// Get a specific row from the list of rows by using the indexer method.
methodNames.Add("Cells"); 											// Get the list of cells from the the row.
methodNames.Add("get_Item"); 								// Get a specific cell from the list of cells by using the indexer method.
methodNames.Add("Text"); 												// Get the text of the cell.

var parameters = new List<List<object>>();
parameters.Add(new List<object>());                  // Parameters for the Rows property.
parameters.Add(new List<object>() { rowIndex });     // Parameters for the get_Item method.
parameters.Add(new List<object>());                  // Parameters for the Cells property.
parameters.Add(new List<object>() { columnIndex });  // Parameters for the get_Item method.
parameters.Add(new List<object>());                  // Parameters for the Text property.

string cellText = (string)dataGrid.InvokeMethods(methodNames, parameters);
' VB .NET code
Dim dataGrid = mainWindow.WPFControl("@automationId='Custom Data Grid'")

' Get text contents of third cell in first row.
Dim rowIndex = 0
Dim column = 2

Dim methodNames = New List(Of String)()
methodNames.Add("Rows")                   ' Get the list of rows from the grid.
methodNames.Add("get_Item")               ' Get a specific row from the list of rows by using the indexer method.
methodNames.Add("Cells")                  ' Get the list of cells from the the row.
methodNames.Add("get_Item")               ' Get a specific cell from the list of cells by using the indexer method.
methodNames.Add("Text")                   ' Get the text of the cell.

Dim parameters = New List(Of List(Of Object))()
parameters.Add(New List(Of Object)())                  ' Parameters for the Rows property.
parameters.Add(New List(Of Object) From {rowIndex})    ' Parameters for the get_Item method.
parameters.Add(New List(Of Object)())                  ' Parameters for the Cells property.
parameters.Add(New List(Of Object) From {columnIndex}) ' Parameters for the get_Item method.
parameters.Add(New List(Of Object)())                  ' Parameters for the Text property.

Dim cellText As String = dataGrid.InvokeMethods(methodNames, parameters)
このような場合に、より簡単にするアプローチは、テスト対象アプリケーションにコードを追加して、InvokeMethods メソッドを使用することです。たとえば、GetCellText メソッドを AUT に追加します。
// C# code, if the AUT is implemented in C#.
public static string GetCellText(Infragistics.Win.UltraWinGrid.UltraGrid dataGrid, int rowIndex, int columnIndex) {
  return dataGrid.Rows[rowIndex].Cells[columnIndex].Text;
' VB code, if the AUT is implemented in VB.
public static string GetCellText(Infragistics.Win.UltraWinGrid.UltraGrid dataGrid, int rowIndex, int columnIndex) {
  return dataGrid.Rows[rowIndex].Cells[columnIndex].Text;
テスト スクリプトから GetCellText メソッドを動的に呼び出して、セルの内容をテキストで取得します。
// C# code
string cellText = (string) mainWindow.Invoke("GetCellText", dataGrid, rowIndex, columnIndex);
'VB .NET code
Dim cellText As String = mainWindow.Invoke("GetCellText", dataGrid, rowIndex, columnIndex)

詳細については、「テスト対象アプリケーションにコードを追加してカスタム コントロールをテストする」を参照してください。

サポートされているメソッドおよびプロパティ

次のメソッドとプロパティを呼び出すことができます。
  • Silk4NET がサポートするコントロールのメソッドとプロパティー。
  • MSDN が定義するコントロールのパブリック メソッドとプロパティー。
  • コントロールが標準コントロールから派生したカスタム コントロールの場合、標準コントロールが呼び出すことのできるすべてのメソッドとプロパティー。

サポートされているパラメータ型

次のパラメータ型がサポートされます。
  • すべての組み込み Silk4NET 型

    Silk4NET 型には、プリミティブ型 (boolean、int、string など)、リスト、およびその他の型 (Point や Rect など) が含まれます。

  • 列挙型

    列挙パラメータは文字列として渡す必要があります。文字列は、列挙値の名前と一致しなければなりません。たとえば、メソッドが .NET 列挙型 System.Windows.Visiblity のパラメータを必要とする場合、次の文字列値を使用できます： Visible、Hidden、Collapsed。

  • .NET 構造体とオブジェクト

    .NET 構造体とオブジェクト パラメータはリストとして渡す必要があります。リスト内の要素は、テスト アプリケーションの .NET オブジェクトで定義されているコンストラクタの 1 つと一致しなければなりません。たとえば、メソッドが .NET 型 System.Windows.Vector のパラメータを必要とする場合、2 つの整数値を持つリストを渡すことができます。これが機能するのは、System.Windows.Vector 型が 2 つの整数値を引数に取るコンストラクタを持つためです。

  • WPF コントロール

    WPF コントロール パラメータは TestObject として渡すことができます。

戻り値

プロパティや戻り値を持つメソッドの場合は、次の値が返されます。
  • すべての組み込み Silk4NET 型の場合は正しい値。これらの型は、「サポートされているパラメータ型」のセクションに記載されています。
  • 戻り値を持たないすべてのメソッドの場合、C# では null が、VB では Nothing が返されます。
  • すべてのその他の型の場合は文字列

    返された .NET オブジェクトに対して ToString を呼び出せば、文字列表現を取得できます。

例

たとえば、アプリケーション開発者が次のメソッドとプロパティを持つ Calculator カスタム コントロールを作成したとします。
public void Reset()
public int Add(int number1, int number2)
public System.Windows.Vector StrechVector(System.Windows.Vector vector, double
factor)
public String Description { get;}
テスト担当者は、テスト内からメソッドを直接呼び出すことができます。例：
customControl.Invoke("Reset")
Dim sum as Integer = customControl.Invoke("Add", 1, 2)
' the vector can be passed as list of integer
Dim vector = New List(Of Integer)
vector.Add(3)
vector.Add(4)
' returns "6;8" because this is the string representation of the .NET object
Dim strechedVector As String = customControl.Invoke("StrechVector", vector, 2.0)
Dim description As String = customControl.GetProperty("Description")
親トピック: Windows Presentation Foundation（WPF）のサポート
関連概念
動的呼び出し
テスト対象アプリケーションにコードを追加してカスタム コントロールをテストする
カスタム コントロール
動的呼び出しに関するよくある質問


記録/再生の対象とする WPF クラスの設定

Silk4NET は、一般的に機能テストに無関係なコントロールは除外します。たとえば、レイアウトを目的として使用されるコントロールは含まれません。しかし、カスタム コントロールが除外されたクラスから派生している場合、除外されたコントロールを記録/再生の対象とするためには、関連する WPF クラスの名前を指定します。

記録や再生の対象にしたい WPF クラスの名前を指定します。たとえば、MyGrid というカスタム クラスが WPF Grid クラスから継承された場合、MyGrid カスタム クラスのオブジェクトは記録や再生に使用できません。Grid クラスはレイアウト目的のためにのみ存在し、機能テストとは無関係であるため、Grid オブジェクトは記録や再生に使用できません。この結果、Grid オブジェクトはデフォルトでは公開されません。機能テストに無関係なクラスに基づいたカスタム クラスを使用するには、カスタム クラス (この場合は MyGrid) を OPT_WPF_CUSTOM_CLASSES オプションに追加します。これによって、記録、再生、検索、プロパティの検証など、すべてのサポートされる操作を指定したクラスに対して実行できるようになります。
  1. Silk4NET > オプションの編集 をクリックします。
  2. WPF タブ をクリックします。
  3. カスタム WPF クラス名 グリッドで、記録や再生中に公開するクラスの名前を入力します。 複数のクラス名を指定する場合にはカンマで区切ります。
  4. OK をクリックします。
親トピック: Windows Presentation Foundation（WPF）のサポート
関連概念
カスタム WPF コントロール


記録/再生時の事前読み込みの設定

記録および再生中に 、WPFComboBox や WPFListBox のような WPFItemsControl 内の項目を事前に入力するかどうかを定義します。WPF 自体が特定のコントロールの項目を遅延読み込みするため、項目がビューにスクロールされない場合、それらの項目は Silk4NET では使用できません。ビューにスクロールされないとアクセスできない項目にアクセスするには、事前入力をオンにします。これはデフォルトの設定です。ただし、一部のアプリケーションでは Silk4NET によってバックグランドで項目が事前入力されると問題が発生し、そのためアプリケーションがクラッシュすることがあります。この場合、事前入力をオフにします。

  1. Silk4NET > オプションの編集 をクリックします。
  2. WPF タブ をクリックします。
  3. 項目の事前読み込み 領域で、OPT_WPF_PREFILL_ITEMS チェック ボックスをオンにします。
  4. OK をクリックします。
親トピック: Windows Presentation Foundation（WPF）のサポート


Silverlight アプリケーションのサポート

Microsoft Silverlight (Silverlight) は、リッチ インターネット アプリケーションを記述し、実行するためのアプリケーション フレームワークで、Adobe Flash と同様の機能と目的を備えています。Silverlight の実行時環境は、大部分の Web ブラウザでプラグインとして使用できます。

Silk4NET は、Silverlight アプリケーションのテストを組み込みでサポートしています。Silk4NET は、ブラウザ内部と同様ブラウザ外部でも実行される Silverlight アプリケーションをサポートしており、.NET バージョン 3.5 以降でコントロールを記録し、再生できます。

Silverlight をベースとする以下のアプリケーションがサポートされます。
  • Internet Explorer で実行される Silverlight アプリケーション
  • ブラウザー外実行 Silverlight アプリケーション

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

サポートするコントロール

Silk4NET は、Silverlight コントロールの記録と再生をサポートしています。

Silverlight テストで使用可能なコントロールの完全な一覧については、「Silverlight クラス リファレンス」を参照してください。

注: Silk Test 14.0 以降では、Silk4NET は、画面上で操作可能でかつ表示されている Silverlight コントロールのみを認識します。この変更は、Silk Test 14.0 より前のバージョンの Silk Test を使用して記録されたテストの動作に影響を与える可能性があります。Silk Test 14.0 以降を使用してこのようなテストを実行するには、不可視な、または利用可能でないすべての Silverlight コントロールをテストから削除してください。

前提条件

Microsoft Windows XP で Silverlight アプリケーションをテストする場合、サービス パック 3 をインストールし、Windows 7 で提供される Microsoft User Interface Automation の Windows XP 用の更新プログラムを適用する必要があります。更新プログラムは、http://www.microsoft.com/download/en/details.aspx?id=13821 からダウンロードできます。

注: Microsoft User Interface Automation は、Silverlight サポート用にインストールする必要があります。Windows オペレーティング システムを使用していて、Silverlight サポートが機能しない場合は、使用しているオペレーティング システム用の Microsoft User Interface Automation の更新プログラムを http://support.microsoft.com/kb/971513 からダウンロードしてインストールしてください。
  • Silverlight クラス リファレンス
    Silverlight をサポートするための Visual Basic クラスを一覧します。
  • Silverlight コントロールを識別するためのロケーター属性
    Silverlight コントロールを識別するためにサポートされているロケーター属性について説明します。
  • Silverlight メソッドの動的呼び出し
    動的呼び出し機能を使用して Silk4NET が対象としないコントロールのメソッドを呼び出したり、プロパティを取得/設定する方法について説明します。
  • Silverlight でのスクロール
    Silverlight コントロールでのスクロールの処理方法を説明します。
  • Silverlight アプリケーションのテスト時のトラブルシューティング
    Silverlight アプリケーションのテスト時に発生する可能性のある問題の処理について有用な情報を提供します。
親トピック: .NET のサポート


Silverlight クラス リファレンス

Silverlight アプリケーションを設定すると、Silk4NET は標準の Silverlight コントロールのテストのサポートを組み込みで提供します。

親トピック: Silverlight アプリケーションのサポート
関連資料
Silverlight Class Reference


Silverlight コントロールを識別するためのロケーター属性

Silverlight コントロールでサポートされているロケーター属性は次のとおりです。
  • automationId
  • caption
  • className
  • name
  • すべての動的ロケーター属性
注: 属性名は、大文字小文字が区別されます (モバイル アプリケーションを除く。モバイル アプリケーションでは、大文字小文字は無視されます)。デフォルトで、属性値では大文字と小文字が区別されますが、他のオプションと同様にこのデフォルト設定は変更できます。ロケーター属性は、ワイルドカード ? および * をサポートしています。

動的ロケーター属性の詳細については、「動的ロケーター属性」を参照してください。

Silverlight スクリプト内のコンポーネントを識別するために、automationId、caption、className、name、または任意の動的ロケーター属性を指定できます。 automationId はアプリケーション開発者が設定します。 たとえば、automationId を持つロケーターは、以下のようになります：//SLButton[@automationId="okButton"]

automationId は一般に非常に有用で安定した属性であるため、使用することを推奨します。

属性の種類 | 説明 | 例
automationId | テスト対象アプリケーションの開発者によって設定される識別子。 Visual Studio デザイナは、デザイナ上で作成されたすべてのコントロールに自動的に automationId を割り当てます。 アプリケーション開発者は、アプリケーションのコード上でコントロールを識別するために、この ID を使用します。 | //SLButton[@automationId="okButton"]
caption | コントロールが表示するテキスト。 複数の言語にローカライズされたアプリケーションをテストする場合、caption の代わりに automationId や name 属性を使用することを推奨します。 | //SLButton[@caption="Ok"]
className | Silverlight コントロールの .NET 単純クラス名 (名前空間なし)。 className 属性を使用すると、Silk4NET が解決する標準 Silverlight コントロールから派生したカスタム コントロールを識別するのに役立ちます。 | //SLButton[@className='MyCustomButton']
name | コントロールの名前。 テスト対象アプリケーションの開発者によって設定されます。 | //SLButton[@name="okButton"]
重要: XAML コードの name 属性は、ロケーター属性 name ではなく、ロケーター属性 automationId にマップされます。

Silk4NET は、automationId、name、caption、className 属性をこの表に示した順番に使用して Silverlight コントロールのロケーターを記録時に作成します。 たとえば、コントロールが automationId と name を持つ場合、automationId が固有の場合は Silk4NET がロケーターを作成する際に使用されます。

以下の表は、アプリケーション開発者がテキスト「Ok」を持つ Silverlight ボタンをアプリケーションの XAML コードに定義する方法を示しています。
オブジェクトの XAML コード | Silk Test からオブジェクトを検索するためのロケーター
<Button>Ok</Button> | //SLButton[@caption="Ok"]
<Button Name="okButton">Ok</Button> | //SLButton[@automationId="okButton"]
<Button AutomationProperties.AutomationId="okButton">Ok</Button> | //SLButton[@automationId="okButton"]
<Button AutomationProperties.Name="okButton">Ok</Button> | //SLButton[@name="okButton"]
親トピック: Silverlight アプリケーションのサポート
親トピック: サポートする属性の種類
関連概念
動的ロケーター属性


Silverlight メソッドの動的呼び出し

動的呼び出しを使用すると、テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、メソッドの呼び出し、プロパティーの取得、またはプロパティーの設定を直接実行できます。また、このコントロールの Silk4NET API で使用できないメソッドおよびプロパティーも呼び出すことができます。動的呼び出しは、作業しているカスタム コントロールを操作するために必要な機能が、Silk4NET API を通して公開されていない場合に特に便利です。

オブジェクトの動的メソッドは Invoke メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

オブジェクトの複数の動的メソッドは InvokeMethods メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

動的プロパティの取得には GetProperty メソッドを、動的プロパティの設定には SetProperty メソッドを使用します。コントロールでサポートされている動的プロパティのリストを取得するには、GetPropertyList メソッドを使用します。

たとえば、テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、タイトルを String 型の入力パラメータとして設定する必要がある SetTitle というメソッドを呼び出すには、次のように入力します：
control.Invoke("SetTitle", "my new title")
注: 通常、ほとんどのプロパティは読み取り専用で、設定できません。
注: ほとんどのテクノロジー ドメインでは、メソッドを呼び出してプロパティーを取得する場合、Reflection を使用します。

サポートされているパラメータ型

次のパラメータ型がサポートされます。
  • すべての組み込み Silk4NET 型。

    Silk4NET 型には、プリミティブ型 (boolean、int、string など)、リスト、およびその他の型 (Point、Rect など) が含まれます。

  • 列挙型。

    列挙パラメータは文字列として渡す必要があります。文字列は、列挙値の名前と一致しなければなりません。たとえば、メソッドが .NET 列挙型 System.Windows.Visiblity のパラメータを必要とする場合には、Visible、Hidden、Collapsed の文字列値を使用できます。

  • .NET 構造体とオブジェクト。

    .NET 構造体とオブジェクト パラメータはリストとして渡します。リスト内の要素は、テスト アプリケーションの .NET オブジェクトで定義されているコンストラクタの 1 つと一致しなければなりません。たとえば、メソッドが .NET 型 System.Windows.Vector のパラメータを必要とする場合、2 つの整数値を持つリストを渡すことができます。これが機能するのは、System.Windows.Vector 型が 2 つの整数値を引数に取るコンストラクタを持つためです。

  • その他のコントロール。

    コントロール パラメータは TestObject として渡すことができます。

サポートされているメソッドおよびプロパティ

次のメソッドとプロパティを呼び出すことができます。
  • MSDN が定義する AutomationElement クラスのすべてのパブリック メソッドとプロパティ。詳細については、http://msdn.microsoft.com/en-us/library/system.windows.automation.automationelement.aspx を参照してください。
  • MSUIA が公開するすべてのメソッドとプロパティ。利用可能なメソッドとプロパティは「パターン」で分類されます。パターンとは、MSUIA 固有の用語です。すべてのコントロールは、いくつかのパターンを実装します。一般的なパターンについての概要およびすべての利用可能なパターンについては、http://msdn.microsoft.com/en-us/library/ms752362.aspx を参照してください。カスタム コントロールの開発者は、MSUIA パターン セットを実装することによって、カスタム コントロールのテスト サポートを提供できます。

戻り値

プロパティや戻り値を持つメソッドの場合は、次の値が返されます。
  • すべての組み込み Silk4NET 型の場合は正しい値。
  • 戻り値を持たないすべてのメソッドの場合、C# では null が、VB では Nothing が返されます。
  • すべてのその他の型の場合は文字列。

    この文字列表現を取得するには、テスト対象アプリケーションの返された .NET オブジェクトに対して ToString メソッドを呼び出します。

例

Silverlight の TabItem。 これは TabControl の項目です。
tabItem.Invoke("SelectionItemPattern.Select")
mySilverligtObject.GetProperty("IsPassword")
親トピック: Silverlight アプリケーションのサポート
関連概念
動的呼び出し
カスタム コントロール
動的呼び出しに関するよくある質問


Silverlight でのスクロール

Silk4NET では、Silverlight コントロールに応じて、2 種類のスクロール方法とプロパティを提供します。
  • 1 つめの種類のコントロールには、それ自体でスクロール可能なコントロールが含まれ、スクロールバーは子として明示的に表示されません。 たとえば、コンボ ボックス、ペイン、リスト ボックス、ツリー コントロール、データ グリッド、オート コンプリート ボックスなどがあります。
  • 2 つめの種類のコントロールには、それ自体ではスクロール不可能なコントロールが含まれ、スクロール用にスクロールバーが子として表示されます。 たとえば、テキスト フィールドがあります。
Silk4NET にこのような違いがあるのは、Silk4NET のコントロールがこの 2 通りの方法でスクロールを実装するためです。

スクロールをサポートするコントロール

この場合、スクロール方法とプロパティは、スクロールバーを含むコントロールで使用できます。 したがって、 Silk4NET ではスクロールバー オブジェクトは表示されません。

使用例

以下のコマンドでは、リスト ボックスが一番下までスクロールされます。
listBox.SetVerticalScrollPercent(100)
以下のコマンドでは、リスト ボックスが 1 ユニットずつ下方へスクロールされます。
listBox.ScrollVertical(ScrollAmount.SmallIncrement)

スクロールをサポートしないコントロール

この場合、スクロールバーが表示されます。 コントロール自体で可能なスクロール方法とプロパティはありません。 水平スクロールバーと垂直スクロールバーの各オブジェクトを使用すると、対応する API 関数でパラメータとして増分または減分、または最終位置を指定することでコントロール内をスクロールできます。 増分または減分として ScrollAmount 列挙の値を使用できます。 詳細については、Silverlight の製品マニュアルを参照してください。 最終位置は、オブジェクトの位置に関連し、アプリケーション設計者によって定義されます。

使用例

以下のコマンドでは、テキスト ボックス内の垂直スクロールバーが 15 の位置までスクロールされます。
 textBox.SLVerticalScrollBar().ScrollToPosition(15)
以下のコマンドでは、テキスト ボックス内の垂直スクロールバーが一番下までスクロールされます。
 textBox.SLVerticalScrollBar().ScrollToMaximum()
親トピック: Silverlight アプリケーションのサポート


Silverlight アプリケーションのテスト時のトラブルシューティング

Silk4NET で Silverlight アプリケーションの内部を確認できず、記録時に緑色の矩形領域が描画されない

次の理由により、Silk4NET は Silverlight アプリケーションの内部を確認できなくなっています。
原因 | 解決策
使用している Silverlight のバージョンが 3 以前である | Silverlight 3 (Silverlight Runtime 4) または Silverlight 4 (Silverlight Runtime 4) を使用します。
使用している Silverlight アプリケーションがウィンドウレス モードで実行されている Silk4NET は、ウィンドウレス モードで実行される Silverlight アプリケーションをサポートしません。このようなアプリケーションをテストするには、Silverlight アプリケーションが実行されている Web サイトを変更する必要があります。つまり、Silverlight アプリケーションがホストされている HTML または ASPX ファイルのオブジェクト タグの windowless パラメータを false に設定する必要があります。
以下のコードは、windowless パラメータを false に設定する例を示します。
<object ...>
  <param name="windowless" value="false"/>
  ...
</object>
親トピック: Silverlight アプリケーションのサポート


Visual COBOL のサポート

Silk4NET は、Visual COBOL アプリケーションに対するテストの記録と再生をサポートします。.NET COBOL から Silk4NET API を使用して、次の Visual COBOL アプリケーションに対して自動テストのスクリプトを記述することもできます。
  • ダイアログ システム アプリケーション
  • CGI アプリケーション
  • COBOL Win32 アプリケーション
  • .NET COBOL - WPF および Windows Forms アプリケーション
  • COBOL JVM - Swing アプリケーション
  • バックエンドにある COBOL を呼び出す非 COBOL のフロントエンド アプリケーション
注: コントロールによっては、Silk4NET は低レベルの記録のみをサポートします。

サポートする Visual COBOL のバージョンについての情報は、『リリース ノート』を参照してください。

  • 例：Visual COBOL アプリケーションのテスト
    Visual COBOL アプリケーションをテストする方法について説明します。
親トピック: .NET のサポート


例：Visual COBOL アプリケーションのテスト

このトピックでは、Silk4NET を使用して Visual COBOL アプリケーションをテストする方法について説明します。ここでは、.NET COBOL のサンプル アプリケーションである WPF Book をテストします。

Visual COBOL をインストールすると、Visual COBOL のサンプル アプリケーションもインストールされます。Samples Browser を使用して、Visual Studio のサンプル アプリケーションを開くことができます。Samples Browser の詳細については、 Visual COBOL ドキュメントを参照してください。

注: 次の例は、Visual Studio 2015 と Micro Focus Visual COBOL for Visual Studio 2015 を使用して実行しました。これらのプロジェクトのほかのバージョンでは、ユーザー インターフェイスが若干異なる場合があります。
  1. Visual Studio で WPF Book を開くには、Samples Browser を開き、Windows Presentation Foundation を選択し、リストから WPF Book を選択します。そして、Open sample in Visual Studio をクリックします。
  2. Visual Studio で ソリューション エクスプローラー を開き、WPF Book ソリューションにアクセスします。
  3. ソリューションの WPFBook プロジェクトを右クリックし、ビルド をクリックしてプロジェクトをビルドします。
  4. Samples Browser を再度開き、新しくビルドした実行可能ファイルにアクセスします。
  5. WPF Book を選択し、Open sample folder をクリックします。
  6. WPFBook\Bin\Debug に移動します。
  7. WPFBook.exe をダブルクリックします。
  8. Visual Studio で新しい Silk4NET プロジェクトを作成します

  9. 新しい Silk4NET テストの記録を開始します。

  10. アプリケーションの選択 ダイアログ ボックスで、Windows タブを選択します。
  11. WPFForm Book Demo をクリックします。

  12. OK をクリックします。
  13. WPFForm Book Demo で Show List of Books をクリックします。
  14. Oliver Twist の RetailPrice 列にマウス カーソルを移動し、Ctrl+Alt をクリックして、小売価格が 10.00 であることの検証を作成します。

  15. プロパティの検証 ダイアログ ボックスで OK をクリックます。
  16. WPFListView ウィンドウで 閉じる をクリックします。

  17. Recorder ウィンドウで 停止 をクリックします。
  18. Visual Studio で記録したテスト メソッドを右クリックし、テストの実行 を選択します。

    テストの実行が終了したら、テスト結果を検討できます。

親トピック: Visual COBOL のサポート


Rumba のサポート

Rumba は、世界トップクラスの Windows デスクトップ端末エミュレーション ソリューションです。Silk Test は、Rumba の記録および再生を組み込みでサポートしています。

Rumba でのテスト時には、以下の点を考慮してください。

  • Rumba のバージョンは、Silk Test のバージョンと互換性がある必要があります。バージョン 8.1 以前の Rumba はサポートされていません。
  • Rumba のグリーン スクリーンの周囲にあるコントロールはすべて WPF の基本機能 (または Win32) を使用しています。
  • サポートされている Rumba デスクトップ タイプは、以下のとおりです。
    • メインフレーム ディスプレイ
    • AS400 ディスプレイ
    • Unix ディスプレイ

Rumba テストで使用できる記録および再生のコントロールの完全な一覧については、「Rumba クラス リファレンス」を参照してください。

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

  • Rumba クラス リファレンス
    Rumba をサポートするための Visual Basic クラスを一覧します。
  • Rumba の有効化と無効化
    Rumba を有効/無効にする方法について説明します。
  • Rumba コントロールを識別するためのロケーター属性
    Rumba コントロールを識別するためにサポートされているロケーター属性について説明します。
  • Unix ディスプレイのテスト
    Rumba で Unix ディスプレイでテストを再生する方法について説明します。
親トピック: 特定の環境のテスト


Rumba クラス リファレンス

Rumba アプリケーションを設定すると、Silk4NET は標準の Rumba コントロールのテストのサポートを組み込みで提供します。

親トピック: Rumba のサポート
関連資料
Rumba Class Reference


Rumba の有効化と無効化

Rumba は、世界トップクラスの Windows デスクトップ端末エミュレーション ソリューションです。 Rumba は、メインフレーム、ミッドレンジ、UNIX、Linux、および HP サーバーとの接続ソリューションを提供します。

サポートの有効化

Rumba スクリプトを記録および再生する前に、サポートを有効にする必要があります。

  1. Rumba デスクトップ クライアント ソフトウェア バージョン 8.1 以降をインストールします。
  2. (Microsoft Windows 7) スタート > すべてのプログラム > Silk > Silk Test > 管理 > Rumba プラグイン > Silk Test Rumba プラグインの有効化、または (Microsoft Windows 10) スタート > Silk > Silk Test Rumba プラグインの有効化 をクリックします。

サポートの無効化

(Microsoft Windows 7) スタート > すべてのプログラム > Silk > Silk Test > 管理 > Rumba プラグイン > Silk Test Rumba プラグインの無効化、または (Microsoft Windows 10) スタート > Silk > Silk Test Rumba プラグインの無効化 をクリックします。

親トピック: Rumba のサポート


Rumba コントロールを識別するためのロケーター属性

ロケーターが作成されるとき、属性の種類はアプリケーションが使用するテクノロジ ドメインに基づいて自動的に割り当てられます。 属性の種類と値によって、ロケーターがテスト内のオブジェクトを識別する方法が決定されます。 サポートされている属性は次のとおりです。

caption
コントロールが表示するテキスト。
priorlabel
フォームの入力フィールドには通常入力の目的を説明するラベルがあるため、priorlabel の目的は隣接するラベル フィールド RumbaLabel のテキストによってテキスト入力フィールド RumbaTextField を識別することです。 テキスト フィールドの同じ行の直前にラベルがない場合、または右側のラベルが左側のラベルよりテキスト フィールドに近い場合、テキスト フィールドの右側にあるラベルが使用されます。
StartRow
この属性は記録されていませんが、手動でロケーターに追加することができます。 StartRow を使用して、この行で始まるテキスト入力フィールド、RumbaTextField を識別します。
StartColumn
この属性は記録されていませんが、手動でロケーターに追加することができます。 StartColumn を使用して、この列で始まるテキスト入力フィールド、RumbaTextField を識別します。
すべての動的ロケーター属性。

動的ロケーター属性の詳細については、「動的ロケーター属性」を参照してください。

注: 属性名は、大文字小文字が区別されます (モバイル アプリケーションを除く。モバイル アプリケーションでは、大文字小文字は無視されます)。デフォルトで、属性値では大文字と小文字が区別されますが、他のオプションと同様にこのデフォルト設定は変更できます。ロケーター属性は、ワイルドカード ? および * をサポートしています。
親トピック: Rumba のサポート
親トピック: サポートする属性の種類


Unix ディスプレイのテスト

Rumba の Unix ディスプレイは完全にテキスト ベースで、メインの RUMBA 画面 コントロール以外に UI コントロールはありません。Unix ディスプレイ上のテストを再生するには、SendKeys メソッドを使用して、Unix ディスプレイにキーを送信します。Silk4NET は、Unix ディスプレイ上での記録をサポートしません。

親トピック: Rumba のサポート


SAP のサポート

Silk4NET は、Windows ベースの GUI モジュールを基にした SAP クライアント／サーバー アプリケーションのテストを組み込みでサポートしています。
注: Silk4NET のプレミアム ライセンスを所有している場合にのみ、Silk4NET で SAP アプリケーションをテストできます。ライセンス モードについての詳細は、「ライセンス情報」を参照してください。
注: Internet Explorer や Firefox 上から SAP NetWeaver を使用する場合、Silk4NET は、xBrowser テクノロジ ドメインを使用してアプリケーションをテストします。

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

サポートするコントロール

SAP のテストで利用可能な記録および再生コントロールの完全な一覧については、「SAP クラス リファレンス」を参照してください。

サポートされている属性の一覧については、「SAP アプリケーションの属性」を参照してください。

  • SAP クラス リファレンス
    SAP をサポートするための Visual Basic クラスを一覧します。
  • SAP アプリケーションの属性
    SAP アプリケーションがサポートする属性の一覧を提供します。
  • SAP メソッドの動的な呼び出し
    動的呼び出し機能を使用して Silk4NET が対象としないコントロールのメソッドを呼び出したり、プロパティーを取得/設定したりする方法を説明します。
  • SAP コントロールの動的呼び出し
    SAP コントロールのメソッドを動的に呼び出して、Silk4NET で記録できない SAP コントロールに対する操作を再生します。
  • SAP の自動セキュリティ設定の構成
    SAP アプリケーションを起動する前に、セキュリティ警告設定を構成する必要があります。 このようにしないと、テストで SAP アプリケーションが再生されるたびにセキュリティ警告が表示されます。
親トピック: 特定の環境のテスト
関連概念
ライセンス情報


SAP クラス リファレンス

SAP アプリケーションを設定すると、Silk4NET は標準の SAP コントロールのテストのサポートを組み込みで提供します。

注: Silk4NET が SAP コントロールを解決できるようにするには、サーバー上で SAP GUI Scripting を有効にします。SAP GUI Scripting の有効化についての情報は、『Introduction to SAP Gui Scripting』を参照してください。SAP GUI Scripting が有効になっていないと、Silk4NET は、すべてのコントロールを Win32 コントロール、およびカスタム コントロールとして解決します。

SAP クラス リファレンスに含まれるクラス (インクルードしたプロパティとメソッドを含む)は、Silk4NET から直接アクセス可能な SAP オートメーション モジュールの一部です。

注: インターフェイスに備わるアルゴリズムや動作を含み、インターフェイスは Silk4NET のコントロール下にはありません。
親トピック: SAP のサポート
関連資料
SAP Class Reference


SAP アプリケーションの属性

ロケーターが作成されるとき、属性の種類はアプリケーションが使用するテクノロジ ドメインに基づいて自動的に割り当てられます。 属性の種類と値によって、ロケーターがテスト内のオブジェクトを識別する方法が決定されます。

SAP がサポートする属性は次のとおりです。
  • automationId
  • caption
注: 属性名は、大文字小文字が区別されます (モバイル アプリケーションを除く。モバイル アプリケーションでは、大文字小文字は無視されます)。デフォルトで、属性値では大文字と小文字が区別されますが、他のオプションと同様にこのデフォルト設定は変更できます。ロケーター属性は、ワイルドカード ? および * をサポートしています。
親トピック: SAP のサポート
親トピック: サポートする属性の種類


SAP メソッドの動的な呼び出し

動的呼び出しを使用すると、テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、メソッドの呼び出し、プロパティーの取得、またはプロパティーの設定を直接実行できます。また、このコントロールの Silk4NET API で使用できないメソッドおよびプロパティーも呼び出すことができます。動的呼び出しは、作業しているカスタム コントロールを操作するために必要な機能が、Silk4NET API を通して公開されていない場合に特に便利です。

オブジェクトの動的メソッドは Invoke メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

オブジェクトの複数の動的メソッドは InvokeMethods メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

動的プロパティの取得には GetProperty メソッドを、動的プロパティの設定には SetProperty メソッドを使用します。コントロールでサポートされている動的プロパティのリストを取得するには、GetPropertyList メソッドを使用します。

たとえば、テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、タイトルを String 型の入力パラメータとして設定する必要がある SetTitle というメソッドを呼び出すには、次のように入力します：
control.Invoke("SetTitle", "my new title")
注: 通常、ほとんどのプロパティは読み取り専用で、設定できません。
注: ほとんどのテクノロジー ドメインでは、メソッドを呼び出してプロパティーを取得する場合、Reflection を使用します。

サポートされているメソッドおよびプロパティ

次のメソッドとプロパティを呼び出すことができます。
  • Silk4NET がサポートするコントロールのメソッドとプロパティー。
  • SAP オートメーション インターフェイスによって定義されているすべての public メソッド
  • コントロールが標準コントロールから派生したカスタム コントロールの場合、標準コントロールが呼び出すことのできるすべてのメソッドとプロパティー。

サポートされているパラメータ型

次のパラメータ型がサポートされます。
  • すべての組み込み Silk4NET 型

    Silk4NET 型には、プリミティブ型 (boolean、int、string など)、リスト、およびその他の型 (Point や Rect など) が含まれます。

  • UI コントロール

    UI コントロールは、TestObject として渡したり、返したりできます。

戻り値

プロパティや戻り値を持つメソッドの場合は、次の値が返されます。
  • すべての組み込み Silk4NET 型の場合は正しい値。これらの型は、「サポートされているパラメータ型」のセクションに記載されています。
  • 戻り値を持たないすべてのメソッドの場合、C# では null が、VB では Nothing が返されます。
親トピック: SAP のサポート
関連概念
動的呼び出し
カスタム コントロール
動的呼び出しに関するよくある質問


SAP コントロールの動的呼び出し

Silk4NET で SAP コントロールに対する操作を記録できない場合、SAP で利用できるレコーダーで操作を記録してから、記録されたメソッドを Silk4NET スクリプトで動的に呼び出すことができます。これによって、記録できない SAP コントロールに対する操作を再生できます。
  1. コントロールに対して実行する操作を記録するには、SAP で利用できる SAP GUI スクリプト作成 ツールを使用できます。 SAP GUI スクリプト作成 ツールの詳細については、SAP のドキュメントを参照してください。
  2. 記録された操作を SAP GUI スクリプト作成 ツールによって保存された場所から開き、記録されたメソッドを確認します。
  3. Silk4NET で、記録されたメソッドをスクリプトから動的に呼び出します。

使用例

たとえば、SAP UI で Test というラベルが付いた、ボタンとリスト ボックスの組み合わせである特別なコントロールを押し、コントロールのサブメニュー subsub2 を選択する操作を再生したい場合、SAP で利用できるレコーダーでこの操作を記録できます。結果のコードは、以下のようになります。
session.findById("wnd[0]/usr/cntlCONTAINER/shellcont/shell").pressContextButton "TEST"
session.findById("wnd[0]/usr/cntlCONTAINER/shellcont/shell").selectContextMenuItem "subsub2"
ここで、メソッド pressContextButton と selectContextMenuItem を Silk4NET のスクリプトから動的に呼び出すには、次のコードを使用できます。
.SapToolbarControl("shell ToolbarControl").Invoke("pressContextButton", "TEST")
.SapToolbarControl("shell ToolbarControl").Invoke("selectContextMenuItem", "subsub2")
このコードを再生すると、SAP UI のコントロールが押下され、サブメニューが選択されます。
親トピック: SAP のサポート


SAP の自動セキュリティ設定の構成

SAP アプリケーションを起動する前に、セキュリティ警告設定を構成する必要があります。 このようにしないと、テストで SAP アプリケーションが再生されるたびにセキュリティ警告 「スクリプトから GUI に接続しようとしています」が表示されます。

  1. Windows の コントロール パネル で SAP システム設定 を選択します。 SAP システム設定 ダイアログ ボックスが開きます。
  2. デザイン選択 タブで、スクリプトが実行中 SAP GUI に追加されるとき通知 をオフにします。
親トピック: SAP のサポート


Windows API ベースのアプリケーションのサポート

Silk4NET は、Microsoft Windows API ベースのアプリケーションのテストを組み込みでサポートしています。アクセシビリティを有効にすると Microsoft のアプリケーションのいくつかのオブジェクトが Silk4NET によってより詳細に認識されます。たとえば、アクセシビリティを有効にしないと、Silk4NET は Microsoft Word のメニューバーおよび バージョン 7.0 より後の Internet Explorer に表示されるタブについて基本的な情報のみを記録します。ただし、アクセシビリティを有効にすると、Silk4NET によってそれらのオブジェクトがすべて認識されます。必要な場合、新しいウィンドウを定義すると、Silk4NET によるオブジェクトの認識を向上させることもできます。

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

サポートするコントロール

Windows ベースのテストで利用可能な記録および再生コントロールの完全な一覧については、「Win32 クラス リファレンス」を参照してください。

  • Win32 クラス リファレンス
    Win32 をサポートするための Visual Basic クラスを一覧します。
  • Windows API ベースのクライアント/サーバー アプリケーションの属性
    Windows API ベースのクライアント/サーバー アプリケーションがサポートする属性の一覧を提供します。
  • Win32 テクノロジ ドメインにおける priorLabel の決定方法
    Win32 テクノロジ ドメインで priorLabel が決定される方法について説明します。
  • 埋め込み Chrome アプリケーションのテスト
    Silk4NET を使用して埋め込み Chrome アプリケーションをテストする方法について説明します。
  • MFC（Microsoft Foundation Class）のサポート
    Silk4NET の MFC（Microsoft Foundation Class）コントロールのサポートについて説明します。
親トピック: 特定の環境のテスト


Win32 クラス リファレンス

Win32 アプリケーションを設定すると、Silk4NET は標準の Windows API ベースのコントロールのテストのサポートを組み込みで提供します。

親トピック: Windows API ベースのアプリケーションのサポート
関連資料
Win32 Class Reference


Windows API ベースのクライアント/サーバー アプリケーションの属性

ロケーターが作成されるとき、属性の種類はアプリケーションが使用するテクノロジ ドメインに基づいて自動的に割り当てられます。 属性の種類と値によって、ロケーターがテスト内のオブジェクトを識別する方法が決定されます。

Windows API ベースのクライアント/サーバー アプリケーションがサポートする属性は次のとおりです。
  • caption
  • windowid
  • priorlabel：隣接するラベル フィールドのテキストによってテキスト入力フィールドを識別します。 通常、フォームのすべての入力フィールドに、入力の目的を説明するラベルがあります。 caption のないコントロールの場合、自動的に属性 priorlabel がロケーターに使用されます。 コントロールの priorlabel 値 (テキスト ボックスなど) には、コントロールの左側または上にある最も近いラベルの caption が使用されます。
注: 属性名は、大文字小文字が区別されます (モバイル アプリケーションを除く。モバイル アプリケーションでは、大文字小文字は無視されます)。デフォルトで、属性値では大文字と小文字が区別されますが、他のオプションと同様にこのデフォルト設定は変更できます。ロケーター属性は、ワイルドカード ? および * をサポートしています。
親トピック: Windows API ベースのアプリケーションのサポート
親トピック: サポートする属性の種類


Win32 テクノロジ ドメインにおける priorLabel の決定方法

Win32 テクノロジ ドメインにおいて priorLabel を決定する場合、同じウィンドウ内のすべてのラベルとグループが対象のコントロールとみなされます。 以下の条件に従って、コントロールが決定されます。
  • コントロールの上または左側にあるラベル、およびコントロールを囲むグループが priorLabel の候補とみなされます。
  • 最も単純なケースでは、コントロールに最も近いラベルが priorLabel として使用されます。
  • コントロールからの距離が等しい 2 つのラベルが存在する場合、次の条件に基づいて priorLabel が決定されます。
    • 一方のラベルがコントロールの左側にあり、他方が上にある場合、左側のものが優先されます。
    • 両方のラベルがコントロールの左側にある場合、上にあるものが優先されます。
    • 両方のラベルがコントロールの上にある場合、左側のものが優先されます。
  • 最も近いコントロールがグループ コントロールである場合、まずグループ内のすべてのラベルが上記の規則に従って決定されます。 グループ内に適切なラベルが見つからない場合は、グループのキャプションが priorLabel として使用されます。
親トピック: Windows API ベースのアプリケーションのサポート


埋め込み Chrome アプリケーションのテスト

埋め込み Chrome アプリケーションは、Chromium コアをベースとした埋め込み Web ブラウザー エンジンを使用したデスクトップ アプリケーションです。このようなアプリケーションでは、デスクトップ アプリケーションに Web ブラウザーの機能を追加できます。Chromium Embedded Framework (CEF) や Electron フレームワークを使用して、このようなアプリケーションを作成できます。

Silk4NET は、--remote-debugging-port コマンド ライン引数を指定してリモート デバッグを有効にした埋め込み Chrome アプリケーションのテストをサポートします。Silk4NET では、Java（Java AWT や Swing アプリケーションなど）をベースにした埋め込み Chrome アプリケーションのテストをサポートしません。

Silk4NET を使用して埋め込み Chrome アプリケーションをテストするには、アプリケーションの実行可能ファイルにデバッグ ポートを設定する必要があります。コマンド ラインからアプリケーションを開始して、リモート デバッグ ポートを設定します。

  • Silk4NET は、-remote-debugging-port 引数が埋め込み Chrome アプリケーションのコマンド ライン引数に設定されているかどうかを確認します。引数が設定されている場合、Silk4NET は 埋め込み Chrome サポートの有効化 フィールドに適切な実行可能ファイルとデバッグ用ポートを自動的に設定します。
  • -remote-debugging-port 引数が埋め込み Chrome アプリケーションのコマンド ライン引数に設定されていない場合は、実行可能ファイルとポートを 埋め込み Chrome サポートの有効化 フィールドに次の手順で指定する必要があります。
    1. Silk4NET UI で、オプションの編集 を選択します。
    2. オプション ダイアログで、詳細設定 タブを選択します。
    3. 埋め込み Chrome サポートの有効化 オプションで、実行可能ファイルとポートの値ペアを、カンマ区切りで次のように指定します。
      <application name>.exe=<port number>
注: Silk4NET によるリモート デバッグを許可しない埋め込み Chrome アプリケーションをテストすることはできません。
注: Silk4NET では、Electron アプリの非ブラウザー メニューのテストをサポートしません。

例

たとえば、コマンド ラインから myApp アプリケーションを次のように実行します。
myApp.exe --remote-debugging-port=9222
この場合、埋め込み Chrome サポートの有効化 オプションに実行可能ファイルとポートの値ペアを次のように指定します。
myApp.exe=9222
親トピック: Windows API ベースのアプリケーションのサポート


MFC（Microsoft Foundation Class）のサポート

MFC（Microsoft Foundation Class）のクラス ID は、時間がたつと変更されることがあるため、安定したロケーターを生成するために使用することはできません。不安定なロケーターの生成を避けるため、Silk4NET では次の属性をロケーターとして使用します。
  • MFC クラス名（MFC コントロールの Windows クラス名が Afx: で始まる場合）
  • Windows クラス名（MFC コントロールの Windows クラス名が Afx: で始まらない場合）
Silk4NET は MFC バージョン 140 のみをサポートします。 また、サポートする組み合わせは次の通りです。
  • Release、x86、MBCS
  • Release、x86、Unicode
  • Debug、x86、MBCS
  • Debug、x86、Unicode
  • Release、x64、MBCS
  • Release、x64、Unicode
  • Debug、x64、MBCS
  • Debug、x64、Unicode
注: Silk4NET 18.5 以前で生成した MFC コントロールのロケーターを持つ既存のテストを実行する場合は、影響するテスト スクリプトで OPT_COMPATIBILITY オプションをバージョン 18.5.0 以前に設定してください。
'VB .NET code
Agent.SetOption("OPT_COMPATIBILITY", "18.5.0")
親トピック: Windows API ベースのアプリケーションのサポート


クロス ブラウザ テスト

Silk4NET を使用すると、単一のポータブルなテスト スクリプトでさまざまなブラウザに対して非常に高度な Web アプリケーションの機能を簡単に検証できます。 Silk4NET は、最新の Web テクノロジを使用した、効率的でメンテナンスしやすいクロス ブラウザ テストのトップレベルのサポートを提供します。

テスト自動化における主要な困難のひとつが、テストの作成と保守にかかるコストの効率化です。ブラウザによって動作が異なるため、Web アプリケーションの検証を生産的に実行することは困難です。Silk4NET は、クロス ブラウザ テストにおける次の 3 つの領域をうまく扱うため、ユーザーはテストの記述に集中することができます。

組み込みの同期処理
これにより、サポートするすべてのブラウザ上で実行するスクリプトを作成することができます。 AJAX や HTML5 などの高度な動的 Web アプリケーションに特有の非同期イベントを手動で同期する必要はありません。Silk4NET は、HTML や AJAX だけでなく、Apache Flex、Microsoft Silverlight、HTML5/AJAX など、すべての主要な Web 環境に対する同期モードをサポートします。詳細については、「xBrowser のページ同期」を参照してください。
統合オブジェクト モデル
Silk4NET では、さまざまなブラウザ上で幅広く実行するテストを作成、保守できます。すべてのブラウザに対応する統合オブジェクト モデルにより、ユーザーはテストの作成と保守を単一のブラウザを中心に行うことができます。Silk4NET は、すべての他のブラウザ上のオブジェクトに同じ方法でアクセスできるようにすることで、さまざまなブラウザに対する回避策を探すことなく、時間を節約してテストの作成に集中できます。
クロス ブラウザ スクリプトの記録
スクリプトを記録すると、修正することなくすべての他のブラウザで再生できます。これにより、テスト スクリプトの作成と保守にかかる時間と労力は劇的に減少します。シミュレーションではなく、テストは実際のブラウザ上で実行されます。つまり、テストは、エンド ユーザーの動作とまったく同じように動作します。
Silk4NET では、次のブラウザを使用して Web アプリケーションのテストを再生できます。
  • Internet Explorer
  • Mozilla Firefox（Microsoft Windows 上または macOS 上）
  • Google Chrome（Microsoft Windows 上または macOS 上）
  • Microsoft Edge
  • Chrome for Android（Android デバイス上）
  • Apple Safari（macOS 上または iOS デバイス上）
  • 埋め込みブラウザ コントロール
注: 次のブラウザのいずれかを使用して Web アプリケーションのテストを記録できます。
  • Internet Explorer
  • Microsoft Edge
  • Mozilla Firefox（Microsoft Windows 上または macOS 上）
  • Google Chrome 50 以降（Microsoft Windows 上または macOS 上）
  • モバイル ブラウザ（モバイル デバイス上）
クロス ブラウザー テスト用にスクリプトを記録する場合、Google Chrome、Mozilla Firefox、または Microsoft Edge を使用することを Micro Focus では推奨しています。 Internet Explorer を使って Silk4NET で記録したスクリプトは、ほかのブラウザーで記録したスクリプトと若干異なる場合があります。
注: Web アプリケーションを記録または再生する前に、システムにインストールされているすべてのブラウザ アドオンを無効にします。Internet Explorer でアドオンを無効にするには、ツール > インターネット オプション をクリックし、プログラム タブをクリックし、アドオンの管理 をクリックし、アドオンを選択してから 無効にする をクリックします。

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

サンプル アプリケーション

Silk Test のサンプル Web アプリケーションには、以下の URL からアクセスします。

  • http://demo.borland.com/InsuranceWebExtJS/
  • http://demo.borland.com/gmopost
  • http://demo.borland.com/gmoajax
  • テストを再生するブラウザーの選択
    テストを再生するために使用するブラウザーを定義する方法について説明します。
  • xBrowser でのテスト オブジェクト
    Silk4NET が Web アプリケーションをモデル化するために使用するクラスについて説明します。
  • xBrowser オブジェクトに対するオブジェクト解決
    Silk4NET が xBrowser オブジェクトを解決する方法について説明します。
  • xBrowser のページ同期
    ページ同期モードの概要とトラブルシューティングのヒントについて説明します。
  • xBrowser における API 再生とネイティブ再生の比較
    API 再生とネイティブ再生の違いを示します。
  • マウス移動の詳細設定
    マウスの移動操作を記録するかどうかを指定します。
  • xBrowser のブラウザ構成の設定
    xBrowser のブラウザ構成設定について説明します。
  • ロケーター生成プログラムを xBrowser 用に構成する
    ロケーター生成プログラムを xBrowser 用に構成する方法について説明します。
  • リモート デスクトップ ブラウザーの接続文字列
    リモート マシン上のデスクトップ ブラウザーに接続するために接続文字列を指定する方法について説明します。
  • リモート Windows マシン上でのブラウザーのテスト
    Microsoft Edge、Google Chrome、Mozilla Firefox. をリモート Windows マシンでテストするために、リモート Windows マシン上で標準の整合性レベルで Information Service を開始します。
  • Mac 上の Google Chrome または Mozilla Firefox のテスト
    Silk Test Information Service を Mac 上にインストールし、Mac 上で Google Chrome または Mozilla Firefox をテストできます。
  • WebDriver ベースのブラウザーのケイパビリティの設定
    基本状態にケイパビリティを設定して、WebDriver ベースのブラウザーの設定をカスタマイズします。
  • Mac 上の Apple Safari を使用したテスト
    Mac 上で Apple Safari を使用してテストする方法について説明します。
  • Google Chrome を使用したテスト
    Google Chrome を使用してテストする方法について説明します。
  • Mozilla Firefox を使用したテスト
    Mozilla Firefox を使用してテストする方法について説明します。
  • Microsoft Edge を使用したテスト
    Microsoft Edge を使用してテストする方法について説明します。
  • レスポンシブ Web デザインのテスト
    ブラウザー ウィンドウのサイズを指定して、レスポンシブ Web デザインのテストを実行する方法について説明します。
  • ビジュアル ブレークポイントの検出
    レスポンシブ Web アプリケーションのビジュアル ブレークポイントを検出して、特定のサイズのウィンドウで Web アプリケーションをテストできます。
  • 追加のブラウザーのバージョンでのテスト
    追加のドライバーのバージョンをインストールして、WebDriver ベースのブラウザーの追加のバージョンでテストを行うことができます。
  • クロス ブラウザ テスト:よくある質問
    さまざまなブラウザ上で Web アプリケーションをテストするときに発生することがある質問のコレクションを示します。
  • スクリプトからのブラウザの起動
    再生時にテスト スクリプトからブラウザを起動するために利用できる手順について説明します。
  • 非表示入力フィールドの検索
    非表示入力フィールドを検索するかどうかを指定する方法について説明します。
  • Web アプリケーションの属性
    Web アプリケーションがサポートする属性の一覧を提供します。
  • Web アプリケーションのカスタム属性
    Web アプリケーションの安定した識別子を作成するために使用できる属性について説明します。
  • xBrowser クラス リファレンス
    xBrowser をサポートするための Visual Basic クラスを一覧します。
親トピック: 特定の環境のテスト


テストを再生するブラウザーの選択

テストを再生するために使用するブラウザーを定義できます。
  • Silk4NET の UI からテストを実行する場合、ブラウザーの選択 ダイアログ ボックスが表示され、このダイアログ ボックスで選択したブラウザーが使用され、テスト スクリプトで設定されているブラウザーを Silk4NET は無視します。
  • ブラウザーの選択 ダイアログ ボックスが無効の場合 (再び表示しない をチェックした場合)、個々のテスト スクリプトのアプリケーション構成によってテストを実行するために使用するブラウザーが決定されます。
    注: ブラウザーの選択 ダイアログ ボックスを再び有効にするには、Silk4NET > アプリケーション構成の編集 をクリックして、記録および再生前に 'ブラウザーの選択' ダイアログを表示する チェックボックスをオンにします。
  • スクリプトをコマンド ラインや CI サーバーから実行する場合は、スクリプトのアプリケーション構成で接続文字列を指定します。

    アプリケーション構成で指定したブラウザーは、silktest.configurationName 環境変数 を使用して上書き指定できます。

  • Silk Central からテストを実行する場合は、テストするブラウザーそれぞれの構成を持つ構成スイートを作成します。そして、適切な構成名を指定します。詳細については、『Silk Central ヘルプ』を参照してください。

silktest.configurationName 環境変数を使用したブラウザーの設定の例

  • ブラウザーとして Internet Explorer を使用する場合は、次のように入力します。
    SET silktest.configurationName=InternetExplorer
  • ブラウザーとして Microsoft Edge を使用する場合は、次のように入力します。
    SET silktest.configurationName=Edge
  • ブラウザーとして Mozilla Firefox を使用する場合は、次のように入力します。
    SET silktest.configurationName=Firefox
  • ブラウザーとして Google Chrome を使用する場合は、次のように入力します。
    SET silktest.configurationName=GoogleChrome
  • ブラウザーとして Mac 上の Apple Safari を使用する場合は、次のように入力します。
    SET silktest.configurationName=host=10.0.0.1  - Safari
    この例では、host は Apple Safari をテストする Mac です。ホストは、リモート ロケーションとして Silk4NET がインストールされているマシンに接続されている必要があります。詳細については、「リモート ロケーションの編集」を参照してください。
  • ブラウザーとして Android デバイス上の Google Chrome を使用する場合は、次のような接続文字列を使用します。たとえば、デバイス ID が 11111111 で、デバイスが IP アドレス 10.0.0.1 のリモート マシンに接続されている場合は、次のように入力します。
    SET silktest.configurationName="platformName=Android;deviceName=MotoG3;deviceId=11111111;host=10.0.0.1 - Chrome"
  • ブラウザーとして iOS デバイス上の Apple Safari を使用する場合は、次のような接続文字列を使用します。たとえば、デバイス ID が 11111111 で、デバイスが IP アドレス 10.0.0.1 のリモート マシンに接続されている場合は、次のように入力します。
    SET silktest.configurationName="platformName=iOS;deviceName=iPad mini;deviceId=11111111;host=10.0.0.1"
    さらに、アプリケーション構成でブラウザーを指定する必要があります。
ヒント: すべての例で、環境変数 silktest.configurationName を設定する代わりに、Java システム プロパティ -Dsilktest.configurationName を設定して、ブラウザーを設定することもできます。たとえば、ブラウザーとして Mac 上の Apple Safari を使用する場合は、次のように入力することもできます。
-Dsilktest.configurationName=host=10.0.0.1 - Safari
ヒント: Silk4NET の UI から再生または記録を開始すると、ブラウザーの選択 ダイアログ ボックスが開き、システムで現在利用可能なブラウザーのリストが表示されます。
親トピック: クロス ブラウザ テスト
関連概念
テストの並列実行
モバイル デバイスの接続文字列
テストを再生するモバイル デバイスの選択
関連タスク
コマンド ラインからのテストの再生
リモート ロケーションの編集


xBrowser でのテスト オブジェクト

Silk4NET では、以下のクラスを使用して Web アプリケーションがモデル化されます。
クラス | 説明
BrowserApplication | Web ブラウザのメイン ウィンドウを公開し、タブ化するための方法を提供します。
BrowserObject | BrowserApplication に含まれるすべてのオブジェクトの基底クラスを表します。
BrowserWindow | タブおよび埋め込みブラウザ コントロールへのアクセスを提供し、異なるページに移動するための方法を提供します。
DomElement | Web アプリケーションの DOM ツリー (フレームを含む) を提供し、すべての DOM 属性へのアクセスを提供します。一部の DOM 要素では、特殊なクラスを使用できます。
DomButton | Web ページの最上位のコンテナを表します。DomElement を介して DOM ツリーを公開します。
DomCheckBox | <input type='checkbox'> タグを使用して指定された、すべての DOM 要素を表します。
DomForm | <form> タグを使用して指定された、すべての DOM 要素を表します。
DomLink | <a> タグを使用して指定された、すべての DOM 要素を表します。
DomListBox | <select> タグを使用して指定された、すべての DOM 要素を表します。
DomRadioButton | <input type='radio'> タグを使用して指定された、すべての DOM 要素を表します。
DomTable | <table> タグを使用して指定された、すべての DOM 要素を表します。
DomTableRow | <tr> タグを使用して指定された、すべての DOM 要素を表します。
DomTextField 次のタグのいずれかを使用して指定された、すべての DOM 要素を表します。
  • <input type='text'>
  • <input type='password'>
  • <input type='file'>
  • <textarea>
親トピック: クロス ブラウザ テスト
関連資料
xBrowser Class Reference


xBrowser オブジェクトに対するオブジェクト解決

xBrowser テクノロジ ドメインは動的オブジェクト解決をサポートします。

テストケースは、オブジェクトを検索し、識別するためにロケーター文字列を使用します。一般的なロケーターには、"//LocatorName[@locatorAttribute='value']" のようにロケーター名と少なくとも 1 つのロケーター属性が含まれます。

ロケーター名
Java SWT などの他の種類のテクノロジでは、テスト オブジェクトのクラス名を使用してロケーター名が作成されます。xBrowser では、DOM 要素のタグ名もロケーター名として使用できます。以下のロケーターは、同じ要素を示しています。
  1. タグ名を使用した場合："//a[@href='http://www.microfocus.com']"
  2. クラス名を使用した場合："//DomLink[@href='http://www.microfocus.com']"

再生速度を最適化するには、クラス名ではなくタグ名を使用します。

ロケーター属性
すべての DOM 属性は、ロケーター文字列属性として使用できます。たとえば、要素 <button automationid='123'>Click Me</button> はロケーター "//button[@automationid='123']" を使用して識別できます。
ロケーターの記録
Silk4NET では、テストを記録したり、オブジェクトの識別 ダイアログ ボックス を使用したりするときに、組み込みロケーター生成プログラムが使用されます。特定のアプリケーションの結果を向上するように、ロケーター生成プログラムを構成することができます。
親トピック: クロス ブラウザ テスト


xBrowser のページ同期

同期は、すべてのメソッド呼び出しの前後に自動的に実行されます。メソッド呼び出しは、同期条件が満たされるまで開始せず、終了もしません。

注: プロパティのアクセスは同期されません。

同期モード

Silk4NET には、HTML および AJAX 用の同期モードがあります。

HTML モードを使用すると、すべての HTML ドキュメントが対話的な状態になることが保証されます。このモードでは、単純な Web ページをテストすることができます。Java Script が含まれるより複雑なシナリオが使用される場合は、以下の同期関数を使用して、手動でスクリプトを記述することが必要になることがあります。
  • WaitForObject
  • WaitForProperty
  • WaitForDisappearance
  • WaitForChildDisappearance

AJAX モードでは、ブラウザがアイドル状態に類似した状態になるまで待機します。このことは、AJAX アプリケーションまたは AJAX コンポーネントを含むページに対して特に効果的です。AJAX モードを使用すると、同期関数を手動で記述する必要がなくなるため、スクリプト（オブジェクトの表示または非表示を待機したり、特定のプロパティ値を待機するなど）の作成処理が大幅に簡略化されます。また、この自動同期は、スクリプトを手動で適用しないで記録と再生を正常に行うための基礎となります。

トラブルシューティング

AJAX の非同期の特性のため、ブラウザが完全にアイドル状態になることはありません。このため、Silk4NET でメソッド呼び出しの終了が認識されず、特定のタイムアウト時間が経過したあとで、タイムアウト エラーが発生することがまれにあります。この場合は、少なくとも、問題が発生する呼び出しに対して、同期モードを HTML に設定する必要があります。

注: 使用するページ同期メソッドにかかわらず、Flash オブジェクトがサーバーからデータを取得し、計算を実行してデータをレンダリングするテストでは、手動でテストに同期メソッドを追加する必要があります。メソッドを追加しないと、Silk4NET は、Flash オブジェクトが計算を完了するまで待機しません。たとえば、Thread.sleep(millisecs) を使用します。

AJAX フレームワークやブラウザによっては、サーバーから非同期にデータを取得するために、特殊な HTTP 要求を継続して出し続けるものがあります。これらの要求により、指定した同期タイムアウトの期限が切れるまで同期がハングすることがあります。この状態を回避するには、HTML 同期モードを使用するか、問題が発生する要求の URL を 同期除外リスト 設定で指定します。

監視ツールを使用して、同期の問題により再生エラーが発生するかどうかを判断します。たとえば、FindBugs（http://findbugs.sourceforge.net/）を使用して、AJAX 呼び出しが再生に影響を及ぼしているかどうかを判断できます。次に、問題が発生するサービスを 同期除外リスト に追加します。

注: URL を除外すると、指定した URL を対象とする各呼び出しに対して同期が無効になります。その URL に対して必要な同期は、手動で呼び出す必要があります。たとえば、WaitForObject をテストに手動で追加する必要がある場合があります。手動で数多くの呼び出しを追加することを避けるために、可能なかぎり、最上位の URL ではなく、具体的に対象を絞って URL を除外します。

ページ同期設定の構成

スクリプト オプション ダイアログ ボックスでは、各テストのページ同期設定を個別に構成したり、すべてのテストに適用するグローバル オプションを設定したりできます。

URL を除外フィルタに追加するには、スクリプト オプション ダイアログ ボックスの 同期除外リスト で URL を指定します。

テストの個別の設定を構成するには、テストを記録し、次にグローバル再生値を上書きするコードを挿入します。たとえば、タイム サービスを除外するには、以下のように入力します。
'VB .NET code
Agent.SetOption("OPT_XBROWSER_SYNC_EXCLUDE_URLS", Arrays.asList("timeService"))
// C# code
Agent.SetOption("OPT_XBROWSER_SYNC_EXCLUDE_URLS", Arrays.asList("timeService"));
  • OPT_XBROWSER_SYNC_MODE
  • OPT_XBROWSER_SYNC_EXCLUDE_URLS
  • OPT_SYNC_TIMEOUT
親トピック: クロス ブラウザ テスト
関連概念
Silk4NET がテストを同期する方法
関連タスク
テスト実行の遅延
関連資料
Google Chrome を使用したテストの制限事項
WaitForObject Method (TestObject)
WaitForProperty Method (TestObject)
WaitForDisappearance Method (TestObject)
WaitForChildDisappearance Method (TestObject)


xBrowser における API 再生とネイティブ再生の比較

Silk4NET では、Web アプリケーション用に API 再生とネイティブ再生がサポートされています。アプリケーションでプラグインまたは AJAX を使用している場合は、ユーザーの入力そのものを使用します。アプリケーションでプラグインまたは AJAX を使用していない場合は、API 再生を使用することをお勧めします。

ネイティブ再生には以下のような利点があります。
  • ネイティブ再生では、マウス ポインタを要素上に移動し、対応する要素を押すことによって、エージェントはユーザー入力をエミュレートします。この結果、再生はほとんどのアプリケーションで変更なしで動作します。
  • ネイティブ再生では、Flash や Java アプレットなどのプラグイン、および AJAX を使用するアプリケーションをサポートしていますが、高レベルの API 記録はサポートしていません。
API 再生には以下のような利点があります。
  • API 再生では、Web ページが onmouseover や onclick などの DOM イベントによって直接実行されます。
  • API 再生を使用するスクリプトでは、ブラウザをフォアグラウンドで実行する必要はありません。
  • API 再生を使用するスクリプトでは、要素をクリックする前に、要素が表示されるようにスクロールする必要はありません。
  • 一般的に、高レベルのユーザー入力は再生中にポップアップ ウィンドウやユーザー対話の影響を受けないため、API スクリプトの信頼性は高くなります。
  • API 再生は、ネイティブ再生よりも高速です。

API 再生とネイティブ再生の関数の違い

DomElement クラスには、API 再生とネイティブ再生に対して異なる関数が備えられています。

以下の表に、API 再生とネイティブ再生で使用する関数を示します。

 | API 再生 | ネイティブ再生
マウス操作 | DomClick DomDoubleClick DomMouseMove | Click DoubleClick MoveMouse PressMouse ReleaseMouse
キーボード操作 | 使用不可 | TypeKeys
特殊な関数 | Select SetText など | 使用不可
親トピック: クロス ブラウザ テスト
関連タスク
ブラウザの記録オプションの設定
関連資料
DomElement Class


マウス移動の詳細設定

マウス移動イベントを使用する Web アプリケーション、Win32 アプリケーション、および Windows Forms アプリケーションでマウス移動操作を記録するかどうかを指定します。たとえば、Apache Flex や Swing など、xBrowser テクノロジ ドメインの子ドメインのマウス移動イベントを記録することはできません。

  1. Silk4NET > オプションの編集 をクリックします。
  2. オプション メニュー ツリーの 記録 の隣にあるプラス記号（+）をクリックします。
    記録 オプションが右側のパネルに表示されます。
  3. 記録 をクリックします。
  4. マウス移動操作を記録するには、OPT_RECORD_MOUSEMOVES オプションをオンにします。 Silk4NET では、スクリプトを短くするために、マウスが置かれた要素またはその親が変化するマウスの移動イベントのみが記録されます。
  5. マウスの移動操作を記録する場合、MoveMouse 操作が記録される前に、どのくらいの間マウスが不動状態になければならないかを、マウスの移動記録遅延 テキスト ボックスにミリ秒単位で指定します。 デフォルト値は、200 に設定されています。 マウスの移動操作は、この時間、マウスが静止している場合にのみ記録されます。遅延を短くすると、予期しないマウスの移動操作が増加します。遅延を長くすると、操作を記録するためにマウスを静止しておく必要があります。
  6. OK をクリックします。
親トピック: クロス ブラウザ テスト


xBrowser のブラウザ構成の設定

いくつかのブラウザ設定は、テストを継続的に安定して実行するのに役立ちます。設定を変更しなくても Silk4NET は動作しますが、ブラウザ設定を変更するにはいくつかの理由があります。

再生速度を向上させる
読み込みに時間を要する Web ページではなく、about:blank をホーム ページとして使用する
ブラウザの予期しない動作を回避する
  • ポップアップ ウィンドウや警告ダイアログ ボックスを無効にする
  • オート コンプリート機能を無効にする
  • パスワード ウィザードを無効にする
ブラウザの誤動作を防止する
不要なサードパーティ製プラグインを無効にする

以下のセクションでは、対応するブラウザにおけるこれらの設定場所について説明します。

Internet Explorer

ブラウザ設定は、ツール > インターネット オプション にあります。以下の表に、調整できるオプションの一覧を示します。

タブ | オプション | 設定 | コメント
全般 | ホーム ページ | about:blank に設定します。 | 新しいタブの起動時間を最小限に抑えます。
全般 タブ
  • 複数のタブを閉じるときの警告を無効にします。
  • 新しいタブを作成したとき、新しいタブに切り替えます。
  • 予期しないダイアログ ボックスが表示されないようにします。
  • このようにしないと、新しいタブを開くリンクが正しく再生されない場合があります。
プライバシー | ポップアップ ブロック | ポップアップ ブロックを無効にします。 | Web サイトで新しいウィンドウを開くことができることを確認します。
コンテンツ オートコンプリート 完全にオフにします。
  • 予期しないダイアログ ボックスが表示されないようにします。
  • キー入力するときに予期しない動作を回避します。
プログラム アドオンの管理 最低限必要なアドオンのみを有効にします。
  • サードパーティ製アドオンにはバグが含まれていることがあります。
  • Silk4NET と互換性がない可能性があります。
詳細設定 設定
  • Internet Explorer の更新について自動的に確認する を無効にします。
  • スクリプトのデバッグを使用しない (Internet Explorer) を有効にします。
  • スクリプトのデバッグを使用しない (その他) を有効にします。
  • 自動クラッシュ回復機能を有効にする を無効にします。
  • スクリプト エラーごとに通知を表示する を無効にします。
  • すべての ...警告する 設定を無効にします。
 予期しないダイアログ ボックスが表示されないようにします。
注: 100% 以外の拡大レベルを使用して Internet Explorer で Web アプリケーションを記録すると、期待通り機能しない可能性があります。Internet Explorer で Web アプリケーションに対する操作を記録する前に、拡大レベルを 100% に設定してください。

Mozilla Firefox

Mozilla Firefox のブラウザ設定を変更する必要はありません。 Silk4NET により、適切なコマンドライン パラメータが指定され、自動的に Mozilla Firefox が起動します。

注: Web アプリケーションのテスト時に予期しない動作を避けるため、Mozilla Firefox の自動更新を無効にします。詳細については、『Stop automatic updates』を参照してください。

Google Chrome

Google Chrome のブラウザ設定を変更する必要はありません。Silk4NET により、適切なコマンドライン パラメータが指定され、自動的に Google Chrome が起動します。

注: Web アプリケーションのテスト時に予期しない動作を避けるため、Google Chrome の自動更新を無効にします。詳細については、『Turning Off Auto Updates in Google Chrome』を参照してください。
親トピック: クロス ブラウザ テスト
関連資料
Google Chrome を使用したテスト再生の前提条件


ロケーター生成プログラムを xBrowser 用に構成する

Open Agent には、ロケーターが記録時に一意となり、メンテナンスが容易になるようにする、高度なロケーター生成メカニズムが備えられています。 使用するアプリケーションやフレームワークに応じて、最適な結果を得るためにデフォルト設定を変更できます。

頻繁には変更されない属性を利用して、適切に定義されたロケーターでは、メンテナンス作業が少なく抑えられます。 カスタム属性を使用すると、caption や index などの他の属性を使用するよりも高い信頼性を得ることができます。これは、caption はアプリケーションを他の言語に翻訳した場合に変更され、index は他のオブジェクトが追加されると変更される可能性があるためです。

最適な結果を得るために、テストで利用する要素にカスタム オートメーション ID を追加することもできます。 Web アプリケーションの場合は、利用した要素に <div myAutomationId=”my unique element name” /> のような属性を追加できます。 この手法によって、ロケーターの変更に伴うメンテナンス作業を回避することができます。

  1. Silk4NET > オプションの編集 をクリックしてから、 カスタム属性 タブをクリックします。
  2. カスタム オートメーション ID を使用する場合、 テクノロジー・ドメインを選択します リスト ボックスから、 xBrowser を選択してから、ID をリストに追加します。 カスタム属性リストには、ロケーターに適した属性が含まれます。 カスタム属性が利用可能な場合は、ロケーター生成プログラムは、他の属性の前にそれらの属性を使用します。 リストの順番は、ロケーター生成プログラムが使用する属性の優先順位を表しています。 指定した属性が選択したオブジェクトに対して利用できない場合は、 Silk4NET は xBrowser のデフォルトの属性を使用します。
  3. ブラウザー タブをクリックします。
  4. ロケーター属性名除外リスト グリッドで、記録中に無視する属性名を入力します。

    たとえば、このリストを使用して、size、width、height、style などの頻繁に変更される属性を指定します。 ロケーター属性名除外リストでは、ワイルドカード‘*’および‘?’を使用できます。

    複数の属性名を指定する場合にはコンマで区切ります。

  5. ロケーター属性値除外リスト グリッドで、記録中に無視する属性値を入力します。

    一部の AJAX フレームワークでは、ページが再読み込みされるたびに変わる属性値が生成されます。 このリストを使用して、そのような値を無視します。 このリストでワイルドカードを使用することもできます。

    複数の属性値を指定する場合にはコンマで区切ります。

  6. OK をクリックします。

    以上で、テスト ケースを記録したり、手動で作成する準備ができました。

親トピック: クロス ブラウザ テスト


リモート デスクトップ ブラウザーの接続文字列

接続文字列 は、テストに使用するリモート デスクトップ ブラウザーを指定します。リモート ブラウザーで Web アプリケーションをテストする場合、Silk4NET はリモート ロケーションに接続するために接続文字列を使用します。接続文字列は、アプリケーション構成の主要な一部です。テストする Web アプリケーションを構成するときに、接続文字列は設定されます。接続文字列を変更するには、アプリケーション構成の編集 ダイアログ ボックスを使用します。

リモート ブラウザーで Web アプリケーションをテストする場合、接続文字列にはリモート マシンの IP アドレスまたはホスト名を意味する host だけが含まれます（10.0.0.1 など）。正しいブラウザーを選択するために、Silk4NET はブラウザーの種類と共に接続文字列を使用します。ブラウザーの種類は、アプリケーション構成の編集 ダイアログ ボックスでも指定できます。

ホスト名は、大文字と小文字は区別されません。

注: リモート デスクトップ ブラウザーのテストは、リモート Microsoft Windows マシン上の Microsoft Edge およびリモート Mac 上の Apple Safari に対してのみサポートされます。

接続文字列の例

"host=10.0.0.1"
親トピック: クロス ブラウザ テスト
関連概念
モバイル デバイスの接続文字列
[アプリケーションの選択] ダイアログ ボックス
関連タスク
WebDriver ベースのブラウザーのケイパビリティの設定


リモート Windows マシン上でのブラウザーのテスト

Microsoft Edge、Google Chrome、Mozilla Firefox をリモート Windows マシン上でテストするには、リモート マシン上に Silk4NET をインストールする必要があります。Microsoft Edge は、Microsoft Windows 10 マシン上でのみ実行できます。Silk4NET は、リモート Windows マシン上の Mozilla Firefox 55 以前のテストをサポートします。
  1. ブラウザーのテストを実行するローカル マシン上で、リモート Windows マシンをリモート ロケーションとして追加します。 詳細については、「リモート ロケーションの編集」を参照してください。
  2. Silk Test Information Service がすでにリモート マシン上で管理者権限で実行されている場合は、Silk Test Information Service を無効化します。
    1. リモート マシンに管理者としてログインします。
    2. コントロール パネル (アイコン表示) を開きます。
    3. 管理ツール をクリックします。
    4. サービス をダブルクリックします。
    5. Silk Test Information Service をダブルクリックします。
    6. サービスが実行中の場合、停止 をクリックして、サービスの状態が 停止 になるまで待機します。
    7. スタートアップの種類 を 無効 に変更します。
    8. OK をクリックします。
  3. Silk Test Information Service を標準の整合性レベル（管理者権限無し）で開始します。
    1. ファイル エクスプローラーを開き、%OPEN_AGENT_HOME%/InfoService に移動します。 たとえば、C:\Program Files (x86)\Silk\SilkTest\ng\InfoService になります。
    2. infoservice_start.bat をダブルクリックします。
  4. 以上で、リモート マシン上のブラウザーを アプリケーションの選択 ダイアログ ボックスで選択できるようになります。
注: Silk Test Information Service が、サービス セッションではなくユーザー セッションで実行されていることを確認します。Silk Test Information Service は、UI 操作が有効でなければなりません。セッション 0 であるサービス セッションは、UI 操作が有効ではありません。
親トピック: クロス ブラウザ テスト


Mac 上の Google Chrome または Mozilla Firefox のテスト

リモート macOS マシン上の Google Chrome または Mozilla Firefox をテストするには、リモート マシン上に Silk Test Information Service をインストールする必要があります。詳細については、「Silk Test Information Service を Mac にインストールする」を参照してください。
  1. Google Chrome または Mozilla Firefox をテストするローカル マシン上で、リモート macOS マシンをリモート ロケーションとして追加します。 詳細については、「リモート ロケーションの編集」を参照してください。
  2. 以上で、リモート macOS マシン上の Google Chrome または Mozilla Firefox を アプリケーションの選択 ダイアログ ボックスで選択できるようになります。
注: Silk Test Information Service が、サービス セッションではなくユーザー セッションで実行されていることを確認します。Silk Test Information Service は、UI 操作が有効でなければなりません。セッション 0 であるサービス セッションは、UI 操作が有効ではありません。

Google Chrome 上でテストを実行する際の前提条件と制限事項についての情報は、「Google Chrome を使用したテスト」セクションにあるトピックを参照してください。Mozilla Firefox 上でテストを実行する際の前提条件と制限事項についての情報は、「Mozilla Firefox を使用したテスト」セクションにあるトピックを参照してください。

親トピック: クロス ブラウザ テスト


WebDriver ベースのブラウザーのケイパビリティの設定

WebDriver ベースのブラウザー上で Web アプリケーションをテストする場合は、ケイパビリティを設定してブラウザー セッションの設定をカスタマイズできます。

Silk4NET では、次のブラウザーの種類に対する接続文字列で WebDriver ケイパビリティを指定できます。
  • Google Chrome
  • Mozilla Firefox

Mozilla Firefox 48 以降で利用可能なオプションとケイパビリティについての詳細は、『https://github.com/mozilla/geckodriver』を参照してください。Google Chrome で利用可能なオプションとケイパビリティについての詳細は、『Capabilities & ChromeOptions』を参照してください。

Silk4NET でケイパビリティを設定するには：

  1. ケイパビリティを変更する Web アプリケーションのプロジェクトを選択します。
  2. プロジェクトの基本状態の接続文字列を編集します。 接続文字列は、次の方法で編集できます。
    • アプリケーション構成の編集 ダイアログ（カスタマイズしたブラウザーに対する操作を記録する場合など）
    • スクリプト（カスタマイズしたブラウザーに対してテスト スクリプトを実行するだけの場合）

    詳細については、「基本状態」を参照してください。

  3. スクリプトを実行して、指定したオプションとケイパビリティでブラウザーを開始します。

使用例

Mozilla Firefox から実行可能ファイルを自動的にダウンロードするには、スクリプトの基本状態に次のコードを追加します。
' VB .NET code - No linebreaks, this is a single line of code.
 baseState.ConnectionString = "moz:firefoxOptions={\"prefs\": { \"browser.download.folderList\": 2, \"browser.helperApps.neverAsk.saveToDisk\": \"application/octet-stream\"}};"
// C# code - No linebreaks, this is a single line of code.
 baseState.ConnectionString = "moz:firefoxOptions={\"prefs\": { \"browser.download.folderList\": 2, \"browser.helperApps.neverAsk.saveToDisk\": \"application/octet-stream\"}};";
Mozilla Firefox のダウンロード フォルダーを指定するには、スクリプトの基本状態に次のコードを追加します。
' VB .NET code
baseState.ConnectionString = "moz:firefoxOptions={\"prefs\": { \"browser.download.dir\" : \"C:/Download\"}};"
// C# code
baseState.ConnectionString = "moz:firefoxOptions={\"prefs\": { \"browser.download.dir\" : \"C:/Download\"}};";
Mozilla Firefox のコマンド ライン引数を設定するには、スクリプトの基本状態に次のコードを追加します。
' VB .NET code
baseState.ConnectionString = "moz:firefoxOptions={\"args\":[\"--devtools\"]};")
// C# code
baseState.ConnectionString = "moz:firefoxOptions={\"args\":[\"--devtools\"]};");
Google Chrome から実行可能ファイルを指定したフォルダーに自動的にダウンロードするには、スクリプトの基本状態に次のコードを追加します。
' VB .NET code - No linebreaks, this is a single line of code.
baseState.ConnectionString = "chromeOptions={\"prefs\": {\"profile.default_content_setting_values.automatic_downloads\":1, \"download.default_directory\":\"c:/Download\", \"download.prompt_for_download\":false}};"
// C# - No linebreaks, this is a single line of code.
baseState.ConnectionString = "chromeOptions={\"prefs\": {\"profile.default_content_setting_values.automatic_downloads\":1, \"download.default_directory\":\"c:/Download\", \"download.prompt_for_download\":false}};";
Google Chrome のパスワード マネージャーにメッセージを表示させないようにするには、スクリプトの基本状態に次のコードを追加します。
' VB .NET code - No linebreaks, this is a single line of code.
baseState.ConnectionString = "chromeOptions={\"args\": [\"--disable-save-password-bubble\"], \"prefs\": {\"profile.password_manager_enabled\":false, \"credentials_enable_service\":false}};"
// C# code - No linebreaks, this is a single line of code.
baseState.ConnectionString = "chromeOptions={\"args\": [\"--disable-save-password-bubble\"], \"prefs\": {\"profile.password_manager_enabled\":false, \"credentials_enable_service\":false}};";
親トピック: クロス ブラウザ テスト
関連概念
リモート デスクトップ ブラウザーの接続文字列
基本状態


Mac 上の Apple Safari を使用したテスト

このセクションでは、Silk4NET がインストールされている Windows マシンと接続し、Mac マシン上の Apple Safari をテストすることによって、クロス ブラウザー テスト セットを拡張する方法について説明します。

  • Mac 上の Apple Safari を使用したテストにおける前提条件
    Mac 上の Apple Safari を使用したテストにおける前提条件を示します。
  • Apple Safari のテストの準備
    Silk4NET を使用して Web アプリケーションをテストするために、Apple Safari を準備します。
  • Silk Test Information Service を Mac にインストールする
    Information Service を Mac にインストールし、Silk4NET を使用して iOS 上の Apple Safari やモバイル アプリケーションをテストできます。
  • Apple Safari を使用したテストの制限事項
    Apple Safari を使用したテストの再生とロケーターの記録の既知の制限事項を一覧します。
  • 複数の Apple Safari テストの同時実行
    複数の Apple Safari テストを同じ Mac 上で同時に実行する方法について説明します。
  • Silk Test Information Service を Mac からアンインストールする
    Silk4NET を使用して Apple Safari 上の iOS やモバイル アプリケーションをテストする必要がなくなった場合、Information Service を Mac からアンインストールできます。
親トピック: クロス ブラウザ テスト


Mac 上の Apple Safari を使用したテストにおける前提条件

Mac 上の Apple Safari を使用してテストを行う前に、次の前提条件を満たしていることを確認してください。
  • Mac がリモート ロケーションとして Silk4NET がインストールされている Windows マシンに接続されている。詳細については、「リモート ロケーションの編集」を参照してください。
  • Apple Safari 9 でテストする場合、 Apple Safari 用の WebDriver 拡張である SafariDriver が Mac 上にインストールされている（SafariDriver は従来のクライアント/サーバーの関係を逆転し、WebSocket を使用して WebDriver クライアントと通信します）。Apple Safari 10.1 を使用する場合、Safari はドライバーの実装を組み込みで備えています。
  • Java JDK が Mac 上にインストールされている。
  • Information Service が Mac 上にインストールされている。Information Service に必要なファイルを取得するには、Silk Test インストーラを使用します。詳細については、「Silk Test Information Service を Mac にインストールする」を参照してください。
  • Apple Safari 上でテストを実行するには、Information Service をインストールしたユーザーが Mac にログインしている必要があります。
    ヒント: Micro Focus では、起動時に正しいユーザーで Mac に自動的にログインするように設定することを推奨します。詳細については、「起動時に自動的にログインするように Mac を設定する」を参照してください。
  • Mac 上の Apple Safari に対して無人テストを実行する場合は、システム環境設定 の 省エネルギー ペインで、次の設定を行います。
    • ディスプレイをオフにするまでの時間 を しない に設定します。
    • ディスプレイがオフのときにコンピュータを自動でスリープさせない チェック ボックスをオンにします。
    注: これらの設定は、Silk Test Configuration Assistant を使用すると簡単に行えます。Mac 上で Configuration Assistant を開くには、ステータス メニューの Silk Test アイコンをクリックして、Configuration Assistant を選択します。
  • Mac 上の Apple Safari に対して無人テストを実行するには、スクリーン セーバーを無効にします。
    1. システム環境設定 > デスクトップとスクリーンセーバ を開きます。
    2. スクリーンセーバ タブをクリックします。
    3. 開始までの時間 を 開始しない に設定します。
    注: これらの設定は、Silk Test Configuration Assistant を使用すると簡単に行えます。Mac 上で Configuration Assistant を開くには、ステータス メニューの Silk Test アイコンをクリックして、Configuration Assistant を選択します。
  • Apple Safari 10.1 を使用してテストする場合は、Safari 開発メニューを有効にします。Safari > 環境設定 を選択して、詳細 をクリックし、メニューバーに '開発' メニューを表示 をオンにします。
  • Apple Safari 10.1 を使用してテストする場合は、リモート オートメーションを有効にします。Safari 開発メニューから、リモート オートメーションを許可 をオンにします。
  • 初めて Apple Safari 10.1 でテストを実行する際に、パスワード入力が必要になる場合があります。
親トピック: Mac 上の Apple Safari を使用したテスト
関連タスク
Silk Test Information Service を Mac にインストールする
Apple Safari のテストの準備
iOS 上でのモバイル アプリケーションのテストのための Mac の準備
リモート ロケーションの編集


Apple Safari のテストの準備

Apple Safari 10.1 以降で Web アプリケーションをテストする場合、Silk Test Configuration Assistant を使うと、簡単に Apple Safari を設定できます。Mac 上で Configuration Assistant を開くには、ステータス メニューの Silk Test アイコンをクリックして、Configuration Assistant を選択します。または、「Mac 上の Apple Safari を使用したテストにおける前提条件」に書かれている要件を満たすよう、次の手順を実行します。
  1. Apple Safari のリモート オートメーションを有効化するために、開発 メニューを開き、リモート オートメーションを許可 をオンにします。 開発 メニューは、デフォルトでは表示されません。このメニューを開くには：
    1. Safari メニューから 環境設定 を選択します。
    2. 環境設定 ウィンドウで、詳細 タブを選択します。
    3. メニュー バーに "開発" メニューを表示 チェック ボックスをオンにします。
    4. 環境設定 ウィンドウを閉じます。
  2. Apple Safari 上で最初にテストを実行すると、ブラウザー ウィンドウが自動テストによってリモート制御されていることを示すダイアログ ボックスが表示されます。セッションを続ける をクリックします。
Apple Safari と Selenium WebDriver についての詳細は、『https://webkit.org/blog/6900/webdriver-support-in-safari-10/』を参照してください。
親トピック: Mac 上の Apple Safari を使用したテスト
関連タスク
iOS 上でのモバイル アプリケーションのテストのための Mac の準備
関連資料
Mac 上の Apple Safari を使用したテストにおける前提条件


Apple Safari を使用したテストの制限事項

以下に、Mac 上の Apple Safari を使用してテストする際の既知の制限事項を一覧します。
  • 次のクラス、インターフェイス、メソッド、プロパティは、Mac 上の Apple Safari を使用した Web アプリケーションのテストでは現時点ではサポートされません：
    • BrowserApplication クラス。
      • ClearCache メソッド
      • CloseOtherTabs メソッド
      • CloseTab メソッド
      • ExistsTab メソッド
      • GetHorizontalScrollbar メソッド
      • GetNextCloseWindow メソッド
      • GetSelectedTab メソッド
      • GetSelectedTabIndex メソッド
      • GetSelectedTabName メソッド
      • GetTabCount メソッド
      • GetVerticalScrollbar メソッド
      • IsActive メソッド
      • Minimize メソッド
      • OpenContextMenu メソッド
      • OpenTab メソッド
      • Restore メソッド
      • SelectTab メソッド
      • SetActive メソッド
      • WindowState プロパティ
    • BrowserWindow クラス。
      • AcceptAlert メソッド
      • DismissAlert メソッド
      • GetAlertText メソッド
      • IsAlertPresent メソッド
      • MouseMove メソッド
      • PressKeys メソッド
      • PressMouse メソッド
      • ReleaseKeys メソッド
      • ReleaseMouse メソッド
    • IMoveable クラス。
      • GetFocus メソッド。
  • Silk4NET は、TypeKeys メソッドで CMD キーをサポートしません。
  • Silk4NET は、Apache Flex のテストをサポートしません。
  • Silk4NET は、Apple Safari 上の JavaScript ソースを使った iframe のテストをサポートしません。
  • Apple Safari 上で HTTPS を使用したセキュアな Web アプリケーションをテストするには、必要なすべてのサーバー証明書が信頼済みであることを確認ください。
  • Silk4NET は、Apple Safari のネイティブ サポートは提供しません。内部 Apple Safari 機能をテストすることはできません。たとえば、テストで、ナビゲーション バーにテキストを追加して、現在表示されている Web ページを変更することはできません。回避策として、API コールを使用して Web ページ間を移動できます。
  • Silk4NET は、Apple Safari に対する JavaScript ダイアログ API 関数をサポートしません。回避策として、このような関数が無視されるようにパッチを当てることができます。詳細については、「https://groups.google.com/forum/#!topic/selenium-developer-activity/qsovJw93g9c」を参照してください。
  • Silk4NET は、Apple Safari でのテキスト解決をサポートしません。
    テキスト解決は次のメソッドを含みます。
    • TextCapture
    • TextClick
    • TextExists
    • TextRectangle
  • Silk4NET は、Apple Safari のタブをサポートしません。
  • 複数ウィンドウのアプリケーションをテストするには、Apple Safari のポップアップ ブロックを解除してください。解除する場合は、Apple Safari を起動し、Safari 環境設定 > セキュリティ > ポップアップウィンドウを開かない のチェックを外します。
  • Silk4NET は、パスワードを保存するダイアログ ボックスのテストをサポートしません。このダイアログ ボックスを表示しないようにする場合は、Apple Safari を起動し、Safari 環境設定 > 自動入力 に移動して ユーザー名とパスワード チェック ボックスのチェックを外します。
  • Silk4NET は、Apple Safari では XPath 式のプロパティをサポートしません。XPath 式では、属性のみがサポートされます。
  • Silk4NET は、Content-Security-Policy HTTP ヘッダーを含んだ Web アプリケーションのテストをサポートしません。
  • Apple Safari 10.1 を使用する場合、Silk4NET はブラウザーの前に戻る操作をサポートしません。
  • Apple Safari 10.1 を使用する場合、Silk4NET は TypeKeys メソッドでの Ctrl キーの使用をサポートしません。
  • Apple Safari 10.1 を使用する場合、Silk4NET は Frame および IFrame 内では DOM 操作のみをサポートします。
  • Apple Safari 10.1 を使用する場合、Silk4NET は Frame および IFrame での移動操作をサポートしません。
  • Apple Safari 10.1 を使用する場合、Silk4NET は記録時の直接スクロールをサポートしません。回避策として、executeJavaScript メソッドを使用できます。
親トピック: Mac 上の Apple Safari を使用したテスト


複数の Apple Safari テストの同時実行

Apple Safari 上でテストを実行するには、Silk Test がインストールされた Windows マシンに接続された Mac が必要です。複数の Apple Safari テストを Apple Safari 上で実行する場合、これらのテストは同じ Mac 上で同時に実行されることになります。

注: Mac 上の Apple Safari に対して実行されるテストそれぞれが、Apple Safari のインスタンスを個々に開きます。数多くの Apple Safari のインスタンスが同時に実行すると、Mac のパフォーマンスが低下する可能性があります。
親トピック: Mac 上の Apple Safari を使用したテスト


Google Chrome を使用したテスト

このセクションでは、Google Chrome を使用してテストすることによって、クロス ブラウザー テスト セットを拡張する方法について説明します。

Silk4NET は、Google Chrome 50 以降で操作を記録したり、テストを再生することをサポートします。また、Google Chrome 50 より前のバージョンでテストを再生したり、ロケーターを記録することをサポートします。

  • Google Chrome 50 以降でテストを開始するときに、Google Chrome のインスタンスが実行していない場合、Silk4NET は Google Chrome の新しいインスタンスを開始します。新しいブラウザーは、アドオン無しのキャッシュを空にした状態の一時プロファイルを使用します。
  • Google Chrome 50 以降のインスタンス上でのテストを開始するときに、すでに実行中であれば、Silk4NET はそのインスタンスが最初に開始されたときに使用されたコマンド ライン引数と同じ引数で Google Chrome を再起動します。この再起動は、Silk4NET オートメーション サポートを有効化するために必要です。
  • Google Chrome 50 以降でテストするとき、Google Chrome インスタンスは、Open Agent のシャットダウン時または、Google Chrome 外のほかのアプリケーションのテストを開始するときに閉じられます。
ヒント: Google Chrome 50 以降を使用して既存のテスト スクリプトを実行する場合は、基本状態を使用して、URL へ移動するコマンドをテスト スクリプトに追加することを、Micro Focus はお勧めします。

例 1

Google Chrome 50 以降の実行中のインスタンスが、コマンド「C:/Program Files (x86)/Google/Chrome/Application/chrome.exe www.borland.com」で最初に起動されていた場合、Google Chrome は再起動後に www.borland.com を開きます。

例 2

Google Chrome 50 以降の実行中のインスタンスが、コマンド「C:/Program Files (x86)/Google/Chrome/Application/chrome.exe」で最初に起動されていた場合、Google Chrome は再起動後に about:blank を開きます。

  • Google Chrome を使用したテスト再生の前提条件
    Google Chrome 使用したテストの再生とロケーターの記録の前提条件について説明します。
  • Google Chrome 拡張のテスト
    Google Chrome 拡張をテストする方法について説明します。
  • ユーザー データ ディレクトリを使用した Google Chrome のテスト
    ユーザー データ ディレクトリを使用して Google Chrome をテストする方法について説明します。
  • Google Chrome を使用したテストの制限事項
    ローカル Windows マシン上で Google Chrome を使用した場合の、テストの再生とロケーターの記録の既知の制限事項を一覧します。
  • macOS 上の Google Chrome を使用したテストの制限事項
    macOS 上で Google Chrome を使用した場合の、テストの再生とロケーターの記録の既知の制限事項を一覧します。
親トピック: クロス ブラウザ テスト


Google Chrome を使用したテスト再生の前提条件

コマンド ライン パラメータ

Google Chrome を使用してテストの再生やロケーターの記録を行うと、次のコマンドで Google Chrome が起動されます。
%LOCALAPPDATA%\Google\Chrome\Application\chrome.exe
  --enable-logging
  --log-level=1
  --disable-web-security
  --disable-hang-monitor
  --disable-prompt-on-repost
  --dom-automation
  --full-memory-crash-report
  --no-default-browser-check
  --no-first-run
  --homepage=about:blank
  --disable-web-resources
  --disable-preconnect
  --enable-logging
  --log-level=1
  --safebrowsing-disable-auto-update
  --test-type=ui
  --noerrdialogs
  --metrics-recording-only
  --allow-file-access-from-files
  --disable-tab-closeable-state-watcher
  --allow-file-access
  --disable-sync
  --testing-channel=NamedTestingInterface:st_42

ウィザードを使用してアプリケーションに追加する場合は、これらのコマンド ライン パラメータは、基本状態に自動的に追加されます。テストを開始したときに、適切なコマンド ライン パラメータなしで Google Chrome のインスタンスがすでに実行されている場合、 は Google Chrome を終了して、コマンド ライン パラメータを使用してブラウザを再起動しようとします。ブラウザを再起動できない場合は、エラー メッセージが表示されます。

注: クロスドメインのドキュメントを記録または再生する場合は、コマンド ライン パラメータ disable-web-security が必要です。
注: ローカル ファイル システムに保存された Web アプリケーションをテストするには、Google Chrome で chrome://extensions に移動し、Silk Test Chrome Extension の ファイルの URL へのアクセスを許可する チェックボックスをオンにします。
親トピック: Google Chrome を使用したテスト
関連資料
xBrowser のブラウザ構成の設定
Google Chrome を使用したテストの制限事項


Google Chrome 拡張のテスト

Google Chrome 拡張 (アドオン) を Silk4NET を使ってテストするには、以下の 2 つの手段のいずれかを使用できます。
Google Chrome の起動時に .crx ファイルとして拡張をインストールする
.crx ファイルとしてインストールされた Google Chrome 拡張をテストするには、基本状態に次のコマンド ラインを追加します。
chrome.exe --load-extension=C:/myExtension/myExtension.crx
注: Google Chrome には単一の拡張のみを .crx ファイルとしてインストールできます。Google Chrome に複数の拡張をインストールするには、複数の .crx ファイルをカンマ区切りで指定します。例：
chrome.exe --load-extension=C:/myExtension/myExtension.crx,C:/myExtension2/myExtension2.crx

ブラウザーのコマンド ライン引数指定方法の詳細については、「基本状態の変更」を参照してください。

プロファイルに拡張を追加する
Google Chrome ユーザー データ ディレクトリに拡張を追加し、そのプロファイルをテストに使用します。詳細については、「ユーザー データ ディレクトリを使用した Google Chrome のテスト」を参照してください。
親トピック: Google Chrome を使用したテスト


ユーザー データ ディレクトリを使用した Google Chrome のテスト

ホーム ページ、使用するツールバーの設定や保存したパスワード、ブックマークなど、Google Chrome で行ったすべての変更は、ユーザー データ ディレクトリと呼ばれる特別なフォルダに格納されます。

Silk4NET を使用して、テスト対象アプリケーションの基本状態にユーザー データ ディレクトリへのパスを指定することによって、Google Chrome ユーザー データ ディレクトリをテストできます。次のコマンド ラインには、プロファイルへのパスが含まれています。
chrome.exe "--user-data-dir=C:/Users/MyUser/AppData/Local/Google/Chrome/User Data"
サンプル Web アプリケーションのプロファイル ディレクトリを設定するには、次のコードを使用できます。
' VB code
Dim baseState = New BrowserBaseState(BrowserType.GoogleChrome, "demo.borland.com/InsuranceWebExtJS")
Dim myProfileDir = "--user-data-dir=D:\\temp\\SilkTest --profile-directory=Profile1"
baseState.CommandLineArguments = myProfileDir
baseState.Execute()
// C# code
BrowserBaseState baseState = new BrowserBaseState(BrowserType.GoogleChrome, "demo.borland.com/InsuranceWebExtJS");
String myProfileDir = "--user-data-dir=D:\\temp\\SilkTest --profile-directory=Profile1";
baseState.CommandLineArguments=myProfileDir;
baseState.Execute();
注: Google Chrome が Silk4NET によって起動されるときには、空のユーザー データ ディレクトリが使用されます。これにより、クリーンな状態でテストが開始されることになります。
親トピック: Google Chrome を使用したテスト


Google Chrome を使用したテストの制限事項

以下のリストに、ローカル Windows マシン上で Google Chrome を使用した場合の、テストの再生とロケーターの記録の既知の制限事項をリストします。
  • Silk Test は、Google Chrome を使用した xBrowser ドメインの子テクノロジ ドメインのテストをサポートしていません。たとえば、Apache Flex または Microsoft Silverlight は Google Chrome ではサポートされていません。
  • Silk4NET は、HTTP 基本認証ダイアログのテストの記録をサポートしません。
  • Silk Test は、Google Chrome のネイティブ サポートは提供しません。内部 Google Chrome 機能をテストすることはできません。たとえば、テストで、Win32 でナビゲーション バーにテキストを追加して現在表示されている Web ページを変更することはできません。回避策として、API コールを使用して Web ページ間を移動できます。Silk Test は、Alert API を使用した警告および類似のダイアログ ボックスの処理をサポートします。
  • Silk4NET は、Google Chrome でのテキスト解決をサポートしません。
    テキスト解決は次のメソッドを含みます。
    • TextCapture
    • TextClick
    • TextExists
    • TextRectangle
  • Silk4NET は、IMoveable クラスの GetFocus メソッドをサポートしません。
  • Silk Test は、Google Chrome メニューを使用して Google Chrome の 印刷 ダイアログ ボックスが開かれたことは認識しません。Google Chrome でダイアログ ボックスを開く動作を追加してテストするには、TypeKeys メソッドを使用して Ctrl+Shift+P を送信する必要があります。Internet Explorer はこのショートカットを認識しません。したがって、最初に Internet Explorer でテストを記録してから、手動で Ctrl+Shift+P を押す操作をテストに追加する必要があります。
  • Google Chrome の複数ウィンドウの同時テストは、最初の Google Chrome ウィンドウから AUT 自身が追加のウィンドウを開いた場合にのみサポートされます。追加の Google Chrome ウィンドウを手動で開いた場合、Silk4NET はこれらの Google Chrome ウィンドウ上の要素を解決できません。たとえば、記録中に AUT のリンクやボタンをクリックして開かれた Google Chrome ウィンドウ上の要素は Silk4NET は解決できますが、記録中に CTRL+N を押して開かれた Google Chrome ウィンドウ上の要素は Silk4NET は解決できません。
  • Google Chrome 49 以前を使用する場合、Internet Explorer を使用してテストを再生する場合、executeJavaScript をテストするために次のコードを使用できます。
    // Java code
desktop.<BrowserWindow> find("//BrowserWindow")
  .executeJavaScript("function foo() { alert('Silk Test'); }");
desktop.<BrowserWindow> find("//BrowserWindow")
  .executeJavaScript("foo();");

    Google Chrome 上でテストを再生する場合、スクリプトはクロージャで実行され、グローバル コンテキスト (window) では実行されません。すべては関数内で実行されます。上記のサンプル コードの最初の ExecuteJavaScript 呼び出しは、Google Chrome では機能しません。これは、関数 foo が ExecuteJavaScript 呼び出しが存続する間だけ有効であるためです。

    Google Chrome 上で同じテストを再生する場合は、次のような関数式を使用できます。
    // Java code
desktop.<BrowserWindow> find("//BrowserWindow")
  .executeJavaScript("window.foo = function() { alert('Silk Test'); }");
desktop.<BrowserWindow> find("//BrowserWindow")
  .executeJavaScript("window.foo();");

    前のサンプル コードは Silk4J では機能します。他の Silk Test クライアントに対するコードも同様です。詳細については、Silk Test クライアントのヘルプにある ExecuteJavaScript メソッドのドキュメントを参照してください。

親トピック: Google Chrome を使用したテスト
関連資料
macOS 上の Google Chrome を使用したテストの制限事項
Google Chrome を使用したテスト再生の前提条件
xBrowser のページ同期
Google Chrome


macOS 上の Google Chrome を使用したテストの制限事項

以下のリストに、macOS 上で Google Chrome を使用した場合の、テストの再生とロケーターの記録の既知の制限事項をリストします。
  • Silk4NET は、TypeKeys メソッドで CMD キーをサポートしません。
  • Silk Test は、Google Chrome を使用した xBrowser ドメインの子テクノロジ ドメインのテストをサポートしていません。たとえば、Apache Flex または Microsoft Silverlight は Google Chrome ではサポートされていません。
  • Silk4NET は、HTTP 基本認証ダイアログのテストの記録をサポートしません。
  • Silk Test は、Google Chrome のネイティブ サポートは提供しません。内部 Google Chrome 機能をテストすることはできません。たとえば、テストで、Win32 でナビゲーション バーにテキストを追加して現在表示されている Web ページを変更することはできません。回避策として、API コールを使用して Web ページ間を移動できます。Silk Test は、Alert API を使用した警告および類似のダイアログ ボックスの処理をサポートします。
  • Silk4NET は、Google Chrome でのテキスト解決をサポートしません。
    テキスト解決は次のメソッドを含みます。
    • TextCapture
    • TextClick
    • TextExists
    • TextRectangle
  • Silk4NET は、IMoveable クラスの GetFocus メソッドをサポートしません。
  • 複数の Google Chrome ウィンドウ上での同時テストは、macOS 上ではサポートされません。
  • 既に開いている Google Chrome ウィンドウへのアタッチは、macOS 上ではサポートされません。
  • Google Chrome 49 以前を使用する場合、Internet Explorer を使用してテストを再生する場合、executeJavaScript をテストするために次のコードを使用できます。
    // Java code
desktop.<BrowserWindow> find("//BrowserWindow")
  .executeJavaScript("function foo() { alert('Silk Test'); }");
desktop.<BrowserWindow> find("//BrowserWindow")
  .executeJavaScript("foo();");

    Google Chrome 上でテストを再生する場合、スクリプトはクロージャで実行され、グローバル コンテキスト (window) では実行されません。すべては関数内で実行されます。上記のサンプル コードの最初の ExecuteJavaScript 呼び出しは、Google Chrome では機能しません。これは、関数 foo が ExecuteJavaScript 呼び出しが存続する間だけ有効であるためです。

    Google Chrome 上で同じテストを再生する場合は、次のような関数式を使用できます。
    // Java code
desktop.<BrowserWindow> find("//BrowserWindow")
  .executeJavaScript("window.foo = function() { alert('Silk Test'); }");
desktop.<BrowserWindow> find("//BrowserWindow")
  .executeJavaScript("window.foo();");

    前のサンプル コードは Silk4J では機能します。他の Silk Test クライアントに対するコードも同様です。詳細については、Silk Test クライアントのヘルプにある ExecuteJavaScript メソッドのドキュメントを参照してください。

親トピック: Google Chrome を使用したテスト
関連資料
Google Chrome を使用したテストの制限事項


Mozilla Firefox を使用したテスト

このセクションでは、Mozilla Firefox を使用してテストすることによって、クロス ブラウザー テスト セットを拡張する方法について説明します。

Silk4NET は、Mozilla Firefox 上での操作の記録とテストの再生をサポートします。

  • Mozilla Firefox でテストを開始するときに、Mozilla Firefox のインスタンスが実行していない場合、Silk4NET は Mozilla Firefox の新しいインスタンスを開始します。新しいブラウザーは、アドオン無しのキャッシュを空にした状態の一時プロファイルを使用します。
  • Mozilla Firefox のインスタンス上でのテストを開始するときに、すでに実行中であれば、Silk4NET はそのインスタンスが最初に開始されたときに使用されたコマンド ライン引数と同じ引数で Mozilla Firefox を再起動します。この再起動は、Silk4NET オートメーション サポートを有効化するために必要です。
  • この Mozilla Firefox のインスタンスは、Open Agent のシャットダウン時または、Mozilla Firefox 外のほかのアプリケーションのテストを開始するときに閉じられます。
ヒント: Mozilla Firefox を使用して既存のテスト スクリプトを実行する場合は、基本状態を使用して、URL へ移動するコマンドをテスト スクリプトに追加することを、Micro Focus はお勧めします。

Mozilla Firefox 52 以降で Silk4NET を使用して記録する場合、Mozilla Firefox は外部リンクを新しいウィンドウではなく新しいタブで開きます。外部リンクを新しいウインドウで開く場合は、ブラウザー オプションの OPT_FIREFOX_SINGLE_WINDOW_MODE オプションを無効にします。

例 1

Mozilla Firefox の実行中のインスタンスが、コマンド「C:/program files/Mozilla/firefox.exe www.borland.com」で最初に起動されていた場合、Mozilla Firefox は再起動後に www.borland.com を開きます。

例 2

Mozilla Firefox の実行中のインスタンスが、コマンド「C:/program files/Mozilla/firefox.exe」で最初に起動されていた場合、Mozilla Firefox は再起動後に about:blank を開きます。

  • プロファイルを使用した Mozilla Firefox のテスト
    プロファイルを使用して Mozilla Firefox をテストする方法について説明します。
  • Mozilla Firefox 拡張機能のテスト
    Mozilla Firefox 拡張機能をテストする方法について説明します。
  • Mozilla Firefox を使用したテストの制限事項
    Mozilla Firefox 上の Web アプリケーションをテストする際の既知の制限事項を一覧します。
  • macOS 上の Mozilla Firefox を使用したテストの制限事項
    macOS 上の Mozilla Firefox を使用して、Web アプリケーションをテストする際の既知の制限事項を一覧します。
親トピック: クロス ブラウザ テスト


プロファイルを使用した Mozilla Firefox のテスト

ホーム ページ、使用するツールバーの設定や保存したパスワード、ブックマークなど、Mozilla Firefox で行ったすべての変更は、プロファイルと呼ばれる特別なフォルダに格納されます。

Mozilla Firefox プロファイルをテストするには、プロファイルの名前、またはプロファイルへのパスのどちらかをカスタム ブラウザー コマンド ライン引数として アプリケーション構成の編集 ダイアログ ボックス で指定します。
  1. Mozilla Firefox プロファイルをテストするプロジェクトを選択します。
  2. メニューから アプリケーション構成の編集 をクリックします。アプリケーション構成の編集 ダイアログ ボックスが表示されます。
  3. 記録および再生前に 'ブラウザーの選択' ダイアログを表示する チェック ボックスをオフにします。
  4. 編集 をクリックして、既存の ブラウザー：Firefox アプリケーション構成を編集します。
  5. ブラウザーの種類から カスタム を選択します。
  6. 実行可能ファイル フィールドに、Mozilla Firefox 実行可能ファイルへのパスを入力します。たとえば、C:\Program Files (x86)\Mozilla Firefox\firefox.exe など。
  7. コマンド ライン引数 フィールドに、Firefox プロファイル名または Firefox プロファイルへのパスを入力します。たとえば、-p myProfile または -profile C:/Temp など。
プロファイルの名前の使用
次のコマンド ライン引数では、プロファイル名を指定しています。
-p myProfile
プロファイル マネージャ で名前をつけてプロファイルを設定できます。プロファイル マネージャ を起動するには、コマンド ウィンドウで firefox.exe -P を入力します。
プロファイルへのパスの使用
次のコマンド ライン引数では、プロファイルへのパスを指定しています。
-profile C:/<path to profile folder>
注: Silk4NET が Mozilla Firefox を起動する場合、空のプロファイルが使用されます。これにより、クリーンな状態でテストが開始されることになります。ユーザーが手動で Mozilla Firefox を起動した場合は、デフォルトのプロファイルが使用されます。
注: プロファイルはテス トマシンにデプロイする必要があり、メモリ消費量も大きいため、プロファイルのテスト時に問題が発生する可能性があります。いくつかのブラウザーの設定を変更するだけであれば、プロファイルの代わりにケイパビリティを使用できます。詳細については、「WebDriver ベースのブラウザーのケイパビリティの設定」を参照してください。
親トピック: Mozilla Firefox を使用したテスト
関連概念
Mozilla Firefox 拡張機能のテスト


Mozilla Firefox 拡張機能のテスト

Silk4NET を使って Mozilla Firefox 拡張機能（アドオン）をテストするには、Mozilla Firefox プロファイルに拡張機能を追加し、そのプロファイルをテストに使用します。詳細については、「プロファイルを使用した Mozilla Firefox のテスト」を参照してください。

親トピック: Mozilla Firefox を使用したテスト
関連概念
プロファイルを使用した Mozilla Firefox のテスト


Mozilla Firefox を使用したテストの制限事項

Silk4NET を使用して Mozilla Firefox 上の Web アプリケーションをテストする際の既知の制限事項を以下に示します。

  • Silk4NET は Mozilla Firefox 47、48、49、50、51 をサポートしません。ただし、Silk4NET は Mozilla Firefox 47.0.1 および 47.0.2 をサポートします。
  • Mozilla Firefox の複数ウィンドウの同時テストは、最初の Mozilla Firefox ウィンドウから AUT 自身が追加のウィンドウを開いた場合にのみサポートされます。追加の Mozilla Firefox ウィンドウを手動で開いた場合、Silk4NET はこれらの Mozilla Firefox ウィンドウ上の要素を解決できません。たとえば、記録中に AUT のリンクやボタンをクリックして開かれた Mozilla Firefox ウィンドウ上の要素は Silk4NET は解決できますが、記録中に CTRL+N を押して開かれた Mozilla Firefox ウィンドウ上の要素は Silk4NET は解決できません。
  • Silk4NET は window.showmodaldialog コマンドを使って表示されるウィンドウであるモーダル ブラウザー ウィンドウのテストをサポートしません。これらのモーダル ブラウザー ウィンドウは、公式に廃止されており、Google Chrome 37 以降では無効化されています。さらに、Mozilla Firefox の今後のバージョンではサポートされる計画はありません。低レベルな操作を使ってこの問題を回避できます。たとえば、オブジェクトの座標を使用したネイティブなクリックやテキスト フィールドを typeKeys を使って入力する方法が利用できます。
  • Silk4NET は、Mozilla Firefox を使用した Silverlight のテストをサポートしません。
  • Silk4NET は Mozilla Firefox の バージョン情報 ダイアログなどの一部のブラウザー ダイアログのテストをサポートしません。
  • Silk4NET は、Mozilla Firefox を使用した about:* ページのテストをサポートしません。
  • Silk4NET は、Mozilla Firefox の 印刷 ボタンのクリックの記録をサポートしません。再生時にこのボタンをクリックする場合は、座標によるデスクトップのクリックをテスト スクリプトに手動で追加することにより行えます。例：
    'VB .NET code
_desktop.Click(printButton.GetRect(true).Center)
    // C# code
_desktop.Click(printButton.GetRect(true).Center);
  • Silk4NET は、Mozilla Firefox でのテキスト解決をサポートしません。
    テキスト解決は次のメソッドを含みます。
    • TextCapture
    • TextClick
    • TextExists
    • TextRectangle
  • Silk Test は、Mozilla Firefox のネイティブ サポートは提供しません。内部 Mozilla Firefox 機能をテストすることはできません。たとえば、テストで、Win32 でナビゲーション バーにテキストを追加して現在表示されている Web ページを変更することはできません。回避策として、API コールを使用して Web ページ間を移動できます。Silk Test は、Alert API を使用した警告および類似のダイアログ ボックスの処理をサポートします。
  • Silk4NET は Mozilla Firefox の JavaScript 警告ボックスのロケーターの記録をサポートしません。Mozilla Firefox バージョン 58 以前を使用する場合、Javascript 警告ダイアログを処理するために、次のメソッドを使用できます。
    • AcceptAlert
    • DismissAlert
    • GetAlertText
    • IsAlertPresent
    注: Mozilla Firefox 59 以降を使用する場合、これらのメソッドは使用できません。
  • Silk4NET は、Mozilla Firefox 52 以降では Java アプレットをサポートしません。Silk4NET は、Mozilla Firefox 47.0.1 以前では Java アプレットをサポートします。ただし、次のような制限事項があります。
    • Silk4NET は ロケーター //AppletContainer をサポートしません。
    • アプレットがモーダル ダイアログを開くとき、//BrowserApplication//BrowserWindow/JDialog[@caption='Information']//JButton[@caption='OK'] のようなロケーターが機能しない場合があります。代わりに、//JDialog[@caption='Information']//JButton[@caption='OK'] のようなロケーターは使用できます。
  • Silk4NET は、Mozilla Firefox では XPath 式のプロパティをサポートしません。XPath 式では、属性のみがサポートされます。
  • Silk4NET は、IMoveable クラスの GetFocus メソッドをサポートしません。
  • Silk Test は、Mozilla Firefox を使用した xBrowser ドメインの子テクノロジ ドメインのテストをサポートしていません。たとえば、Apache Flex または Microsoft Silverlight は Mozilla Firefox ではサポートされていません。
  • Mozilla Firefox 52 以降を使用する場合、次のメソッドはサポートされません。
    • PressKeys
    • ReleaseKeys
  • Mozilla Firefox 52 以前を使用する場合、BrowserWindow クラスの SetViewportSize メソッドはサポートされません。
  • Mozilla Firefox 52 以降を使用する場合、次のネイティブ再生はサポートされません。
    • ダブルクリック。
    • マウス ボタンの右と中央のクリック。
  • Mozilla Firefox 52 以降を使用する場合、DomClick メソッドは、警告を開くコントロールではサポートされません。
  • Mozilla Firefox 55 を使用する場合、ファイルのアップロードは機能しません。詳細については、『 File upload no longer works with geckodriver 0.18.0 and Firefox 55』を参照してください。
親トピック: Mozilla Firefox を使用したテスト
関連概念
macOS 上の Mozilla Firefox を使用したテストの制限事項
関連タスク
Mozilla Firefox 上でのテストの記録


macOS 上の Mozilla Firefox を使用したテストの制限事項

Mozilla Firefox を使用して macOS 上の Web アプリケーションをテストする際の既知の制限事項を以下に示します。

  • Silk4NET は、macOS 上の Mozilla Firefox 54 以降を使用してテストされました。
  • Mozilla Firefox の複数ウィンドウの同時テストは、最初の Mozilla Firefox ウィンドウから AUT 自身が追加のウィンドウを開いた場合にのみサポートされます。追加の Mozilla Firefox ウィンドウを手動で開いた場合、Silk4NET はこれらの Mozilla Firefox ウィンドウ上の要素を解決できません。たとえば、記録中に AUT のリンクやボタンをクリックして開かれた Mozilla Firefox ウィンドウ上の要素は Silk4NET は解決できますが、記録中に CTRL+N を押して開かれた Mozilla Firefox ウィンドウ上の要素は Silk4NET は解決できません。
  • Silk4NET は window.showmodaldialog コマンドを使って表示されるウィンドウであるモーダル ブラウザー ウィンドウのテストをサポートしません。これらのモーダル ブラウザー ウィンドウは、公式に廃止されており、Google Chrome 37 以降では無効化されています。さらに、Mozilla Firefox の今後のバージョンではサポートされる計画はありません。低レベルな操作を使ってこの問題を回避できます。たとえば、オブジェクトの座標を使用したネイティブなクリックやテキスト フィールドを typeKeys を使って入力する方法が利用できます。
  • Silk4NET は、Mozilla Firefox を使用した Silverlight のテストをサポートしません。
  • Silk4NET は Mozilla Firefox の バージョン情報 ダイアログなどの一部のブラウザー ダイアログのテストをサポートしません。
  • Silk4NET は、Mozilla Firefox を使用した about:* ページのテストをサポートしません。
  • Silk4NET は、Mozilla Firefox の 印刷 ボタンのクリックの記録をサポートしません。再生時にこのボタンをクリックする場合は、座標によるデスクトップのクリックをテスト スクリプトに手動で追加することにより行えます。例：
    'VB .NET code
_desktop.Click(printButton.GetRect(true).Center)
    // C# code
_desktop.Click(printButton.GetRect(true).Center);
  • Silk4NET は、Mozilla Firefox でのテキスト解決をサポートしません。
    テキスト解決は次のメソッドを含みます。
    • TextCapture
    • TextClick
    • TextExists
    • TextRectangle
  • Silk Test は、Mozilla Firefox のネイティブ サポートは提供しません。内部 Mozilla Firefox 機能をテストすることはできません。たとえば、テストで、Win32 でナビゲーション バーにテキストを追加して現在表示されている Web ページを変更することはできません。回避策として、API コールを使用して Web ページ間を移動できます。Silk Test は、Alert API を使用した警告および類似のダイアログ ボックスの処理をサポートします。
  • Silk4NET は Mozilla Firefox の JavaScript 警告ボックスのロケーターの記録をサポートしません。Mozilla Firefox バージョン 58 以前を使用する場合、Javascript 警告ダイアログを処理するために、次のメソッドを使用できます。
    • AcceptAlert
    • DismissAlert
    • GetAlertText
    • IsAlertPresent
    注: Mozilla Firefox 59 以降を使用する場合、これらのメソッドは使用できません。
  • Silk4NET は、macOS 上の Mozilla Firefox では Java アプレットをサポートしません。
  • Silk4NET は、Mozilla Firefox では XPath 式のプロパティをサポートしません。XPath 式では、属性のみがサポートされます。
  • Silk4NET は、IMoveable クラスの GetFocus メソッドをサポートしません。
  • Silk Test は、Mozilla Firefox を使用した xBrowser ドメインの子テクノロジ ドメインのテストをサポートしていません。たとえば、Apache Flex または Microsoft Silverlight は Mozilla Firefox ではサポートされていません。
  • 次のメソッドはサポートされません。
    • PressKeys
    • ReleaseKeys
  • 次のネイティブ再生はサポートされません。
    • ダブルクリック。
    • マウス ボタンの右と中央のクリック。
  • DomClick メソッドは、警告を開くコントロールではサポートされません。
  • Mozilla Firefox 55 を使用する場合、ファイルのアップロードは機能しません。詳細については、『 File upload no longer works with geckodriver 0.18.0 and Firefox 55』を参照してください。
親トピック: Mozilla Firefox を使用したテスト
関連概念
Mozilla Firefox を使用したテストの制限事項


Microsoft Edge を使用したテスト

このセクションでは、Microsoft Edge を使用してテストすることによって、クロス ブラウザー テスト セットを拡張する方法について説明します。

  • Microsoft Edge を使用したテストの制限事項
    Microsoft Edge を使用したテストの再生とロケーターの記録の既知の制限事項を一覧します。
親トピック: クロス ブラウザ テスト


Microsoft Edge を使用したテストの制限事項

以下に、Microsoft Edge を使用してテストする際の既知の制限事項を一覧します。
  • 次のクラス、インターフェイス、メソッド、プロパティは、Microsoft Edge 上の Web アプリケーションのテストでは現時点ではサポートされません：
    • BrowserApplication クラス。
      • ClearCache メソッド
      • CloseOtherTabs メソッド
      • CloseTab メソッド
      • ExistsTab メソッド
      • GetHorizontalScrollbar メソッド
      • GetNextCloseWindow メソッド
      • GetSelectedTab メソッド
      • GetSelectedTabIndex メソッド
      • GetSelectedTabName メソッド
      • GetTabCount メソッド
      • GetVerticalScrollbar メソッド
      • IsActive メソッド
      • Minimize メソッド
      • OpenContextMenu メソッド
      • OpenTab メソッド
      • Restore メソッド
      • SelectTab メソッド
      • SetActive メソッド
      • WindowState メソッド
    • BrowserWindow クラスの次のメソッドは、Microsoft Edge のビルド 38.14393（Microsoft Windows 10 Anniversary Update のバージョンの Microsoft Edge）より前のバージョンではサポートされません。
      • PressKeys メソッド
      • ReleaseKeys メソッド
  • Silk4NET は、Microsoft Edge に対する操作を記録するとき、ブラウザを自動的に最前面に表示しません。
  • Microsoft Edge を使用してテストすると、BrowserApplication の矩形領域は絶対値ではありません。
  • Silk4NET は、Apache Flex のテストをサポートしません。
  • Silk4NET は、Microsoft Edge のネイティブ サポートは提供しません。内部 Microsoft Edge 機能をテストすることはできません。たとえば、テストで、ナビゲーション バーにテキストを追加して、現在表示されている Web ページを変更することはできません。回避策として、API コールを使用して Web ページ間を移動できます。
  • Silk4NET は、Microsoft Edgeの警告ダイアログなどのダイアログ ボックスをサポートしません。
  • イメージ クリックは、Microsoft Edge Threshold 2 (ビルド 25.10586) 以降に対してのみサポートされます。Microsoft Edge の以前のバージョン上で Web アプリケーションをテストする場合は、イメージ検証のみ使用できます。
  • Silk4NET は、Microsoft Edge でのテキスト解決をサポートしません。
    テキスト解決は次のメソッドを含みます。
    • TextCapture
    • TextClick
    • TextExists
    • TextRectangle
  • Silk4NET は、Microsoft Edge のタブをサポートしません。タブはウィンドウとして解決されます。
  • Microsoft Edge 上の Web アプリケーションをテストするとき、Silk4NET は http-equiv 属性などのメタタグを検索できません。たとえば、Silk4NET は次のメタタグを検索できません：
    <meta http-equiv="content-type" content="text/html; charset=utf-8">
  • Microsoft Edge を使用する場合、Silk4NET は DOM 要素の currentStyle 属性の直接読み取りをサポートしません。DomElement クラスの GetCssStyle メソッドを使用して、指定したスタイル名の算出 CSS スタイルを取得できます。
  • Microsoft Edge 上の Web アプリケーションとのやり取りを開始するとき、Silk4NET は Microsoft Edge のすべての開いているインスタンスを閉じ、新しくブラウザーを開始します。新しいブラウザーは、アドオン無しのキャッシュを空にした状態の一時プロファイルを使用します。この Microsoft Edge のインスタンスは、Open Agent のシャットダウン時または、Microsoft Edge 外のほかのアプリケーションのテストを開始するときに閉じられます。
  • Microsoft Edge を使用する場合、Silk4NET は操作やロケーターの記録中に textContents 属性を認識しません。しかし、オブジェクト マップで textContents 属性を使用して、Microsoft Edge 上でテストを再生するときに使用できます。
  • Silk4NET は、Microsoft Edge では XPath 式のプロパティをサポートしません。XPath 式では、属性のみがサポートされます。
  • Silk4NET は、IMoveable クラスの GetFocus メソッドをサポートしません。
  • Silk4NET は、Content-Security-Policy HTTP ヘッダーを含んだ Web アプリケーションのテストをサポートしません。
親トピック: Microsoft Edge を使用したテスト
関連タスク
Microsoft Edge 上でのテストの記録
関連資料
Microsoft Edge


レスポンシブ Web デザインのテスト

レスポンシブ Web デザインに基づいて構築されたデスクトップ Web アプリケーションは、アプリケーションを表示する画面や Web ブラウザーのサイズに応じて、その外観が変化します。このようなテストでは、再生するウィンドウのサイズを適切に選択できないと、その安定性に多大な影響を与える可能性があります。

Silk4NET では、次のタイミングでブラウザー ウィンドウの正確なサイズを指定することができます。
  • Web アプリケーションに対して新しいプロジェクトを作成する時点
  • 新しいテストを記録する時点
  • 既存のテストに操作を記録する時点
  • Web アプリケーションに対するテストを再生する時点
次の設定を使用して、ブラウザー ウィンドウのサイズを指定することができます。
  • ブラウザー サイズ リストには、あらかじめ定義されたブラウザー ウィンドウのサイズとカスタマイズしたサイズの両方が表示され、ここからテストで使用するサイズを選択できます。
  • 向き リストでは、ブラウザー ウィンドウの向きが横向きか縦向きかを選択できます。
  • ブラウザー サイズの編集 をクリックすると、ブラウザー サイズ リストにカスタム ブラウザー サイズを追加したり、リストに表示するブラウザー サイズを選択することができます。
    • 新しいカスタム ブラウザー サイズをリストに追加するには、ブラウザー サイズの追加 をクリックします。
    • リストにサイズを表示しないようにするには、対応するチェック ボックスをオフにします。
    • 特定の Web アプリケーションのビジュアル ブレークポイントを ブラウザー サイズ リストに追加するには、ビジュアル ブレークポイントの検出 をクリックします。

コマンド ラインや Silk Central から Web アプリケーションに対するテストを再生する場合は、silktest.browserViewportSize 環境変数を設定してブラウザー ビューポートのサイズを指定できます。ブラウザー サイズ リストで定義したブラウザーの名前や特定のサイズを指定することができます。

例：自動再生するブラウザー サイズに名前を使用して指定する場合

ブラウザー サイズ リストの SVGA エントリを使用して、ブラウザー サイズを SVGA (800, 600) に設定するサンプル コードを以下に示します。
SET silktest.browserViewportSize=name=SVGA;orientation=landscape

例：自動再生するブラウザー サイズに幅と高さを使用して指定する場合

width と height パラメータをを使用して、ブラウザー サイズを SVGA (800, 600) に設定するサンプル コードを以下に示します。
SET silktest.browserViewportSize=width=800;height=600;orientation=landscape
親トピック: クロス ブラウザ テスト
関連タスク
ビジュアル ブレークポイントの検出


ビジュアル ブレークポイントの検出

レスポンシブ Web アプリケーションのビジュアル ブレークポイントを検出する前に、Mozilla Firefox 56 以降または Google Chrome 60 以降を Silk4NET を実行しているマシン上にインストールしてください。

レスポンシブ Web デザイン技術を使用して実装する多くの Web アプリケーションは、表示されるブラウザーやデバイスのサイズに応じて、そのレイアウトを変更します。レイアウトの変更が発生する特定の解像度を、ビジュアル ブレークポイント と言います。

Silk4NET では、ビジュアル ブレークポイントを検出し、それを使用して特定のサイズに記録ウィンドウのサイズを変更することで、このようなアプリケーションのテストをサポートします。

Silk4NET では、次のタイミングでブラウザー ウィンドウの正確なサイズを指定することができます。
  • Web アプリケーションに対して新しいプロジェクトを作成する時点
  • 新しいテストを記録する時点
  • 既存のテストに操作を記録する時点
  • Web アプリケーションに対するテストを再生する時点

Web アプリケーションのビジュアル ブレークポイントを検出し、対応する解像度を ブラウザー サイズ リストに表示させるには、次の手順を実行します。

  1. ブラウザー サイズの編集 をクリックします。 ブラウザー サイズの編集 ダイアログ ボックスが表示されます。
  2. ビジュアル ブレークポイントの検出 をクリックします。 Web アプリケーションの URL がアプリケーション構成や基本状態で指定されていない場合は、ビジュアル ブレークポイント検出 URL ダイアログが表示されます。
  3. Web アプリケーションの URL がアプリケーション構成や基本状態で指定されていない場合は、ビジュアル ブレークポイント検出 URL ダイアログが表示されます。URL をテキスト フィールドに入力し、OK をクリックします。 Silk4NET は Web アプリケーションのすべてのビジュアル ブレークポイントを検出し、ブラウザー サイズ リストに追加します。
  4. OK をクリックして ブラウザー サイズの編集 ダイアログを閉じます。
以上により、テストするブラウザー ウィンドウまたはモバイル デバイスのサイズに合わせて、ビジュアル ブレークポイントを選択できるようになります。
親トピック: クロス ブラウザ テスト
関連概念
レスポンシブ Web デザインのテスト


追加のブラウザーのバージョンでのテスト

このトピックでは、Silk4NET のバージョンに自動的に含まれない WebDriver ベースのブラウザーの追加のバージョンでテストを行う方法について説明します。
注: Silk4NET は、ブラウザーの最新のバージョンを自動的にサポートします。ただし、ブラウザーのベンダーが Silk4NET のアップデートを必要とする変更を行った場合、このトピックに記述した手順を行っても、新しいブラウザーのバージョンでテストを行うことができない場合もあります。
このトピックで説明されている機能は、 次のブラウザーに対してサポートされます。
  • Google Chrome
  • Microsoft Edge
  • Mozilla Firefox
  1. テストするブラウザーのバージョンに対して適切なドライバーをダウンロードします。
    • Google Chrome の場合、追加の ChromeDriver のバージョンは Downloads - ChromeDriver からダウンロードできます。
    • Mozilla Firefox の場合、追加の geckodriver のバージョンは Releases - mozilla/geckodriver からダウンロードできます。
    • Microsoft Edge の場合、追加の Microsoft WebDriver のバージョンは WebDriver - Microsoft Edge からダウンロードできます。
  2. Silk4NET インストール フォルダーの、\ng\WebDrivers\ フォルダーに移動します。
  3. 使用する新しいブラウザーのバージョンのオペレーティング システムに対応するフォルダーを開きます。
    • Microsoft Windows の場合、Windows フォルダーを開きます。
    • macOS の場合、osx64 フォルダーを開きます。
  4. ブラウザーに対して適切なフォルダーを開きます。
    • Google Chrome の場合、Chrome を開きます。
    • Mozilla Firefox の場合、Gecko を開きます。
    • Microsoft Edge の場合、Edge を開きます。
  5. 新しいドライバーのバージョン用に新しいフォルダを作成します。 たとえば、ドライバーが ChromeDriver 2.26 であれば、2.26 という新しいフォルダーを作成します。
  6. ダウンロードしたドライバーを新しいフォルダーで展開します。
  7. Silk4NET インストール フォルダーで、\ng\WebDrivers\Common\Config\ フォルダーに移動します。
  8. ブラウザーに対して適切なフォルダーを開きます。
    • Google Chrome の場合、Chrome を開きます。
    • Mozilla Firefox の場合、Gecko を開きます。
    • Microsoft Edge の場合、Edge を開きます。
  9. プロパティ ファイルをテキスト エディターで開きます。 たとえば、Google Chrome の場合、Chrome.properties を開きます。
  10. 新しいブラウザーのバージョンと新しいドライバーのバージョンを次のように追加します。
    <browser version>=<driver version>
    たとえば、Google Chrome 53 でテストする場合、ChromeDriver 2.26 が必要であるため、Chrome.properties ファイルに次の行を追加する必要があります。
    53=2.26
  11. プロパティ ファイルを保存します。
親トピック: クロス ブラウザ テスト


クロス ブラウザ テスト:よくある質問

このセクションでは、さまざまなブラウザ上で Web アプリケーションをテストするときに発生することがある質問を示します。

  • 再生中にダイアログが認識されない
    再生中にブラウザが Dialog を認識しない場合に、スクリプトを編集する方法について説明します。
  • DomClick(x, y) が Click(x, y) のように動作しない
    DomClick(x, y) が Click(x, y) のように動作しない問題を解決する方法について説明します。
  • FileInputField.DomClick() でダイアログが開かない
    FileInputField.DomClick() でダイアログを開かない場合に、ダイアログを開く方法について説明します。
  • テストの開始時にブラウザー ウィンドウを最大化する方法
    テスト スクリプトでブラウザーを最大化する方法について説明します。
  • ブラウザをスクロールさせる方法
    再生時にブラウザでスクロールを処理する方法について説明します。
  • 現在使用しているブラウザの確認方法
    現在使用しているブラウザを確かめる方法、または、どのブラウザをスクリプトで使用するのかを決める方法について説明します。
  • 要素のテキストに使用されるフォント タイプの確認方法
    テキスト要素のフォント タイプを確認する方法について説明します。
  • innerText をカスタム クラス属性として構成したが、ロケーターで使用されない
    innerText がロケーター文字列に表示されない理由について説明します。
  • xBrowser API で公開されていない機能が必要な場合の対処方法
    スクリプトに機能を追加する方法について説明します。
  • Link.Select で、Internet Explorer で新しく開いたウィンドウにフォーカスが設定されない
    新しく開いたウィンドウをアクティブ化する方法について説明します。
  • アプリケーションのログ出力に正しくないタイムスタンプが含まれる
    ログで正しくないタイムスタンプを回避する方法について説明します。
  • 新しいページに移動したあと、スクリプトがハングする
    新しいページに移動したあとで発生するスクリプトの問題を回避する方法について説明します。
  • 正しくないロケーターが記録されている
    正しくないロケーターがどのように記録されるかについて説明します。
  • Internet Explorer で要素を囲む四角形の位置が正しくない
    Internet Explorer で四角形の位置が正しくない場合の解決方法について説明します。
  • マウス移動設定がオンになっているにもかかわらず、すべての操作が記録されない理由
    MoveMouse 操作がいつ記録されるかについて説明します。
  • textContents、innerText、および innerHtml の違い
    textContents、innerText、および innerHtml の違いについて説明します。
  • クロス ブラウザー スクリプトの作成時に必要な処置
    クロス ブラウザー スクリプトを作成するときに発生する場合がある問題について説明します。
  • 安定したクロス ブラウザ テストを実現するために最適なロケーター
    クロス ブラウザ テスト用の安定したロケーターを作成する方法を説明します。
  • ロケーターでクラスとスタイルの属性が使用されない理由
    どのような場合にクラスとスタイルの属性をロケーターで使用するかについて説明します。
  • Internet Explorer 10 で Click の記録が異なる理由
    Internet Explorer 10 で記録された Click の動作が前のバージョンの Internet Explorer で記録された Click と異なる場合がある理由について説明します。
  • ハンドル無効エラーが表示される理由
    ハンドル無効エラーが表示された場合の対処法について説明します。
親トピック: クロス ブラウザ テスト


再生中にダイアログが認識されない

スクリプトを記録するときに、 Silk4NET はいくつかのウィンドウを Dialog として認識します。 スクリプトをクロス ブラウザ スクリプトとして使用する場合は、ブラウザによっては Dialog が認識されないため、 Dialog を Window に置き換える必要があります。
たとえば、スクリプトに以下の行があるとします。
/BrowserApplication//Dialog//PushButton[@caption='OK']
クロス ブラウザ テストを可能にするには、次のように行を書き換えます。
/BrowserApplication//Window//PushButton[@caption='OK']
親トピック: クロス ブラウザ テスト:よくある質問


DomClick(x, y) が Click(x, y) のように動作しない

アプリケーションで onclick イベントを使用しており、座標を必要とする場合、DomClick メソッドは動作しません。 代わりに、Click を使用します。

親トピック: クロス ブラウザ テスト:よくある質問
関連概念
xBrowser における API 再生とネイティブ再生の比較


FileInputField.DomClick() でダイアログが開かない

代わりに、Click を使用します。

親トピック: クロス ブラウザ テスト:よくある質問
関連概念
xBrowser における API 再生とネイティブ再生の比較


テストの開始時にブラウザー ウィンドウを最大化する方法

テストの開始時など、テスト スクリプトからブラウザーを最大化するために、BrowserApplication クラスの Maximize メソッドを使用できます。
ブラウザーを最大化するには、テスト スクリプトに次のコードを追加します。
'VB code
With _desktop.BrowserApplication("demo_borland_com")

      .Maximize()

End With
// C# code
webBrowser.Maximize();
親トピック: クロス ブラウザ テスト:よくある質問


ブラウザをスクロールさせる方法

Silk4NET では、次のようにして再生中にブラウザの表示領域にコントロールをスクロールさせることができます。
ExecuteJavaScript メソッド (DomElement)
ScrollIntoView メソッドを使用して、特定の DOM 要素をブラウザ ウィンドウの表示領域にスクロールできます。
ExecuteJavaScript メソッド (BrowserWindow)
ExecuteJavaScript メソッドを使用して、範囲を指定してページ全体を上下にスクロールさせることができます。

使用例

次のコマンドは、１ ページ下にスクロールさせます。
'VB .NET code
browserWindow.ExecuteJavaScript("window.scrollBy(0, window.innerHeight)")
// C# code
browserWindow.ExecuteJavaScript("window.scrollBy(0, window.innerHeight)");
次のコマンドは、１00 ピクセル下にスクロールさせます。
'VB .NET code
browserWindow.ExecuteJavaScript("window.scrollBy(0, 100)")
// C# code
browserWindow.ExecuteJavaScript("window.scrollBy(0, 100)");
次のコマンドは、１00 ピクセル上にスクロールさせます。
'VB .NET code
browserWindow.ExecuteJavaScript("window.scrollBy(0, -100)")
// C# code
browserWindow.ExecuteJavaScript("window.scrollBy(0, -100)");
親トピック: クロス ブラウザ テスト:よくある質問


現在使用しているブラウザの確認方法

BrowserApplication クラスには、ブラウザの種類を返すプロパティ "browsertype" があります。このプロパティをロケーターに追加することで、どのブラウザに一致させるかを定義できます。

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

使用例

ブラウザの種類を取得するには、次のコードをロケーターに入力します。
browserApplication.GetProperty("browsertype")

また、BrowserWindow には、現在のウィンドウのユーザー エージェント文字列を返すメソッド GetUserAgent があります。

親トピック: クロス ブラウザ テスト:よくある質問
関連資料
GetUserAgent Method (BrowserWindow)


要素のテキストに使用されるフォント タイプの確認方法

属性名を「:」で区切ると、DOM 要素の currentStyle 属性のすべての属性にアクセスできます。

Internet Explorer 8 以前
wDomElement.GetProperty("currentStyle:fontName")
Internet Explorer 9 またはそれ以降および Mozilla Firefox などの他のすべてのブラウザ
wDomElement.GetProperty("currentStyle:font-name")
親トピック: クロス ブラウザ テスト:よくある質問


innerText をカスタム クラス属性として構成したが、ロケーターで使用されない

ロケーター文字列に使用する属性には最大長があります。 InnerText は長くなりすぎる傾向があり、ロケーターで使用できない場合があります。 可能な場合は、textContents を代わりに使用してください。

親トピック: クロス ブラウザ テスト:よくある質問


xBrowser API で公開されていない機能が必要な場合の対処方法

ExecuteJavaScript() を使用して、JavaScript コードを Web アプリケーションから直接実行できます。 この方法は、ほとんどすべての問題の回避策となります。

親トピック: クロス ブラウザ テスト:よくある質問
関連資料
ExecuteJavaScript Method (BrowserWindow)


Link.Select で、Internet Explorer で新しく開いたウィンドウにフォーカスが設定されない

この制限は、ブラウザの構成設定を変更することで修正できます。 新しく開いたウィンドウが常にアクティブ化されるようにオプションを設定します。

親トピック: クロス ブラウザ テスト:よくある質問
関連概念
xBrowser のブラウザ構成の設定


アプリケーションのログ出力に正しくないタイムスタンプが含まれる

この方法によって、同期に関して予期しない結果が発生する場合があります。この問題を回避するには、HTML 同期モードを指定します。

親トピック: クロス ブラウザ テスト:よくある質問


新しいページに移動したあと、スクリプトがハングする

この問題は、AJAX アプリケーションによりブラウザがビジー（サーバー プッシュ／ActiveX コンポーネントの接続が開いている）のままになっている場合に、発生することがあります。 HTML 同期モードを設定してください。 他のトラブルシューティングのヒントについては、「xBrowser のページ同期」のトピックを参照してください。

親トピック: クロス ブラウザ テスト:よくある質問
関連概念
xBrowser のページ同期


正しくないロケーターが記録されている

マウスを要素上に移動したときに、要素の属性が変更することがあります。 Silk4NET によってこのシナリオの追跡が試行されますが、失敗することがあります。 影響を受ける属性を特定し、それが Silk4NET で無視されるように構成してください。

親トピック: クロス ブラウザ テスト:よくある質問
関連タスク
ブラウザの記録オプションの設定


Internet Explorer で要素を囲む四角形の位置が正しくない

  • 拡大率が 100% に設定されていることを確認します。 このようにしないと、四角形が正しく配置されません。
  • ブラウザ ウィンドウの上に通知バーが表示されていないことを確認します。 Silk4NET では、通知バーを処理できません。
親トピック: クロス ブラウザ テスト:よくある質問


マウス移動設定がオンになっているにもかかわらず、すべての操作が記録されない理由

多くの無用な MoveMouse 操作がスクリプトに影響を及ぼさないように、Silk4NET では以下の操作が行われます。

  • マウスが一定時間静止している場合にのみ、MoveMouse 操作が記録されます。
  • マウスを要素上に移動したあとで操作が行われていることが確認された場合にのみ、MoveMouse 操作が記録されます。 場合によっては、スクリプトに手動操作を追加することが必要となることがあります。
  • Silk4NET は、Web アプリケーション、Win32 アプリケーション、および Windows Forms アプリケーションに対してのみ、マウス移動の記録をサポートします。 Silk4NET は、Apache Flex や Swing など、xBrowser テクノロジ ドメインの子テクノロジ ドメインのマウス移動を記録することはできません。
親トピック: クロス ブラウザ テスト:よくある質問


textContents、innerText、および innerHtml の違い

  • textContents は、書式設定のみを目的とする要素およびその子要素に含まれるすべてのテキストです。
  • innerText は、要素およびその子要素に含まれるすべてのテキストを返します。
  • innerHtml は、要素に含まれるすべてのテキスト（html タグも含む）を返します。

以下の html コードについて検討します。

<div id="mylinks">
  This is my <b>link collection</b>:
  <ul>
    <li><a href="www.borland.com">Bye bye <b>Borland</b> </a></li>
    <li><a href="www.microfocus.com">Welcome to <b>Micro Focus</b></a></li>
  </ul>
</div>

以下の表に、返されるプロパティの詳細を示します。

コード 返される値
browser.DomElement("//div[@id='mylinks']").GetProperty("textContents")
This is my link collection:
browser.DomElement("//div[@id='mylinks']").GetProperty("innerText")
This is my link collection:Bye bye Borland Welcome to Micro Focus
browser.DomElement("//div[@id='mylinks']").GetProperty("innerHtml")
This is my <b>link collection</b>:
<ul>
  <li><a href="www.borland.com">Bye bye <b>Borland</b></a></li>
  <li><a href="www.microfocus.com">Welcome to <b>Micro Focus</b></a></li>
</ul>
注: Silk Test 13.5 以降で、要素の textContents プロパティを介して取得されるテキストの空白はサポートするブラウザすべてで一貫してトリムされます。ブラウザのバージョンによっては、この空白の処理方法が Silk Test 13.5 以前の Silk Test バージョンで異なる場合があります。以前の動作を有効にしたい場合、OPT_COMPATIBILITY オプションを 13.5.0 より低いバージョンに設定してください。たとえば、オプションを Silk Test 13.0 に設定するには、スクリプトで次のように入力します：
'VB .NET code
Agent.SetOption("OPT_COMPATIBILITY", "13.0.0")
// C# code
Agent.SetOption("OPT_COMPATIBILITY", "13.0.0");
親トピック: クロス ブラウザ テスト:よくある質問


クロス ブラウザー スクリプトの作成時に必要な処置

クロス ブラウザー スクリプトを作成する場合は、以下の 1 つまたは複数の問題に遭遇する場合があります。
  • クロス ブラウザー テスト用にスクリプトを記録する場合、Google Chrome、Mozilla Firefox、または Microsoft Edge を使用することを Micro Focus では推奨しています。 Internet Explorer を使って Silk4NET で記録したスクリプトは、ほかのブラウザーで記録したスクリプトと若干異なる場合があります。
  • 属性値が異なる。たとえば、Internet Explorer の色が "# FF0000" として、Mozilla Firefox の色が "rgb(255,0,0)" として返されます。
  • 属性名が異なる。たとえば、Internet Explorer 8 以前のバージョンのフォント サイズ属性は "fontSize" でしたが、Internet Explorer 9 以降および Mozilla Firefox などの他のすべてのブラウザでは "font-size" となります。
  • 一部のフレームワークで 異なる DOM ツリーがレンダリングされることがある
親トピック: クロス ブラウザ テスト:よくある質問


安定したクロス ブラウザ テストを実現するために最適なロケーター

組み込みロケーター生成プログラムでは、安定したロケーターの作成が試みられます。ただし、情報を使用できない場合、高品質のロケーターを生成することは困難です。この場合、ロケーター生成プログラムでは、階層形式の情報およびインデックスが使用されます。その結果、直接的な記録／再生には適していても、安定した日常的な実行には適さない脆弱なロケーターが生成されます。さらに、クロス ブラウザ テストでは、いくつかの AJAX フレームワークで異なるブラウザに対して異なる DOM 階層がレンダリングされることがあります。

この問題を回避するには、アプリケーションの UI 要素にカスタム ID を使用します。

親トピック: クロス ブラウザ テスト:よくある質問
関連タスク
ブラウザの記録オプションの設定


ロケーターでクラスとスタイルの属性が使用されない理由

これらの属性は AJAX アプリケーションで頻繁に変更され、ロケーターの安定性が損なわれることがありため、無視リストに含まれています。 ただし、多くの場合、これらの属性を使用してオブジェクトを識別できるため、アプリケーションで使用することに意味がある場合があります。

親トピック: クロス ブラウザ テスト:よくある質問


Internet Explorer 10 で Click の記録が異なる理由

Internet Explorer 10 の DomElement で Click を記録し、DomElement が Click の後で破棄された場合、記録動作が予期したとおりにならないことがあります。 別の DomElement が最初の DomElement の下にある場合、Silk Test では、1 つの Click が記録されるのではなく、Click、MouseMove、および ReleaseMouse が記録されます。

予期しない記録動作を回避する方法は、テスト対象のアプリケーションによって異なります。 通常は、記録されたスクリプトから不必要な MouseMove イベントと ReleaseMouse イベントを削除すれば十分です。

親トピック: クロス ブラウザ テスト:よくある質問


ハンドル無効エラーが表示される理由

このトピックでは、Silk4NET に「このオブジェクトのハンドルは無効になりました。」というエラー メッセージが表示された場合の対処法について説明します。

このメッセージは、たとえば WaitForProperty などのメソッドを呼び出したオブジェクトが何らかの理由で消失していることを示しています。たとえば、Web アプリケーションでメソッドを呼び出しているときに、何らかの理由でブラウザが 新しいページに移動した場合、以前のページのすべてのオブジェクトは自動的に無効になります。

Web アプリケーションのテストでは、組み込みの同期がこの問題の原因の場合があります。たとえば、テスト対象のアプリケーションにショッピング カートが含まれていて、このショッピング カートに品物を追加したとします。ユーザーは次のページが読み込まれ、ショッピング カートのステータスが 品物がある 状態に変わるまで待機しています。品物を追加するという操作からの戻り時間が短すぎた場合、最初のページのショッピング カートはステータスが変わるまで待機しますが、その間も新しいページは読み込まれています。したがって、最初のページのショッピング カートは無効になります。この動作によって、ハンドル無効エラーが発生します。

この問題を回避するには、2 番目のページでのみ有効なオブジェクトが表示されるまで待機してから、ショッピング カートのステータスを確認するようにしてください。このオブジェクトが有効になるとすぐに、ショッピング カートのステータスを確認できるようになり、2 番目のページで正しく検証されるようになります。

親トピック: クロス ブラウザ テスト:よくある質問


スクリプトからのブラウザの起動

テストの開始時に再生するブラウザを選択するのではなく、再生時にテスト スクリプトから特定のブラウザを起動することが必要になる場合があります。

BrowserBaseState クラスの使用

テスト スクリプトからブラウザを起動するために、BrowserBaseState クラスを使用すると、Executable プロパティで指定したブラウザが実行され、テストの準備ができている状態になります。さらに、基本状態としてUrl プロパティで指定した URL に移動され、ブラウザが最前面に表示されます。

次のサンプル コードは、BrowserBaseState を使用して Internet Explorer を起動します。
' VB . NET code
Dim MyBrowserBaseState As New BrowserBaseState(BrowserType.InternetExplorer, "http://www.borland.com")
MyBrowserBaseState.Execute()

ブラウザの複数インスタンスの使用

複数のブラウザ ウィンドウまたはタブが開かれている場合、Silk4NET は各ブラウザ ウィンドウまたはタブを、ユニークなロケーターを持つ個別のオブジェクトとして処理します。ロケーターは、WebBrowser、WebBrowser[1]、WebBrowser[2] のように、インデックス付きで表されます。

親トピック: クロス ブラウザ テスト


非表示入力フィールドの検索

非表示入力フィールドは、タグに type="hidden" を指定した HTML フィールドです。Find で非表示入力フィールドを検索できるようにするために、OPT_XBROWSER_FIND_HIDDEN_INPUT_FIELDS オプションを使用できます。このオプションのデフォルト値は、TRUE です。
'VB .NET code
Agent.SetOption("OPT_XBROWSER_FIND_HIDDEN_INPUT_FIELDS", true)
親トピック: クロス ブラウザ テスト


Web アプリケーションの属性

ロケーターが作成されるとき、属性の種類はアプリケーションが使用するテクノロジ ドメインに基づいて自動的に割り当てられます。 属性の種類と値によって、ロケーターがテスト内のオブジェクトを識別する方法が決定されます。

Web アプリケーションがサポートする属性は次のとおりです。
  • caption (次のワイルドカードをサポート：? および *)
  • すべての DOM 属性 (次のワイルドカードをサポート：? および *)
注: 各ブラウザによって、空のスペースの処理に違いがあります。 この結果、「textContent」および「innerText」属性は正規化されています。 空のスペースのあとに別の空のスペースが続く場合、空のスペースはスキップされるか、または 1 文字の空白で置き換えられます。 空のスペースとは、検出されたスペース、キャリッジ リターン、改行、タブのことです。 また、このような値に一致するものも正規化されます。 例：
<a>abc
abc</a>
以下のロケーターを使用します。
//A[@innerText='abc abc']
親トピック: クロス ブラウザ テスト
親トピック: サポートする属性の種類


xBrowser クラス リファレンス

xBrowser アプリケーションを設定すると、Silk4NET は標準の xBrowser コントロールのテストのサポートを組み込みで提供します。

親トピック: クロス ブラウザ テスト
関連資料
xBrowser Class Reference


Microsoft Windows 10 上のテストの制限事項

以下に、Microsoft Windows 10 (Windows 10) 上でテストする際の既知の制限事項を一覧します。
  • Silk Test は、Windows 10 上のユニバーサル Windows プラットフォーム (UWP) アプリのテストをサポートしません。
親トピック: 特定の環境のテスト


64 ビット アプリケーションのサポート

Silk4NET では、以下のテクノロジについて、64 ビット アプリケーションのテストがサポートされています。
  • Windows Forms
  • Windows Presentation Foundation (WPF)
  • Microsoft Windows API ベース
  • Java AWT/Swing
  • Java SWT

サポートするバージョン、既知の問題、および回避策についての最新の情報は、リリース ノートを確認してください。

親トピック: 特定の環境のテスト


サポートする属性の種類

ロケーターが作成されるとき、属性の種類はアプリケーションが使用するテクノロジ ドメインに基づいて自動的に割り当てられます。 属性の種類と値によって、ロケーターがテスト内のオブジェクトを識別する方法が決定されます。 必要に応じて、以下のいずれかの方法を使用して属性の種類を変更できます。
  • 他の属性の種類と値を手動で入力する。
  • 推奨属性リスト の値を変更して、デフォルトの属性の種類に対して別の設定を指定する。
  • Apache Flex アプリケーションの属性
    Apache Flex アプリケーションがサポートする属性の一覧を提供します。
  • Java AWT/Swing アプリケーションの属性
    Java AWT/Swing アプリケーションがサポートする属性を示します。
  • Java SWT アプリケーションの属性
    Java SWT アプリケーションがサポートする属性の一覧を提供します。
  • SAP アプリケーションの属性
    SAP アプリケーションがサポートする属性の一覧を提供します。
  • Silverlight コントロールを識別するためのロケーター属性
    Silverlight コントロールを識別するためにサポートされているロケーター属性について説明します。
  • Rumba コントロールを識別するためのロケーター属性
    Rumba コントロールを識別するためにサポートされているロケーター属性について説明します。
  • Web アプリケーションの属性
    Web アプリケーションがサポートする属性の一覧を提供します。
  • Windows Forms アプリケーションの属性
    Windows Forms アプリケーションがサポートする属性の一覧を提供します。
  • Windows Presentation Foundation (WPF) アプリケーションの属性
    Windows Presentation Foundation (WPF) アプリケーションがサポートする属性の一覧を提供します。
  • Windows API ベースのクライアント/サーバー アプリケーションの属性
    Windows API ベースのクライアント/サーバー アプリケーションがサポートする属性の一覧を提供します。
  • 動的ロケーター属性
    コントロールのプロパティを動的ロケーター属性として使用する方法について説明します。
親トピック: 特定の環境のテスト
関連概念
Locator Spy
ロケーターの基本概念
関連資料
ロケーターの構文


動的ロケーター属性

再生中にコントロールを識別するために、事前に定義されたロケーター属性のセット (caption や automationId など。テクノロジ ドメインに依存します) をロケーターに使用できます。 しかし、動的プロパティを含む、コントロールのすべての属性をロケーター属性として使用することもできます。 特定のコントロールで使用可能なプロパティのリストを取得するには、GetPropertyList メソッドを使用します。 返されたプロパティはすべて、ロケーターを使用してコントロールを識別するのに使用できます。

注: 特定のプロパティの実際の値を取得するには、GetProperty メソッドを使用します。 この値はロケーターで使用できます。

例

Silverlight アプリケーションのダイアログ ボックスにあるボタンを識別する場合、以下のように入力します。
browser.Find("//SLButton[@IsKeyboardFocused=true]")
または
Dim button = dialog.SLButton("@IsKeyboardFocused=true")
これが機能するのは、Silk4NET により Silverlight ボタン コントロールの IsDefault というプロパティが公開されるためです。

例

Silverlight アプリケーションのフォント サイズ 12 のボタンを識別する場合、以下のように入力します。
Dim button = browser.Find("//SLButton[@FontSize=12]")
または
Dim button = browser.SLButton("@FontSize=12")
これが機能するのは、テスト対象アプリケーションの基になるコントロール (この場合、Silverlight ボタン) が FontSize というプロパティを持つためです。
親トピック: サポートする属性の種類


キーワード駆動テスト

キーワード駆動テスト は、テスト開発からテスト設計を分離するソフトウェア テスト手法です。 このため、テスト自動化プロセスにビジネス アナリストなどの専門家を含めることができます。Silk Central と Silk Test はキーワード駆動テストをサポートしており、Silk Test のキーワードの形式での共有資産として構成されるメンテナンス可能な自動化フレームワークを自動化エンジニアが開発することによって、自動化エンジニアとビジネス アナリスト間で密接な共同作業を行うことができます。その後、これらのキーワードは、Silk Test で新しいキーワード駆動テストを作成したり、Silk Central で既存の手動テスト資産を自動テストに変換したり、新しいキーワード駆動テストを作成するために、ビジネス アナリストが使用することができます。

  • キーワード駆動テスト は、実行可能なキーワードのコレクションです。キーワード駆動テストは、他のテストと同様に再生することができます。
  • キーワード シーケンスは、他のキーワードを組み合わせたものです。キーワード シーケンスは、頻繁に使用するキーワードの組み合わせを 1 つのキーワードにまとめることにより、メンテナンスの労力を低減し、テストを理解しやすくすることができます。
  • キーワード は、テスト オブジェクトに対する複数の操作の組み合わせを定義したものです。キーワードの実装は、さまざまなツールとプログラム言語 (Java や .NET など) を使用して行えます。

キーワード駆動テストの作成には、次の 2 つのフェーズがあります。
  1. テストの設計
  2. キーワードの実装

キーワード駆動テストで利用可能な記録/再生コントロールの完全な一覧については、「キーワード駆動テスト クラス リファレンス」を参照してください。

  • キーワード駆動テストの利点
    機能テストおよび回帰テストを行うためにキーワード駆動テスト手法を使用する利点を次に示します。
  • キーワード
    キーワード、およびその使い方について説明します。
  • Silk4NET でキーワード駆動テストを作成する
    キーワードを使用してテスト対象アプリケーションの機能をテストするために、キーワード有働テストを作成します。
  • Silk4NET でのキーワード駆動テストの記録
    Recorder で操作を記録し、これらの操作をキーワードにまとめて新しいキーワード駆動テストを作成します。
  • Silk4NET でのキーワード駆動テストの基本状態の設定
    キーワード駆動テストの記録時に、AUT の基本状態を Silk4NET が作成する方法、および基本状態を手動で設定する方法について説明します。
  • Silk4NET でのキーワードの実装
    キーワード駆動テストでキーワードを再利用するために、キーワード駆動テスト エディター からキーワードを実装します。
  • Silk4NET でのキーワードの記録
    キーワード駆動テストでキーワードを使用するために、新しいキーワードに操作を記録します。
  • スクリプトのテスト メソッドをキーワードとして指定
    スクリプトの既存のテスト メソッドをキーワードとして指定して、キーワード駆動テストに追加します。
  • キーワード駆動テストの編集
    キーワード駆動テスト エディター でキーワードを開き、キーワード駆動テストを編集します。
  • Silk Central でテストのキーワードを管理する
    キーワード駆動テストのキーワードを操作のシーケンスを指定するために管理します。
  • Silk4NET のキーワード レコメンド機能
    Silk4NET がキーワード駆動テストに対するキーワードを推薦するのに使用する、基本的なレコメンド アルゴリズムについて説明します。
  • キーワードでのパラメータの使用
    キーワードおよびキーワード シーケンスのパラメータの処理方法について説明します。
  • 例：パラメータを取るキーワード
    パラメータを取るキーワードを使用する方法について説明します。
  • キーワードのキーワード シーケンスへの結合
    キーワード駆動テスト エディター でキーワードを結合してキーワード シーケンスを作成します。
  • 変数を指定したキーワード駆動テストの再生
    変数の値を設定して、変数を取るキーワード駆動テストを実行します。
  • Silk4NET と Silk Central の統合
    Silk4NET と Silk Central を統合することによって、技術者と非技術者のユーザー間で共同作業を行えます。
  • Silk4NET での Silk Central キーワードの実装
    Silk4NET で Silk Central キーワードを実装して、Silk Central で実行可能なキーワード駆動テストを作成します。
  • Silk Central へのキーワード ライブラリのアップロード
    Silk4NET から Silk Central にキーワード ライブラリをアップロードして、Silk Central で手動テストを自動化する際に、実装済みキーワードを使用できます。
  • コマンド ラインから Silk Central へのキーワード ライブラリの更新
    Java ベースのコマンド ラインから外部キーワード ライブラリを Silk Central にアップロードすることで、Silk Central とキーワード駆動テストを Jenkins などの継続的インテグレーション ビルド システムに統合することができます。
  • キーワードの検索
    キーワードウィンドウ で特定のキーワードを検索する方法について説明します。
  • キーワードのフィルタリング
    キーワード ウィンドウを使用して、現在のプロジェクトのキーワードを検索します。
  • キーワードのグループ化
    キーワードをライブラリで構造化するために、グループ化することができます。


キーワード駆動テストの利点

キーワード駆動テスト手法を使用する利点を次に示します。
  • キーワード駆動テストを使用すると、テスト自動化とテスト ケースのデザインが分離され、うまく分業できるようになり、キーワードを実装するテスト エンジニアとテスト ケースをデザインする専門家が共同作業できます。
  • テスト対象アプリケーションにアクセスすることなく、初期の段階からテストを開発でき、後からキーワードを実装できます。
  • プログラムの知識がなくてもテストを開発できます。
  • キーワード駆動テストは、長期的に見るとメンテナンス コストを低減できます。キーワードのメンテナンスが必要で、これらのキーワードを使用するすべてのキーワード駆動テストは自動的に更新されます。
  • テストケースが簡潔です。
  • 技術者でなくてもテスト ケースが読みやすく、理解しやすくなります。
  • テスト ケースの変更が簡単です。
  • 既存のキーワードを再利用して新しいテストを再利用できます。これにより、より広範囲なテスト カバレッジを実現しやすくなります。
  • キーワード実装の内部的な複雑性を、キーワード駆動テストを作成または実行するユーザーに対して隠蔽できます。
親トピック: キーワード駆動テスト


キーワード

キーワード は、テスト オブジェクトに対する複数の操作の組み合わせを定義したものです。キーワードの実装は、さまざまなツールとプログラム言語 (Java や .NET など) を使用して行えます。 Silk4NET でのキーワードは、メソッド名の前に Keyword 属性を持つメソッドです。キーワードは、キーワード資産として保存されます。

キーワード駆動テストの作成中にキーワードやキーワード シーケンスを定義し、後でそれらをテスト メソッドとして実装できます。既存のテスト メソッドに Keyword 属性を付けて、キーワードとしてマークすることもできます。キーワードは次のように定義されます：
'VB .NET code
<Keyword("keyword_name")>
// C# code
[Keyword("keyword_name")]

キーワード シーケンスは、他のキーワードを組み合わせたものです。キーワード シーケンスは、頻繁に使用するキーワードの組み合わせを 1 つのキーワードにまとめることにより、メンテナンスの労力を低減し、テストを理解しやすくすることができます。

キーワードまたはキーワード・シーケンスは、合計20の入力および出力パラメーターを持つことができます。キーワードを実装するテスト メソッドのパラメータは、キーワードのパラメータです。 キーワードのパラメータに違う名前を指定するために、次を使用できます：
'VB .NET code
Argument("parameter_name")
// C# code
[Argument("parameter_name")]

例

キーワードとしてマークされたテスト メソッドは、次のようになります。
'VB .NET code
<Keyword("Login")>
Public Sub Login()
    ...  // method implementation
End Sub
// C# code
[Keyword("Login")]
public void Login(){
    ... // method implementation
}
または
'VB .NET code
<Keyword("Login", Description:="Logs in with the given name and password.")>
Public Sub Login(<Argument("UserName")> username As String, <Argument("Password")> password As String)
    ... // method implementation
End Sub
// C# code
[Keyword("Login", Description="Logs in with the given name and password.")]
public void Login([Argument("UserName")] string userName, [Argument("Password")] string password) {
    ... // method implementation
}
このキーワードは、指定したユーザー名とパスワードを使ってテスト対象アプリケーションにログインします。
注: ヘルプ トピックを PDF で参照している場合、このサンプル コードは、実際のスクリプトでは許されない場所で改行されてしまっている場合があります。スクリプトでこのサンプル コードを使用する場合は、これらの改行を削除してください。
  • Keyword 属性 のキーワード名パラメータは、省略可能です。メソッドの名前とは異なる名前を指定する場合に、キーワード名パラメータを使用できます。パラメータが指定されていない場合、メソッドの名前がキーワード名として使用されます。
  • Argument属性も省略可能です。メソッドをキーワードとしてマークすると、自動的にすべての引数がキーワードの引数として使用されます。例のように、userName を UserName にしたい場合など、キーワードの引数とは異なる名前を指定する場合に、Argument属性を使用できます。
親トピック: キーワード駆動テスト


Silk4NET でキーワード駆動テストを作成する

Silk4NET でキーワード駆動テストを作成する前に、プロジェクトを選択する必要があります。

キーワード駆動テスト エディター を使って、新しいキーワードと既存のキーワードを新しいキーワード駆動テストに結合できます。新しいキーワードは、後のステップで自動テストのメソッドとして実装する必要があります。

  1. 新しいテストを追加したいプロジェクトを選択します。 デフォルトでは、プロジェクトがアクティブであれば、そのアクティブなプロジェクトに新しいテストが作成されます。
    注: Silk4NET が提供する機能を最適に使用するには、同じテストで複数のアプリケーションをテストする場合を除き、テストするアプリケーションごとに個別のプロジェクトを作成します。
  2. Silk4NET > 新しいキーワード駆動テスト をクリックします。 新しい項目の追加 ダイアログ ボックスが開きます。
  3. テストの名前を 名前 フィールドに入力し、追加 をクリックします。
    Silk4NET テストの作成 ダイアログ ボックスが開きます。
    注: 「このテキスト テンプレートを実行することで、コンピューターに害を及ぼす可能性があります。」といった内容のセキュリティ警告が表示される場合、今後このメッセージを表示させないようにチェック ボックスをオンにしてから OK をクリックしてテンプレートを実行します。このテンプレートは Silk4NET で必要なものです。
  4. 空の Silk4NET テストの作成 を選択します。 新しいキーワード駆動テストを記録する場合は、「キーワード駆動テストの記録」を参照してください。
  5. OK をクリックします。
    キーワード駆動テスト エディター が開きます。
  6. 次のアクションのいずれかを実行します。
    • 新しいキーワードを追加する場合は、新しいキーワード フィールドにキーワードの名前を入力します。
    • 既存のキーワードを追加する場合は、リストを展開して追加するキーワードを選択します。
  7. Enter を押します。
  8. 実行するすべてのキーワードを追加するまで、上記の 2 つの手順を繰り返します。
  9. ファイル > 保存 をクリックします。

続いて、キーワードを実装します。すべてのキーワードが実装されている場合は、テストを実行します。

親トピック: キーワード駆動テスト


Silk4NET でのキーワード駆動テストの記録

Silk4NET でキーワード駆動テストを作成する前に、プロジェクトを選択する必要があります。

単一のキーワードを記録する場合は、「キーワードの記録」を参照してください。

キーワード駆動テストを記録するには：

  1. Silk4NET > 新しいキーワード駆動テスト をクリックします。 新しい項目の追加 ダイアログ ボックスが開きます。
  2. テストの名前を 名前 フィールドに入力し、追加 をクリックします。
    Silk4NET テストの作成 ダイアログ ボックスが開きます。
  3. Silk4NET テストの記録 を選択して、OK をクリックします。
  4. 現在のプロジェクトに対してアプリケーション構成が設定されていない場合、テストするアプリケーションの種類に対応するタブを選択します。
    • ブラウザで実行しない標準アプリケーションをテストする場合は、Windows タブを選択します。
    • Web アプリケーションまたはモバイル Web アプリケーションをテストする場合は、Web タブを選択します。
    • ネイティブ モバイル アプリケーションをテストする場合は、モバイル タブを選択します。
  5. 標準アプリケーションをテストするには、リストからアプリケーションを選択します。
  6. Web アプリケーションまたはモバイル Web アプリケーションをテストするには、現在のプロジェクトに対してアプリケーション構成が設定されていない場合は、リストからインストール済みのブラウザまたはモバイル ブラウザのうちの 1 つを選択します。
    1. 移動する URL の入力 テキスト ボックスに、開く Web ページを指定します。選択したブラウザのインスタンスが既に実行されている場合、実行中のブラウザーの URL を使用する をクリックして、実行中のブラウザ インスタンスに現在表示されている URL の記録を行うことができます。チュートリアルの場合、Internet Explorer を選択し、移動する URL の入力 テキスト ボックスに http://demo.borland.com/InsuranceWebExtJS/ を指定します。
    2. 省略可能：あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。
      たとえば、Apple Safari 上の Web アプリケーションを Apple iPhone 7 の画面と同じ大きさのブラウザー ウィンドウでテストするには、リストから Apple iPhone 7 を選択します。
    3. 省略可能：ブラウザー ウィンドウの 向き を選択します。
    4. 省略可能：ブラウザー サイズの編集 をクリックすると、新しいブラウザー サイズを指定したり、ブラウザー サイズ リストに表示するブラウザー サイズを選択することができます。
  7. 現在のプロジェクトに対してアプリケーション構成が設定されていない場合に、ネイティブ モバイル アプリケーション (アプリ) をテストするには：
    1. アプリをテストするモバイル デバイスをリストから選択します。
    2. 参照 をクリックしてアプリ ファイルを選択するか、アプリ ファイルへの完全パスを モバイル アプリ ファイル テキスト フィールドに入力します。 このパスでは、Silk4NET は HTTP および UNC 形式をサポートします。 Silk4NET は、モバイル デバイスまたはエミュレータ上に指定したアプリをインストールします。
  8. 現在のプロジェクトに対してアプリケーション構成が設定されており、Web アプリケーションをテストする場合、ブラウザーの選択 ダイアログ ボックスが開きます。
    1. ブラウザーを選択します。
    2. 省略可能：あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。
      たとえば、Apple Safari 上の Web アプリケーションを Apple iPhone 7 の画面と同じ大きさのブラウザー ウィンドウでテストするには、リストから Apple iPhone 7 を選択します。
    3. 省略可能：ブラウザー ウィンドウの 向き を選択します。
    4. 省略可能：ブラウザー サイズの編集 をクリックすると、新しいブラウザー サイズを指定したり、ブラウザー サイズ リストに表示するブラウザー サイズを選択することができます。
  9. 開いているダイアログに応じて、次のいずれかを実行します。
    • アプリケーションの選択 ダイアログ ボックスで、OK をクリックします。
    • ブラウザーの選択 ダイアログ ボックスで、記録 をクリックします。
  10. テスト対象アプリケーションで、最初のキーワードに含める操作を実行します。
    記録中に利用可能な操作についての詳細は、「記録中に利用可能な操作」を参照してください。
  11. キーワードの名前を指定するには、記録中 ウィンドウでキーワードの名前の上にマウス カーソルを動かして、編集 をクリックします。
    注: Silk4NET は、キーワード駆動テストの開始に アプリケーションの開始 キーワードを自動的に追加します。このキーワードで、アプリケーションの基本状態が実行され、テストを正しく再生できるようになります。基本状態についての詳細は、「基本状態」を参照してください。
  12. キーワードの名前を キーワードの名前 フィールドに入力します。
  13. OK をクリックします。
  14. 次のキーワードの操作を記録するには、新しいキーワードの名前 フィールドに新しいキーワードの名前を入力し、追加 をクリックします。 Silk4NET は、新しいキーワードに新しい操作を記録します。
  15. キーワード駆動テスト全体を記録すまで、新しいキーワードを作成し、キーワードに対する操作を記録します。
  16. 停止 をクリックします。 記録完了 ダイアログ ボックスが開きます。
Silk4NET は、すべての記録したキーワードを含む新しいキーワード駆動テストを作成します。
親トピック: キーワード駆動テスト
関連概念
基本状態
レスポンシブ Web デザインのテスト
関連タスク
Silk4NET テストの実行


Silk4NET でのキーワード駆動テストの基本状態の設定

Silk4NET でキーワード駆動テストを実行すると、キーワード駆動テストは基本状態のキーワードを呼び出すことにより、Silk4NET は AUT を基本状態から開始します。

キーワード駆動テストの記録時に、Silk4NET は基本状態のキーワード (IsBaseState プロパティが True に設定されているキーワード) を現在のプロジェクトから検索します。

  • 基本状態のキーワードが現在のプロジェクトに存在した場合、Silk4NET は、キーワード駆動テストの最初のキーワードとして、このキーワードを挿入します。
  • 基本状態のキーワードがプロジェクトに存在しない場合、Silk4NET は、アプリケーションの開始 という名前の新しい基本状態のキーワードを作成し、キーワード駆動テストの最初のキーワードとして挿入します。
キーワードを手動で基本状態のキーワードとしてマークするには、IsBaseState プロパティを Keyword属性に追加し、プロパティの値を True に設定します。
' VB .NET code
<Keyword("Start application", IsBaseState:=True)>
Public Sub Start_application()
  ' Base state implementation
End Sub
// C# code
[Keyword("Start application", IsBaseState=true)]
public void Start_application()
{
  // Base state implementation
}
親トピック: キーワード駆動テスト
関連概念
基本状態


Silk4NET でのキーワードの実装

キーワードを実装する前に、キーワード駆動テストの一部としてキーワードを定義します。

キーワード駆動テストで再利用するためにキーワードを実装するには：

  1. 実装するキーワードが含まれているキーワード駆動テストを開きます。
  2. キーワード駆動テスト エディター で、実装するキーワードの左側に表示される キーワードの実装 をクリックします。 キーワードの作成 ダイアログ ボックスが開きます。
  3. 次のアクションのいずれかを実行します。
    • キーワードを記録するには、キーワードの記録 をクリックします。
    • 空のキーワード メソッドを作成するには、空のキーワード メソッド スタブの作成 をクリックします。
  4. OK をクリックします。
  5. キーワード実装の保存 ダイアログ ボックスで、キーワード実装コードを保存するファイルの名前と場所を定義して、保存 をクリックします。
  6. 現在のプロジェクトに対してアプリケーション構成が設定されており、Web アプリケーションをテストする場合、ブラウザーの選択 ダイアログ ボックスが開きます。
    1. ブラウザーを選択します。
    2. 省略可能：あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。
      たとえば、Apple Safari 上の Web アプリケーションを Apple iPhone 7 の画面と同じ大きさのブラウザー ウィンドウでテストするには、リストから Apple iPhone 7 を選択します。
    3. 省略可能：ブラウザー ウィンドウの 向き を選択します。
    4. 省略可能：ブラウザー サイズの編集 をクリックすると、新しいブラウザー サイズを指定したり、ブラウザー サイズ リストに表示するブラウザー サイズを選択することができます。
  7. 記録 をクリックします。
    記録の詳細については、「キーワードの記録」を参照してください。
親トピック: キーワード駆動テスト
関連概念
レスポンシブ Web デザインのテスト


Silk4NET でのキーワードの記録

完全に新しいキーワードに対してではなく、キーワード駆動テストに既に存在するキーワードに対しては、操作の記録のみを行えます。新しいキーワード駆動テストを記録する場合は、「キーワード駆動テストの記録」を参照してください。
新しいキーワードの操作を記録するには：
  1. 記録するキーワードが含まれているキーワード駆動テストを開きます。
  2. キーワード駆動テスト エディター で、実装するキーワードの左側に表示される キーワードの実装 をクリックします。 キーワードの作成 ダイアログ ボックスが開きます。
  3. OK をクリックします。
  4. 現在のプロジェクトに対してアプリケーション構成が設定されており、Web アプリケーションをテストする場合、ブラウザーの選択 ダイアログ ボックスが開きます。
    1. ブラウザーを選択します。
    2. 省略可能：あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。
      たとえば、Apple Safari 上の Web アプリケーションを Apple iPhone 7 の画面と同じ大きさのブラウザー ウィンドウでテストするには、リストから Apple iPhone 7 を選択します。
    3. 省略可能：ブラウザー ウィンドウの 向き を選択します。
    4. 省略可能：ブラウザー サイズの編集 をクリックすると、新しいブラウザー サイズを指定したり、ブラウザー サイズ リストに表示するブラウザー サイズを選択することができます。
  5. テスト対象アプリケーションで、テストする操作を実行します。
    記録中に利用可能な操作についての詳細は、「記録中に利用可能な操作」を参照してください。
  6. 停止 をクリックします。 記録完了 ダイアログ ボックスが開きます。
親トピック: キーワード駆動テスト
関連概念
レスポンシブ Web デザインのテスト
関連タスク
Silk4NET テストの実行


スクリプトのテスト メソッドをキーワードとして指定

スクリプトの既存のテスト メソッドをキーワードとして指定して、キーワード駆動テストのメソッドを再利用します。

  1. キーワードとして指定するテスト メソッドを含む スクリプトを開きます。
  2. <Keyword()> または [Keyword] (VB .NET か C# スクリプトかに応じて) をテスト メソッドの直前に追加します。 デフォルトでは、キーワード名はテスト メソッドの名前です。
  3. 省略可能：<Keyword("KeywordName")> または [Keyword("KeywordName")] (VB .NET か C# スクリプトかに応じて) をテスト メソッドの直前に追加すると、キーワードに他の名前を設定できます。
これで、テスト メソッドをキーワード駆動テストでキーワードとして使用できるようになります。

使用例

テスト メソッド Login を Login という名前で新しいキーワードとして指定するには、テスト メソッドの直前に以下を入力します。
'VB .NET code
<Keyword("Login")>
// C# code
[Keyword("Login")]
2 つの入力パラメータ UserName とPassWord を持つテスト メソッド Login を Login という名前で新しいキーワードとして指定するには、以下を入力します。
// VB .NET code
<Keyword("Login", Description="Logs in with the given name and password.")>
Public Sub Login(Argument("UserName") As String, Argument("PassWord") As String)
    ...    //
End Sub
// C# code
[Keyword("Login", Description:="Logs in with the given name and password.")]
public void Login([Argument("UserName")] string UserName, [Argument("PassWord")] string PassWord)
{
    ...    // method implementation
}
注: ヘルプ トピックを PDF で参照している場合、このサンプル コードは、実際のスクリプトでは許されない場所で改行されてしまっている場合があります。スクリプトでこのサンプル コードを使用する場合は、これらの改行を削除してください。
親トピック: キーワード駆動テスト
関連資料
KeywordAttribute クラス


キーワード駆動テストの編集

注: Silk4NET では、Silk4NET にあるキーワード駆動テストの編集と実行を行うことができ、また、Silk Central に格納されているキーワード駆動テストを実行することができます。Silk Central に格納されているキーワード駆動テストを編集するには、キーワード駆動テスト エディター でキーワード駆動テストを開き、編集 をクリックします。

キーワード駆動テストを編集するには：

  1. キーワード駆動テスト エディター でキーワードを開きます。
    1. ソリューション エクスプローラー で、キーワード駆動テストが存在するプロジェクトを展開します。
    2. Keyword Driven Tests フォルダを展開します。
    3. 編集するキーワード駆動テストをダブルクリックします。
  2. 新しいキーワードをキーワード駆動テストに追加するには：
    1. 新しいキーワード フィールドをクリックします。
    2. 新しいキーワードの名前を入力します。
    3. Enter を押します。
  3. 既存のキーワードを編集するには、キーワードの左側にある キーワードを開く をクリックします。
    注: Silk Central は、Silk Central で作成したすべてのキーワードの所有権を持ちます。このことは、このようなキーワードに対して行う変更は Silk4NET でではなく、Silk Central で保存されることを意味します。
  4. キーワードをキーワード駆動テストにコピーするには：
    1. キーワードを選択します。
      ヒント: 行番号の列で Ctrl + クリック または Shift + クリック を使用すると、複数のキーワードを選択できます。
    2. Ctrl + C を押します。
    3. キーワードを挿入する上の行を選択します。
    4. Ctrl + V を押します。
  5. キーワード駆動テストのほかの場所にキーワードを移動するには、キーワードをクリックして他の場所にドラッグするか、または次の手順を実行します。
    1. キーワードを選択します。
      ヒント: 行番号の列で Ctrl + クリック または Shift + クリック を使用すると、複数のキーワードを選択できます。
    2. Ctrl + X を押します。
    3. キーワードを挿入する上の行を選択します。
    4. Ctrl + V を押します。
  6. キーワード駆動テストからキーワードを削除するには、キーワードの左側にある キーワードの削除 をクリックします。 キーワードは、キーワード ウィンドウでまだ利用可能なので、いつでもキーワード駆動テストに再度追加することができます。
  7. 変更を保存するには、ファイル > 保存 をクリックします。
親トピック: キーワード駆動テスト


Silk Central でテストのキーワードを管理する

キーワード ページでは、選択したキーワード駆動テストのキーワードを管理できます。次のアクションを実行できます。
タスク | ステップ
テストまたはキーワード シーケンスを Silk Test で開く | Silk Test で開く をクリックして、選択したテストまたはキーワード シーケンスを Silk Test で開きます。
キーワードの追加
  1. キーワード リストの一番下にある 新しいキーワード をクリックするか、キーワードを右クリックして、コンテキスト メニューから キーワードを上に挿入 を選択します。
    注: キーワードの使用状況に基づいて、Silk Test にキーワードを推薦させることができます。推薦させるかどうかを切り替えるには、コンテキスト メニューの レコメンドの有効化 または レコメンドの無効化 を使用します。詳細については、「Silk4NET が推薦するキーワード」を参照してください。
  2. 利用可能なキーワードのリストからキーワードを選択するか、新しいキーワードを作成します。
  3. 保存 をクリックします。
または、右側にある すべてのキーワード ペインから、既存のキーワードをダブル クリックするか、ドラッグ＆ドロップします。
ヒント: Ctrl + クリック を使用すると、複数のキーワードを選択できます。ドロップするとき、キーワードは選択した順番に並び替えられます。
キーワードの削除 | 削除するキーワードの アクション 列で 削除 をクリックします。保存 をクリックします。
キーワードの順序の変更 | キーワードを移動したい位置にドラッグ＆ドロップします。保存 をクリックします。
キーワード シーケンス (他のキーワードから構成されるキーワード) の作成
  1. キーワード リストから結合したいキーワードを選択します。行番号の列で Ctrl + クリック または Shift + クリック を使用すると、複数のキーワードを選択できます。
  2. 選択範囲を右クリックして、結合 をクリックします。
  3. 新しいキーワード シーケンスの 名前 と 説明 を指定します。
キーワード シーケンスからキーワードの抽出 | キーワード シーケンスを右クリックし、キーワードの抽出 を選択します。これによって、元のキーワード シーケンスがそれに含まれるキーワードによって置換されますが、ライブラリからは削除されません。保存 をクリックします。
テストまたはキーワード シーケンスへのキーワードのコピーと貼り付け
  1. キーワード リストからコピーしたいキーワードを選択します。行番号の列で Ctrl + クリック または Shift + クリック を使用すると、複数のキーワードを選択できます。
  2. Ctrl + C を押すと選択項目がコピーされます。キーワードを移動する場合には、Ctrl + X を押します。
  3. キーワードをコピーするテストまたはキーワード シーケンスを開き、キーワードを挿入する上の行を選択します。
  4. Ctrl + V を押します。
ヒント: 選択したキーワードを Excel に貼り付けて編集し、それをコピーしてテストまたはキーワード シーケンスに貼り付けることもできます。
キーワード シーケンスのパラメータの定義
  1. キーワード リスト上の パラメータ をクリックします。パラメータ ダイアログ ボックスが表示されます。
  2. パラメータの追加 をクリックします。
  3. 新しいパラメータに対して 名前 を指定します。パラメータが出力パラメータ (入力値を必要とするのではなく、値を戻します) の場合、出力 チェック ボックスをチェックします。
  4. OK をクリックします。
  5. 保存 をクリックします。
注: キーワードまたはキーワード シーケンスは、入力パラメータと出力パラメータを合わせて 20 個まで持つことができます。
ドラフト キーワードの編集
  1. 編集するドラフト キーワードのアクション 列で、 編集 をクリックします。
  2. キーワードの グループ を選択するか、新しいグループを指定します。
  3. 説明 にキーワードの説明を入力します。この情報は、キーワードを実装するエンジニアにとって有益な情報です。
  4. OK をクリックします。
  5. 省略可能：パラメータ フィールドをクリックして、キーワードのパラメータを追加します。キーワードが Silk Test で実装されると、これらのパラメータは、生成されたコード スタブに現れます。
  6. 保存 をクリックします。
キーワードの検索
キーワード ウィンドウ の検索フィールドを使用して、特定のキーワードを検索します。文字を入力するとリストが更新され、その文字に一致する既存のキーワードが動的に表示されます。検索のヒント：
  • 検索では大文字小文字は区別されません。doAction を入力すると、doaction や DOAction が表示されます。
  • 大文字のみを入力すると、いわゆる キャメルケース検索が実行されます。ECD を入力すると、Enter Car Details、Enter Contact Details、EnterContactDetails が表示されます。
  • キーワード名とグループ名が検索対象になります。test を入力すると、test を含むすべてのキーワードと、グループ名に test を含むグループのすべてのキーワードが表示されます。
  • ? は、0 または 1 文字と一致します。user?test を入力すると、userTest や usersTest が表示されます。
  • * は、0 または n 文字と一致します。my*keyword を入力すると、myKeyword や myNewKeyword や my_other_keyword が表示されます。
  • <文字列>. はグループ名のみを検索します。group. を入力すると、グループ名に group を含むグループのすべてのキーワードが表示されます。
  • .<文字列> はキーワード名のみを検索します。.keyword を入力すると、keyword を含むすべてのキーワードが表示されます。
  • <string>.<string> は特定のグループのキーワードを検索します。group.word を入力すると、myGroup グループの myKeyword が表示されます。
  • 引用符を使用して完全一致のみを検索します。'Keyword' を入力すると、Keyword やMyKeyword は表示されますが、keyword は表示されません。
親トピック: キーワード駆動テスト


Silk4NET のキーワード レコメンド機能

キーワード駆動テスト エディター でキーワード駆動テストにキーワードを追加するとき、Silk4NET は、そのテストの次のキーワードとして使用する可能性のある既存のキーワードを推薦します。推薦するキーワードはキーワード リストの上位にリストされ、Silk4NET がどの程度そのキーワードを推薦しているかが、棒グラフの塗りつぶした長さによって示されます。

Silk4NET は、次のアルゴリズムに基づいてキーワードを推薦します。

  • キーワード駆動テストまたはキーワード シーケンスに最初のキーワードを追加する場合、Silk4NET は他のキーワード駆動テストまたはキーワード シーケンスの最初のキーワードとして使用されているのと同様なキーワードを検索します。最も頻繁に使用されるキーワードがより上位に推薦されます。
  • 既に他のキーワードを含んでいるキーワード駆動テストまたはキーワード シーケンスに、さらにキーワードを追加する場合、Silk4NET は次のようにしてキーワードを推薦します。
    • 新しいキーワードを追加するキーワード駆動テストまたはキーワード シーケンスの位置の前にキーワードがある場合、Silk4NET は前のキーワード群と、すべてのほかのキーワード駆動テストとキーワード シーケンスのキーワードの組み合わせとを比較し、最も頻繁に使用されているキーワードの組み合わせに続いて現れるキーワードを推薦します。
    • キーワード駆動テストまたはキーワード シーケンスの位置の前にキーワードがないが、現在の位置の後にキーワードがある場合、Silk4NET は後のキーワード群と、すべてのほかのキーワード駆動テストとキーワード シーケンスのキーワードの組み合わせとを比較し、最も頻繁に使用されているキーワードの組み合わせの前に現れるキーワードを推薦します。
  • さらに、Silk4NET は見つかったキーワードの類似性も考慮します。たとえば、2 つのキーワードの名前とグループの両方が一致する場合、Silk4NET は名前だけが一致するキーワードよりもこれらをより上位に推薦します。
  • Silk Central との接続が確立すると、現在のプロジェクトに対応するキーワード ライブラリに属したキーワード駆動テストに含まれるキーワードも考慮されます。
親トピック: キーワード駆動テスト


キーワードでのパラメータの使用

キーワードまたはキーワード シーケンスは、入力パラメータと出力パラメータを合わせて 20 個まで持つことができます。このトピックでは、Silk4NET を使用してこれらのパラメータを処理する方法について説明します。

キーワード駆動テスト エディター で、キーワードまたはキーワード シーケンスに対して定義されたパラメータを表示し、パラメータの値を編集できます。

キーワード ウィンドウで、キーワードまたはキーワード シーケンス上にマウス カーソルを動かすと、キーワードまたはキーワード シーケンスに割り当てられているパラメータを確認できます。

単純なキーワードの入力パラメータ

他のテスト メソッドに対するものと同じ方法で、 キーワードの入力パラメータを定義して使用することができます。

次のサンプル コードでは、2 つの入力パラメータ userName と password を持つキーワード SetUserDetails を定義する方法を説明します。
// C# code
[Keyword]
public void SetUserDetails(string userName, string password) {
  ...
}
' VB .NET code
<Keyword>
public Sub SetUserDetails(userName As String, password As String)
  ...
End Sub

単純なキーワードの出力パラメータ

キーワードの戻り値または 1 つ以上の出力パラメータを定義することができます。また、戻り値と 1 つ以上の出力パラメータを組み合わせて使用することもできます。

次のサンプル コードでは、文字列を返すキーワード GetText を定義する方法を説明します。
// C# code
[Keyword]
public string GetText() {
  return "text";
}
' VB .NET code
<Keyword>
public Function GetText As String
  Return "text"
End Function
次のサンプル コードでは、2 つの出力パラメータ userName と password を持つキーワード GetUserDetails を定義する方法を説明します。
// C# code
[Keyword]
public void GetUserDetails(out string userName, out string password) {
  userName="name";
  password="password";
}
' VB .NET code
<Keyword>
public Sub GetUserDetails(ByRef userName As String, ByRef password As String)
  userName="name"
  password="password"
End Sub

キーワード シーケンスのパラメータ

キーワード シーケンスのパラメータは、パラメータ ダイアログ ボックスで定義し、編集できます。このダイアログ ボックスは、キーワード シーケンス エディター の パラメータ をクリックして開くことができます。

親トピック: キーワード駆動テスト


例：パラメータを取るキーワード

このトピックでは、パラメータを取るキーワードを使用する方法の例を紹介します。キーワードまたはキーワード シーケンスは、入力パラメータと出力パラメータを合わせて 20 個まで持つことができます。

最初の手順として、使用するキーワードを含んだキーワード駆動テストを作成します。これは、キーワード駆動テスト全体を記録するか、新しいキーワード駆動テストを作成してからキーワード駆動テスト エディターでキーワードを追加することによって行います。

この例では、キーワード駆動テストは次のキーワードを含んでいます。
アプリケーションの開始
これは、AUT を開始して基本状態を設定する標準キーワードです。
Login
これは、ユーザー名とパスワードで識別される特定のユーザーで AUT にログインするキーワードです。
GetCurrentUser
このキーワードは、AUT に現在ログインしているユーザーの名前を返します。
AssertEquals
このキーワードは、2 つの値を比較します。
Logout
これは、AUT からユーザーをログアウトするキーワードです。

次のステップでは、パラメータをキーワードに追加します。これを行うには、キーワードのテスト スクリプトを開き、メソッドにパラメータを追加します。

入力パラメータ UserName と Password をキーワード Login に追加するには、
// C# code
[Keyword]
public void Login() {
  ...
}
' VB .NET code
<Keyword>
public Sub Login()
  ...
End Sub
を、次のように変更します。
// C# code
[Keyword]
public void Login(string UserName, string Password) {
  ...
}
' VB .NET code
<Keyword>
public Sub Login(UserName As String, Password As String)
  ...
End Sub
出力パラメータ UserName をキーワード GetCurrentUser に追加するには、
// C# code
[Keyword]
public void GetCurrentUser() {
  ...
}
' VB .NET code
<Keyword>
public Sub GetCurrentUser()
  ...
End Sub
を、次のように変更します。
// C# code
[Keyword]
public void GetCurrentUser(out string CurrentUser) {
  ...
}
' VB .NET code
<Keyword>
public Sub GetCurrentUser(ByRef CurrentUser As String)
  ...
End Sub

キーワード駆動テスト エディター 上のキーワード駆動テストは、次のようになります。

これで、キーワード駆動テスト エディター 上で入力パラメータの実際の値を指定できます。キーワード GetCurrentUser の出力パラメータ UserName の値を取得するには、${current user} のように、変数を指定します。その後のキーワードで、変数を指定して格納された値を渡すことができます。

親トピック: キーワード駆動テスト


キーワードのキーワード シーケンスへの結合

キーワード駆動テスト エディター を使って、複数のキーワード駆動テストで順番に実行したいキーワードを結合してキーワード シーケンスを作成できます。
  1. 結合するキーワードが含まれているキーワード駆動テストを開きます。
  2. キーワード駆動テスト エディター で、Ctrl キーを押しながら結合したいキーワードをクリックします。
  3. 選択範囲を右クリックして、結合 をクリックします。 キーワードの結合 ダイアログ ボックスが開きます。
  4. 名前 フィールドに、新しいキーワード シーケンスの名前を入力します。
  5. 省略可能：説明 フィールドに、新しいキーワード シーケンスの説明を入力します。
  6. 結合 をクリックします。
新しいキーワード シーケンスが開き、キーワード ウィンドウにも表示されます。キーワード駆動テストでキーワード シーケンスを使用できます。
注: 他のキーワードと同じように、キーワード シーケンス自身を実行することはできませんが、キーワード駆動テストの一部として実行することができます。
親トピック: キーワード駆動テスト


変数を指定したキーワード駆動テストの再生

キーワード駆動テスト用の変数の値を設定する前に、プロジェクトを作成する必要があります。
  1. ソリューション エクスプローラー で、変数を指定して実行するキーワード駆動テストが存在するプロジェクトを展開します。
  2. プロジェクト ノードを右クリックして、追加 > 新しい項目 を選択します。 新しい項目の追加 ダイアログ ボックスが開きます。
  3. 項目ツリーから インストール済み > 共通項目 > 全般 を選択します。
  4. 項目リストから テキスト ファイル を選択します。
  5. 名前 フィールドに、globalvariables.properties を入力します。
  6. 追加 をクリックします。 新しいプロパティ ファイルが開きます。
  7. ファイルの新しい行を追加して変数を指定します。
    新しい変数のフォーマットは次のようになります。
    name=value
    たとえば、user と password という 2 つの変数を指定する場合は、次のように入力します。
    user=John
password=john5673

    プロパティ ファイルのフォーマットや、空白類などの Unicode 文字の入力方法についての情報は、『Properties File Format』を参照してください。

  8. globalvariables.properties ファイルを保存します。
  9. ソリューション エクスプローラー で、globalvariables.properties ファイルを右クリックして プロパティ を選択します。 プロパティ ビューが開きます。
  10. プロパティ ビューの ビルド アクション リストを開き、埋め込まれたリソース を選択します。
  11. 実行するキーワード駆動テストを開きます。
  12. キーワード駆動テスト エディター で、新しい変数を使用するパラメーターを編集します。 次のように記述します。
    ${variable name}
    たとえば、次のキーワード駆動テストでは、${current user} パラメーターはグローバル変数を使用します。

プロジェクトのキーワード駆動テスト が Silk4NET から実行されるときはいつでも、変数が使用されます。

親トピック: キーワード駆動テスト


Silk4NET と Silk Central の統合

Silk4NET と Silk Central を統合することによって、技術者と非技術者のユーザー間で共同作業を行えます。
Silk4NET と Silk Central が統合され、Silk Central に存在するライブラリとアクティブな Silk4NET プロジェクトが同じ名前であれば、キーワード ビュー ( Silk4NET > キーワード ウィンドウの表示 から開く) には、アクティブな Silk4NET プロジェクトで定義されたキーワードに加えて、Silk Central ライブラリのすべてのキーワードが表示されます。
注: Silk Central の接続情報は、すべての Silk4NET ユーザーに別々に保存されるため、Silk Central のキーワードおよびキーワード シーケンスで作業するすべての Silk4NET ユーザーは、Silk4NET を Silk Central と統合する必要があります。
Silk4NET と Silk Central を統合すると、次のメリットがあります。
  • テスト管理と実行を Silk Central で処理できる
  • キーワードが Silk Central データベースに格納され (ライブラリのアップロード)、Silk Central のすべてのプロジェクトで利用できる
  • 手動テストを Silk Central で直接自動化し、作成したキーワード駆動テストを Silk Central から Silk4NET で実行できる
注: Silk4NET では、Silk4NET にあるキーワード駆動テストの編集と実行を行うことができ、また、Silk Central に格納されているキーワード駆動テストを実行することができます。Silk Central に格納されているキーワード駆動テストを編集するには、キーワード駆動テスト エディター でキーワード駆動テストを開き、編集 をクリックします。
  1. メニューから、Silk4NET > Silk Central の設定 を選択します。 スクリプト オプション ダイアログ ボックスが開きます。
  2. URL フィールドに、 Silk Central サーバーの URL を入力します。 たとえば、Silk Central のサーバー名が sctm-server で、Silk Central のポート番号が 13450 の場合は、http://sctm-server:13450 と入力します。
  3. 認証用 Web サービス トークンを指定します。

    Web サービス トークンは、Silk Central の ユーザー設定 ページから生成できます。 このページは、 Silk Central のメニューに表示されているユーザー名をクリックするとアクセスできます。

    注: Silk Central ユーザー名とパスワードを使って認証を行う場合は、認証 リストから ユーザー名とパスワード を選択します。ただし、セキュリティ上の理由から、ユーザー名とパスワードをネットワーク越しに送信するのではなく、Web サービス トークンを使用することを Micro Focus では推奨しています。
  4. 有効な ユーザー名 と パスワード を、それぞれのフィールドに入力します。
  5. 検証 をクリックして、Silk4NET が指定したユーザーで Silk Central サーバーにアクセスできるかどうか確認します。
  6. OK をクリックします。
親トピック: キーワード駆動テスト
関連タスク
Sauce Labs デバイスの使用
Mobile Center デバイスの使用


Silk4NET での Silk Central キーワードの実装

Silk Central キーワードを実装する前に、Silk Central でキーワード駆動テストの一部としてキーワードを定義します。

Silk4NET で Silk Central キーワードを実装するには：

  1. Silk4NET のプロジェクトをキーワード駆動テストを含んだ Silk Central のキーワード ライブラリと同じ名前で作成します。
  2. Silk Central のキーワード ライブラリにタイプが割り当てられていない場合、Silk4NET > キーワード ライブラリのアップロード をクリックして、ライブラリ タイプを設定します。
  3. 省略可能：Silk Central の特定のキーワードを Silk4NET で実装するには、ライブラリの キーワード タブを Silk Central で開き、キーワードの アクション 列からSilk Test で実装 をクリックします。
  4. Silk4NET メニューで、Silk4NET > キーワード ウィンドウの表示 をクリックします。
  5. キーワード ウィンドウで、キーワード駆動テストをダブル クリックします。
    キーワード ウィンドウで Silk Central による変更を更新するには、更新 をクリックします。
  6. ツールバーで、操作の記録 をクリックします。
  7. 現在のプロジェクトに対してアプリケーション構成が設定されており、Web アプリケーションをテストする場合、ブラウザーの選択 ダイアログ ボックスが開きます。
    1. ブラウザーを選択します。
    2. 省略可能：あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。
      たとえば、Apple Safari 上の Web アプリケーションを Apple iPhone 7 の画面と同じ大きさのブラウザー ウィンドウでテストするには、リストから Apple iPhone 7 を選択します。
    3. 省略可能：ブラウザー ウィンドウの 向き を選択します。
    4. 省略可能：ブラウザー サイズの編集 をクリックすると、新しいブラウザー サイズを指定したり、ブラウザー サイズ リストに表示するブラウザー サイズを選択することができます。
  8. 記録 をクリックします。
    記録の詳細については、「キーワードの記録」を参照してください。
  9. 最初の未実装のキーワードの操作を記録します。
  10. 現在のキーワードに対するすべての操作を記録し終わったら、次のキーワード をクリックします。
  11. 記録中 ウィンドウでキーワードを切り替えるには、前のキーワード と 次のキーワード をクリックします。
  12. 停止 をクリックします。 記録完了 ダイアログ ボックスが開きます。
注: Silk Central のキーワード駆動テストは、Silk4NET では読み取り専用であるため、キーワードを削除したり、キーワードの順番を変更することはできません。
親トピック: キーワード駆動テスト
関連概念
レスポンシブ Web デザインのテスト


Silk Central へのキーワード ライブラリのアップロード

Silk Central で作業するためには、有効な Silk Central の場所が設定されている必要があります。詳細については、「Silk4NET と Silk Central の統合」を参照してください。

Silk Central で自動テストを自動化するために、Silk4NET プロジェクトで実装したキーワードをキーワード ライブラリとして Silk Central にアップロードできます。そして、キーワードを使用して手動テストを自動化できます。
  1. Silk4NET で、キーワード駆動テストが存在するプロジェクトを選択します。
  2. 同じ名前のライブラリが Silk Central (テスト > ライブラリ) に存在していることを確認します。
  3. メニューで、Silk4NET > キーワード ライブラリのアップロード を選択します。
  4. 省略可能：キーワード ライブラリに対する変更の説明を指定します。
  5. 省略可能：設定 をクリックして、Silk Central への接続を設定します。
  6. 省略可能：接続した Silk Central インスタンスで利用可能なライブラリを確認するには、リンクをクリックします。
  7. アップロード をクリックします。
    注意:
    Silk Central のキーワード ライブラリが既に他の自動化ツール、つまり他の Silk Test クライアントに割り当てられている場合、キーワード ライブラリのタイプを変更するかどうか確認されます。タイプの変更を行う場合にのみ、ライブラリはアップロードされます。
Silk4NET は、プロジェクトで実装されたすべてのキーワードからキーワード ライブラリを作成します。その後、Silk4NET は library.zip という名前で、キーワード ライブラリをプロジェクトの出力フォルダに保存します。ライブラリの整合性が検証され、Silk Central の既存のテストが影響を受ける変更が キーワード ライブラリを Silk Central にアップロード ダイアログ ボックスに一覧されます。最後に、Silk4NET はライブラリを Silk Central にアップロードします。これで、Silk Centralでキーワードを使用できるようになります。キーワード ライブラリに含まれるキーワードを使用する Silk Central のキーワード駆動テストは、現在のキーワードの実装を自動的に使用します。
親トピック: キーワード駆動テスト


コマンド ラインから Silk Central へのキーワード ライブラリの更新

Java ベースのコマンド ラインから外部キーワード ライブラリを Silk Central にアップロードすることで、Silk Central とキーワード駆動テストを Jenkins などの継続的インテグレーション ビルド システムに統合することができます。
Java ベースのコマンド ラインからキーワード ライブラリを Silk Central にアップロードするには：
  1. Silk Central で、ヘルプ > ツール を選択し、Java キーワード ライブラリ ツール をダウンロードします。
  2. ダウンロードした jarファイルに含まれるコマンド ライン ツールを次の引数で呼び出します。
    • java
    • -jar com.borland.silk.keyworddriven.jar
    • -upload
    • 更新または存在しない場合は作成される Silk Central のライブラリの ライブラリ名。
    • アップロードするライブラリ パッケージ (zip アーカイブ) の パッケージ名。
    • Silk Central フロントエンド サーバーのホスト名:ポート。
    • Silk Central ユーザーの Web サービス トークン。認証に必要です。Web サービス トークンは、Silk Central の ユーザー設定 ページから生成できます。 このページは、 Silk Central のメニューに表示されているユーザー名をクリックするとアクセスできます。
      注: セキュリティ上の理由から、ユーザー名とパスワードをネットワーク越しに送信するのではなく、Web サービス トークンを使用することを Micro Focus では推奨しています。
    • Silk Central ユーザーの ユーザー名。Web サービス トークンを認証に使用する場合は必要ありません。
    • Silk Central ユーザーの パスワード。Web サービス トークンを認証に使用する場合は必要ありません。
    • ライブラリに適用された変更を説明する 更新情報 (引用符で囲む)。
    • テストまたはキーワード シーケンスで使用されているキーワードの削除を許可するための [-allowUsedKeywordDeletion] フラグ (省略可能)。デフォルトでは、使用中のキーワードを削除しようとするとエラーが発生します。
    Java 9 以降を使ってライブラリを Silk Central にアップロードするコマンド ラインは次のようになります。
    java --add-modules=java.activation,java.xml.ws -jar com.borland.silk.keyworddriven.jar -upload
"My library" "./output/library.zip" silkcentral:19120 scLogin
scPassword "Build xy: Implemented missing keywords"

使用例

認証に Web サービス トークンを使い、Java 8 以前を使ってライブラリを Silk Central にアップロードするコマンド ラインは次のようになります。
java -jar com.borland.silk.keyworddriven.jar -upload
"My library" "./output/library.zip" silkcentral:19120 scToken "Build xy: Implemented missing keywords"
認証にユーザー名とパスワードを使い、Java 8 以前を使って上記と同じライブラリをアップロードするコマンド ラインは次のようになります。
java -jar com.borland.silk.keyworddriven.jar -upload
"My library" "./output/library.zip" silkcentral:19120 scLogin
scPassword "Build xy: Implemented missing keywords"
Java 9 以降を使った場合は、それぞれ次のようになります。
java --add-modules=java.activation,java.xml.ws -jar com.borland.silk.keyworddriven.jar -upload
"My library" "./output/library.zip" silkcentral:19120 scToken "Build xy: Implemented missing keywords"
java --add-modules=java.activation,java.xml.ws -jar com.borland.silk.keyworddriven.jar -upload
"My library" "./output/library.zip" silkcentral:19120 scLogin
scPassword "Build xy: Implemented missing keywords"
注: Java 9 以降を使ってキーワード駆動ライブラリをアップロードする場合は、実行サーバー上で JAVA_HOME が定義され、対応するバージョンの JDK を指していることを確認してください。
親トピック: キーワード駆動テスト


キーワードの検索

キーワード ウィンドウ の検索フィールドを使用して、特定のキーワードを検索します。文字を入力するとリストが更新され、その文字に一致する既存のキーワードが動的に表示されます。検索のヒント：
  • 検索では大文字小文字は区別されません。doAction を入力すると、doaction や DOAction が表示されます。
  • 大文字のみを入力すると、いわゆる キャメルケース検索が実行されます。ECD を入力すると、Enter Car Details、Enter Contact Details、EnterContactDetails が表示されます。
  • キーワード名とグループ名が検索対象になります。test を入力すると、test を含むすべてのキーワードと、グループ名に test を含むグループのすべてのキーワードが表示されます。
  • ? は、0 または 1 文字と一致します。user?test を入力すると、userTest や usersTest が表示されます。
  • * は、0 または n 文字と一致します。my*keyword を入力すると、myKeyword や myNewKeyword や my_other_keyword が表示されます。
  • <文字列>. はグループ名のみを検索します。group. を入力すると、グループ名に group を含むグループのすべてのキーワードが表示されます。
  • .<文字列> はキーワード名のみを検索します。.keyword を入力すると、keyword を含むすべてのキーワードが表示されます。
  • <string>.<string> は特定のグループのキーワードを検索します。group.word を入力すると、myGroup グループの myKeyword が表示されます。
  • 引用符を使用して完全一致のみを検索します。'Keyword' を入力すると、Keyword やMyKeyword は表示されますが、keyword は表示されません。
親トピック: キーワード駆動テスト


キーワードのフィルタリング

現在のプロジェクトの特定のキーワードを検索すために、キーワード ウィンドウに表示されているキーワードをフィルタすることができます。Silk Central との統合が設定されている場合、結果には Silk Central に関連付けられたキーワードも含まれます。
  1. メニューで Silk4NET > キーワード ウィンドウの表示 をクリックします。 キーワード ウィンドウが開きます。
  2. キーワード ウィンドウで、検索フィールドに検索するキーワードの名前を入力します。 キーワード ウィンドウに、現在のプロジェクト内の指定した名前を持つすべてのキーワードが表示されます。
  3. 省略可能：キーワードを編集するには、キーワード ウィンドウでキーワード上にマウス カーソルを移動して、実装へ移動 をクリックします。
親トピック: キーワード駆動テスト


キーワードのグループ化

キーワードをライブラリで構造化するために、グループ化することができます。

このトピックでは、キーワードを特定のグループに追加する方法について説明します。 このグループ名は Silk Central でも使用され、キーワードはグループ名に従って分類されます。

キーワードを特定のグループに追加するには：

  1. キーワードの実装を開きます。
    1. キーワードを実装しているプロジェクトを開きます。
    2. キーワード ウィンドウを開きます。
    3. キーワード ウィンドウで、キーワードを選択します。
    4. 実装へ移動 をクリックします。
  2. クラスのすべてのメソッドをキーワード グループに追加するには、クラス定義の前にキーワード グループを追加します。 たとえば、キーワードを Calculator グループ追加するには、次のように入力します。
    // VB .NET code
<KeywordGroup("Calculator")>
    // C# code
[KeywordGroup("Calculator")]
キーワード ウィンドウで表示されるキーワード名にグループが含まれるようになります。たとえば、Addition キーワードが Calculator グループに属している場合は、Calculator.Addition として表示されます。
親トピック: キーワード駆動テスト
関連資料
KeywordGroupAttribute クラス


既知の問題

このセクションでは、Silk4NET の既知の問題とその解決策を示します。

  • 全般的な問題
    全般的な既知の問題について説明します。
  • モバイル Web アプリケーション
    モバイル Web アプリケーションのテストに関連する既知の問題について説明します。
  • Web アプリケーション
    Web アプリケーションに関連する既知の問題について説明します。
  • SAP アプリケーション
    SAP アプリケーションに関連する既知の問題について説明します。
  • Oracle Forms
    Oracle Forms を使って構築したアプリケーションに関連した既知の問題を説明します。
  • Silk4NET
    Silk4NET の問題。


全般的な問題

オブジェクト マップを開くのに時間がかかる

.NET 4 を使用している場合、大規模なオブジェクト マップ資産があると読み込みに時間がかかります。.NET 4.5 をインストールすると、この問題を解決できます。

リモート デスクトップまたはリモート デスクトップ接続 (RDC) が最小化されると、Silk Test が機能しない

リモート デスクトップ プロトコル (RDP) 経由でデスクトップに接続している場合、マウスとキーボードを使ってデスクトップに接続することにより、デスクトップの所有権を獲得します。デスクトップの所有権を解放せずにデスクトップを最小化すると、マウス クリックまたはキーストロークの再生がすべて未定義になります。

回避策として、VNC ベースのリモート操作ツールを使用することができます。この場合、クライアントが最小化された場合でも再生を継続できます。

Check Point ファイアウォールがインストールされている場合に Open Agent が起動しない

システムに Check Point ファイヤウォールまたは Check Point ZoneAlarm ファイヤウォールをインストールしている場合は、ファイヤウォールが Agent と infoservice 間の通信を中断するために Open Agent を起動できません。

Open Agent を起動するには、システムから Check Point ファイヤウォールをアンインストールする必要があります。

domDoubleClick メソッドの modifiers パラメータが無視される

domDoubleClick メソッドのオーバーロードで修飾キーを指定できません。パラメータが指定されている場合でも、修飾キーはダブルクリックされません。修飾キーを指定できる domDoubleClick メソッドのオーバーロードは、非推奨です。修飾キーを指定するには、doubleClick メソッド (modifiers パラメータを取るオーバーロード メソッドをサポートするクライアントを使用している場合)、または PressKeys および ReleaseKeys メソッドを使用します。

Silk Test が Metro スタイル アプリのテストをサポートしない

Silk Test は、Microsoft Windows 8、Microsoft Windows 8.1、Microsoft Windows 10 上の Metro スタイル アプリのテストをサポートしません。Metro スタイル アプリは、Windows 8 スタイル、Modern UI スタイル、Windows ストア スタイル、ユニバーサル Windows プラットフォーム (UWP) アプリとも呼ばれます。

Microsoft Windows 8 の組み込みスペル チェックがテストの再生に干渉する

Microsoft Windows 8 の組み込みスペル チェックは、Internet Explorer 10 などのアプリケーションで有効にできます。

記録中に単語のスペルを間違え、この単語の入力を再生すると、スペル チェッカーはこの単語をマークするか、間違われやすい単語の場合は自動的に修正します。これは、実際のユーザーに対して行われる動作と同じです。スペル チェック機能が含まれていないオペレーティング システムでテストを作成した場合、Microsoft Windows 8 でテストを再生すると、予期せぬ結果が生じることがあります。スペル チェックを無効にするには、次の手順を実行します。
  1. Windows キー + C を押します。
  2. チャーム バーで 設定 をクリックします。
  3. PC 設定の変更 を選択します。
  4. 全般 を選択すると、スペル チェック セクションが表示されます（使用中の言語によってスペル チェック機能の有無は異なります）。
    注: これはシステム全体の設定で、Internet Explorer 固有の設定ではありません。
  5. スペル ミスの語句を自動修正する (Autocorrect misspelled words) をオフに設定します。
  6. スペル ミスの語句を強調表示する (Highlight misspelled words) をオフに設定します。

.NET アプリケーションを DevPartner Studio (DPS) から起動すると、Silk Test で認識されないことがある

この問題を解決するには、以下のステップを実行します。

  1. Silk Test のインストール フォルダに移動します (デフォルトではC:\Program Files\Silk\SilkTest)。
  2. Windows Forms アプリケーションの場合は、ng\agent\plugins\com.borland.fastxd.techdomain.windowsforms.agent_<バージョン番号> へ移動します。
  3. Windows Presentation Foundation (WPF) の場合は、ng\agent\plugins\com.microfocus.silktest.techdomain.wpf.agent_<バージョン番号> へ移動します。
  4. メモ帳で、plugin.xml ファイルを開いて、<loadparameters> セクションに以下の行を追加します。
    <param name="frameworkAssembly">mscoree.dll</param>
  5. コンピュータからログアウトして、再びログインします。 DevPartner Studio によって起動されたアプリケーションに対して、Silk Test が期待どおりの動作をします。

イメージ領域に対するクリックの記録時に矩形領域によってハイライトされる位置がずれる

エリア マップのような複雑なイメージの一部に対するクリックを記録する場合、イメージの適切な領域が緑色の矩形領域によってハイライトされません。ただし、再生時にクリックは正しく実行されます。

Silk Test のインストール中に Windows Defender が有効になっていると Open Agent が起動しない

Silk Test のインストール中にシステムの Windows Defender が有効になっていると、インストールが完了した後に Open Agent を起動できなくなる場合があります。Windows Defender は、ホットフィックス セットアップに必要な操作を妨げる場合があります。回避策として、Silk Test のインストール中は Windows Defender を無効にしてください。

IME エディタが特定の場所から開かれたときにポップアップする

IME エディタを開くと、テキスト フィールド内に開くのではなく、現在の画面の左上隅にポップアップして開きます。

この動作は、次の場所から IME エディタを開いたときに発生します。
  • Silk Recorder
  • キーワード駆動テスト エディター
  • キーワード ウィンドウ

検索ボックスに文字を入力すると Silk Test ヘルプがフリーズする

Microsoft Windows 8.1、Microsoft Windows RT 8.1、または Microsoft Windows Server 2012 R2 上のコンパイルされた HTML ヘルプ (.CHM) ファイルで、キーワード タブの 検索 ボックスに文字を入力すると、Silk Test ヘルプがフリーズする場合があります。この問題を解決するには、Windows Update をインストールする必要があります。このアップデートは https://support.microsoft.com/kb/3080042 から利用できます。

Num Lock キーがオンの状態で Shift + Insert を使用できない

Left Shift + Insert や Right Shift + Insert を使用して TypeKeys メソッドでクリップボードの内容を貼り付ける操作は、Num Lock キーがオンの場合に機能しません。

TypeKeys メソッドを呼び出す前にテスト スクリプトで Num Lock キーをオフにすることで、この問題を回避できます。

親トピック: 既知の問題


モバイル Web アプリケーション

Apple Safari のフレームを Silk4NET がサポートしない

Silk4NET は、iOS 上の Apple Safari を使用した HTML フレームおよび iframe のテストをサポートしません。

Chrome for Android 43 以降： 拡大縮小とスクロールを同時にSilk4NET がサポートしない

Chrome for Android 43 以降でモバイル Web アプリケーションを記録しているとき、モバイル Web アプリケーションが拡大されて左上隅が画面から見えなくなると、期待通り機能しない場合があります。モバイル Web アプリケーションのコントロールに対して緑の矩形領域が記録時に正しく表示されない場合、モバイル Web アプリケーションを完全に縮小し、モバイル Web アプリケーションの左上隅にスクロールして、記録 ウィンドウを更新してください。

親トピック: 既知の問題


Web アプリケーション

100% 以外の拡大レベルを使用して記録すると期待通り機能しない可能性がある

100% 以外の拡大レベルを使用して Web アプリケーションを記録すると、期待通り機能しない可能性があります。Web アプリケーションに対する操作を記録する前に、ブラウザの拡大レベルを 100% に設定してください。

  • Google Chrome
    Google Chrome の Web アプリケーションのテストに関連する既知の問題について説明します。
  • Internet Explorer
    Internet Explorer に関連する既知の問題について説明します。
  • Microsoft Edge
    Microsoft Edge に関連する既知の問題について説明します。
  • Mozilla Firefox
    Mozilla Firefox の Web アプリケーションのテストに関連する既知の問題について説明します。
親トピック: 既知の問題


Google Chrome

Windows で記録中のロケーターが Google Chrome で失敗する

Google Chrome で Web アプリケーションをテストするときに、アプリケーションを実行している Google Chrome インスタンスのアプリケーション構成中に複数のウィンドウが開いていると、Windows で記録中のロケーターが失敗します。アプリケーション構成中に他の Google Chrome ウィンドウを閉じると、エラーは発生しなくなります。

Google Chrome のバックグラウンド アプリケーションでオートメーション サポートを読み込むことができない

Google Chrome を使用して Web アプリケーションをテストしている場合に、Google Chrome を閉じた際にバックグラウンド アプリケーションの処理を続行する チェックボックスがチェックされていると、Silk Test は Google Chrome を再起動してオートメーション サポートを読み込むことができません。

Windows Aero が無効なときにモーダル ダイアログのロケーターを Silk Test が記録できない

Windows Aero が無効化されている場合、モーダル ダイアログが認識されないため、このようなダイアログのロケーターを選択できません。回避策として、モーダル ダイアログが表示されているときには、Locator Spy または オブジェクトの識別 ダイアログ ボックスを使用して、ロケーターを手動で作成および検証してください。

Silk Test が埋め込み PDFを表示しない

Google Chrome 42 以降を使用すると、Google Chrome は、埋め込み PDF を表示するために使用する NPAPI プラグインをデフォルトでブロックします。このため、Silk Test は埋め込み PDF を Google Chrome 42 以降に表示する代わりに、埋め込み PDF をダウンロードします。

  • Google Chrome 44 以前を使用している場合、アドレス バーに以下を入力することにより、Google Chrome での NSAPI プラグインのブロックを解除できます。
    chrome://flags/#enable-npapi
  • Google Chrome 45 以降を使用している場合、NPAPI プラグインは Google Chrome から完全に削除されており、再有効化するオプションも無いため、すべての PDF はダウンロードされます。

テストの実行時に Google Chrome (49 以前) との接続がタイムアウトする

低速なマシンで Google Chrome (49 以前) に対するテストを実行すると、接続タイムアウトが発生し、テストが失敗する場合があります。以下のエラー メッセージが表示されます。
'*' の実行中にエラーが発生しました。ブラウザー オートメーションとの通信がタイムアウトしました。

このような接続タイムアウトを回避するために、十分な処理速度を持つテスト マシンを使用してください。たとえば、低速の仮想マシン (VM) 上でテストしている場合には、VM に CPU コアを追加することで処理速度を向上させることができます。

親トピック: Web アプリケーション
関連資料
Google Chrome を使用したテストの制限事項


Internet Explorer

Google ツールバーを使用すると、Web アプリケーションの記録に支障をきたす

Internet Explorer 8 で Google ツールバーを使用すると、Web アプリケーションのロケーターの記録に支障をきたします。

Google ツールバーをオフにしてから、Web アプリケーションを記録してください。

Microsoft Silverlight アプリケーション

一部の Microsoft Silverlight アプリケーションで、Silk Test との通信の際に Internet Explorer がハングします。32 ビット プラットフォームでは、問題の防止に役立つ MS KB 2564958 (Active Accessibility の更新プログラム) を参照してください。

Silk Test 13.5 より前のバージョンの Silk Test を使用して記録したロケーターが Internet Explorer で動作しない

Silk Test 13.5 で、Internet Explorer の textContents 属性における空白文字の標準化を改良しました。この変更は、Silk Test のクロスブラウザ機能を改善するための措置で、textContents 属性を利用しているロケーターに影響を与える可能性があります。この属性は、Silk Test 13.5 以前のリリースを使用して記録されたスクリプトで使用されています。

UAC が Microsoft Windows 8 以降および Internet Explorer 11 で有効化されているとき、Open Agent に対して高い昇格を有効化できない

UAC が有効化され、Internet Explorer と Open Agent の両方を高い昇格で実行するとき、Microsoft Windows 8 以降で Internet Explorer 11 上の Web アプリケーションをテストできません。

入力方式エディター (IME) における既知の問題

  • Silk Test は、Internet Explorer 11 での日本語入力において、半角スペースを記録しません。
  • Silk Test は、Internet Explorer 11 の互換モードでの IME 入力を記録しません。
  • 日本語 IME モードで、スペース を押すと、Silk Test は現在の IME の候補を記録することがあります。この問題を避けるには、変換 を使用してください。

Java 1.7 update 71 よりも新しいバージョンを使ったアプレットのテスト時に Internet Explorer が動作を停止する場合がある

Java 1.7 update 71 (7u71) よりも新しいバージョンを使ってアプレットをテストすると、Internet Explorer が動作を停止する場合があります。

テストの実行中に Internet Explorer が応答しなくなる

Internet Explorer 10 以降でテストを実行していると、Internet Explorer のスレッドが中断され、デッドロックが発生したことが原因で、応答しなくなる場合があります。この問題は、Internet Explorer の新しいセキュリティ機能が原因です。

この問題を解決するには、セキュリティ機能を無効化します。

  1. レジストリ エディタ が開きます。
  2. OverrideMemoryProtectionSetting エントリが HKEY_CURRENT_USER\SOFTWARE\Microsoft\Internet Explorer\Main キーに存在しない場合は、エントリを作成します。
  3. レジストリ キー HKEY_CURRENT_USER\SOFTWARE\Microsoft\Internet Explorer\Main::OverrideMemoryProtectionSetting の値を 2 に設定します。

JavaScript 警告処理 API メソッドが埋め込み Internet Explorer で機能しない

BrowserWindow クラスの以下の JavaScript 警告処理メソッドが、埋め込み Internet Explorer のテスト時に機能しません。
  • AcceptAlert メソッド
  • DismissAlert メソッド
  • GetAlertText メソッド
  • IsAlertPresent メソッド
親トピック: Web アプリケーション


Microsoft Edge

Microsoft Edge から開いたウィンドウがサポートされない

タブではなく、Microsoft Edge の新しいウィンドウとして開いたウィンドウはサポートされません。Silk4NET は、このようなウィンドウを正しく閉じることができず、このようなウィンドウを閉じると、エージェントの状態が不正になります。

iframe または frame で開いた JavaScript 警告を閉じることができない

JavaScript 警告 alert()、prompt()、confirm() が、iframe または frame で開かれた場合、Microsoft Edge は閉じることができません。

ネイティブ ブラウザーのコンテキスト メニューを開けない

Microsoft Edge を右クリックして、ネイティブ ブラウザーのコンテキスト メニューを開く操作がテストに含まれていると、そのテストはハングします。Microsoft Edge によって開かれた HTML メニューでは、この問題は発生しません。

UAC を無効にした状態で Microsoft Edge に対するテストを実行できない

UAC を無効にした状態で Microsoft Edge に対してテストを実行すると、次のエラー メッセージが表示されます。
Failed to start application 'Edge'. Unable to parse remote response: Unknown error

この問題を解決するには、UAC を有効にしてください。

親トピック: Web アプリケーション
関連資料
Microsoft Edge を使用したテストの制限事項


Mozilla Firefox

Adobe FlashPlayer を使用したアプリケーションの呼び出しが Mozilla Firefox を使用した場合に正しく同期されない

最近のバージョンの Adobe FlashPlayer を Mozilla Firefox で使用している場合、呼び出しが正しく同期されないことがあります。次の問題が発生する可能性があります。
  • Mozilla Firefox がスクリプトの実行がハングしたものと誤って認識し、スクリプトが正しく実行されているにも関わらず、スクリプトの実行を続けるかどうかを確認するダイアログ ボックスが表示される場合があります。
  • SetFocus が正しく機能しないため、文字の入力が機能しない場合があります。
  • UI には新しい値が表示されているにも関わらず、Adobe オートメーションが古い値を返す場合があります。

Adobe FlashPlayer を使用するアプリケーションでこのような問題に遭遇した場合は、Adobe FlashPlayer の ProtectedMode をオフにしてください。詳細については、http://forums.adobe.com/thread/1018071 を参照し、Last Resort に記述された情報をお読みください。

親トピック: Web アプリケーション


SAP アプリケーション

SAPTree クラスの HierarchyHeaderWidth および ColumnOrder プロパティが書き込み専用になっている

自動化に関するドキュメントに記載されている場合を除いて、SAPTree の HierarchyHeaderWidth および ColumnOrder プロパティは書き込み専用で、読み込むことはできません。

これらのプロパティを使用する場合、スクリプトで、読み込みではなく、書き込みが使用されていることを確認します。

SAPTree クラスの GetColumnIndexFromName() が「特定できないエラー」により失敗する

SapTree クラスの GetColumnIndexFromName() は「特定できないエラー」により失敗することがあります。これは SAP オートメーションの既知の問題です。

SAP Web サイトでこの問題が解決されているかどうか確認してください。

コンテキスト メニュー項目の SAPTree クラスの Select() メソッドの呼び出しに失敗する

コンテキスト メニュー項目の SAPTree クラスの Select() メソッドの呼び出しに失敗することがあります。

代わりに親コントロールの SelectContextMenuItem を呼び出します。これは SAP オートメーションの既知の問題です。

水平スクロールバーの Position プロパティが常に 1 を返す

水平スクロールバーの Position プロパティは常に 1 を返します。これは SAP オートメーションの既知の問題です。

SAP Web サイトでこの問題が解決されているかどうか確認してください。

SAPNetPlan クラスがサポートされていない

この問題は今後のリリースで解決される予定です。

SAP スクリプトを実行すると、再生エラーが発生する

ある状況下で、SAP テストを記録して再生すると、次のエラーが発生する場合があります：この操作を完了するのに必要なデータは、まだ利用できません。このエラーは、Silk4NET が記録した操作の実行が速すぎたことを意味しています。

この問題を解決するには、テスト スクリプトにスリープを追加したり、関数の呼び出しやプロパティの設定の後に Silk4NET が待機する時間を増やすために、再生後の遅延を増やしてください。このオプションについての詳細は、「エージェント オプション」を参照してください。また、xBrowser テクノロジ ドメインではなく、SAP オートメーションを使用して問題が発生する操作を再生するように、スクリプトを変更します。たとえば、その操作を DomLink.Select から SapHTMLViewer.SapEvent に変更します。

SAPGUI クライアント 7.30 を使用するとメソッド getCurrentRow が誤った値を返す

SAPGUI クライアント 7.30 を使用しているときに、メソッド getCurrentRow を呼び出すと、メソッドは行番号ではなく誤った値 -1 を返す場合があります。

メソッド resizeWorkingPane が SAPGUI クライアント 7.30 で正しく機能しない

SAPGUI クライアント 7.30 を使用しているときに、メソッド resizeWorkingPaneEx を呼び出すと、 メソッドは workingPane のサイズを変更せずに、getSapWindow().getWidth() の呼び出し結果は、ウィンドウの幅と異なる値を返します。

親トピック: 既知の問題
関連資料
エージェント オプション


Oracle Forms

Java 1.7 update 60 よりも新しいバージョンを使った Oracle Forms のテストを Silk4NET がサポートしない

Silk4NET は、Java 1.7 update 60 よりも新しいバージョンを使った Oracle Forms のテストをサポートしません。

親トピック: 既知の問題


Silk4NET

TrueLog が生成されない

テストの実行後に TrueLog 結果ファイルが得られない場合、次を確認してください。

  • Silk4NET プロジェクトが作成されたバージョンと同じバージョンの Visual Studio で実行されている。たとえば、Visual Studio 2012 で作成された Silk4NET プロジェクトは、Visual Studio 2012 環境内でのみ実行できます。この制約は、コマンドラインや Team Foundation Server からプロジェクトが実行される場合にも適用されます。
  • テスト クラスに SilkTestClass 属性が含まれている。
  • TrueLog ファイルが作成される場所への書き込みアクセス権がある。

「単体テスト アダプターが例外をスローしました...」というメッセージが Silk4NET に表示される

再生時に「単体テスト アダプターが例外をスローしました...」というメッセージを受け取った場合、Silk4NET プロジェクトが作成されたバージョンと同じバージョンの Visual Studio で実行されてるかどうか確認し得ください。たとえば、Visual Studio 2012 で作成された Silk4NET プロジェクトは、Visual Studio 2012 環境内でのみ実行できます。この制約は、コマンドラインや Team Foundation Server からプロジェクトが実行される場合にも適用されます。

前のバージョンの Visual Studio で作成した Silk4NET プロジェクトを新しいバージョンの Visual Studio に移行する方法

  • 前のバージョンの Visual Studio でソリューションを開きます。
  • Silk4NET プロジェクトの対象のフレームワークを適切な .NET Framework のバージョンに変更します。たとえば、プロジェクトを Visual Studio 2010 から Visual Studio 2012 に移行する場合は、対象のフレームワークを .NET Framework 4.5 に設定します。
  • Visual Studio の前のバージョンの UnitTestingExtension への参照を Silk4NET プロジェクトから削除します。たとえば、前のバージョンが Visual Studio 2010 の場合は、SilkTest.Ntf.VisualStudio2010.UnitTestingExtension への参照を Silk4NET プロジェクトから削除します。
  • Visual Studio の新しいバージョンへの参照を Silk4NET プロジェクトに追加します。たとえば、プロジェクトを Visual Studio 2012 に移行する場合は、SilkTest.Ntf.VisualStudio2012.UnitTestingExtension への参照を Silk4NET プロジェクトに追加します。

オブジェクト マップを使用していると、先頭がスラッシュになっていない既存のロケーターが機能しなくなる

クラス名のみを含み、スラッシュで開始していないロケーター (PushButton など) は、オブジェクト マップが存在する場合、機能しなくなります。この問題により、Silk Test 14.0 よりも前のバージョンの Silk Test で作成された既存のスクリプトが壊れる可能性があります。前の例では、スクリプトは次のエラーで失敗します：
Identifier 'PushButton' was not found in the Object Map.

クラス名以外のものも含む、より複雑なロケーター (PushButton[@caption=OK] など) の場合は、オブジェクト マップが存在する場合でも機能し続けます。

この問題を修正するには、そのようなロケーターの先頭に // を追加します。たとえば、次のコード内のロケーター PushButton が機能しなくなったとします：
PushButton button = mainWindow.find("PushButton");
その場合、コードを次のように変更してください：
PushButton button = mainWindow.find("//PushButton");
親トピック: 既知の問題


Silk4NET 言語リファレンス

このセクションでは、Silk4NET がサポートする各テクノロジ ドメインのクラス、メソッド、およびプロパティを示します。

Silk4NET のスクリプト言語は Visual Basic .NET および Visual C# です。

Visual Basic .NET のネイティブのクラス、メソッド、プロパティの詳細については、http://msdn.microsoft.com/ja-jp/library/2x7h1hfk を参照してください。

Visual C# のネイティブのクラス、メソッド、プロパティの詳細については、http://msdn.microsoft.com/ja-jp/library/kx37x362 を参照してください。

  • Common Class Reference
    Lists common classes for Win32, Java SWT, and Windows Forms support.
  • コア クラス リファレンス
    エージェントのクラスおよびテスト オブジェクトのサポートを示します。
  • Data Types
    Lists the various types of data.
  • Flex Class Reference
    Lists the classes for Flex support.
  • Java SWT Class Reference
    Lists the classes for Java SWT support.
  • キーワード駆動テスト クラス リファレンス
    キーワード駆動テストで利用可能なクラスを一覧します。
  • Mobile Class Reference
    Lists the classes for Mobile support.
  • Rumba Class Reference
    Lists the classes for Rumba support.
  • SAP Class Reference
    Lists the classes for SAP support.
  • Silverlight Class Reference
    Lists the classes for Silverlight support.
  • Java AWT and Swing Class Reference
    Lists the classes for Java AWT and Swing support.
  • Win32 Class Reference
    Lists the classes for Win32 support.
  • Windows Forms Class Reference
    Lists the classes for Windows Forms support.
  • WPF Class Reference
    Lists the classes for WPF support.
  • xBrowser Class Reference
    Lists the classes for xBrowser support.


Common Class Reference

Lists the available classes for testing Win32, Java SWT, and Windows Forms controls.

  • BaseGuiTestObject Class
    The base class for GUI objects that can have a context menu.
  • CharSet Enumeration
    Specifies the character set to use when reading files.
  • CheckBox Class
    The class for check box controls.
  • CheckBoxToolItem Class
    The class for a check box element in a toolbar control.
  • ComboBox Class
    The class for controls that have both a popup list and a text field. If the user selects an item from the list, the text field is filled with that string. Alternatively, the user can type the string into the text field.
  • Control Class
    The class for any control in a window.
  • SystemFunctions Class
    Allows clients to perform operations on the remote Open Agent host.
  • Desktop Class
    Desktop is the class for the entire screen.
  • Dialog Class
    The class for dialogs.
  • DropDownToolItem Class
    The class for drop-down element in a toolbar control.
  • ExecutionMode Enumeration
    Defines whether a function waits for the call to finish before executing a command.
  • ExecutionResult Class
    Encapsulates the results of a call to SystemFunctions.Execute.
  • FileHandle Class
    A logical file handle.
  • FileInfo Class
    Structure storing information about a directory entry.
  • FileOpenMode Enumeration
    Defines how to open a file.
  • FilePointerMode Enumeration
    Specifies the position to use when reading or writing a file.
  • FileShareMode Enumeration
    Defines how other programs can access files while they are opened through Silk Test.
  • FileSizeUnit Enumeration
    Defines which unit to use when calculating file sizes.
  • Group Class
    The class used to combine controls to give the user visual hints that those controls belong together. Consequently, the Group control does not have any other functionality that can be expressed in methods.
  • GuiTestObject Class
    The base class for all GUI objects.
  • HorizontalScrollBar Class
    The class for horizontal scroll bars.
  • IClickable Interface
    Interface for objects that can be clicked.
  • IFocusable Interface
    Interface for objects that can be focused on.
  • IKeyable Interface
    Interface for objects that use keystrokes. All methods and properties in this interface are not supported for mobile Web applications.
  • IMoveable Interface
    Interface for objects that can be moved, e.g. windows.
  • INativeWindow Interface
    Interface for objects that provide a native window handle.
  • IScrollable Interface
    Interface for objects that can have scroll bars.
  • Item Class
    Item base class.
  • Label Class
    The class for static text strings (that is, text that the user cannot change, such as a label).
  • Link Class
    The class that opens the topic location referenced in the source.
  • ListBox Class
    The class for list boxes.
  • Menu Class
    The class for menus.
  • MenuItem Class
    The class for items on a menu.
  • PushButton Class
    The class for buttons.
  • PushToolItem Class
    The class for a pushbutton element in a toolbar control.
  • RadioList Class
    The class for a group of radio buttons, such as the two radio buttons used to specify direction in the Find dialog of the Text Editor application. Only one button in a radio list can be selected at a single time.
  • RadioListToolItem Class
    RadioListToolItem is the class for a radio button element in a toolbar control.
  • RegistryCategory Enumeration
    Specifies the root key for the registry.
  • RegistryView Enumeration
    Defines whether to use the 32bit or the 64bit registry.
  • Scale Class
    The class for scales.
  • ScrollBar Class
    The class for scroll bars, including the scroll bars that are parts of controls, such as the scroll bar on a list box.
  • SeparatorItem Class
    The class for menu separators.
  • TabControl Class
    The class for tabbed, multi-page dialogs and for button bars.
  • Table Class
    The class for tables.
  • TableColumn Class
    The class for columns in a table.
  • TableRow Class
    The class for rows in a table.
  • TestObject Class
    The base class of all UI objects.
  • TextField Class
    The class for single-line and multi-line fields whose text can be modified by the user. The class also supports the Windows RichEdit control.
  • ToggleButton Class
    The class for buttons that have a state that can be changed by selecting the button.
  • ToolBar Class
    The class for tool bar controls. A tool bar is a container for a set of buttons and other standard controls.
  • ToolItem Class
    The class for a tool item in a toolbar control.
  • Tree Class
    The class for items organized into graphical hierarchies.
  • VerticalScrollBar Class
    The class for vertical scroll bars.
  • Window Class
    The class for windows that typically can move.
Parent topic: Silk4NET 言語リファレンス


BaseGuiTestObject Class

Description

The base class for GUI objects that can have a context menu.

Inheritance Hierarchy

  • GuiTestObject
    • BaseGuiTestObject
      • AccessibleControl
      • Control
      • Window

Syntax

C#
public class BaseGuiTestObject : GuiTestObject, IScrollable
VB
'Declaration
Public Class BaseGuiTestObject _
Inherits GuiTestObject _
Implements IScrollable

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


CharSet Enumeration

Description

Specifies the character set to use when reading files.

Inheritance Hierarchy

  • SystemFunctions
    • CharSet

Syntax

C#

public enum CharSet

VB

Public Enum CharSet

Members

Name | Description
Undefined | No character set is specified.
ANSI | The ANSI character set is used.
UTF8 | The UTF8 character set is used.
Unicode | The Unicode character set is used.
Parent topic: Common Class Reference


CheckBox Class

Description

The class for check box controls.

Inheritance Hierarchy

  • Control
    • CheckBox

Syntax

C#
public class CheckBox : Control
VB
'Declaration
Public Class CheckBox _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
State | The state of a check box. Values include: 1=checked, 2=unchecked, 3=undecided.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks the check box.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsChecked | Returns true if the checkbox is checked and false otherwise.
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects a check box.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetUndecided | Sets the check box to the undecided state.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Toggle | Toggles the state of the check box. If the checkbox is checked it is unchecked and vice versa. If the checkbox is in the undecided state it is left undecided.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks the check box.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


CheckBoxToolItem Class

Description

The class for a check box element in a toolbar control.

Inheritance Hierarchy

  • ToolItem
    • CheckBoxToolItem

Syntax

C#
public class CheckBoxToolItem : ToolItem
VB
'Declaration
Public Class CheckBoxToolItem _
Inherits ToolItem

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
State | The state of a check box. Values include: 1=checked,2=unchecked,3=undecided
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects an item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


ComboBox Class

Description

The class for controls that have both a popup list and a text field. If the user selects an item from the list, the text field is filled with that string. Alternatively, the user can type the string into the text field.

Inheritance Hierarchy

  • Control
    • ComboBox

Syntax

C#
public class ComboBox : Control
VB
'Declaration
Public Class ComboBox _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
ItemCount | The number of items in the combo box list.
Items | A list of items in the combo box list.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedIndex | The index of the selected item.
SelectedItem | The selected item.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ClearText | Removes all text from the combo box.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects an item from the combo box.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetText | Replaces the text in the text field of the combo box.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


Control Class

Description

The class for any control in a window.

Inheritance Hierarchy

  • BaseGuiTestObject
    • Control
      • CBanner
      • CheckBox
      • ComboBox
      • CoolBar
      • CTabFolder
      • DataGrid
      • DomainUpDown
      • ElementHost
      • ExpandBar
      • FormsHost
      • Group
      • Header
      • Label
      • Link
      • ListBox
      • ListView
      • MenuStrip
      • MonthCalendar
      • Pager
      • ProgressBar
      • PushButton
      • RadioList
      • Sash
      • SashForm
      • Scale
      • ScrollableControl
      • ScrollBar
      • ScrolledComposite
      • Spinner
      • StatusBar
      • SWTBrowser
      • SWTDateTime
      • TabControl
      • Table
      • TextField
      • ToggleButton
      • ToolBar
      • Tree
      • UpDown
      • ViewForm

Syntax

C#
public class Control : BaseGuiTestObject
VB
'Declaration
Public Class Control _
Inherits BaseGuiTestObject

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


SystemFunctions Class

Description

Allows clients to perform operations on the remote Open Agent host.

Inheritance Hierarchy

  • SystemFunctions
    • CharSet
    • ExecutionMode
    • ExecutionResult
    • FileHandle
    • FileInfo
    • FileOpenMode
    • FilePointerMode
    • FileShareMode
    • FileSizeUnit
    • RegistryCategory
    • RegistryView

Syntax

C#

public class SystemFunctions

VB

'Declaration
Public Class SystemFunctions _

Properties

Name | Description
AgentDirectory | Gets the directory from which the Open Agent is running.
AgentVersion | Gets the version of the Open Agent.
ClipboardText | Gets or sets the text in the clipboard.
CurrentDrive | Gets or sets the current drive of the machine on which the Open Agent is hosted.
CurrentRegistryView | Gets or sets the current registry view.
CurrentWorkingDirectory | Gets or sets the current working directory of the Open Agent.
CursorPosition | Gets the current cursor position of the machine on which the Open Agent is running.
CursorType | Gets the current cursor type of the machine on which the Open Agent is running.
FreeMemory | Gets the percentage of free memory that is available on the machine on which the Open Agent is hosted.
HostName | Gets the hostname of the machine on which the Open Agent is hosted.
Locale | Gets the locale of the machine on which the Open Agent is hosted, for example en-US.
OSName | Gets the name of the operating system of the machine on which the Open Agent is hosted.
OSVersionType | Gets the version type, server or client, of the operating system of the machine on which the Open Agent is hosted.
OSVersion | Gets the major and minor version of the operating system of the machine on which the Open Agent is hosted.

Methods

Name | Description
CompareBinaryFiles | Performs a binary comparison on two files.
CompareBitmaps | Compares two bitmaps.
CompareTextFiles | Compares two text files lexicographically.
CopyFile | Copies a file.
CreateDirectory | Creates a new directory with the specified name.
CreateRegistryKey | Creates a new key in the registry. Recursively creates any missing registry keys in the given keyPath.
CreateRegistryValue | Creates a new value.
DeleteRegistryKey | Deletes a key from the registry.
DeleteRegistryValue | Deletes a value.
DirectoryExists | Checks whether the specified directory exists.
Execute | Executes the specified command on the machine on which the Open Agent is hosted.
ExistsRegistryKey | Checks whether the specified key exists in the registry.
ExistsRegistryValue | Checks if a value exists in the registry.
FileExists | Checks whether the specified file exists.
FileOpen | Opens a file. If the file does not exist, it is created.
FileReadLine | Reads a single line from a file. Starts at the current position of the pointer in the file.
FileSetPointer | Sets the position pointer within the file for read and write operations.
FileWriteLine | Writes a line at the current position of the pointer in a file.
GetBitmapCRC | Returns the directory from which the Open Agent is running.
GetDirectoryContents | Gets the contents of a directory.
GetEnvironmentVariable | Gets the value of the specified environment variable.
GetFileInfo | Gets information about the specified file.
GetFreeDiskSpace | Returns how much free disk space is available on the specified drive.
GetRegistryKeyNames | Returns the names of all registry keys below the specified key.
GetRegistryValueNames | Returns the values of all registry keys below the specified key.
GetRegistryValue | Returns the value of the specified registry key.
MoveFile | Moves a file.
RemoveDirectory | Deletes the specified directory.
RemoveFile | Deletes the specified file.
SetEnvironmentVariable | Sets the value of the specified environment variable.
SetRegistryValue | Sets the value of the specified registry key.
Parent topic: Common Class Reference


Desktop Class

Description

Desktop is the class for the entire screen.

Inheritance Hierarchy

  • TestObject
    • Desktop

Properties

Desktop inherits all its properties from TestObject.

Methods

Desktop inherits all its methods from TestObject.

Parent topic: Common Class Reference


Dialog Class

Description

The class for dialogs.

Inheritance Hierarchy

  • Window
    • Dialog

Syntax

C#
public class Dialog : Window
VB
'Declaration
Public Class Dialog _
Inherits Window

Properties

Name | Description
Application | The name of the Application that this Window belongs to. (Inherited from Window)
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored (Inherited from IMoveable)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the window. (Inherited from IMoveable)
CloseSynchron | Closes the window and waits until the window is closed. (Inherited from IMoveable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open. (Inherited from IMoveable)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFocus | Returns the object with the input focus. (Inherited from IMoveable)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window. (Inherited from IMoveable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsActive | Returns whether the window is set to active. (Inherited from IMoveable)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
Maximize | Maximizes the window. (Inherited from IMoveable)
Minimize | Reduces the window to an icon. (Inherited from IMoveable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the window. (Inherited from IMoveable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Restore | Restores the window to its previous size. (Inherited from IMoveable)
SetActive | Makes the window active. (Inherited from IMoveable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Size | Resizes the window. (Inherited from IMoveable)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


DropDownToolItem Class

Description

The class for drop-down element in a toolbar control.

Inheritance Hierarchy

  • ToolItem
    • DropDownToolItem

Syntax

C#
public class DropDownToolItem : ToolItem
VB
'Declaration
Public Class DropDownToolItem _
Inherits ToolItem

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Open | Opens an item.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects an item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


ExecutionMode Enumeration

Description

Defines whether a function waits for the call to finish before executing a command.

Inheritance Hierarchy

  • SystemFunctions
    • ExecutionMode

Syntax

C#

public enum ExecutionMode

VB

Public Enum ExecutionMode

Members

Name | Description
WaitUntilFinished | Execute should return only after the program is finished.
ContinueRunning | Start the executable and immediately return. ExecutionResult.ExitCode will always be 0, and no output will be captured in ExecutionResult.RawOutput.
Parent topic: Common Class Reference


ExecutionResult Class

Description

Encapsulates the results of a call to SystemFunctions.Execute.

Inheritance Hierarchy

  • SystemFunctions
    • ExecutionResult

Methods

Name | Description
GetExitCode | Returns the result of a call to Execute. 0 if no error occurred.
GetRawOutput | Returns the contents of stdout and stderr.
GetOutput | Returns the contents of stdout and stderr as a string.
ToString | Returns the exit code as a string.
Parent topic: Common Class Reference


FileHandle Class

Description

A logical file handle.

Inheritance Hierarchy

  • SystemFunctions
    • FileHandle

Methods

Name | Description
GetHandle | Returns the internal value for the handle.
GetName | Returns the name of the file or directory to which the handle corresponds.
Parent topic: Common Class Reference


FileInfo Class

Description

Structure storing information about a directory entry.

Inheritance Hierarchy

  • SystemFunctions
    • FileInfo

Properties

Name | Description
Attributes | Gets the attributes of the file.
CreationDate | Gets the date at which the file or directory was created.
IsDirectory | Gets whether the instance stores information about a directory or not.
ModificationTime | Gets the time at which the file or directory was last modified.
Name | Gets the name of the file.
Size | Gets the size of the file.
Parent topic: Common Class Reference


FileOpenMode Enumeration

Description

Defines how to open a file. The file mode is a required parameter for the FileOpen function.

Inheritance Hierarchy

  • SystemFunctions
    • FileOpenMode

Syntax

C#

public enum FileOpenMode

VB

Public Enum FileOpenMode

Members

Name | Description
Read | Opens the file for reading.
Write | Opens the file for writing. If the file does not exist, it is created. If the file exists, it is truncated to zero (0) bytes.
ReadWrite | Opens the file for reading and writing.
Update | Opens the file for writing, but does not truncate the file. Denies write access to other users by default. The file pointer is positioned at the beginning of the file.
Parent topic: Common Class Reference


FilePointerMode Enumeration

Description

Specifies the position to use when reading or writing a file.

Inheritance Hierarchy

  • SystemFunctions
    • FilePointerMode

Syntax

C#

public enum FilePointerMode

VB

Public Enum FilePointerMode

Members

Name | Description
Start | Sets the pointer to the start of the file.
Relative | Leaves the pointer in the current position in the file.
End | Sets the pointer to the end of the file.
Parent topic: Common Class Reference


FileShareMode Enumeration

Description

Defines how other programs can access files while they are opened through Silk Test.

Inheritance Hierarchy

  • SystemFunctions
    • FileShareMode

Syntax

C#

public enum FileShareMode

VB

Public Enum FileShareMode

Members

Name | Description
DenyNone | Other programs can read from and write to the file at the same time as the Open Agent.
DenyWrite | Other programs can read from but not write to the file at the same time as the Open Agent.
DenyAll | Other programs cannot access the file at the same time as the Open Agent.
Parent topic: Common Class Reference


FileSizeUnit Enumeration

Description

Defines which unit to use when calculating file sizes.

Inheritance Hierarchy

  • SystemFunctions
    • FileSizeUnit

Syntax

C#

public enum FileSizeUnit

VB

Public Enum FileSizeUnit

Members

Name | Description
Byte | 1 Byte.
KiloByte | 2^10 Byte.
MegaByte | 2^20 Byte.
GigaByte | 2^30 Byte.
TeraByte | 2^40 Byte.
Parent topic: Common Class Reference


Group Class

Description

The class used to combine controls to give the user visual hints that those controls belong together. Consequently, the Group control does not have any other functionality that can be expressed in methods.

Inheritance Hierarchy

  • Control
    • Group

Syntax

C#
public class Group : Control
VB
'Declaration
Public Class Group _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


GuiTestObject Class

Description

The base class for all GUI objects.

Inheritance Hierarchy

  • TestObject
    • GuiTestObject
      • BaseGuiTestObject
      • Item
      • Menu

Syntax

C#
public class GuiTestObject : TestObject, IClickable, IFocusable, IKeyable, INativeWindow
VB
'Declaration
Public Class GuiTestObject _
Inherits TestObject _
Implements IClickable, IFocusable, IKeyable, INativeWindow

Properties

Name | Description
Background | The background color of the GUI object.
Enabled | Whether the GUI object is enabled.
Font | The font type of the GUI object.
Foreground | The foreground color of the GUI object.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


HorizontalScrollBar Class

Description

The class for horizontal scroll bars.

Inheritance Hierarchy

  • ScrollBar
    • HorizontalScrollBar

Syntax

C#
public class HorizontalScrollBar : ScrollBar
VB
'Declaration
Public Class HorizontalScrollBar _
Inherits ScrollBar

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
PageSize | The internal page size of the scroll bar. (Inherited from ScrollBar)
Position | The actual position of the scroll bar caret. (Inherited from ScrollBar)
Range | The range of the scroll bar. (Inherited from ScrollBar)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PageLeft | Scrolls the scroll bar page-wise left.
PageRight | Scrolls the scroll bar page-wise right.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Scrolls the scroll bar. (Inherited from ScrollBar)
ScrollLeft | Scrolls the scroll bar to the left.
ScrollRight | Scrolls the scroll bar to the right.
ScrollToMax | Scrolls the scroll bar to its maximum position. (Inherited from ScrollBar)
ScrollToMin | Scrolls the scroll bar to its minimum position. (Inherited from ScrollBar)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


IClickable Interface

Description

Interface for objects that can be clicked.

Syntax

C#
public class IClickable
VB
'Declaration
Public Class IClickable

Methods

Name | Description
Click | Clicks on the object.
DoubleClick | Double-clicks a mouse button on the object.
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications.
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications.
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications.
Parent topic: Common Class Reference


IFocusable Interface

Description

Interface for objects that can be focused on.

Syntax

C#
public class IFocusable
VB
'Declaration
Public Class IFocusable

Methods

Name | Description
IsFocused | Return whether the control has focus.
SetFocus | Gives focus to the control.
Parent topic: Common Class Reference


IKeyable Interface

Description

Interface for objects that use keystrokes. All methods and properties in this interface are not supported for mobile Web applications.

Syntax

C#
public class IKeyable
VB
'Declaration
Public Class IKeyable

Methods

Name | Description
PressKeys | Presses (but does not release) a set of keys or mouse buttons.
ReleaseKeys | Releases a set of keys or mouse buttons.
TypeKeys | Sends a set of keystrokes to the object.
TypePasswordKeys | Types an encrypted password into an object, for example a text field.
Parent topic: Common Class Reference


IMoveable Interface

Description

Interface for objects that can be moved, e.g. windows.

Syntax

C#
public class IMoveable
VB
'Declaration
Public Class IMoveable

Properties

Name | Description
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored

Methods

Name | Description
Close | Closes the window.
CloseSynchron | Closes the window and waits until the window is closed.
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open.
GetFocus | Returns the object with the input focus.
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window.
IsActive | Returns whether the window is set to active.
Maximize | Maximizes the window.
Minimize | Reduces the window to an icon.
Move | Moves the window.
Restore | Restores the window to its previous size.
SetActive | Makes the window active.
Size | Resizes the window.
Parent topic: Common Class Reference


INativeWindow Interface

Description

Interface for objects that provide a native window handle.

Syntax

C#
public class INativeWindow
VB
'Declaration
Public Class INativeWindow

Properties

Name | Description
NativeHandle | The native window handle for the object.
Parent topic: Common Class Reference


IScrollable Interface

Description

Interface for objects that can have scroll bars.

Syntax

C#
public class IScrollable
VB
'Declaration
Public Class IScrollable

Methods

Name | Description
GetHorizontalBar | Returns the horizontal scroll bar for this control.
GetVerticalBar | Returns the vertical scroll bar for this control.
Parent topic: Common Class Reference


Item Class

Description

Item base class.

Inheritance Hierarchy

  • GuiTestObject
    • Item
      • CoolItem
      • CTabItem
      • DataGridColumn
      • DataGridItem
      • DataGridRow
      • ExpandItem
      • MenuItem
      • SeparatorItem
      • SWTTabItem
      • SWTTreeColumn
      • TableColumn
      • TableRow
      • ToolItem

Syntax

C#
public class Item : GuiTestObject
VB
'Declaration
Public Class Item _
Inherits GuiTestObject

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


Label Class

Description

The class for static text strings (that is, text that the user cannot change, such as a label).

Inheritance Hierarchy

  • Control
    • Label

Syntax

C#
public class Label : Control
VB
'Declaration
Public Class Label _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


Link Class

Description

The class that opens the topic location referenced in the source.

Inheritance Hierarchy

  • Control
    • Link

Syntax

C#
public class Link : Control
VB
'Declaration
Public Class Link _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects an item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


ListBox Class

Description

The class for list boxes.

Inheritance Hierarchy

  • Control
    • ListBox
      • CheckedListBox

Syntax

C#
public class ListBox : Control
VB
'Declaration
Public Class ListBox _
Inherits Control

Properties

Name | Description
AllowsMultiSelect | Whether the control supports selecting multiple items.
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
ItemCount | The number of items in the list box.
Items | A list of items in the list box.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedIndex | The index of the first selected item.
SelectedIndices | The indices of the selected item(s).
SelectedItem | The name of the first selected item.
SelectedItems | The names of the selected item(s).
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleSelect | Double-clicks an item in the list box.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
ExtendSelect | Selects a range of items by extending the selection in the list box.
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MultiSelect | Selects an item in the multi- or extend-selection list box.
MultiUnselect | Unselects an item in the multi- or extend-selection list box.
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects an item from the list box.
SelectRange | Selects a range of items in the extend-selection list box.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


Menu Class

Description

The class for menus.

Inheritance Hierarchy

  • GuiTestObject
    • Menu

Syntax

C#
public class Menu : GuiTestObject
VB
'Declaration
Public Class Menu _
Inherits GuiTestObject

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetItemCount | Returns the number of menu items for this menu. Also includes separator menu items.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects a menu.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


MenuItem Class

Description

The class for items on a menu.

Inheritance Hierarchy

  • Item
    • MenuItem

Syntax

C#
public class MenuItem : Item
VB
'Declaration
Public Class MenuItem _
Inherits Item

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Checked | Whether the menu item is checked.
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects an item from the menu.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


PushButton Class

Description

The class for buttons.

Inheritance Hierarchy

  • Control
    • PushButton

Syntax

C#
public class PushButton : Control
VB
'Declaration
Public Class PushButton _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Pressed | Whether the pushbutton is pressed.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects a pushbutton.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


PushToolItem Class

Description

The class for a pushbutton element in a toolbar control.

Inheritance Hierarchy

  • ToolItem
    • PushToolItem

Syntax

C#
public class PushToolItem : ToolItem
VB
'Declaration
Public Class PushToolItem _
Inherits ToolItem

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects an item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


RadioList Class

Description

The class for a group of radio buttons, such as the two radio buttons used to specify direction in the Find dialog of the Text Editor application. Only one button in a radio list can be selected at a single time.

Inheritance Hierarchy

  • Control
    • RadioList

Syntax

C#
public class RadioList : Control
VB
'Declaration
Public Class RadioList _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
ItemCount | The number of items in the radio list.
Items | A list of items in the radio list.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedIndex | The index of the selected item.
SelectedItem | The item to select.
State | The state of a check box. Values include: 1=checked,2=unchecked,3=undecided
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects an item from the radiolist.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


RadioListToolItem Class

Description

RadioListToolItem is the class for a radio button element in a toolbar control.

Inheritance Hierarchy

  • ToolItem
    • RadioListToolItem

Syntax

C#
public class RadioListToolItem : ToolItem
VB
'Declaration
Public Class RadioListToolItem _
Inherits ToolItem

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
State | The state of a check box. Values include: 1=checked,2=unchecked,3=undecided
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects an item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


RegistryCategory Enumeration

Description

Specifies the root key for the registry. For additional information, see Predefined Keys.

Inheritance Hierarchy

  • SystemFunctions
    • RegistryCategory

Syntax

C#

public enum RegistryCategory

VB

Public Enum RegistryCategory

Members

Name | Description
HKEY_CLASSES_ROOT | Registry entries subordinate to this key define types (or classes) of documents and the properties associated with those types.
HKEY_CURRENT_USER | Registry entries subordinate to this key define the preferences of the current user.
HKEY_LOCAL_MACHINE | Registry entries subordinate to this key define the physical state of the computer.
HKEY_USERS | Registry entries subordinate to this key define the default user configuration for new users on the local computer and the user configuration for the current user.
Parent topic: Common Class Reference


RegistryView Enumeration

Description

Defines whether to use the 32bit or the 64bit registry.

Inheritance Hierarchy

  • SystemFunctions
    • RegistryView

Syntax

C#

public enum RegistryView

VB

Public Enum RegistryView

Members

Name | Description
RegistryView_32Bit | Use the 32bit registry.
RegistryView_64Bit | Use the 64bit registry.
Parent topic: Common Class Reference


Scale Class

Description

The class for scales.

Inheritance Hierarchy

  • Control
    • Scale

Syntax

C#
public class Scale : Control
VB
'Declaration
Public Class Scale _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Position | The actual position of the scale caret.
Range | The range of the scale.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetPosition | Sets the position of the scale.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetToMax | Sets the scale to its maximum position.
SetToMin | Sets the scale to its minimum position.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


ScrollBar Class

Description

The class for scroll bars, including the scroll bars that are parts of controls, such as the scroll bar on a list box.

Inheritance Hierarchy

  • Control
    • ScrollBar
      • HorizontalScrollBar
      • VerticalScrollBar

Syntax

C#
public class ScrollBar : Control
VB
'Declaration
Public Class ScrollBar _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
PageSize | The internal page size of the scroll bar.
Position | The actual position of the scroll bar caret.
Range | The range of the scroll bar.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Scrolls the scroll bar.
ScrollToMax | Scrolls the scroll bar to its maximum position.
ScrollToMin | Scrolls the scroll bar to its minimum position.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


SeparatorItem Class

Description

The class for menu separators.

Inheritance Hierarchy

  • Item
    • SeparatorItem

Syntax

C#
public class SeparatorItem : Item
VB
'Declaration
Public Class SeparatorItem _
Inherits Item

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


TabControl Class

Description

The class for tabbed, multi-page dialogs and for button bars.

Inheritance Hierarchy

  • Control
    • TabControl
      • SWTTabControl

Syntax

C#
public class TabControl : Control
VB
'Declaration
Public Class TabControl _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
ItemCount | The number of items in the tab control.
Items | A list of items in the tab control.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedIndex | The index of the selected item.
SelectedItem | The selected item.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Sets the current page to the specified page.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


Table Class

Description

The class for tables.

Inheritance Hierarchy

  • Control
    • Table
      • SWTTable

Syntax

C#
public class Table : Control
VB
'Declaration
Public Class Table _
Inherits Control

Properties

Name | Description
AllowsCheck | Whether the control can display a checkmark.
AllowsMultiSelect | Whether the table supports selecting multiple items.
Background | The background color of the GUI object. (Inherited from GuiTestObject)
ColumnCount | The number of columns in the table.
ColumnItems | A list of all items in the column.
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
RowCount | The number of rows in the table.
RowItems | A list of all table rows in the table.
SelectedIndices | The indices of the selected item(s).
SelectedItems | The selected item(s).
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks the check box in the defined row of a table.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleSelect | Double-clicks an item.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
ExtendSelectRow | Selects a range of rows.
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
FocusRow | Focuses on a row in the table.
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MultiSelectRow | Adds a row from the table to the set of selected rows.
MultiUnselectRow | Removes a row from the set of selected rows.
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SelectRow | Selects an row in the table.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks the check box in the defined row of a table.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


TableColumn Class

Description

The class for columns in a table.

Inheritance Hierarchy

  • Item
    • TableColumn
      • SWTTableColumn

Syntax

C#
public class TableColumn : Item
VB
'Declaration
Public Class TableColumn _
Inherits Item

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)
Width | The width of the column.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Resize | Resizes a column.
Select | Selects a column.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


TableRow Class

Description

The class for rows in a table.

Inheritance Hierarchy

  • Item
    • TableRow
      • SWTTableRow

Syntax

C#
public class TableRow : Item
VB
'Declaration
Public Class TableRow _
Inherits Item

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Checked | Whether the check box in the row is checked.
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
ItemCount | The number of items in the row.
Items | A list of items in the row.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


TestObject Class

Description

The base class of all UI objects.

Syntax

C#
public class TestObject
VB
'Declaration
Public Class TestObject

Properties

Name | Description
Text | The text of the control.
Value | The value of the control, e.g.: text in a text control.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately.
Exists | Checks if an object exists in the application under test.
Find | Finds an object specified by an XPath locator.
FindAll | Finds all objects specified by an XPath locator.
GenerateLocator | Returns a locator for this object.
GetChildren | Returns the child objects of this object.
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject.
GetParent | Looks up the parent of this object in the test application.
GetProperty | Returns the value of the specified property.
GetPropertyList | Returns a list of property names that can be retrieved for the given object.
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object.
HighlightObject | Highlights this object.
ImageClick | Clicks on the specified image asset.
ImageClickFile | Clicks on the specified image.
ImageExists | Returns whether the specified image asset exists.
ImageExistsFile | Returns whether the specified image exists.
ImageRectangle | Returns the object-relative rectangle of the specified image asset.
ImageRectangleFile | Returns the object-relative rectangle of the specified image.
Invoke | Dynamically invokes a method on the test object.
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject.
SetProperty | Sets the value of the specified property.
TextCapture | Returns the text in this object's visible area.
TextClick | Clicks in the center of the specified text.
TextExists | Returns whether the specified text exists.
TextRectangle | Returns the object-relative rectangle of the specified text.
Verify | Executes a verification on the given asset in the context of this UI object.
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached.
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached.
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts.
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached.
Parent topic: Common Class Reference


TextField Class

Description

The class for single-line and multi-line fields whose text can be modified by the user. The class also supports the Windows RichEdit control.

Inheritance Hierarchy

  • Control
    • TextField
      • StyledText

Syntax

C#
public class TextField : Control
VB
'Declaration
Public Class TextField _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
IsPassword | Whether the control is a password text field.
MultiLine | Whether the control is multiline.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Position | The position of the caret within the text field.
SelectedRange | The selected range within the text field.
SelectedText | The selected text within the text field. An empty string if no text is selected.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ClearText | Removes all text from the text field.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetMultiText | Returns the specified lines of text in the multi-line text field.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetMultiText | Substitutes all or part of the lines in the multi-line text field.
SetPosition | Sets the insertion point in the text field.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetSelectionRange | Selects the specified range of the single-line or multi-line text field.
SetText | Substitutes new text for all or part of the text in the text field.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


ToggleButton Class

Description

The class for buttons that have a state that can be changed by selecting the button.

Inheritance Hierarchy

  • Control
    • ToggleButton

Syntax

C#
public class ToggleButton : Control
VB
'Declaration
Public Class ToggleButton _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
State | The state of a toggle button. Values include: 1=checked, 2=unchecked, 3=undecided.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects an item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


ToolBar Class

Description

The class for tool bar controls. A tool bar is a container for a set of buttons and other standard controls.

Inheritance Hierarchy

  • Control
    • ToolBar

Syntax

C#
public class ToolBar : Control
VB
'Declaration
Public Class ToolBar _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


ToolItem Class

Description

The class for a tool item in a toolbar control.

Inheritance Hierarchy

  • Item
    • ToolItem
      • CheckBoxToolItem
      • DropDownToolItem
      • PushToolItem
      • RadioListToolItem

Syntax

C#
public class ToolItem : Item
VB
'Declaration
Public Class ToolItem _
Inherits Item

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


Tree Class

Description

The class for items organized into graphical hierarchies.

Inheritance Hierarchy

  • Control
    • Tree
      • SWTTree

Syntax

C#
public class Tree : Control
VB
'Declaration
Public Class Tree _
Inherits Control

Properties

Name | Description
AllowsCheck | Whether the control can display a checkmark.
AllowsMultiSelect | Whether the control supports selecting multiple items.
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
ItemCount | The number of items in the tree (including all children).
ItemPaths | A list of items in the tree (including all children).
Items | A list of items in the tree (including all children).
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedIndex | The index of the first selected item.
SelectedIndices | The indices of the selected item(s).
SelectedItem | The name of the first selected item.
SelectedItems | The names of the selected item(s).
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)
VisibleItemPaths | A list of visible items in the tree (including all children).
VisibleItems | A list of visible items in the tree (including all children).

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks the check box.
Click | Clicks on the object. (Inherited from IClickable)
Collapse | Collapses an item in a treeview control.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleSelect | Double-clicks an item.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Expand | Expands an object in a treeview control.
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetItemPaths | Returns all items of the tree as a list of itempaths
GetItemRect | Returns the size and position of an item relative to the treeview control.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsExpandable | Checks if the given item can be expanded.
IsExpanded | Checks if the given item is expanded.
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects an item from the tree.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks the check box.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


VerticalScrollBar Class

Description

The class for vertical scroll bars.

Inheritance Hierarchy

  • ScrollBar
    • VerticalScrollBar

Syntax

C#
public class VerticalScrollBar : ScrollBar
VB
'Declaration
Public Class VerticalScrollBar _
Inherits ScrollBar

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
PageSize | The internal page size of the scroll bar. (Inherited from ScrollBar)
Position | The actual position of the scroll bar caret. (Inherited from ScrollBar)
Range | The range of the scroll bar. (Inherited from ScrollBar)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PageDown | Scrolls the scroll bar page-wise down.
PageUp | Scrolls the scroll bar page-wise up.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Scrolls the scroll bar. (Inherited from ScrollBar)
ScrollDown | Moves the scroll bar down.
ScrollToMax | Scrolls the scroll bar to its maximum position. (Inherited from ScrollBar)
ScrollToMin | Scrolls the scroll bar to its minimum position. (Inherited from ScrollBar)
ScrollUp | Moves the scroll bar up.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


Window Class

Description

The class for windows that typically can move.

Inheritance Hierarchy

  • BaseGuiTestObject
    • Window
      • BrowserApplication
      • Dialog
      • FlexStandalonePlayer
      • FormsWindow
      • Shell

Syntax

C#
public class Window : BaseGuiTestObject, IMoveable
VB
'Declaration
Public Class Window _
Inherits BaseGuiTestObject _
Implements IMoveable

Properties

Name | Description
Application | The name of the Application that this Window belongs to.
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored (Inherited from IMoveable)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the window. (Inherited from IMoveable)
CloseSynchron | Closes the window and waits until the window is closed. (Inherited from IMoveable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open. (Inherited from IMoveable)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFocus | Returns the object with the input focus. (Inherited from IMoveable)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window. (Inherited from IMoveable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsActive | Returns whether the window is set to active. (Inherited from IMoveable)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
Maximize | Maximizes the window. (Inherited from IMoveable)
Minimize | Reduces the window to an icon. (Inherited from IMoveable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the window. (Inherited from IMoveable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Restore | Restores the window to its previous size. (Inherited from IMoveable)
SetActive | Makes the window active. (Inherited from IMoveable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Size | Resizes the window. (Inherited from IMoveable)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


コア クラス リファレンス

アプリケーションを設定すると、Silk4NET は標準のエージェントおよびテスト オブジェクト コントロールのテストの組み込みサポートを自動的に提供します。

  • Agent クラス
    Agent は、グラフィカル ユーザー インターフェイスを操作する Silk4NET のコンポーネントである Open Agent のクラスです。
  • BaseState クラス
    BaseState クラスを使用すると、テスト対象アプリケーションが実行中でテストの準備ができていることが保証されます。また、テスト対象アプリケーションが前面に配置されます。
  • BrowserBaseState クラス
    BrowserBaseState クラスを使用すると、ブラウザが実行中でテストの準備ができていることが保証されます。
  • ConsoleWindow クラス
    コンソールのクラスです。
  • DllCall クラス
    DllCall クラスを使用すると、NTF ユーザーはエージェントまたは AUT のいずれかで、任意の DLL の公開された DLL 機能を呼び出すことができます。
  • IBaseState インターフェイス
    基本状態のインターフェイスです。
  • Timer クラス
    Timer クラスを使用すると、経過時間を正確に計測できます。
  • Silk4NET クラス
    Silk4NET は、Visual Studio に固有の機能を処理するクラスです。
親トピック: Silk4NET 言語リファレンス


Agent クラス

説明

Agent は、グラフィカル ユーザー インターフェイスを操作する Silk4NET のコンポーネントである Open Agent のクラスです。

Agent では識別子 Agent が事前に定義されています。Agent のメソッドを呼び出すには、以下の構文を使用します。

Agent.method()

継承

Agent はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

構文

C#
public class Agent
VB
'Declaration
Public Class Agent

プロパティ

名前 | 説明
Desktop | ルート GUI オブジェクトを取得します。

メソッド

名前 | 説明
Attach | 指定したアプリケーションにアタッチします。コマンド ライン パターンおよびテクノロジ ドメインを追加で指定することができます。
CloseTrueLogSection | OpenTrueLogSection を使って最後に開いた TrueLog セクションを閉じます。
Connect | 指定したホストとポートを使用して指定したマシン上のエージェントに接続します。
Decrypt | 指定された文字列を復号化します。Encrypt メソッドで暗号化された文字列のみを復号化することができます。
DetachAll | 現在アタッチされているすべてのアプリケーションを解除します。
Encrypt | 指定された文字列を暗号化します。
ExecuteBaseState | テスト対象アプリケーションが実行中でテストの準備ができていることを保証します。
GetOption | エージェント オプションの値を取得します。
LogError | テストの実行中に書き出される TrueLog ファイルに、エラー メッセージとスクリーンショットを記録します。
LogInfo | テストの実行中に書き出される TrueLog ファイルに、情報メッセージを記録します。
LogWarning | テストの実行中に書き出される TrueLog ファイルに、警告メッセージを記録します。
OpenTrueLogSection | TrueLog ファイルに新しいセクションを作成します。
ResetOptions | エージェントのすべてのオプションをデフォルト値に戻します。
SetOption | エージェント オプションを設定します。このオプションは、すべてのテクノロジ ドメインに対して利用されます。
Shutdown | エージェントを停止します。テスト実行が完了したときにのみ呼び出されるべきです。
親トピック: コア クラス リファレンス


Attach メソッド

クラス

Agent。

処理

指定したアプリケーションにアタッチします。コマンド ライン パターンおよびテクノロジ ドメインを追加で指定することができます。

構文

C#
Attach (executablePattern, commandLinePattern, techDomains)
VB
Attach (executablePattern, commandLinePattern, techDomains)
変数 | 説明
executablePattern | アプリケーションの実行可能名。パターンには、ワイルドカード '?' および '*' を使用できます (それぞれ、1 文字、または複数文字に一致)。例： myApplication.exe、myApplica?ion.exe、myApp*.exe。 String。
commandLinePattern | 省略可能：このパターンはアプリケーションのコマンド ライン引数に対して照合します。これは、アプリケーションの複数のインスタンスが実行中で、その中のいくつかだけがテスト対象である場合に有効です。Java アプリケーションの場合、特徴的な jar や main クラスの名前をコマンド ライン パターンに含めることができます。例： *org.MyMainClass。特定のテクノロジ ドメインをロードしたいときに、コマンド ライン パターンが無いことを指定する場合には、"" を使用できます。 String。
techDomains | 省略可能：アプリケーションに読み込むテクノロジ ドメイン。通常は、このパラメータはテクニカル サポートによってのみ使用されます。テクノロジ ドメインを指定しないことをお勧めします。テクノロジ ドメインを指定しない場合は、すべての利用可能なテクノロジ ドメインが読み込まれます。 TechDomain。

使用例

次の例では、メモ帳にアタッチします。

Agent.Attach("notepad.exe")

次の例では、アプリケーションの複数のインスタンスが実行されている場合に、コマンドライン パターンを使用してプロセスの特定のインスタンスにアタッチする方法を示します。

Agent.Attach("javaw.exe", “*org.MyMainClass”)
以下の例は、Internet Explorer にアタッチして Win32 テクノロジ ドメインをロードする方法を示しています。
Agent.Attach("iexplore.exe", "", {"WIN32"})


CloseCurrentTrueLogSection メソッド

クラス

Agent。

処理

OpenTrueLogSection を使って最後に開いた TrueLog セクションを閉じます。

構文

C#
CloseCurrentTrueLogSection();
VB
CloseCurrentTrueLogSection()
関連資料
OpenTrueLogSection メソッド


Connect メソッド

クラス

Agent。

処理

指定したホストとポートを使用して指定したマシン上のエージェントに接続します。

エージェントが実行されていない場合、またはエージェントがこのマシンに到達できない場合は、例外がスローされます。

指定したホストがローカル ホストの場合は、エージェントが起動します。

このエージェントとの接続を最初に確立した後に、すべてのエージェント オプションをデフォルト値にリセットするには、Agent.ResetOptions() を呼び出します。

構文

C#
Connect (host, [port])
VB
Connect (host, [port])
変数 | 説明
host | Open Agent のホスト。String。
port | 省略可能：Open Agent のポート。ポートが指定されていない場合、デフォルトのポートが使用されます。このポートは、Information Service のポートで、デフォルト値は 22901 です。たとえば、別の Information Service のポートでエージェントに接続するには、「Agent.Connect("myRemoteMachine", portnumber) 」と入力します。 リモート エージェントに接続している場合に、ローカル エージェントに接続するには、「Agent.Connect("localhost")」と入力します。Integer。
関連タスク
リモート Open Agent を使用したテスト


Decrypt メソッド

クラス

Agent。

処理

指定された文字列を復号化します。Encrypt メソッドで暗号化された文字列のみ復号化することができます。

構文

C#
Decrypt (toDecrypt)
VB
Decrypt(toDecrypt)
変数 | 説明
toDecrypt | 復号化する文字列。String。


DetachAll メソッド

クラス

Agent。

処理

現在アタッチされているすべてのアプリケーションを解除します。

構文

C#
DetachAll( )
VB
DetachAll( )


Encrypt メソッド

クラス

Agent。

処理

指定された文字列を暗号化します。

構文

C#
Encrypt (toEncrypt)
VB
Encrypt (toEncrypt)
変数 | 説明
toEncrypt | 暗号化する文字列。String。


ExecuteBaseState メソッド

クラス

Agent。

処理

テスト対象アプリケーションが実行中でテストの準備ができていることを保証します。

構文

C#
TestObject ExecuteBaseState(baseState)
VB
TestObject ExecuteBaseState(baseState)
変数 | 説明
baseState | 基本状態を実行するために必要なすべての情報を含みます。IBaseState。


GetOption メソッド

クラス

Agent。

処理

エージェント オプションの値を取得します。

構文

C#
GetOption(name)
VB
GetOption(name)
変数 | 説明
name | オプションの名前。使用できるオプションのリストは Options クラスで定義されています。String。

例

たとえば、以下のように入力します。
desktop.getOption(Options.ObjectResolveTimeout)
関連資料
SetOption メソッド


LogError メソッド (Agent)

クラス

Agent。

処理

テストの実行中に書き出される TrueLog ファイルに、エラー メッセージとスクリーンショットを記録します。

構文

C#
LogError (message, [screenshotMode]);
VB
LogError (message, [screenshotMode])
変数 | 説明
message | TrueLog ファイルに書き出すテキスト（エラー メッセージなど）。String。
screenshotMode | 省略可能： 完全なデスクトップ、アクティブなアプリケーション、アクティブなウィンドウのスクリーンショットのどれを記録するかを定義します。デフォルトでは、完全なデスクトップのスクリーンショットが記録されます。Enum

例

// C# code
LogError ("*** Error: Expected Message Box did not appear.");
'VB .NET code
LogError ("*** Error: Expected Message Box did not appear.")


LogInfo メソッド (Agent)

クラス

Agent。

処理

テストの実行中に書き出される TrueLog ファイルに、情報メッセージとスクリーンショットを記録します。

構文

C#
LogInfo (message, [screenshotMode]);
VB
LogInfo (message, [screenshotMode])
変数 | 説明
message | TrueLog ファイルに書き出すテキスト。STRING。
screenshotMode | 省略可能： 完全なデスクトップ、アクティブなアプリケーション、アクティブなウィンドウのスクリーンショットのどれを記録するかを定義します。設定されない場合、スクリーンショットは記録されません。Enum。

例

// C# code
LogInfo ("Succesfully logged in to the application.");
'VB .NET code
LogInfo ("Succesfully logged in to the application.")


LogWarning メソッド (Agent)

クラス

Agent。

処理

テストの実行中に書き出される TrueLog ファイルに、警告メッセージとスクリーンショットを記録します。

構文

C#
LogWarning (message, [screenshotMode]);
VB
LogWarning (message, [screenshotMode])
変数 | 説明
message | TrueLog ファイルに書き出すテキスト。String。
screenshotMode | 省略可能： 完全なデスクトップ、アクティブなアプリケーション、アクティブなウィンドウのスクリーンショットのどれを記録するかを定義します。設定されない場合、スクリーンショットは記録されません。Enum。

例

// C# code
LogWarning ("Baseline file is missing.");
'VB .NET code
LogWarning ("Baseline file is missing.")


OpenTrueLogSection メソッド

クラス

Agent。

処理

TrueLog ファイル:に新しいセクションを作成します。TrueLog セクションを使うと、複雑なスクリプトを、名前をつけた小さなパーツに論理的に分割して構造化できます。TrueLog セクションは入れ子状にすることができます。

構文

C#
OpenTrueLogSection(sectionName);
VB
OpenTrueLogSection(sectionName)
変数 | 説明
sectionName | TrueLog セクションの名前。名前は一意である必要はありません。String。
関連資料
CloseCurrentTrueLogSection メソッド


ResetOptions メソッド

クラス

Agent。

処理

エージェントのすべてのオプションをデフォルト値に戻します。

構文

C#
ResetOptions()
VB
ResetOptions()


SetOption メソッド

クラス

Agent。

処理

エージェント オプションを設定します。このオプションは、すべてのテクノロジ ドメインに対して利用されます。

構文

C#
SetOption(name, value)
VB
SetOption(name, value)
変数 | 説明
name | オプションの名前。使用できるオプションのリストは Options クラスで定義されています。String。
value | オプションの値。Object。

例

たとえば、以下のように入力します。
Agent.setOption(Options.ObjectResolveTimeout, true)
関連資料
GetOption メソッド


Shutdown メソッド (Agent)

クラス

Agent。

処理

夜間テスト実行後などのテスト実行後に Open Agent を停止する場合にこのメソッドを呼び出します。このメソッドは、テスト実行の最後にのみ呼び出されるべきで、テストの操作が実行される前に呼び出されるべきではありません。シャットダウン後に操作が実行されると、エージェントは再起動します。Open Agent を停止する方法として、次のコマンドをコマンド ラインから実行する方法もあります：
openAgent.exe -shutDown

構文

C#
Shutdown()
VB
Shutdown()

例：Shutdown メソッドの使用

// VB code
<AssemblyCleanup()>
Public Shared Sub ShutdownAgentAfterTestRun()
  Agent.Shutdown()
End Sub
// C# code
[AssemblyCleanup]
public static void AssemblyCleanup() {
  Agent.Shutdown();
}


Desktop プロパティ

クラス

Agent。

処理

ルート GUI オブジェクトを取得します。

構文

C#
protected Desktop Desktop { get;}
VB
'Declaration
Protected Read Property Desktop As Desktop

アクセス

読み取り専用。


BaseState クラス

説明

BaseState クラスを使用すると、テスト対象アプリケーションが実行中でテストの準備ができていることが保証されます。また、テスト対象アプリケーションが前面に配置されます。

エージェントをアプリケーションにアタッチしようとした場合に、BaseState.Locator で指定されたテスト オブジェクトが見つかると、基本状態としてこのテスト オブジェクトを含むウィンドウが前面に配置され、見つかったテスト オブジェクトが即座に返されます。テスト オブジェクトが見つからない場合、baseStateInfo で指定したとおりにアプリケーションがコマンド ラインから起動し、エージェントがブラウザにアタッチされます。テスト オブジェクトが見つかるまで、エージェントは待機します。待機するためのタイムアウトは、オプション Options.ObjectResolveTimeout.タイムアウトのデフォルト値は、30 秒です。タイムアウトを変更するには、Desktop.SetOption (String, Object) を参照してください。スクリプト オプション ダイアログ ボックスの 再生 タブにある アプリケーション準備完了タイムアウト を編集して UI 上からタイムアウトを変更することもできます。指定したタイムアウト内にテスト オブジェクトが見つかると、このテスト オブジェクトを含むウィンドウが前面に配置され、見つかったテスト オブジェクトが返されます。テスト オブジェクトが見つからずにタイムアウトした場合は、例外がスローされます。

継承

BaseState はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

構文

C#
public class BaseState: IBaseState
VB
'Declaration
Public Class BaseState _
Implements IBaseState

プロパティ

名前 | 説明
CommandLineArguments | コマンド ライン引数を取得または設定します。
CommandLinePattern | コマンド ライン パターンを取得または設定します。
ExecutablePattern | 実行可能パターンを取得または設定します。
Executable | 実行可能ファイルの名前を取得します
Locator | 実行可能ファイルのロケーターを返します
TechDomains | テストに使用するテクノロジ ドメインのリストを取得または設定します
WorkingDirectory | 作業ディレクトリを取得または設定します。
親トピック: コア クラス リファレンス


CommandLineArguments プロパティ

クラス

BaseState。

処理

コマンド ライン引数を取得または設定します。

構文

C#
public String CommandLineArguments { get; set; }
VB
'Declaration
Public ReadWrite Property CommandLineArguments As String

アクセス

読み書き。


CommandLinePattern プロパティ

クラス

BaseState。

処理

コマンド ライン パターンを取得または設定します。

構文

C#
public String CommandLinePattern{ get; set; }
VB
'Declaration
Public ReadWrite Property CommandLinePattern As String

アクセス

読み書き。


ExecutablePattern プロパティ

クラス

BaseState。

処理

実行可能パターンを取得または設定します。

構文

C#
public String ExecutablePattern { get; set; }
VB
'Declaration
Public ReadWrite property ExecutablePattern As String

アクセス

読み書き。


Executable プロパティ

クラス

BaseState。

処理

実行可能ファイルの名前を返します。

構文

C#
public String Executable { get; }
VB
'Declaration
Public Read Property CommandLineArguments As String

アクセス

読み取り専用。


Locator プロパティ

クラス

BaseState。

処理

実行可能ファイルのロケーターを取得します

構文

C#
public String Locator { get; }
VB
'Declaration
Public Read Property Locator As String

アクセス

読み取り専用。


TechDomains プロパティ

クラス

BaseState。

処理

実行可能ファイルに必要なテクノロジ ドメインを取得します。

構文

C#
public List of TechDomain TechDomains { get; }
VB
'Declaration
Public Read Property TechDomains As List of TechDomain

アクセス

読み取り専用。


WorkingDirectory プロパティ

クラス

BaseState。

処理

作業ディレクトリを取得または設定します。Windows 環境変数を含めることができます。

構文

C#
public String WorkingDirectory { get; set; }
VB
'Declaration
Public ReadWrite Property WorkingDirectory As String

アクセス

読み書き。


BrowserBaseState クラス

説明

Executable で指定されたブラウザが適切に実行されていて、テストの準備ができていることを保証します。さらに、基本状態として Url によって指定された URL に移動し、ブラウザを前面に持ってきます。ブラウザの基本状態は、以下のように実行されます。
  • エージェントをブラウザにアタッチします。
    • Locator で適切に指定されたテスト オブジェクトが見つかると、基本状態として所定の URL に移動し、ブラウザが前面に配置され、見つかったテスト オブジェクトが返されます。
    • テスト オブジェクトが見つからない場合、browserBaseStateInfo で指定したとおりにブラウザがコマンド ラインから起動し、エージェントがブラウザにアタッチされます。
  • テスト オブジェクトが見つかるまで、エージェントは待機します。タイムアウトは、オプション Options.ObjectResolveTimeout.タイムアウトを変更するには、Desktop クラスの SetOption メソッドを参照してください。
    • 指定したタイムアウト内にテスト オブジェクトが見つかると、基本状態として所定の URL に移動し、ブラウザが前面に配置され、見つかったテスト オブジェクトが返されます。
    • テスト オブジェクトが見つからずにタイムアウトした場合は、例外がスローされます。

継承

BrowserBaseState はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

構文

C#
public class BrowserBaseState: IBaseState
VB
'Declaration
Public Class BrowserBaseState _
Implements IBaseState

プロパティ

名前 | 説明
CommandLineArguments | コマンド ライン引数を取得または設定します。(BaseState から継承)。
CommandLinePattern | コマンド ライン パターンを取得または設定します。(BaseState から継承)。
ExecutablePattern | 実行可能パターンを取得または設定します。(BaseState から継承)。
Executable | 実行可能ファイルの名前を取得します(BaseState から継承)。
Locator | 実行可能ファイルのロケーターを返します(BaseState から継承)。
TechDomains | テストに使用するテクノロジ ドメインのリストを取得または設定します(BaseState から継承)。
Url | 移動する URL を取得します。
WorkingDirectory | 作業ディレクトリを取得または設定します。(BaseState から継承)。
親トピック: コア クラス リファレンス


URL プロパティ

クラス

BrowserBaseState。

処理

移動する URL を取得します。

構文

C#
public String Url { get; }
VB
'Declaration
Public Read Property Url As String

アクセス

読み取り専用。


ConsoleWindow クラス

説明

ConsoleWindow はコンソールのクラスです。

継承

ConsoleWindow はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

構文

C#
public class ConsoleWindow
VB
'Declaration
Public Class ConsoleWindow

メソッド

名前 | 説明
Close | コンソールを閉じます。
CloseAll | すべての開いているコンソールまたは特定のキャプションを持つすべてのコンソールを閉じます。
GetContents | コンソールの内容を返します。
Open | 新しいコンソールを開きます。
TypeKeys | 一連のキーストロークをコンソールに送信します。
親トピック: コア クラス リファレンス


Close メソッド (ConsoleWindow)

クラス

ConsoleWindow。

処理

コンソールを閉じます。

構文

C#
consoleWindow.Close ([sItemIdentifier])
VB
consoleWindow.Close ([sItemIdentifier])
変数 | 説明
sItemIdentifier | コンソール ウィンドウのインデックスまたはウィンドウのキャプション。このパラメータが指定されていない場合、Silk4NET は最初に見つけたコンソール ウィンドウを閉じます。 STRING。

例 1

次の例では、インデックスを使用して 2 番目のコンソール ウィンドウを閉じる方法を示します。
consoleWindow.Close(2)

例 2

次の例では、コンソール ウィンドウの完全識別子を使用してコンソール ウィンドウを閉じる方法を示します。
consoleWindow.Close("C:\\Windows\\system32\\cmd.exe[1]")


CloseAll メソッド (ConsoleWindow)

クラス

ConsoleWindow。

処理

すべての開いているコンソールまたは特定のキャプションを持つすべてのコンソールを閉じます。

構文

C#
consoleWindow.CloseAll ([sCaption])
VB
consoleWindow.CloseAll ([sCaption])
変数 | 説明
sCaption | このパラメータを設定すると、このキャプションを持つコンソールだけが閉じられます。STRING

例

次の例では、キャプション MyCommandWindow を持つすべてのコンソール ウィンドウを閉じる方法を示します：
// C#
consoleWindow.CloseAll("MyCommandWindow");
// VB
consoleWindow.CloseAll("MyCommandWindow")


GetContents メソッド (ConsoleWindow)

クラス

ConsoleWindow。

処理

コンソールの内容を返します。

構文

C#
lsContents = consoleWindow.GetContents ([sItemIdentifier])
VB
lsContents = consoleWindow.GetContents ([sItemIdentifier])
変数 | 説明
lsContents | コンソールの内容。LIST OF STRING。
sItemIdentifier | コンソール ウィンドウのインデックスまたはウィンドウのキャプション。このパラメータが指定されていない場合、Silk4NET は最初に見つけたコンソール ウィンドウの内容を返します。STRING。

メモ

  • 返された文字列リスト内の各文字列は、コンソール内の 1 行に対応しています。

例 1

次の例では、インデックスを使用して 2 番目のコンソール ウィンドウの内容を取得する方法を示します。
lsContents = consoleWindow.GetContents(2)

例 2

次の例では、コンソール ウィンドウの完全識別子を使用してコンソール ウィンドウの内容を取得する方法を示します。
lsContents = consoleWindow.GetContents("C:\\Windows\\system32\\cmd.exe[1]")


Open メソッド (ConsoleWindow)

クラス

ConsoleWindow。

処理

新しいコンソールを開きます。

使用可能な資産

この機能がサポートされるのは、Open Agent を使用している場合のみです。

構文

C#
ConsoleWindow.Open ([caption])
VB
ConsoleWindow.Open ([caption])
変数 | 説明
caption | 新しいコンソール ウィンドウのキャプション。String。

例

次の例では、キャプション "My Console" の新しいコンソールを開く方法について示します。
// C#
ConsoleWindow.Open("My Console");
// VB
ConsoleWindow.Open("My Console")


TypeKeys メソッド (ConsoleWindow)

クラス

ConsoleWindow。

処理

一連のキーストロークをコンソールに送信します。

構文

ConsoleWindow.TypeKeys (sEvents [, nDelay, ensureFocus, sItemIdentifier])
変数 | 説明
sEvents | 入力するキーストローク。STRING。
nDelay | 省略可能：キーストローク間の遅延 (秒単位、小数可)。NUMBER。
ensureFocus | 省略可能：アプリケーションを自動的に前面に移動し、メソッドを実行したコントロールにキーボードのフォーカスを設定するかどうか。この処理は、最初のキーを入力する前に実行されるため、入力するキーを複数指定した場合、キーストロークごとに再確認されることはありません。この変数は、デフォルトで TRUE に設定されています。BOOLEAN。
sItemIdentifier | コンソール ウィンドウのインデックスまたはウィンドウのキャプション。このパラメータが指定されていない場合、Silk4NET は最初に見つけたコンソール ウィンドウにキーストロークを送信します。STRING。

メモ

  • 開いているコンソールがない場合は、TypeKeys によってコンソールが開きます。
  • Windows の場合は、入力する前に TypeKeys によってコンソールに入力フォーカスが設定されます。
  • nDelay を指定した場合、この値は、SetOption で設定された、OPT_KEYBOARD_DELAY オプションを使用した設定値よりも優先します。
  • キーストロークが認識されない場合は、使用する遅延の値を大きくすることができます。
  • キーの後に、そのキーの入力頻度を定義するカウンターを配置できます。カウンターは遅延と組み合わせることができます。
  • 遅延時間中は画面がロックされ、マウスおよびキーボードとの対話は不可能になります。
  • DOM に拡張機能を使用して記録している場合、TypeKeys("<Tab>") はキャプチャされません。入力するオブジェクトはスクリプトで直接参照されているため、この手動の Tab を記録する必要はありません。必要に応じて、スクリプトに TypeKeys("<Tab>") を手動で入力できますが、この Tab は記録されません。
  • Ctrl-Shift などのキー グループを指定した場合、プラスおよびマイナス記号はサポートされます。

例

次のサンプル コードは、コンソール ウィンドウで dir コマンドを実行し、ディレクトリのファイルとフォルダをリストします。

// VB
ConsoleWindow.TypeKeys ("dir<Enter>")
// C#
ConsoleWindow.TypeKeys ("dir<Enter>");


DllCall クラス

説明

DllCall クラスを使用すると、NTF ユーザーはエージェントまたは AUT のいずれかで、任意の DLL の公開された DLL 機能を呼び出すことができます。

継承

DllCall はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

構文

C#
public class DllCall
VB
'Declaration
Public Class Agent

メソッド

名前 | 説明
UnloadAllDllsFromAgent | エージェントからすべての DLL をアンロードします。
UnloadDllFromAgent | 指定した DLL をエージェントからアンロードします。
親トピック: コア クラス リファレンス


UnloadAllDllsFromAgent メソッド

クラス

DllCall。

処理

エージェントからすべての DLL をアンロードします。

構文

C#
Agent.UnloadAllDllsFromAgent ()
VB
Agent.UnloadAllDllsFromAgent ()


UnloadDllFromAgent メソッド

クラス

DllCall。

処理

指定した DLL をエージェントからアンロードします。

構文

C#
bSuccessful = Agent.UnloadDll (sDllName)
VB
bSuccessful = Agent.UnloadDll (sDllName)
変数 | 説明
bSuccessful | DLL が正常にアンロードされた場合は true、失敗した場合は false。BOOLEAN。
sDllName | DLL ファイルの名前。STRING。

メモ

UnloadDllFromAgent は、標準 DLL をアンロードする場合のみ使用できます。混在アセンブリをアンロードする場合は,使用できません。混在アセンブリをアンロードするには、UnloadAllDllsFromAgent を使用します。


IBaseState インターフェイス

説明

基本状態のインターフェイスです。基本状態は、アプリケーションをテスト可能な状態にします。必要に応じてアプリケーションを起動して、あるロケーターが見つかるまで待機し、アプリケーションを前面に持ってきます。

構文

C#
public interface IBaseState
VB
'Declaration
Public Interface IBaseState

メソッド

名前 | 説明
Execute | デスクトップで指定したマシン上で基本状態を実行します。
親トピック: コア クラス リファレンス


Execute メソッド

クラス

BaseState。

処理

デスクトップで指定したマシン上で基本状態を実行します。

構文

C#
TestObject = BaseState.Execute();
VB
TestObject = BaseState.Execute()
変数 | 説明
TestObject | ロケーターが待機するオブジェクト。

例：構成ファイルを使用した Web アプリケーションの基本状態の設定

構成ファイル config.silk4net に保存されている基本状態を使用して、Web アプリケーションの基本状態を設定するには：

C#
var baseState = new BrowserBaseState();
baseState.Execute();
VB
Dim baseState = New BrowserBaseState()
baseState.Execute()

さらに、基本状態を変数に格納するには：

C#
var baseState = new BrowserBaseState();
var browserApplication = (BrowserApplication) baseState.Execute();
VB
Dim baseState = New BrowserBaseState()
Dim browserApplication As BrowserApplication = baseState.Execute()

例：基本状態でのブラウザーと Web アプリケーションの URL の指定

Web アプリケーションをテストするブラウザーとして Internet Explorer を、Web アプリケーションの URL として www.borland.com を指定するには、次のコードを使用できます。

C#
var baseState = new BrowserBaseState(BrowserType.InternetExplorer, "www.borland.com");
baseState.Execute();
VB
Dim baseState = New BrowserBaseState(BrowserType.InternetExplorer, "www.borland.com")
baseState.Execute()

さらに、基本状態を変数に格納するには：

C#
var baseState = new BrowserBaseState(BrowserType.InternetExplorer, "www.borland.com");
var browserApplication = (BrowserApplication) baseState.Execute();
VB
Dim baseState = New BrowserBaseState(BrowserType.InternetExplorer, "www.borland.com")
Dim browserApplication As BrowserApplication = baseState.Execute()

モバイル デバイス上のモバイル ブラウザー (iOS デバイス上の Safari など) を指定するには、次のコードを使用できます。

C#
var baseState = new BrowserBaseState(BrowserType.Safari, "www.borland.com");
baseState.MobileDeviceName = "My iPhone";
baseState.Execute();
VB
Dim baseState = New BrowserBaseState(BrowserType.Safari, "www.borland.com")
baseState.MobileDeviceName = "My iPhone"
baseState.Execute()

例：実行可能ファイルへのパスと AUT のメイン ウィンドウのロケーターの指定

AUT の実行可能ファイルへのパスとして C:/windows/system32/notepad.exe を、AUT のメイン ウィンドウのロケーターとして //Window[@caption='*Notepad*'] を指定するには、次のコードを使用できます。

C#
var baseState = new BaseState("C:/windows/system32/notepad.exe", "//Window[@caption='*Notepad*']");
baseState.Execute();
VB
Dim baseState = New BaseState("C:/windows/system32/notepad.exe", "//Window[@caption='*Notepad*']")
baseState.Execute()

さらに、基本状態を変数に格納するには：

C#
var baseState = new BaseState("C:/windows/system32/notepad.exe", "//Window[@caption='*Notepad*']");
var mainWindow = (Window) baseState.Execute();
VB
Dim baseState = New BaseState("C:/windows/system32/notepad.exe", "//Window[@caption='*Notepad*']")
Dim mainWindow As Window = baseState.Execute()


Timer クラス

説明

Timer クラスを使用すると、経過時間を正確に計測できます。

特に、 Timer クラスのメソッドとプロパティは、Silk Performer から呼び出されるテスト実行の計測に使用できるという利点があります。Silk4NET と Silk Performer の統合についての詳細は、『Silk Performer ヘルプ』を参照してください。

継承

BaseState はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

構文

C#
public class Timer
VB
'Declaration
Public Class Timer

メソッド

名前 | 説明
Pause | タイマーの計測を一時停止します。
Resume | タイマーの計測を再開します。
Start | タイマーの計測を開始または再開します。
StartNew | 新しい Timer インスタンスを初期化し、経過時間を 0 に設定してから、経過時間の計測を開始します。
Stop | タイマーの計測を停止します。

プロパティ

名前 | 説明
Elapsed | タイマーの経過時間を取得します。
ElapsedMilliseconds | タイマーの経過時間をミリ秒で取得します。
IsRunning | タイマーが現在実行されているかどうかを取得します。
Name | Silk Performer とのやり取りに使用するタイマーの名前を取得または設定します。
親トピック: コア クラス リファレンス


Pause メソッド (Timer)

クラス

Timer。

処理

タイマーの計測を一時停止します。

構文

C#
timer.Pause ()
VB
timer.Pause ()


Resume メソッド (Timer)

クラス

Timer。

処理

タイマーの計測を再開します。

構文

C#
timer.Resume ()
VB
timer.Resume ()


Start メソッド (Timer)

クラス

Timer。

処理

タイマーが現在停止している場合、タイマーの計測を開始します。タイマーが現在一時停止している場合、タイマーの計測を再開します。

構文

C#
timer.Start ()
VB
timer.Start ()


StartNew メソッド (Timer)

クラス

Timer。

処理

新しい Timer インスタンスを初期化し、経過時間を 0 に設定してから、経過時間の計測を開始します。名前は Silk Performer とやり取りするために提供されます。

構文

C#
timer=StartNew ([timerName])
VB
timer=StartNew ([timerName])
変数 | 説明
timer | 経過時間の測定を開始した新しい Timer インスタンス。Timer。
timerName | 省略可能：新しいタイマーの名前。名前は Silk Performer とやり取りするために提供されます。String.


Stop メソッド (Timer)

クラス

Timer。

処理

タイマーの計測を停止します。

構文

C#
timer.Stop()
VB
timer.Stop()


Elapsed プロパティ (Timer)

クラス

Timer。

処理

タイマーの経過時間を取得します。

構文

C#
public TimeSpan Elapsed { get; }
VB
'Declaration
Public Read Property Elapsed As TimeSpan

アクセス

読み取り


ElapsedMilliseconds プロパティ (Timer)

クラス

Timer。

処理

タイマーの経過時間をミリ秒で取得します。

構文

C#
public long ElapsedMilliseconds { get; }
VB
'Declaration
Public Read Property ElapsedMilliseconds As Long

アクセス

読み取り


IsRunning プロパティ (Timer)

クラス

Timer。

処理

タイマーが現在実行されているかどうかを取得します。タイマーが実行している場合は True を返します。

構文

C#
public bool IsRunning { get; }
VB
'Declaration
Public Read Property IsRunning As Boolean

アクセス

読み取り


Name プロパティ (Timer)

クラス

Timer。

処理

Silk Performer とのやり取りに使用するタイマーの名前を取得または設定します。

構文

C#
public string Name { get; set;}
VB
'Declaration
Public ReadWrite Property Name As String

アクセス

読み書き。


Silk4NET クラス

説明

Silk4NET は、Visual Studio に固有の機能を処理するクラスです。 現在、このクラスは資産を検証するための機能を提供しています。

継承

Silk4NET はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

メソッド

名前 | 説明
TryVerifyAsset | 指定された検証資産を実行し、検証が合格したかどうかを返します。 Boolean
VerifyAsset | 指定された検証資産を実行します。 検証が合格しなかった場合、例外がスローされます。
親トピック: コア クラス リファレンス


TryVerifyAsset メソッド

クラス

Silk4NET。

処理

検証資産を実行し、検証に合格したかどうかを返します。 検証する UI オブジェクトが見つからない場合は、ObjectNotFoundException をスローします。

構文

C#
result = TryVerifyAsset(verificationAsset)
VB
result = TryVerifyAsset(verificationAsset)
変数 | 説明
result | 検証が合格したかどうかを返します。 検証が合格した場合は true を返し、合格しなかった場合は false を返します。 Boolean。
verificationAsset | .verification ファイルの名前。 ファイル拡張子は省略できます。 String。

例

イメージ資産 myImageAsset の検証を実行するには、次のコードを入力します。

C#
bool result = Silk4NET.TryVerifyAsset("myImageAsset");
VB
Dim result As Boolean = Silk4NET.TryVerifyAsset("myImageAsset")


VerifyAsset メソッド (Silk4NET)

クラス

Silk4NET。

処理

検証資産を実行します。 検証に合格しなかった場合、VerificationFailedException がスローされます。 検証する UI オブジェクトが見つからない場合は、ObjectNotFoundException をスローします。

構文

C#
result = VerifyAsset(verificationAsset)
VB
result = VerifyAsset(verificationAsset)
変数 | 説明
result | 検証が成功したかどうか。 BOOLEAN。
verificationAsset | .verification ファイルの名前。 ファイル拡張子は省略できます。 String。

例

イメージ資産 myImageAsset の検証を実行するには、次のコードを入力します。

C#
Silk4NET.VerifyAsset("myImageAsset");
VB
Silk4NET.VerifyAsset("myImageAsset")


Data Types

This section lists the various types of data.

Note: For information on the .NET framework data types, for example Integer, Boolean, String, and so on, refer to the MSDN. For information about the data types that you can use in visual tests, see Variables in Visual Tests.
  • ClickType Enumeration
    Specifies how to click on a text during a replay of a TextClick.
  • Color Class
    Describes a color in terms of red, green, blue, and alpha channels.
  • ItemIdentifier Data Type
    Specifies an item in controls such as list boxes, tab controls, or combo boxes.
  • ItemPath Data Type
    The string representation of the item path in a tree.
  • ModifierKeys Enumeration
    Specifies the key modifiers that should be pressed during replay.
  • MouseButton Enumeration
    Defines values that specify the buttons on a mouse device.
  • Point Class
    Specifies a point on the screen.
  • Range Class
    Specifies a range with a minimum and a maximum.
  • Rectangle Class
    Specifies a rectangle on the screen.
  • TextPosition Class
    Specifies a position within a text field.
  • TextRange Class
    Specifies a range within a text field.
  • TreeContent Class
    Represents the content of a tree control. Every item in a tree is represented as a TreeNode.
  • TreeNode Class
    Represents a node in the TreeContent.
Parent topic: Silk4NET 言語リファレンス


ClickType Enumeration

Description

Specifies how to click on a text during a replay of a TextClick.

Syntax

C#
public enum ClickType
VB
Public Enumeration ClickType

Members

Name | Description
Left | A single click with the left mouse button.
Right | A single click with the right mouse button.
Middle | A single click with the middle mouse button.
LeftDouble | A double click with the left mouse button.
Press | Clicking and holding the left mouse button.
Release | Releasing the left mouse button.
Parent topic: Data Types


Color Class

Description

Describes a color in terms of red, green, blue, and alpha channels.

Inheritance Hierarchy

Color does not derive from any class, and no classes derive from it.

Syntax

C#
public class Color
VB
Public Class Color

Fields

Name | Description
BLACK | Gets the color that has the ARGB value of #FF000000.
WHITE | Gets the color that has the ARGB value of #FFFFFFFF.
GREEN | Gets the color that has the ARGB value of #FF00FF00.
RED | Gets the color that has the ARGB value of #FFFF0000.
BLUE | Gets the color that has the ARGB value of #FF0000FF.
YELLOW | Gets the color that has the ARGB value of #FFFFFF00.
MAGENTA | Gets the color that has the ARGB value of #FFFF00FF.
CYAN | Gets the color that has the ARGB value of #FF00FFFF.

Properties

Name | Description
R | Gets the value of the red ARGB channel of the color. Integer
G | Gets the value of the green ARGB channel of the color. Integer
B | Gets the value of the blue ARGB channel of the color. Integer
A | Gets the value of the alpha ARGB channel of the color. Integer
Parent topic: Data Types


ItemIdentifier Data Type

Description

Specifies an item in controls such as list boxes, tab controls, or combo boxes. Items can be identified by the following:
  • Text (String).
  • Index (Integer).
  • A combination of text and index (String).

A string value specifies the name of the item. The string can contain wildcard characters. You can also specify the index of the item as a string, in the form "[n]", where n is the numerical index of the item.

Example

The following examples show how you can select an item in a ListBox:
listbox.select(0)  ' Selects the first item, which has the index 0.
listbox.select("[0]")  ' Also selects the first item.
listbox.select("apple")   ' Selects the first item with text "apple".
listbox.select("apple[1]")   'Selects the second item with the text "apple".
Parent topic: Data Types


ItemPath Data Type

Description

The hierarchical path from the root of the tree to a specific item. You have to always specify the entire hierarchy. Each part in the hierarchy of the item path can either be a name, an index, or a combination of both. You can uniquely identify each item in the hierarchical path by specifying one or more of its attributes.

Items in a tree have the following attributes:
  • The hierarchical relationship between the item and other items.
  • The title or the caption of the item.
  • The 0-based ordinal number of the item in relation to its siblings.

Example

The following examples show how you can identify unique items within a tree by path, index, or a combination of both path and index:
Specification | Item
"/Desktop/Applications/Games" | A unique item "Games" under a unique item "Applications" under a unique item "Desktop" at the outer level of the tree.
"/Desktop/[2]/[4]" | The fifth item under the third item under a unique item "Desktop" at the outer level of the tree.
"/Desktop/Applications[2]/Games" | A unique item "Games" under the third item with the text "Applications" under a unique item "Desktop" at the outer level of the tree.
Parent topic: Data Types


ModifierKeys Enumeration

Description

Specifies the key modifiers that should be pressed during replay.

Syntax

C#
public enum ModifierKeys
VB
Public Enumeration ModifierKeys

Members

Name | Description
None | No key modifiers.
Shift | The Shift modifier.
Alt | The Alt modifier.
Cmd | The Cmd modifier. Supported only for desktop browsers on macOS.
Control | The Ctrl modifier.
ControlAlt | The Ctrl+Alt modifiers.
ShiftControl | The Shift+Ctrl modifiers.
ShiftAlt | The Shift+Alt modifiers.
ShiftControlAlt | The Ctrl+Shift+Alt modifiers.

Example

To follow a link from a Microsoft Word document that you are currently editing, you have to press Ctrl and click on the link. You can do this as follows:

C#
link.Click(MouseButton.Left, ClickPosition.Center, ModifierKeys.Control);
VB
link.Click(MouseButton.Left, ClickPosition.Center, ModifierKeys.Control)
Note: All three parameters are required.
Parent topic: Data Types


MouseButton Enumeration

Description

Defines values that specify the buttons on a mouse device.

Syntax

C#
public enum MouseButton
VB
Public Enumeration MouseButton

Members

Name | Description
Left | The left mouse button. Left = 1.
Middle | The middle mouse button. Middle = 3.
Right | The right mouse button. Right = 2.
Parent topic: Data Types


Point Class

Description

Specifies a point on the screen.

Inheritance Hierarchy

Point does not derive from any class, and no classes derive from it.

Syntax

C#
public class Point
VB
Public Class Point

Properties

Name | Description
X | Gets the x coordinate.
Y | Gets the y coordinate.
Parent topic: Data Types


Range Class

Description

Specifies a range with a minimum and a maximum.

Inheritance Hierarchy

Range does not derive from any class, and no classes derive from it.

Syntax

C#
public class Range
VB
Public Class Range

Properties

Name | Description
Minimum | Gets the minimum.
Maximum | Gets the maximum.
Parent topic: Data Types


Rectangle Class

Description

Specifies a rectangle on the screen.

Inheritance Hierarchy

Rectangle does not derive from any class, and no classes derive from it.

Syntax

C#
public class Rectangle
VB
Public Class Rectangle

Properties

Name | Description
X | Gets the x coordinate of the rectangle.
Y | Gets the y coordinate of the rectangle.
Width | Gets the width of the rectangle.
Height | Gets the height of the rectangle.
Center | Gets the center of the rectangle.
IsEmpty | Determines whether the rectangle is empty.

Methods

Name | Description
Contains(Rectangle) | Determines whether the current Rectangle contains the specified Rectangle. Boolean
Contains(Point) | Determines whether the current Rectangle contains the specified Point. Boolean
Contains(X,Y) | Determines whether the current Rectangle contains the specified coordinates. Boolean
Parent topic: Data Types


TextPosition Class

Description

Specifies a position within a text field.

Inheritance Hierarchy

TextPosition does not derive from any class, and no classes derive from it.

Syntax

C#
public class TextPosition
VB
Public Class TextPosition

Properties

Name | Description
Line | Gets the line.
Column | Gets the column.
Parent topic: Data Types


TextRange Class

Description

Specifies a range within a text field.

Inheritance Hierarchy

TextRange does not derive from any class, and no classes derive from it.

Syntax

C#
public class TextRange
VB
Public Class TextRange

Properties

Name | Description
StartLine | Gets the start line of the range.
StartColumn | Gets the start column of the range.
EndLine | Gets the end line of the range.
EndColumn | Gets the end column of the range.
Parent topic: Data Types


TreeContent Class

Description

Represents the content of a tree control. Every item in a tree is represented as a TreeNode.

Inheritance Hierarchy

TreeContent does not derive from any class, and no classes derive from it.

Syntax

C#
public class TreeContent
VB
Public Class TreeContent

Properties

Name | Description
RootNodes | Gets the root nodes of the corresponding tree.
Parent topic: Data Types


TreeNode Class

Description

Represents a node in the TreeContent.

Inheritance Hierarchy

TreeNode does not derive from any class, and no classes derive from it.

Syntax

C#
public class TreeNode
VB
Public Class TreeNode

Properties

Name | Description
Children | Gets the child nodes of the TreeNode.
Text | Gets the text of the TreeNode.
Parent topic: Data Types


Flex Class Reference

Lists the available classes for testing Flex controls. You can also customize Silk Test to test custom controls.

For additional information about the classes, see the Apache Flex Developer's Guide.
Note: Any known problems with Flex and Flex classes can be reproduced in Silk Test. For instance, dragging and dropping an element that uses the FlexChart class may not work if a chart element is clicked near its edges before you start dragging the element. This results in a failed replay because the drag start coordinates can be incorrect. This is a known issue with dragging and dropping in Flex. For details about known issues with Flex, see the Apache Flex Release Notes.
Note: The FlexTitleWindow class is recorded and recognized by Silk Test as a FlexPanel (although it is defined as a separate class). This is a known issue in Flex. For details about known issues with Flex, see the Apache Flex Release Notes.
  • FlexAccordion Class
    An Accordion navigator container has a collection of child containers, but only one of them at a time is visible. It creates and manages navigator buttons (accordion headers), which you use to navigate between the children.
  • FlexAdvancedDataGrid Class
    Expands on the functionality of the standard DataGrid control to add data visualization features to your Apache Flex application. These features provide greater control of data display, data aggregation, and data formatting.
  • FlexAlert Class
    A pop-up dialog box that can contain a message, a title, buttons (any combination of OK, Cancel, Yes, and No) and an icon.
  • FlexApplication Class
    A default, or Application, container that lets you start adding content to your application without explicitly defining another container.
  • FlexAreaChart Class
    Represents data as an area bounded by a line connecting the values in the data. The AreaChart control can be used to represent different variations, including simple areas, stacked, 100% stacked, and high/low.
  • FlexAreaSeries Class
    Defines a data series for an AreaChart control.
  • FlexAxisRenderer Class
    Describe the horizontal and vertical axes of a chart. An axis is responsible for rendering the labels, tick marks, and title along its length.
  • FlexBarChart Class
    Represents data as a series of horizontal bars whose length is determined by values in the data. A BarChart control can represent different chart variations, including simple bars, clustered bars, stacked, 100% stacked, and high/low.
  • FlexBarSeries Class
    Defines a data series for a BarChart control.
  • FlexBox Class
    A Box container lays out its children in a single vertical column or a single horizontal row.
  • FlexBubbleChart Class
    Represents data with three values for each data point. Each data point is defined by a value determining its position along the horizontal axis, a value determining its position along the vertical axis, and a value determining the size of the chart element, relative to the other data points on the chart.
  • FlexBubbleSeries Class
    Defines a data series for a BubbleChart control.
  • FlexButton Class
    The Button control is a commonly used rectangular button. Button controls look like they can be pressed. They can have a text label, an icon, or both on their face.
  • FlexButtonBar Class
    Defines a horizontal or vertical group of logically related push buttons with a common look and navigation.
  • FlexCandlestickChart Class
    Represents financial data as a series of candlesticks representing the high, low, opening, and closing values of a data series.
  • FlexCandlestickSeries Class
    Represents financial data as a series of candlesticks representing the high, low, opening, and closing values of a data series.
  • FlexCanvas Class
    A Canvas layout container defines a rectangular region in which you place child containers and controls. It is the only container that lets you explicitly specify the location of its children within the container by using the x and y properties of each child.
  • FlexCartesianChart Class
    A base class for the common chart types. CartesianChart defines the basic layout behavior of the standard rectangular, two-dimensional charts.
  • FlexChart Class
    The link between the Flex component architecture and the DualStyleObject architecture. It extends the Flex UIComponent base class, but contains DualStyleObject classes.
  • FlexChartLegend Class
    Adds a legend to your charts, where the legend displays the label for each data series in the chart and a key showing the chart element for the series.
  • FlexChartSeries Class
    The base class for the classes that let you specify a data series for a chart control.
  • FlexCheckBox Class
    The CheckBox control consists of an optional label and a small box that can contain a check mark or not.
  • FlexColorPicker Class
    Provides a way for a user to choose a color from a swatch list.
  • FlexColumnChart Class
    Represents data as a series of vertical columns whose height is determined by values in the data.
  • FlexColumnSeries Class
    Defines a data series for a ColumnChart control.
  • FlexComboBase Class
    The base class for controls that display text in a text field and have a button that causes a drop-down list to appear where the user can choose which text to display.
  • FlexComboBox Class
    Contains a drop-down list from which the user can select a single value.
  • FlexContainer Class
    An abstract base class for components that controls the layout characteristics of child components.
  • FlexContainerMovieClip Class
    Container components created in Adobe Flash CS3 Professional for use in Flex are subclasses of the mx.flash.ContainerMovieClip class.
  • FlexDataGrid Class
    The DataGrid control is like a List except that it can show more than one column of data making it suited for showing objects with multiple properties.
  • FlexDateChooser Class
    Displays the name of a month, the year, and a grid of the days of the month, with columns labeled for the day of the week.
  • FlexDateField Class
    A text field that shows the date with a calendar icon on its right side.
  • FlexDisplayObject Class
    The base class for all objects that can be placed on the display list. The display list manages all objects displayed in Flash Player or Adobe AIR.
  • FlexDividedBox Class
    Measures and lays out its children horizontally or vertically in exactly the same way as a Box container, but it inserts draggable dividers in the gaps between the children. Users can drag any divider to resize the children on each side.
  • FlexForm Class
    Use this class to control the layout of a form, mark form fields as required or optional, handle error messages, and bind your form data to the Flex data model to perform data checking and validation. This class also lets you use style sheets to configure the appearance of your forms.
  • FlexFormItem Class
    Defines a label and one or more children arranged horizontally or vertically. Children can be controls or other containers. A single Form container can hold multiple FormItem containers.
  • FlexHLOCChart Class
    The HLOCChart (High Low Open Close) control represents financial data as a series of elements representing the high, low, closing, and optionally opening values of a data series.
  • FlexHLOCSeries Class
    Represents financial data as a series of elements representing the high, low, closing, and, optionally, opening values of a data series.
  • FlexHLOCSeriesBase Class
    Represents financial data as a series of elements representing the high, low, closing, and, optionally, opening values of a data series.
  • FlexImage Class
    Lets you import JPEG, PNG, GIF, and SWF files at runtime.
  • FlexLabel Class
    Displays a single line of noneditable text.
  • FlexLineChart Class
    Represents a data series as points connected by a continuous line.
  • FlexLineSeries Class
    Defines a data series for a LineChart control.
  • FlexLinkBar Class
    Defines a horizontal or vertical row of LinkButton controls that designate a series of link destinations.
  • FlexList Class
    Displays a list of items horizontally, verically, or laid out in tiles.
  • FlexListBase Class
    The ListBase class is the base class for controls that represent lists of items that can have one or more selected and can scroll through the items.
  • FlexListLabel Class
    Defines the default item renderer for a control. By default, the item renderer draws the text associated with each item in the list, and an optional icon.
  • FlexLoader Class
    Loads and displays a specified SWF file. You typically use SWFLoader for loading one Flex application into a host Flex application.
  • FlexMenu Class
    Creates a pop-up menu of individually selectable choices, similar to the File or Edit menu found in most software applications. The popped up menu can have as many levels of submenus as needed.
  • FlexMenuBar Class
    Defines a horizontal, top-level menu bar that contains one or more menus. Clicking on a top-level menu item opens a pop-up submenu that is an instance of the Menu control.
  • FlexNavigationBar Class
    The superclass for navigator controls, such as the LinkBar and TabBar controls. This class cannot be instantiated directly.
  • FlexNumericStepper Class
    Lets the user select a number from an ordered set.
  • FlexObject Class
    The base class for all visual components, both interactive and noninteractive.
  • FlexOLAPDataGrid Class
    Expands on the functionality of the AdvancedDataGrid control to add support for the display of the results of OLAP queries.
  • FlexPanel Class
    Consists of a title bar, a caption, a border, and a content area for its children.
  • FlexPieChart Class
    Represents a data series as a standard pie chart.
  • FlexPieSeries Class
    Defines the data series for a PieChart control.
  • FlexPlotChart Class
    Represents data with two values for each data point. One value determines the position of the data point along the horizontal axis, and one value determines its position along the vertical axis.
  • FlexPlotSeries Class
    Defines a data series for a PlotChart control.
  • FlexPopUpButton Class
    The PopUpButton control adds a flexible pop-up control interface to a Button control. It contains a main button and a secondary button, called the pop-up button, which pops up any UIComponent object when a user clicks the pop-up button.
  • FlexProgressBar Class
    The ProgressBar control provides a visual representation of the progress of a task over time. There are two types of ProgressBar controls: determinate and indeterminate.
  • FlexRadioButton Class
    The RadioButton control lets the user make a single choice within a set of mutually exclusive choices.
  • FlexRepeater Class
    Identifies the repeater control, which creates multiple instances of its subcomponents.
  • FlexRule Class
    Creates a single horizontal or vertical line. You typically use this control to create a dividing line within a container.
  • FlexScrollBar Class
    Lets you control the portion of data that is displayed when there is too much data to fit in a display area.
  • FlexScrollBase Class
    The ScrollControlBase class is the base class for controls with scroll bars.
  • FlexSlider Class
    Lets users select a value by moving a slider thumb between the end points of the slider track.
  • FlexStandalonePlayer Class
    The Flex Standalone Player.
  • FlexTabNavigator Class
    Extends the ViewStack container by including a TabBar container for navigating between its child containers.
  • FlexTextArea Class
    A multiline text field with a border and optional scroll bars.
  • FlexTitleWindow Class
    Contains a title bar, a caption, a border, and a content area for its child.
  • FlexToggleButtonBar Class
    Defines a horizontal or vertical group of buttons that maintain their selected or deselected state.
  • FlexTree Class
    The Tree control lets a user view hierarchical data arranged as an expandable tree.
  • FlexUIMovieClip Class
    Components created in Adobe Flash CS3 Professional for use in Flex are subclasses of the mx.flash.UIMovieClip class.
  • FlexVideoDisplay Class
    Lets you play an FLV file in a Flex application. It supports progressive download over HTTP, streaming from the Flash Media Server, and streaming from a Camera object.
  • FlexViewStack Class
    Consists of a collection of child containers stacked on top of each other, where only one child at a time is visible. When a different child container is selected, it seems to replace the old one because it appears in the same location. However, the old child container still exists; it is just invisible.
  • FlexWindow Class
    The Window is a top-level container for additional windows in an AIR desktop application.
  • FlexWindowedApplication Class
    The WindowedApplication defines the application container that you use to create Flex applications for AIR applications.
  • SparkAirHTML Class
    The HTML control lets you display HTML content in your application.
  • SparkApplication Class
    Flex defines a default, or Application, container that lets you start adding content to your application without explicitly defining another container.
  • SparkBorderContainer Class
    The BorderContainer class defines a set of CSS styles that control the appearance of the border and background fill of the container.
  • SparkButton Class
    The SparkButton component is a commonly used rectangular button. The SparkButton component looks like it can be pressed.
  • SparkButtonBar Class
    The ButtonBar control defines a horizontal group of logically related buttons with a common look and navigation.
  • SparkButtonBarButton Class
    The ButtonBarButton class defines the custom item renderer used by the ButtonBar control.
  • SparkButtonBase Class
    The SparkButtonBase class is the base class for the all Spark button components.
  • SparkCheckBox Class
    The CheckBox component consists of an optional label and a small box that can contain a check mark or not.
  • SparkComboBox Class
    The ComboBox control is a child class of the DropDownListBase control. Like the DropDownListBase control, when the user selects an item from the drop-down list in the ComboBox control, the data item appears in the prompt area of the control.
  • SparkComplexDisplay Class
    A complex rendered object.
  • SparkDataGrid Class
    Identifies a Spark data grid control.
  • SparkDataGridLabel Class
    Identifies a spark data grid label control.
  • SparkDataGroup Class
    The DataGroup class is the base container class for data items.
  • SparkDataRenderer Class
    The SparkDataRenderer class is the base class for data components in spark.
  • SparkDropDownList Class
    The SparkDropDownList control contains a drop-down list from which the user can select a single value.
  • SparkDropDownListBase Class
    The SparkDropDownListBase control contains a drop-down list from which the user can select a single value.
  • SparkForm Class
    Identifies a Spark form control.
  • SparkFormItem Class
    Identifies a Spark form item control.
  • SparkGroup Class
    Use this container when you want to manage visual children, both visual components and graphical components.
  • SparkGroupBase Class
    The GroupBase class defines the base class for components that display visual elements.
  • SparkImage Class
    Identifies a Spark image control.
  • SparkLabel Class
    Label is a low-level UIComponent that can render one or more lines of uniformly-formatted text.
  • SparkList Class
    The List control displays a vertical list of items.
  • SparkListBase Class
    The ListBase class is the base class for all components that support selection.
  • SparkListLabel Class
    A simple rendered object.
  • SparkMuteButton Class
    The MuteButton class defines the mute button used by the VideoPlayer control.
  • SparkNavigatorContent Class
    The NavigatorContent class defines a Spark container that can be used in an MX navigator container, such as the ViewStack, TabNavigator and Accordion containers.
  • SparkNumericStepper Class
    The NumericStepper control lets you select a number from an ordered set. The NumericStepper provides the same functionality as the Spinner component, but adds a TextInput control so that you can directly edit the value of the component, rather than modifying it by using the control's arrow buttons.
  • SparkObject Class
    The SparkObject class defines the base class for all spark components.
  • SparkPanel Class
    The Panel class defines a container that includes a title bar, a caption, a border, and a content area for its children.
  • SparkPopUpAnchor Class
    Identifies a Spark PopUpAnchor control.
  • SparkRadioButton Class
    The RadioButton component allows the user make a single choice within a set of mutually exclusive choices. A RadioButtonGroup is composed of two or more RadioButton components with the same groupName property.
  • SparkRange Class
    The Range class holds a value and an allowed range for that value, defined by minimum and maximum properties.
  • SparkRichEditableText Class
    RichEditableText is a low-level UIComponent for displaying, scrolling, selecting, and editing richly-formatted text.
  • SparkRichText Class
    RichText is a low-level UIComponent that can display one or more lines of richly-formatted text and embedded images.
  • SparkScrollBar Class
    The ScrollBarBase class helps to position the portion of data that is displayed when there is too much data to fit in a display area.
  • SparkSkinnableContainer Class
    The SparkSkinnableContainer class is the base class for skinnable containers that have visual content.
  • SparkSkinnableContainerBase Class
    Base class for spark container components.
  • SparkSkinnableDataContainer Class
    The SkinnableDataContainer class is the base container class for data items.
  • SparkSkinnablePopUpContainer Class
    Identifies a SparkSkinnablePopUpContainer control.
  • SparkSkinnableTextBase Class
    The base class for skinnable components, such as the Spark TextInput and TextArea, that include an instance of RichEditableText in their skin to provide rich text display, scrolling, selection, and editing.
  • SparkSlider Class
    Lets users select a value by moving a slider thumb between the end points of the slider track.
  • SparkSpinner Class
    A Spinner component selects a value from an ordered set. It uses two buttons that increase or decrease the current value based on the current value of the stepSize property.
  • SparkTabBar Class
    The TabBar class displays a set of identical tabs. One tab can be selected at a time, and the first tab is selected by default.
  • SparkTextArea Class
    TextArea is a text-entry control that lets users enter and edit multiple lines of richly formatted text. It can display horizontal and vertical scrollbars for scrolling through the text and supports vertical scrolling with the mouse wheel.
  • SparkTextBase Class
    The base class for Spark text controls such as Label and RichText which display text using CSS styles for the default format.
  • SparkTextInput Class
    TextInput is a text-entry control that lets users enter and edit a single line of uniformly-formatted text.
  • SparkTileGroup Class
    The TileGroup container is an instance of the Group container that uses the TileLayout class.
  • SparkTitleWindow Class
    The TitleWindow class extends Panel to include a close button and move area.
  • SparkToggleButton Class
    The ToggleButton component defines a toggle button. Clicking the button toggles it between the up and an down states.
  • SparkToggleButtonBase Class
    The ToggleButtonBase component is the base class for the Spark button components that support the selected property.
  • SparkTrackBase Class
    The TrackBase class is a base class for components with a track and one or more thumb buttons, such as Slider and ScrollBar.
  • SparkVideoDisplay Class
    Identifies a Spark video display control.
  • SparkVideoPlayer Class
    The VideoPlayer control is a skinnable video player that supports progressive download, multi-bitrate streaming, and streaming video.
  • SparkVolumeBar Class
    The VolumeBar class defines a drop-down slider to control the volume of the VideoDisplay control.
  • SparkWindow Class
    The Window is a top-level container for additional windows in an AIR desktop application.
  • SparkWindowedApplication Class
    The WindowedApplication defines the application container that you use to create Flex applications for AIR applications.
Parent topic: Silk4NET 言語リファレンス
Related concepts
Apache Flex のサポート


FlexAccordion Class

Description

An Accordion navigator container has a collection of child containers, but only one of them at a time is visible. It creates and manages navigator buttons (accordion headers), which you use to navigate between the children.

There is one navigator button associated with each child container, and each navigator button belongs to the Accordion container, not to the child. When the user clicks a navigator button, the associated child container is displayed. The transition to the new child uses an animation to make it clear to the user that one child is disappearing and a different one is appearing.

The Accordion container does not extend the ViewStack container, but it implements all the properties, methods, styles, and events of the ViewStack container, such as selectedIndex and selectedChild.

Inheritance Hierarchy

  • FlexContainer
    • FlexAccordion

Syntax

C#
public class FlexAccordion : FlexContainer
VB
'Declaration
Public Class FlexAccordion _
Inherits FlexContainer

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0. (Inherited from FlexContainer)
backgroundColor | the background color of a component. (Inherited from FlexContainer)
backgroundDisabledColor | the background color of the component when it is disabled. The global default value is undefined. (Inherited from FlexContainer)
backgroundImage | the background image of a component. This can be an absolute or relative URL or class. (Inherited from FlexContainer)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexContainer)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexContainer)
creationIndex | the order to instantiate and draw the children of the container. (Inherited from FlexContainer)
creationPolicy | the child creation policy for this Container. (Inherited from FlexContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alpha transparency values used for the background fill of components. (Inherited from FlexContainer)
fillColors | the colors used to tint the background fill of the component. (Inherited from FlexContainer)
firstVisibleRow | the index of the first visible child. (Inherited from FlexContainer)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexContainer)
fontSize | the height of the text, in pixels. (Inherited from FlexContainer)
fontStyle | whether the text is italic font. (Inherited from FlexContainer)
fontWeight | whether the text is boldface. (Inherited from FlexContainer)
headerHeight | the height of each accordion header, in pixels.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalGap | the number of pixels between children in the horizontal direction. The default value is 8.
id | the ID of the component. (Inherited from FlexObject)
label | the text displayed by some navigator containers to represent this Container. (Inherited from FlexContainer)
lastVisibleRow | the index of the last visible child. (Inherited from FlexContainer)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of child components in this container. (Inherited from FlexContainer)
numColumns | the total number of columns of data available. (Inherited from FlexContainer)
numRows | the total number of rows of data available. (Inherited from FlexContainer)
paddingBottom | the number of pixels between the container's bottom border and its content area.
paddingTop | the number of pixels between the container's top border and its content area.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedChild | a reference to the currently visible child container.
selectedIndex | the zero-based index of the currently visible child container.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textSelectedColor | the color of selected text. The default value is 0x2B333C.
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalGap | the number of pixels between children in the vertical direction.
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Change | Dispatched when the selected child container changes.
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexContainer)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexContainer)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexContainer)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items. (Inherited from FlexContainer)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexContainer)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the user manually scrolls the container. (Inherited from FlexContainer)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexAdvancedDataGrid Class

Description

Expands on the functionality of the standard DataGrid control to add data visualization features to your Apache Flex application. These features provide greater control of data display, data aggregation, and data formatting.

The AdvancedDataGrid control is like a List control except that it can show more than one column of data, making it suited for showing objects with multiple properties.

Inheritance Hierarchy

  • FlexListBase
    • FlexAdvancedDataGrid
      • FlexOLAPDataGrid

Syntax

C#
public class FlexAdvancedDataGrid : FlexListBase
VB
'Declaration
Public Class FlexAdvancedDataGrid _
Inherits FlexListBase

Properties

Name | Description
allowDragSelection | whether drag-selection is enabled. Drag-Selection is the ability to select an item by dragging into it as opposed to normal selection where you can't have the mouse button down when you mouse over the item you want to select.
allowMultipleSelection | whether you can allow more than one item to be selected at the same time. (Inherited from FlexListBase)
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
alternatingItemColors | the colors to use for the backgrounds of the items in the list. (Inherited from FlexListBase)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundDisabledColor | the color of text in the component if it is disabled. The default value is 0xAAB3B3. (Inherited from FlexListBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnCount | the number of columns to be displayed in a TileList control or items in a HorizontalList control. (Inherited from FlexListBase)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexListBase)
columnWidth | the width of the control's columns. (Inherited from FlexListBase)
currentState | the current view state of the component. (Inherited from FlexObject)
dataTipField | the name of the field in the data provider items to display as the data tip. (Inherited from FlexListBase)
depthColors | the array of colors used for the rows of each level of the navigation tree of the AdvancedDataGrid control, in descending order. The default value is undefined.
disabledColor | the color of text in the component if it is disabled.
displayItemsExpanded | whether the navigation tree is expanded to show all items.
editable | whether the user can edit items in the data provider.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexListBase)
focusAlpha | the alpha transparency value of the focus skin. The default value is 0.4. (Inherited from FlexListBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
headerColors | an array of two colors used to draw the header background gradient.
headerHeight | the height of the header cell of the column, in pixels.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalGridLineColor | the color of the horizontal grid lines.
iconField | the name of the field in the data provider object that determines what to display as the icon. (Inherited from FlexListBase)
id | the ID of the component. (Inherited from FlexObject)
indentation | the indentation for each node of the navigation tree, in pixels. The default value is 17.
labelField | the name of the field in the data provider items to display as the label. (Inherited from FlexListBase)
lastVisibleRow | the index of the last visible child. (Inherited from FlexListBase)
lockedColumnCount | the index of the first column in the control that scrolls. (Inherited from FlexListBase)
lockedRowCount | the index of the first row in the control that scrolls. (Inherited from FlexListBase)
minColumnWidth | the minimum width of the columns, in pixels.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexListBase)
numRows | the total number of rows of data available. (Inherited from FlexListBase)
openDuration | the length of an open or close transition for the navigation tree, in milliseconds. The default value is 250.
paddingBottom | the number of pixels between the bottom of the row and the bottom of the renderer in the row.
paddingLeft | the number of pixels between the control's left border and the left edge of its content area. The default value is 2.
paddingRight | the number of pixels between the control's right border and the right edge of its content area. The default value is 0.
paddingTop | the number of pixels between the top of the row and the top of the renderer in the row.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
resizableColumns | whether the user can change the size of the columns.
rollOverColor | the color of the background of a renderer when the user rolls over it. The default value is 0xEEFEE6. (Inherited from FlexListBase)
rowCount | the number of rows to be displayed. (Inherited from FlexListBase)
rowHeight | the height of the rows in pixels. (Inherited from FlexListBase)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectable | whether the list shows selected items as selected. (Inherited from FlexListBase)
selectedCells | an Array of cell locations as row and column indices.
selectedIndex | the index in the data provider of the selected item. (Inherited from FlexListBase)
selectedIndices | an array of indices in the data provider of the selected items. (Inherited from FlexListBase)
selectedItem | a reference to the selected item in the data provider. (Inherited from FlexListBase)
selectedItems | an array of references to the selected items in the data provider. (Inherited from FlexListBase)
selectionColor | the color of the background of a renderer when the user selects it. The default value is 0x7FCEFF. (Inherited from FlexListBase)
selectionDisabledColor | the color of the background of a renderer when the component is disabled. The default value is 0xDDDDDD. (Inherited from FlexListBase)
selectionMode | the selection mode of the control.
showDataTips | whether dataTips are displayed for text in the rows. (Inherited from FlexListBase)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textRollOverColor | the text color of the label as the user moves the mouse pointer over the button. The default value is 0x2B333C. (Inherited from FlexListBase)
textSelectedColor | the color of the text of a renderer when the user selects it. The default value is 0x2B333C. (Inherited from FlexListBase)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
useRollOver | whether items are highlighted as the mouse rolls over them. (Inherited from FlexListBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
variableRowHeight | whether the individual rows can have different height. (Inherited from FlexListBase)
verticalAlign | the vertical alignment of a renderer in a row. (Inherited from FlexListBase)
verticalGridLineColor | the color of the vertical grid lines. The default value is 0x666666.
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
wordWrap | whether text in the row should be word wrapped. (Inherited from FlexListBase)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes or collapses a AdvancedDataGrid branch.
ColumnGroupedADGHeaderShift | Dispatched when the user releases the mouse button on a column header after having dragged the column to a new location resulting in shifting the column to a new index.
ColumnStretch | Dispatched when a user changes the width of a column, indicating that the amount of data displayed in that column may have changed.
Deselect | Defines the value of the type property of the event object for an event that is dispatched when a previously selected item is deselected. (Inherited from FlexListBase)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleSelect | Defines the value of the type property of the ListEvent object for an itemDoubleClick event, which indicates that the user double-clicked the mouse over a visual item in the control. (Inherited from FlexListBase)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexListBase)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexListBase)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexListBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetCellData | Returns data for a cell in the grid.
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetGroupedItemChildrenCount | Returns the number of children within the first item of a group.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetRowData | Returns data for the row of the item in the data provider.
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexListBase)
HeaderClick | Dispatched when the user releases the mouse button on a column header to request the control to sort the grid contents based on the contents of the column.
HeaderShift | Dispatched when the user releases the mouse button on a column header after having dragged the column to a new location resulting in shifting the column to a new index.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsGroupedItem | Returns a value that specifies whether the item is a member of a group.
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexScrollBase)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
MultiSelect | Defines the value of the type property of the event object for an event that is dispatched when an item is selected as part of an action that selects multiple items. (Inherited from FlexListBase)
Open | Opens or expands an AdvancedDataGrid branch.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Defines the value of the type property of the event object for a scroll event. (Inherited from FlexListBase)
ScrollToIndex | Ensures that the data provider item at the given index is visible. (Inherited from FlexListBase)
Select | Defines the value of the type property of the event object for an event that is dispatched when a single item is selected. (Inherited from FlexListBase)
SelectIndex | Defines the value of the type property of the event object for an event that is dispatched when a single item is selected. (Inherited from FlexListBase)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from FlexListBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexAlert Class

Description

A pop-up dialog box that can contain a message, a title, buttons (any combination of OK, Cancel, Yes, and No) and an icon.

The Alert control is modal, which means it will retain focus until the user closes it.

Inheritance Hierarchy

  • FlexPanel
    • FlexAlert

Syntax

C#
public class FlexAlert : FlexPanel
VB
'Declaration
Public Class FlexAlert _
Inherits FlexPanel

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0. (Inherited from FlexContainer)
backgroundColor | the background color of a component. (Inherited from FlexContainer)
backgroundDisabledColor | the background color of the component when it is disabled. The global default value is undefined. (Inherited from FlexContainer)
backgroundImage | the background image of a component. This can be an absolute or relative URL or class. (Inherited from FlexContainer)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexContainer)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexContainer)
creationIndex | the order to instantiate and draw the children of the container. (Inherited from FlexContainer)
creationPolicy | the child creation policy for this Container. (Inherited from FlexContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
defaultButtonFlag | A bitflag that contains either Alert.OK, Alert.CANCEL, Alert.YES, or Alert.NO to specify the default button. The default value is Alert.OK.
dropShadowEnabled | whether the Panel container's drop shadow is visible. The default value is true. (Inherited from FlexPanel)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alpha transparency values used for the background fill of components. (Inherited from FlexContainer)
fillColors | the colors used to tint the background fill of the component. (Inherited from FlexContainer)
firstVisibleRow | the index of the first visible child. (Inherited from FlexContainer)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexContainer)
fontSize | the height of the text, in pixels. (Inherited from FlexContainer)
fontStyle | whether the text is italic font. (Inherited from FlexContainer)
fontWeight | whether the text is boldface. (Inherited from FlexContainer)
footerColors | the array of two colors used to draw the footer (area for the ControlBar container) background. (Inherited from FlexPanel)
headerColors | the array of two colors used to draw the header. (Inherited from FlexPanel)
headerHeight | the height of the header. The default value is based on the style of the title text. (Inherited from FlexPanel)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text displayed by some navigator containers to represent this Container. (Inherited from FlexContainer)
lastVisibleRow | the index of the last visible child. (Inherited from FlexContainer)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of child components in this container. (Inherited from FlexContainer)
numColumns | the total number of columns of data available. (Inherited from FlexContainer)
numRows | the total number of rows of data available. (Inherited from FlexContainer)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
status | the text in the status area of the title bar. The default value is "". (Inherited from FlexPanel)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
text | The text to display in this alert dialog box. The default value is "".
themeColor | the theme color of a component. (Inherited from FlexObject)
title | the title or caption displayed in the title bar. The default value is "". (Inherited from FlexPanel)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexContainer)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexContainer)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexContainer)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items. (Inherited from FlexContainer)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexContainer)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the user manually scrolls the container. (Inherited from FlexContainer)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexApplication Class

Description

A default, or Application, container that lets you start adding content to your application without explicitly defining another container.

Inheritance Hierarchy

  • FlexContainer
    • FlexApplication
      • FlexWindowedApplication

Syntax

C#
public class FlexApplication : FlexContainer
VB
'Declaration
Public Class FlexApplication _
Inherits FlexContainer

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0. (Inherited from FlexContainer)
backgroundColor | the background color of a component. (Inherited from FlexContainer)
backgroundDisabledColor | the background color of the component when it is disabled. The global default value is undefined. (Inherited from FlexContainer)
backgroundImage | the background image of a component. This can be an absolute or relative URL or class. (Inherited from FlexContainer)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexContainer)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexContainer)
creationIndex | the order to instantiate and draw the children of the container. (Inherited from FlexContainer)
creationPolicy | the child creation policy for this Container. (Inherited from FlexContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alpha transparency values used for the background fill of components. (Inherited from FlexContainer)
fillColors | the colors used to tint the background fill of the component. (Inherited from FlexContainer)
firstVisibleRow | the index of the first visible child. (Inherited from FlexContainer)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexContainer)
fontSize | the height of the text, in pixels. (Inherited from FlexContainer)
fontStyle | whether the text is italic font. (Inherited from FlexContainer)
fontWeight | whether the text is boldface. (Inherited from FlexContainer)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text displayed by some navigator containers to represent this Container. (Inherited from FlexContainer)
lastVisibleRow | the index of the last visible child. (Inherited from FlexContainer)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of child components in this container. (Inherited from FlexContainer)
numColumns | the total number of columns of data available. (Inherited from FlexContainer)
numRows | the total number of rows of data available. (Inherited from FlexContainer)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
url | the URL from which this Application's SWF file was loaded.
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexContainer)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexContainer)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexContainer)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items. (Inherited from FlexContainer)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexContainer)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the user manually scrolls the container. (Inherited from FlexContainer)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexAreaChart Class

Description

Represents data as an area bounded by a line connecting the values in the data. The AreaChart control can be used to represent different variations, including simple areas, stacked, 100% stacked, and high/low.

Inheritance Hierarchy

  • FlexCartesianChart
    • FlexAreaChart

Syntax

C#
public class FlexAreaChart : FlexCartesianChart
VB
'Declaration
Public Class FlexAreaChart _
Inherits FlexCartesianChart

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clipContent | whether Flex clips the chart to the area bounded by the axes. Set to false to clip the chart. Set to true to avoid clipping when the data is rendered. (Inherited from FlexChart)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChart)
currentState | the current view state of the component. (Inherited from FlexObject)
dataTipMode | how Flex displays DataTip controls for the chart. (Inherited from FlexChart)
description | a short description of the data in the chart. (Inherited from FlexChart)
dragEnabled | whether you can drag items out of this chart and drop them on other controls. (Inherited from FlexChart)
dropEnabled | whether dragged items can be dropped onto the chart. (Inherited from FlexChart)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexChart)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexChart)
fontSize | the height of the text, in pixels. The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11. (Inherited from FlexChart)
gutterBottom | The size of the region, in pixels, between the bottom of the chart data area and the bottom of the chart control. (Inherited from FlexCartesianChart)
gutterLeft | The size of the region, in pixels, between the left of the chart data area and the left of the chart control. (Inherited from FlexCartesianChart)
gutterRight | The size of the region, in pixels, between the right side of the chart data area and the outside of the chart control. (Inherited from FlexCartesianChart)
gutterTop | The size of the region, in pixels, between the top of the chart data area and the top of the chart control. (Inherited from FlexCartesianChart)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalAxisRatio | the height limit of the horiztonal axis. (Inherited from FlexCartesianChart)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from FlexChart)
maximumDataTipCount | the maximum number of datatips a chart will show. (Inherited from FlexChart)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
mouseSensitivity | the distance, in pixels, that Flex considers a data point to be under the mouse pointer when the pointer moves around a chart. (Inherited from FlexChart)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChart)
numRows | the total number of rows of data available. (Inherited from FlexChart)
paddingBottom | the number of pixels between the chart's bottom border and its content area. (Inherited from FlexChart)
paddingLeft | the number of pixels between the control's left border and the left edge of its content area. The default value is 2. (Inherited from FlexChart)
paddingRight | the number of pixels between the control's right border and the right edge of its content area. The default value is 0. (Inherited from FlexChart)
paddingTop | the number of pixels between the chart's top border and its content area. (Inherited from FlexChart)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedChartItem | the selected ChartItem in the chart. If multiple items are selected, this property specifies the most recently selected item. (Inherited from FlexChart)
selectedChartItems | an array of all the selected ChartItem objects in the chart. (Inherited from FlexChart)
selectionMode | whether ChartItem objects can be selected. (Inherited from FlexChart)
showDataTips | whether DataTip controls for the chart show. (Inherited from FlexChart)
showDataTipTargets | whether to show targets over the datapoints when showDataTips is set to true. (Inherited from FlexChart)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textAlign | the alignment of text within a container. (Inherited from FlexCartesianChart)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalAxisRatio | the width limit of the vertical axis. (Inherited from FlexCartesianChart)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexChart)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexChart)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexChart)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChart)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Defines the value of the type property of the event object for a headerRelease event, which indicates that the user pressed and released the mouse on a column header. (Inherited from FlexChart)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexAreaSeries Class

Description

Defines a data series for an AreaChart control.

Inheritance Hierarchy

  • FlexChartSeries
    • FlexAreaSeries

Syntax

C#
public class FlexAreaSeries : FlexChartSeries
VB
'Declaration
Public Class FlexAreaSeries _
Inherits FlexChartSeries

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChartSeries)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexChartSeries)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
form | the boundary type for the area.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from FlexChartSeries)
minField | the field of the dataProvider that determines the bottom boundary of the area.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChartSeries)
numRows | the total number of rows of data available. (Inherited from FlexChartSeries)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
radius | the radius, in pixels, of the chart elements for the data points.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | the index of the selected item in the data provider of the series. (Inherited from FlexChartSeries)
selectedIndices | an array of indexes of the selected items in the data provider of the series. (Inherited from FlexChartSeries)
selectedItem | the chart item that is selected in the series. (Inherited from FlexChartSeries)
selectedItems | an array of chart items that are selected in the series. (Inherited from FlexChartSeries)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
xField | the field of the data provider that determines the position of the data points on the horizontal axis.
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
yField | the field of the data provider that determines the position of the data point on the vertical axis.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChartSeries)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SeriesClick | Indicates that the user clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesDoubleClick | Indicates that the user double-clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesItemRollOver | Indicates that the user rolled the mouse pointer over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexAxisRenderer Class

Description

Describe the horizontal and vertical axes of a chart. An axis is responsible for rendering the labels, tick marks, and title along its length.

AxisRenderer objects inherit some of their visual properties from the enclosing chart object. The text format of the labels and title defaults to the CSS text properties of the renderer. You can control the formatting of the axis title separately by specifying a axisTitleStyleName, either on the AxisRenderer or on the enclosing chart.

Inheritance Hierarchy

  • FlexObject
    • FlexAxisRenderer

Syntax

C#
public class FlexAxisRenderer : FlexObject
VB
'Declaration
Public Class FlexAxisRenderer _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
canDropLabels | whether the AxisRenderer should drop labels as necessary to lay out correctly.
canStagger | whether to stagger labels on two label rows. Use this setting to minimize the space required for the labels. The default value is true, which staggers the labels.
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data.
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
heightLimit | the maximum amount of space, in pixels, that an axis renderer will take from a chart.
id | the ID of the component. (Inherited from FlexObject)
labelGap | the gap between the end of the tick marks and the top of the labels, in pixels. The default value is 3.
labelRotation | the label rotation.
lastVisibleRow | the index of the last visible child.
length | the length of the axis, in screen coordinates.
minorTickLength | the length of the minor tick marks on the axis, in pixels. The default value is 0.
minorTickPlacement | a value where to draw the minor tick marks. Values include: inside, outside, cross, and none.
minorTicks | an array that specifies where Flex draws the minor tick marks along the axis. Each array element contains a value between 0 and 1.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available.
numRows | the total number of rows of data available.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
placement | the side of the chart that the axisRenderer appears on.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
showLabels | whether labels appear along the axis. The default value is true.
showLine | whether to display the axis. The default value is true.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
tickLength | the length of the tick marks on the axis, in pixels. The default value is 3.
tickPlacement | a value where to draw the tick marks. Values include: inside, outside, cross, and none.
ticks | an array that specifies where Flex draws the tick marks along the axis. Each array element contains a value between 0 and 1.
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexBarChart Class

Description

Represents data as a series of horizontal bars whose length is determined by values in the data. A BarChart control can represent different chart variations, including simple bars, clustered bars, stacked, 100% stacked, and high/low.

Inheritance Hierarchy

  • FlexCartesianChart
    • FlexBarChart

Syntax

C#
public class FlexBarChart : FlexCartesianChart
VB
'Declaration
Public Class FlexBarChart _
Inherits FlexCartesianChart

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
barWidthRatio | how wide to draw the bars relative to the category width, as a percentage in the range of 0 to 1.
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clipContent | whether Flex clips the chart to the area bounded by the axes. Set to false to clip the chart. Set to true to avoid clipping when the data is rendered. (Inherited from FlexChart)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChart)
currentState | the current view state of the component. (Inherited from FlexObject)
dataTipMode | how Flex displays DataTip controls for the chart. (Inherited from FlexChart)
description | a short description of the data in the chart. (Inherited from FlexChart)
dragEnabled | whether you can drag items out of this chart and drop them on other controls. (Inherited from FlexChart)
dropEnabled | whether dragged items can be dropped onto the chart. (Inherited from FlexChart)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexChart)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexChart)
fontSize | the height of the text, in pixels. The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11. (Inherited from FlexChart)
gutterBottom | The size of the region, in pixels, between the bottom of the chart data area and the bottom of the chart control. (Inherited from FlexCartesianChart)
gutterLeft | The size of the region, in pixels, between the left of the chart data area and the left of the chart control. (Inherited from FlexCartesianChart)
gutterRight | The size of the region, in pixels, between the right side of the chart data area and the outside of the chart control. (Inherited from FlexCartesianChart)
gutterTop | The size of the region, in pixels, between the top of the chart data area and the top of the chart control. (Inherited from FlexCartesianChart)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalAxisRatio | the height limit of the horiztonal axis. (Inherited from FlexCartesianChart)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from FlexChart)
maxBarWidth | how wide to draw the bars, in pixels.
maximumDataTipCount | the maximum number of datatips a chart will show. (Inherited from FlexChart)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
mouseSensitivity | the distance, in pixels, that Flex considers a data point to be under the mouse pointer when the pointer moves around a chart. (Inherited from FlexChart)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChart)
numRows | the total number of rows of data available. (Inherited from FlexChart)
paddingBottom | the number of pixels between the chart's bottom border and its content area. (Inherited from FlexChart)
paddingLeft | the number of pixels between the control's left border and the left edge of its content area. The default value is 2. (Inherited from FlexChart)
paddingRight | the number of pixels between the control's right border and the right edge of its content area. The default value is 0. (Inherited from FlexChart)
paddingTop | the number of pixels between the chart's top border and its content area. (Inherited from FlexChart)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedChartItem | the selected ChartItem in the chart. If multiple items are selected, this property specifies the most recently selected item. (Inherited from FlexChart)
selectedChartItems | an array of all the selected ChartItem objects in the chart. (Inherited from FlexChart)
selectionMode | whether ChartItem objects can be selected. (Inherited from FlexChart)
showDataTips | whether DataTip controls for the chart show. (Inherited from FlexChart)
showDataTipTargets | whether to show targets over the datapoints when showDataTips is set to true. (Inherited from FlexChart)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textAlign | the alignment of text within a container. (Inherited from FlexCartesianChart)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalAxisRatio | the width limit of the vertical axis. (Inherited from FlexCartesianChart)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexChart)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexChart)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexChart)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChart)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Defines the value of the type property of the event object for a headerRelease event, which indicates that the user pressed and released the mouse on a column header. (Inherited from FlexChart)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexBarSeries Class

Description

Defines a data series for a BarChart control.

Inheritance Hierarchy

  • FlexChartSeries
    • FlexBarSeries

Syntax

C#
public class FlexBarSeries : FlexChartSeries
VB
'Declaration
Public Class FlexBarSeries _
Inherits FlexChartSeries

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
barWidthRatio | the width to render the bars relative to the category width.
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChartSeries)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexChartSeries)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from FlexChartSeries)
maxBarWidth | the width of the bars, in pixels.
minField | the field of the data provider that determines the bottom of each bar.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChartSeries)
numRows | the total number of rows of data available. (Inherited from FlexChartSeries)
offset | the amount to offset the center of the bars from the center of the available space, relative to the category width.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | the index of the selected item in the data provider of the series. (Inherited from FlexChartSeries)
selectedIndices | an array of indexes of the selected items in the data provider of the series. (Inherited from FlexChartSeries)
selectedItem | the chart item that is selected in the series. (Inherited from FlexChartSeries)
selectedItems | an array of chart items that are selected in the series. (Inherited from FlexChartSeries)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
xField | the field of the data provider that determines the x-axis location of the top of each bar.
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
yField | the field of the data provider that determines the y-axis location of the bottom of each bar in the chart.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChartSeries)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SeriesClick | Indicates that the user clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesDoubleClick | Indicates that the user double-clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesItemRollOver | Indicates that the user rolled the mouse pointer over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexBox Class

Description

A Box container lays out its children in a single vertical column or a single horizontal row.

Inheritance Hierarchy

  • FlexContainer
    • FlexBox
      • FlexDividedBox
      • FlexNavigationBar

Syntax

C#
public class FlexBox : FlexContainer
VB
'Declaration
Public Class FlexBox _
Inherits FlexContainer

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0. (Inherited from FlexContainer)
backgroundColor | the background color of a component. (Inherited from FlexContainer)
backgroundDisabledColor | the background color of the component when it is disabled. The global default value is undefined. (Inherited from FlexContainer)
backgroundImage | the background image of a component. This can be an absolute or relative URL or class. (Inherited from FlexContainer)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexContainer)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexContainer)
creationIndex | the order to instantiate and draw the children of the container. (Inherited from FlexContainer)
creationPolicy | the child creation policy for this Container. (Inherited from FlexContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
direction | whether to use vertical (default) or horizontal layout.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alpha transparency values used for the background fill of components. (Inherited from FlexContainer)
fillColors | the colors used to tint the background fill of the component. (Inherited from FlexContainer)
firstVisibleRow | the index of the first visible child. (Inherited from FlexContainer)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexContainer)
fontSize | the height of the text, in pixels. (Inherited from FlexContainer)
fontStyle | whether the text is italic font. (Inherited from FlexContainer)
fontWeight | whether the text is boldface. (Inherited from FlexContainer)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalAlign | the horizontal alignment of children in the container.
id | the ID of the component. (Inherited from FlexObject)
label | the text displayed by some navigator containers to represent this Container. (Inherited from FlexContainer)
lastVisibleRow | the index of the last visible child. (Inherited from FlexContainer)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of child components in this container. (Inherited from FlexContainer)
numColumns | the total number of columns of data available. (Inherited from FlexContainer)
numRows | the total number of rows of data available. (Inherited from FlexContainer)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalAlign | the vertical alignment of children in the container.
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexContainer)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexContainer)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexContainer)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items. (Inherited from FlexContainer)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexContainer)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the user manually scrolls the container. (Inherited from FlexContainer)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexBubbleChart Class

Description

Represents data with three values for each data point. Each data point is defined by a value determining its position along the horizontal axis, a value determining its position along the vertical axis, and a value determining the size of the chart element, relative to the other data points on the chart.

Inheritance Hierarchy

  • FlexCartesianChart
    • FlexBubbleChart

Syntax

C#
public class FlexBubbleChart : FlexCartesianChart
VB
'Declaration
Public Class FlexBubbleChart _
Inherits FlexCartesianChart

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clipContent | whether Flex clips the chart to the area bounded by the axes. Set to false to clip the chart. Set to true to avoid clipping when the data is rendered. (Inherited from FlexChart)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChart)
currentState | the current view state of the component. (Inherited from FlexObject)
dataTipMode | how Flex displays DataTip controls for the chart. (Inherited from FlexChart)
description | a short description of the data in the chart. (Inherited from FlexChart)
dragEnabled | whether you can drag items out of this chart and drop them on other controls. (Inherited from FlexChart)
dropEnabled | whether dragged items can be dropped onto the chart. (Inherited from FlexChart)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexChart)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexChart)
fontSize | the height of the text, in pixels. The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11. (Inherited from FlexChart)
gutterBottom | The size of the region, in pixels, between the bottom of the chart data area and the bottom of the chart control. (Inherited from FlexCartesianChart)
gutterLeft | The size of the region, in pixels, between the left of the chart data area and the left of the chart control. (Inherited from FlexCartesianChart)
gutterRight | The size of the region, in pixels, between the right side of the chart data area and the outside of the chart control. (Inherited from FlexCartesianChart)
gutterTop | The size of the region, in pixels, between the top of the chart data area and the top of the chart control. (Inherited from FlexCartesianChart)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalAxisRatio | the height limit of the horiztonal axis. (Inherited from FlexCartesianChart)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from FlexChart)
maximumDataTipCount | the maximum number of datatips a chart will show. (Inherited from FlexChart)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
mouseSensitivity | the distance, in pixels, that Flex considers a data point to be under the mouse pointer when the pointer moves around a chart. (Inherited from FlexChart)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChart)
numRows | the total number of rows of data available. (Inherited from FlexChart)
paddingBottom | the number of pixels between the chart's bottom border and its content area. (Inherited from FlexChart)
paddingLeft | the number of pixels between the control's left border and the left edge of its content area. The default value is 2. (Inherited from FlexChart)
paddingRight | the number of pixels between the control's right border and the right edge of its content area. The default value is 0. (Inherited from FlexChart)
paddingTop | the number of pixels between the chart's top border and its content area. (Inherited from FlexChart)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedChartItem | the selected ChartItem in the chart. If multiple items are selected, this property specifies the most recently selected item. (Inherited from FlexChart)
selectedChartItems | an array of all the selected ChartItem objects in the chart. (Inherited from FlexChart)
selectionMode | whether ChartItem objects can be selected. (Inherited from FlexChart)
showDataTips | whether DataTip controls for the chart show. (Inherited from FlexChart)
showDataTipTargets | whether to show targets over the datapoints when showDataTips is set to true. (Inherited from FlexChart)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textAlign | the alignment of text within a container. (Inherited from FlexCartesianChart)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalAxisRatio | the width limit of the vertical axis. (Inherited from FlexCartesianChart)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexChart)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexChart)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexChart)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChart)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Defines the value of the type property of the event object for a headerRelease event, which indicates that the user pressed and released the mouse on a column header. (Inherited from FlexChart)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexBubbleSeries Class

Description

Defines a data series for a BubbleChart control.

Inheritance Hierarchy

  • FlexChartSeries
    • FlexBubbleSeries

Syntax

C#
public class FlexBubbleSeries : FlexChartSeries
VB
'Declaration
Public Class FlexBubbleSeries _
Inherits FlexChartSeries

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChartSeries)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexChartSeries)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from FlexChartSeries)
maxRadius | The radius of the largest item renderered in this series.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChartSeries)
numRows | the total number of rows of data available. (Inherited from FlexChartSeries)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
radiusField | the field of the data provider that determines the radius of each symbol, relative to the other data points in the chart.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | the index of the selected item in the data provider of the series. (Inherited from FlexChartSeries)
selectedIndices | an array of indexes of the selected items in the data provider of the series. (Inherited from FlexChartSeries)
selectedItem | the chart item that is selected in the series. (Inherited from FlexChartSeries)
selectedItems | an array of chart items that are selected in the series. (Inherited from FlexChartSeries)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
xField | the field of the data provider that determines the x-axis location of each data point.
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
yField | the field of the data provider that determines the y-axis location of each data point.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChartSeries)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SeriesClick | Indicates that the user clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesDoubleClick | Indicates that the user double-clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesItemRollOver | Indicates that the user rolled the mouse pointer over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexButton Class

Description

The Button control is a commonly used rectangular button. Button controls look like they can be pressed. They can have a text label, an icon, or both on their face.

Buttons typically use event listeners to perform an action when the user selects the control. When a user clicks the mouse on a Button control, and the Button control is enabled, it dispatches a click event and a buttonDown event. A button always dispatches events such as the mouseMove, mouseOver, mouseOut, rollOver, rollOut, mouseDown, and mouseUp events whether enabled or disabled.

You can customize the look of a Button control and change its functionality from a push button to a toggle button. You can change the button appearance by using a skin for each of the button's states.

The label of a Button control uses a bold typeface. If you embed a font that you want to use for the label of the Button control, you must embed the bold typeface.

Inheritance Hierarchy

  • FlexObject
    • FlexButton
      • FlexCheckBox
      • FlexPopUpButton
      • FlexRadioButton

Syntax

C#
public class FlexButton : FlexObject
VB
'Declaration
Public Class FlexButton _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
color | the color of text in the component, including the component label. The default value is 0x0B333C.
currentState | the current view state of the component. (Inherited from FlexObject)
disabledColor | the color of text in the component if it is disabled. The default value is 0xAAB3B3.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alphas used for the background fill of controls.
fillColors | the colors used to tint the background of the control.
focusAlpha | the alpha transparency value of the focus skin. The default value is 0.4.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use.
fontSize | the height of the text, in pixels.
fontStyle | whether the text is italic font.
fontWeight | whether the text is boldface.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text to appear on the Button control.
labelPlacement | the orientation of the label in relation to a specified icon.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selected | whether a toggle button is toggled on (true) or off (false).
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textAlign | the alignment of text within a container.
textDecoration | whether the text is underlined.
textIndent | the offset of the first line of text from the left side of the container, in pixels. The default value is 0.
textRollOverColor | the text color of the label as the user moves the mouse pointer over the button. The default value is 0x2B333C.
textSelectedColor | the text color of the label as the user presses it. The default value is 0x000000.
themeColor | the theme color of a component. (Inherited from FlexObject)
toggle | whether a Button is in a toggle state or not.
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexButtonBar Class

Description

Defines a horizontal or vertical group of logically related push buttons with a common look and navigation.

Inheritance Hierarchy

  • FlexNavigationBar
    • FlexButtonBar
      • FlexToggleButtonBar

Syntax

C#
public class FlexButtonBar : FlexNavigationBar
VB
'Declaration
Public Class FlexButtonBar _
Inherits FlexNavigationBar

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0. (Inherited from FlexContainer)
backgroundColor | the background color of a component. (Inherited from FlexContainer)
backgroundDisabledColor | the background color of the component when it is disabled. The global default value is undefined. (Inherited from FlexContainer)
backgroundImage | the background image of a component. This can be an absolute or relative URL or class. (Inherited from FlexContainer)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexContainer)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexContainer)
creationIndex | the order to instantiate and draw the children of the container. (Inherited from FlexContainer)
creationPolicy | the child creation policy for this Container. (Inherited from FlexContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
direction | whether to use vertical (default) or horizontal layout. (Inherited from FlexBox)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alpha transparency values used for the background fill of components. (Inherited from FlexContainer)
fillColors | the colors used to tint the background fill of the component. (Inherited from FlexContainer)
firstVisibleRow | the index of the first visible child. (Inherited from FlexContainer)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexContainer)
fontSize | the height of the text, in pixels. (Inherited from FlexContainer)
fontStyle | whether the text is italic font. (Inherited from FlexContainer)
fontWeight | whether the text is boldface. (Inherited from FlexContainer)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalAlign | the horizontal alignment of children in the container. (Inherited from FlexBox)
id | the ID of the component. (Inherited from FlexObject)
label | the text displayed by some navigator containers to represent this Container. (Inherited from FlexContainer)
lastVisibleRow | the index of the last visible child. (Inherited from FlexContainer)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of child components in this container. (Inherited from FlexContainer)
numColumns | the total number of columns of data available. (Inherited from FlexContainer)
numRows | the total number of rows of data available. (Inherited from FlexContainer)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | the index of the active navigation item, where the first item is at an index of 0. The default value is -1. (Inherited from FlexNavigationBar)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalAlign | the vertical alignment of children in the container. (Inherited from FlexBox)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Change | Defines the value of the type property of the event object for an itemClick event. (Inherited from FlexNavigationBar)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexContainer)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexContainer)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexContainer)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items. (Inherited from FlexContainer)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexContainer)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the user manually scrolls the container. (Inherited from FlexContainer)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from FlexNavigationBar)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexCandlestickChart Class

Description

Represents financial data as a series of candlesticks representing the high, low, opening, and closing values of a data series.

The top and bottom of the vertical line in each candlestick represent the high and low values for the datapoint, while the top and bottom of the filled box represents the opening and closing values. Each candlestick is filled differently depending on whether the closing value for the datapoint is higher or lower than the opening value.

Inheritance Hierarchy

  • FlexCartesianChart
    • FlexCandlestickChart

Syntax

C#
public class FlexCandlestickChart : FlexCartesianChart
VB
'Declaration
Public Class FlexCandlestickChart _
Inherits FlexCartesianChart

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clipContent | whether Flex clips the chart to the area bounded by the axes. Set to false to clip the chart. Set to true to avoid clipping when the data is rendered. (Inherited from FlexChart)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChart)
columnWidthRatio | a ratio of how wide to draw the candlesticks relative to the horizontal axis's category widths, as a percentage in the range of 0 to 1.
currentState | the current view state of the component. (Inherited from FlexObject)
dataTipMode | how Flex displays DataTip controls for the chart. (Inherited from FlexChart)
description | a short description of the data in the chart. (Inherited from FlexChart)
dragEnabled | whether you can drag items out of this chart and drop them on other controls. (Inherited from FlexChart)
dropEnabled | whether dragged items can be dropped onto the chart. (Inherited from FlexChart)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexChart)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexChart)
fontSize | the height of the text, in pixels. The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11. (Inherited from FlexChart)
gutterBottom | The size of the region, in pixels, between the bottom of the chart data area and the bottom of the chart control. (Inherited from FlexCartesianChart)
gutterLeft | The size of the region, in pixels, between the left of the chart data area and the left of the chart control. (Inherited from FlexCartesianChart)
gutterRight | The size of the region, in pixels, between the right side of the chart data area and the outside of the chart control. (Inherited from FlexCartesianChart)
gutterTop | The size of the region, in pixels, between the top of the chart data area and the top of the chart control. (Inherited from FlexCartesianChart)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalAxisRatio | the height limit of the horiztonal axis. (Inherited from FlexCartesianChart)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from FlexChart)
maxColumnWidth | how wide to draw the candlesticks, in pixels.
maximumDataTipCount | the maximum number of datatips a chart will show. (Inherited from FlexChart)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
mouseSensitivity | the distance, in pixels, that Flex considers a data point to be under the mouse pointer when the pointer moves around a chart. (Inherited from FlexChart)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChart)
numRows | the total number of rows of data available. (Inherited from FlexChart)
paddingBottom | the number of pixels between the chart's bottom border and its content area. (Inherited from FlexChart)
paddingLeft | the number of pixels between the control's left border and the left edge of its content area. The default value is 2. (Inherited from FlexChart)
paddingRight | the number of pixels between the control's right border and the right edge of its content area. The default value is 0. (Inherited from FlexChart)
paddingTop | the number of pixels between the chart's top border and its content area. (Inherited from FlexChart)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedChartItem | the selected ChartItem in the chart. If multiple items are selected, this property specifies the most recently selected item. (Inherited from FlexChart)
selectedChartItems | an array of all the selected ChartItem objects in the chart. (Inherited from FlexChart)
selectionMode | whether ChartItem objects can be selected. (Inherited from FlexChart)
showDataTips | whether DataTip controls for the chart show. (Inherited from FlexChart)
showDataTipTargets | whether to show targets over the datapoints when showDataTips is set to true. (Inherited from FlexChart)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textAlign | the alignment of text within a container. (Inherited from FlexCartesianChart)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalAxisRatio | the width limit of the vertical axis. (Inherited from FlexCartesianChart)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexChart)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexChart)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexChart)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChart)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Defines the value of the type property of the event object for a headerRelease event, which indicates that the user pressed and released the mouse on a column header. (Inherited from FlexChart)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexCandlestickSeries Class

Description

Represents financial data as a series of candlesticks representing the high, low, opening, and closing values of a data series.

The top and bottom of the vertical line in each candlestick represent the high and low values for the datapoint, while the top and bottom of the filled box represent the opening and closing values. Each candlestick is filled differently depending on whether the closing value for the datapoint is higher or lower than the opening value.

Inheritance Hierarchy

  • FlexHLOCSeriesBase
    • FlexCandlestickSeries

Syntax

C#
public class FlexCandlestickSeries : FlexHLOCSeriesBase
VB
'Declaration
Public Class FlexCandlestickSeries _
Inherits FlexHLOCSeriesBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChartSeries)
columnWidthRatio | the width of elements relative to the category width. (Inherited from FlexHLOCSeriesBase)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexChartSeries)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from FlexChartSeries)
maxColumnWidth | the width of the elements, in pixels. (Inherited from FlexHLOCSeriesBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChartSeries)
numRows | the total number of rows of data available. (Inherited from FlexChartSeries)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | the index of the selected item in the data provider of the series. (Inherited from FlexChartSeries)
selectedIndices | an array of indexes of the selected items in the data provider of the series. (Inherited from FlexChartSeries)
selectedItem | the chart item that is selected in the series. (Inherited from FlexChartSeries)
selectedItems | an array of chart items that are selected in the series. (Inherited from FlexChartSeries)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
xField | the field of the data provider that determines the x-axis location of the element. (Inherited from FlexHLOCSeriesBase)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChartSeries)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SeriesClick | Indicates that the user clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesDoubleClick | Indicates that the user double-clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesItemRollOver | Indicates that the user rolled the mouse pointer over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexCanvas Class

Description

A Canvas layout container defines a rectangular region in which you place child containers and controls. It is the only container that lets you explicitly specify the location of its children within the container by using the x and y properties of each child.

Flex sets the children of a Canvas layout container to their preferred width and preferred height. You may override the value for a child's preferred width by setting its width property to either a fixed pixel value or a percentage of the container size. You can set the preferred height in a similar manner.

If you use percentage sizing inside a Canvas container, some of your components may overlap. If this is not the effect you want, plan your component positions and sizes carefully.

Inheritance Hierarchy

  • FlexContainer
    • FlexCanvas

Syntax

C#
public class FlexCanvas : FlexContainer
VB
'Declaration
Public Class FlexCanvas _
Inherits FlexContainer

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0. (Inherited from FlexContainer)
backgroundColor | the background color of a component. (Inherited from FlexContainer)
backgroundDisabledColor | the background color of the component when it is disabled. The global default value is undefined. (Inherited from FlexContainer)
backgroundImage | the background image of a component. This can be an absolute or relative URL or class. (Inherited from FlexContainer)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexContainer)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexContainer)
creationIndex | the order to instantiate and draw the children of the container. (Inherited from FlexContainer)
creationPolicy | the child creation policy for this Container. (Inherited from FlexContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alpha transparency values used for the background fill of components. (Inherited from FlexContainer)
fillColors | the colors used to tint the background fill of the component. (Inherited from FlexContainer)
firstVisibleRow | the index of the first visible child. (Inherited from FlexContainer)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexContainer)
fontSize | the height of the text, in pixels. (Inherited from FlexContainer)
fontStyle | whether the text is italic font. (Inherited from FlexContainer)
fontWeight | whether the text is boldface. (Inherited from FlexContainer)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text displayed by some navigator containers to represent this Container. (Inherited from FlexContainer)
lastVisibleRow | the index of the last visible child. (Inherited from FlexContainer)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of child components in this container. (Inherited from FlexContainer)
numColumns | the total number of columns of data available. (Inherited from FlexContainer)
numRows | the total number of rows of data available. (Inherited from FlexContainer)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexContainer)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexContainer)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexContainer)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items. (Inherited from FlexContainer)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexContainer)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the user manually scrolls the container. (Inherited from FlexContainer)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexCartesianChart Class

Description

A base class for the common chart types. CartesianChart defines the basic layout behavior of the standard rectangular, two-dimensional charts.

Inheritance Hierarchy

  • FlexChart
    • FlexCartesianChart
      • FlexAreaChart
      • FlexBarChart
      • FlexBubbleChart
      • FlexCandlestickChart
      • FlexColumnChart
      • FlexHLOCChart
      • FlexLineChart
      • FlexPlotChart

Syntax

C#
public class FlexCartesianChart : FlexChart
VB
'Declaration
Public Class FlexCartesianChart _
Inherits FlexChart

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clipContent | whether Flex clips the chart to the area bounded by the axes. Set to false to clip the chart. Set to true to avoid clipping when the data is rendered. (Inherited from FlexChart)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChart)
currentState | the current view state of the component. (Inherited from FlexObject)
dataTipMode | how Flex displays DataTip controls for the chart. (Inherited from FlexChart)
description | a short description of the data in the chart. (Inherited from FlexChart)
dragEnabled | whether you can drag items out of this chart and drop them on other controls. (Inherited from FlexChart)
dropEnabled | whether dragged items can be dropped onto the chart. (Inherited from FlexChart)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexChart)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexChart)
fontSize | the height of the text, in pixels. The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11. (Inherited from FlexChart)
gutterBottom | The size of the region, in pixels, between the bottom of the chart data area and the bottom of the chart control.
gutterLeft | The size of the region, in pixels, between the left of the chart data area and the left of the chart control.
gutterRight | The size of the region, in pixels, between the right side of the chart data area and the outside of the chart control.
gutterTop | The size of the region, in pixels, between the top of the chart data area and the top of the chart control.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalAxisRatio | the height limit of the horiztonal axis.
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from FlexChart)
maximumDataTipCount | the maximum number of datatips a chart will show. (Inherited from FlexChart)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
mouseSensitivity | the distance, in pixels, that Flex considers a data point to be under the mouse pointer when the pointer moves around a chart. (Inherited from FlexChart)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChart)
numRows | the total number of rows of data available. (Inherited from FlexChart)
paddingBottom | the number of pixels between the chart's bottom border and its content area. (Inherited from FlexChart)
paddingLeft | the number of pixels between the control's left border and the left edge of its content area. The default value is 2. (Inherited from FlexChart)
paddingRight | the number of pixels between the control's right border and the right edge of its content area. The default value is 0. (Inherited from FlexChart)
paddingTop | the number of pixels between the chart's top border and its content area. (Inherited from FlexChart)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedChartItem | the selected ChartItem in the chart. If multiple items are selected, this property specifies the most recently selected item. (Inherited from FlexChart)
selectedChartItems | an array of all the selected ChartItem objects in the chart. (Inherited from FlexChart)
selectionMode | whether ChartItem objects can be selected. (Inherited from FlexChart)
showDataTips | whether DataTip controls for the chart show. (Inherited from FlexChart)
showDataTipTargets | whether to show targets over the datapoints when showDataTips is set to true. (Inherited from FlexChart)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textAlign | the alignment of text within a container.
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalAxisRatio | the width limit of the vertical axis.
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexChart)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexChart)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexChart)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChart)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Defines the value of the type property of the event object for a headerRelease event, which indicates that the user pressed and released the mouse on a column header. (Inherited from FlexChart)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexChart Class

Description

The link between the Flex component architecture and the DualStyleObject architecture. It extends the Flex UIComponent base class, but contains DualStyleObject classes.

You typically do not use the ChartBase class directly. Instead you use one of its subclasses, such as PlotChart or BubbleChart. It acts as the base class for the common chart types provided in the mx.charts package.

This class defines a number of CSS styles and properties that provide easy access to the more common features of the framework.

A chart's minimum size is 20 x 20 pixels. A chart's maximum size is unbounded. A chart's preferred size is 400 x 400 pixels.

Inheritance Hierarchy

  • FlexObject
    • FlexChart
      • FlexCartesianChart
      • FlexPieChart

Syntax

C#
public class FlexChart : FlexObject
VB
'Declaration
Public Class FlexChart _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clipContent | whether Flex clips the chart to the area bounded by the axes. Set to false to clip the chart. Set to true to avoid clipping when the data is rendered.
columnNames | a list containing the names of all columns in the data.
currentState | the current view state of the component. (Inherited from FlexObject)
dataTipMode | how Flex displays DataTip controls for the chart.
description | a short description of the data in the chart.
dragEnabled | whether you can drag items out of this chart and drop them on other controls.
dropEnabled | whether dragged items can be dropped onto the chart.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use.
fontSize | the height of the text, in pixels. The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child.
maximumDataTipCount | the maximum number of datatips a chart will show.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
mouseSensitivity | the distance, in pixels, that Flex considers a data point to be under the mouse pointer when the pointer moves around a chart.
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available.
numRows | the total number of rows of data available.
paddingBottom | the number of pixels between the chart's bottom border and its content area.
paddingLeft | the number of pixels between the control's left border and the left edge of its content area. The default value is 2.
paddingRight | the number of pixels between the control's right border and the right edge of its content area. The default value is 0.
paddingTop | the number of pixels between the chart's top border and its content area.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedChartItem | the selected ChartItem in the chart. If multiple items are selected, this property specifies the most recently selected item.
selectedChartItems | an array of all the selected ChartItem objects in the chart.
selectionMode | whether ChartItem objects can be selected.
showDataTips | whether DataTip controls for the chart show.
showDataTipTargets | whether to show targets over the datapoints when showDataTips is set to true.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event.
DragDrop | Defines the value of the type property of the event object for a dragDrop event.
DragStart | Defines the value of the type property of the event object for a dragStart event.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Defines the value of the type property of the event object for a headerRelease event, which indicates that the user pressed and released the mouse on a column header.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexChartLegend Class

Description

Adds a legend to your charts, where the legend displays the label for each data series in the chart and a key showing the chart element for the series.

Inheritance Hierarchy

  • FlexObject
    • FlexChartLegend

Syntax

C#
public class FlexChartLegend : FlexObject
VB
'Declaration
Public Class FlexChartLegend _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data.
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontWeight | whether the text is boldface.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text that displays next to the legend element.
labelPlacement | the label placement of the legend element. Valid values include: top, bottom, right, and left.
lastVisibleRow | the index of the last visible child.
markerAspectRatio | the aspect ratio for the marker associated with this legend item.
markerHeight | the height of the legend element.
markerWidth | the width of the legend element.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available.
numRows | the total number of rows of data available.
paddingLeft | the number of pixels between the control's left border and the left edge of its content area. The default value is 2.
paddingRight | the number of pixels between the control's right border and the right edge of its content area. The default value is 0.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalGap | the number of pixels between children in the vertical direction. The default value depends on the component class; if not overriden for the class, the default value is 6.
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
LegendItemClick | Dispatched when the user clicks on a LegendItem in the Legend control, which indicates that the user clicked the mouse button over a legend item.
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexChartSeries Class

Description

The base class for the classes that let you specify a data series for a chart control.

You use the subclasses of the Series class with the associated chart control. You can use a Series class to specify the fill pattern and stroke characteristics for the chart elements that are associated with the data series.

Inheritance Hierarchy

  • FlexObject
    • FlexChartSeries
      • FlexAreaSeries
      • FlexBarSeries
      • FlexBubbleSeries
      • FlexColumnSeries
      • FlexHLOCSeriesBase
      • FlexLineSeries
      • FlexPieSeries
      • FlexPlotSeries

Syntax

C#
public class FlexChartSeries : FlexObject
VB
'Declaration
Public Class FlexChartSeries _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data.
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available.
numRows | the total number of rows of data available.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | the index of the selected item in the data provider of the series.
selectedIndices | an array of indexes of the selected items in the data provider of the series.
selectedItem | the chart item that is selected in the series.
selectedItems | an array of chart items that are selected in the series.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SeriesClick | Indicates that the user clicked the mouse button over a chart item representing data in the chart.
SeriesDoubleClick | Indicates that the user double-clicked the mouse button over a chart item representing data in the chart.
SeriesItemRollOver | Indicates that the user rolled the mouse pointer over a chart item representing data in the chart.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexCheckBox Class

Description

The CheckBox control consists of an optional label and a small box that can contain a check mark or not.

You can place the optional text label to the left, right, top, or bottom of the CheckBox. When a user clicks a CheckBox control or its associated text, the CheckBox control changes its state from checked to unchecked or from unchecked to checked. CheckBox controls gather a set of true or false values that are not mutually exclusive.

Inheritance Hierarchy

  • FlexButton
    • FlexCheckBox

Syntax

C#
public class FlexCheckBox : FlexButton
VB
'Declaration
Public Class FlexCheckBox _
Inherits FlexButton

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
color | the color of text in the component, including the component label. The default value is 0x0B333C. (Inherited from FlexButton)
currentState | the current view state of the component. (Inherited from FlexObject)
disabledColor | the color of text in the component if it is disabled. The default value is 0xAAB3B3. (Inherited from FlexButton)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alphas used for the background fill of controls. (Inherited from FlexButton)
fillColors | the colors used to tint the background of the control. (Inherited from FlexButton)
focusAlpha | the alpha transparency value of the focus skin. The default value is 0.4. (Inherited from FlexButton)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexButton)
fontSize | the height of the text, in pixels. (Inherited from FlexButton)
fontStyle | whether the text is italic font. (Inherited from FlexButton)
fontWeight | whether the text is boldface. (Inherited from FlexButton)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text to appear on the Button control. (Inherited from FlexButton)
labelPlacement | the orientation of the label in relation to a specified icon. (Inherited from FlexButton)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selected | whether a toggle button is toggled on (true) or off (false). (Inherited from FlexButton)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textAlign | the alignment of text within a container. (Inherited from FlexButton)
textDecoration | whether the text is underlined. (Inherited from FlexButton)
textIndent | the offset of the first line of text from the left side of the container, in pixels. The default value is 0. (Inherited from FlexButton)
textRollOverColor | the text color of the label as the user moves the mouse pointer over the button. The default value is 0x2B333C. (Inherited from FlexButton)
textSelectedColor | the text color of the label as the user presses it. The default value is 0x000000. (Inherited from FlexButton)
themeColor | the theme color of a component. (Inherited from FlexObject)
toggle | whether a Button is in a toggle state or not. (Inherited from FlexButton)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from FlexButton)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexColorPicker Class

Description

Provides a way for a user to choose a color from a swatch list.

The default mode of the component shows a single swatch in a square button. When the user clicks the swatch button, the swatch panel appears and displays the entire swatch list.

Inheritance Hierarchy

  • FlexComboBase
    • FlexColorPicker

Syntax

C#
public class FlexColorPicker : FlexComboBase
VB
'Declaration
Public Class FlexColorPicker _
Inherits FlexComboBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. (Inherited from FlexComboBase)
backgroundColor | the background color of a component. (Inherited from FlexComboBase)
backgroundImage | the background image of a component. (Inherited from FlexComboBase)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexComboBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
color | the color of text in the component, including the component label. (Inherited from FlexComboBase)
columnCount | the number of columns in the swatch grid. The default value is 20.
currentState | the current view state of the component. (Inherited from FlexObject)
disabledColor | the background color of the component when it is disabled. (Inherited from FlexComboBase)
dropShadowEnabled | whether the ComboBase container's drop shadow is visible. The default value is true. (Inherited from FlexComboBase)
editable | whether the control is editable, which lets the user directly type entries that are not specified in the dataProvider, or not editable, which requires the user select from the items in the dataProvider. (Inherited from FlexComboBase)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alphas used for the background fill of controls. (Inherited from FlexComboBase)
fillColors | the colors used to tint the background of the control. (Inherited from FlexComboBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexComboBase)
fontSize | the height of the text, in pixels. (Inherited from FlexComboBase)
fontStyle | whether the text is italic font. (Inherited from FlexComboBase)
fontWeight | whether the text is boldface. (Inherited from FlexComboBase)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
highlightColor | the highlight color of the drop-down list. (Inherited from FlexComboBase)
id | the ID of the component. (Inherited from FlexObject)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
restrict | the set of characters that a user can or cannot enter into the text field. (Inherited from FlexComboBase)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedColor | the value of the currently selected color in the SwatchPanel object.
selectedIndex | the index in the data provider of the selected item. (Inherited from FlexComboBase)
showTextField | whether to show the text box that displays the color label or hexadecimal color value. The default value is true.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
text | the contents of the text field. (Inherited from FlexComboBase)
textAlign | the alignment of text within a container. Possible values are:left, right, or center. (Inherited from FlexComboBase)
textDecoration | whether the text is underlined. (Inherited from FlexComboBase)
textIndent | the offset of first line of text from the left side of the container, in pixels. The default value is 0. (Inherited from FlexComboBase)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Change | Dispatched when the selected color changes as a result of user interaction.
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Defines the value of the type property of the event object for a close event. (Inherited from FlexComboBase)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Input | Creates an Event object that contains information about text events. Event objects are passed as parameters to event listeners. (Inherited from FlexComboBase)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
Open | Defines the value of the type property of the event object for a open event. (Inherited from FlexComboBase)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Defines the value of the type property of the event object for a scroll event. (Inherited from FlexComboBase)
SelectText | Lets you track selection within a text field. (Inherited from FlexComboBase)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from FlexComboBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexColumnChart Class

Description

Represents data as a series of vertical columns whose height is determined by values in the data.

You can use the ColumnChart to represent a variety of different charts including simple columns, clustered columns, stacked, 100% stacked, and high/low.

Inheritance Hierarchy

  • FlexCartesianChart
    • FlexColumnChart

Syntax

C#
public class FlexColumnChart : FlexCartesianChart
VB
'Declaration
Public Class FlexColumnChart _
Inherits FlexCartesianChart

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clipContent | whether Flex clips the chart to the area bounded by the axes. Set to false to clip the chart. Set to true to avoid clipping when the data is rendered. (Inherited from FlexChart)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChart)
columnWidthRatio | a ratio of wide to draw the columns relative to the category width, as a percentage in the range of 0 to 1.
currentState | the current view state of the component. (Inherited from FlexObject)
dataTipMode | how Flex displays DataTip controls for the chart. (Inherited from FlexChart)
description | a short description of the data in the chart. (Inherited from FlexChart)
dragEnabled | whether you can drag items out of this chart and drop them on other controls. (Inherited from FlexChart)
dropEnabled | whether dragged items can be dropped onto the chart. (Inherited from FlexChart)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexChart)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexChart)
fontSize | the height of the text, in pixels. The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11. (Inherited from FlexChart)
gutterBottom | The size of the region, in pixels, between the bottom of the chart data area and the bottom of the chart control. (Inherited from FlexCartesianChart)
gutterLeft | The size of the region, in pixels, between the left of the chart data area and the left of the chart control. (Inherited from FlexCartesianChart)
gutterRight | The size of the region, in pixels, between the right side of the chart data area and the outside of the chart control. (Inherited from FlexCartesianChart)
gutterTop | The size of the region, in pixels, between the top of the chart data area and the top of the chart control. (Inherited from FlexCartesianChart)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalAxisRatio | the height limit of the horiztonal axis. (Inherited from FlexCartesianChart)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from FlexChart)
maxColumnWidth | how wide to draw the columns, in pixels.
maximumDataTipCount | the maximum number of datatips a chart will show. (Inherited from FlexChart)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
mouseSensitivity | the distance, in pixels, that Flex considers a data point to be under the mouse pointer when the pointer moves around a chart. (Inherited from FlexChart)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChart)
numRows | the total number of rows of data available. (Inherited from FlexChart)
paddingBottom | the number of pixels between the chart's bottom border and its content area. (Inherited from FlexChart)
paddingLeft | the number of pixels between the control's left border and the left edge of its content area. The default value is 2. (Inherited from FlexChart)
paddingRight | the number of pixels between the control's right border and the right edge of its content area. The default value is 0. (Inherited from FlexChart)
paddingTop | the number of pixels between the chart's top border and its content area. (Inherited from FlexChart)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedChartItem | the selected ChartItem in the chart. If multiple items are selected, this property specifies the most recently selected item. (Inherited from FlexChart)
selectedChartItems | an array of all the selected ChartItem objects in the chart. (Inherited from FlexChart)
selectionMode | whether ChartItem objects can be selected. (Inherited from FlexChart)
showDataTips | whether DataTip controls for the chart show. (Inherited from FlexChart)
showDataTipTargets | whether to show targets over the datapoints when showDataTips is set to true. (Inherited from FlexChart)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textAlign | the alignment of text within a container. (Inherited from FlexCartesianChart)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalAxisRatio | the width limit of the vertical axis. (Inherited from FlexCartesianChart)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexChart)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexChart)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexChart)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChart)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Defines the value of the type property of the event object for a headerRelease event, which indicates that the user pressed and released the mouse on a column header. (Inherited from FlexChart)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexColumnSeries Class

Description

Defines a data series for a ColumnChart control.

Inheritance Hierarchy

  • FlexChartSeries
    • FlexColumnSeries

Syntax

C#
public class FlexColumnSeries : FlexChartSeries
VB
'Declaration
Public Class FlexColumnSeries _
Inherits FlexChartSeries

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChartSeries)
columnWidthRatio | the width of columns relative to the category width.
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexChartSeries)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from FlexChartSeries)
maxColumnWidth | the width of the columns, in pixels.
minField | the field of the data provider that determines the y-axis location of the bottom of a column.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChartSeries)
numRows | the total number of rows of data available. (Inherited from FlexChartSeries)
offset | how far to offset the center of the columns from the center of the available space, relative to the category width.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | the index of the selected item in the data provider of the series. (Inherited from FlexChartSeries)
selectedIndices | an array of indexes of the selected items in the data provider of the series. (Inherited from FlexChartSeries)
selectedItem | the chart item that is selected in the series. (Inherited from FlexChartSeries)
selectedItems | an array of chart items that are selected in the series. (Inherited from FlexChartSeries)
sortOnXField | whether the columns are sorted from left to right before rendering.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
xField | the field of the data provider that determines the x-axis location of the column.
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
yField | the field of the data provider that determines the y-axis location of the top of a column.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChartSeries)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SeriesClick | Indicates that the user clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesDoubleClick | Indicates that the user double-clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesItemRollOver | Indicates that the user rolled the mouse pointer over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexComboBase Class

Description

The base class for controls that display text in a text field and have a button that causes a drop-down list to appear where the user can choose which text to display.

Inheritance Hierarchy

  • FlexObject
    • FlexComboBase
      • FlexColorPicker
      • FlexComboBox
      • FlexDateField

Syntax

C#
public class FlexComboBase : FlexObject
VB
'Declaration
Public Class FlexComboBase _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style.
backgroundColor | the background color of a component.
backgroundImage | the background image of a component.
backgroundSize | the percentage to change the image size to for the specified backgroundImage.
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
color | the color of text in the component, including the component label.
currentState | the current view state of the component. (Inherited from FlexObject)
disabledColor | the background color of the component when it is disabled.
dropShadowEnabled | whether the ComboBase container's drop shadow is visible. The default value is true.
editable | whether the control is editable, which lets the user directly type entries that are not specified in the dataProvider, or not editable, which requires the user select from the items in the dataProvider.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alphas used for the background fill of controls.
fillColors | the colors used to tint the background of the control.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use.
fontSize | the height of the text, in pixels.
fontStyle | whether the text is italic font.
fontWeight | whether the text is boldface.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
highlightColor | the highlight color of the drop-down list.
id | the ID of the component. (Inherited from FlexObject)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
restrict | the set of characters that a user can or cannot enter into the text field.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | the index in the data provider of the selected item.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
text | the contents of the text field.
textAlign | the alignment of text within a container. Possible values are:left, right, or center.
textDecoration | whether the text is underlined.
textIndent | the offset of first line of text from the left side of the container, in pixels. The default value is 0.
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Defines the value of the type property of the event object for a close event.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Input | Creates an Event object that contains information about text events. Event objects are passed as parameters to event listeners.
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
Open | Defines the value of the type property of the event object for a open event.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Defines the value of the type property of the event object for a scroll event.
SelectText | Lets you track selection within a text field.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexComboBox Class

Description

Contains a drop-down list from which the user can select a single value.

The ComboBox can be editable, in which case the user can type entries into the TextInput portion of the ComboBox that are not in the list.

Inheritance Hierarchy

  • FlexComboBase
    • FlexComboBox

Syntax

C#
public class FlexComboBox : FlexComboBase
VB
'Declaration
Public Class FlexComboBox _
Inherits FlexComboBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
alternatingItemColors | the set of BackgroundColors for drop-down list rows in an alternating pattern.
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. (Inherited from FlexComboBase)
backgroundColor | the background color of a component. (Inherited from FlexComboBase)
backgroundImage | the background image of a component. (Inherited from FlexComboBase)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexComboBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
color | the color of text in the component, including the component label. (Inherited from FlexComboBase)
columnNames | a list containing the names of all columns in the data.
currentState | the current view state of the component. (Inherited from FlexObject)
disabledColor | the background color of the component when it is disabled. (Inherited from FlexComboBase)
dropShadowEnabled | whether the ComboBase container's drop shadow is visible. The default value is true. (Inherited from FlexComboBase)
editable | whether the control is editable, which lets the user directly type entries that are not specified in the dataProvider, or not editable, which requires the user select from the items in the dataProvider. (Inherited from FlexComboBase)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alphas used for the background fill of controls. (Inherited from FlexComboBase)
fillColors | the colors used to tint the background of the control. (Inherited from FlexComboBase)
firstVisibleRow | the index of the first visible child.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexComboBase)
fontSize | the height of the text, in pixels. (Inherited from FlexComboBase)
fontStyle | whether the text is italic font. (Inherited from FlexComboBase)
fontWeight | whether the text is boldface. (Inherited from FlexComboBase)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
highlightColor | the highlight color of the drop-down list. (Inherited from FlexComboBase)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available.
numRows | the total number of rows of data available.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
restrict | the set of characters that a user can or cannot enter into the text field. (Inherited from FlexComboBase)
rollOverColor | the rollOverColor of the drop-down list.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | the index in the data provider of the selected item. (Inherited from FlexComboBase)
selectionColor | the selectionColor of the drop-down list.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
text | the contents of the text field. (Inherited from FlexComboBase)
textAlign | the alignment of text within a container. Possible values are:left, right, or center. (Inherited from FlexComboBase)
textDecoration | whether the text is underlined. (Inherited from FlexComboBase)
textIndent | the offset of first line of text from the left side of the container, in pixels. The default value is 0. (Inherited from FlexComboBase)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Defines the value of the type property of the event object for a close event. (Inherited from FlexComboBase)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Input | Creates an Event object that contains information about text events. Event objects are passed as parameters to event listeners. (Inherited from FlexComboBase)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
Open | Defines the value of the type property of the event object for a open event. (Inherited from FlexComboBase)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Defines the value of the type property of the event object for a scroll event. (Inherited from FlexComboBase)
Select | Defines the value of the type property of the event object for an event that is dispatched when a single item is selected.
SelectIndex | Defines the value of the type property of the event object for an event that is dispatched when a single item is selected.
SelectText | Lets you track selection within a text field. (Inherited from FlexComboBase)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from FlexComboBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexContainer Class

Description

An abstract base class for components that controls the layout characteristics of child components.

You do not create an instance of Container in an application. Instead, you create an instance of one of Container's subclasses, such as Canvas or HBox.

The Container class contains the logic for scrolling, clipping, and dynamic instantiation. It contains methods for adding and removing children and the logic for drawing the background and borders of containers.

Inheritance Hierarchy

  • FlexObject
    • FlexContainer
      • FlexAccordion
      • FlexApplication
      • FlexBox
      • FlexCanvas
      • FlexForm
      • FlexFormItem
      • FlexPanel
      • FlexViewStack
      • FlexWindow

Syntax

C#
public class FlexContainer : FlexObject
VB
'Declaration
Public Class FlexContainer _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0.
backgroundColor | the background color of a component.
backgroundDisabledColor | the background color of the component when it is disabled. The global default value is undefined.
backgroundImage | the background image of a component. This can be an absolute or relative URL or class.
backgroundSize | the percentage to change the image size to for the specified backgroundImage.
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data.
creationIndex | the order to instantiate and draw the children of the container.
creationPolicy | the child creation policy for this Container.
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alpha transparency values used for the background fill of components.
fillColors | the colors used to tint the background fill of the component.
firstVisibleRow | the index of the first visible child.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use.
fontSize | the height of the text, in pixels.
fontStyle | whether the text is italic font.
fontWeight | whether the text is boldface.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text displayed by some navigator containers to represent this Container.
lastVisibleRow | the index of the last visible child.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of child components in this container.
numColumns | the total number of columns of data available.
numRows | the total number of rows of data available.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event.
DragDrop | Defines the value of the type property of the event object for a dragDrop event.
DragStart | Defines the value of the type property of the event object for a dragStart event.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance.
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the user manually scrolls the container.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexContainerMovieClip Class

Description

Container components created in Adobe Flash CS3 Professional for use in Flex are subclasses of the mx.flash.ContainerMovieClip class.

You can use a subclass of ContainerMovieClip as a Flex container, it can hold children, and it can respond to events, define view states and transitions, and work with effects in the same way as can any Flex component.

A Flash container can only have a single Flex child. However, this child can be a Flex container which allows you to add additional children.

Inheritance Hierarchy

  • FlexUIMovieClip
    • FlexContainerMovieClip

Syntax

C#
public class FlexContainerMovieClip : FlexUIMovieClip
VB
'Declaration
Public Class FlexContainerMovieClip _
Inherits FlexUIMovieClip

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexUIMovieClip)
automationIndex | a string containing the automation index for the element. (Inherited from FlexUIMovieClip)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexUIMovieClip)
className | the name of this instance's class, such as "Button". (Inherited from FlexUIMovieClip)
currentState | the current state of this component. (Inherited from FlexUIMovieClip)
enabled | whether a movie clip is enabled. (Inherited from FlexUIMovieClip)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexUIMovieClip)
errorString | the text that is displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexUIMovieClip)
focusEnabled | whether the component can receive focus when selected. (Inherited from FlexUIMovieClip)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexUIMovieClip)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexUIMovieClip)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. Valid values are 0 to 100. (Inherited from FlexUIMovieClip)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Valid values are 0 to 100. (Inherited from FlexUIMovieClip)
scaleX | the horizontal scale (percentage) of the object as applied from the registration point. The default registration point is (0,0). 1.0 equals 100% scale. (Inherited from FlexUIMovieClip)
scaleY | the vertical scale (percentage) of an object as applied from the registration point of the object. The default registration point is (0,0). 1.0 is 100% scale. (Inherited from FlexUIMovieClip)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexUIMovieClip)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexUIMovieClip)
useHandCursor | whether the pointing hand (hand cursor) appears when the mouse rolls over a sprite in which the buttonMode property is set to true. (Inherited from FlexUIMovieClip)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Defines the value of the type property of a keyFocusChange event object. (Inherited from FlexUIMovieClip)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragDrop | Defines the value of the type property of the event object for a dragDrop event.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Called by the FocusManager when the component receives focus. The component may in turn set focus to an internal component. (Inherited from FlexUIMovieClip)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexDataGrid Class

Description

The DataGrid control is like a List except that it can show more than one column of data making it suited for showing objects with multiple properties.

Inheritance Hierarchy

  • FlexListBase
    • FlexDataGrid

Syntax

C#
public class FlexDataGrid : FlexListBase
VB
'Declaration
Public Class FlexDataGrid _
Inherits FlexListBase

Properties

Name | Description
allowMultipleSelection | whether you can allow more than one item to be selected at the same time. (Inherited from FlexListBase)
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
alternatingItemColors | the colors to use for the backgrounds of the items in the list. (Inherited from FlexListBase)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundDisabledColor | the color of text in the component if it is disabled. The default value is 0xAAB3B3. (Inherited from FlexListBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnCount | the number of columns to be displayed in a TileList control or items in a HorizontalList control. (Inherited from FlexListBase)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexListBase)
columnWidth | the width of the control's columns. (Inherited from FlexListBase)
currentState | the current view state of the component. (Inherited from FlexObject)
dataTipField | the name of the field in the data provider items to display as the data tip. (Inherited from FlexListBase)
editable | whether the user can edit items in the data provider.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexListBase)
focusAlpha | the alpha transparency value of the focus skin. The default value is 0.4. (Inherited from FlexListBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
headerColors | An array of two colors used to draw the header background gradient.
headerStyleName | the name of a CSS style declaration for controlling other aspects of the appearance of the column headers. The default value is dataGridStyles.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalGridLineColor | the color of the horizontal grid lines.
horizontalGridLines | whether to show horizontal grid lines between the rows.
iconField | the name of the field in the data provider object that determines what to display as the icon. (Inherited from FlexListBase)
id | the ID of the component. (Inherited from FlexObject)
labelField | the name of the field in the data provider items to display as the label. (Inherited from FlexListBase)
lastVisibleRow | the index of the last visible child. (Inherited from FlexListBase)
lockedColumnCount | the index of the first column in the control that scrolls. (Inherited from FlexListBase)
lockedRowCount | the index of the first row in the control that scrolls. (Inherited from FlexListBase)
minColumnWidth | The minimum width of the columns, in pixels. If not NaN, the DataGrid control applies this value as the minimum width for all columns. Otherwise, individual columns can have their own minimum widths. The default value is NaN.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexListBase)
numRows | the total number of rows of data available. (Inherited from FlexListBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
resizableColumns | whether the user can change the size of the columns.
rollOverColor | the color of the background of a renderer when the user rolls over it. The default value is 0xEEFEE6. (Inherited from FlexListBase)
rowCount | the number of rows to be displayed. (Inherited from FlexListBase)
rowHeight | the height of the rows in pixels. (Inherited from FlexListBase)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectable | whether the list shows selected items as selected. (Inherited from FlexListBase)
selectedIndex | the index in the data provider of the selected item. (Inherited from FlexListBase)
selectedIndices | an array of indices in the data provider of the selected items. (Inherited from FlexListBase)
selectedItem | a reference to the selected item in the data provider. (Inherited from FlexListBase)
selectedItems | an array of references to the selected items in the data provider. (Inherited from FlexListBase)
selectionColor | the color of the background of a renderer when the user selects it. The default value is 0x7FCEFF. (Inherited from FlexListBase)
selectionDisabledColor | the color of the background of a renderer when the component is disabled. The default value is 0xDDDDDD. (Inherited from FlexListBase)
showDataTips | whether dataTips are displayed for text in the rows. (Inherited from FlexListBase)
sortableColumns | whether the user can sort the data provider items by clicking on a column header cell.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textRollOverColor | the text color of the label as the user moves the mouse pointer over the button. The default value is 0x2B333C. (Inherited from FlexListBase)
textSelectedColor | the color of the text of a renderer when the user selects it. The default value is 0x2B333C. (Inherited from FlexListBase)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
useRollOver | whether items are highlighted as the mouse rolls over them. (Inherited from FlexListBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
variableRowHeight | whether the individual rows can have different height. (Inherited from FlexListBase)
verticalAlign | the vertical alignment of a renderer in a row. (Inherited from FlexListBase)
verticalGridLineColor | the color of the vertical grid lines. The default value is 0x666666.
verticalGridLines | whether to show vertical grid lines between the columns.
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
wordWrap | whether text in the row should be word wrapped. (Inherited from FlexListBase)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
ColumnStretch | Dispatched when a user changes the width of a column, indicating that the amount of data displayed in that column may have changed.
Deselect | Defines the value of the type property of the event object for an event that is dispatched when a previously selected item is deselected. (Inherited from FlexListBase)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleSelect | Defines the value of the type property of the ListEvent object for an itemDoubleClick event, which indicates that the user double-clicked the mouse over a visual item in the control. (Inherited from FlexListBase)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexListBase)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexListBase)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexListBase)
Edit | Defines the value of the type property of the event object for a itemEditBegin event, which indicates that an item is ready to be edited.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexListBase)
HeaderClick | Dispatched when the user releases the mouse button on a column header to request the control to sort the grid contents based on the contents of the column.
HeaderShift | Dispatched when the user releases the mouse button on a column header after having dragged the column to a new location resulting in shifting the column to a new index.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexScrollBase)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
MultiSelect | Defines the value of the type property of the event object for an event that is dispatched when an item is selected as part of an action that selects multiple items. (Inherited from FlexListBase)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Defines the value of the type property of the event object for a scroll event. (Inherited from FlexListBase)
ScrollToIndex | Ensures that the data provider item at the given index is visible. (Inherited from FlexListBase)
Select | Defines the value of the type property of the event object for an event that is dispatched when a single item is selected. (Inherited from FlexListBase)
SelectIndex | Defines the value of the type property of the event object for an event that is dispatched when a single item is selected. (Inherited from FlexListBase)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from FlexListBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexDateChooser Class

Description

Displays the name of a month, the year, and a grid of the days of the month, with columns labeled for the day of the week.

The user can select a date, a range of dates, or multiple dates. The control contains forward and back arrow buttons for changing the month and year.

You can let users select multiple dates, disable the selection of certain dates, and limit the display to a range of dates.

Inheritance Hierarchy

  • FlexObject
    • FlexDateChooser

Syntax

C#
public class FlexDateChooser : FlexObject
VB
'Declaration
Public Class FlexDateChooser _
Inherits FlexObject

Properties

Name | Description
allowDisjointSelection | whether non-contiguous selection is allowed in the DateChooser control.
allowMultipleSelection | whether multiple selection is allowed in the DateChooser control.
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
color | the color of text in the component, including the component label. The default value is 0x0B333C.
currentState | the current view state of the component. (Inherited from FlexObject)
disabledColor | the color of text in the component if it is disabled. The default value is 0xAAB3B3.
disabledDays | the days to disable in a week.
disabledRanges | the single and multiple days to disable.
displayedMonth | the month displayed in the DateChooser control.
displayedYear | the year displayed in the DateChooser control. The default value is the current year.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillColors | the colors used to tint the background of the control.
firstDayOfWeek | the number representing the day of the week to display in the first column of the DateChooser control.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use.
fontSize | the height of the text, in pixels.
fontStyle | whether the text is italic font.
fontWeight | whether the text is boldface.
headerColors | the colors of the band at the top of the DateChooser control. The default value is [ 0xE6EEEE, 0xFFFFFF ].
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
maxYear | the last year selectable in the control.
minYear | the first year selectable in the control.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
rollOverColor | the color of the highlight area of the date when the user holds the mouse pointer over a date in the DateChooser control. The default value is 0xE3FFD6.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedDate | the date as selected in the DateChooser control.
selectedRanges | the selected date ranges.
selectionColor | the color of the highlight area of the currently selected date in the DateChooser control. The default value is 0xCDFFC1.
showToday | whether today's date is highlighted in the DataChooser control.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textAlign | whether the text is boldface.
textDecoration | whether the text is underlined.
textIndent | the offset of first line of text from the left side of the container, in pixels. The default value is 0.
themeColor | the theme color of a component. (Inherited from FlexObject)
todayColor | the color of the highlight of today's date in the DateChooser control. The default value is 0x2B333.
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
yearNavigationEnabled | whether year navigation is enabled.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Change | Dispatched when a date is selected or changed.
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollDate | The DateChooserEvent.SCROLL constant defines the value of the type property of the event object for a scrollevent.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexDateField Class

Description

A text field that shows the date with a calendar icon on its right side.

When the user clicks anywhere inside the bounding box of the control, a DateChooser control pops up and shows the dates in the month of the current date. If no date is selected, the text field is blank and the month of the current date is displayed in the DateChooser control.

Inheritance Hierarchy

  • FlexComboBase
    • FlexDateField

Syntax

C#
public class FlexDateField : FlexComboBase
VB
'Declaration
Public Class FlexDateField _
Inherits FlexComboBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. (Inherited from FlexComboBase)
backgroundColor | the background color of a component. (Inherited from FlexComboBase)
backgroundImage | the background image of a component. (Inherited from FlexComboBase)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexComboBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
color | the color of text in the component, including the component label. (Inherited from FlexComboBase)
currentState | the current view state of the component. (Inherited from FlexObject)
disabledColor | the background color of the component when it is disabled. (Inherited from FlexComboBase)
disabledDays | the days to disable in a week.
disabledRanges | the disabled single and multiple days.
displayedMonth | the month that is displayed in the DateChooser control.
displayedYear | the year that is displayed in the DateChooser control.
dropShadowEnabled | whether the ComboBase container's drop shadow is visible. The default value is true. (Inherited from FlexComboBase)
editable | whether the control is editable, which lets the user directly type entries that are not specified in the dataProvider, or not editable, which requires the user select from the items in the dataProvider. (Inherited from FlexComboBase)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alphas used for the background fill of controls. (Inherited from FlexComboBase)
fillColors | the colors used to tint the background of the control. (Inherited from FlexComboBase)
firstDayOfWeek | the day of the week (0-6, where 0 is the first element of the dayNames Array) to display in the first column of the DateChooser control.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexComboBase)
fontSize | the height of the text, in pixels. (Inherited from FlexComboBase)
fontStyle | whether the text is italic font. (Inherited from FlexComboBase)
fontWeight | whether the text is boldface. (Inherited from FlexComboBase)
headerColors | the colors of the band at the top of the DateChooser control. The default value is [ 0xE6EEEE, 0xFFFFFF ].
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
highlightColor | the highlight color of the drop-down list. (Inherited from FlexComboBase)
id | the ID of the component. (Inherited from FlexObject)
maxYear | the last year selectable in the control.
minYear | the first year selectable in the control.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
restrict | the set of characters that a user can or cannot enter into the text field. (Inherited from FlexComboBase)
rollOverColor | the color of the highlight area of the date when the user holds the mouse pointer over a date in the DateChooser control. The default value is 0xE3FFD6.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedDate | the date as selected in the DateChooser control.
selectedIndex | the index in the data provider of the selected item. (Inherited from FlexComboBase)
showToday | the day highlighted in the DateChooser control.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
text | the contents of the text field. (Inherited from FlexComboBase)
textAlign | the alignment of text within a container. Possible values are:left, right, or center. (Inherited from FlexComboBase)
textDecoration | whether the text is underlined. (Inherited from FlexComboBase)
textIndent | the offset of first line of text from the left side of the container, in pixels. The default value is 0. (Inherited from FlexComboBase)
themeColor | the theme color of a component. (Inherited from FlexObject)
todayColor | the color of the highlight of today's date in the DateChooser control. The default value is 0x2B333.
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
yearNavigationEnabled | whether the year up and down buttons are available for navigation.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Change | Dispatched when a date is selected or changed, and the DateChooser control closes.
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Defines the value of the type property of the event object for a close event. (Inherited from FlexComboBase)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Input | Creates an Event object that contains information about text events. Event objects are passed as parameters to event listeners. (Inherited from FlexComboBase)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
Open | Defines the value of the type property of the event object for a open event. (Inherited from FlexComboBase)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Defines the value of the type property of the event object for a scroll event. (Inherited from FlexComboBase)
ScrollDate | The DateChooserEvent.SCROLL constant defines the value of the type property of the event object for a scrollevent.
SelectText | Lets you track selection within a text field. (Inherited from FlexComboBase)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from FlexComboBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexDisplayObject Class

Description

The base class for all objects that can be placed on the display list. The display list manages all objects displayed in Flash Player or Adobe AIR.

Inheritance Hierarchy

  • TestObject
    • FlexDisplayObject
      • FlexListLabel
      • FlexObject
      • FlexUIMovieClip

Syntax

C#
public class FlexDisplayObject : TestObject, IClickable, IKeyable
VB
'Declaration
Public Class FlexDisplayObject _
Inherits TestObject _
Implements IClickable, IKeyable

Properties

Name | Description
alpha | the alpha transparency value of the object specified.
height | the height of the display object, in pixels.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren.
tabChildren | whether the children of the display object are tab enabled. The default is true.
tabEnabled | whether this object is in the tab order.
tabIndex | the tab ordering of objects in a SWF file.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible.
width | the width of the display object, in pixels.
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer.
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexDividedBox Class

Description

Measures and lays out its children horizontally or vertically in exactly the same way as a Box container, but it inserts draggable dividers in the gaps between the children. Users can drag any divider to resize the children on each side.

The DividedBox class is the base class for the HDividedBox and VDividedBox classes.

Inheritance Hierarchy

  • FlexBox
    • FlexDividedBox

Syntax

C#
public class FlexDividedBox : FlexBox
VB
'Declaration
Public Class FlexDividedBox _
Inherits FlexBox

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0. (Inherited from FlexContainer)
backgroundColor | the background color of a component. (Inherited from FlexContainer)
backgroundDisabledColor | the background color of the component when it is disabled. The global default value is undefined. (Inherited from FlexContainer)
backgroundImage | the background image of a component. This can be an absolute or relative URL or class. (Inherited from FlexContainer)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexContainer)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexContainer)
creationIndex | the order to instantiate and draw the children of the container. (Inherited from FlexContainer)
creationPolicy | the child creation policy for this Container. (Inherited from FlexContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
direction | whether to use vertical (default) or horizontal layout. (Inherited from FlexBox)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alpha transparency values used for the background fill of components. (Inherited from FlexContainer)
fillColors | the colors used to tint the background fill of the component. (Inherited from FlexContainer)
firstVisibleRow | the index of the first visible child. (Inherited from FlexContainer)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexContainer)
fontSize | the height of the text, in pixels. (Inherited from FlexContainer)
fontStyle | whether the text is italic font. (Inherited from FlexContainer)
fontWeight | whether the text is boldface. (Inherited from FlexContainer)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalAlign | the horizontal alignment of children in the container. (Inherited from FlexBox)
id | the ID of the component. (Inherited from FlexObject)
label | the text displayed by some navigator containers to represent this Container. (Inherited from FlexContainer)
lastVisibleRow | the index of the last visible child. (Inherited from FlexContainer)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of child components in this container. (Inherited from FlexContainer)
numColumns | the total number of columns of data available. (Inherited from FlexContainer)
numRows | the total number of rows of data available. (Inherited from FlexContainer)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
resizeToContent | whether the DividedBox automatically resizes to the size of its children.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalAlign | the vertical alignment of children in the container. (Inherited from FlexBox)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexContainer)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexContainer)
Dragged | Dispatched multiple times as the user drags any divider. The dividerDrag event is dispatched after the dividerPress event and before the dividerRelease event.
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexContainer)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items. (Inherited from FlexContainer)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexContainer)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
Pressed | Dispatched when the user presses any divider in this container.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Released | Dispatched when the user releases a divider.
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the user manually scrolls the container. (Inherited from FlexContainer)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexForm Class

Description

Use this class to control the layout of a form, mark form fields as required or optional, handle error messages, and bind your form data to the Flex data model to perform data checking and validation. This class also lets you use style sheets to configure the appearance of your forms.

Inheritance Hierarchy

  • FlexContainer
    • FlexForm

Syntax

C#
public class FlexForm : FlexContainer
VB
'Declaration
Public Class FlexForm _
Inherits FlexContainer

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0. (Inherited from FlexContainer)
backgroundColor | the background color of a component. (Inherited from FlexContainer)
backgroundDisabledColor | the background color of the component when it is disabled. The global default value is undefined. (Inherited from FlexContainer)
backgroundImage | the background image of a component. This can be an absolute or relative URL or class. (Inherited from FlexContainer)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexContainer)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexContainer)
creationIndex | the order to instantiate and draw the children of the container. (Inherited from FlexContainer)
creationPolicy | the child creation policy for this Container. (Inherited from FlexContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alpha transparency values used for the background fill of components. (Inherited from FlexContainer)
fillColors | the colors used to tint the background fill of the component. (Inherited from FlexContainer)
firstVisibleRow | the index of the first visible child. (Inherited from FlexContainer)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexContainer)
fontSize | the height of the text, in pixels. (Inherited from FlexContainer)
fontStyle | whether the text is italic font. (Inherited from FlexContainer)
fontWeight | whether the text is boldface. (Inherited from FlexContainer)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text displayed by some navigator containers to represent this Container. (Inherited from FlexContainer)
lastVisibleRow | the index of the last visible child. (Inherited from FlexContainer)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of child components in this container. (Inherited from FlexContainer)
numColumns | the total number of columns of data available. (Inherited from FlexContainer)
numRows | the total number of rows of data available. (Inherited from FlexContainer)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexContainer)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexContainer)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexContainer)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items. (Inherited from FlexContainer)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexContainer)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the user manually scrolls the container. (Inherited from FlexContainer)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexFormItem Class

Description

Defines a label and one or more children arranged horizontally or vertically. Children can be controls or other containers. A single Form container can hold multiple FormItem containers.

Inheritance Hierarchy

  • FlexContainer
    • FlexFormItem

Syntax

C#
public class FlexFormItem : FlexContainer
VB
'Declaration
Public Class FlexFormItem _
Inherits FlexContainer

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0. (Inherited from FlexContainer)
backgroundColor | the background color of a component. (Inherited from FlexContainer)
backgroundDisabledColor | the background color of the component when it is disabled. The global default value is undefined. (Inherited from FlexContainer)
backgroundImage | the background image of a component. This can be an absolute or relative URL or class. (Inherited from FlexContainer)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexContainer)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexContainer)
creationIndex | the order to instantiate and draw the children of the container. (Inherited from FlexContainer)
creationPolicy | the child creation policy for this Container. (Inherited from FlexContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alpha transparency values used for the background fill of components. (Inherited from FlexContainer)
fillColors | the colors used to tint the background fill of the component. (Inherited from FlexContainer)
firstVisibleRow | the index of the first visible child. (Inherited from FlexContainer)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexContainer)
fontSize | the height of the text, in pixels. (Inherited from FlexContainer)
fontStyle | whether the text is italic font. (Inherited from FlexContainer)
fontWeight | whether the text is boldface. (Inherited from FlexContainer)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalAlign | the horizontal alignment of children in the container.
id | the ID of the component. (Inherited from FlexObject)
label | the text displayed by some navigator containers to represent this Container. (Inherited from FlexContainer)
lastVisibleRow | the index of the last visible child. (Inherited from FlexContainer)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of child components in this container. (Inherited from FlexContainer)
numColumns | the total number of columns of data available. (Inherited from FlexContainer)
numRows | the total number of rows of data available. (Inherited from FlexContainer)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexContainer)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexContainer)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexContainer)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items. (Inherited from FlexContainer)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexContainer)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the user manually scrolls the container. (Inherited from FlexContainer)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexHLOCChart Class

Description

The HLOCChart (High Low Open Close) control represents financial data as a series of elements representing the high, low, closing, and optionally opening values of a data series.

The top and bottom of the vertical line in each element represent the high and low values for the datapoint. The right-facing tick represents the closing values, and the left tick represents the opening value if one was specified.

Inheritance Hierarchy

  • FlexCartesianChart
    • FlexHLOCChart

Syntax

C#
public class FlexHLOCChart : FlexCartesianChart
VB
'Declaration
Public Class FlexHLOCChart _
Inherits FlexCartesianChart

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clipContent | whether Flex clips the chart to the area bounded by the axes. Set to false to clip the chart. Set to true to avoid clipping when the data is rendered. (Inherited from FlexChart)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChart)
columnWidthRatio | a ratio of how wide to draw the HLOC lines relative to the horizontal axis's category widths, as a percentage in the range of 0 to 1.
currentState | the current view state of the component. (Inherited from FlexObject)
dataTipMode | how Flex displays DataTip controls for the chart. (Inherited from FlexChart)
description | a short description of the data in the chart. (Inherited from FlexChart)
dragEnabled | whether you can drag items out of this chart and drop them on other controls. (Inherited from FlexChart)
dropEnabled | whether dragged items can be dropped onto the chart. (Inherited from FlexChart)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexChart)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexChart)
fontSize | the height of the text, in pixels. The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11. (Inherited from FlexChart)
gutterBottom | The size of the region, in pixels, between the bottom of the chart data area and the bottom of the chart control. (Inherited from FlexCartesianChart)
gutterLeft | The size of the region, in pixels, between the left of the chart data area and the left of the chart control. (Inherited from FlexCartesianChart)
gutterRight | The size of the region, in pixels, between the right side of the chart data area and the outside of the chart control. (Inherited from FlexCartesianChart)
gutterTop | The size of the region, in pixels, between the top of the chart data area and the top of the chart control. (Inherited from FlexCartesianChart)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalAxisRatio | the height limit of the horiztonal axis. (Inherited from FlexCartesianChart)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from FlexChart)
maxColumnWidth | how wide to draw the HLOC lines, in pixels.
maximumDataTipCount | the maximum number of datatips a chart will show. (Inherited from FlexChart)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
mouseSensitivity | the distance, in pixels, that Flex considers a data point to be under the mouse pointer when the pointer moves around a chart. (Inherited from FlexChart)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChart)
numRows | the total number of rows of data available. (Inherited from FlexChart)
paddingBottom | the number of pixels between the chart's bottom border and its content area. (Inherited from FlexChart)
paddingLeft | the number of pixels between the control's left border and the left edge of its content area. The default value is 2. (Inherited from FlexChart)
paddingRight | the number of pixels between the control's right border and the right edge of its content area. The default value is 0. (Inherited from FlexChart)
paddingTop | the number of pixels between the chart's top border and its content area. (Inherited from FlexChart)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedChartItem | the selected ChartItem in the chart. If multiple items are selected, this property specifies the most recently selected item. (Inherited from FlexChart)
selectedChartItems | an array of all the selected ChartItem objects in the chart. (Inherited from FlexChart)
selectionMode | whether ChartItem objects can be selected. (Inherited from FlexChart)
showDataTips | whether DataTip controls for the chart show. (Inherited from FlexChart)
showDataTipTargets | whether to show targets over the datapoints when showDataTips is set to true. (Inherited from FlexChart)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textAlign | the alignment of text within a container. (Inherited from FlexCartesianChart)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalAxisRatio | the width limit of the vertical axis. (Inherited from FlexCartesianChart)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexChart)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexChart)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexChart)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChart)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Defines the value of the type property of the event object for a headerRelease event, which indicates that the user pressed and released the mouse on a column header. (Inherited from FlexChart)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexHLOCSeries Class

Description

Represents financial data as a series of elements representing the high, low, closing, and, optionally, opening values of a data series.

The top and bottom of the vertical line in each element represent the high and low values for the datapoint. The right-facing tick mark represents the closing value, and the left tick mark represents the opening value, if one was specified.

Inheritance Hierarchy

  • FlexHLOCSeriesBase
    • FlexHLOCSeries

Syntax

C#
public class FlexHLOCSeries : FlexHLOCSeriesBase
VB
'Declaration
Public Class FlexHLOCSeries _
Inherits FlexHLOCSeriesBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChartSeries)
columnWidthRatio | the width of elements relative to the category width. (Inherited from FlexHLOCSeriesBase)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexChartSeries)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from FlexChartSeries)
maxColumnWidth | the width of the elements, in pixels. (Inherited from FlexHLOCSeriesBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChartSeries)
numRows | the total number of rows of data available. (Inherited from FlexChartSeries)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | the index of the selected item in the data provider of the series. (Inherited from FlexChartSeries)
selectedIndices | an array of indexes of the selected items in the data provider of the series. (Inherited from FlexChartSeries)
selectedItem | the chart item that is selected in the series. (Inherited from FlexChartSeries)
selectedItems | an array of chart items that are selected in the series. (Inherited from FlexChartSeries)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
xField | the field of the data provider that determines the x-axis location of the element. (Inherited from FlexHLOCSeriesBase)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChartSeries)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SeriesClick | Indicates that the user clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesDoubleClick | Indicates that the user double-clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesItemRollOver | Indicates that the user rolled the mouse pointer over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexHLOCSeriesBase Class

Description

Represents financial data as a series of elements representing the high, low, closing, and, optionally, opening values of a data series.

The top and bottom of the vertical line in each element represent the high and low values for the datapoint. The right-facing tick mark represents the closing value, and the left tick mark represents the opening value, if one was specified.

Inheritance Hierarchy

  • FlexChartSeries
    • FlexHLOCSeriesBase
      • FlexCandlestickSeries
      • FlexHLOCSeries

Syntax

C#
public class FlexHLOCSeriesBase : FlexChartSeries
VB
'Declaration
Public Class FlexHLOCSeriesBase _
Inherits FlexChartSeries

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChartSeries)
columnWidthRatio | the width of elements relative to the category width.
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexChartSeries)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from FlexChartSeries)
maxColumnWidth | the width of the elements, in pixels.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChartSeries)
numRows | the total number of rows of data available. (Inherited from FlexChartSeries)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | the index of the selected item in the data provider of the series. (Inherited from FlexChartSeries)
selectedIndices | an array of indexes of the selected items in the data provider of the series. (Inherited from FlexChartSeries)
selectedItem | the chart item that is selected in the series. (Inherited from FlexChartSeries)
selectedItems | an array of chart items that are selected in the series. (Inherited from FlexChartSeries)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
xField | the field of the data provider that determines the x-axis location of the element.
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChartSeries)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SeriesClick | Indicates that the user clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesDoubleClick | Indicates that the user double-clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesItemRollOver | Indicates that the user rolled the mouse pointer over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexImage Class

Description

Lets you import JPEG, PNG, GIF, and SWF files at runtime.

You can also embed any of these files and SVG files at compile time by using @Embed(source='filename').

Note: Flex also includes the SWFLoader control for loading Flex applications. You typically use the Image control for loading static graphic files and SWF files, and use the SWFLoader control for loading Flex applications. The Image control is also designed to be used in custom item renderers and item editors.

Inheritance Hierarchy

  • FlexLoader
    • FlexImage

Syntax

C#
public class FlexImage : FlexLoader
VB
'Declaration
Public Class FlexImage _
Inherits FlexLoader

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
source | The URL, object, class or string name of a class to load as the content. (Inherited from FlexLoader)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexLabel Class

Description

Displays a single line of noneditable text.

Inheritance Hierarchy

  • FlexObject
    • FlexLabel

Syntax

C#
public class FlexLabel : FlexObject
VB
'Declaration
Public Class FlexLabel _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
color | the color of text in the component, including the component label. The default value is 0x0B333C.
currentState | the current view state of the component. (Inherited from FlexObject)
disabledColor | the color of text in the component if it is disabled. The default value is 0xAAB3B3.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use.
fontSize | the height of the text, in pixels.
fontStyle | whether the text is italic font.
fontWeight | whether the text is boldface.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
htmlText | the text displayed by the Label control, including HTML markup that expresses the styles of that text.
id | the ID of the component. (Inherited from FlexObject)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
text | the plain text displayed by this control. Its appearance is determined by the CSS styles of this Label control.
textAlign | the alignment of text within a container.
textDecoration | whether the text is underlined.
textIndent | the offset of the first line of text from the left side of the container, in pixels. The default value is 0.
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexLineChart Class

Description

Represents a data series as points connected by a continuous line.

You can use an icon or symbol to represent each data point along the line, or show a simple line with no icons.

Inheritance Hierarchy

  • FlexCartesianChart
    • FlexLineChart

Syntax

C#
public class FlexLineChart : FlexCartesianChart
VB
'Declaration
Public Class FlexLineChart _
Inherits FlexCartesianChart

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clipContent | whether Flex clips the chart to the area bounded by the axes. Set to false to clip the chart. Set to true to avoid clipping when the data is rendered. (Inherited from FlexChart)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChart)
currentState | the current view state of the component. (Inherited from FlexObject)
dataTipMode | how Flex displays DataTip controls for the chart. (Inherited from FlexChart)
description | a short description of the data in the chart. (Inherited from FlexChart)
dragEnabled | whether you can drag items out of this chart and drop them on other controls. (Inherited from FlexChart)
dropEnabled | whether dragged items can be dropped onto the chart. (Inherited from FlexChart)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexChart)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexChart)
fontSize | the height of the text, in pixels. The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11. (Inherited from FlexChart)
gutterBottom | The size of the region, in pixels, between the bottom of the chart data area and the bottom of the chart control. (Inherited from FlexCartesianChart)
gutterLeft | The size of the region, in pixels, between the left of the chart data area and the left of the chart control. (Inherited from FlexCartesianChart)
gutterRight | The size of the region, in pixels, between the right side of the chart data area and the outside of the chart control. (Inherited from FlexCartesianChart)
gutterTop | The size of the region, in pixels, between the top of the chart data area and the top of the chart control. (Inherited from FlexCartesianChart)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalAxisRatio | the height limit of the horiztonal axis. (Inherited from FlexCartesianChart)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from FlexChart)
maximumDataTipCount | the maximum number of datatips a chart will show. (Inherited from FlexChart)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
mouseSensitivity | the distance, in pixels, that Flex considers a data point to be under the mouse pointer when the pointer moves around a chart. (Inherited from FlexChart)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChart)
numRows | the total number of rows of data available. (Inherited from FlexChart)
paddingBottom | the number of pixels between the chart's bottom border and its content area. (Inherited from FlexChart)
paddingLeft | the number of pixels between the control's left border and the left edge of its content area. The default value is 2. (Inherited from FlexChart)
paddingRight | the number of pixels between the control's right border and the right edge of its content area. The default value is 0. (Inherited from FlexChart)
paddingTop | the number of pixels between the chart's top border and its content area. (Inherited from FlexChart)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedChartItem | the selected ChartItem in the chart. If multiple items are selected, this property specifies the most recently selected item. (Inherited from FlexChart)
selectedChartItems | an array of all the selected ChartItem objects in the chart. (Inherited from FlexChart)
selectionMode | whether ChartItem objects can be selected. (Inherited from FlexChart)
showDataTips | whether DataTip controls for the chart show. (Inherited from FlexChart)
showDataTipTargets | whether to show targets over the datapoints when showDataTips is set to true. (Inherited from FlexChart)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textAlign | the alignment of text within a container. (Inherited from FlexCartesianChart)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalAxisRatio | the width limit of the vertical axis. (Inherited from FlexCartesianChart)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexChart)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexChart)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexChart)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChart)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Defines the value of the type property of the event object for a headerRelease event, which indicates that the user pressed and released the mouse on a column header. (Inherited from FlexChart)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexLineSeries Class

Description

Defines a data series for a LineChart control.

Inheritance Hierarchy

  • FlexChartSeries
    • FlexLineSeries

Syntax

C#
public class FlexLineSeries : FlexChartSeries
VB
'Declaration
Public Class FlexLineSeries _
Inherits FlexChartSeries

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChartSeries)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexChartSeries)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
form | the line type for the chart.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from FlexChartSeries)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChartSeries)
numRows | the total number of rows of data available. (Inherited from FlexChartSeries)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
radius | the radius, in pixels, of the chart elements for the data points.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | the index of the selected item in the data provider of the series. (Inherited from FlexChartSeries)
selectedIndices | an array of indexes of the selected items in the data provider of the series. (Inherited from FlexChartSeries)
selectedItem | the chart item that is selected in the series. (Inherited from FlexChartSeries)
selectedItems | an array of chart items that are selected in the series. (Inherited from FlexChartSeries)
sortOnXField | whether the line datapoints are sorted from left to right before rendering.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
xField | the field of the data provider that determines the x-axis location of each data point.
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
yField | the field of the data provider that determines the y-axis location of each data point.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChartSeries)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SeriesClick | Indicates that the user clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesDoubleClick | Indicates that the user double-clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesItemRollOver | Indicates that the user rolled the mouse pointer over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexLinkBar Class

Description

Defines a horizontal or vertical row of LinkButton controls that designate a series of link destinations.

You typically use a LinkBar control to control the active child container of a ViewStack container, or to create a stand-alone set of links.

Inheritance Hierarchy

  • FlexNavigationBar
    • FlexLinkBar

Syntax

C#
public class FlexLinkBar : FlexNavigationBar
VB
'Declaration
Public Class FlexLinkBar _
Inherits FlexNavigationBar

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0. (Inherited from FlexContainer)
backgroundColor | the background color of a component. (Inherited from FlexContainer)
backgroundDisabledColor | the background color of the component when it is disabled. The global default value is undefined. (Inherited from FlexContainer)
backgroundImage | the background image of a component. This can be an absolute or relative URL or class. (Inherited from FlexContainer)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexContainer)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexContainer)
creationIndex | the order to instantiate and draw the children of the container. (Inherited from FlexContainer)
creationPolicy | the child creation policy for this Container. (Inherited from FlexContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
direction | whether to use vertical (default) or horizontal layout. (Inherited from FlexBox)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alpha transparency values used for the background fill of components. (Inherited from FlexContainer)
fillColors | the colors used to tint the background fill of the component. (Inherited from FlexContainer)
firstVisibleRow | the index of the first visible child. (Inherited from FlexContainer)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexContainer)
fontSize | the height of the text, in pixels. (Inherited from FlexContainer)
fontStyle | whether the text is italic font. (Inherited from FlexContainer)
fontWeight | whether the text is boldface. (Inherited from FlexContainer)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalAlign | the horizontal alignment of children in the container. (Inherited from FlexBox)
id | the ID of the component. (Inherited from FlexObject)
label | the text displayed by some navigator containers to represent this Container. (Inherited from FlexContainer)
lastVisibleRow | the index of the last visible child. (Inherited from FlexContainer)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of child components in this container. (Inherited from FlexContainer)
numColumns | the total number of columns of data available. (Inherited from FlexContainer)
numRows | the total number of rows of data available. (Inherited from FlexContainer)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | the index of the active navigation item, where the first item is at an index of 0. The default value is -1. (Inherited from FlexNavigationBar)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalAlign | the vertical alignment of children in the container. (Inherited from FlexBox)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Change | Defines the value of the type property of the event object for an itemClick event. (Inherited from FlexNavigationBar)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexContainer)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexContainer)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexContainer)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items. (Inherited from FlexContainer)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexContainer)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the user manually scrolls the container. (Inherited from FlexContainer)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from FlexNavigationBar)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexList Class

Description

Displays a list of items horizontally, verically, or laid out in tiles.

Inheritance Hierarchy

  • FlexListBase
    • FlexList
      • FlexTree

Syntax

C#
public class FlexList : FlexListBase
VB
'Declaration
Public Class FlexList _
Inherits FlexListBase

Properties

Name | Description
allowMultipleSelection | whether you can allow more than one item to be selected at the same time. (Inherited from FlexListBase)
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
alternatingItemColors | the colors to use for the backgrounds of the items in the list. (Inherited from FlexListBase)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundDisabledColor | the color of text in the component if it is disabled. The default value is 0xAAB3B3. (Inherited from FlexListBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnCount | the number of columns to be displayed in a TileList control or items in a HorizontalList control. (Inherited from FlexListBase)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexListBase)
columnWidth | the width of the control's columns. (Inherited from FlexListBase)
currentState | the current view state of the component. (Inherited from FlexObject)
dataTipField | the name of the field in the data provider items to display as the data tip. (Inherited from FlexListBase)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexListBase)
focusAlpha | the alpha transparency value of the focus skin. The default value is 0.4. (Inherited from FlexListBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
iconField | the name of the field in the data provider object that determines what to display as the icon. (Inherited from FlexListBase)
id | the ID of the component. (Inherited from FlexObject)
labelField | the name of the field in the data provider items to display as the label. (Inherited from FlexListBase)
lastVisibleRow | the index of the last visible child. (Inherited from FlexListBase)
lockedColumnCount | the index of the first column in the control that scrolls. (Inherited from FlexListBase)
lockedRowCount | the index of the first row in the control that scrolls. (Inherited from FlexListBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexListBase)
numRows | the total number of rows of data available. (Inherited from FlexListBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
rollOverColor | the color of the background of a renderer when the user rolls over it. The default value is 0xEEFEE6. (Inherited from FlexListBase)
rowCount | the number of rows to be displayed. (Inherited from FlexListBase)
rowHeight | the height of the rows in pixels. (Inherited from FlexListBase)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectable | whether the list shows selected items as selected. (Inherited from FlexListBase)
selectedIndex | the index in the data provider of the selected item. (Inherited from FlexListBase)
selectedIndices | an array of indices in the data provider of the selected items. (Inherited from FlexListBase)
selectedItem | a reference to the selected item in the data provider. (Inherited from FlexListBase)
selectedItems | an array of references to the selected items in the data provider. (Inherited from FlexListBase)
selectionColor | the color of the background of a renderer when the user selects it. The default value is 0x7FCEFF. (Inherited from FlexListBase)
selectionDisabledColor | the color of the background of a renderer when the component is disabled. The default value is 0xDDDDDD. (Inherited from FlexListBase)
showDataTips | whether dataTips are displayed for text in the rows. (Inherited from FlexListBase)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textRollOverColor | the text color of the label as the user moves the mouse pointer over the button. The default value is 0x2B333C. (Inherited from FlexListBase)
textSelectedColor | the color of the text of a renderer when the user selects it. The default value is 0x2B333C. (Inherited from FlexListBase)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
useRollOver | whether items are highlighted as the mouse rolls over them. (Inherited from FlexListBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
variableRowHeight | whether the individual rows can have different height. (Inherited from FlexListBase)
verticalAlign | the vertical alignment of a renderer in a row. (Inherited from FlexListBase)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
wordWrap | whether text in the row should be word wrapped. (Inherited from FlexListBase)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
Deselect | Defines the value of the type property of the event object for an event that is dispatched when a previously selected item is deselected. (Inherited from FlexListBase)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleSelect | Defines the value of the type property of the ListEvent object for an itemDoubleClick event, which indicates that the user double-clicked the mouse over a visual item in the control. (Inherited from FlexListBase)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexListBase)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexListBase)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexListBase)
Edit | Defines the value of the type property of the event object for a itemEditBegin event, which indicates that an item is ready to be edited.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexListBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexScrollBase)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
MultiSelect | Defines the value of the type property of the event object for an event that is dispatched when an item is selected as part of an action that selects multiple items. (Inherited from FlexListBase)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Defines the value of the type property of the event object for a scroll event. (Inherited from FlexListBase)
ScrollToIndex | Ensures that the data provider item at the given index is visible. (Inherited from FlexListBase)
Select | Defines the value of the type property of the event object for an event that is dispatched when a single item is selected. (Inherited from FlexListBase)
SelectIndex | Defines the value of the type property of the event object for an event that is dispatched when a single item is selected. (Inherited from FlexListBase)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from FlexListBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexListBase Class

Description

The ListBase class is the base class for controls that represent lists of items that can have one or more selected and can scroll through the items.

Items are supplied using the dataProvider property and displayed via item renderers.

In a model/view architecture, the ListBase-derived class represents the view, and the dataProvider object represents the model.

Inheritance Hierarchy

  • FlexScrollBase
    • FlexListBase
      • FlexAdvancedDataGrid
      • FlexDataGrid
      • FlexList

Syntax

C#
public class FlexListBase : FlexScrollBase
VB
'Declaration
Public Class FlexListBase _
Inherits FlexScrollBase

Properties

Name | Description
allowMultipleSelection | whether you can allow more than one item to be selected at the same time.
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
alternatingItemColors | the colors to use for the backgrounds of the items in the list.
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundDisabledColor | the color of text in the component if it is disabled. The default value is 0xAAB3B3.
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnCount | the number of columns to be displayed in a TileList control or items in a HorizontalList control.
columnNames | a list containing the names of all columns in the data.
columnWidth | the width of the control's columns.
currentState | the current view state of the component. (Inherited from FlexObject)
dataTipField | the name of the field in the data provider items to display as the data tip.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child.
focusAlpha | the alpha transparency value of the focus skin. The default value is 0.4.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
iconField | the name of the field in the data provider object that determines what to display as the icon.
id | the ID of the component. (Inherited from FlexObject)
labelField | the name of the field in the data provider items to display as the label.
lastVisibleRow | the index of the last visible child.
lockedColumnCount | the index of the first column in the control that scrolls.
lockedRowCount | the index of the first row in the control that scrolls.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available.
numRows | the total number of rows of data available.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
rollOverColor | the color of the background of a renderer when the user rolls over it. The default value is 0xEEFEE6.
rowCount | the number of rows to be displayed.
rowHeight | the height of the rows in pixels.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectable | whether the list shows selected items as selected.
selectedIndex | the index in the data provider of the selected item.
selectedIndices | an array of indices in the data provider of the selected items.
selectedItem | a reference to the selected item in the data provider.
selectedItems | an array of references to the selected items in the data provider.
selectionColor | the color of the background of a renderer when the user selects it. The default value is 0x7FCEFF.
selectionDisabledColor | the color of the background of a renderer when the component is disabled. The default value is 0xDDDDDD.
showDataTips | whether dataTips are displayed for text in the rows.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textRollOverColor | the text color of the label as the user moves the mouse pointer over the button. The default value is 0x2B333C.
textSelectedColor | the color of the text of a renderer when the user selects it. The default value is 0x2B333C.
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
useRollOver | whether items are highlighted as the mouse rolls over them.
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
variableRowHeight | whether the individual rows can have different height.
verticalAlign | the vertical alignment of a renderer in a row.
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
wordWrap | whether text in the row should be word wrapped.
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
Deselect | Defines the value of the type property of the event object for an event that is dispatched when a previously selected item is deselected.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleSelect | Defines the value of the type property of the ListEvent object for an itemDoubleClick event, which indicates that the user double-clicked the mouse over a visual item in the control.
DragCancel | Defines the value of the type property of the event object for a dragComplete event.
DragDrop | Defines the value of the type property of the event object for a dragDrop event.
DragStart | Defines the value of the type property of the event object for a dragStart event.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexScrollBase)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
MultiSelect | Defines the value of the type property of the event object for an event that is dispatched when an item is selected as part of an action that selects multiple items.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Defines the value of the type property of the event object for a scroll event.
ScrollToIndex | Ensures that the data provider item at the given index is visible.
Select | Defines the value of the type property of the event object for an event that is dispatched when a single item is selected.
SelectIndex | Defines the value of the type property of the event object for an event that is dispatched when a single item is selected.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexListLabel Class

Description

Defines the default item renderer for a control. By default, the item renderer draws the text associated with each item in the list, and an optional icon.

Inheritance Hierarchy

  • FlexDisplayObject
    • FlexListLabel

Syntax

C#
public class FlexListLabel : FlexDisplayObject
VB
'Declaration
Public Class FlexListLabel _
Inherits FlexDisplayObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element.
automationIndex | a string containing the automation index for the element.
automationName | the name that can be used as an identifier for this object.
automationValue | the value that generally corresponds to the rendered appearance of the object and should be usable for correlating the identifier with the object as it appears visually within the application.
className | the name of this instance's class, such as "Button".
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexLoader Class

Description

Loads and displays a specified SWF file. You typically use SWFLoader for loading one Flex application into a host Flex application.

Inheritance Hierarchy

  • FlexObject
    • FlexLoader
      • FlexImage

Syntax

C#
public class FlexLoader : FlexObject
VB
'Declaration
Public Class FlexLoader _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
source | The URL, object, class or string name of a class to load as the content.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexMenu Class

Description

Creates a pop-up menu of individually selectable choices, similar to the File or Edit menu found in most software applications. The popped up menu can have as many levels of submenus as needed.

Inheritance Hierarchy

  • FlexObject
    • FlexMenu

Syntax

C#
public class FlexMenu : FlexObject
VB
'Declaration
Public Class FlexMenu _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
alternatingItemColors | the colors used for menu or submenu menu items in an alternating pattern.
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data.
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available.
numRows | the total number of rows of data available.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
rollOverColor | the color of the menu item background when a user rolls the mouse over it. The default value is 0xB2E1FF.
rowCount | the number of rows to be displayed.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | the index in the data provider of the selected item.
selectionColor | the color of the menu item background when a menu item is selected. The default value is 0x7FCEFF.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textRollOverColor | the color of the menu item text when a user rolls the mouse over the menu item. The default value is 0x2B333C.
textSelectedColor | the color of the menu item text when the menu item is selected. The default value is 0x2B333C.
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components.
Hide | Dispatched when a menu or submenu is dismissed.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Dispatched when a menu item is selected.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Show | Dispatched when a menu or submenu opens.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexMenuBar Class

Description

Defines a horizontal, top-level menu bar that contains one or more menus. Clicking on a top-level menu item opens a pop-up submenu that is an instance of the Menu control.

Inheritance Hierarchy

  • FlexObject
    • FlexMenuBar

Syntax

C#
public class FlexMenuBar : FlexObject
VB
'Declaration
Public Class FlexMenuBar _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundColor | the background color of the component.
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
color | the color of text in the component, including the component label. The default value is 0x0B333C.
columnNames | a list containing the names of all columns in the data.
currentState | the current view state of the component. (Inherited from FlexObject)
disabledColor | the color of text in the component if it is disabled. The default value is 0xAAB3B3.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillColors | the colors used to tint the background of the control.
firstVisibleRow | the index of the first visible child.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use.
fontSize | the height of the text, in pixels.
fontStyle | whether the text is italic font.
fontWeight | whether the text is boldface.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of children of this object.
numColumns | the total number of columns in the data available.
numRows | the total number of rows of data available.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
rollOverColor | the color of the menu item background when a user rolls the mouse over it.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | the index in the MenuBar control of the currently open Menu or the last opened Menu if none are currently open.
selectionColor | the color of the menu item background when a menu item is selected.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textAlign | the alignment of text within a container.
textDecoration | whether the text is underlined.
textIndent | the offset of the first line of text from the left side of the container, in pixels. The default value is 0.
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components.
Hide | Dispatched when a menu or submenu is dismissed.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Show | Dispatched when a menu or submenu opens.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexNavigationBar Class

Description

The superclass for navigator controls, such as the LinkBar and TabBar controls. This class cannot be instantiated directly.

Inheritance Hierarchy

  • FlexBox
    • FlexNavigationBar
      • FlexButtonBar
      • FlexLinkBar

Syntax

C#
public class FlexNavigationBar : FlexBox
VB
'Declaration
Public Class FlexNavigationBar _
Inherits FlexBox

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0. (Inherited from FlexContainer)
backgroundColor | the background color of a component. (Inherited from FlexContainer)
backgroundDisabledColor | the background color of the component when it is disabled. The global default value is undefined. (Inherited from FlexContainer)
backgroundImage | the background image of a component. This can be an absolute or relative URL or class. (Inherited from FlexContainer)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexContainer)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexContainer)
creationIndex | the order to instantiate and draw the children of the container. (Inherited from FlexContainer)
creationPolicy | the child creation policy for this Container. (Inherited from FlexContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
direction | whether to use vertical (default) or horizontal layout. (Inherited from FlexBox)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alpha transparency values used for the background fill of components. (Inherited from FlexContainer)
fillColors | the colors used to tint the background fill of the component. (Inherited from FlexContainer)
firstVisibleRow | the index of the first visible child. (Inherited from FlexContainer)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexContainer)
fontSize | the height of the text, in pixels. (Inherited from FlexContainer)
fontStyle | whether the text is italic font. (Inherited from FlexContainer)
fontWeight | whether the text is boldface. (Inherited from FlexContainer)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalAlign | the horizontal alignment of children in the container. (Inherited from FlexBox)
id | the ID of the component. (Inherited from FlexObject)
label | the text displayed by some navigator containers to represent this Container. (Inherited from FlexContainer)
lastVisibleRow | the index of the last visible child. (Inherited from FlexContainer)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of child components in this container. (Inherited from FlexContainer)
numColumns | the total number of columns of data available. (Inherited from FlexContainer)
numRows | the total number of rows of data available. (Inherited from FlexContainer)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | the index of the active navigation item, where the first item is at an index of 0. The default value is -1.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalAlign | the vertical alignment of children in the container. (Inherited from FlexBox)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Change | Defines the value of the type property of the event object for an itemClick event.
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexContainer)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexContainer)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexContainer)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items. (Inherited from FlexContainer)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexContainer)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the user manually scrolls the container. (Inherited from FlexContainer)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexNumericStepper Class

Description

Lets the user select a number from an ordered set.

The NumericStepper control consists of a single-line input text field and a pair of arrow buttons for stepping through the possible values. The Up Arrow and Down Arrow keys also cycle through the values.

Inheritance Hierarchy

  • FlexObject
    • FlexNumericStepper

Syntax

C#
public class FlexNumericStepper : FlexObject
VB
'Declaration
Public Class FlexNumericStepper _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
color | the color of text in the component, including the component label. The default value is 0x0B333C.
currentState | the current view state of the component. (Inherited from FlexObject)
disabledColor | the color of text in the component if it is disabled. The default value is 0xAAB3B3.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillColors | the colors used to tint the background of the control. Pass the same color for both values for a flat-looking control. The default value is [ 0xFFFFFF, 0xCCCCCC ].
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use.
fontSize | the height of the text, in pixels.
fontStyle | whether the text is italic font.
fontWeight | whether the text is boldface. Recognized values are normal and bold.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
maximum | the maximum value of the NumericStepper.
minimum | the minimum value of the NumericStepper.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
nextValue | the value that is one step larger than the current value property and not greater than the maximum property value.
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
previousValue | the value that is one step smaller than the current value property and not smaller than the maximum property value.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
stepSize | the non-zero unit of change between values.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textAlign | the alignment of text within a container. Possible values are: left, right, or center.
textDecoration | whether the text is underlined. Possible values are none and underline. The default value is none.
textIndent | the offset of first line of text from the left side of the container, in pixels. The default value is 0.
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
value | the value displayed in the text area of the NumericStepper control.
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Change | Dispatched when the value of the NumericStepper control changes as a result of user interaction.
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Input | Creates an Event object that contains information about text events. Event objects are passed as parameters to event listeners.
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SelectText | Lets you track selection within a text field.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexObject Class

Description

The base class for all visual components, both interactive and noninteractive.

Inheritance Hierarchy

  • FlexDisplayObject
    • FlexObject
      • FlexAxisRenderer
      • FlexButton
      • FlexChart
      • FlexChartLegend
      • FlexChartSeries
      • FlexComboBase
      • FlexContainer
      • FlexDateChooser
      • FlexLabel
      • FlexLoader
      • FlexMenu
      • FlexMenuBar
      • FlexNumericStepper
      • FlexProgressBar
      • FlexRule
      • FlexScrollBar
      • FlexScrollBase
      • FlexSlider
      • FlexVideoDisplay
      • SparkDataGridLabel
      • SparkGroupBase
      • SparkObject
      • SparkPopUpAnchor
      • SparkTextBase
      • SparkVideoDisplay

Syntax

C#
public class FlexObject : FlexDisplayObject
VB
'Declaration
Public Class FlexObject _
Inherits FlexDisplayObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element.
automationIndex | a string containing the automation index for the element.
automationName | the name that can be used as an identifier for this object.
className | the name of this instance's class, such as Button.
currentState | the current view state of the component.
enabled | whether the component can accept user interaction.
errorColor | the color of the component highlight when validation fails.
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails.
focusEnabled | whether the component can receive focus when tabbed to.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size.
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN.
scaleX | the number that specifies the horizontal scaling factor.
scaleY | the number that specifies the vertical scaling factor.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component.
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic).
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead.
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexOLAPDataGrid Class

Description

Expands on the functionality of the AdvancedDataGrid control to add support for the display of the results of OLAP queries.

Like all Flex data grid controls, the OLAPDataGrid control is designed to display data in a two-dimensional representation of rows and columns.

Inheritance Hierarchy

  • FlexAdvancedDataGrid
    • FlexOLAPDataGrid

Syntax

C#
public class FlexOLAPDataGrid : FlexAdvancedDataGrid
VB
'Declaration
Public Class FlexOLAPDataGrid _
Inherits FlexAdvancedDataGrid

Properties

Name | Description
allowDragSelection | whether drag-selection is enabled. Drag-Selection is the ability to select an item by dragging into it as opposed to normal selection where you can't have the mouse button down when you mouse over the item you want to select. (Inherited from FlexAdvancedDataGrid)
allowMultipleSelection | whether you can allow more than one item to be selected at the same time. (Inherited from FlexListBase)
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
alternatingItemColors | the colors to use for the backgrounds of the items in the list. (Inherited from FlexListBase)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundDisabledColor | the color of text in the component if it is disabled. The default value is 0xAAB3B3. (Inherited from FlexListBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnCount | the number of columns to be displayed in a TileList control or items in a HorizontalList control. (Inherited from FlexListBase)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexListBase)
columnWidth | the width of the control's columns. (Inherited from FlexListBase)
currentState | the current view state of the component. (Inherited from FlexObject)
dataTipField | the name of the field in the data provider items to display as the data tip. (Inherited from FlexListBase)
defaultCellString | the String displayed in a cell when the data for that cell returned by the IOLAPResult instance is null (Nothing in Visual Basic) or NaN.
depthColors | the array of colors used for the rows of each level of the navigation tree of the AdvancedDataGrid control, in descending order. The default value is undefined. (Inherited from FlexAdvancedDataGrid)
disabledColor | the color of text in the component if it is disabled. (Inherited from FlexAdvancedDataGrid)
displayItemsExpanded | whether the navigation tree is expanded to show all items. (Inherited from FlexAdvancedDataGrid)
editable | whether the user can edit items in the data provider. (Inherited from FlexAdvancedDataGrid)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexListBase)
focusAlpha | the alpha transparency value of the focus skin. The default value is 0.4. (Inherited from FlexListBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
headerColors | an array of two colors used to draw the header background gradient. (Inherited from FlexAdvancedDataGrid)
headerHeight | the height of the header cell of the column, in pixels. (Inherited from FlexAdvancedDataGrid)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalGridLineColor | the color of the horizontal grid lines. (Inherited from FlexAdvancedDataGrid)
iconField | the name of the field in the data provider object that determines what to display as the icon. (Inherited from FlexListBase)
id | the ID of the component. (Inherited from FlexObject)
indentation | the indentation for each node of the navigation tree, in pixels. The default value is 17. (Inherited from FlexAdvancedDataGrid)
labelField | the name of the field in the data provider items to display as the label. (Inherited from FlexListBase)
lastVisibleRow | the index of the last visible child. (Inherited from FlexListBase)
lockedColumnCount | the index of the first column in the control that scrolls. (Inherited from FlexListBase)
lockedRowCount | the index of the first row in the control that scrolls. (Inherited from FlexListBase)
minColumnWidth | the minimum width of the columns, in pixels. (Inherited from FlexAdvancedDataGrid)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexListBase)
numRows | the total number of rows of data available. (Inherited from FlexListBase)
openDuration | the length of an open or close transition for the navigation tree, in milliseconds. The default value is 250. (Inherited from FlexAdvancedDataGrid)
paddingBottom | the number of pixels between the bottom of the row and the bottom of the renderer in the row. (Inherited from FlexAdvancedDataGrid)
paddingLeft | the number of pixels between the control's left border and the left edge of its content area. The default value is 2. (Inherited from FlexAdvancedDataGrid)
paddingRight | the number of pixels between the control's right border and the right edge of its content area. The default value is 0. (Inherited from FlexAdvancedDataGrid)
paddingTop | the number of pixels between the top of the row and the top of the renderer in the row. (Inherited from FlexAdvancedDataGrid)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
resizableColumns | whether the user can change the size of the columns. (Inherited from FlexAdvancedDataGrid)
rollOverColor | the color of the background of a renderer when the user rolls over it. The default value is 0xEEFEE6. (Inherited from FlexListBase)
rowCount | the number of rows to be displayed. (Inherited from FlexListBase)
rowHeight | the height of the rows in pixels. (Inherited from FlexListBase)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectable | whether the list shows selected items as selected. (Inherited from FlexListBase)
selectedCells | an Array of cell locations as row and column indices. (Inherited from FlexAdvancedDataGrid)
selectedIndex | the index in the data provider of the selected item. (Inherited from FlexListBase)
selectedIndices | an array of indices in the data provider of the selected items. (Inherited from FlexListBase)
selectedItem | a reference to the selected item in the data provider. (Inherited from FlexListBase)
selectedItems | an array of references to the selected items in the data provider. (Inherited from FlexListBase)
selectionColor | the color of the background of a renderer when the user selects it. The default value is 0x7FCEFF. (Inherited from FlexListBase)
selectionDisabledColor | the color of the background of a renderer when the component is disabled. The default value is 0xDDDDDD. (Inherited from FlexListBase)
selectionMode | the selection mode of the control. (Inherited from FlexAdvancedDataGrid)
showDataTips | whether dataTips are displayed for text in the rows. (Inherited from FlexListBase)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textRollOverColor | the text color of the label as the user moves the mouse pointer over the button. The default value is 0x2B333C. (Inherited from FlexListBase)
textSelectedColor | the color of the text of a renderer when the user selects it. The default value is 0x2B333C. (Inherited from FlexListBase)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
useRollOver | whether items are highlighted as the mouse rolls over them. (Inherited from FlexListBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
variableRowHeight | whether the individual rows can have different height. (Inherited from FlexListBase)
verticalAlign | the vertical alignment of a renderer in a row. (Inherited from FlexListBase)
verticalGridLineColor | the color of the vertical grid lines. The default value is 0x666666. (Inherited from FlexAdvancedDataGrid)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
wordWrap | whether text in the row should be word wrapped. (Inherited from FlexListBase)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes or collapses a AdvancedDataGrid branch. (Inherited from FlexAdvancedDataGrid)
ColumnGroupedADGHeaderShift | Dispatched when the user releases the mouse button on a column header after having dragged the column to a new location resulting in shifting the column to a new index. (Inherited from FlexAdvancedDataGrid)
ColumnStretch | Dispatched when a user changes the width of a column, indicating that the amount of data displayed in that column may have changed. (Inherited from FlexAdvancedDataGrid)
Deselect | Defines the value of the type property of the event object for an event that is dispatched when a previously selected item is deselected. (Inherited from FlexListBase)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleSelect | Defines the value of the type property of the ListEvent object for an itemDoubleClick event, which indicates that the user double-clicked the mouse over a visual item in the control. (Inherited from FlexListBase)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexListBase)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexListBase)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexListBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetCellData | Returns data for a cell in the grid. (Inherited from FlexAdvancedDataGrid)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetGroupedItemChildrenCount | Returns the number of children within the first item of a group. (Inherited from FlexAdvancedDataGrid)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetRowData | Returns data for the row of the item in the data provider. (Inherited from FlexAdvancedDataGrid)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexListBase)
HeaderClick | Dispatched when the user releases the mouse button on a column header to request the control to sort the grid contents based on the contents of the column. (Inherited from FlexAdvancedDataGrid)
HeaderShift | Dispatched when the user releases the mouse button on a column header after having dragged the column to a new location resulting in shifting the column to a new index. (Inherited from FlexAdvancedDataGrid)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsGroupedItem | Returns a value that specifies whether the item is a member of a group. (Inherited from FlexAdvancedDataGrid)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexScrollBase)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
MultiSelect | Defines the value of the type property of the event object for an event that is dispatched when an item is selected as part of an action that selects multiple items. (Inherited from FlexListBase)
Open | Opens or expands an AdvancedDataGrid branch. (Inherited from FlexAdvancedDataGrid)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Defines the value of the type property of the event object for a scroll event. (Inherited from FlexListBase)
ScrollToIndex | Ensures that the data provider item at the given index is visible. (Inherited from FlexListBase)
Select | Defines the value of the type property of the event object for an event that is dispatched when a single item is selected. (Inherited from FlexListBase)
SelectIndex | Defines the value of the type property of the event object for an event that is dispatched when a single item is selected. (Inherited from FlexListBase)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from FlexListBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexPanel Class

Description

Consists of a title bar, a caption, a border, and a content area for its children.

Typically, you use Panel containers to wrap top-level application modules. For example, you can include a shopping cart in a Panel container.

Inheritance Hierarchy

  • FlexContainer
    • FlexPanel
      • FlexAlert
      • FlexTitleWindow

Syntax

C#
public class FlexPanel : FlexContainer
VB
'Declaration
Public Class FlexPanel _
Inherits FlexContainer

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0. (Inherited from FlexContainer)
backgroundColor | the background color of a component. (Inherited from FlexContainer)
backgroundDisabledColor | the background color of the component when it is disabled. The global default value is undefined. (Inherited from FlexContainer)
backgroundImage | the background image of a component. This can be an absolute or relative URL or class. (Inherited from FlexContainer)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexContainer)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexContainer)
creationIndex | the order to instantiate and draw the children of the container. (Inherited from FlexContainer)
creationPolicy | the child creation policy for this Container. (Inherited from FlexContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
dropShadowEnabled | whether the Panel container's drop shadow is visible. The default value is true.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alpha transparency values used for the background fill of components. (Inherited from FlexContainer)
fillColors | the colors used to tint the background fill of the component. (Inherited from FlexContainer)
firstVisibleRow | the index of the first visible child. (Inherited from FlexContainer)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexContainer)
fontSize | the height of the text, in pixels. (Inherited from FlexContainer)
fontStyle | whether the text is italic font. (Inherited from FlexContainer)
fontWeight | whether the text is boldface. (Inherited from FlexContainer)
footerColors | the array of two colors used to draw the footer (area for the ControlBar container) background.
headerColors | the array of two colors used to draw the header.
headerHeight | the height of the header. The default value is based on the style of the title text.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text displayed by some navigator containers to represent this Container. (Inherited from FlexContainer)
lastVisibleRow | the index of the last visible child. (Inherited from FlexContainer)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of child components in this container. (Inherited from FlexContainer)
numColumns | the total number of columns of data available. (Inherited from FlexContainer)
numRows | the total number of rows of data available. (Inherited from FlexContainer)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
status | the text in the status area of the title bar. The default value is "".
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
title | the title or caption displayed in the title bar. The default value is "".
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexContainer)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexContainer)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexContainer)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items. (Inherited from FlexContainer)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexContainer)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the user manually scrolls the container. (Inherited from FlexContainer)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexPieChart Class

Description

Represents a data series as a standard pie chart.

The data for the data provider determines the size of each wedge in the pie chart relative to the other wedges. You can use the PieSeries class to create standard pie charts, doughnut charts, or stacked pie charts.

Inheritance Hierarchy

  • FlexChart
    • FlexPieChart

Syntax

C#
public class FlexPieChart : FlexChart
VB
'Declaration
Public Class FlexPieChart _
Inherits FlexChart

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clipContent | whether Flex clips the chart to the area bounded by the axes. Set to false to clip the chart. Set to true to avoid clipping when the data is rendered. (Inherited from FlexChart)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChart)
currentState | the current view state of the component. (Inherited from FlexObject)
dataTipMode | how Flex displays DataTip controls for the chart. (Inherited from FlexChart)
description | a short description of the data in the chart. (Inherited from FlexChart)
dragEnabled | whether you can drag items out of this chart and drop them on other controls. (Inherited from FlexChart)
dropEnabled | whether dragged items can be dropped onto the chart. (Inherited from FlexChart)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexChart)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexChart)
fontSize | the height of the text, in pixels. The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11. (Inherited from FlexChart)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
innerRadius | the size of the hole in the center of the pie chart.
lastVisibleRow | the index of the last visible child. (Inherited from FlexChart)
maximumDataTipCount | the maximum number of datatips a chart will show. (Inherited from FlexChart)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
mouseSensitivity | the distance, in pixels, that Flex considers a data point to be under the mouse pointer when the pointer moves around a chart. (Inherited from FlexChart)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChart)
numRows | the total number of rows of data available. (Inherited from FlexChart)
paddingBottom | the number of pixels between the chart's bottom border and its content area. (Inherited from FlexChart)
paddingLeft | the number of pixels between the control's left border and the left edge of its content area. The default value is 2. (Inherited from FlexChart)
paddingRight | the number of pixels between the control's right border and the right edge of its content area. The default value is 0. (Inherited from FlexChart)
paddingTop | the number of pixels between the chart's top border and its content area. (Inherited from FlexChart)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedChartItem | the selected ChartItem in the chart. If multiple items are selected, this property specifies the most recently selected item. (Inherited from FlexChart)
selectedChartItems | an array of all the selected ChartItem objects in the chart. (Inherited from FlexChart)
selectionMode | whether ChartItem objects can be selected. (Inherited from FlexChart)
showDataTips | whether DataTip controls for the chart show. (Inherited from FlexChart)
showDataTipTargets | whether to show targets over the datapoints when showDataTips is set to true. (Inherited from FlexChart)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textAlign | the alignment of text within a container.
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexChart)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexChart)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexChart)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChart)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Defines the value of the type property of the event object for a headerRelease event, which indicates that the user pressed and released the mouse on a column header. (Inherited from FlexChart)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexPieSeries Class

Description

Defines the data series for a PieChart control.

Inheritance Hierarchy

  • FlexChartSeries
    • FlexPieSeries

Syntax

C#
public class FlexPieSeries : FlexChartSeries
VB
'Declaration
Public Class FlexPieSeries _
Inherits FlexChartSeries

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
calloutGap | how much space, in pixels, to insert between the edge of the pie and the labels when rendering callouts. The default value is 10.
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChartSeries)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
explodeRadius | a number from 0 to 1, specifying how far all wedges of the pie series should be exploded from the center of the chart as a percentage of the total radius.
field | the field of the data provider that determines the data for each wedge of the PieChart control. The default value is null (Nothing in Visual Basic).
firstVisibleRow | the index of the first visible child. (Inherited from FlexChartSeries)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontSize | the height of the text, in pixels.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
innerRadius | a number from 0 to 1 specifying the distance from the center of the series to the inner edge of the rendered wedges, as a percentage of the total radius assigned to the series.
insideLabelSizeLimit | the font size threshold, in points, below which inside labels are considered illegible.
labelPosition | how to render value labels.
lastVisibleRow | the index of the last visible child. (Inherited from FlexChartSeries)
maxLabelRadius | the maximum amount of the PieSeries's radius that can be allocated to labels.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
nameField | the field of the data provider that determines the name of each wedge of the PieChart control. The default value is null (Nothing in Visual Basic).
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChartSeries)
numRows | the total number of rows of data available. (Inherited from FlexChartSeries)
outerRadius | the percentage of the total space available to the PieSeries to use when rendering the contents of the series.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | the index of the selected item in the data provider of the series. (Inherited from FlexChartSeries)
selectedIndices | an array of indexes of the selected items in the data provider of the series. (Inherited from FlexChartSeries)
selectedItem | the chart item that is selected in the series. (Inherited from FlexChartSeries)
selectedItems | an array of chart items that are selected in the series. (Inherited from FlexChartSeries)
startAngle | the starting angle for the first slice of the PieChart control.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChartSeries)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SeriesClick | Indicates that the user clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesDoubleClick | Indicates that the user double-clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesItemRollOver | Indicates that the user rolled the mouse pointer over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexPlotChart Class

Description

Represents data with two values for each data point. One value determines the position of the data point along the horizontal axis, and one value determines its position along the vertical axis.

Inheritance Hierarchy

  • FlexCartesianChart
    • FlexPlotChart

Syntax

C#
public class FlexPlotChart : FlexCartesianChart
VB
'Declaration
Public Class FlexPlotChart _
Inherits FlexCartesianChart

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clipContent | whether Flex clips the chart to the area bounded by the axes. Set to false to clip the chart. Set to true to avoid clipping when the data is rendered. (Inherited from FlexChart)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChart)
currentState | the current view state of the component. (Inherited from FlexObject)
dataTipMode | how Flex displays DataTip controls for the chart. (Inherited from FlexChart)
description | a short description of the data in the chart. (Inherited from FlexChart)
dragEnabled | whether you can drag items out of this chart and drop them on other controls. (Inherited from FlexChart)
dropEnabled | whether dragged items can be dropped onto the chart. (Inherited from FlexChart)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexChart)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexChart)
fontSize | the height of the text, in pixels. The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11. (Inherited from FlexChart)
gutterBottom | The size of the region, in pixels, between the bottom of the chart data area and the bottom of the chart control. (Inherited from FlexCartesianChart)
gutterLeft | The size of the region, in pixels, between the left of the chart data area and the left of the chart control. (Inherited from FlexCartesianChart)
gutterRight | The size of the region, in pixels, between the right side of the chart data area and the outside of the chart control. (Inherited from FlexCartesianChart)
gutterTop | The size of the region, in pixels, between the top of the chart data area and the top of the chart control. (Inherited from FlexCartesianChart)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalAxisRatio | the height limit of the horiztonal axis. (Inherited from FlexCartesianChart)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from FlexChart)
maximumDataTipCount | the maximum number of datatips a chart will show. (Inherited from FlexChart)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
mouseSensitivity | the distance, in pixels, that Flex considers a data point to be under the mouse pointer when the pointer moves around a chart. (Inherited from FlexChart)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChart)
numRows | the total number of rows of data available. (Inherited from FlexChart)
paddingBottom | the number of pixels between the chart's bottom border and its content area. (Inherited from FlexChart)
paddingLeft | the number of pixels between the control's left border and the left edge of its content area. The default value is 2. (Inherited from FlexChart)
paddingRight | the number of pixels between the control's right border and the right edge of its content area. The default value is 0. (Inherited from FlexChart)
paddingTop | the number of pixels between the chart's top border and its content area. (Inherited from FlexChart)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedChartItem | the selected ChartItem in the chart. If multiple items are selected, this property specifies the most recently selected item. (Inherited from FlexChart)
selectedChartItems | an array of all the selected ChartItem objects in the chart. (Inherited from FlexChart)
selectionMode | whether ChartItem objects can be selected. (Inherited from FlexChart)
showDataTips | whether DataTip controls for the chart show. (Inherited from FlexChart)
showDataTipTargets | whether to show targets over the datapoints when showDataTips is set to true. (Inherited from FlexChart)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textAlign | the alignment of text within a container. (Inherited from FlexCartesianChart)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalAxisRatio | the width limit of the vertical axis. (Inherited from FlexCartesianChart)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexChart)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexChart)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexChart)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChart)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Defines the value of the type property of the event object for a headerRelease event, which indicates that the user pressed and released the mouse on a column header. (Inherited from FlexChart)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexPlotSeries Class

Description

Defines a data series for a PlotChart control.

Inheritance Hierarchy

  • FlexChartSeries
    • FlexPlotSeries

Syntax

C#
public class FlexPlotSeries : FlexChartSeries
VB
'Declaration
Public Class FlexPlotSeries _
Inherits FlexChartSeries

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChartSeries)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexChartSeries)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from FlexChartSeries)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChartSeries)
numRows | the total number of rows of data available. (Inherited from FlexChartSeries)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
radius | the radius style
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | the index of the selected item in the data provider of the series. (Inherited from FlexChartSeries)
selectedIndices | an array of indexes of the selected items in the data provider of the series. (Inherited from FlexChartSeries)
selectedItem | the chart item that is selected in the series. (Inherited from FlexChartSeries)
selectedItems | an array of chart items that are selected in the series. (Inherited from FlexChartSeries)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
xField | the field of the data provider that determines the x-axis location of each data point.
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
yField | the field of the data provider that determines the y-axis location of each data point.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChartSeries)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SeriesClick | Indicates that the user clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesDoubleClick | Indicates that the user double-clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesItemRollOver | Indicates that the user rolled the mouse pointer over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexPopUpButton Class

Description

The PopUpButton control adds a flexible pop-up control interface to a Button control. It contains a main button and a secondary button, called the pop-up button, which pops up any UIComponent object when a user clicks the pop-up button.

A PopUpButton control can have a text label, an icon, or both on its face. When a user clicks the main part of the PopUpButton control, it dispatches a click event.

One common use for the PopUpButton control is to have the pop-up button open a List control or a Menu control that changes the function and label of the main button.

Inheritance Hierarchy

  • FlexButton
    • FlexPopUpButton

Syntax

C#
public class FlexPopUpButton : FlexButton
VB
'Declaration
Public Class FlexPopUpButton _
Inherits FlexButton

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
color | the color of text in the component, including the component label. The default value is 0x0B333C. (Inherited from FlexButton)
currentState | the current view state of the component. (Inherited from FlexObject)
disabledColor | the color of text in the component if it is disabled. The default value is 0xAAB3B3. (Inherited from FlexButton)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alphas used for the background fill of controls. (Inherited from FlexButton)
fillColors | the colors used to tint the background of the control. (Inherited from FlexButton)
focusAlpha | the alpha transparency value of the focus skin. The default value is 0.4. (Inherited from FlexButton)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexButton)
fontSize | the height of the text, in pixels. (Inherited from FlexButton)
fontStyle | whether the text is italic font. (Inherited from FlexButton)
fontWeight | whether the text is boldface. (Inherited from FlexButton)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text to appear on the Button control. (Inherited from FlexButton)
labelPlacement | the orientation of the label in relation to a specified icon. (Inherited from FlexButton)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selected | whether a toggle button is toggled on (true) or off (false). (Inherited from FlexButton)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textAlign | the alignment of text within a container. (Inherited from FlexButton)
textDecoration | whether the text is underlined. (Inherited from FlexButton)
textIndent | the offset of the first line of text from the left side of the container, in pixels. The default value is 0. (Inherited from FlexButton)
textRollOverColor | the text color of the label as the user moves the mouse pointer over the button. The default value is 0x2B333C. (Inherited from FlexButton)
textSelectedColor | the text color of the label as the user presses it. The default value is 0x000000. (Inherited from FlexButton)
themeColor | the theme color of a component. (Inherited from FlexObject)
toggle | whether a Button is in a toggle state or not. (Inherited from FlexButton)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Dispatched when the specified UIComponent closes.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
Open | Dispatched when the specified UIComponent opens.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from FlexButton)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexProgressBar Class

Description

The ProgressBar control provides a visual representation of the progress of a task over time. There are two types of ProgressBar controls: determinate and indeterminate.

A determinate ProgressBar control is a linear representation of the progress of a task over time. You use a determinate ProgressBar when the scope of the task is known. It displays when the user has to wait for an extended amount of time.

An indeterminate ProgressBar control represents time-based processes for which the scope is not yet known. As soon as you can determine the scope, you should use a determinate ProgressBar control.

Inheritance Hierarchy

  • FlexObject
    • FlexProgressBar

Syntax

C#
public class FlexProgressBar : FlexObject
VB
'Declaration
Public Class FlexProgressBar _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
barColor | the color of a ProgressBar.
borderColor | the black section of a three-dimensional border, or the color section of a two-dimensional border. The default value is 0xB7BABC.
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
color | the color of text in the component, including the component label. The default value is 0x0B333C.
conversion | the number used to convert incoming current bytes loaded value and the total bytes loaded values.
currentState | the current view state of the component. (Inherited from FlexObject)
direction | the direction in which the fill of the ProgressBar expands toward completion. Valid values in MXML are "right" and "left".
disabledColor | the color of text in the component if it is disabled. The default value is 0xAAB3B3.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillColors | the colors used to tint the background fill of the component.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use.
fontSize | the height of the text, in pixels.
fontStyle | whether the text is italic font.
fontWeight | whether the text is boldface.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
indeterminate | whether the ProgressBar control has a determinate or indeterminate appearance.
label | the text that accompanies the progress bar.
labelPlacement | the placement of the label.
labelWidth | the width of the label in pixels.
maximum | the largest progress value for the ProgressBar. You can only use this property in manual mode.
minimum | the smallest progress value for the ProgressBar. This property is set by the developer only in manual mode.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentComplete | the percentage of process that is completed. The range is 0 to 100.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textAlign | the alignment of text within a container.
textDecoration | whether the text is underlined.
textIndent | the offset of first line of text from the left side of the container, in pixels. The default value is 0.
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
value | the amount of progress that has been made between the minimum and maximum values.
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexRadioButton Class

Description

The RadioButton control lets the user make a single choice within a set of mutually exclusive choices.

Inheritance Hierarchy

  • FlexButton
    • FlexRadioButton

Syntax

C#
public class FlexRadioButton : FlexButton
VB
'Declaration
Public Class FlexRadioButton _
Inherits FlexButton

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
color | the color of text in the component, including the component label. The default value is 0x0B333C. (Inherited from FlexButton)
currentState | the current view state of the component. (Inherited from FlexObject)
disabledColor | the color of text in the component if it is disabled. The default value is 0xAAB3B3. (Inherited from FlexButton)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alphas used for the background fill of controls. (Inherited from FlexButton)
fillColors | the colors used to tint the background of the control. (Inherited from FlexButton)
focusAlpha | the alpha transparency value of the focus skin. The default value is 0.4. (Inherited from FlexButton)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexButton)
fontSize | the height of the text, in pixels. (Inherited from FlexButton)
fontStyle | whether the text is italic font. (Inherited from FlexButton)
fontWeight | whether the text is boldface. (Inherited from FlexButton)
groupName | the name of the group to which this RadioButton control belongs, or specifies the value of the id property of a RadioButtonGroup control if this RadioButton is part of a group defined by a RadioButtonGroup control.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text to appear on the Button control. (Inherited from FlexButton)
labelPlacement | the orientation of the label in relation to a specified icon. (Inherited from FlexButton)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selected | whether a toggle button is toggled on (true) or off (false). (Inherited from FlexButton)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textAlign | the alignment of text within a container. (Inherited from FlexButton)
textDecoration | whether the text is underlined. (Inherited from FlexButton)
textIndent | the offset of the first line of text from the left side of the container, in pixels. The default value is 0. (Inherited from FlexButton)
textRollOverColor | the text color of the label as the user moves the mouse pointer over the button. The default value is 0x2B333C. (Inherited from FlexButton)
textSelectedColor | the text color of the label as the user presses it. The default value is 0x000000. (Inherited from FlexButton)
themeColor | the theme color of a component. (Inherited from FlexObject)
toggle | whether a Button is in a toggle state or not. (Inherited from FlexButton)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from FlexButton)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexRepeater Class

Description

Identifies the repeater control, which creates multiple instances of its subcomponents.

Inheritance Hierarchy

  • TestObject
    • FlexRepeater

Syntax

C#
public class FlexRepeater : TestObject, IClickable, IKeyable
VB
'Declaration
Public Class FlexRepeater _
Inherits TestObject _
Implements IClickable, IKeyable

Properties

Name | Description
automationClassName | a string containing the automation class name for the element.
automationIndex | a string containing the automation index for the element.
automationName | the name that can be used as an identifier for this object.
className | a string containing the class name of the element as assigned by the control developer.
columnNames | a list containing the names of all columns in the data.
count | the number of times this Repeater should execute.
firstVisibleRow | the index of the first visible child.
id | a string containing the automation identifier (ID) for the element.
lastVisibleRow | the index of the last visible child.
numColumns | the total number of columns in the data available.
numRows | the total number of rows of data available.
recycleChildren | whether this Repeater should re-use previously created children, or create new ones.
startingIndex | the index into the dataProvider at which this Repeater starts creating children.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetValues | Returns a matrix containing the automation values of all parts of the components.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexRule Class

Description

Creates a single horizontal or vertical line. You typically use this control to create a dividing line within a container.

Inheritance Hierarchy

  • FlexObject
    • FlexRule

Syntax

C#
public class FlexRule : FlexObject
VB
'Declaration
Public Class FlexRule _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
color | the color of the line.
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
strokeWidth | the thickness of the rule in pixels.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexScrollBar Class

Description

Lets you control the portion of data that is displayed when there is too much data to fit in a display area.

Inheritance Hierarchy

  • FlexObject
    • FlexScrollBar

Syntax

C#
public class FlexScrollBar : FlexObject
VB
'Declaration
Public Class FlexScrollBar _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillColors | the colors used to tint the background of the control.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lineScrollSize | the amount to scroll when an arrow button is pressed, in pixels. The default value is 1.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
pageScrollSize | the amount to move the scroll thumb when the scroll bar track is pressed, in pixels. The default value is 0.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
scrollPosition | the number that represents the current scroll position.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
trackColors | The colors of the track, as an array of two colors.
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the ScrollBar control scrolls through user initiated action or programmatically.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexScrollBase Class

Description

The ScrollControlBase class is the base class for controls with scroll bars.

The user interacts with the scroll bar or the developer accesses methods and properties that alter the viewable area. The ScrollControlBase takes a single child object and positions and masks or sizes that object to display the viewable content. All items to be scrolled must be children of that content object.

Inheritance Hierarchy

  • FlexObject
    • FlexScrollBase
      • FlexListBase
      • FlexTextArea
      • SparkAirHTML

Syntax

C#
public class FlexScrollBase : FlexObject
VB
'Declaration
Public Class FlexScrollBase _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance.
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexSlider Class

Description

Lets users select a value by moving a slider thumb between the end points of the slider track.

The current value of the slider is determined by the relative location of the thumb between the end points of the slider, corresponding to the slider's minimum and maximum values.

Inheritance Hierarchy

  • FlexObject
    • FlexSlider

Syntax

C#
public class FlexSlider : FlexObject
VB
'Declaration
Public Class FlexSlider _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
dataTipPrecision | the number of decimal places to use for the data tip text.
direction | the orientation of the slider control.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillColors | the colors used to tint the background of the control.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
labels | an array of strings used for the slider labels.
labelStyleName | the name of the style to use for the slider label. The default value is undefined.
liveDragging | whether live dragging is enabled for the slider.
maximum | the maximum allowed value on the slider. The default value is 10.
minimum | the minimum allowed value on the slider control. The default value is 0.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
showDataTip | whether the data tip shows during user interaction.
snapInterval | the increment value of the slider thumb as the user moves the thumb.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
thumbCount | the number of thumbs allowed on the slider.
tickColor | the color of the tick marks.
tickLength | the length in pixels of the tick marks.
tickThickness | the thickness in pixels of the tick marks.
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
trackColors | the colors of the track, as an array of two colors.
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
value | the position of the thumb, and is a number between the minimum and maximum properties.
values | an array of values for each thumb when thumbCount is greater than 1.
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Change | Dispatched when the slider changes value due to mouse or keyboard interaction.
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexStandalonePlayer Class

Description

The Flex Standalone Player.

Inheritance Hierarchy

  • Window
    • FlexStandalonePlayer

Syntax

C#
public class FlexStandalonePlayer : Window
VB
'Declaration
Public Class FlexStandalonePlayer _
Inherits Window

Properties

Name | Description
Application | The name of the Application that this Window belongs to. (Inherited from Window)
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored (Inherited from IMoveable)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the window. (Inherited from IMoveable)
CloseSynchron | Closes the window and waits until the window is closed. (Inherited from IMoveable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open. (Inherited from IMoveable)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFocus | Returns the object with the input focus. (Inherited from IMoveable)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window. (Inherited from IMoveable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsActive | Returns whether the window is set to active. (Inherited from IMoveable)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
Maximize | Maximizes the window. (Inherited from IMoveable)
Minimize | Reduces the window to an icon. (Inherited from IMoveable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the window. (Inherited from IMoveable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Restore | Restores the window to its previous size. (Inherited from IMoveable)
SetActive | Makes the window active. (Inherited from IMoveable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Size | Resizes the window. (Inherited from IMoveable)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexTabNavigator Class

Description

Extends the ViewStack container by including a TabBar container for navigating between its child containers.

Inheritance Hierarchy

  • FlexViewStack
    • FlexTabNavigator

Syntax

C#
public class FlexTabNavigator : FlexViewStack
VB
'Declaration
Public Class FlexTabNavigator _
Inherits FlexViewStack

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0. (Inherited from FlexContainer)
backgroundColor | the background color of a component. (Inherited from FlexContainer)
backgroundDisabledColor | the background color of the component when it is disabled. The global default value is undefined. (Inherited from FlexContainer)
backgroundImage | the background image of a component. This can be an absolute or relative URL or class. (Inherited from FlexContainer)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexContainer)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexContainer)
creationIndex | the order to instantiate and draw the children of the container. (Inherited from FlexContainer)
creationPolicy | the child creation policy for this Container. (Inherited from FlexContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alpha transparency values used for the background fill of components. (Inherited from FlexContainer)
fillColors | the colors used to tint the background fill of the component. (Inherited from FlexContainer)
firstVisibleRow | the index of the first visible child. (Inherited from FlexContainer)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexContainer)
fontSize | the height of the text, in pixels. (Inherited from FlexContainer)
fontStyle | whether the text is italic font. (Inherited from FlexContainer)
fontWeight | whether the text is boldface. (Inherited from FlexContainer)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalAlign | the horizontal positioning of tabs at the top of this TabNavigator container.
horizontalGap | the separation between tabs, in pixels. The default value is -1, so that the borders of adjacent tabs overlap.
id | the ID of the component. (Inherited from FlexObject)
label | the text displayed by some navigator containers to represent this Container. (Inherited from FlexContainer)
lastVisibleRow | the index of the last visible child. (Inherited from FlexContainer)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of child components in this container. (Inherited from FlexContainer)
numColumns | the total number of columns of data available. (Inherited from FlexContainer)
numRows | the total number of rows of data available. (Inherited from FlexContainer)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedChild | a reference to the currently visible child container. (Inherited from FlexViewStack)
selectedIndex | the zero-based index of the currently visible child container. (Inherited from FlexViewStack)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabHeight | the height of each tab, in pixels.
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
tabWidth | the width of each tab, in pixels.
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Change | Defines the value of the type property of the event object for an itemClick event.
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexContainer)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexContainer)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexContainer)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items. (Inherited from FlexContainer)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexContainer)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the user manually scrolls the container. (Inherited from FlexContainer)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from FlexViewStack)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexTextArea Class

Description

A multiline text field with a border and optional scroll bars.

The TextArea control supports the HTML rendering capabilities of Flash Player and AIR.

Inheritance Hierarchy

  • FlexScrollBase
    • FlexTextArea

Syntax

C#
public class FlexTextArea : FlexScrollBase
VB
'Declaration
Public Class FlexTextArea _
Inherits FlexScrollBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
color | the color of text in the component, including the component label. The default value is 0x0B333C.
currentState | the current view state of the component. (Inherited from FlexObject)
disabledColor | the background color of a component.
displayAsPassword | whether this control is used for entering passwords.
editable | whether the user can edit the text in this control.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use.
fontSize | the height of the text, in pixels.
fontStyle | whether the text is italic font.
fontWeight | whether the text is boldface.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalScrollPolicy | whether the horizontal scroll bar is always on (ScrollPolicy.ON), always off (ScrollPolicy.OFF), or turns on when needed (ScrollPolicy.AUTO).
htmlText | the text displayed by the TextInput control, including HTML markup that expresses the styles of that text.
id | the ID of the component. (Inherited from FlexObject)
length | the number of characters of text displayed in the TextArea.
maxChars | the maximum number of characters that users can enter in the text field.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
restrict | the set of characters that a user can enter into the control.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectionBeginIndex | the zero-based character index value of the first character in the current selection.
selectionEndIndex | the zero-based index of the position after the last character in the current selection (equivalent to the one-based index of the last character).
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
text | the plain text that appears in the control.
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
wordWrap | whether text in the row should be word wrapped.
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Input | Dispatched when the user types, deletes, or pastes text into the control.
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexScrollBase)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Defines the value of the type property of the event object for a scroll event.
SelectText | Lets you track selection within a text field.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexTitleWindow Class

Description

Contains a title bar, a caption, a border, and a content area for its child.

Typically, you use TitleWindow containers to wrap self-contained application modules. For example, you can include a form in a TitleWindow container. When the user completes the form, you can close the TitleWindow container programmatically, or let the user close it by using the Close button.

Inheritance Hierarchy

  • FlexPanel
    • FlexTitleWindow

Syntax

C#
public class FlexTitleWindow : FlexPanel
VB
'Declaration
Public Class FlexTitleWindow _
Inherits FlexPanel

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0. (Inherited from FlexContainer)
backgroundColor | the background color of a component. (Inherited from FlexContainer)
backgroundDisabledColor | the background color of the component when it is disabled. The global default value is undefined. (Inherited from FlexContainer)
backgroundImage | the background image of a component. This can be an absolute or relative URL or class. (Inherited from FlexContainer)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexContainer)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexContainer)
creationIndex | the order to instantiate and draw the children of the container. (Inherited from FlexContainer)
creationPolicy | the child creation policy for this Container. (Inherited from FlexContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
dropShadowEnabled | whether the Panel container's drop shadow is visible. The default value is true. (Inherited from FlexPanel)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alpha transparency values used for the background fill of components. (Inherited from FlexContainer)
fillColors | the colors used to tint the background fill of the component. (Inherited from FlexContainer)
firstVisibleRow | the index of the first visible child. (Inherited from FlexContainer)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexContainer)
fontSize | the height of the text, in pixels. (Inherited from FlexContainer)
fontStyle | whether the text is italic font. (Inherited from FlexContainer)
fontWeight | whether the text is boldface. (Inherited from FlexContainer)
footerColors | the array of two colors used to draw the footer (area for the ControlBar container) background. (Inherited from FlexPanel)
headerColors | the array of two colors used to draw the header. (Inherited from FlexPanel)
headerHeight | the height of the header. The default value is based on the style of the title text. (Inherited from FlexPanel)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text displayed by some navigator containers to represent this Container. (Inherited from FlexContainer)
lastVisibleRow | the index of the last visible child. (Inherited from FlexContainer)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of child components in this container. (Inherited from FlexContainer)
numColumns | the total number of columns of data available. (Inherited from FlexContainer)
numRows | the total number of rows of data available. (Inherited from FlexContainer)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
showCloseButton | whether to display a Close button in the TitleWindow container. The default value is false.\
status | the text in the status area of the title bar. The default value is "". (Inherited from FlexPanel)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
title | the title or caption displayed in the title bar. The default value is "". (Inherited from FlexPanel)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexContainer)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexContainer)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexContainer)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items. (Inherited from FlexContainer)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexContainer)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the user manually scrolls the container. (Inherited from FlexContainer)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexToggleButtonBar Class

Description

Defines a horizontal or vertical group of buttons that maintain their selected or deselected state.

Only one button in the ToggleButtonBar control can be in the selected state. This means that when a user selects a button in a ToggleButtonBar control, the button stays in the selected state until the user selects a different button.

Inheritance Hierarchy

  • FlexButtonBar
    • FlexToggleButtonBar

Syntax

C#
public class FlexToggleButtonBar : FlexButtonBar
VB
'Declaration
Public Class FlexToggleButtonBar _
Inherits FlexButtonBar

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0. (Inherited from FlexContainer)
backgroundColor | the background color of a component. (Inherited from FlexContainer)
backgroundDisabledColor | the background color of the component when it is disabled. The global default value is undefined. (Inherited from FlexContainer)
backgroundImage | the background image of a component. This can be an absolute or relative URL or class. (Inherited from FlexContainer)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexContainer)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexContainer)
creationIndex | the order to instantiate and draw the children of the container. (Inherited from FlexContainer)
creationPolicy | the child creation policy for this Container. (Inherited from FlexContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
direction | whether to use vertical (default) or horizontal layout. (Inherited from FlexBox)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alpha transparency values used for the background fill of components. (Inherited from FlexContainer)
fillColors | the colors used to tint the background fill of the component. (Inherited from FlexContainer)
firstVisibleRow | the index of the first visible child. (Inherited from FlexContainer)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexContainer)
fontSize | the height of the text, in pixels. (Inherited from FlexContainer)
fontStyle | whether the text is italic font. (Inherited from FlexContainer)
fontWeight | whether the text is boldface. (Inherited from FlexContainer)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalAlign | the horizontal alignment of children in the container. (Inherited from FlexBox)
id | the ID of the component. (Inherited from FlexObject)
label | the text displayed by some navigator containers to represent this Container. (Inherited from FlexContainer)
lastVisibleRow | the index of the last visible child. (Inherited from FlexContainer)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of child components in this container. (Inherited from FlexContainer)
numColumns | the total number of columns of data available. (Inherited from FlexContainer)
numRows | the total number of rows of data available. (Inherited from FlexContainer)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | the index of the active navigation item, where the first item is at an index of 0. The default value is -1. (Inherited from FlexNavigationBar)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalAlign | the vertical alignment of children in the container. (Inherited from FlexBox)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Change | Defines the value of the type property of the event object for an itemClick event. (Inherited from FlexNavigationBar)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexContainer)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexContainer)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexContainer)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items. (Inherited from FlexContainer)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexContainer)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the user manually scrolls the container. (Inherited from FlexContainer)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from FlexNavigationBar)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexTree Class

Description

The Tree control lets a user view hierarchical data arranged as an expandable tree.

Each item in a tree can be a leaf or a branch. A leaf item is an end point in the tree. A branch item can contain leaf or branch items, or it can be empty.

By default, a leaf is represented by a text label next to a file icon. A branch is represented by a text label next to a folder icon, with a disclosure triangle that a user can open to expose children.

Inheritance Hierarchy

  • FlexList
    • FlexTree

Syntax

C#
public class FlexTree : FlexList
VB
'Declaration
Public Class FlexTree _
Inherits FlexList

Properties

Name | Description
allowMultipleSelection | whether you can allow more than one item to be selected at the same time. (Inherited from FlexListBase)
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
alternatingItemColors | the colors to use for the backgrounds of the items in the list. (Inherited from FlexListBase)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundDisabledColor | the color of text in the component if it is disabled. The default value is 0xAAB3B3. (Inherited from FlexListBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnCount | the number of columns to be displayed in a TileList control or items in a HorizontalList control. (Inherited from FlexListBase)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexListBase)
columnWidth | the width of the control's columns. (Inherited from FlexListBase)
currentState | the current view state of the component. (Inherited from FlexObject)
dataTipField | the name of the field in the data provider items to display as the data tip. (Inherited from FlexListBase)
depthColors | the array of colors used in the Tree control, in descending order. The default value is undefined.
disabledColor | the disabled color of a list item. The default value is 0xDDDDDD.
editable | whether the user can edit items in the data provider.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexListBase)
focusAlpha | the alpha transparency value of the focus skin. The default value is 0.4. (Inherited from FlexListBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
iconField | the name of the field in the data provider object that determines what to display as the icon. (Inherited from FlexListBase)
id | the ID of the component. (Inherited from FlexObject)
indentation | the indentation for each tree level, in pixels. The default value is 17.
labelField | the name of the field in the data provider items to display as the label. (Inherited from FlexListBase)
lastVisibleRow | the index of the last visible child. (Inherited from FlexListBase)
lockedColumnCount | the index of the first column in the control that scrolls. (Inherited from FlexListBase)
lockedRowCount | the index of the first row in the control that scrolls. (Inherited from FlexListBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexListBase)
numRows | the total number of rows of data available. (Inherited from FlexListBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
rollOverColor | the color of the background of a renderer when the user rolls over it. The default value is 0xEEFEE6. (Inherited from FlexListBase)
rowCount | the number of rows to be displayed. (Inherited from FlexListBase)
rowHeight | the height of the rows in pixels. (Inherited from FlexListBase)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectable | whether the list shows selected items as selected. (Inherited from FlexListBase)
selectedIndex | the index in the data provider of the selected item. (Inherited from FlexListBase)
selectedIndices | an array of indices in the data provider of the selected items. (Inherited from FlexListBase)
selectedItem | a reference to the selected item in the data provider. (Inherited from FlexListBase)
selectedItems | an array of references to the selected items in the data provider. (Inherited from FlexListBase)
selectionColor | the color of the background of a renderer when the user selects it. The default value is 0x7FCEFF. (Inherited from FlexListBase)
selectionDisabledColor | the color of the background of a renderer when the component is disabled. The default value is 0xDDDDDD. (Inherited from FlexListBase)
showDataTips | whether dataTips are displayed for text in the rows. (Inherited from FlexListBase)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textRollOverColor | the text color of the label as the user moves the mouse pointer over the button. The default value is 0x2B333C. (Inherited from FlexListBase)
textSelectedColor | the color of the text of a renderer when the user selects it. The default value is 0x2B333C. (Inherited from FlexListBase)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
useRollOver | whether items are highlighted as the mouse rolls over them. (Inherited from FlexListBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
variableRowHeight | whether the individual rows can have different height. (Inherited from FlexListBase)
verticalAlign | the vertical alignment of a renderer in a row. (Inherited from FlexListBase)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
wordWrap | whether text in the row should be word wrapped. (Inherited from FlexListBase)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes or collapses a tree branch.
Deselect | Defines the value of the type property of the event object for an event that is dispatched when a previously selected item is deselected. (Inherited from FlexListBase)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleSelect | Defines the value of the type property of the ListEvent object for an itemDoubleClick event, which indicates that the user double-clicked the mouse over a visual item in the control. (Inherited from FlexListBase)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexListBase)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexListBase)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexListBase)
Edit | Defines the value of the type property of the event object for a itemEditBegin event, which indicates that an item is ready to be edited. (Inherited from FlexList)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexListBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexScrollBase)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
MultiSelect | Defines the value of the type property of the event object for an event that is dispatched when an item is selected as part of an action that selects multiple items. (Inherited from FlexListBase)
Open | Opens or expands a tree branch.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Defines the value of the type property of the event object for a scroll event. (Inherited from FlexListBase)
ScrollToIndex | Ensures that the data provider item at the given index is visible. (Inherited from FlexListBase)
Select | Defines the value of the type property of the event object for an event that is dispatched when a single item is selected. (Inherited from FlexListBase)
SelectIndex | Defines the value of the type property of the event object for an event that is dispatched when a single item is selected. (Inherited from FlexListBase)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from FlexListBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexUIMovieClip Class

Description

Components created in Adobe Flash CS3 Professional for use in Flex are subclasses of the mx.flash.UIMovieClip class.

The UIMovieClip class implements the interfaces necessary for a Flash component to be used like a normal Flex component. Therefore, a subclass of UIMovieClip can be used as a child of a Flex container or as a skin, and it can respond to events, define view states and transitions, and work with effects in the same way as can any Flex component.

Inheritance Hierarchy

  • FlexDisplayObject
    • FlexUIMovieClip
      • FlexContainerMovieClip

Syntax

C#
public class FlexUIMovieClip : FlexDisplayObject
VB
'Declaration
Public Class FlexUIMovieClip _
Inherits FlexDisplayObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element.
automationIndex | a string containing the automation index for the element.
automationName | the name that can be used as an identifier for this object.
className | the name of this instance's class, such as "Button".
currentState | the current state of this component.
enabled | whether a movie clip is enabled.
errorColor | the color of the component highlight when validation fails.
errorString | the text that is displayed by a component's error tip when a component is monitored and validation fails.
focusEnabled | whether the component can receive focus when selected.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. Valid values are 0 to 100.
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Valid values are 0 to 100.
scaleX | the horizontal scale (percentage) of the object as applied from the registration point. The default registration point is (0,0). 1.0 equals 100% scale.
scaleY | the vertical scale (percentage) of an object as applied from the registration point of the object. The default registration point is (0,0). 1.0 is 100% scale.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component.
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic).
useHandCursor | whether the pointing hand (hand cursor) appears when the mouse rolls over a sprite in which the buttonMode property is set to true.
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Defines the value of the type property of a keyFocusChange event object.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Called by the FocusManager when the component receives focus. The component may in turn set focus to an internal component.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexVideoDisplay Class

Description

Lets you play an FLV file in a Flex application. It supports progressive download over HTTP, streaming from the Flash Media Server, and streaming from a Camera object.

Inheritance Hierarchy

  • FlexObject
    • FlexVideoDisplay

Syntax

C#
public class FlexVideoDisplay : FlexObject
VB
'Declaration
Public Class FlexVideoDisplay _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
source | the relative path and filename of the FLV file to stream.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
totalTime | the total length of the media, in seconds.
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
volume | the volume level, specified as an value between 0 and 1. The default value is 0.75.
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexViewStack Class

Description

Consists of a collection of child containers stacked on top of each other, where only one child at a time is visible. When a different child container is selected, it seems to replace the old one because it appears in the same location. However, the old child container still exists; it is just invisible.

Inheritance Hierarchy

  • FlexContainer
    • FlexViewStack
      • FlexTabNavigator

Syntax

C#
public class FlexViewStack : FlexContainer
VB
'Declaration
Public Class FlexViewStack _
Inherits FlexContainer

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0. (Inherited from FlexContainer)
backgroundColor | the background color of a component. (Inherited from FlexContainer)
backgroundDisabledColor | the background color of the component when it is disabled. The global default value is undefined. (Inherited from FlexContainer)
backgroundImage | the background image of a component. This can be an absolute or relative URL or class. (Inherited from FlexContainer)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexContainer)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexContainer)
creationIndex | the order to instantiate and draw the children of the container. (Inherited from FlexContainer)
creationPolicy | the child creation policy for this Container. (Inherited from FlexContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alpha transparency values used for the background fill of components. (Inherited from FlexContainer)
fillColors | the colors used to tint the background fill of the component. (Inherited from FlexContainer)
firstVisibleRow | the index of the first visible child. (Inherited from FlexContainer)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexContainer)
fontSize | the height of the text, in pixels. (Inherited from FlexContainer)
fontStyle | whether the text is italic font. (Inherited from FlexContainer)
fontWeight | whether the text is boldface. (Inherited from FlexContainer)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text displayed by some navigator containers to represent this Container. (Inherited from FlexContainer)
lastVisibleRow | the index of the last visible child. (Inherited from FlexContainer)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of child components in this container. (Inherited from FlexContainer)
numColumns | the total number of columns of data available. (Inherited from FlexContainer)
numRows | the total number of rows of data available. (Inherited from FlexContainer)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedChild | a reference to the currently visible child container.
selectedIndex | the zero-based index of the currently visible child container.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexContainer)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexContainer)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexContainer)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items. (Inherited from FlexContainer)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexContainer)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the user manually scrolls the container. (Inherited from FlexContainer)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexWindow Class

Description

The Window is a top-level container for additional windows in an AIR desktop application.

Inheritance Hierarchy

  • FlexContainer
    • FlexWindow

Syntax

C#
public class FlexWindow : FlexContainer, IMoveable
VB
'Declaration
Public Class FlexWindow _
Inherits FlexContainer _
Implements IMoveable

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
alwaysInFront | a value whether the underlying NativeWindow is always in front of other windows.
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0. (Inherited from FlexContainer)
backgroundColor | the background color of a component. (Inherited from FlexContainer)
backgroundDisabledColor | the background color of the component when it is disabled. The global default value is undefined. (Inherited from FlexContainer)
backgroundImage | the background image of a component. This can be an absolute or relative URL or class. (Inherited from FlexContainer)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexContainer)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
closed | a value whether the underlying window has been closed.
columnNames | a list containing the names of all columns in the data. (Inherited from FlexContainer)
creationIndex | the order to instantiate and draw the children of the container. (Inherited from FlexContainer)
creationPolicy | the child creation policy for this Container. (Inherited from FlexContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alpha transparency values used for the background fill of components. (Inherited from FlexContainer)
fillColors | the colors used to tint the background fill of the component. (Inherited from FlexContainer)
firstVisibleRow | the index of the first visible child. (Inherited from FlexContainer)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexContainer)
fontSize | the height of the text, in pixels. (Inherited from FlexContainer)
fontStyle | whether the text is italic font. (Inherited from FlexContainer)
fontWeight | whether the text is boldface. (Inherited from FlexContainer)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
isAIRWindow | a value whether this window is an AIR window.
label | the text displayed by some navigator containers to represent this Container. (Inherited from FlexContainer)
lastVisibleRow | the index of the last visible child. (Inherited from FlexContainer)
maxHeight | The maximum recommended height of the component to be considered by the parent during layout.
maximizable | a value whether the window can be maximized.
maxWidth | The maximum recommended width of the component to be considered by the parent during layout.
minHeight | The minimum recommended height of the component to be considered by the parent during layout.
minimizable | a value whether the window can be minimized.
minWidth | The minimum recommended width of the component to be considered by the parent during layout.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of child components in this container. (Inherited from FlexContainer)
numColumns | the total number of columns of data available. (Inherited from FlexContainer)
numRows | the total number of rows of data available. (Inherited from FlexContainer)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
resizable | a value whether the window can be resized.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
showStatusBar | a value whether the status bar is visible.
status | The string that appears in the status bar, if it is visible.
systemChrome | the type of system chrome (if any) the window has.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
title | The title that appears in the window title bar and the taskbar.
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
transparent | a value whether the window is transparent.
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored (Inherited from IMoveable)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the window. (Inherited from IMoveable)
CloseSynchron | Closes the window and waits until the window is closed. (Inherited from IMoveable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexContainer)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexContainer)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexContainer)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open. (Inherited from IMoveable)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFocus | Returns the object with the input focus. (Inherited from IMoveable)
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window. (Inherited from IMoveable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items. (Inherited from FlexContainer)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsActive | Returns whether the window is set to active. (Inherited from IMoveable)
Maximize | Maximizes the window. (Inherited from IMoveable)
Minimize | Reduces the window to an icon. (Inherited from IMoveable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexContainer)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from IMoveable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Restore | Restores the window to its previous size. (Inherited from IMoveable)
Scroll | Dispatched when the user manually scrolls the container. (Inherited from FlexContainer)
SetActive | Makes the window active. (Inherited from IMoveable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Size | Resizes the window. (Inherited from IMoveable)
StateChange | Dispatched when the displaystatus of the window is changed.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexWindowedApplication Class

Description

The WindowedApplication defines the application container that you use to create Flex applications for AIR applications.

Inheritance Hierarchy

  • FlexApplication
    • FlexWindowedApplication

Syntax

C#
public class FlexWindowedApplication : FlexApplication, IMoveable
VB
'Declaration
Public Class FlexWindowedApplication _
Inherits FlexApplication _
Implements IMoveable

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
alwaysInFront | a value whether the underlying NativeWindow is always in front of other windows.
applicationID | The identifier that AIR uses to identify the application.
autoExit | a value whether the AIR application will quit when the last window closes or will continue running in the background.
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0. (Inherited from FlexContainer)
backgroundColor | the background color of a component. (Inherited from FlexContainer)
backgroundDisabledColor | the background color of the component when it is disabled. The global default value is undefined. (Inherited from FlexContainer)
backgroundImage | the background image of a component. This can be an absolute or relative URL or class. (Inherited from FlexContainer)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexContainer)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
closed | a value whether the underlying window has been closed.
columnNames | a list containing the names of all columns in the data. (Inherited from FlexContainer)
creationIndex | the order to instantiate and draw the children of the container. (Inherited from FlexContainer)
creationPolicy | the child creation policy for this Container. (Inherited from FlexContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alpha transparency values used for the background fill of components. (Inherited from FlexContainer)
fillColors | the colors used to tint the background fill of the component. (Inherited from FlexContainer)
firstVisibleRow | the index of the first visible child. (Inherited from FlexContainer)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexContainer)
fontSize | the height of the text, in pixels. (Inherited from FlexContainer)
fontStyle | whether the text is italic font. (Inherited from FlexContainer)
fontWeight | whether the text is boldface. (Inherited from FlexContainer)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text displayed by some navigator containers to represent this Container. (Inherited from FlexContainer)
lastVisibleRow | the index of the last visible child. (Inherited from FlexContainer)
maxHeight | The maximum recommended height of the component to be considered by the parent during layout.
maximizable | a value whether the window can be maximized.
maxWidth | The maximum recommended width of the component to be considered by the parent during layout.
minHeight | The minimum recommended height of the component to be considered by the parent during layout.
minimizable | a value whether the window can be minimized.
minWidth | The minimum recommended width of the component to be considered by the parent during layout.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of child components in this container. (Inherited from FlexContainer)
numColumns | the total number of columns of data available. (Inherited from FlexContainer)
numRows | the total number of rows of data available. (Inherited from FlexContainer)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
resizable | a value whether the window can be resized.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
showStatusBar | a value whether the status bar is visible.
status | The string that appears in the status bar, if it is visible.
systemChrome | the type of system chrome (if any) the window has.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
title | The title that appears in the window title bar and the taskbar.
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
transparent | a value whether the window is transparent.
url | the URL from which this Application's SWF file was loaded. (Inherited from FlexApplication)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored (Inherited from IMoveable)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the window. (Inherited from IMoveable)
CloseSynchron | Closes the window and waits until the window is closed. (Inherited from IMoveable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexContainer)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexContainer)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexContainer)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open. (Inherited from IMoveable)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFocus | Returns the object with the input focus. (Inherited from IMoveable)
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window. (Inherited from IMoveable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items. (Inherited from FlexContainer)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsActive | Returns whether the window is set to active. (Inherited from IMoveable)
Maximize | Maximizes the window. (Inherited from IMoveable)
Minimize | Reduces the window to an icon. (Inherited from IMoveable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexContainer)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from IMoveable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Restore | Restores the window to its previous size. (Inherited from IMoveable)
Scroll | Dispatched when the user manually scrolls the container. (Inherited from FlexContainer)
SetActive | Makes the window active. (Inherited from IMoveable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Size | Resizes the window. (Inherited from IMoveable)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkAirHTML Class

Description

The HTML control lets you display HTML content in your application.

Inheritance Hierarchy

  • FlexScrollBase
    • SparkAirHTML

Syntax

C#
public class SparkAirHTML : FlexScrollBase
VB
'Declaration
Public Class SparkAirHTML _
Inherits FlexScrollBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexScrollBase)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the scroll events occur. This event is dispatched if the scrolling is done programmatically or by the user.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkApplication Class

Description

Flex defines a default, or Application, container that lets you start adding content to your application without explicitly defining another container.

Inheritance Hierarchy

  • SparkSkinnableContainer
    • SparkApplication
      • SparkWindowedApplication

Syntax

C#
public class SparkApplication : SparkSkinnableContainer
VB
'Declaration
Public Class SparkApplication _
Inherits SparkSkinnableContainer

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | whether measurement and layout are done when the position or size of a child is changed. (Inherited from SparkSkinnableContainer)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
colorCorrection | The value of the stage's colorCorrection property.
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
controlBarVisible | whether the control bar is visible.
creationPolicy | the content creation policy for this component. (Inherited from SparkSkinnableContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
deferredContentCreated | whether deferred content has been created. (Inherited from SparkSkinnableContainer)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numElements | The number of visual elements in this container. (Inherited from SparkSkinnableContainer)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
url | The URL from which this Application's SWF file was loaded.
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
viewSourceURL | the URL where the application's source can be viewed.
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkBorderContainer Class

Description

The BorderContainer class defines a set of CSS styles that control the appearance of the border and background fill of the container.

Inheritance Hierarchy

  • SparkSkinnableContainer
    • SparkBorderContainer

Syntax

C#
public class SparkBorderContainer : SparkSkinnableContainer
VB
'Declaration
Public Class SparkBorderContainer _
Inherits SparkSkinnableContainer

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | whether measurement and layout are done when the position or size of a child is changed. (Inherited from SparkSkinnableContainer)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
creationPolicy | the content creation policy for this component. (Inherited from SparkSkinnableContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
deferredContentCreated | whether deferred content has been created. (Inherited from SparkSkinnableContainer)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numElements | The number of visual elements in this container. (Inherited from SparkSkinnableContainer)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkButton Class

Description

The SparkButton component is a commonly used rectangular button. The SparkButton component looks like it can be pressed.

Inheritance Hierarchy

  • SparkButtonBase
    • SparkButton
      • SparkMuteButton

Syntax

C#
public class SparkButton : SparkButtonBase
VB
'Declaration
Public Class SparkButton _
Inherits SparkButtonBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
autoRepeat | whether to dispatch repeated buttonDown events if the user holds down the mouse button. (Inherited from SparkButtonBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
emphasized | whether the default button as requested by the focus manager.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text to appear on the ButtonBase control. (Inherited from SparkButtonBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
stickyHighlighting | a value whether the button displays its down skin when the user presses it but changes to its over skin when the user drags the mouse off of it. (Inherited from SparkButtonBase)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkButtonBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkButtonBar Class

Description

The ButtonBar control defines a horizontal group of logically related buttons with a common look and navigation.

Inheritance Hierarchy

  • SparkListBase
    • SparkButtonBar

Syntax

C#
public class SparkButtonBar : SparkListBase
VB
'Declaration
Public Class SparkButtonBar _
Inherits SparkListBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | the measurement and layout are done when the position or size of a child is changed. (Inherited from SparkSkinnableDataContainer)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
caretIndex | The item that is currently in focus. (Inherited from SparkListBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
labelField | The name of the field in the data provider items to display as the label. (Inherited from SparkListBase)
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
requireSelection | a value if a data item must always be selected in the control (Inherited from SparkListBase)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | The 0-based index of the selected item, or -1 if no item is selected. (Inherited from SparkListBase)
selectedItem | The item that is currently selected. (Inherited from SparkListBase)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
useVirtualLayout | the value of the useVirtualLayout property of the layout associated with this control. (Inherited from SparkListBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetItemsCount | Gets the number of items in the ComboBox. (Inherited from SparkListBase)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Dispatched when an item in the list is selected. (Inherited from SparkListBase)
SelectIndex | Dispatched when the user clicks on an item in the list or navigates to the item using a keyboard.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkListBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkButtonBarButton Class

Description

The ButtonBarButton class defines the custom item renderer used by the ButtonBar control.

Inheritance Hierarchy

  • SparkToggleButton
    • SparkButtonBarButton

Syntax

C#
public class SparkButtonBarButton : SparkToggleButton
VB
'Declaration
Public Class SparkButtonBarButton _
Inherits SparkToggleButton

Properties

Name | Description
allowDeselection | a value whether the user click on a currently selected button deselects it.
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
autoRepeat | whether to dispatch repeated buttonDown events if the user holds down the mouse button. (Inherited from SparkButtonBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text to appear on the ButtonBase control. (Inherited from SparkButtonBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selected | whether the button is in the down state, and false if it is in the up state. (Inherited from SparkToggleButtonBase)
showsCaret | a value whether the item renderer can show itself as focused.
stickyHighlighting | a value whether the button displays its down skin when the user presses it but changes to its over skin when the user drags the mouse off of it. (Inherited from SparkButtonBase)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | The event triggered when a drag operation is cancelled. (Inherited from SparkToggleButton)
DragDrop | The event triggered when the dragged item is dropped. (Inherited from SparkToggleButton)
DragStart | The event triggered when the drag/drop operation begins. (Inherited from SparkToggleButton)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkButtonBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkButtonBase Class

Description

The SparkButtonBase class is the base class for the all Spark button components.

Inheritance Hierarchy

  • SparkObject
    • SparkButtonBase
      • SparkButton
      • SparkToggleButtonBase

Syntax

C#
public class SparkButtonBase : SparkObject
VB
'Declaration
Public Class SparkButtonBase _
Inherits SparkObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
autoRepeat | whether to dispatch repeated buttonDown events if the user holds down the mouse button.
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text to appear on the ButtonBase control.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
stickyHighlighting | a value whether the button displays its down skin when the user presses it but changes to its over skin when the user drags the mouse off of it.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkCheckBox Class

Description

The CheckBox component consists of an optional label and a small box that can contain a check mark or not.

Inheritance Hierarchy

  • SparkToggleButtonBase
    • SparkCheckBox

Syntax

C#
public class SparkCheckBox : SparkToggleButtonBase
VB
'Declaration
Public Class SparkCheckBox _
Inherits SparkToggleButtonBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
autoRepeat | whether to dispatch repeated buttonDown events if the user holds down the mouse button. (Inherited from SparkButtonBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text to appear on the ButtonBase control. (Inherited from SparkButtonBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selected | whether the button is in the down state, and false if it is in the up state. (Inherited from SparkToggleButtonBase)
stickyHighlighting | a value whether the button displays its down skin when the user presses it but changes to its over skin when the user drags the mouse off of it. (Inherited from SparkButtonBase)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | The event triggered when a drag operation is cancelled.
DragDrop | The event triggered when the dragged item is dropped.
DragStart | The event triggered when the drag/drop operation begins.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkButtonBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkComboBox Class

Description

The ComboBox control is a child class of the DropDownListBase control. Like the DropDownListBase control, when the user selects an item from the drop-down list in the ComboBox control, the data item appears in the prompt area of the control.

Inheritance Hierarchy

  • SparkDropDownListBase
    • SparkComboBox

Syntax

C#
public class SparkComboBox : SparkDropDownListBase
VB
'Declaration
Public Class SparkComboBox _
Inherits SparkDropDownListBase

Properties

Name | Description
allowMultipleSelection | a value if multiple selection is enabled. (Inherited from SparkList)
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | the measurement and layout are done when the position or size of a child is changed. (Inherited from SparkSkinnableDataContainer)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
caretIndex | The item that is currently in focus. (Inherited from SparkListBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
currentState | the current view state of the component. (Inherited from FlexObject)
dragEnabled | A flag that indicates whether you can drag items out of this control and drop them on other controls. (Inherited from SparkList)
dragMoveEnabled | A flag that indicates whether items can be moved instead of just copied from the control as part of a drag-and-drop operation. (Inherited from SparkList)
dropEnabled | A flag that indicates whether dragged items can be dropped onto the control. (Inherited from SparkList)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
isDropDownOpen | a value whether the drop down is open. (Inherited from SparkDropDownListBase)
labelField | The name of the field in the data provider items to display as the label. (Inherited from SparkListBase)
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
maxChars | The maximum number of characters that the prompt area can contain, as entered by a user.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
requireSelection | a value if a data item must always be selected in the control (Inherited from SparkListBase)
restrict | The set of characters that a user can enter into the prompt area.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | The 0-based index of the selected item, or -1 if no item is selected. (Inherited from SparkListBase)
selectedIndices | a list representing the indices of the currently selected item or items. (Inherited from SparkList)
selectedItem | The item that is currently selected. (Inherited from SparkListBase)
selectedItems | a list of Objects representing the currently selected data items. (Inherited from SparkList)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
useVirtualLayout | the value of the useVirtualLayout property of the layout associated with this control. (Inherited from SparkListBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetItemsCount | Gets the number of items in the ComboBox. (Inherited from SparkListBase)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Input | Dispatched when the user types, deletes, or pastes text into the control.
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
Open | Dispatched when the user clicks the drop-down button to display the drop-down list. (Inherited from SparkDropDownListBase)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Dispatched when an item in the list is selected. (Inherited from SparkListBase)
SelectIndex | Dispatched when the user clicks on an item in the list or navigates to the item using a keyboard. (Inherited from SparkList)
SelectText | Dispatched when text is selected.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkListBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkComplexDisplay Class

Description

A complex rendered object.

Inheritance Hierarchy

  • SparkListLabel
    • SparkComplexDisplay

Syntax

C#
public class SparkComplexDisplay : SparkListLabel
VB
'Declaration
Public Class SparkComplexDisplay _
Inherits SparkListLabel

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | a value whether measurement and layout are done when the position or size of a child is changed. (Inherited from SparkGroupBase)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
automationValue | A value which can be used to uniquely identify this item. (Inherited from SparkListLabel)
blendMode | A value from the BlendMode class that specifies which blend mode to use. (Inherited from SparkGroup)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clipAndEnableScrolling | a value whether to clip the children to the boundaries of the viewport. (Inherited from SparkGroupBase)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkGroupBase)
contentHeight | The height of the viewport's content. (Inherited from SparkGroupBase)
contentWidth | The width of the viewport's contents. (Inherited from SparkGroupBase)
currentState | the current view state of the component. (Inherited from FlexObject)
dragging | a value whether the SparkListLabel is in dragging mode. (Inherited from SparkListLabel)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkGroupBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalScrollPosition | The x coordinate of the origin of the viewport in the component's coordinate system, where the default value is (0,0) corresponding to the upper-left corner of the component (Inherited from SparkGroupBase)
id | the ID of the component. (Inherited from FlexObject)
label | the label of the SparkListLabel. (Inherited from SparkListLabel)
lastVisibleRow | the index of the last visible child. (Inherited from SparkGroupBase)
luminosityClip | a value whether the luminosity mask clips the masked content. (Inherited from SparkGroupBase)
luminosityInvert | a value that controls the calculation of the RGB color value of a graphic element being masked by a luminosity mask. (Inherited from SparkGroupBase)
maskType | The mask type. (Inherited from SparkGroupBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
mouseEnabledWhereTransparent | a value whether the entire bounds of the Group respond to mouse events such as click and roll over. (Inherited from SparkGroupBase)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkGroupBase)
numElements | The number of visual elements in this container. (Inherited from SparkGroupBase)
numRows | the total number of rows of data available. (Inherited from SparkGroupBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
resizeMode | The ResizeMode for this container. (Inherited from SparkGroupBase)
scaleGridBottom | the bottom coordinate of the scale grid. (Inherited from SparkGroup)
scaleGridLeft | the left coordinate of the scale grid. (Inherited from SparkGroup)
scaleGridRight | the right coordinate of the scale grid. (Inherited from SparkGroup)
scaleGridTop | the top coordinate of the scale grid. (Inherited from SparkGroup)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selected | a value whether the SparkListLabel is selected. (Inherited from SparkListLabel)
showsCaret | a value whether the caret is shown. (Inherited from SparkListLabel)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalScrollPosition | The y coordinate of the origin of the viewport in the component's coordinate system, where the default value is (0,0) corresponding to the upper-left corner of the component. (Inherited from SparkGroupBase)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkGroupBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkGroupBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkGroupBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkGroupBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when the mouse is used to move the scroll bars on this container. (Inherited from SparkGroupBase)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the container's scroll events occur. This event is dispatched if the scrolling is done programmatically or by the user. (Inherited from SparkGroupBase)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkGroupBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkDataGrid Class

Description

Identifies a Spark data grid control.

Inheritance Hierarchy

  • SparkSkinnableContainerBase
    • SparkDataGrid

Syntax

C#
public class SparkDataGrid : SparkSkinnableContainerBase
VB
'Declaration
Public Class SparkDataGrid _
Inherits SparkSkinnableContainerBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
columnsLength | the count of the columns.
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
rowHeight | the height of the row.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedCell | the selected cell.
selectedCells | the selected cells.
selectedIndex | the index of the selected row.
selectedIndices | the indices of the selected rows.
selectedItem | the item of the selected row.
selectedItems | the items of the selected rows.
selectionLength | the number of selected rows.
selectionMode | the selection mode (singlerow, multiplerows, singlecells or multiplecells).
showDataTips | whether data tips should be shown.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
ColumnStretch | Stretches the given column of the data grid.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
EditNext | Sets the following data grid cell in the edit mode.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HeaderClick | Clicks on the specified column header.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects the specified data grid cell.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkDataGridLabel Class

Description

Identifies a spark data grid label control.

Inheritance Hierarchy

  • FlexObject
    • SparkDataGridLabel

Syntax

C#
public class SparkDataGridLabel : FlexObject
VB
'Declaration
Public Class SparkDataGridLabel _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
automationValue | A value which can be used to uniquely identify this item.
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkDataGroup Class

Description

The DataGroup class is the base container class for data items.

Inheritance Hierarchy

  • SparkGroupBase
    • SparkDataGroup

Syntax

C#
public class SparkDataGroup : SparkGroupBase
VB
'Declaration
Public Class SparkDataGroup _
Inherits SparkGroupBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | a value whether measurement and layout are done when the position or size of a child is changed. (Inherited from SparkGroupBase)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clipAndEnableScrolling | a value whether to clip the children to the boundaries of the viewport. (Inherited from SparkGroupBase)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkGroupBase)
contentHeight | The height of the viewport's content. (Inherited from SparkGroupBase)
contentWidth | The width of the viewport's contents. (Inherited from SparkGroupBase)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkGroupBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalScrollPosition | The x coordinate of the origin of the viewport in the component's coordinate system, where the default value is (0,0) corresponding to the upper-left corner of the component (Inherited from SparkGroupBase)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from SparkGroupBase)
luminosityClip | a value whether the luminosity mask clips the masked content. (Inherited from SparkGroupBase)
luminosityInvert | a value that controls the calculation of the RGB color value of a graphic element being masked by a luminosity mask. (Inherited from SparkGroupBase)
maskType | The mask type. (Inherited from SparkGroupBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
mouseEnabledWhereTransparent | a value whether the entire bounds of the Group respond to mouse events such as click and roll over. (Inherited from SparkGroupBase)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkGroupBase)
numElements | The number of visual elements in this container. (Inherited from SparkGroupBase)
numRows | the total number of rows of data available. (Inherited from SparkGroupBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
resizeMode | The ResizeMode for this container. (Inherited from SparkGroupBase)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalScrollPosition | The y coordinate of the origin of the viewport in the component's coordinate system, where the default value is (0,0) corresponding to the upper-left corner of the component. (Inherited from SparkGroupBase)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkGroupBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkGroupBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkGroupBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkGroupBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when the mouse is used to move the scroll bars on this container. (Inherited from SparkGroupBase)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the container's scroll events occur. This event is dispatched if the scrolling is done programmatically or by the user. (Inherited from SparkGroupBase)
Select | Dispatched when one or more items in the list are deselected.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkGroupBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkDataRenderer Class

Description

The SparkDataRenderer class is the base class for data components in spark.

Inheritance Hierarchy

  • SparkGroup
    • SparkDataRenderer
      • SparkListLabel

Syntax

C#
public class SparkDataRenderer : SparkGroup
VB
'Declaration
Public Class SparkDataRenderer _
Inherits SparkGroup

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | a value whether measurement and layout are done when the position or size of a child is changed. (Inherited from SparkGroupBase)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
blendMode | A value from the BlendMode class that specifies which blend mode to use. (Inherited from SparkGroup)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clipAndEnableScrolling | a value whether to clip the children to the boundaries of the viewport. (Inherited from SparkGroupBase)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkGroupBase)
contentHeight | The height of the viewport's content. (Inherited from SparkGroupBase)
contentWidth | The width of the viewport's contents. (Inherited from SparkGroupBase)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkGroupBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalScrollPosition | The x coordinate of the origin of the viewport in the component's coordinate system, where the default value is (0,0) corresponding to the upper-left corner of the component (Inherited from SparkGroupBase)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from SparkGroupBase)
luminosityClip | a value whether the luminosity mask clips the masked content. (Inherited from SparkGroupBase)
luminosityInvert | a value that controls the calculation of the RGB color value of a graphic element being masked by a luminosity mask. (Inherited from SparkGroupBase)
maskType | The mask type. (Inherited from SparkGroupBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
mouseEnabledWhereTransparent | a value whether the entire bounds of the Group respond to mouse events such as click and roll over. (Inherited from SparkGroupBase)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkGroupBase)
numElements | The number of visual elements in this container. (Inherited from SparkGroupBase)
numRows | the total number of rows of data available. (Inherited from SparkGroupBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
resizeMode | The ResizeMode for this container. (Inherited from SparkGroupBase)
scaleGridBottom | the bottom coordinate of the scale grid. (Inherited from SparkGroup)
scaleGridLeft | the left coordinate of the scale grid. (Inherited from SparkGroup)
scaleGridRight | the right coordinate of the scale grid. (Inherited from SparkGroup)
scaleGridTop | the top coordinate of the scale grid. (Inherited from SparkGroup)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalScrollPosition | The y coordinate of the origin of the viewport in the component's coordinate system, where the default value is (0,0) corresponding to the upper-left corner of the component. (Inherited from SparkGroupBase)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkGroupBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkGroupBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkGroupBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkGroupBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when the mouse is used to move the scroll bars on this container. (Inherited from SparkGroupBase)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the container's scroll events occur. This event is dispatched if the scrolling is done programmatically or by the user. (Inherited from SparkGroupBase)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkGroupBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkDropDownList Class

Description

The SparkDropDownList control contains a drop-down list from which the user can select a single value.

Inheritance Hierarchy

  • SparkDropDownListBase
    • SparkDropDownList

Syntax

C#
public class SparkDropDownList : SparkDropDownListBase
VB
'Declaration
Public Class SparkDropDownList _
Inherits SparkDropDownListBase

Properties

Name | Description
allowMultipleSelection | a value if multiple selection is enabled. (Inherited from SparkList)
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | the measurement and layout are done when the position or size of a child is changed. (Inherited from SparkSkinnableDataContainer)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
caretIndex | The item that is currently in focus. (Inherited from SparkListBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
currentState | the current view state of the component. (Inherited from FlexObject)
dragEnabled | A flag that indicates whether you can drag items out of this control and drop them on other controls. (Inherited from SparkList)
dragMoveEnabled | A flag that indicates whether items can be moved instead of just copied from the control as part of a drag-and-drop operation. (Inherited from SparkList)
dropEnabled | A flag that indicates whether dragged items can be dropped onto the control. (Inherited from SparkList)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
isDropDownOpen | a value whether the drop down is open. (Inherited from SparkDropDownListBase)
labelField | The name of the field in the data provider items to display as the label. (Inherited from SparkListBase)
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
prompt | The prompt for the DropDownList control.
requireSelection | a value if a data item must always be selected in the control (Inherited from SparkListBase)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | The 0-based index of the selected item, or -1 if no item is selected. (Inherited from SparkListBase)
selectedIndices | a list representing the indices of the currently selected item or items. (Inherited from SparkList)
selectedItem | The item that is currently selected. (Inherited from SparkListBase)
selectedItems | a list of Objects representing the currently selected data items. (Inherited from SparkList)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
useVirtualLayout | the value of the useVirtualLayout property of the layout associated with this control. (Inherited from SparkListBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetItemsCount | Gets the number of items in the ComboBox. (Inherited from SparkListBase)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
Open | Dispatched when the user clicks the drop-down button to display the drop-down list. (Inherited from SparkDropDownListBase)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Dispatched when an item in the list is selected. (Inherited from SparkListBase)
SelectIndex | Dispatched when the user clicks on an item in the list or navigates to the item using a keyboard. (Inherited from SparkList)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkListBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkDropDownListBase Class

Description

The SparkDropDownListBase control contains a drop-down list from which the user can select a single value.

Inheritance Hierarchy

  • SparkList
    • SparkDropDownListBase
      • SparkComboBox
      • SparkDropDownList

Syntax

C#
public class SparkDropDownListBase : SparkList
VB
'Declaration
Public Class SparkDropDownListBase _
Inherits SparkList

Properties

Name | Description
allowMultipleSelection | a value if multiple selection is enabled. (Inherited from SparkList)
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | the measurement and layout are done when the position or size of a child is changed. (Inherited from SparkSkinnableDataContainer)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
caretIndex | The item that is currently in focus. (Inherited from SparkListBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
currentState | the current view state of the component. (Inherited from FlexObject)
dragEnabled | A flag that indicates whether you can drag items out of this control and drop them on other controls. (Inherited from SparkList)
dragMoveEnabled | A flag that indicates whether items can be moved instead of just copied from the control as part of a drag-and-drop operation. (Inherited from SparkList)
dropEnabled | A flag that indicates whether dragged items can be dropped onto the control. (Inherited from SparkList)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
isDropDownOpen | a value whether the drop down is open.
labelField | The name of the field in the data provider items to display as the label. (Inherited from SparkListBase)
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
requireSelection | a value if a data item must always be selected in the control (Inherited from SparkListBase)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | The 0-based index of the selected item, or -1 if no item is selected. (Inherited from SparkListBase)
selectedIndices | a list representing the indices of the currently selected item or items. (Inherited from SparkList)
selectedItem | The item that is currently selected. (Inherited from SparkListBase)
selectedItems | a list of Objects representing the currently selected data items. (Inherited from SparkList)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
useVirtualLayout | the value of the useVirtualLayout property of the layout associated with this control. (Inherited from SparkListBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetItemsCount | Gets the number of items in the ComboBox. (Inherited from SparkListBase)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
Open | Dispatched when the user clicks the drop-down button to display the drop-down list.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Dispatched when an item in the list is selected. (Inherited from SparkListBase)
SelectIndex | Dispatched when the user clicks on an item in the list or navigates to the item using a keyboard. (Inherited from SparkList)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkListBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkForm Class

Description

Identifies a Spark form control.

Inheritance Hierarchy

  • SparkSkinnableContainer
    • SparkForm

Syntax

C#
public class SparkForm : SparkSkinnableContainer
VB
'Declaration
Public Class SparkForm _
Inherits SparkSkinnableContainer

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | whether measurement and layout are done when the position or size of a child is changed. (Inherited from SparkSkinnableContainer)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
creationPolicy | the content creation policy for this component. (Inherited from SparkSkinnableContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
deferredContentCreated | whether deferred content has been created. (Inherited from SparkSkinnableContainer)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numElements | The number of visual elements in this container. (Inherited from SparkSkinnableContainer)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkFormItem Class

Description

Identifies a Spark form item control.

Inheritance Hierarchy

  • SparkSkinnableContainer
    • SparkFormItem

Syntax

C#
public class SparkFormItem : SparkSkinnableContainer
VB
'Declaration
Public Class SparkFormItem _
Inherits SparkSkinnableContainer

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | whether measurement and layout are done when the position or size of a child is changed. (Inherited from SparkSkinnableContainer)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
creationPolicy | the content creation policy for this component. (Inherited from SparkSkinnableContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
deferredContentCreated | whether deferred content has been created. (Inherited from SparkSkinnableContainer)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text of the form items label.
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numElements | The number of visual elements in this container. (Inherited from SparkSkinnableContainer)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
required | whether the form item has to have a value to submit the form.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
sequenceLabel | the number of the form item in the form.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkGroup Class

Description

Use this container when you want to manage visual children, both visual components and graphical components.

Inheritance Hierarchy

  • SparkGroupBase
    • SparkGroup
      • SparkDataRenderer
      • SparkTileGroup

Syntax

C#
public class SparkGroup : SparkGroupBase
VB
'Declaration
Public Class SparkGroup _
Inherits SparkGroupBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | a value whether measurement and layout are done when the position or size of a child is changed. (Inherited from SparkGroupBase)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
blendMode | A value from the BlendMode class that specifies which blend mode to use.
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clipAndEnableScrolling | a value whether to clip the children to the boundaries of the viewport. (Inherited from SparkGroupBase)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkGroupBase)
contentHeight | The height of the viewport's content. (Inherited from SparkGroupBase)
contentWidth | The width of the viewport's contents. (Inherited from SparkGroupBase)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkGroupBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalScrollPosition | The x coordinate of the origin of the viewport in the component's coordinate system, where the default value is (0,0) corresponding to the upper-left corner of the component (Inherited from SparkGroupBase)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from SparkGroupBase)
luminosityClip | a value whether the luminosity mask clips the masked content. (Inherited from SparkGroupBase)
luminosityInvert | a value that controls the calculation of the RGB color value of a graphic element being masked by a luminosity mask. (Inherited from SparkGroupBase)
maskType | The mask type. (Inherited from SparkGroupBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
mouseEnabledWhereTransparent | a value whether the entire bounds of the Group respond to mouse events such as click and roll over. (Inherited from SparkGroupBase)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkGroupBase)
numElements | The number of visual elements in this container. (Inherited from SparkGroupBase)
numRows | the total number of rows of data available. (Inherited from SparkGroupBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
resizeMode | The ResizeMode for this container. (Inherited from SparkGroupBase)
scaleGridBottom | the bottom coordinate of the scale grid.
scaleGridLeft | the left coordinate of the scale grid.
scaleGridRight | the right coordinate of the scale grid.
scaleGridTop | the top coordinate of the scale grid.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalScrollPosition | The y coordinate of the origin of the viewport in the component's coordinate system, where the default value is (0,0) corresponding to the upper-left corner of the component. (Inherited from SparkGroupBase)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkGroupBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkGroupBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkGroupBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkGroupBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when the mouse is used to move the scroll bars on this container. (Inherited from SparkGroupBase)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the container's scroll events occur. This event is dispatched if the scrolling is done programmatically or by the user. (Inherited from SparkGroupBase)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkGroupBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkGroupBase Class

Description

The GroupBase class defines the base class for components that display visual elements.

Inheritance Hierarchy

  • FlexObject
    • SparkGroupBase
      • SparkDataGroup
      • SparkGroup

Syntax

C#
public class SparkGroupBase : FlexObject
VB
'Declaration
Public Class SparkGroupBase _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | a value whether measurement and layout are done when the position or size of a child is changed.
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clipAndEnableScrolling | a value whether to clip the children to the boundaries of the viewport.
columnNames | a list containing the names of all columns in the data.
contentHeight | The height of the viewport's content.
contentWidth | The width of the viewport's contents.
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalScrollPosition | The x coordinate of the origin of the viewport in the component's coordinate system, where the default value is (0,0) corresponding to the upper-left corner of the component
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child.
luminosityClip | a value whether the luminosity mask clips the masked content.
luminosityInvert | a value that controls the calculation of the RGB color value of a graphic element being masked by a luminosity mask.
maskType | The mask type.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
mouseEnabledWhereTransparent | a value whether the entire bounds of the Group respond to mouse events such as click and roll over.
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available.
numElements | The number of visual elements in this container.
numRows | the total number of rows of data available.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
resizeMode | The ResizeMode for this container.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalScrollPosition | The y coordinate of the origin of the viewport in the component's coordinate system, where the default value is (0,0) corresponding to the upper-left corner of the component.
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled.
DragDrop | Dispatched when the dragged item is dropped.
DragStart | Dispatched when the drag/drop operation begins.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when the mouse is used to move the scroll bars on this container.
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the container's scroll events occur. This event is dispatched if the scrolling is done programmatically or by the user.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkImage Class

Description

Identifies a Spark image control.

Inheritance Hierarchy

  • SparkObject
    • SparkImage

Syntax

C#
public class SparkImage : SparkObject
VB
'Declaration
Public Class SparkImage _
Inherits SparkObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
bytesLoaded | the number of bytes of the image already loaded.
bytesTotal | the total image data in bytes loaded or pending load.
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clearOnLoad | whether or not to clear previous image content prior to loading new content.
contentLoaderGrouping | the optional content grouping identifier to pass to the an associated IContentLoader instance's load() method.
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillMode | a value how the bitmap fills in the dimensions.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalAlign | the horizontal alignment of the content when it does not have a one-to-one aspect ratio and scaleMode is set to BitmapScaleMode.LETTERBOX.
id | the ID of the component. (Inherited from FlexObject)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
preliminaryHeight | an estimate to use for height when the "measured" bounds of the image is requested by layout, but the image data has yet to complete loading.
preliminaryWidth | an estimate to use for width when the "measured" bounds of the image is requested by layout, but the image data has yet to complete loading.
scaleMode | whether the image is scaled when fillMode is set to BitmapFillMode.SCALE.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
smooth | whether to apply a smoothing algorithm to the bitmap image.
source | the content location.
sourceHeight | the unscaled height of the original image data.
sourceWidth | the unscaled width of the original image data.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
trustedSource | a flag denoting whether the currently loaded content is considered loaded from a source whose security policy allows for cross domain image access.
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalAlign | the vertical alignment of the content when it does not have a one-to-one aspect ratio and scaleMode is set to BitmapScaleMode.LETTERBOX.
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkLabel Class

Description

Label is a low-level UIComponent that can render one or more lines of uniformly-formatted text.

Inheritance Hierarchy

  • SparkTextBase
    • SparkLabel

Syntax

C#
public class SparkLabel : SparkTextBase
VB
'Declaration
Public Class SparkLabel _
Inherits SparkTextBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
isTruncated | whether the text has been truncated. (Inherited from SparkTextBase)
maxDisplayedLines | An integer which determines whether, and where, the text gets truncated. (Inherited from SparkTextBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
text | The text displayed by this text component. (Inherited from SparkTextBase)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | The event triggered when a drag operation is cancelled. (Inherited from SparkTextBase)
DragDrop | The event triggered when the dragged item is dropped. (Inherited from SparkTextBase)
DragStart | The event triggered when the drag/drop operation begins. (Inherited from SparkTextBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkTextBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkList Class

Description

The List control displays a vertical list of items.

Inheritance Hierarchy

  • SparkListBase
    • SparkList
      • SparkDropDownListBase

Syntax

C#
public class SparkList : SparkListBase
VB
'Declaration
Public Class SparkList _
Inherits SparkListBase

Properties

Name | Description
allowMultipleSelection | a value if multiple selection is enabled.
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | the measurement and layout are done when the position or size of a child is changed. (Inherited from SparkSkinnableDataContainer)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
caretIndex | The item that is currently in focus. (Inherited from SparkListBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
currentState | the current view state of the component. (Inherited from FlexObject)
dragEnabled | A flag that indicates whether you can drag items out of this control and drop them on other controls.
dragMoveEnabled | A flag that indicates whether items can be moved instead of just copied from the control as part of a drag-and-drop operation.
dropEnabled | A flag that indicates whether dragged items can be dropped onto the control.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
labelField | The name of the field in the data provider items to display as the label. (Inherited from SparkListBase)
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
requireSelection | a value if a data item must always be selected in the control (Inherited from SparkListBase)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | The 0-based index of the selected item, or -1 if no item is selected. (Inherited from SparkListBase)
selectedIndices | a list representing the indices of the currently selected item or items.
selectedItem | The item that is currently selected. (Inherited from SparkListBase)
selectedItems | a list of Objects representing the currently selected data items.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
useVirtualLayout | the value of the useVirtualLayout property of the layout associated with this control. (Inherited from SparkListBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetItemsCount | Gets the number of items in the ComboBox. (Inherited from SparkListBase)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Dispatched when an item in the list is selected. (Inherited from SparkListBase)
SelectIndex | Dispatched when the user clicks on an item in the list or navigates to the item using a keyboard.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkListBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkListBase Class

Description

The ListBase class is the base class for all components that support selection.

Inheritance Hierarchy

  • SparkSkinnableDataContainer
    • SparkListBase
      • SparkButtonBar
      • SparkList
      • SparkTabBar

Syntax

C#
public class SparkListBase : SparkSkinnableDataContainer
VB
'Declaration
Public Class SparkListBase _
Inherits SparkSkinnableDataContainer

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | the measurement and layout are done when the position or size of a child is changed. (Inherited from SparkSkinnableDataContainer)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
caretIndex | The item that is currently in focus.
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
labelField | The name of the field in the data provider items to display as the label.
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
requireSelection | a value if a data item must always be selected in the control
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | The 0-based index of the selected item, or -1 if no item is selected.
selectedItem | The item that is currently selected.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
useVirtualLayout | the value of the useVirtualLayout property of the layout associated with this control.
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetItemsCount | Gets the number of items in the ComboBox.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Dispatched when an item in the list is selected.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkListLabel Class

Description

A simple rendered object.

Inheritance Hierarchy

  • SparkDataRenderer
    • SparkListLabel
      • SparkComplexDisplay

Syntax

C#
public class SparkListLabel : SparkDataRenderer
VB
'Declaration
Public Class SparkListLabel _
Inherits SparkDataRenderer

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | a value whether measurement and layout are done when the position or size of a child is changed. (Inherited from SparkGroupBase)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
automationValue | A value which can be used to uniquely identify this item.
blendMode | A value from the BlendMode class that specifies which blend mode to use. (Inherited from SparkGroup)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clipAndEnableScrolling | a value whether to clip the children to the boundaries of the viewport. (Inherited from SparkGroupBase)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkGroupBase)
contentHeight | The height of the viewport's content. (Inherited from SparkGroupBase)
contentWidth | The width of the viewport's contents. (Inherited from SparkGroupBase)
currentState | the current view state of the component. (Inherited from FlexObject)
dragging | a value whether the SparkListLabel is in dragging mode.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkGroupBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalScrollPosition | The x coordinate of the origin of the viewport in the component's coordinate system, where the default value is (0,0) corresponding to the upper-left corner of the component (Inherited from SparkGroupBase)
id | the ID of the component. (Inherited from FlexObject)
label | the label of the SparkListLabel.
lastVisibleRow | the index of the last visible child. (Inherited from SparkGroupBase)
luminosityClip | a value whether the luminosity mask clips the masked content. (Inherited from SparkGroupBase)
luminosityInvert | a value that controls the calculation of the RGB color value of a graphic element being masked by a luminosity mask. (Inherited from SparkGroupBase)
maskType | The mask type. (Inherited from SparkGroupBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
mouseEnabledWhereTransparent | a value whether the entire bounds of the Group respond to mouse events such as click and roll over. (Inherited from SparkGroupBase)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkGroupBase)
numElements | The number of visual elements in this container. (Inherited from SparkGroupBase)
numRows | the total number of rows of data available. (Inherited from SparkGroupBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
resizeMode | The ResizeMode for this container. (Inherited from SparkGroupBase)
scaleGridBottom | the bottom coordinate of the scale grid. (Inherited from SparkGroup)
scaleGridLeft | the left coordinate of the scale grid. (Inherited from SparkGroup)
scaleGridRight | the right coordinate of the scale grid. (Inherited from SparkGroup)
scaleGridTop | the top coordinate of the scale grid. (Inherited from SparkGroup)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selected | a value whether the SparkListLabel is selected.
showsCaret | a value whether the caret is shown.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalScrollPosition | The y coordinate of the origin of the viewport in the component's coordinate system, where the default value is (0,0) corresponding to the upper-left corner of the component. (Inherited from SparkGroupBase)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkGroupBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkGroupBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkGroupBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkGroupBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when the mouse is used to move the scroll bars on this container. (Inherited from SparkGroupBase)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the container's scroll events occur. This event is dispatched if the scrolling is done programmatically or by the user. (Inherited from SparkGroupBase)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkGroupBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkMuteButton Class

Description

The MuteButton class defines the mute button used by the VideoPlayer control.

Inheritance Hierarchy

  • SparkButton
    • SparkMuteButton

Syntax

C#
public class SparkMuteButton : SparkButton
VB
'Declaration
Public Class SparkMuteButton _
Inherits SparkButton

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
autoRepeat | whether to dispatch repeated buttonDown events if the user holds down the mouse button. (Inherited from SparkButtonBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
emphasized | whether the default button as requested by the focus manager. (Inherited from SparkButton)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text to appear on the ButtonBase control. (Inherited from SparkButtonBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
muted | a value whether the control is muted.
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
stickyHighlighting | a value whether the button displays its down skin when the user presses it but changes to its over skin when the user drags the mouse off of it. (Inherited from SparkButtonBase)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
volume | the volume of the control.
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
MuteChange | Toggles the muting of the control.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkButtonBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkNavigatorContent Class

Description

The NavigatorContent class defines a Spark container that can be used in an MX navigator container, such as the ViewStack, TabNavigator and Accordion containers.

Inheritance Hierarchy

  • SparkSkinnableContainer
    • SparkNavigatorContent

Syntax

C#
public class SparkNavigatorContent : SparkSkinnableContainer
VB
'Declaration
Public Class SparkNavigatorContent _
Inherits SparkSkinnableContainer

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | whether measurement and layout are done when the position or size of a child is changed. (Inherited from SparkSkinnableContainer)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
creationPolicy | the content creation policy for this component. (Inherited from SparkSkinnableContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
deferredContentCreated | whether deferred content has been created. (Inherited from SparkSkinnableContainer)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numElements | The number of visual elements in this container. (Inherited from SparkSkinnableContainer)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkNumericStepper Class

Description

The NumericStepper control lets you select a number from an ordered set. The NumericStepper provides the same functionality as the Spinner component, but adds a TextInput control so that you can directly edit the value of the component, rather than modifying it by using the control's arrow buttons.

Inheritance Hierarchy

  • SparkSpinner
    • SparkNumericStepper

Syntax

C#
public class SparkNumericStepper : SparkSpinner
VB
'Declaration
Public Class SparkNumericStepper _
Inherits SparkSpinner

Properties

Name | Description
allowValueWrap | the behavior of the control for a step when the current value is either the maximum or minimum value. (Inherited from SparkSpinner)
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
enableIME | a value whether the IME should be enabled when the component receives focus.
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
imeMode | the IME (Input Method Editor) mode.
maxChars | The maximum number of characters that can be entered in the field.
maximum | The maximum valid value. (Inherited from SparkRange)
minimum | The minimum valid value. (Inherited from SparkRange)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
snapInterval | the snapInterval. (Inherited from SparkRange)
stepSize | The amount that the value property changes when the changeValueByStep() method is called. (Inherited from SparkRange)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
value | The current value for this range. (Inherited from SparkRange)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Change | Dispatched when the value of the NumericStepper changes as a result of user interaction. (Inherited from SparkSpinner)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Input | Dispatched when the user types, deletes, or pastes text into the control.
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SelectText | Dispatched when text is selected.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkSpinner)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkObject Class

Description

The SparkObject class defines the base class for all spark components.

Inheritance Hierarchy

  • FlexObject
    • SparkObject
      • SparkButtonBase
      • SparkImage
      • SparkRange
      • SparkRichEditableText
      • SparkSkinnableContainerBase
      • SparkSkinnableTextBase
      • SparkVideoPlayer

Syntax

C#
public class SparkObject : FlexObject
VB
'Declaration
Public Class SparkObject _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkPanel Class

Description

The Panel class defines a container that includes a title bar, a caption, a border, and a content area for its children.

Inheritance Hierarchy

  • SparkSkinnableContainer
    • SparkPanel
      • SparkTitleWindow

Syntax

C#
public class SparkPanel : SparkSkinnableContainer
VB
'Declaration
Public Class SparkPanel _
Inherits SparkSkinnableContainer

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | whether measurement and layout are done when the position or size of a child is changed. (Inherited from SparkSkinnableContainer)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
controlBarVisible | a value whether the control bar is visible.
creationPolicy | the content creation policy for this component. (Inherited from SparkSkinnableContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
deferredContentCreated | whether deferred content has been created. (Inherited from SparkSkinnableContainer)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numElements | The number of visual elements in this container. (Inherited from SparkSkinnableContainer)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
title | the title or caption displayed in the title bar.
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkPopUpAnchor Class

Description

Identifies a Spark PopUpAnchor control.

Inheritance Hierarchy

  • FlexObject
    • SparkPopUpAnchor

Syntax

C#
public class SparkPopUpAnchor : FlexObject
VB
'Declaration
Public Class SparkPopUpAnchor _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
displayPopUp | whether the popUp is visible.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
popUpHeightMatchesAnchorHeight | whether the height of the popUp control is set to the value of the PopUpAnchor's height.
popUpPosition | the position of the popUp control when it is opened, relative to the PopUpAnchor component.
popUpWidthMatchesAnchorWidth | whether the width of the popUp control is set to the value of the PopUpAnchor's width.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkRadioButton Class

Description

The RadioButton component allows the user make a single choice within a set of mutually exclusive choices. A RadioButtonGroup is composed of two or more RadioButton components with the same groupName property.

Inheritance Hierarchy

  • SparkToggleButtonBase
    • SparkRadioButton

Syntax

C#
public class SparkRadioButton : SparkToggleButtonBase
VB
'Declaration
Public Class SparkRadioButton _
Inherits SparkToggleButtonBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
autoRepeat | whether to dispatch repeated buttonDown events if the user holds down the mouse button. (Inherited from SparkButtonBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
groupName | the name of the group to which this RadioButton component belongs, or specifies the value of the id property of a RadioButtonGroup component if this RadioButton is part of a group defined by a RadioButtonGroup component.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text to appear on the ButtonBase control. (Inherited from SparkButtonBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selected | whether the button is in the down state, and false if it is in the up state. (Inherited from SparkToggleButtonBase)
stickyHighlighting | a value whether the button displays its down skin when the user presses it but changes to its over skin when the user drags the mouse off of it. (Inherited from SparkButtonBase)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | The event triggered when a drag operation is cancelled.
DragDrop | The event triggered when the dragged item is dropped.
DragStart | The event triggered when the drag/drop operation begins.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkButtonBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkRange Class

Description

The Range class holds a value and an allowed range for that value, defined by minimum and maximum properties.

Inheritance Hierarchy

  • SparkObject
    • SparkRange
      • SparkSpinner
      • SparkTrackBase

Syntax

C#
public class SparkRange : SparkObject
VB
'Declaration
Public Class SparkRange _
Inherits SparkObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
maximum | The maximum valid value.
minimum | The minimum valid value.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
snapInterval | the snapInterval.
stepSize | The amount that the value property changes when the changeValueByStep() method is called.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
value | The current value for this range.
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkRichEditableText Class

Description

RichEditableText is a low-level UIComponent for displaying, scrolling, selecting, and editing richly-formatted text.

Inheritance Hierarchy

  • SparkObject
    • SparkRichEditableText

Syntax

C#
public class SparkRichEditableText : SparkObject
VB
'Declaration
Public Class SparkRichEditableText _
Inherits SparkObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clipAndEnableScrolling | whether to clip the children to the boundaries of the viewport.
columnNames | a list containing the names of all columns in the data.
contentHeight | The height of the text.
contentWidth | The width of the text.
currentState | the current view state of the component. (Inherited from FlexObject)
displayAsPassword | whether the text field is a password text field.
editable | A flag indicating whether the user is allowed to edit the text in this control.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
enableIME | A flag that indicates whether the IME should be enabled when the component receives focus.
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
heightInLines | The default height of the control, measured in lines.
horizontalScrollPosition | The number of pixels by which the text is scrolled horizontally.
id | the ID of the component. (Inherited from FlexObject)
imeMode | the IME (input method editor) mode.
lastVisibleRow | the index of the last visible child.
maxChars | The maximum number of characters that the text field can contain, as entered by a user.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
multiline | whether the user can enter multiline text.
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available.
numRows | the total number of rows of data available.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
restrict | the set of characters that a user can enter into the text field.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectable | A flag indicating whether the content is selectable with the mouse, or with the keyboard when the control has the keyboard focus.
selectionActivePosition | A character position, relative to the beginning of the text String, specifying the end of the selection that moves when the selection is extended with the arrow keys.
selectionAnchorPosition | A character position, relative to the beginning of the text String, specifying the end of the selection that stays fixed when the selection is extended with the arrow keys.
selectionHighlighting | a value whether the text selection is highlighted.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
text | The text String displayed by this component.
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalScrollPosition | The number of pixels by which the text is scrolled vertically.
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
widthInChars | The default width of the control, measured in em units.
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | The event triggered when a drag operation is cancelled.
DragDrop | The event triggered when the dragged item is dropped.
DragStart | The event triggered when the drag/drop operation begins.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Input | Dispatched when the user types, deletes, or pastes text into the control.
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when the mouse is used to move the scroll bars on this container.
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SelectText | Dispatched when text is selected.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkRichText Class

Description

RichText is a low-level UIComponent that can display one or more lines of richly-formatted text and embedded images.

Inheritance Hierarchy

  • SparkTextBase
    • SparkRichText

Syntax

C#
public class SparkRichText : SparkTextBase
VB
'Declaration
Public Class SparkRichText _
Inherits SparkTextBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
isTruncated | whether the text has been truncated. (Inherited from SparkTextBase)
luminosityClip | whether the luminosity mask clips the masked content.
luminosityInvert | whether the calculation of the RGB color value of a graphic element is masked by a luminosity mask.
maskType | how the mask is applied to the component. The possible values are MaskType.CLIP, MaskType.ALPHA and MaskType.LUMINOSITY. Clip Masking When masking in clip mode, a clipping masks is reduced to 1-bit.
maxDisplayedLines | An integer which determines whether, and where, the text gets truncated. (Inherited from SparkTextBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
text | The text displayed by this text component. (Inherited from SparkTextBase)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | The event triggered when a drag operation is cancelled. (Inherited from SparkTextBase)
DragDrop | The event triggered when the dragged item is dropped. (Inherited from SparkTextBase)
DragStart | The event triggered when the drag/drop operation begins. (Inherited from SparkTextBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkTextBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkScrollBar Class

Description

The ScrollBarBase class helps to position the portion of data that is displayed when there is too much data to fit in a display area.

Inheritance Hierarchy

  • SparkTrackBase
    • SparkScrollBar

Syntax

C#
public class SparkScrollBar : SparkTrackBase
VB
'Declaration
Public Class SparkScrollBar _
Inherits SparkTrackBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
maximum | The maximum valid value. (Inherited from SparkRange)
minimum | The minimum valid value. (Inherited from SparkRange)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
pageSize | The change in the value of the value property when you call the changeValueByPage() method.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
snapInterval | the snapInterval. (Inherited from SparkRange)
stepSize | The amount that the value property changes when the changeValueByStep() method is called. (Inherited from SparkRange)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
value | The current value for this range. (Inherited from SparkRange)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Change | Dispatched when the value of the NumericStepper changes as a result of user interaction. (Inherited from SparkTrackBase)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkTrackBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkSkinnableContainer Class

Description

The SparkSkinnableContainer class is the base class for skinnable containers that have visual content.

Inheritance Hierarchy

  • SparkSkinnableContainerBase
    • SparkSkinnableContainer
      • SparkApplication
      • SparkBorderContainer
      • SparkForm
      • SparkFormItem
      • SparkNavigatorContent
      • SparkPanel
      • SparkSkinnablePopUpContainer
      • SparkWindow

Syntax

C#
public class SparkSkinnableContainer : SparkSkinnableContainerBase
VB
'Declaration
Public Class SparkSkinnableContainer _
Inherits SparkSkinnableContainerBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | whether measurement and layout are done when the position or size of a child is changed.
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
creationPolicy | the content creation policy for this component.
currentState | the current view state of the component. (Inherited from FlexObject)
deferredContentCreated | whether deferred content has been created.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numElements | The number of visual elements in this container.
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkSkinnableContainerBase Class

Description

Base class for spark container components.

Inheritance Hierarchy

  • SparkObject
    • SparkSkinnableContainerBase
      • SparkDataGrid
      • SparkSkinnableContainer
      • SparkSkinnableDataContainer

Syntax

C#
public class SparkSkinnableContainerBase : SparkObject
VB
'Declaration
Public Class SparkSkinnableContainerBase _
Inherits SparkObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data.
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available.
numRows | the total number of rows of data available.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled.
DragDrop | Dispatched when the dragged item is dropped.
DragStart | Dispatched when the drag/drop operation begins.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkSkinnableDataContainer Class

Description

The SkinnableDataContainer class is the base container class for data items.

Inheritance Hierarchy

  • SparkSkinnableContainerBase
    • SparkSkinnableDataContainer
      • SparkListBase

Syntax

C#
public class SparkSkinnableDataContainer : SparkSkinnableContainerBase
VB
'Declaration
Public Class SparkSkinnableDataContainer _
Inherits SparkSkinnableContainerBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | the measurement and layout are done when the position or size of a child is changed.
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkSkinnablePopUpContainer Class

Description

Identifies a SparkSkinnablePopUpContainer control.

Inheritance Hierarchy

  • SparkSkinnableContainer
    • SparkSkinnablePopUpContainer

Syntax

C#
public class SparkSkinnablePopUpContainer : SparkSkinnableContainer
VB
'Declaration
Public Class SparkSkinnablePopUpContainer _
Inherits SparkSkinnableContainer

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | whether measurement and layout are done when the position or size of a child is changed. (Inherited from SparkSkinnableContainer)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
creationPolicy | the content creation policy for this component. (Inherited from SparkSkinnableContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
deferredContentCreated | whether deferred content has been created. (Inherited from SparkSkinnableContainer)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
isOpen | whether the container is open.
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numElements | The number of visual elements in this container. (Inherited from SparkSkinnableContainer)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkSkinnableTextBase Class

Description

The base class for skinnable components, such as the Spark TextInput and TextArea, that include an instance of RichEditableText in their skin to provide rich text display, scrolling, selection, and editing.

Inheritance Hierarchy

  • SparkObject
    • SparkSkinnableTextBase
      • SparkTextArea
      • SparkTextInput

Syntax

C#
public class SparkSkinnableTextBase : SparkObject
VB
'Declaration
Public Class SparkSkinnableTextBase _
Inherits SparkObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data.
currentState | the current view state of the component. (Inherited from FlexObject)
displayAsPassword | whether the text field is a password text field.
editable | A flag indicating whether the user is allowed to edit the text in this control.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
enableIME | A flag that indicates whether the IME should be enabled when the component receives focus.
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
imeMode | the IME (input method editor) mode.
lastVisibleRow | the index of the last visible child.
maxChars | The maximum number of characters that the text field can contain, as entered by a user.
maxWidth | The maximum recommended width of the component to be considered by the parent during layout.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available.
numRows | the total number of rows of data available.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
restrict | the set of characters that a user can enter into the text field.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectable | A flag indicating whether the content is selectable with the mouse, or with the keyboard when the control has the keyboard focus.
selectionActivePosition | A character position, relative to the beginning of the text String, specifying the end of the selection that moves when the selection is extended with the arrow keys.
selectionAnchorPosition | A character position, relative to the beginning of the text String, specifying the end of the selection that stays fixed when the selection is extended with the arrow keys.
selectionHighlighting | a value whether the text selection is highlighted.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
text | The text String displayed by this component.
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Input | Dispatched when the user types, deletes, or pastes text into the control.
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when the mouse is used to move the scroll bars on this container.
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SelectText | Dispatched when text is selected.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkSlider Class

Description

Lets users select a value by moving a slider thumb between the end points of the slider track.

Inheritance Hierarchy

  • SparkTrackBase
    • SparkSlider
      • SparkVolumeBar

Syntax

C#
public class SparkSlider : SparkTrackBase
VB
'Declaration
Public Class SparkSlider _
Inherits SparkTrackBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
maximum | The maximum valid value. (Inherited from SparkRange)
minimum | The minimum valid value. (Inherited from SparkRange)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
snapInterval | the snapInterval. (Inherited from SparkRange)
stepSize | The amount that the value property changes when the changeValueByStep() method is called. (Inherited from SparkRange)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
value | The current value for this range. (Inherited from SparkRange)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Change | Dispatched when the value of the NumericStepper changes as a result of user interaction. (Inherited from SparkTrackBase)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkTrackBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkSpinner Class

Description

A Spinner component selects a value from an ordered set. It uses two buttons that increase or decrease the current value based on the current value of the stepSize property.

Inheritance Hierarchy

  • SparkRange
    • SparkSpinner
      • SparkNumericStepper

Syntax

C#
public class SparkSpinner : SparkRange
VB
'Declaration
Public Class SparkSpinner _
Inherits SparkRange

Properties

Name | Description
allowValueWrap | the behavior of the control for a step when the current value is either the maximum or minimum value.
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
maximum | The maximum valid value. (Inherited from SparkRange)
minimum | The minimum valid value. (Inherited from SparkRange)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
snapInterval | the snapInterval. (Inherited from SparkRange)
stepSize | The amount that the value property changes when the changeValueByStep() method is called. (Inherited from SparkRange)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
value | The current value for this range. (Inherited from SparkRange)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Change | Dispatched when the value of the NumericStepper changes as a result of user interaction.
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkTabBar Class

Description

The TabBar class displays a set of identical tabs. One tab can be selected at a time, and the first tab is selected by default.

Inheritance Hierarchy

  • SparkListBase
    • SparkTabBar

Syntax

C#
public class SparkTabBar : SparkListBase
VB
'Declaration
Public Class SparkTabBar _
Inherits SparkListBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | the measurement and layout are done when the position or size of a child is changed. (Inherited from SparkSkinnableDataContainer)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
caretIndex | The item that is currently in focus. (Inherited from SparkListBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
labelField | The name of the field in the data provider items to display as the label. (Inherited from SparkListBase)
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
requireSelection | a value if a data item must always be selected in the control (Inherited from SparkListBase)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | The 0-based index of the selected item, or -1 if no item is selected. (Inherited from SparkListBase)
selectedItem | The item that is currently selected. (Inherited from SparkListBase)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
useVirtualLayout | the value of the useVirtualLayout property of the layout associated with this control. (Inherited from SparkListBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetItemsCount | Gets the number of items in the ComboBox. (Inherited from SparkListBase)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Dispatched when an item in the list is selected. (Inherited from SparkListBase)
SelectIndex | Dispatched when the user clicks on an item in the list or navigates to the item using a keyboard.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkListBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkTextArea Class

Description

TextArea is a text-entry control that lets users enter and edit multiple lines of richly formatted text. It can display horizontal and vertical scrollbars for scrolling through the text and supports vertical scrolling with the mouse wheel.

Inheritance Hierarchy

  • SparkSkinnableTextBase
    • SparkTextArea

Syntax

C#
public class SparkTextArea : SparkSkinnableTextBase
VB
'Declaration
Public Class SparkTextArea _
Inherits SparkSkinnableTextBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableTextBase)
currentState | the current view state of the component. (Inherited from FlexObject)
displayAsPassword | whether the text field is a password text field. (Inherited from SparkSkinnableTextBase)
editable | A flag indicating whether the user is allowed to edit the text in this control. (Inherited from SparkSkinnableTextBase)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
enableIME | A flag that indicates whether the IME should be enabled when the component receives focus. (Inherited from SparkSkinnableTextBase)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableTextBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
heightInLines | The default height of the control, measured in lines.
id | the ID of the component. (Inherited from FlexObject)
imeMode | the IME (input method editor) mode. (Inherited from SparkSkinnableTextBase)
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableTextBase)
maxChars | The maximum number of characters that the text field can contain, as entered by a user. (Inherited from SparkSkinnableTextBase)
maxWidth | The maximum recommended width of the component to be considered by the parent during layout. (Inherited from SparkSkinnableTextBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableTextBase)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableTextBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
restrict | the set of characters that a user can enter into the text field. (Inherited from SparkSkinnableTextBase)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectable | A flag indicating whether the content is selectable with the mouse, or with the keyboard when the control has the keyboard focus. (Inherited from SparkSkinnableTextBase)
selectionActivePosition | A character position, relative to the beginning of the text String, specifying the end of the selection that moves when the selection is extended with the arrow keys. (Inherited from SparkSkinnableTextBase)
selectionAnchorPosition | A character position, relative to the beginning of the text String, specifying the end of the selection that stays fixed when the selection is extended with the arrow keys. (Inherited from SparkSkinnableTextBase)
selectionHighlighting | a value whether the text selection is highlighted. (Inherited from SparkSkinnableTextBase)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
text | The text String displayed by this component. (Inherited from SparkSkinnableTextBase)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
widthInChars | The default width of the control, measured in em units.
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | The event triggered when a drag operation is cancelled.
DragDrop | The event triggered when the dragged item is dropped.
DragStart | The event triggered when the drag/drop operation begins.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableTextBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Input | Dispatched when the user types, deletes, or pastes text into the control. (Inherited from SparkSkinnableTextBase)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when the mouse is used to move the scroll bars on this container. (Inherited from SparkSkinnableTextBase)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SelectText | Dispatched when text is selected. (Inherited from SparkSkinnableTextBase)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkSkinnableTextBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkTextBase Class

Description

The base class for Spark text controls such as Label and RichText which display text using CSS styles for the default format.

Inheritance Hierarchy

  • FlexObject
    • SparkTextBase
      • SparkLabel
      • SparkRichText

Syntax

C#
public class SparkTextBase : FlexObject
VB
'Declaration
Public Class SparkTextBase _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
isTruncated | whether the text has been truncated.
maxDisplayedLines | An integer which determines whether, and where, the text gets truncated.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
text | The text displayed by this text component.
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | The event triggered when a drag operation is cancelled.
DragDrop | The event triggered when the dragged item is dropped.
DragStart | The event triggered when the drag/drop operation begins.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkTextInput Class

Description

TextInput is a text-entry control that lets users enter and edit a single line of uniformly-formatted text.

Inheritance Hierarchy

  • SparkSkinnableTextBase
    • SparkTextInput

Syntax

C#
public class SparkTextInput : SparkSkinnableTextBase
VB
'Declaration
Public Class SparkTextInput _
Inherits SparkSkinnableTextBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableTextBase)
currentState | the current view state of the component. (Inherited from FlexObject)
displayAsPassword | whether the text field is a password text field. (Inherited from SparkSkinnableTextBase)
editable | A flag indicating whether the user is allowed to edit the text in this control. (Inherited from SparkSkinnableTextBase)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
enableIME | A flag that indicates whether the IME should be enabled when the component receives focus. (Inherited from SparkSkinnableTextBase)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableTextBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
imeMode | the IME (input method editor) mode. (Inherited from SparkSkinnableTextBase)
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableTextBase)
maxChars | The maximum number of characters that the text field can contain, as entered by a user. (Inherited from SparkSkinnableTextBase)
maxWidth | The maximum recommended width of the component to be considered by the parent during layout. (Inherited from SparkSkinnableTextBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableTextBase)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableTextBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
restrict | the set of characters that a user can enter into the text field. (Inherited from SparkSkinnableTextBase)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectable | A flag indicating whether the content is selectable with the mouse, or with the keyboard when the control has the keyboard focus. (Inherited from SparkSkinnableTextBase)
selectionActivePosition | A character position, relative to the beginning of the text String, specifying the end of the selection that moves when the selection is extended with the arrow keys. (Inherited from SparkSkinnableTextBase)
selectionAnchorPosition | A character position, relative to the beginning of the text String, specifying the end of the selection that stays fixed when the selection is extended with the arrow keys. (Inherited from SparkSkinnableTextBase)
selectionHighlighting | a value whether the text selection is highlighted. (Inherited from SparkSkinnableTextBase)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
text | The text String displayed by this component. (Inherited from SparkSkinnableTextBase)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
widthInChars | The default width of the control, measured in em units.
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | The event triggered when a drag operation is cancelled.
DragDrop | The event triggered when the dragged item is dropped.
DragStart | The event triggered when the drag/drop operation begins.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableTextBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Input | Dispatched when the user types, deletes, or pastes text into the control. (Inherited from SparkSkinnableTextBase)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when the mouse is used to move the scroll bars on this container. (Inherited from SparkSkinnableTextBase)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SelectText | Dispatched when text is selected. (Inherited from SparkSkinnableTextBase)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkSkinnableTextBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkTileGroup Class

Description

The TileGroup container is an instance of the Group container that uses the TileLayout class.

Inheritance Hierarchy

  • SparkGroup
    • SparkTileGroup

Syntax

C#
public class SparkTileGroup : SparkGroup
VB
'Declaration
Public Class SparkTileGroup _
Inherits SparkGroup

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | a value whether measurement and layout are done when the position or size of a child is changed. (Inherited from SparkGroupBase)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
blendMode | A value from the BlendMode class that specifies which blend mode to use. (Inherited from SparkGroup)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clipAndEnableScrolling | a value whether to clip the children to the boundaries of the viewport. (Inherited from SparkGroupBase)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkGroupBase)
contentHeight | The height of the viewport's content. (Inherited from SparkGroupBase)
contentWidth | The width of the viewport's contents. (Inherited from SparkGroupBase)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkGroupBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalScrollPosition | The x coordinate of the origin of the viewport in the component's coordinate system, where the default value is (0,0) corresponding to the upper-left corner of the component (Inherited from SparkGroupBase)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from SparkGroupBase)
luminosityClip | a value whether the luminosity mask clips the masked content. (Inherited from SparkGroupBase)
luminosityInvert | a value that controls the calculation of the RGB color value of a graphic element being masked by a luminosity mask. (Inherited from SparkGroupBase)
maskType | The mask type. (Inherited from SparkGroupBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
mouseEnabledWhereTransparent | a value whether the entire bounds of the Group respond to mouse events such as click and roll over. (Inherited from SparkGroupBase)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkGroupBase)
numElements | The number of visual elements in this container. (Inherited from SparkGroupBase)
numRows | the total number of rows of data available. (Inherited from SparkGroupBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
resizeMode | The ResizeMode for this container. (Inherited from SparkGroupBase)
scaleGridBottom | the bottom coordinate of the scale grid. (Inherited from SparkGroup)
scaleGridLeft | the left coordinate of the scale grid. (Inherited from SparkGroup)
scaleGridRight | the right coordinate of the scale grid. (Inherited from SparkGroup)
scaleGridTop | the top coordinate of the scale grid. (Inherited from SparkGroup)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalScrollPosition | The y coordinate of the origin of the viewport in the component's coordinate system, where the default value is (0,0) corresponding to the upper-left corner of the component. (Inherited from SparkGroupBase)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkGroupBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkGroupBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkGroupBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkGroupBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when the mouse is used to move the scroll bars on this container. (Inherited from SparkGroupBase)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the container's scroll events occur. This event is dispatched if the scrolling is done programmatically or by the user. (Inherited from SparkGroupBase)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkGroupBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkTitleWindow Class

Description

The TitleWindow class extends Panel to include a close button and move area.

Inheritance Hierarchy

  • SparkPanel
    • SparkTitleWindow

Syntax

C#
public class SparkTitleWindow : SparkPanel
VB
'Declaration
Public Class SparkTitleWindow _
Inherits SparkPanel

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | whether measurement and layout are done when the position or size of a child is changed. (Inherited from SparkSkinnableContainer)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
controlBarVisible | a value whether the control bar is visible. (Inherited from SparkPanel)
creationPolicy | the content creation policy for this component. (Inherited from SparkSkinnableContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
deferredContentCreated | whether deferred content has been created. (Inherited from SparkSkinnableContainer)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numElements | The number of visual elements in this container. (Inherited from SparkSkinnableContainer)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
title | the title or caption displayed in the title bar. (Inherited from SparkPanel)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkPanel)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkToggleButton Class

Description

The ToggleButton component defines a toggle button. Clicking the button toggles it between the up and an down states.

Inheritance Hierarchy

  • SparkToggleButtonBase
    • SparkToggleButton
      • SparkButtonBarButton

Syntax

C#
public class SparkToggleButton : SparkToggleButtonBase
VB
'Declaration
Public Class SparkToggleButton _
Inherits SparkToggleButtonBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
autoRepeat | whether to dispatch repeated buttonDown events if the user holds down the mouse button. (Inherited from SparkButtonBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text to appear on the ButtonBase control. (Inherited from SparkButtonBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selected | whether the button is in the down state, and false if it is in the up state. (Inherited from SparkToggleButtonBase)
stickyHighlighting | a value whether the button displays its down skin when the user presses it but changes to its over skin when the user drags the mouse off of it. (Inherited from SparkButtonBase)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | The event triggered when a drag operation is cancelled.
DragDrop | The event triggered when the dragged item is dropped.
DragStart | The event triggered when the drag/drop operation begins.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkButtonBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkToggleButtonBase Class

Description

The ToggleButtonBase component is the base class for the Spark button components that support the selected property.

Inheritance Hierarchy

  • SparkButtonBase
    • SparkToggleButtonBase
      • SparkCheckBox
      • SparkRadioButton
      • SparkToggleButton

Syntax

C#
public class SparkToggleButtonBase : SparkButtonBase
VB
'Declaration
Public Class SparkToggleButtonBase _
Inherits SparkButtonBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
autoRepeat | whether to dispatch repeated buttonDown events if the user holds down the mouse button. (Inherited from SparkButtonBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text to appear on the ButtonBase control. (Inherited from SparkButtonBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selected | whether the button is in the down state, and false if it is in the up state.
stickyHighlighting | a value whether the button displays its down skin when the user presses it but changes to its over skin when the user drags the mouse off of it. (Inherited from SparkButtonBase)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkButtonBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkTrackBase Class

Description

The TrackBase class is a base class for components with a track and one or more thumb buttons, such as Slider and ScrollBar.

Inheritance Hierarchy

  • SparkRange
    • SparkTrackBase
      • SparkScrollBar
      • SparkSlider

Syntax

C#
public class SparkTrackBase : SparkRange
VB
'Declaration
Public Class SparkTrackBase _
Inherits SparkRange

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
maximum | The maximum valid value. (Inherited from SparkRange)
minimum | The minimum valid value. (Inherited from SparkRange)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
snapInterval | the snapInterval. (Inherited from SparkRange)
stepSize | The amount that the value property changes when the changeValueByStep() method is called. (Inherited from SparkRange)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
value | The current value for this range. (Inherited from SparkRange)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Change | Dispatched when the value of the NumericStepper changes as a result of user interaction.
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkVideoDisplay Class

Description

Identifies a Spark video display control.

Inheritance Hierarchy

  • FlexObject
    • SparkVideoDisplay

Syntax

C#
public class SparkVideoDisplay : FlexObject
VB
'Declaration
Public Class SparkVideoDisplay _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoDisplayFirstFrame | whether the video is loaded when the source is set.
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
autoPlay | whether the video starts playing immediately when the source property is set.
autoRewind | whether the FLV file should rewind to the first frame when play stops.
bytesLoaded | the number of bytes of data that have been downloaded into the application.
bytesTotal | the total size in bytes of the data being downloaded into the application.
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
currentTime | the current time of the playhead, measured in seconds, since the video starting playing.
duration | the duration of the video's playback, in seconds.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
loop | whether the media should play again after playback has completed.
mediaPlayerState | the current state of the video.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
muted | whether the video is muted.
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
pauseWhenHidden | whether the video continues to play when it is "hidden".
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
playing | a value whether the video is playing or is attempting to play.
scaleMode | the different ways of sizing the video content.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
volume | the volume level, specified as a value between 0 and 1.
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkVideoPlayer Class

Description

The VideoPlayer control is a skinnable video player that supports progressive download, multi-bitrate streaming, and streaming video.

Inheritance Hierarchy

  • SparkObject
    • SparkVideoPlayer

Syntax

C#
public class SparkVideoPlayer : SparkObject
VB
'Declaration
Public Class SparkVideoPlayer _
Inherits SparkObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
muted | a value whether the control is muted.
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
playing | a value if the video is playing or is attempting to play.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
volume | The volume level, specified as a value between 0 and 1.
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkVolumeBar Class

Description

The VolumeBar class defines a drop-down slider to control the volume of the VideoDisplay control.

Inheritance Hierarchy

  • SparkSlider
    • SparkVolumeBar

Syntax

C#
public class SparkVolumeBar : SparkSlider
VB
'Declaration
Public Class SparkVolumeBar _
Inherits SparkSlider

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
isDropDownOpen | a value whether the volumebar is open.
maximum | The maximum valid value. (Inherited from SparkRange)
minimum | The minimum valid value. (Inherited from SparkRange)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
muted | a value whether the control is muted.
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
snapInterval | the snapInterval. (Inherited from SparkRange)
stepSize | The amount that the value property changes when the changeValueByStep() method is called. (Inherited from SparkRange)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
value | The current value for this range. (Inherited from SparkRange)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Change | Dispatched when the value of the NumericStepper changes as a result of user interaction. (Inherited from SparkTrackBase)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
MuteChange | Dispatched when the mute status changes as a result of user interaction.
Open | Dispatched when the user clicks the drop-down button to display the drop-down list.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkTrackBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkWindow Class

Description

The Window is a top-level container for additional windows in an AIR desktop application.

Inheritance Hierarchy

  • SparkSkinnableContainer
    • SparkWindow

Syntax

C#
public class SparkWindow : SparkSkinnableContainer, IMoveable
VB
'Declaration
Public Class SparkWindow _
Inherits SparkSkinnableContainer _
Implements IMoveable

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
alwaysInFront | a value whether the underlying NativeWindow is always in front of other windows.
autoLayout | whether measurement and layout are done when the position or size of a child is changed. (Inherited from SparkSkinnableContainer)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
closed | a value whether the underlying window has been closed.
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
creationPolicy | the content creation policy for this component. (Inherited from SparkSkinnableContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
deferredContentCreated | whether deferred content has been created. (Inherited from SparkSkinnableContainer)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
isAIRWindow | a value whether this window is an AIR window.
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
maxHeight | The maximum recommended height of the component to be considered by the parent during layout.
maximizable | a value whether the window can be maximized.
maxWidth | The maximum recommended width of the component to be considered by the parent during layout.
minHeight | The minimum recommended height of the component to be considered by the parent during layout.
minimizable | a value whether the window can be minimized.
minWidth | The minimum recommended width of the component to be considered by the parent during layout.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numElements | The number of visual elements in this container. (Inherited from SparkSkinnableContainer)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
resizable | a value whether the window can be resized.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
showStatusBar | a value whether the status bar is visible.
status | The string that appears in the status bar, if it is visible.
systemChrome | the type of system chrome (if any) the window has.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
title | The title that appears in the window title bar and the taskbar.
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
transparent | a value whether the window is transparent.
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored (Inherited from IMoveable)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the window. (Inherited from IMoveable)
CloseSynchron | Closes the window and waits until the window is closed. (Inherited from IMoveable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open. (Inherited from IMoveable)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFocus | Returns the object with the input focus. (Inherited from IMoveable)
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window. (Inherited from IMoveable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsActive | Returns whether the window is set to active. (Inherited from IMoveable)
Maximize | Maximizes the window. (Inherited from IMoveable)
Minimize | Reduces the window to an icon. (Inherited from IMoveable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from IMoveable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Restore | Restores the window to its previous size. (Inherited from IMoveable)
SetActive | Makes the window active. (Inherited from IMoveable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Size | Resizes the window. (Inherited from IMoveable)
StateChange | Dispatched when the displaystatus of the window is changed.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkWindowedApplication Class

Description

The WindowedApplication defines the application container that you use to create Flex applications for AIR applications.

Inheritance Hierarchy

  • SparkApplication
    • SparkWindowedApplication

Syntax

C#
public class SparkWindowedApplication : SparkApplication, IMoveable
VB
'Declaration
Public Class SparkWindowedApplication _
Inherits SparkApplication _
Implements IMoveable

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
alwaysInFront | a value whether the underlying NativeWindow is always in front of other windows.
applicationID | The identifier that AIR uses to identify the application.
autoExit | a value whether the AIR application will quit when the last window closes or will continue running in the background.
autoLayout | whether measurement and layout are done when the position or size of a child is changed. (Inherited from SparkSkinnableContainer)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
closed | a value whether the underlying window has been closed.
colorCorrection | The value of the stage's colorCorrection property. (Inherited from SparkApplication)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
controlBarVisible | whether the control bar is visible. (Inherited from SparkApplication)
creationPolicy | the content creation policy for this component. (Inherited from SparkSkinnableContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
deferredContentCreated | whether deferred content has been created. (Inherited from SparkSkinnableContainer)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
maxHeight | The maximum recommended height of the component to be considered by the parent during layout.
maximizable | a value whether the window can be maximized.
maxWidth | The maximum recommended width of the component to be considered by the parent during layout.
minHeight | The minimum recommended height of the component to be considered by the parent during layout.
minimizable | a value whether the window can be minimized.
minWidth | The minimum recommended width of the component to be considered by the parent during layout.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numElements | The number of visual elements in this container. (Inherited from SparkSkinnableContainer)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
resizable | a value whether the window can be resized.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
showStatusBar | a value whether the status bar is visible.
status | The string that appears in the status bar, if it is visible.
systemChrome | the type of system chrome (if any) the window has.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
title | The title that appears in the window title bar and the taskbar.
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
transparent | a value whether the window is transparent.
url | The URL from which this Application's SWF file was loaded. (Inherited from SparkApplication)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
viewSourceURL | the URL where the application's source can be viewed. (Inherited from SparkApplication)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored (Inherited from IMoveable)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the window. (Inherited from IMoveable)
CloseSynchron | Closes the window and waits until the window is closed. (Inherited from IMoveable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open. (Inherited from IMoveable)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFocus | Returns the object with the input focus. (Inherited from IMoveable)
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window. (Inherited from IMoveable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsActive | Returns whether the window is set to active. (Inherited from IMoveable)
Maximize | Maximizes the window. (Inherited from IMoveable)
Minimize | Reduces the window to an icon. (Inherited from IMoveable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from IMoveable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Restore | Restores the window to its previous size. (Inherited from IMoveable)
SetActive | Makes the window active. (Inherited from IMoveable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Size | Resizes the window. (Inherited from IMoveable)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkApplication)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


Java SWT Class Reference

Lists the available classes for testing Java SWT controls.

  • CBanner Class
    The class used to layout the toolbar area and perspective switching toolbar in the workbench.
  • CoolBar Class
    A container class that contains SWT widgets, primarily toolbars.
  • CoolItem Class
    Contains selectable user interface objects that represent the areas of a CoolBar that can be dynamically positioned.
  • CTabFolder Class
    Class for an enhanced tab folder, typically having decorated tabs and the minimize, maximize, and close buttons.
  • CTabItem Class
    The class for an enhanced tab within a CTabFolder.
  • ExpandBar Class
    The class for widgets that expand and close by clicking on a header.
  • ExpandItem Class
    The class that contains the expandable items in an ExpandBar.
  • HorizontalSash Class
    The class for the horizontal border around a window pane that can be dragged to adjust the window size.
  • Sash Class
    The class for the border around a window pane that can be dragged to adjust the window size.
  • SashForm Class
    The class for the border around a form that can be dragged to adjust the size of the form.
  • ScrollableControl Class
    The implementation class for all controls which are only classified as controls but also contain a scrollbar.
  • ScrolledComposite Class
    The class for scrollbars and scrolls the content when the user uses the scrollbars.
  • Shell Class
    The class for Java SWT windows.
  • Spinner Class
    The class to enter and modify numeric values for up/down controls.
  • StyledText Class
    The class for an editable user interface object that displays lines of text.
  • SWTBrowser Class
    The class for the browser widget.
  • SWTDateTime Class
    The class for SWT date and time elements in a calendar, date, or time control.
  • SWTTabControl Class
    The class for SWT TabFolder.
  • SWTTabItem Class
    The class for SWT TabItem.
  • SWTTable Class
    The class for SWT tables.
  • SWTTableColumn Class
    The class for columns in an SWT table.
  • SWTTableRow Class
    The class for rows in an SWT table.
  • SWTTree Class
    The class for SWT tree widgets.
  • SWTTreeColumn Class
    The class for columns in a Tree widget.
  • VerticalSash Class
    The class for the vertical border around a window pane that can be dragged to adjust the window size.
  • ViewForm Class
    The class to lay out a view's label/menu/toolbar local bar in the workbench.
Parent topic: Silk4NET 言語リファレンス


CBanner Class

Description

The class used to layout the toolbar area and perspective switching toolbar in the workbench.

Inheritance Hierarchy

  • Control
    • CBanner

Syntax

C#
public class CBanner : Control
VB
'Declaration
Public Class CBanner _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Bottom | The control located at the bottom of the banner.
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
Left | The control located on the left side of the banner.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Right | The control located on the right side of the banner.
RightMinimumSize | The minimum size of the control located on the right side of the banner.
RightWidth | The width of the control located on the right side of the banner.
Simple | Whether the banner is rendered with a simple, traditional shape.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


CoolBar Class

Description

A container class that contains SWT widgets, primarily toolbars.

Inheritance Hierarchy

  • Control
    • CoolBar

Syntax

C#
public class CoolBar : Control
VB
'Declaration
Public Class CoolBar _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
ItemCount | The number of items in the coolbar.
Items | A list of items in the coolbar.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


CoolItem Class

Description

Contains selectable user interface objects that represent the areas of a CoolBar that can be dynamically positioned.

Inheritance Hierarchy

  • Item
    • CoolItem

Syntax

C#
public class CoolItem : Item
VB
'Declaration
Public Class CoolItem _
Inherits Item

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Content | The content of the areas that can be dynamically positioned.
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


CTabFolder Class

Description

Class for an enhanced tab folder, typically having decorated tabs and the minimize, maximize, and close buttons.

Inheritance Hierarchy

  • Control
    • CTabFolder

Syntax

C#
public class CTabFolder : Control
VB
'Declaration
Public Class CTabFolder _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
ItemCount | The number of items in the tab folder.
Items | A list of items in the tab folder.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedIndex | The index of the selected item.
SelectedItem | The selected tab item.
SelectedItemText | The text of the selected item or an empty string if no item is selected.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the visible page.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
Maximize | Resizes the CTabFolder to its full (maximized) size.
Minimize | Resizes the CTabFolder to the minimum size allowed.
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Restore | Restores the CTabFolder to its previous size.
Select | Selects an item from the CTabFolder.
SelectList | Selects one or more items in the tab.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


CTabItem Class

Description

The class for an enhanced tab within a CTabFolder.

Inheritance Hierarchy

  • Item
    • CTabItem

Syntax

C#
public class CTabItem : Item
VB
'Declaration
Public Class CTabItem _
Inherits Item

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Selected | Whether the item is selected.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the visible tab.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects a tab.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


ExpandBar Class

Description

The class for widgets that expand and close by clicking on a header.

Inheritance Hierarchy

  • Control
    • ExpandBar

Syntax

C#
public class ExpandBar : Control
VB
'Declaration
Public Class ExpandBar _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
ExpandedItems | A list of the items that are expanded.
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
ItemCount | The number of items in the expandbar.
Items | A list of items in the expandbar.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Collapse | Collapses the ExpandBar.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Expand | Expands an ExpandBar.
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


ExpandItem Class

Description

The class that contains the expandable items in an ExpandBar.

Inheritance Hierarchy

  • Item
    • ExpandItem

Syntax

C#
public class ExpandItem : Item
VB
'Declaration
Public Class ExpandItem _
Inherits Item

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Content | The content of the item.
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Expanded | Whether the item is expanded.
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Collapse | Collapses the expandable items.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Expand | Expands the expandable items.
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


HorizontalSash Class

Description

The class for the horizontal border around a window pane that can be dragged to adjust the window size.

Inheritance Hierarchy

  • Sash
    • HorizontalSash

Syntax

C#
public class HorizontalSash : Sash
VB
'Declaration
Public Class HorizontalSash _
Inherits Sash

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the window pane that the sash borders. (Inherited from Sash)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


Sash Class

Description

The class for the border around a window pane that can be dragged to adjust the window size.

Inheritance Hierarchy

  • Control
    • Sash
      • HorizontalSash
      • VerticalSash

Syntax

C#
public class Sash : Control
VB
'Declaration
Public Class Sash _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the window pane that the sash borders.
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


SashForm Class

Description

The class for the border around a form that can be dragged to adjust the size of the form.

Inheritance Hierarchy

  • Control
    • SashForm

Syntax

C#
public class SashForm : Control
VB
'Declaration
Public Class SashForm _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
Horizontal | Whether the sash form is horizontal.
MaximizedControl | The sash window that is maximized in the form.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Vertical | Whether the sash form is vertical.
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)
Weights | The relative sizes of the children of the sash form window.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


ScrollableControl Class

Description

The implementation class for all controls which are only classified as controls but also contain a scrollbar.

Inheritance Hierarchy

  • Control
    • ScrollableControl

Syntax

C#
public class ScrollableControl : Control
VB
'Declaration
Public Class ScrollableControl _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


ScrolledComposite Class

Description

The class for scrollbars and scrolls the content when the user uses the scrollbars.

Inheritance Hierarchy

  • Control
    • ScrolledComposite

Syntax

C#
public class ScrolledComposite : Control
VB
'Declaration
Public Class ScrolledComposite _
Inherits Control

Properties

Name | Description
AlwaysShowScrollBars | Whether the scrollbar shows.
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Content | The content of the areas that can be dynamically positioned.
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Origin | The point in the content that currently appears in the top left corner of the scrolled composite.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


Shell Class

Description

The class for Java SWT windows.

Inheritance Hierarchy

  • Window
    • Shell

Syntax

C#
public class Shell : Window
VB
'Declaration
Public Class Shell _
Inherits Window

Properties

Name | Description
Application | The name of the Application that this Window belongs to. (Inherited from Window)
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored (Inherited from IMoveable)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the window. (Inherited from IMoveable)
CloseSynchron | Closes the window and waits until the window is closed. (Inherited from IMoveable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open. (Inherited from IMoveable)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFocus | Returns the object with the input focus. (Inherited from IMoveable)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window. (Inherited from IMoveable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsActive | Returns whether the window is set to active. (Inherited from IMoveable)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
Maximize | Maximizes the window. (Inherited from IMoveable)
Minimize | Reduces the window to an icon. (Inherited from IMoveable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the window. (Inherited from IMoveable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Restore | Restores the window to its previous size. (Inherited from IMoveable)
SetActive | Makes the window active. (Inherited from IMoveable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Size | Resizes the window. (Inherited from IMoveable)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


Spinner Class

Description

The class to enter and modify numeric values for up/down controls.

Inheritance Hierarchy

  • Control
    • Spinner

Syntax

C#
public class Spinner : Control
VB
'Declaration
Public Class Spinner _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
IncrementCount | The amount to increase the position value of the spinner control after pressing it.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
PageSize | The internal page size of the spinner control.
Position | The position for the up/down control.
Range | The range of the spinner control.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Decrement | Decreases the value when the spinner controls are pressed.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Increment | Increases the value when the spinner controls are pressed.
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PageDecrement | Decreases the value when the page spinner controls are pressed.
PageIncrement | Increases the value when the page spinner controls are pressed.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetValue | Sets the value for the spinner control.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


StyledText Class

Description

The class for an editable user interface object that displays lines of text.

Inheritance Hierarchy

  • TextField
    • StyledText

Syntax

C#
public class StyledText : TextField
VB
'Declaration
Public Class StyledText _
Inherits TextField

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Editable | Whether the text is editable.
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
IsPassword | Whether the control is a password text field. (Inherited from TextField)
MultiLine | Whether the control is multiline. (Inherited from TextField)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Position | The position of the caret within the text field. (Inherited from TextField)
SelectedRange | The selected range within the text field. (Inherited from TextField)
SelectedText | The selected text within the text field. An empty string if no text is selected. (Inherited from TextField)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ClearText | Removes all text from the text field. (Inherited from TextField)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetMultiText | Returns the specified lines of text in the multi-line text field. (Inherited from TextField)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetMultiText | Substitutes all or part of the lines in the multi-line text field. (Inherited from TextField)
SetPosition | Sets the insertion point in the text field. (Inherited from TextField)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetSelectionRange | Selects the specified range of the single-line or multi-line text field. (Inherited from TextField)
SetText | Substitutes new text for all or part of the text in the text field. (Inherited from TextField)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


SWTBrowser Class

Description

The class for the browser widget.

Inheritance Hierarchy

  • Control
    • SWTBrowser

Syntax

C#
public class SWTBrowser : Control
VB
'Declaration
Public Class SWTBrowser _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


SWTDateTime Class

Description

The class for SWT date and time elements in a calendar, date, or time control.

Inheritance Hierarchy

  • Control
    • SWTDateTime

Syntax

C#
public class SWTDateTime : Control
VB
'Declaration
Public Class SWTDateTime _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
CurrentDate | The current date.
Day | The day.
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
Hours | The hour.
Minutes | The minute.
Month | The month.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Seconds | The second.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)
Year | The year.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects a date and time.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


SWTTabControl Class

Description

The class for SWT TabFolder.

Inheritance Hierarchy

  • TabControl
    • SWTTabControl

Syntax

C#
public class SWTTabControl : TabControl
VB
'Declaration
Public Class SWTTabControl _
Inherits TabControl

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
ItemCount | The number of items in the tab control. (Inherited from TabControl)
Items | A list of items in the tab control. (Inherited from TabControl)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedIndex | The index of the selected item. (Inherited from TabControl)
SelectedItem | The selected item. (Inherited from TabControl)
SelectedTabItem | The name of the selected item.
TabItems | A list of TabItems in the tab control.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Sets the current page to the specified page. (Inherited from TabControl)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


SWTTabItem Class

Description

The class for SWT TabItem.

Inheritance Hierarchy

  • Item
    • SWTTabItem

Syntax

C#
public class SWTTabItem : Item
VB
'Declaration
Public Class SWTTabItem _
Inherits Item

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Selected | Whether the item is selected.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects a tab.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


SWTTable Class

Description

The class for SWT tables.

Inheritance Hierarchy

  • Table
    • SWTTable

Syntax

C#
public class SWTTable : Table
VB
'Declaration
Public Class SWTTable _
Inherits Table

Properties

Name | Description
AllowsCheck | Whether the control can display a checkmark. (Inherited from Table)
AllowsMultiSelect | Whether the table supports selecting multiple items. (Inherited from Table)
Background | The background color of the GUI object. (Inherited from GuiTestObject)
ColumnCount | The number of columns in the table. (Inherited from Table)
ColumnItems | A list of all items in the column. (Inherited from Table)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
RowCount | The number of rows in the table. (Inherited from Table)
RowItems | A list of all table rows in the table. (Inherited from Table)
SelectedIndices | The indices of the selected item(s). (Inherited from Table)
SelectedItems | The selected item(s). (Inherited from Table)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks the check box in the defined row of a table. (Inherited from Table)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleSelect | Double-clicks an item. (Inherited from Table)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
ExtendSelectRow | Selects a range of rows. (Inherited from Table)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
FocusRow | Focuses on a row in the table. (Inherited from Table)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MultiSelectRow | Adds a row from the table to the set of selected rows. (Inherited from Table)
MultiUnselectRow | Removes a row from the set of selected rows. (Inherited from Table)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SelectRow | Selects an row in the table. (Inherited from Table)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks the check box in the defined row of a table. (Inherited from Table)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


SWTTableColumn Class

Description

The class for columns in an SWT table.

Inheritance Hierarchy

  • TableColumn
    • SWTTableColumn

Syntax

C#
public class SWTTableColumn : TableColumn
VB
'Declaration
Public Class SWTTableColumn _
Inherits TableColumn

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)
Width | The width of the column. (Inherited from TableColumn)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Resize | Resizes a column. (Inherited from TableColumn)
Select | Selects a column. (Inherited from TableColumn)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


SWTTableRow Class

Description

The class for rows in an SWT table.

Inheritance Hierarchy

  • TableRow
    • SWTTableRow

Syntax

C#
public class SWTTableRow : TableRow
VB
'Declaration
Public Class SWTTableRow _
Inherits TableRow

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Checked | Whether the check box in the row is checked. (Inherited from TableRow)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
ItemCount | The number of items in the row. (Inherited from TableRow)
Items | A list of items in the row. (Inherited from TableRow)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


SWTTree Class

Description

The class for SWT tree widgets.

Inheritance Hierarchy

  • Tree
    • SWTTree

Syntax

C#
public class SWTTree : Tree
VB
'Declaration
Public Class SWTTree _
Inherits Tree

Properties

Name | Description
AllowsCheck | Whether the control can display a checkmark. (Inherited from Tree)
AllowsMultiSelect | Whether the control supports selecting multiple items. (Inherited from Tree)
Background | The background color of the GUI object. (Inherited from GuiTestObject)
ColumnCount | The number of columns in the tree.
Columns | A list of columns in the tree.
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
ItemCount | The number of items in the tree (including all children). (Inherited from Tree)
ItemPaths | A list of items in the tree (including all children). (Inherited from Tree)
Items | A list of items in the tree (including all children). (Inherited from Tree)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedIndex | The index of the first selected item. (Inherited from Tree)
SelectedIndices | The indices of the selected item(s). (Inherited from Tree)
SelectedItem | The name of the first selected item. (Inherited from Tree)
SelectedItems | The names of the selected item(s). (Inherited from Tree)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)
VisibleItemPaths | A list of visible items in the tree (including all children). (Inherited from Tree)
VisibleItems | A list of visible items in the tree (including all children). (Inherited from Tree)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks the check box. (Inherited from Tree)
Click | Clicks on the object. (Inherited from IClickable)
Collapse | Collapses an item in a treeview control. (Inherited from Tree)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleSelect | Double-clicks an item. (Inherited from Tree)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Expand | Expands an object in a treeview control. (Inherited from Tree)
ExtendSelect | Selects a range of items by extending the selection.
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetContentsOfColumn | Retrieves the contents of the specified column as a list. To retrieve the contents of any column greater than column one, you must specify the parameters rawMode and column.
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetItemPaths | Returns all items of the tree as a list of itempaths (Inherited from Tree)
GetItemRect | Returns the size and position of an item relative to the treeview control. (Inherited from Tree)
GetItemsOfColumn | Retrieve items of the specified column from Tree
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetSelectedTextOfColumn | Retrieves selected text from the specified column
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsExpandable | Checks if the given item can be expanded. (Inherited from Tree)
IsExpanded | Checks if the given item is expanded. (Inherited from Tree)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MultiSelect | Adds an item from the tree to the set of selected items.
MultiUnselect | Removes an item in the tree from the set of selected items.
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects an item from the tree. (Inherited from Tree)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks the check box. (Inherited from Tree)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


SWTTreeColumn Class

Description

The class for columns in a Tree widget.

Inheritance Hierarchy

  • Item
    • SWTTreeColumn

Syntax

C#
public class SWTTreeColumn : Item
VB
'Declaration
Public Class SWTTreeColumn _
Inherits Item

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)
Width | The width of the column.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Resize | Resizes a column of the tree.
Select | Selects a tree column.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


VerticalSash Class

Description

The class for the vertical border around a window pane that can be dragged to adjust the window size.

Inheritance Hierarchy

  • Sash
    • VerticalSash

Syntax

C#
public class VerticalSash : Sash
VB
'Declaration
Public Class VerticalSash _
Inherits Sash

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the window pane that the sash borders. (Inherited from Sash)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


ViewForm Class

Description

The class to lay out a view's label/menu/toolbar local bar in the workbench.

Inheritance Hierarchy

  • Control
    • ViewForm

Syntax

C#
public class ViewForm : Control
VB
'Declaration
Public Class ViewForm _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Content | The content of the areas that can be dynamically positioned.
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
TopCenter | The window located in the top center of the pane.
TopLeft | The window located in the top left of the pane.
TopRight | The window located in the top right of the pane.
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


キーワード駆動テスト クラス リファレンス

キーワード駆動テストで利用可能なクラスを一覧します。

  • ArgumentAttribute クラス
    キーワード駆動テストのキーワードとしてマークされるメソッドの引数の名前を明示的に指定するために使用されます。
  • KeywordAttribute クラス
    メソッドがキーワードであることを指定します。
  • KeywordGroupAttribute クラス
    トピックの目的を説明します。文フラグメントとして記述されます。含めるのは 2 文以下にします。
親トピック: Silk4NET 言語リファレンス


ArgumentAttribute クラス

説明

キーワード駆動テストのキーワードとしてマークされるメソッドの引数の名前を明示的に指定するために使用されます。

構文

C#
[AttributeUsageAttribute(AttributeTargets.Parameter)]
public class ArgumentAttribute : Attribute
VB
<AttributeUsageAttribute(AttributeTargets.Parameter>
Public Class ArgumentAttribute Inherits Attribute

プロパティ

名前 | 説明
Name プロパティ (ArgumentAttribute) | 引数の名前を取得します。

例：2 つの引数を持つキーワードの作成

引数 username および password を持つ Login キーワードを作成するには、次のサンプル コードを使用します。

C#
[Keyword]
public void Login([Argument("Name of the user")] string username, [Argument("Password of the user")] string password) {
  // keyword implementation
}
VB
<Keyword()>
Public Sub Login(<Argument("Name of the user")> username As String, <Argument("Password of the user")> password As String)
  ' keyword implementation
End Sub

例：説明のない引数の使用

引数の説明を使用せずに、引数 username および password を持つ Login キーワードを作成するには、次のサンプル コードを使用します。

C#
[Keyword]
public void Login(string username, string password) {
  // keyword implementation
}
[Keyword]
public void Login([Argument] string username, [Argument] string password) {
  // keyword implementation
}
VB
<Keyword()>
Public Sub Login(username As String, password As String)
  ' keyword implementation
End Sub
<Keyword()>
Public Sub Login(<Argument> username As String, <Argument> password As String)
  ' keyword implementation
End Sub
親トピック: キーワード駆動テスト クラス リファレンス


KeywordAttribute クラス

説明

メソッドがキーワードであることを指定します。キーワードの名前が指定されていない場合、アノテーション メソッドの名前がキーワード名として使用されます。

構文

C#
[AttributeUsageAttribute(AttributeTargets.Method)]
public class KeywordAttribute : Attribute
VB
'Declaration
<AttributeUsageAttribute(AttributeTargets.Method>
Public Class KeywordAttribute Inherits Attribute

プロパティ

名前 | 説明
Name プロパティ (KeywordAttribute) | キーワードの名前を取得します。デフォルト値は空の文字列です。
Description プロパティ (KeywordAttribute) | キーワードの説明を取得します。デフォルト値は空の文字列です。

例：2 つの引数を持つキーワードの作成

引数 username および password を持つ Login キーワードを作成するには、次のサンプル コードを使用します。

C#
[Keyword]
public void Login(string username, string password) {
  // keyword implementation
}
VB
<Keyword()>
Public Sub Login(username As String, password As String)
  ' keyword implementation
End Sub

例：キーワードの名前の指定

新しいキーワードを作成するときにキーワードの名前を指定するには、次のサンプル コードを使用します。

C#
[Keyword("Login user")]
public void Login(string username, string password) {
  // keyword implementation
}
VB
<Keyword("Login user")>
Public Sub Login(username As String, password As String)
  ' keyword implementation
End Sub
親トピック: キーワード駆動テスト クラス リファレンス
関連タスク
スクリプトのテスト メソッドをキーワードとして指定


KeywordGroupAttribute クラス

説明

クラスがキーワード グループであることを指定します。キーワードとしてマークされるこのクラス内のメソッドはキーワードです。これらのメソッドの完全修飾名は、キーワード グループの名前とキーワードの名前で構成されます。キーワード グループの名前がない場合、宣言しているクラスの単純名が代わりに使用されます。

構文

C#
[AttributeUsageAttribute(AttributeTargets.Class)]
public class KeywordGroupAttribute : Attribute
VB
'Declaration
<AttributeUsageAttribute(AttributeTargets.Class>
Public Class KeywordGroupAttribute Inherits Attribute

プロパティ

名前 | 説明
Name プロパティ (KeywordGroupAttribute) | キーワード グループの名前を取得します。デフォルト値は空の文字列です。

例：キーワード グループの作成

キーワード グループ LoginPage を作成するには、次のサンプル コードを使用します。

C#
[KeywordGroup]
public class LoginPage {
  // keyword methods
}
VB
<KeywordGroup()>
Public Class LoginPage
  ' keyword methods
End Class

例：キーワード グループの名前の指定

引数の説明を使用せずに、引数 username および password を持つ Login キーワードを作成するには、次のサンプル コードを使用します。

C#
[KeywordGroup("Login Page")]
public class LoginPage {
  // keyword methods
}
VB
<KeywordGroup("Login Page")>
Public Class LoginPage
  ' keyword methods
End Class
親トピック: キーワード駆動テスト クラス リファレンス
関連タスク
キーワードのグループ化


Mobile Class Reference

Lists the available classes for testing Mobile controls.

  • IMobileClickable Interface
    Interface for objects that use clicks.
  • IMobileGestures Interface
    Interface for objects that use long swipes.
  • IMobileKeyable Interface
    Interface for objects that use keystrokes.
  • MobileButton Class
    Represents a mobile button. Mobile buttons can be clicked.
  • MobileDevice Class
    The mobile device.
  • MobileObject Class
    The base class for all mobile objects.
  • MobileTextField Class
    Represents a text field.
  • MobileWindow Class
    The mobile window.
Parent topic: Silk4NET 言語リファレンス


IMobileClickable Interface

Description

Interface for objects that use clicks.

Syntax

C#
public class IMobileClickable
VB
'Declaration
Public Class IMobileClickable

Methods

Name | Description
Click | Clicks on the device at the specified coordinates.
DoubleClick | Double-clicks on the device at the specified coordinates.
LongClick | Long-clicks on the device at the specified coordinates.
Parent topic: Mobile Class Reference


IMobileGestures Interface

Description

Interface for objects that use long swipes.

Syntax

C#
public class IMobileGestures
VB
'Declaration
Public Class IMobileGestures

Methods

Name | Description
Drag | Performs a drag operation between the two specified points.
MultiTouch | Performs a multi-touch operation with the given pointers. For every given pointer a swipe operation is executed at the same time.
PinchIn | Performs a two-pointer gesture, where each pointer moves toward the other, from the edges to the center of this object. For example to zoom out on an image.
PinchOut | Performs a two-pointer gesture, where each pointer moves opposite across the other, from the center out towards the edges of the this object. For example to zoom in on an image.
Swipe | Performs a swipe between the two specified points.
SwipeDown | Performs a down-swipe.
SwipeLeft | Performs a left-swipe.
SwipeRight | Performs a right-swipe.
SwipeUp | Performs a up-swipe.
SwipeWithSegments | Performs a swipe between the specified points.
TwoPointerMultiTouch | Performs a multi-touch operation with two pointers. It executes two swipe operation at the same time.
Parent topic: Mobile Class Reference


IMobileKeyable Interface

Description

Interface for objects that use keystrokes.

Syntax

C#
public class IMobileKeyable
VB
'Declaration
Public Class IMobileKeyable

Methods

Name | Description
TypeKeys | Sends a set of keystrokes to the object.
Parent topic: Mobile Class Reference


MobileButton Class

Description

Represents a mobile button. Mobile buttons can be clicked.

Inheritance Hierarchy

  • MobileObject
    • MobileButton

Syntax

C#
public class MobileButton : MobileObject
VB
'Declaration
Public Class MobileButton _
Inherits MobileObject

Properties

Name | Description
IsEnabled | Whether the mobile object is enabled. (Inherited from MobileObject)
IsFocused | Whether the mobile object has focus. This property is not supported on iOS. (Inherited from MobileObject)
IsSelected | Whether the mobile object is selected or checked. (Inherited from MobileObject)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the device at the specified coordinates. (Inherited from IMobileClickable)
DoubleClick | Double-clicks on the device at the specified coordinates. (Inherited from IMobileClickable)
Drag | Performs a drag operation between the two specified points. (Inherited from IMobileGestures)
DragTo | Drags this object to the specified point relative to the mobile device. (Inherited from MobileObject)
DragToObject | Drags this object to the specified destination object. (Inherited from MobileObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
LongClick | Long-clicks on the device at the specified coordinates. (Inherited from IMobileClickable)
MultiTouch | Performs a multi-touch operation with the given pointers. For every given pointer a swipe operation is executed at the same time. (Inherited from IMobileGestures)
PinchIn | Performs a two-pointer gesture, where each pointer moves toward the other, from the edges to the center of this object. For example to zoom out on an image. (Inherited from IMobileGestures)
PinchOut | Performs a two-pointer gesture, where each pointer moves opposite across the other, from the center out towards the edges of the this object. For example to zoom in on an image. (Inherited from IMobileGestures)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Swipe | Performs a swipe between the two specified points. (Inherited from IMobileGestures)
SwipeDown | Performs a down-swipe. (Inherited from IMobileGestures)
SwipeLeft | Performs a left-swipe. (Inherited from IMobileGestures)
SwipeRight | Performs a right-swipe. (Inherited from IMobileGestures)
SwipeUp | Performs a up-swipe. (Inherited from IMobileGestures)
SwipeWithSegments | Performs a swipe between the specified points. (Inherited from IMobileGestures)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TwoPointerMultiTouch | Performs a multi-touch operation with two pointers. It executes two swipe operation at the same time. (Inherited from IMobileGestures)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IMobileKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Mobile Class Reference


MobileDevice Class

Description

The mobile device.

Inheritance Hierarchy

  • TestObject
    • MobileDevice

Syntax

C#
public class MobileDevice : TestObject, IMobileClickable, IMobileGestures, IMobileKeyable
VB
'Declaration
Public Class MobileDevice _
Inherits TestObject _
Implements IMobileClickable, IMobileGestures, IMobileKeyable

Properties

Name | Description
DeviceId | The id of the device for the current connection.
DisplayHeight | The height of the display in pixels.
DisplayOrientation | The current orientation of the device.
DisplayWidth | The width of the display in pixels.
IsEmulator | Whether the connected device is an emulator.
Model | The device name of the connected device.
OperatingSystem | the operating system of the mobile device, Android or iOS
OsVersion | The version of the operating system of the connected device.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the device at the specified coordinates. (Inherited from IMobileClickable)
CloseApp | Closes the app and releases the device, to make it available to other users.
DoubleClick | Double-clicks on the device at the specified coordinates. (Inherited from IMobileClickable)
Drag | Performs a drag operation between the two specified points. (Inherited from IMobileGestures)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateConnectionString | Generates a connection string for this mobile device.
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
LongClick | Long-clicks on the device at the specified coordinates. (Inherited from IMobileClickable)
MultiTouch | Performs a multi-touch operation with the given pointers. For every given pointer a swipe operation is executed at the same time. (Inherited from IMobileGestures)
PinchIn | Performs a two-pointer gesture, where each pointer moves toward the other, from the edges to the center of this object. For example to zoom out on an image. (Inherited from IMobileGestures)
PinchOut | Performs a two-pointer gesture, where each pointer moves opposite across the other, from the center out towards the edges of the this object. For example to zoom in on an image. (Inherited from IMobileGestures)
PressBack | Presses the back button. This method is not supported on iOS.
PressDelete | Presses the delete button.
PressEnter | Presses the enter button.
PressHome | Presses the home button.
PressKeyCode | Presses a certain Android-specific key code. This method is not supported on iOS.
PressRecentApps | Presses the recent apps button.
Rotate | Simulates rotating the device screen.
SetLocation | Sets the geographic location of the device, this method only works on Android devices (physical or emulated) and iOS simulators.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Sleep | Presses the power button if the screen is on. This method is not supported on iOS.
Swipe | Performs a swipe between the two specified points. (Inherited from IMobileGestures)
SwipeDown | Performs a down-swipe. (Inherited from IMobileGestures)
SwipeLeft | Performs a left-swipe. (Inherited from IMobileGestures)
SwipeRight | Performs a right-swipe. (Inherited from IMobileGestures)
SwipeUp | Performs a up-swipe. (Inherited from IMobileGestures)
SwipeWithSegments | Performs a swipe between the specified points. (Inherited from IMobileGestures)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TwoPointerMultiTouch | Performs a multi-touch operation with two pointers. It executes two swipe operation at the same time. (Inherited from IMobileGestures)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IMobileKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WakeUp | Presses the power button if the screen is off. This method is not supported on iOS.
Parent topic: Mobile Class Reference


MobileObject Class

Description

The base class for all mobile objects.

Inheritance Hierarchy

  • TestObject
    • MobileObject
      • MobileButton
      • MobileTextField
      • MobileWindow

Syntax

C#
public class MobileObject : TestObject, IMobileClickable, IMobileGestures, IMobileKeyable
VB
'Declaration
Public Class MobileObject _
Inherits TestObject _
Implements IMobileClickable, IMobileGestures, IMobileKeyable

Properties

Name | Description
IsEnabled | Whether the mobile object is enabled.
IsFocused | Whether the mobile object has focus. This property is not supported on iOS.
IsSelected | Whether the mobile object is selected or checked.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the device at the specified coordinates. (Inherited from IMobileClickable)
DoubleClick | Double-clicks on the device at the specified coordinates. (Inherited from IMobileClickable)
Drag | Performs a drag operation between the two specified points. (Inherited from IMobileGestures)
DragTo | Drags this object to the specified point relative to the mobile device.
DragToObject | Drags this object to the specified destination object.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
LongClick | Long-clicks on the device at the specified coordinates. (Inherited from IMobileClickable)
MultiTouch | Performs a multi-touch operation with the given pointers. For every given pointer a swipe operation is executed at the same time. (Inherited from IMobileGestures)
PinchIn | Performs a two-pointer gesture, where each pointer moves toward the other, from the edges to the center of this object. For example to zoom out on an image. (Inherited from IMobileGestures)
PinchOut | Performs a two-pointer gesture, where each pointer moves opposite across the other, from the center out towards the edges of the this object. For example to zoom in on an image. (Inherited from IMobileGestures)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Swipe | Performs a swipe between the two specified points. (Inherited from IMobileGestures)
SwipeDown | Performs a down-swipe. (Inherited from IMobileGestures)
SwipeLeft | Performs a left-swipe. (Inherited from IMobileGestures)
SwipeRight | Performs a right-swipe. (Inherited from IMobileGestures)
SwipeUp | Performs a up-swipe. (Inherited from IMobileGestures)
SwipeWithSegments | Performs a swipe between the specified points. (Inherited from IMobileGestures)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TwoPointerMultiTouch | Performs a multi-touch operation with two pointers. It executes two swipe operation at the same time. (Inherited from IMobileGestures)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IMobileKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Mobile Class Reference


MobileTextField Class

Description

Represents a text field.

Inheritance Hierarchy

  • MobileObject
    • MobileTextField

Syntax

C#
public class MobileTextField : MobileObject
VB
'Declaration
Public Class MobileTextField _
Inherits MobileObject

Properties

Name | Description
IsEnabled | Whether the mobile object is enabled. (Inherited from MobileObject)
IsFocused | Whether the mobile object has focus. This property is not supported on iOS. (Inherited from MobileObject)
IsSelected | Whether the mobile object is selected or checked. (Inherited from MobileObject)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ClearText | Clears all the content from the text field.
Click | Clicks on the device at the specified coordinates. (Inherited from IMobileClickable)
DoubleClick | Double-clicks on the device at the specified coordinates. (Inherited from IMobileClickable)
Drag | Performs a drag operation between the two specified points. (Inherited from IMobileGestures)
DragTo | Drags this object to the specified point relative to the mobile device. (Inherited from MobileObject)
DragToObject | Drags this object to the specified destination object. (Inherited from MobileObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
LongClick | Long-clicks on the device at the specified coordinates. (Inherited from IMobileClickable)
MultiTouch | Performs a multi-touch operation with the given pointers. For every given pointer a swipe operation is executed at the same time. (Inherited from IMobileGestures)
PinchIn | Performs a two-pointer gesture, where each pointer moves toward the other, from the edges to the center of this object. For example to zoom out on an image. (Inherited from IMobileGestures)
PinchOut | Performs a two-pointer gesture, where each pointer moves opposite across the other, from the center out towards the edges of the this object. For example to zoom in on an image. (Inherited from IMobileGestures)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetText | Substitutes new text for the text in the text field.
Swipe | Performs a swipe between the two specified points. (Inherited from IMobileGestures)
SwipeDown | Performs a down-swipe. (Inherited from IMobileGestures)
SwipeLeft | Performs a left-swipe. (Inherited from IMobileGestures)
SwipeRight | Performs a right-swipe. (Inherited from IMobileGestures)
SwipeUp | Performs a up-swipe. (Inherited from IMobileGestures)
SwipeWithSegments | Performs a swipe between the specified points. (Inherited from IMobileGestures)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TwoPointerMultiTouch | Performs a multi-touch operation with two pointers. It executes two swipe operation at the same time. (Inherited from IMobileGestures)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IMobileKeyable)
TypePasswordKeys | Types an encrypted password into a text field.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Mobile Class Reference


MobileWindow Class

Description

The mobile window.

Inheritance Hierarchy

  • MobileObject
    • MobileWindow

Syntax

C#
public class MobileWindow : MobileObject
VB
'Declaration
Public Class MobileWindow _
Inherits MobileObject

Properties

Name | Description
IsEnabled | Whether the mobile object is enabled. (Inherited from MobileObject)
IsFocused | Whether the mobile object has focus. This property is not supported on iOS. (Inherited from MobileObject)
IsSelected | Whether the mobile object is selected or checked. (Inherited from MobileObject)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the device at the specified coordinates. (Inherited from IMobileClickable)
DoubleClick | Double-clicks on the device at the specified coordinates. (Inherited from IMobileClickable)
Drag | Performs a drag operation between the two specified points. (Inherited from IMobileGestures)
DragTo | Drags this object to the specified point relative to the mobile device. (Inherited from MobileObject)
DragToObject | Drags this object to the specified destination object. (Inherited from MobileObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
LongClick | Long-clicks on the device at the specified coordinates. (Inherited from IMobileClickable)
MultiTouch | Performs a multi-touch operation with the given pointers. For every given pointer a swipe operation is executed at the same time. (Inherited from IMobileGestures)
PinchIn | Performs a two-pointer gesture, where each pointer moves toward the other, from the edges to the center of this object. For example to zoom out on an image. (Inherited from IMobileGestures)
PinchOut | Performs a two-pointer gesture, where each pointer moves opposite across the other, from the center out towards the edges of the this object. For example to zoom in on an image. (Inherited from IMobileGestures)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Swipe | Performs a swipe between the two specified points. (Inherited from IMobileGestures)
SwipeDown | Performs a down-swipe. (Inherited from IMobileGestures)
SwipeLeft | Performs a left-swipe. (Inherited from IMobileGestures)
SwipeRight | Performs a right-swipe. (Inherited from IMobileGestures)
SwipeUp | Performs a up-swipe. (Inherited from IMobileGestures)
SwipeWithSegments | Performs a swipe between the specified points. (Inherited from IMobileGestures)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TwoPointerMultiTouch | Performs a multi-touch operation with two pointers. It executes two swipe operation at the same time. (Inherited from IMobileGestures)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IMobileKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Mobile Class Reference


Rumba Class Reference

Lists the available classes for testing Rumba controls.

  • Rumba Keys
    Contains the string constants for the Rumba key mnemonics which can be used in the SendKeys and SynchSendKeys methods of the RumbaObject class.
  • RumbaCharacterAttribute Data Type
    Represents the character attributes of an on-screen character.
  • RumbaField Class
    Represents a field on the green screen.
  • RumbaLabel Class
    A field in the screen whose text can be only be retrieved but not set.
  • RumbaObject Class
    RumbaObject.
  • RumbaScreen Class
    Represents the whole green screen.
  • RumbaTextField Class
    A field in the screen whose text can be both retrieved and set.
Parent topic: Silk4NET 言語リファレンス
Related reference
Rumba クラス リファレンス


Rumba Keys

Description

Contains the string constants for the Rumba key mnemonics which can be used in the SendKeys and SynchSendKeys methods of the RumbaObject class.
Includes the following string constants:
String Constant
Key Mnemonic
RK_AT
@@
RK_ALT
@A
RK_ALT_CURSOR
@e@1*
RK_ATTENTION
@A@Q
RK_BACKSPACE
@<
RK_BACKTAB
@B
RK_CLEAR
@C
RK_CMD
@A@Y
RK_CURSOR_DOWN
@V
RK_CURSOR_LEFT
@L
RK_CURSOR_RIGHT
@Z
RK_CURSOR_SELECT
@e@1*
RK_CURSOR_UP
@U
RK_DELETE
@D
RK_DUP
@S@x
RK_END
@q
RK_ENTER
@E
RK_ERASE_EOF
@F
RK_ERASE_EOL
@e@d
RK_ERASE_INPUT
@A@F
RK_FIELD_EXIT
@A@E
RK_FIELD_MARK
@S@y
RK_FIELD_MINUS
@A@-
RK_FIELD_PLUS
@A@+
RK_HELP
@H
RK_HEXADECIMAL
@A@X
RK_HOME
@0
RK_INSERT
@I
RK_INSERT_TOGGLE
@A@I
RK_LOCAL_HELP
@e@l
RK_LOCAL_PRINT
@P
RK_LOCAL_HELP_CURSOR
@e@m*
RK_LEFT_TAB
@B
RK_NEW_LINE
@e@n*
RK_PAGE_UP
@u
RK_PAGE_DOWN
@v
RK_PRINT
@A@t
RK_PRINT_SCREEN
@A@T
RK_RECORD_BACKSPACE
@A@<
RK_RESET
@R
RK_RIGHT_TAB
@T
RK_SHIFT
@S
RK_SYS_REQUEST
@A@H
RK_TAB
@T
RK_TEST
@A@C
RK_USM
@e@v
RK_APL_CUT_ON_OF
@e@2
RK_PA1
@x
RK_PA2
@y
RK_PA3
@z
RK_PA4
@+
RK_PA5
@%
RK_PA6
@&
RK_PA7
@'
RK_PA8
@(
RK_PA9
@)
RK_PA10
@*
RK_PF1
@1
RK_PF2
@2
RK_PF3
@3
RK_PF4
@4
RK_PF5
@5
RK_PF6
@6
RK_PF7
@7
RK_PF8
@8
RK_PF9
@9
RK_PF10
@a
RK_PF11
@b
RK_PF12
@c
RK_PF13
@d
RK_PF14
@e
RK_PF15
@f
RK_PF16
@g
RK_PF17
@h
RK_PF18
@i
RK_PF19
@j
RK_PF20
@k
RK_PF21
@l
RK_PF22
@m
RK_PF23
@n
RK_PF24
@o
RK_CENTS
@n@1
RK_VERTICAL_BAR
@d@2
RK_CORNER
@d@3
RK_PLUS
@d@4
RK_MINUS
@d@5
RK_QUOTE
@d@7
RK_HORIZONTAL_BAR
@d@8
RK_OPEN_BRACKET
@d@9
RK_CLOSE_BRACKET
@d@10
RK_SUBSTITUTE
@d@0
RK_SYNCHRONOUS
@d@a
Parent topic: Rumba Class Reference


RumbaCharacterAttribute Data Type

Represents the character attributes of an on-screen character.

Can include the following character attributes:
Attribute
Description
backgroundColor
The background color of the character.
foregroundColor
The foreground color of the character.
column
The column of the character on the screen.
line
The line of the character on the screen.
autoEnter
Defines if the character is part of an auto-enter text.
autoSkip
Defines if the character is part of an auto-skip text.
blinking
Defines if the character is blinking.
bold
Defines if the character is bold.
columnSeparator
Defines if the character is a column separator.
detectable
Defines if the character is part of a detectable text.
hidden
Defines if the character is part of a hidden text.
protect
Defines if the character is part of a protected text.
reverseVideo
Defines if the character is displayed in reverse video.
underlined
Defines if the character is underlined.

For additional information, see IRDEAttribute Properties in the Rumba Developer Edition (RDE) documentation.

Parent topic: Rumba Class Reference


RumbaField Class

Description

Represents a field on the green screen.

Inheritance Hierarchy

  • RumbaObject
    • RumbaField
      • RumbaLabel
      • RumbaTextField

Syntax

C#
public class RumbaField : RumbaObject
VB
'Declaration
Public Class RumbaField _
Inherits RumbaObject

Properties

Name | Description
AutoEnter | A value that indicates true if the field is an AutoEnter field.
AutoSkip | A value that is true if the field is an AutoSkip field.
Detectable | A value is indicates true if the field is detectable.
Dup | A value that indicates true if the field is a dup field.
EndColumn | A value that indicates the ending column of the field.
EndLine | A value that indicates the ending line of the field.
EndPosition | The 1-based end position of the field, when the screen is seen as one sequence of characters.
Enptui | A value that indicates true if the field is an ENPTUI field.
FieldExitRequired | A value that indicates true if the field is required before exiting the screen.
Hidden | A value that indicates if the field is hidden.
Intense | A value that indicates true if the field is intense.
Length | The length of the field.
ModifiedDataTag | A value that indicates true if the field has the ModifiedDataTag property set.
Protected | A value that indicates true if the field is protected (i.e. a RumbaLabel).
StartColumn | A value that indicates the column in which the field begins.
StartLine | A value that indicates the line in which the field begins.
StartPosition | The 1-based start position of the field, when the screen is seen as one sequence of characters.
Text | The text of the control. (Inherited from TestObject)
Type | A value that represents the input allowed for this field.
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetCharacterAttributes | Gets the character attributes for this field's characters.
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SendKeys | Sends keys. Supports RDE mnemonics. (Inherited from RumbaObject)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SynchSendKeys | Synchronously sends keys. Supports RDE mnemonics. (Inherited from RumbaObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Rumba Class Reference


RumbaLabel Class

Description

A field in the screen whose text can be only be retrieved but not set.

Inheritance Hierarchy

  • RumbaField
    • RumbaLabel

Syntax

C#
public class RumbaLabel : RumbaField
VB
'Declaration
Public Class RumbaLabel _
Inherits RumbaField

Properties

Name | Description
AutoEnter | A value that indicates true if the field is an AutoEnter field. (Inherited from RumbaField)
AutoSkip | A value that is true if the field is an AutoSkip field. (Inherited from RumbaField)
Detectable | A value is indicates true if the field is detectable. (Inherited from RumbaField)
Dup | A value that indicates true if the field is a dup field. (Inherited from RumbaField)
EndColumn | A value that indicates the ending column of the field. (Inherited from RumbaField)
EndLine | A value that indicates the ending line of the field. (Inherited from RumbaField)
EndPosition | The 1-based end position of the field, when the screen is seen as one sequence of characters. (Inherited from RumbaField)
Enptui | A value that indicates true if the field is an ENPTUI field. (Inherited from RumbaField)
FieldExitRequired | A value that indicates true if the field is required before exiting the screen. (Inherited from RumbaField)
Hidden | A value that indicates if the field is hidden. (Inherited from RumbaField)
Intense | A value that indicates true if the field is intense. (Inherited from RumbaField)
Length | The length of the field. (Inherited from RumbaField)
ModifiedDataTag | A value that indicates true if the field has the ModifiedDataTag property set. (Inherited from RumbaField)
Protected | A value that indicates true if the field is protected (i.e. a RumbaLabel). (Inherited from RumbaField)
StartColumn | A value that indicates the column in which the field begins. (Inherited from RumbaField)
StartLine | A value that indicates the line in which the field begins. (Inherited from RumbaField)
StartPosition | The 1-based start position of the field, when the screen is seen as one sequence of characters. (Inherited from RumbaField)
Text | The text of the control. (Inherited from TestObject)
Type | A value that represents the input allowed for this field. (Inherited from RumbaField)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetCharacterAttributes | Gets the character attributes for this field's characters. (Inherited from RumbaField)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SendKeys | Sends keys. Supports RDE mnemonics. (Inherited from RumbaObject)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SynchSendKeys | Synchronously sends keys. Supports RDE mnemonics. (Inherited from RumbaObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Rumba Class Reference


RumbaObject Class

Description

RumbaObject.

Inheritance Hierarchy

  • TestObject
    • RumbaObject
      • RumbaField
      • RumbaScreen

Syntax

C#
public class RumbaObject : TestObject, IClickable, IFocusable, IKeyable
VB
'Declaration
Public Class RumbaObject _
Inherits TestObject _
Implements IClickable, IFocusable, IKeyable

Properties

Name | Description
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SendKeys | Sends keys. Supports RDE mnemonics.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SynchSendKeys | Synchronously sends keys. Supports RDE mnemonics.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Rumba Class Reference


RumbaScreen Class

Description

Represents the whole green screen.

Inheritance Hierarchy

  • RumbaObject
    • RumbaScreen

Syntax

C#
public class RumbaScreen : RumbaObject
VB
'Declaration
Public Class RumbaScreen _
Inherits RumbaObject

Properties

Name | Description
BackgroundColor | the background color of the display control.
CharacterSetId | a value that identifies the character set translation table used by the Display control.
ColumnCount | a value that indicates the number of columns on the current screen.
CursorColumn | the column position of the cursor on the screen.
CursorLine | the line position of the cursor on the screen.
CursorPosition | The current cursor position on the screen. Values are starting with 1 for the first line or column.
HostConnected | a value that indicates if the host is connected.
HostDeviceName | the host device name.
HostIpAddress | the host IP address.
KeyboardLocked | a value that indicates whether keyboard input is inhibited.
LineCount | a value that indicates the number of lines on the current screen.
ScreenId | the screen id.
ScreenSize | the size of the screen in text lines and columns.
SessionName | the session name.
SupportsStructuredFields | a value that indicates if the host supports structured field decoding.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Clear | Clears the screen by sending the "clear" key. Equivalent to synchSendKeys(RumbaKey.CLEAR).
Click | Clicks on the object. (Inherited from IClickable)
Connect | Connects to the hosts in the current configuration.
Disconnect | Disconnects the current connection.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetCharacterAttributes | Gets the character attributes for length-number of characters starting at the given position.
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetContent | Retrieves a string containing the screen without line breaks starting at the specified text position.
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetLines | Retrieves a clipping of the screen and returns the selected lines in a list of strings.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Reset | Resets the screen by sending the "reset" key. Equivalent to synchSendKeys(RumbaKey.RESET).
SendKeys | Sends keys. Supports RDE mnemonics. (Inherited from RumbaObject)
SetCursorPosition | Moves the cursor to the given position of the screen.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Submit | Submits the entered data to the server by sending the "submit" key. Equivalent to synchSendKeys(RumbaKey.SUBMIT).
SynchSendKeys | Synchronously sends keys. Supports RDE mnemonics. (Inherited from RumbaObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForHostConnected | Waits until the session is connected.
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WriteText | Writes text on the screen.
Parent topic: Rumba Class Reference


RumbaTextField Class

Description

A field in the screen whose text can be both retrieved and set.

Inheritance Hierarchy

  • RumbaField
    • RumbaTextField

Syntax

C#
public class RumbaTextField : RumbaField
VB
'Declaration
Public Class RumbaTextField _
Inherits RumbaField

Properties

Name | Description
AutoEnter | A value that indicates true if the field is an AutoEnter field. (Inherited from RumbaField)
AutoSkip | A value that is true if the field is an AutoSkip field. (Inherited from RumbaField)
Detectable | A value is indicates true if the field is detectable. (Inherited from RumbaField)
Dup | A value that indicates true if the field is a dup field. (Inherited from RumbaField)
EndColumn | A value that indicates the ending column of the field. (Inherited from RumbaField)
EndLine | A value that indicates the ending line of the field. (Inherited from RumbaField)
EndPosition | The 1-based end position of the field, when the screen is seen as one sequence of characters. (Inherited from RumbaField)
Enptui | A value that indicates true if the field is an ENPTUI field. (Inherited from RumbaField)
FieldExitRequired | A value that indicates true if the field is required before exiting the screen. (Inherited from RumbaField)
Hidden | A value that indicates if the field is hidden. (Inherited from RumbaField)
Intense | A value that indicates true if the field is intense. (Inherited from RumbaField)
Length | The length of the field. (Inherited from RumbaField)
ModifiedDataTag | A value that indicates true if the field has the ModifiedDataTag property set. (Inherited from RumbaField)
Protected | A value that indicates true if the field is protected (i.e. a RumbaLabel). (Inherited from RumbaField)
StartColumn | A value that indicates the column in which the field begins. (Inherited from RumbaField)
StartLine | A value that indicates the line in which the field begins. (Inherited from RumbaField)
StartPosition | The 1-based start position of the field, when the screen is seen as one sequence of characters. (Inherited from RumbaField)
Text | The text of the control. (Inherited from TestObject)
Type | A value that represents the input allowed for this field. (Inherited from RumbaField)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetCharacterAttributes | Gets the character attributes for this field's characters. (Inherited from RumbaField)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SendKeys | Sends keys. Supports RDE mnemonics. (Inherited from RumbaObject)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetText | Sets the text field's text.
SynchSendKeys | Synchronously sends keys. Supports RDE mnemonics. (Inherited from RumbaObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Rumba Class Reference


SAP Class Reference

Lists the available classes for testing SAP controls.

  • ISapContextMenuable Interface
    Interface for any Component which supports ContextMenu selections.
  • SapBarChart Class
    Class for SAP Bar Chart.
  • SapBox Class
    Class for SAP SapBox.
  • SapButton Class
    SapButton class is the class for push buttons.
  • SapCalendar Class
    SapCalendar class represents a SapCalendar.
  • SapChart Class
    Class for SAP Chart.
  • SapCheckBox Class
    SapCheckBox class is the class for check box controls.
  • SapColorSelector Class
    SapColorSelector class represents a SapColorSelector.
  • SapComboBox Class
    Class for SAP ComboBox.
  • SapComponent Class
    SapComponent class is the base class for SAP.
  • SapContainer Class
    Class for SAP Container.
  • SapContainerShell Class
    Class for SAP ConainerShell.
  • SapContextMenu Class
    The class for SAP context menus.
  • SapCustomControl Class
    Class for SAP CustomControl.
  • SapDockShell Class
    Class for SAP DockShell.
  • SapGridView Class
    Class for SAP GridView. Some of the methods that have Get as a prefix require the column as an iput parameter of type string. This parameter is different for each individual GridView element. To obtain the value of this parameter, record an action on the desired item and use the parameter that you have recorded.
  • SapHorizontalScrollBar Class
    Class for horizontal scrollbars.
  • SapHTMLViewer Class
    Class for SAP HTMLView.
  • SapLabel Class
    SapLabel class is the class for all SAP labels.
  • SapMenu Class
    Class for SAP Menu.
  • SapMenubar Class
    Class for SAP MenuBar.
  • SapNetPlan Class
    Class for SAP Net Chart.
  • SapOfficeIntegration Class
    Class for SAP OfficeIntegration.
  • SapOkCodeField Class
    SapOkCodeField class is the class for sap OkCodeField.
  • SapPicture Class
    Class for SAP picture.
  • SapRadioButton Class
    SapRadioButton class is the class for radio button controls.
  • SapScrollbar Class
    Class for SAP Scrollbar.
  • SapScrollContainer Class
    Class for SAP UserArea.
  • SapShell Class
    Class for SAP SapShell.
  • SapSimpleContainer Class
    Class for SAP SimpleContainer.
  • SapSplitterContainer Class
    Class for SAP splitter container.
  • SapStatusbar Class
    Class for SAP statusbar.
  • SapTab Class
    Class for SAP Tab.
  • SapTable Class
    SapTable class is the class for SAP tables.
  • SapTabStrip Class
    Class for SAP tab pane.
  • SapTextEdit Class
    Class for SAP TextEdit.
  • SapTextField Class
    SapTextField is the class for single-line and multi-line fields whose text can be modified by the user.
  • SapTitlebar Class
    Class for SAP Titlebar.
  • SapToolbar Class
    Class for SAP Toolbar.
  • SapToolbarControl Class
    Class for SAP ToolbarControl.
  • SapTree Class
    SapTree class is the class for all SAP trees. Some of the methods that have Get as a prefix require the nodeKey and the ItemName as iput parameters of type string. These parameters are different for each individual SapTree element. To obtain the value of these parameters, record an action on the desired item and use the parameters that you have recorded.
  • SapUserArea Class
    Class for SAP UserArea.
  • SapVerticalScrollBar Class
    Class for vertical scrollbars.
  • SapWindow Class
    SapWindow class is the class for a top-level window.
Parent topic: Silk4NET 言語リファレンス


ISapContextMenuable Interface

Description

Interface for any Component which supports ContextMenu selections.

Syntax

C#
public class ISapContextMenuable
VB
'Declaration
Public Class ISapContextMenuable

Methods

Name | Description
SelectContextMenuItem | Select an item from the controls context menu.
SelectContextMenuItemByPosition | This method allows you to select a context menu item using the position of the item.
SelectContextMenuItemByText | Select a menu item of a context menu using the text of the item and possible higher level menus.
Parent topic: SAP Class Reference


SapBarChart Class

Description

Class for SAP Bar Chart.

Inheritance Hierarchy

  • SapShell
    • SapBarChart

Syntax

C#
public class SapBarChart : SapShell, ISapContextMenuable
VB
'Declaration
Public Class SapBarChart _
Inherits SapShell _
Implements ISapContextMenuable

Properties

Name | Description
AccessibilityDescription | the accessibility description of the shell.
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
ChartCount | the number of charts.
CurrentContextMenu | The current context menu. This is only set when a context menu is available at the shell object.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
DragDropSupported | whether the shell allows drag and drop operations. (Inherited from SapShell)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)
WindowHandle | the window handle of the control that is connected to the GuiShell.

Methods

Name | Description
BarCount | Returns the number of bars in the given chart.
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetBarContent | Returns the content of the bar.
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetGridLineContent | Returns the content of the grid line.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GridCount | Returns the number of grids within the chart.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
LinkCount | Returns the number of links within the given chart.
SelectContextMenuItem | Select an item from the controls context menu. (Inherited from ISapContextMenuable)
SelectContextMenuItemByPosition | This method allows you to select a context menu item using the position of the item. (Inherited from ISapContextMenuable)
SelectContextMenuItemByText | Select a menu item of a context menu using the text of the item and possible higher level menus. (Inherited from ISapContextMenuable)
SendData | Send data to the server.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapBox Class

Description

Class for SAP SapBox.

Inheritance Hierarchy

  • SapComponent
    • SapBox

Syntax

C#
public class SapBox : SapComponent
VB
'Declaration
Public Class SapBox _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapButton Class

Description

SapButton class is the class for push buttons.

Inheritance Hierarchy

  • SapComponent
    • SapButton

Syntax

C#
public class SapButton : SapComponent
VB
'Declaration
Public Class SapButton _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
CharHeight | the height of the element in character metric.
CharLeft | the left coordinate of the element in character metric.
CharTop | the top coordinate of the element in character metric.
CharWidth | the width of the element in character metric.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
Select | This emulates manually pressing a button. Pressing a button will always cause server communication to occur, rendering all references to elements below the window level invalid.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapCalendar Class

Description

SapCalendar class represents a SapCalendar.

Inheritance Hierarchy

  • SapShell
    • SapCalendar

Syntax

C#
public class SapCalendar : SapShell, ISapContextMenuable
VB
'Declaration
Public Class SapCalendar _
Inherits SapShell _
Implements ISapContextMenuable

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
CurrentContextMenu | The current context menu. This is only set when a context menu is available at the shell object.
Day | The day of the month that is currently selected.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
DragDropSupported | whether the shell allows drag and drop operations. (Inherited from SapShell)
EndSelection | The end of the selection interval.
FirstVisibleDate | the earliest date visible in the calendar control.
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
LastVisibleDate | the last date visible in the calendar control.
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Month | The month of the year that is currently selected.
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
SelectionInterval | The interval that is currently selected.
StartSelection | The start of the selection interval.
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Week | The week of the year that is currently selected.
Width | the current width of the component. (Inherited from SapComponent)
Year | The year that is currently selected.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ContextMenu | Opens a context menu.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SelectContextMenuItem | Select an item from the controls context menu. (Inherited from ISapContextMenuable)
SelectContextMenuItemByPosition | This method allows you to select a context menu item using the position of the item. (Inherited from ISapContextMenuable)
SelectContextMenuItemByText | Select a menu item of a context menu using the text of the item and possible higher level menus. (Inherited from ISapContextMenuable)
SetFirstVisibleDate | Sets the earliest date visible in the calendar control.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetFocusDate | Sets the date to be focused.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetSelectionInterval | Selects the specified interval.
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapChart Class

Description

Class for SAP Chart.

Inheritance Hierarchy

  • SapShell
    • SapChart

Syntax

C#
public class SapChart : SapShell, ISapContextMenuable
VB
'Declaration
Public Class SapChart _
Inherits SapShell _
Implements ISapContextMenuable

Properties

Name | Description
AccessibilityDescription | the accessibility description of the shell.
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
CurrentContextMenu | The current context menu. This is only set when a context menu is available at the shell object.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
DragDropSupported | whether the shell allows drag and drop operations. (Inherited from SapShell)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)
WindowHandle | the window handle of the control that is connected to the GuiShell.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SelectContextMenuItem | Select an item from the controls context menu. (Inherited from ISapContextMenuable)
SelectContextMenuItemByPosition | This method allows you to select a context menu item using the position of the item. (Inherited from ISapContextMenuable)
SelectContextMenuItemByText | Select a menu item of a context menu using the text of the item and possible higher level menus. (Inherited from ISapContextMenuable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ValueChange | Changes a value of the chart.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapCheckBox Class

Description

SapCheckBox class is the class for check box controls.

Inheritance Hierarchy

  • SapComponent
    • SapCheckBox

Syntax

C#
public class SapCheckBox : SapComponent
VB
'Declaration
Public Class SapCheckBox _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
CharHeight | the height of the element in character metric.
CharLeft | the left coordinate of the element in character metric.
CharTop | the top coordinate of the element in character metric.
CharWidth | the width of the element in character metric.
Checked | whether the checkbox is checked.
ColorIndex | the index of the list color of this element.
ColorIntensified | whether the Intensified flag is set in screen painter for this element.
ColorInverse | whether the inverse color style is set in screen painter for the element.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Flushing | whether the value change causes a round trip.
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsLeftLabel | whether the component has the 'assign left' flag.
IsListElement | whether the element is on an ABAP list, not a screen.
IsRightLabel | whether the component has the 'assign right' flag.
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
RowText | the text of the while line containing the current component.
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks the check box.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Uncheck | Un-checks the check box.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapColorSelector Class

Description

SapColorSelector class represents a SapColorSelector.

Inheritance Hierarchy

  • SapShell
    • SapColorSelector

Syntax

C#
public class SapColorSelector : SapShell, ISapContextMenuable
VB
'Declaration
Public Class SapColorSelector _
Inherits SapShell _
Implements ISapContextMenuable

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
CurrentContextMenu | The current context menu. This is only set when a context menu is available at the shell object.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
DragDropSupported | whether the shell allows drag and drop operations. (Inherited from SapShell)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeSelection | Selects the color at the given index position.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SelectContextMenuItem | Select an item from the controls context menu. (Inherited from ISapContextMenuable)
SelectContextMenuItemByPosition | This method allows you to select a context menu item using the position of the item. (Inherited from ISapContextMenuable)
SelectContextMenuItemByText | Select a menu item of a context menu using the text of the item and possible higher level menus. (Inherited from ISapContextMenuable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapComboBox Class

Description

Class for SAP ComboBox.

Inheritance Hierarchy

  • SapComponent
    • SapComboBox

Syntax

C#
public class SapComboBox : SapComponent
VB
'Declaration
Public Class SapComboBox _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
CharHeight | the height of the element in character metric.
CharLeft | the left coordinate of the element in character metric.
CharTop | the top coordinate of the element in character metric.
CharWidth | the width of the element in character metric.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Flushing | whether the value change causes a round trip.
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsLeftLabel | whether the component has the 'assign left' flag.
IsListBoxActive | whether the list box of the the combo box is currently open.
IsRightLabel | whether the component has the 'assign right' flag.
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Key | the key of the currently selected item.
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
Required | whether the component is a required value for the screen.
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCurrentEntryKey | the key of the current entry.
GetCurrentEntryValue | the value of the current entry.
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetEntryKeys | a list of all entry keys.
GetEntryValues | a list of all entry values.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SelectItem | Selects the specified item.
SelectKey | Selects the list item with the specified key.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapComponent Class

Description

SapComponent class is the base class for SAP.

Inheritance Hierarchy

  • TestObject
    • SapComponent
      • SapBox
      • SapButton
      • SapCheckBox
      • SapComboBox
      • SapContainer
      • SapContainerShell
      • SapCustomControl
      • SapDockShell
      • SapLabel
      • SapMenu
      • SapMenubar
      • SapOkCodeField
      • SapRadioButton
      • SapScrollContainer
      • SapShell
      • SapSimpleContainer
      • SapSplitterContainer
      • SapStatusbar
      • SapTab
      • SapTable
      • SapTabStrip
      • SapTextField
      • SapTitlebar
      • SapToolbar
      • SapUserArea
      • SapWindow

Syntax

C#
public class SapComponent : TestObject, IFocusable
VB
'Declaration
Public Class SapComponent _
Inherits TestObject _
Implements IFocusable

Properties

Name | Description
AccessibilityText | an additional text for accessibility support.
AccessibilityTextOnRequest | an additional text for accessibility support.
AccessibilityTooltip | an additional tooltip text for accessibility support.
Changeable | whether an object is changeable.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type.
Height | the current height of the component.
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string.
IsSymbolFont | whether the component's text is visualized in the SAP symbol font.
Left | the left position of the element in screen coordinates.
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system.
Name | the name of the component.
ScreenLeft | the left position of the component in screen coordinates.
ScreenTop | the top position of the component in screen coordinates.
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text.
Top | the top coordinate of the element in screen coordinates.
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapContainer Class

Description

Class for SAP Container.

Inheritance Hierarchy

  • SapComponent
    • SapContainer

Syntax

C#
public class SapContainer : SapComponent
VB
'Declaration
Public Class SapContainer _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapContainerShell Class

Description

Class for SAP ConainerShell.

Inheritance Hierarchy

  • SapComponent
    • SapContainerShell

Syntax

C#
public class SapContainerShell : SapComponent
VB
'Declaration
Public Class SapContainerShell _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapContextMenu Class

Description

The class for SAP context menus.

For information on determining the items of a SAP context menu, see Determining the item names and item texts of a SapContextMenu.

Inheritance Hierarchy

  • SapMenu
    • SapContextMenu

Syntax

C#
public class SapContextMenu : SapMenu
VB
'Declaration
Public Class SapContextMenu _
Inherits SapMenu

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
Select | Select the menu. (Inherited from SapMenu)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapCustomControl Class

Description

Class for SAP CustomControl.

Inheritance Hierarchy

  • SapComponent
    • SapCustomControl

Syntax

C#
public class SapCustomControl : SapComponent
VB
'Declaration
Public Class SapCustomControl _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapDockShell Class

Description

Class for SAP DockShell.

Inheritance Hierarchy

  • SapComponent
    • SapDockShell

Syntax

C#
public class SapDockShell : SapComponent
VB
'Declaration
Public Class SapDockShell _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapGridView Class

Description

Class for SAP GridView. Some of the methods that have Get as a prefix require the column as an iput parameter of type string. This parameter is different for each individual GridView element. To obtain the value of this parameter, record an action on the desired item and use the parameter that you have recorded.

Inheritance Hierarchy

  • SapShell
    • SapGridView

Syntax

C#
public class SapGridView : SapShell, ISapContextMenuable
VB
'Declaration
Public Class SapGridView _
Inherits SapShell _
Implements ISapContextMenuable

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
ColumnCount | the number of columns.
ColumnOrder | a list of strings which contains all the column identifiers in the order in which they are displayed.
CurrentCellColumn | the current column.
CurrentCellRow | the current row.
CurrentContextMenu | The current context menu. This is only set when a context menu is available at the shell object.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
DragDropSupported | whether the shell allows drag and drop operations. (Inherited from SapShell)
FirstVisibleColumn | the first visible column of the scrollable area of the grid view, fixed columns are ignored.
FirstVisibleRow | the index of the first visible row in the grid.
FrozenColumnCount | the number of columns that are excluded from horizontal scrolling.
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
RowCount | the number of rows.
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
SelectedCells | a list of strings that contains the selected cells, each of which has the format "<row>,<column id>".
SelectedColumns | a list of strings of currently selected columns.
SelectedRows | a comma separated list of row index numbers or index ranges, such as "1,4,6-8".
SelectionMode | the selection mode. Possible values are: "RowsAndColumns", "ListboxSingle", ListboxMultiple", "Free".
Text | The text of the control. (Inherited from TestObject)
Title | the title of the grid control.
ToolbarButtonCount | the number of tool bar buttons (separators included).
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
VisibleRowCount | the number of visible rows of the grid view.
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ClearSelection | Removes all row, column and cell selections.
Click | Clicks on the specified cell.
ClickCurrentCell | Clicks the current cell.
ContextMenu | Requests the context menu.
CurrentCellMoved | This function notifies the server that another cell was made the current cell. The function must be called whenever the current cell changes.
DeleteRows | Delete the given rows.
DeselectColumn | Removes the specified column from the list of selected columns.
DoubleClick | Double clicks the specified cell.
DoubleClickCurrentCell | Double clicks on the current cell.
DuplicateRows | Duplicates the given range of rows
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetCellColor | Returns an identifier for the color of the cell.
GetCellHeight | Gets the height of the cell in pixels.
GetCellIcon | Gets the icon string of the specified cell.
GetCellLeft | Gets the left position of the cell.
GetCellMaxLength | Gets the maximum length of the cell in number of bytes.
GetCellState | Gets the state of the specified cell. Possible values are: Normal, Error, Warning, Info.
GetCellTooltip | Gets the tooltip of the specified cell.
GetCellTop | Gets the top position of the specified cell.
GetCellType | Gets the cell type of the specified cell.
GetCellValue | Gets the value of the specified cell.
GetCellWidth | Gets the width of the specified cell.
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetColorInfo | Returns the description for the color of the cell.
GetColumnDataType | Gets the data type of the column.
GetColumnPosition | Gets the position of the specified column.
GetColumnSortType | Gets the sort type of the column. Possible values are: None, Ascending, Descending.
GetColumnTitles | Gets all column titles of the specified column.
GetColumnTooltip | Gets the tool tip text of the specified column.
GetColumnTotalType | Gets the total type of the column. Possible values are: None, Total, Subtotal.
GetDisplayedColumnTitle | Gets the currently displayed title of the specified column.
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetRowTotalLevel | Gets the level of the row.
GetSymbolInfo | Returns the description for the symbol in the cell.
GetToolbarButtonIcon | Gets the name of the icon of the specified toolbar button.
GetToolbarButtonId | Gets the ID of the specified tool bar button.
GetToolbarButtonText | Gets the text of the specified tool bar button.
GetToolbarButtonTooltip | Gets the tooltip of the specified tool bar button
GetToolbarButtonType | Gets the type of the specified toolbar button. Possible values are: "Button", "ButtonAndMenu", "Menu", "Separator", "Group", "CheckBox".
GetToolbarFocusButton | Gets the position of the current focused tool bar button
HasCellF4Help | Returns true if the specified cell has a value help assigned.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
InsertRows | Inserts a range of rows
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsCellChangeable | Returns true if the specified cell is changeable.
IsCellCheckBoxChecked | Returns true if the check box at the specified position is checked.
IsCellHotspot | Returns true if the cell is a link.
IsCellSymbol | Returns true if the text in the cell is displayed in the SAP symbol font.
IsCellTotalExpander | Returns true if the specified cell contains a total expander button.
IsColumnFiltered | Returns true if the specified column is filtered.
IsColumnKey | Returns true if the specified column is a key column.
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
IsToolbarButtonChecked | Returns true if the specified tool bar button is checked.
IsToolbarButtonEnabled | Returns true if the specified button is enabled.
IsTotalRowExpanded | whether the specified total row is expanded.
ModifyCell | Modifies the value of the specified cell.
ModifyCheckBox | Modifies the value of the specified checkbox cell.
MoveRows | Moves the rows with an index greater than or equal to fromRow up to an index less than or equal to toRow to the position of destRow.
PressButton | Presses the button placed in the specified cell.
PressButtonCurrentCell | Clicks a button placed in the current cell.
PressColumnHeader | Clicks on the header of the specified column.
PressEnter | Presses the enter key.
PressF1 | Presses the F1 key.
PressF4 | Presses the F4 key.
PressToolbarButton | Clicks the specified button in the grid view's tool bar.
PressToolbarContextButton | Opens the context menu of the specified button of the grid view's tool bar.
PressTotalRow | Presses the row button of the specified total row.
PressTotalRowCurrentCell | Presses the expansion button on the current cell.
SelectAll | Selects the whole grid content (i.e. all rows and all columns).
SelectColumn | Adds the specified column to the list of the selected columns.
SelectContextMenuItem | Select an item from the controls context menu. (Inherited from ISapContextMenuable)
SelectContextMenuItemByPosition | This method allows you to select a context menu item using the position of the item. (Inherited from ISapContextMenuable)
SelectContextMenuItemByText | Select a menu item of a context menu using the text of the item and possible higher level menus. (Inherited from ISapContextMenuable)
SelectionChanged | Notifies the server that the selection has changed
SelectToolbarMenuItem | Selects an item from the context menu of the grid view's tool bar.
SetColumnOrder | Sets the order of the columns.
SetColumnWidth | Sets the width of the specified column.
SetCurrentCell | Sets the specified cell as the current cell.
SetCurrentCellColumn | Specifies the column of the current cell.
SetCurrentCellRow | Sets the row of the current cell.
SetFirstVisibleColumn | Sets the first visible column.
SetFirstVisibleRow | Sets the first visible row.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetSelectedRows | Selects the specified rows.
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TriggerModified | Notifies the server of multiple changes in cells. Typically this method should be called after multiple calls to ModifyCell.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapHorizontalScrollBar Class

Description

Class for horizontal scrollbars.

Inheritance Hierarchy

  • SapScrollbar
    • SapHorizontalScrollBar

Syntax

C#
public class SapHorizontalScrollBar : SapScrollbar
VB
'Declaration
Public Class SapHorizontalScrollBar _
Inherits SapScrollbar

Properties

Name | Description
Maximum | the maximum scrollbar value. (Inherited from SapScrollbar)
Minimum | the minimum scrollbar value. (Inherited from SapScrollbar)
PageSize | the scrollbar pagesize. (Inherited from SapScrollbar)
Position | the current scrollbar position. (Inherited from SapScrollbar)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
ScrollTo | Scrolls to the given position. (Inherited from SapScrollbar)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapHTMLViewer Class

Description

Class for SAP HTMLView.

Inheritance Hierarchy

  • SapShell
    • SapHTMLViewer

Syntax

C#
public class SapHTMLViewer : SapShell, ISapContextMenuable
VB
'Declaration
Public Class SapHTMLViewer _
Inherits SapShell _
Implements ISapContextMenuable

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
CurrentContextMenu | The current context menu. This is only set when a context menu is available at the shell object.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
DocumentComplete | whether the document is complete.
DragDropSupported | whether the shell allows drag and drop operations. (Inherited from SapShell)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)
WindowHandle | the window handle of the control that is connected to the GuiShell.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ContextMenu | Emulates the context menu request. Applies only to context menus provided by the backend.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SapEvent | This function submits an HTML form to the backend.
SelectContextMenuItem | Select an item from the controls context menu. (Inherited from ISapContextMenuable)
SelectContextMenuItemByPosition | This method allows you to select a context menu item using the position of the item. (Inherited from ISapContextMenuable)
SelectContextMenuItemByText | Select a menu item of a context menu using the text of the item and possible higher level menus. (Inherited from ISapContextMenuable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapLabel Class

Description

SapLabel class is the class for all SAP labels.

Inheritance Hierarchy

  • SapComponent
    • SapLabel

Syntax

C#
public class SapLabel : SapComponent
VB
'Declaration
Public Class SapLabel _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
CharLeft | the left coordinate of the label in character metric.
CharTop | the top coordinate of the label in character metric.
CharWidth | the width of the element in character metric.
ColorIndex | the color index of the label.
ColorInverse | whether the inverse color style is set for the label.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
DisplayedText | the text of the label.
Height | the current height of the component. (Inherited from SapComponent)
Highlighted | whether the label has the 'highlighted' flag assigned.
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsHotspot | whether a mouse click on the label causes a round trip.
IsLeftLabel | whether the component has the 'assign left' flag assigned.
IsListElement | whether the element is on an ABAP list.
IsRightLabel | whether the component has the 'assign right' flag assigned.
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Maxlength | the maximum text length of the label in code units.
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
Numerical | whether the label may only contain numbers.
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapMenu Class

Description

Class for SAP Menu.

Inheritance Hierarchy

  • SapComponent
    • SapMenu
      • SapContextMenu

Syntax

C#
public class SapMenu : SapComponent
VB
'Declaration
Public Class SapMenu _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
Select | Select the menu.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapMenubar Class

Description

Class for SAP MenuBar.

Inheritance Hierarchy

  • SapComponent
    • SapMenubar

Syntax

C#
public class SapMenubar : SapComponent
VB
'Declaration
Public Class SapMenubar _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapNetPlan Class

Description

Class for SAP Net Chart.

Inheritance Hierarchy

  • SapShell
    • SapNetPlan

Syntax

C#
public class SapNetPlan : SapShell, ISapContextMenuable
VB
'Declaration
Public Class SapNetPlan _
Inherits SapShell _
Implements ISapContextMenuable

Properties

Name | Description
AccessibilityDescription | the accessibility description of the shell.
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
CurrentContextMenu | The current context menu. This is only set when a context menu is available at the shell object.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
DragDropSupported | whether the shell allows drag and drop operations. (Inherited from SapShell)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
LinkCount | the number of links in the net.
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
NodeCount | the number of Nodes in the net.
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)
WindowHandle | the window handle of the control that is connected to the GuiShell.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetLinkContent | Returns the content of the link.
GetNodeContent | Returns the content of the node.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SelectContextMenuItem | Select an item from the controls context menu. (Inherited from ISapContextMenuable)
SelectContextMenuItemByPosition | This method allows you to select a context menu item using the position of the item. (Inherited from ISapContextMenuable)
SelectContextMenuItemByText | Select a menu item of a context menu using the text of the item and possible higher level menus. (Inherited from ISapContextMenuable)
SendData | This function emulates the output of each action triggered at the control side. The result of the action is sent to the server.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapOfficeIntegration Class

Description

Class for SAP OfficeIntegration.

Inheritance Hierarchy

  • SapShell
    • SapOfficeIntegration

Syntax

C#
public class SapOfficeIntegration : SapShell, ISapContextMenuable
VB
'Declaration
Public Class SapOfficeIntegration _
Inherits SapShell _
Implements ISapContextMenuable

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
CurrentContextMenu | The current context menu. This is only set when a context menu is available at the shell object.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
DragDropSupported | whether the shell allows drag and drop operations. (Inherited from SapShell)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SelectContextMenuItem | Select an item from the controls context menu. (Inherited from ISapContextMenuable)
SelectContextMenuItemByPosition | This method allows you to select a context menu item using the position of the item. (Inherited from ISapContextMenuable)
SelectContextMenuItemByText | Select a menu item of a context menu using the text of the item and possible higher level menus. (Inherited from ISapContextMenuable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapOkCodeField Class

Description

SapOkCodeField class is the class for sap OkCodeField.

Inheritance Hierarchy

  • SapComponent
    • SapOkCodeField

Syntax

C#
public class SapOkCodeField : SapComponent
VB
'Declaration
Public Class SapOkCodeField _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
Opened | whether the GuiOkCodeField is collapsed.
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Close | Collapses the GuiOkCodeField.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
Open | Expands the GuiOkCodeField.
PressF1 | Emulate pressing the F1 key while the focus is on the GuiOkCodeField.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetText | Sets the text of the control to the specified text.
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapPicture Class

Description

Class for SAP picture.

Inheritance Hierarchy

  • SapShell
    • SapPicture

Syntax

C#
public class SapPicture : SapShell, ISapContextMenuable
VB
'Declaration
Public Class SapPicture _
Inherits SapShell _
Implements ISapContextMenuable

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
CurrentContextMenu | The current context menu. This is only set when a context menu is available at the shell object.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
DisplayMode | the display mode of the picture, i.e. "Normal", "Stretch", "Fit", "NormalCenter", "FitCenter"
DragDropSupported | whether the shell allows drag and drop operations. (Inherited from SapShell)
Height | the current height of the component. (Inherited from SapComponent)
Icon | the SAPGUI icon code e.g. ("@01@")
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Url | the URL of the picture
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | clicks on a picture
ClickControlArea | clicks on the specified position
ClickPictureArea | clicks on the specified position in the picture area
ContextMenu | The function opens a context menu on the given position. The coordinates should be given in pixels with respect to the picture control as it is displayed on the screen.
DoubleClick | double clicks on the picture
DoubleClickControlArea | double clicks on the specified position
DoubleClickPictureArea | double clicks on the specified position in the picture area
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SelectContextMenuItem | Select an item from the controls context menu. (Inherited from ISapContextMenuable)
SelectContextMenuItemByPosition | This method allows you to select a context menu item using the position of the item. (Inherited from ISapContextMenuable)
SelectContextMenuItemByText | Select a menu item of a context menu using the text of the item and possible higher level menus. (Inherited from ISapContextMenuable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapRadioButton Class

Description

SapRadioButton class is the class for radio button controls.

Inheritance Hierarchy

  • SapComponent
    • SapRadioButton

Syntax

C#
public class SapRadioButton : SapComponent
VB
'Declaration
Public Class SapRadioButton _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
CharHeight | the height of the element in character metric
CharLeft | the left coordinate of the element in character metric
CharTop | the top coordinate of the element in character metric
CharWidth | the width of the element in character metric
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Flushing | whether the value change causes a round trip
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsLeftLabel | whether the component has the 'assign left' flag
IsRightLabel | whether the component has the 'assign right' flag
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Selected | whether the radio button is selected
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
Select | Selects the radio button.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapScrollbar Class

Description

Class for SAP Scrollbar.

Inheritance Hierarchy

  • TestObject
    • SapScrollbar
      • SapHorizontalScrollBar
      • SapVerticalScrollBar

Syntax

C#
public class SapScrollbar : TestObject
VB
'Declaration
Public Class SapScrollbar _
Inherits TestObject

Properties

Name | Description
Maximum | the maximum scrollbar value.
Minimum | the minimum scrollbar value.
PageSize | the scrollbar pagesize.
Position | the current scrollbar position.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
ScrollTo | Scrolls to the given position.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapScrollContainer Class

Description

Class for SAP UserArea.

Inheritance Hierarchy

  • SapComponent
    • SapScrollContainer

Syntax

C#
public class SapScrollContainer : SapComponent
VB
'Declaration
Public Class SapScrollContainer _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapShell Class

Description

Class for SAP SapShell.

Inheritance Hierarchy

  • SapComponent
    • SapShell
      • SapBarChart
      • SapCalendar
      • SapChart
      • SapColorSelector
      • SapGridView
      • SapHTMLViewer
      • SapNetPlan
      • SapOfficeIntegration
      • SapPicture
      • SapTextEdit
      • SapToolbarControl
      • SapTree

Syntax

C#
public class SapShell : SapComponent
VB
'Declaration
Public Class SapShell _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
DragDropSupported | whether the shell allows drag and drop operations.
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapSimpleContainer Class

Description

Class for SAP SimpleContainer.

Inheritance Hierarchy

  • SapComponent
    • SapSimpleContainer

Syntax

C#
public class SapSimpleContainer : SapComponent
VB
'Declaration
Public Class SapSimpleContainer _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapSplitterContainer Class

Description

Class for SAP splitter container.

Inheritance Hierarchy

  • SapComponent
    • SapSplitterContainer

Syntax

C#
public class SapSplitterContainer : SapComponent
VB
'Declaration
Public Class SapSplitterContainer _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
CurrentContextMenu | The current context menu. This is only set when a context menu is available at the shell object.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapStatusbar Class

Description

Class for SAP statusbar.

Inheritance Hierarchy

  • SapComponent
    • SapStatusbar

Syntax

C#
public class SapStatusbar : SapComponent
VB
'Declaration
Public Class SapStatusbar _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
MessageId | the name of the message class used in the ABAP message call
MessageNumber | the message number used in the ABAP message call
MessageType | the type of the displayed message in the statusbar, i.e. S (Success), W (Warning), E (Error), A (Abort), I (Information)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
DoubleClick | double-clicks the statusbar
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapTab Class

Description

Class for SAP Tab.

Inheritance Hierarchy

  • SapComponent
    • SapTab

Syntax

C#
public class SapTab : SapComponent
VB
'Declaration
Public Class SapTab _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
Select | Selects the tab
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapTable Class

Description

SapTable class is the class for SAP tables.

Inheritance Hierarchy

  • SapComponent
    • SapTable

Syntax

C#
public class SapTable : SapComponent
VB
'Declaration
Public Class SapTable _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
CharHeight | the height of the element in character metric.
CharLeft | the left coordinate of the element in character metric.
CharTop | the top coordinate of the element in character metric.
CharWidth | the width of the element in character metric.
ColumnCount | the number of columns in the table.
ColumnSelectionMode | the column selection mode
CurrentColumn | the index of the current column.
CurrentRow | the index of the current row.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
RowCount | the number of rows in the table including invisible rows.
RowSelectionMode | the row selection mode.
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
TableFieldName | the table field name.
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
VisibleRowCount | the number of visible rows in the table.
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ConfigureLayout | Opens the configuration layout dialog, in which the layout of the table can be changed.
DeselectAllColumns | This function can be used for table controls with a button that allows to de-select all columns in one step.
DeselectColumn | Deselects the given column.
DeselectRow | Deselects the given row.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetCell | Returns a visible table cell.
GetCellAbsolute | Returns a table cell. If the row is not visible, it will be scrolled into view.
GetCellsForRow | Returns the cells for the given row.
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetColumnTitle | This method returns the title of the given column.
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVisibleCellsForColumn | Returns the visible cells for the given column.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsColumnSelected | Returns true if the given column is selected.
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
IsRowSelected | Returns true if the given row is selected.
ReorderTable | This method re-orders the columns.
SelectAllColumns | This function can be used for table controls with a button that allows to select all columns in one step.
SelectColumn | Selects the given column.
SelectRow | Selects the given row.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapTabStrip Class

Description

Class for SAP tab pane.

Inheritance Hierarchy

  • SapComponent
    • SapTabStrip

Syntax

C#
public class SapTabStrip : SapComponent
VB
'Declaration
Public Class SapTabStrip _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
SelectedTab | the current selected tab.
Tabs | all tabs of the tab pane.
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapTextEdit Class

Description

Class for SAP TextEdit.

Inheritance Hierarchy

  • SapShell
    • SapTextEdit

Syntax

C#
public class SapTextEdit : SapShell
VB
'Declaration
Public Class SapTextEdit _
Inherits SapShell

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
CurrentColumn | the column index in which the caret is currently positioned.
CurrentContextMenu | The current context menu. This is only set when a context menu is available at the shell object.
CurrentLine | the line index in which the caret is currently positioned.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
DragDropSupported | whether the shell allows drag and drop operations. (Inherited from SapShell)
FirstVisibleLine | the first visible line which is visualized at the top border of the text edit control.
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
LastVisibleLine | the last visible line which is visualized at the bottom border of the text edit control.
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
LineCount | the number of all lines in the text edit control.
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
SelectedText | the currently selected text.
SelectionEndColumn | the column index in which the selection ends.
SelectionEndLine | the line index in which the selection ends.
SelectionIndexEnd | the overall end index of the text selection.
SelectionIndexStart | the overall start index of the text selection.
SelectionStartColumn | the column start index of the text selection.
SelectionStartLine | the line index in which the selection starts.
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ContextMenu | Requests the context menu.
DoubleClick | Double clicks the text edit control.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetLineText | Returns the text of the specified line.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsBreakpointLine | whether the specified line contains a breakpoint.
IsCommentLine | Returns true if the specified line is a comment line.
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
IsHighlightedLine | Returns true if the specified line is highlighted.
IsProtectedLine | Returns true if the specified line is protected.
PressF1 | Presses the F1 key.
PressF4 | Presses the F4 key.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetSelectionIndexes | Selects the text within the specified range.
SetText | Sets the specified text in the text edit control.
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapTextField Class

Description

SapTextField is the class for single-line and multi-line fields whose text can be modified by the user.

Inheritance Hierarchy

  • SapComponent
    • SapTextField

Syntax

C#
public class SapTextField : SapComponent
VB
'Declaration
Public Class SapTextField _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
DisplayedText | the text as it is displayed on the screen, including preceding or trailing blanks.
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsPassword | whether the text field is a password text field.
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetPasswordText | Sends an encrypted password to the object.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetText | Sets the text of the control to the specified text.
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapTitlebar Class

Description

Class for SAP Titlebar.

Inheritance Hierarchy

  • SapComponent
    • SapTitlebar

Syntax

C#
public class SapTitlebar : SapComponent
VB
'Declaration
Public Class SapTitlebar _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapToolbar Class

Description

Class for SAP Toolbar.

Inheritance Hierarchy

  • SapComponent
    • SapToolbar

Syntax

C#
public class SapToolbar : SapComponent
VB
'Declaration
Public Class SapToolbar _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapToolbarControl Class

Description

Class for SAP ToolbarControl.

Inheritance Hierarchy

  • SapShell
    • SapToolbarControl

Syntax

C#
public class SapToolbarControl : SapShell, ISapContextMenuable
VB
'Declaration
Public Class SapToolbarControl _
Inherits SapShell _
Implements ISapContextMenuable

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
ButtonCount | the number of toolbar buttons including separators.
Changeable | whether an object is changeable. (Inherited from SapComponent)
CurrentContextMenu | The current context menu. This is only set when a context menu is available at the shell object.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
DragDropSupported | whether the shell allows drag and drop operations. (Inherited from SapShell)
FocusedButton | the zero-based index of the button that currently has the focus.
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)
WindowHandle | the window handle of the control that is connected to the GuiShell.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetButtonIcon | the name of the icon of the specified toolbar button.
GetButtonType | the type of the specified toolbar button. Possible values are: "Button", "ButtonAndMenu", "Menu", "Separator", "Group", "CheckBox"
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsButtonChecked | if the button is currently checked (pressed).
IsButtonEnabled | if the button can be pressed.
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
PressContextButton | Press the context button with the given id.
SelectButton | emulates pressing the button with the given id.
SelectContextMenuItem | Select an item from the controls context menu. (Inherited from ISapContextMenuable)
SelectContextMenuItemByPosition | This method allows you to select a context menu item using the position of the item. (Inherited from ISapContextMenuable)
SelectContextMenuItemByText | Select a menu item of a context menu using the text of the item and possible higher level menus. (Inherited from ISapContextMenuable)
SelectMenuItem | emulates selecting the menu item with the given id.
SelectMenuItemByText | emulates selecting the menu item by menu item text.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapTree Class

Description

SapTree class is the class for all SAP trees. Some of the methods that have Get as a prefix require the nodeKey and the ItemName as iput parameters of type string. These parameters are different for each individual SapTree element. To obtain the value of these parameters, record an action on the desired item and use the parameters that you have recorded.

Inheritance Hierarchy

  • SapShell
    • SapTree

Syntax

C#
public class SapTree : SapShell, ISapContextMenuable
VB
'Declaration
Public Class SapTree _
Inherits SapShell _
Implements ISapContextMenuable

Properties

Name | Description
AccessibilityDescription | the accessibility description of the shell.
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
ColumnHeaders | a collection of the titles of the columns.
ColumnNames | a collection of the column names.
ColumnOrder | the column order.
ColumnTitles | a collection of the titles of the columns.
CurrentContextMenu | The current context menu. This is only set when a context menu is available at the shell object.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
DragDropSupported | whether the shell allows drag and drop operations. (Inherited from SapShell)
FocusedNodeKey | the key of the focused node.
Height | the current height of the component. (Inherited from SapComponent)
HierarchyHeaderWidth | the width of the hierarchy header in pixels.
HierarchyTitle | the hierarchy title.
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
NodeKeys | a collection containing either the node key of the root node, or the node keys of all nodes in the tree, depending on the application.
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
SelectedItemColumn | the key of the currently selected item column.
SelectedItemNode | the key of the currently selected item node.
SelectedNode | the key of the currently selected node.
SelectedNodes | a collection containing the node keys of all the selected nodes in the tree.
SelectionMode | the selection mode.
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
TopNode | the key of the top node.
TreeType | the tree type. (simple tree, list tree or column tree)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeCheckbox | This method emulates changing a checkbox state.
CollapseNode | This function closes the node with the key nodeKey.
DefaultContextMenu | This method requests a context menu for the whole Tree Control.
DoubleSelectItem | This function emulates double clicking on a text item.
DoubleSelectNode | This function emulates double clicking a node.
EnsureVisibleHorizontalItem | This function scrolls the Tree horizontally until the Item is visible.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
ExpandNode | This function expands the node with the key nodeKey.
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
FindNodeKeyByPath | Return the node key for the given path (e.g. 2\1\2).
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetAbapImage | Gets the abap image.
GetCheckBoxState | Retrieves the CheckBox state (true = Checked, false = Unchecked).
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetColumnIndexFromName | Gets the column index for the given name.
GetColumnKeys | The keys of all the items in the given column.
GetColumnTitleFromName | Gets the column title for the given name.
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHierarchyLevel | Gets the hierarchy level for the given key.
GetItemHeight | Returns the current item height.
GetItemLeft | The left position of the component.
GetItemStyle | The style of the given item.
GetItemText | For multi column trees, this function returns the text of the item specified by the key and name parameters.
GetItemTextColor | Returns the item text color.
GetItemTooltip | Returns the item tooltip text.
GetItemTop | The top position of the component.
GetItemType | Returns the type of the given node.
GetItemWidth | Returns the current item width.
GetListTreeNodeItemCount | Returns the node item count.
GetNextNodeKey | Returns the key of the next node.
GetNodeAbapImage | Returns the abap image for the given node.
GetNodeChildrenCount | This function returns the number of children of the node given.
GetNodeChildrenCountByPath | This function returns the number of children of the node given by the path parameter (e.g. 2\1\2).
GetNodeHeight | The current height of the node.
GetNodeIndex | The index of the given node.
GetNodeItemHeaders | Returns the headers for the given node.
GetNodeLeft | The left position of the component.
GetNodePathByKey | Given a node key, the path is retrieved (e.g. 2\1\2).
GetNodeStyle | Returns the style of the node.
GetNodeText | This function returns the text of the node specified by the given key.
GetNodeTextByPath | The text of a node defined by the given path is returned.
GetNodeTextColor | Returns the node text color.
GetNodeTooltip | Returns the node tooltip text.
GetNodeTop | The top position of the component.
GetNodeWidth | Returns the current node width.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetParentNodeKey | Key of the parent node of the node specified by the given key.
GetPreviousNodeKey | Key of the previous node of the node specified by the given key.
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyleDescription | Returns the description for the given style.
GetSubNodesKeys | Collection of the keys of all subnodes of the node specified by the given key.
HeaderContextMenu | This method requests a context menu for a header.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
IsFolder | Whether the given node is a folder.
IsFolderExpandable | Whether the folder is expandable.
IsFolderExpanded | Whether the folder is expanded.
IsHighLighted | Whether the node is highlighted.
ItemContextMenu | This method requests a context menu for an item.
NodeContextMenu | This method requests a context menu for a node.
PressKey | This method emulates pressing a key.
SelectButton | This method emulates pressing a button.
SelectColumn | This function adds a column to the column selection. A node or item selection is removed.
SelectContextMenuItem | Select an item from the controls context menu. (Inherited from ISapContextMenuable)
SelectContextMenuItemByPosition | This method allows you to select a context menu item using the position of the item. (Inherited from ISapContextMenuable)
SelectContextMenuItemByText | Select a menu item of a context menu using the text of the item and possible higher level menus. (Inherited from ISapContextMenuable)
SelectHeader | This method emulates clicking a header.
SelectItem | This function emulates the selection of an item. This selection removes all other selections.
SelectLink | This function emulates triggering a link.
SelectNode | The node with the key nodeKey is added to the Node Selection.
SetCheckBoxState | Changes the state of the checkbox in the given node.
SetColumnOrder | Sets the order of the tree's column.
SetColumnWidth | This function sets the width of a column in pixels.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetHierarchyHeaderWidth | Sets the width of the Hierarchy Header in pixels.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetSelectedNode | Select the given node.
SetTopNode | Sets the given key as top node.
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
UnselectAll | All selections are removed.
UnselectColumn | This function removes a column from the column selection.
UnselectNode | The node with the key nodeKey is removed from the Node Selection.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapUserArea Class

Description

Class for SAP UserArea.

Inheritance Hierarchy

  • SapComponent
    • SapUserArea

Syntax

C#
public class SapUserArea : SapComponent, ISapContextMenuable
VB
'Declaration
Public Class SapUserArea _
Inherits SapComponent _
Implements ISapContextMenuable

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
CurrentContextMenu | The current context menu. This is only set when a context menu is available at the shell object.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SelectContextMenuItem | Select an item from the controls context menu. (Inherited from ISapContextMenuable)
SelectContextMenuItemByPosition | This method allows you to select a context menu item using the position of the item. (Inherited from ISapContextMenuable)
SelectContextMenuItemByText | Select a menu item of a context menu using the text of the item and possible higher level menus. (Inherited from ISapContextMenuable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapVerticalScrollBar Class

Description

Class for vertical scrollbars.

Inheritance Hierarchy

  • SapScrollbar
    • SapVerticalScrollBar

Syntax

C#
public class SapVerticalScrollBar : SapScrollbar
VB
'Declaration
Public Class SapVerticalScrollBar _
Inherits SapScrollbar

Properties

Name | Description
Maximum | the maximum scrollbar value. (Inherited from SapScrollbar)
Minimum | the minimum scrollbar value. (Inherited from SapScrollbar)
PageSize | the scrollbar pagesize. (Inherited from SapScrollbar)
Position | the current scrollbar position. (Inherited from SapScrollbar)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
ScrollTo | Scrolls to the given position. (Inherited from SapScrollbar)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapWindow Class

Description

SapWindow class is the class for a top-level window.

Inheritance Hierarchy

  • SapComponent
    • SapWindow

Syntax

C#
public class SapWindow : SapComponent, IMoveable
VB
'Declaration
Public Class SapWindow _
Inherits SapComponent _
Implements IMoveable

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
ButtonbarVisible | whether the application toolbar, the lower toolbar within SAP GUI, is visible.
Changeable | whether an object is changeable. (Inherited from SapComponent)
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
GuiFocus | the element within SAP GUI that currently has the focus.
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
StatusbarVisible | whether the statusbar is visible.
SystemFocus | the element within SAP GUI that has the focus from the server application's perspective.
Text | The text of the control. (Inherited from TestObject)
TitlebarVisible | whether the titlebar is visible.
ToolbarVisible | whether the toolbar is visible.
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)
WindowHandle | the window handle of the control that is connected to the GuiShell.
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored (Inherited from IMoveable)
WorkingPaneHeight | the current height of the working pane.
WorkingPaneWidth | the current width of the working pane.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Close | Closes the window. (Inherited from IMoveable)
CloseSynchron | Closes the window and waits until the window is closed. (Inherited from IMoveable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open. (Inherited from IMoveable)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFocus | Returns the object with the input focus. (Inherited from IMoveable)
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window. (Inherited from IMoveable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsActive | Returns whether the window is set to active. (Inherited from IMoveable)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
IsVkeyAllowed | The method returns True if the given virtual key can be executed on the current screen.
JumpBackward | Execute the Ctrl+Shift+Tab key on the window to jump backward one block.
JumpForward | Execute the Ctrl+Tab key on the window to jump forward one block.
Maximize | Maximizes the window. (Inherited from IMoveable)
Minimize | Reduces the window to an icon. (Inherited from IMoveable)
Move | Moves the window. (Inherited from IMoveable)
ResizeWorkingPane | The ResizeWorkingPane function will resize the window so that the available working area has the given width and height in character metric.
ResizeWorkingPaneEx | The ResizeWorkingPaneEx function will resize the window so that the available working area has the given width and height in pixels.
Restore | Restores the window to its previous size. (Inherited from IMoveable)
SendVKey | Send a virtual key to the system.
SetActive | Makes the window active. (Inherited from IMoveable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
Size | Resizes the window. (Inherited from IMoveable)
TabBackward | Execute the Shift+Tab key on the window to jump backward one element.
TabForward | Execute the Tab key on the window to jump forward one element.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


Silverlight Class Reference

Lists the available classes for testing Silverlight controls.

  • SLApplication Class
    The container for Silverlight controls.
  • SLAutoCompleteBox Class
    Represents a control that provides a text box for user input and a drop-down that contains possible matches based on the input in the text box.
  • SLBase Class
    Provides a Silverlight framework-level set of properties, events, and methods for Silverlight elements.
  • SLButton Class
    Identifies a button control.
  • SLCalendar Class
    Identifies a calendar control.
  • SLCalendarButton Class
    Identifies a calendar button.
  • SLCalendarDayButton Class
    Identifies a calendar day button.
  • SLCheckBox Class
    Identifies a check box control.
  • SLComboBox Class
    Identifies a combo box control.
  • SLComboBoxItem Class
    Identifies a combo box item control.
  • SLDataGrid Class
    Identifies a data grid control.
  • SLDataGridCell Class
    Identifies a cell within a row of a data grid control.
  • SLDataGridDetails Class
    Identifies a control that displays additional details within a data grid row.
  • SLDataGridRow Class
    Identifies a row in data grid.
  • SLDataPager Class
    Identifies a data pager for paging through a collection of data.
  • SLDatePicker Class
    Represents a control that allows the user to select a date.
  • SLDescriptionViewer Class
    Identifies a description viewer control.
  • SLFrame Class
    Identifies a frame control.
  • SLGridSplitter Class
    Identifies a grid splitter control.
  • SLGroup Class
    Identifies a group control, which acts as a container for other controls.
  • SLHeader Class
    Identifies a control that provides a visual container for the labels for rows or columns.
  • SLHeaderItem Class
    Identifies a control that provides a visual label for a row or column.
  • SLHorizontalScrollBar Class
    Identifies a horizontal scroll bar.
  • SLHyperlinkButton Class
    Identifies a hyperlink button control.
  • SLImage Class
    Identifies an image control.
  • SLListBox Class
    Identifies a list box control.
  • SLListItem Class
    Identifies a list item control.
  • SLMediaElement Class
    Represents a control that contains audio and/or video.
  • SLMenu Class
    Identifies a menu control.
  • SLMenuBar Class
    Identifies a menu bar control.
  • SLMenuItem Class
    Identifies a menu item control.
  • SLMultiScaleImage Class
    Enables users to open a multi-resolution image, which can be zoomed in on and panned across.
  • SLPane Class
    Identifies a pane that can optionally have scroll bars.
  • SLPasswordBox Class
    Identifies a password box control.
  • SLPopup Class
    Identifies a popup control. Context menus are also treated as popup controls.
  • SLProgressBar Class
    Identifies a progress bar control.
  • SLRadioButton Class
    Represents a button that allows a user to select a single option from a group of options.
  • SLRepeatButton Class
    Identifies a repeat button control.
  • SLRichTextBox Class
    Identifies a rich text box control.
  • SLSeparator Class
    Identifies a separator control.
  • SLSlider Class
    Identifies a progress bar control.
  • SLSpinner Class
    Identifies a spinner control.
  • SLSplitButton Class
    Identifies a split button control.
  • SLStatusBar Class
    Identifies a status bar control.
  • SLTabControl Class
    Identifies a tab control.
  • SLTabItem Class
    Identifies a tab item control.
  • SLTable Class
    Identifies a table.
  • SLTextBlock Class
    Identifies a control for displaying small amounts of flow content.
  • SLTextBox Class
    Identifies a text box control.
  • SLThumb Class
    Identifies a thumb control.
  • SLTitleBar Class
    Identifies the caption bar on a window.
  • SLToggleButton Class
    Identifies a toggle button control.
  • SLToolBar Class
    Identifies a toolbar control.
  • SLToolTip Class
    Identifies a tooltip control.
  • SLTreeView Class
    Represents a control that displays hierarchical data in a tree structure that has items that can expand and collapse.
  • SLTreeViewItem Class
    Represents a selectable item in a tree control.
  • SLValidationSummary Class
    Identifies a validation summary control.
  • SLVerticalScrollBar Class
    Identifies a vertical scroll bar.
  • SLWindow Class
    Identifies a window control.
Parent topic: Silk4NET 言語リファレンス


SLApplication Class

Description

The container for Silverlight controls.

Inheritance Hierarchy

  • SLBase
    • SLApplication

Syntax

C#
public class SLApplication : SLBase
VB
'Declaration
Public Class SLApplication _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLAutoCompleteBox Class

Description

Represents a control that provides a text box for user input and a drop-down that contains possible matches based on the input in the text box.

Inheritance Hierarchy

  • SLBase
    • SLAutoCompleteBox

Syntax

C#
public class SLAutoCompleteBox : SLBase
VB
'Declaration
Public Class SLAutoCompleteBox _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
HorizontallyScrollable | a value that indicates whether the combo box can scroll horizontally.
HorizontalScrollPercent | the current horizontal scroll position or negative one (-1) if there is no valid scroll position.
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
IsOpen | a value that indicates whether the auto complete box is open
Items | a list containing items of the current matches. If nothing was entered in the control's text box an empty list is returned.
ItemTexts | a list containing the texts of the current matches. If nothing was entered in the control's text box an empty list is returned.
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
VerticallyScrollable | a value that indicates whether the combo box can scroll vertically.
VerticalScrollPercent | the current vertical scroll position or negative one (-1) if there is no valid scroll position.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the drop-down list that contains the matches if it is currently open.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollHorizontal | Scrolls the currently visible region of the content area, horizontally, the specified ScrollAmount.
ScrollVertical | Scrolls the currently visible region of the content area, vertically, the specified ScrollAmount.
Select | Types the given text into the auto box complete box and selects a match.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetHorizontalScrollPercent | Sets the horizontal scroll position as a percentage of the total content area within the combo box.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetVerticalScrollPercent | Sets the vertical scroll position as a percentage of the total content area within the combo box.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLBase Class

Description

Provides a Silverlight framework-level set of properties, events, and methods for Silverlight elements.

Inheritance Hierarchy

  • TestObject
    • SLBase
      • SLApplication
      • SLAutoCompleteBox
      • SLButton
      • SLCalendar
      • SLCalendarButton
      • SLCalendarDayButton
      • SLCheckBox
      • SLComboBox
      • SLComboBoxItem
      • SLDataGrid
      • SLDataGridCell
      • SLDataGridDetails
      • SLDataGridRow
      • SLDataPager
      • SLDatePicker
      • SLDescriptionViewer
      • SLFrame
      • SLGridSplitter
      • SLGroup
      • SLHeader
      • SLHeaderItem
      • SLHorizontalScrollBar
      • SLHyperlinkButton
      • SLImage
      • SLListBox
      • SLListItem
      • SLMediaElement
      • SLMenu
      • SLMenuBar
      • SLMenuItem
      • SLMultiScaleImage
      • SLPane
      • SLPasswordBox
      • SLPopup
      • SLProgressBar
      • SLRadioButton
      • SLRepeatButton
      • SLRichTextBox
      • SLSeparator
      • SLSlider
      • SLSpinner
      • SLSplitButton
      • SLStatusBar
      • SLTabControl
      • SLTabItem
      • SLTable
      • SLTextBlock
      • SLTextBox
      • SLThumb
      • SLTitleBar
      • SLToggleButton
      • SLToolBar
      • SLToolTip
      • SLTreeView
      • SLTreeViewItem
      • SLValidationSummary
      • SLVerticalScrollBar
      • SLWindow

Syntax

C#
public class SLBase : TestObject, IClickable, IFocusable, IKeyable
VB
'Declaration
Public Class SLBase _
Inherits TestObject _
Implements IClickable, IFocusable, IKeyable

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element.
ClassName | the simple class name of the element.
IsEnabled | a value that indicates whether the element is enabled.
Name | a string containing the UI Automation name for the element.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type.
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLButton Class

Description

Identifies a button control.

Inheritance Hierarchy

  • SLBase
    • SLButton

Syntax

C#
public class SLButton : SLBase
VB
'Declaration
Public Class SLButton _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Clicks the button.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLCalendar Class

Description

Identifies a calendar control.

Inheritance Hierarchy

  • SLBase
    • SLCalendar

Syntax

C#
public class SLCalendar : SLBase
VB
'Declaration
Public Class SLCalendar _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
CanSelectMultiple | whether multiple dates can be selected
ClassName | the simple class name of the element. (Inherited from SLBase)
DisplayMode | a value that indicates whether the calendar displays a month, year, or decade.
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
IsSelectionRequired | whether at least one date has to be selected
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
SelectedDate | the currently selected date in the currently displayed view.
SelectedDates | a list of selected dates in the currently displayed view.
SupportedDisplayModes | a list of supported display modes.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SelectDate | Selects the given date.
SelectDates | Selects the given dates.
SelectRange | Selects a range of dates.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SwitchToDecadeView | Switches the calendar display mode to 'decade', if supported.
SwitchToMonthView | Switches the calendar display mode to 'month', if supported.
SwitchToYearView | Switches the calendar display mode to 'year', if supported.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLCalendarButton Class

Description

Identifies a calendar button.

Inheritance Hierarchy

  • SLBase
    • SLCalendarButton

Syntax

C#
public class SLCalendarButton : SLBase
VB
'Declaration
Public Class SLCalendarButton _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
IsSelected | a value that indicates whether the calendar button is selected
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Clicks the button.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLCalendarDayButton Class

Description

Identifies a calendar day button.

Inheritance Hierarchy

  • SLBase
    • SLCalendarDayButton

Syntax

C#
public class SLCalendarDayButton : SLBase
VB
'Declaration
Public Class SLCalendarDayButton _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
IsSelected | a value that indicates whether the calendar day button is selected
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Clicks the button.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLCheckBox Class

Description

Identifies a check box control.

Inheritance Hierarchy

  • SLBase
    • SLCheckBox

Syntax

C#
public class SLCheckBox : SLBase
VB
'Declaration
Public Class SLCheckBox _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
ToggleState | the toggle state of the check box
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks the check box.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetIndeterminate | Set the check box to the indeterminate state.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Toggle | Cycles through the toggle states of the check box in this order: On, Off and, if supported, Indeterminate.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks the check box.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLComboBox Class

Description

Identifies a combo box control.

Combo boxes in Silverlight require to be opened once before information about their items can be retrieved.

Inheritance Hierarchy

  • SLBase
    • SLComboBox

Syntax

C#
public class SLComboBox : SLBase
VB
'Declaration
Public Class SLComboBox _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
HorizontallyScrollable | a value that indicates whether the combo box can scroll horizontally.
HorizontalScrollPercent | the current horizontal scroll position or negative one (-1) if there is no valid scroll position.
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
IsOpen | a value that indicates whether the combo box is open
Items | a complete list of items.
ItemTexts | a complete list of item texts.
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
SelectedIndex | the index of the selected item or negative one (-1) if the selection is empty.
SelectedItem | the selected item or null (Nothing in Visual Basic) if the selection is empty.
SelectedItemText | the text of the selected item or an empty string if the selection is empty.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
VerticallyScrollable | a value that indicates whether the combo box can scroll vertically.
VerticalScrollPercent | the current vertical scroll position or negative one (-1) if there is no valid scroll position.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the combo box.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Open | Opens the combo box.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollHorizontal | Scrolls the currently visible region of the content area, horizontally, the specified ScrollAmount.
ScrollVertical | Scrolls the currently visible region of the content area, vertically, the specified ScrollAmount.
Select | Selects an item in the combo box.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetHorizontalScrollPercent | Sets the horizontal scroll position as a percentage of the total content area within the combo box.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetVerticalScrollPercent | Sets the vertical scroll position as a percentage of the total content area within the combo box.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLComboBoxItem Class

Description

Identifies a combo box item control.

Inheritance Hierarchy

  • SLBase
    • SLComboBoxItem

Syntax

C#
public class SLComboBoxItem : SLBase
VB
'Declaration
Public Class SLComboBoxItem _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
IsSelected | a value that indicates whether the combo box item is selected
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects the combo box item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLDataGrid Class

Description

Identifies a data grid control.

If the data grid has a vertical scroll bar, rows which are not in the visible area of the data grid do not expose any information (e.g. text, caption). In order to interact with such a row or retrieve information about the row it needs to be scrolled into view first.

Inheritance Hierarchy

  • SLBase
    • SLDataGrid

Syntax

C#
public class SLDataGrid : SLBase
VB
'Declaration
Public Class SLDataGrid _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
CanSelectMultiple | whether the data grid allows more than one row to be selected concurrently.
ClassName | the simple class name of the element. (Inherited from SLBase)
ColumnCount | the number of columns in the data grid
ColumnHeaders | a list containing the header item for every column
ColumnHeaderTexts | a list containing the text of the header item for every column
HorizontallyScrollable | a value that indicates whether the data grid can scroll horizontally.
HorizontalScrollPercent | the current horizontal scroll position or negative one (-1) if there is no valid scroll position.
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
RowCount | the number of rows in the data grid
Rows | a list of rows in the data grid
RowTexts | a list of row texts in the data grid. The text for every row is returned as a string that contains the text of every cell separated with a blank character.
SelectedCell | the currently selected cell or null (Nothing in Visual Basic) if no cell is selected
SelectedCellText | the text of the currently selected cell or an empty string if no cell is selected
SelectedRow | the currently selected row or null (Nothing in Visual Basic) if no row is selected
SelectedRows | a list of currently selected rows or an empty list if no row is selected
SelectedRowText | the text of the currently selected row or an empty string if no row is selected
SelectedRowTexts | the text of the currently selected rows or an empty list if no row is selected
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
VerticallyScrollable | a value that indicates whether the data grid can scroll vertically.
VerticalScrollPercent | the current vertical scroll position or negative one (-1) if there is no valid scroll position.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollHorizontal | Scrolls the currently visible region of the content area, horizontally, the specified ScrollAmount.
ScrollIntoView | Scrolls the specified row or cell into view.
ScrollVertical | Scrolls the currently visible region of the content area, vertically, the specified ScrollAmount.
Select | Selects the specified row.
SelectCell | Selects the specified cell.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetHorizontalScrollPercent | Sets the horizontal scroll position as a percentage of the total content area within the data grid.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetVerticalScrollPercent | Sets the vertical scroll position as a percentage of the total content area within the data grid.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLDataGridCell Class

Description

Identifies a cell within a row of a data grid control.

Inheritance Hierarchy

  • SLBase
    • SLDataGridCell

Syntax

C#
public class SLDataGridCell : SLBase
VB
'Declaration
Public Class SLDataGridCell _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
IsSelected | a value that indicates whether the cell is selected
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scroll the cell into view.
Select | Selects the cell
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLDataGridDetails Class

Description

Identifies a control that displays additional details within a data grid row.

Inheritance Hierarchy

  • SLBase
    • SLDataGridDetails

Syntax

C#
public class SLDataGridDetails : SLBase
VB
'Declaration
Public Class SLDataGridDetails _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLDataGridRow Class

Description

Identifies a row in data grid.

Inheritance Hierarchy

  • SLBase
    • SLDataGridRow

Syntax

C#
public class SLDataGridRow : SLBase
VB
'Declaration
Public Class SLDataGridRow _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
Cells | the cells of the data grid row.
CellTexts | the text of the cells of the data grid row.
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
IsSelected | a value that indicates whether the row is selected.
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
RowHeader | the header for this row
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the row into view.
Select | Selects the row
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLDataPager Class

Description

Identifies a data pager for paging through a collection of data.

Inheritance Hierarchy

  • SLBase
    • SLDataPager

Syntax

C#
public class SLDataPager : SLBase
VB
'Declaration
Public Class SLDataPager _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
CurrentPage | The current page.
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
PageCount | The count of the pages.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MoveToFirstPage | Moves the data pager to the first page.
MoveToLastPage | Moves the data pager to the last page.
MoveToNextPage | Moves the data pager to the next page.
MoveToPage | Moves the data pager to the given page.
MoveToPreviousPage | Moves the data pager to the previous page.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLDatePicker Class

Description

Represents a control that allows the user to select a date.

Inheritance Hierarchy

  • SLBase
    • SLDatePicker

Syntax

C#
public class SLDatePicker : SLBase
VB
'Declaration
Public Class SLDatePicker _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsCalendarOpen | a value whether the drop-down Calendar is open.
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
SelectedDate | the selected date or null (Nothing in Visual Basic) if no date is selected.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
CloseCalendar | Closes the drop-down Calendar.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenCalendar | Opens the drop-down Calendar.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLDescriptionViewer Class

Description

Identifies a description viewer control.

Inheritance Hierarchy

  • SLBase
    • SLDescriptionViewer

Syntax

C#
public class SLDescriptionViewer : SLBase
VB
'Declaration
Public Class SLDescriptionViewer _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLFrame Class

Description

Identifies a frame control.

Inheritance Hierarchy

  • SLBase
    • SLFrame

Syntax

C#
public class SLFrame : SLBase
VB
'Declaration
Public Class SLFrame _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLGridSplitter Class

Description

Identifies a grid splitter control.

Inheritance Hierarchy

  • SLBase
    • SLGridSplitter

Syntax

C#
public class SLGridSplitter : SLBase
VB
'Declaration
Public Class SLGridSplitter _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MoveHorizontal | Moves the splitter horizontally.
MoveVertical | Moves the splitter vertically.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLGroup Class

Description

Identifies a group control, which acts as a container for other controls.

Inheritance Hierarchy

  • SLBase
    • SLGroup

Syntax

C#
public class SLGroup : SLBase
VB
'Declaration
Public Class SLGroup _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLHeader Class

Description

Identifies a control that provides a visual container for the labels for rows or columns.

Inheritance Hierarchy

  • SLBase
    • SLHeader

Syntax

C#
public class SLHeader : SLBase
VB
'Declaration
Public Class SLHeader _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
HeaderItems | a list containing the header items of this header control
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLHeaderItem Class

Description

Identifies a control that provides a visual label for a row or column.

Inheritance Hierarchy

  • SLBase
    • SLHeaderItem

Syntax

C#
public class SLHeaderItem : SLBase
VB
'Declaration
Public Class SLHeaderItem _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects the header item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLHorizontalScrollBar Class

Description

Identifies a horizontal scroll bar.

Inheritance Hierarchy

  • SLBase
    • SLHorizontalScrollBar

Syntax

C#
public class SLHorizontalScrollBar : SLBase
VB
'Declaration
Public Class SLHorizontalScrollBar _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Maximum | the maximum scroll position
Minimum | the minimum scroll position
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
ScrollPosition | the current scroll position
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Scrolls the scroll bar by the specified amount
ScrollToMaximum | Scrolls the scroll bar to the right end.
ScrollToMinimum | Scrolls the scroll bar to the left end.
ScrollToPosition | Scrolls the scroll bar to the specific position
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLHyperlinkButton Class

Description

Identifies a hyperlink button control.

Inheritance Hierarchy

  • SLBase
    • SLHyperlinkButton

Syntax

C#
public class SLHyperlinkButton : SLBase
VB
'Declaration
Public Class SLHyperlinkButton _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Clicks the hyperlink button.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLImage Class

Description

Identifies an image control.

Inheritance Hierarchy

  • SLBase
    • SLImage

Syntax

C#
public class SLImage : SLBase
VB
'Declaration
Public Class SLImage _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLListBox Class

Description

Identifies a list box control.

Inheritance Hierarchy

  • SLBase
    • SLListBox

Syntax

C#
public class SLListBox : SLBase
VB
'Declaration
Public Class SLListBox _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
CanSelectMultiple | whether the list box allows more than one child element to be selected concurrently.
ClassName | the simple class name of the element. (Inherited from SLBase)
HorizontallyScrollable | a value that indicates whether the list box can scroll horizontally.
HorizontalScrollPercent | the current horizontal scroll position or negative one (-1) if there is no valid scroll position.
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Items | the list of list box items.
ItemTexts | the list of all item texts.
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
SelectedIndex | the index of the first item in the current selection or returns negative one (-1) if the selection is empty.
SelectedIndices | the indices of the currently selected items. An empty list is returned if no items are currently selected.
SelectedItem | the first item in the current selection or returns null (Nothing in Visual Basic) if the selection is empty
SelectedItems | the currently selected items. An empty list is returned, if no items are currently selected.
SelectedItemText | the text of the first selected item.
SelectedItemTexts | the texts of the currently selected items. An empty list is returned if no items are currently selected.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
VerticallyScrollable | a value that indicates whether the list box can scroll vertically.
VerticalScrollPercent | the current vertical scroll position or negative one (-1) if there is no valid scroll position.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DeselectAll | Deselects all list items.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollHorizontal | Scrolls the currently visible region of the content area, horizontally, the specified ScrollAmount.
ScrollVertical | Scrolls the currently visible region of the content area, vertically, the specified ScrollAmount.
Select | Selects the given list box item.
SelectAll | Selects all items in the list.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetHorizontalScrollPercent | Sets the horizontal scroll position as a percentage of the total content area within the list box.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetVerticalScrollPercent | Sets the vertical scroll position as a percentage of the total content area within the list box.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLListItem Class

Description

Identifies a list item control.

Inheritance Hierarchy

  • SLBase
    • SLListItem

Syntax

C#
public class SLListItem : SLBase
VB
'Declaration
Public Class SLListItem _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
IsSelected | a value that indicates whether the list item is selected
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Deselect | Deselects the item.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scroll the list item into view.
Select | Selects the list item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLMediaElement Class

Description

Represents a control that contains audio and/or video.

Inheritance Hierarchy

  • SLBase
    • SLMediaElement

Syntax

C#
public class SLMediaElement : SLBase
VB
'Declaration
Public Class SLMediaElement _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLMenu Class

Description

Identifies a menu control.

Inheritance Hierarchy

  • SLBase
    • SLMenu

Syntax

C#
public class SLMenu : SLBase
VB
'Declaration
Public Class SLMenu _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLMenuBar Class

Description

Identifies a menu bar control.

Inheritance Hierarchy

  • SLBase
    • SLMenuBar

Syntax

C#
public class SLMenuBar : SLBase
VB
'Declaration
Public Class SLMenuBar _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLMenuItem Class

Description

Identifies a menu item control.

Inheritance Hierarchy

  • SLBase
    • SLMenuItem

Syntax

C#
public class SLMenuItem : SLBase
VB
'Declaration
Public Class SLMenuItem _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLMultiScaleImage Class

Description

Enables users to open a multi-resolution image, which can be zoomed in on and panned across.

Inheritance Hierarchy

  • SLBase
    • SLMultiScaleImage

Syntax

C#
public class SLMultiScaleImage : SLBase
VB
'Declaration
Public Class SLMultiScaleImage _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLPane Class

Description

Identifies a pane that can optionally have scroll bars.

Inheritance Hierarchy

  • SLBase
    • SLPane

Syntax

C#
public class SLPane : SLBase
VB
'Declaration
Public Class SLPane _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
HorizontallyScrollable | a value that indicates whether the pane can scroll horizontally.
HorizontalScrollPercent | the current horizontal scroll position or negative one (-1) if there is no valid scroll position.
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
VerticallyScrollable | a value that indicates whether the pane can scroll vertically.
VerticalScrollPercent | the current vertical scroll position or negative one (-1) if there is no valid scroll position.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollHorizontal | Scrolls the currently visible region of the content area, horizontally, the specified ScrollAmount.
ScrollVertical | Scrolls the currently visible region of the content area, vertically, the specified ScrollAmount.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetHorizontalScrollPercent | Sets the horizontal scroll position as a percentage of the total content area within the pane.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetVerticalScrollPercent | Sets the vertical scroll position as a percentage of the total content area within the pane.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLPasswordBox Class

Description

Identifies a password box control.

Inheritance Hierarchy

  • SLBase
    • SLPasswordBox

Syntax

C#
public class SLPasswordBox : SLBase
VB
'Declaration
Public Class SLPasswordBox _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
IsReadOnly | whether the password box is read-only
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Clear | Removes all text from the password field.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetPosition | Sets the insertion point in the password field.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetSelection | Selects a range of text in the password box.
SetText | Replaces the text in the password field with the given text.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLPopup Class

Description

Identifies a popup control. Context menus are also treated as popup controls.

Inheritance Hierarchy

  • SLBase
    • SLPopup

Syntax

C#
public class SLPopup : SLBase
VB
'Declaration
Public Class SLPopup _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLProgressBar Class

Description

Identifies a progress bar control.

Inheritance Hierarchy

  • SLBase
    • SLProgressBar

Syntax

C#
public class SLProgressBar : SLBase
VB
'Declaration
Public Class SLProgressBar _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Maximum | the maximum progress value
Minimum | the minimum progress value
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLRadioButton Class

Description

Represents a button that allows a user to select a single option from a group of options.

Inheritance Hierarchy

  • SLBase
    • SLRadioButton

Syntax

C#
public class SLRadioButton : SLBase
VB
'Declaration
Public Class SLRadioButton _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
IsSelected | a value that indicates whether the radio button is selected.
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Deselects any selected items and then selects the current element.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLRepeatButton Class

Description

Identifies a repeat button control.

Inheritance Hierarchy

  • SLBase
    • SLRepeatButton

Syntax

C#
public class SLRepeatButton : SLBase
VB
'Declaration
Public Class SLRepeatButton _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Clicks the button.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLRichTextBox Class

Description

Identifies a rich text box control.

Inheritance Hierarchy

  • SLBase
    • SLRichTextBox

Syntax

C#
public class SLRichTextBox : SLBase
VB
'Declaration
Public Class SLRichTextBox _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
SelectedText | the selected text
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Clear | Removes all text from the text box.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetPosition | Sets the insertion point in the text box.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetSelection | Selects a range of text in the text box.
SetText | Replaces the content in the text box with the given text.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLSeparator Class

Description

Identifies a separator control.

Inheritance Hierarchy

  • SLBase
    • SLSeparator

Syntax

C#
public class SLSeparator : SLBase
VB
'Declaration
Public Class SLSeparator _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLSlider Class

Description

Identifies a progress bar control.

Inheritance Hierarchy

  • SLBase
    • SLSlider

Syntax

C#
public class SLSlider : SLBase
VB
'Declaration
Public Class SLSlider _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
LargeChange | the value that is added to or subtracted from the Value property when a large change is made, such as with the PAGE DOWN key.
Maximum | the maximum progress value
Minimum | the minimum progress value
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
SmallChange | the value that is added to or subtracted from the Value property when a small change is made, such as with an arrow key.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DecreaseLarge | Decreases the value of the Slider by a large amount.
DecreaseSmall | Decreases the value of the Slider by a small amount.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
IncreaseLarge | Increases the value of the Slider by a large amount.
IncreaseSmall | Increases the value of the Slider by a small amount.
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetValue | Sets the value of the slider
SetValueToMaximum | Sets the Slider to the maximum position.
SetValueToMinimum | Sets the Slider to the minimum position.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLSpinner Class

Description

Identifies a spinner control.

A spinner control type consists of a set of buttons that enable a user to select from a set of items or set a numerical value from within a range.

Inheritance Hierarchy

  • SLBase
    • SLSpinner

Syntax

C#
public class SLSpinner : SLBase
VB
'Declaration
Public Class SLSpinner _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
NumericValue | the current numeric value of the spinner
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLSplitButton Class

Description

Identifies a split button control.

Inheritance Hierarchy

  • SLBase
    • SLSplitButton

Syntax

C#
public class SLSplitButton : SLBase
VB
'Declaration
Public Class SLSplitButton _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLStatusBar Class

Description

Identifies a status bar control.

Inheritance Hierarchy

  • SLBase
    • SLStatusBar

Syntax

C#
public class SLStatusBar : SLBase
VB
'Declaration
Public Class SLStatusBar _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLTabControl Class

Description

Identifies a tab control.

Inheritance Hierarchy

  • SLBase
    • SLTabControl

Syntax

C#
public class SLTabControl : SLBase
VB
'Declaration
Public Class SLTabControl _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Items | a complete list of tab items.
ItemTexts | a complete list of tab item texts.
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
SelectedIndex | the index of the selected item or negative one (-1) if the selection is empty.
SelectedItem | the selected item or null (Nothing in Visual Basic) if the selection is empty.
SelectedItemText | the text of the selected item or an empty string if the selection is empty.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects an item in the tab control.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLTabItem Class

Description

Identifies a tab item control.

Inheritance Hierarchy

  • SLBase
    • SLTabItem

Syntax

C#
public class SLTabItem : SLBase
VB
'Declaration
Public Class SLTabItem _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
IsSelected | a value that indicates whether the tab item is selected
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects the tab item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLTable Class

Description

Identifies a table.

Inheritance Hierarchy

  • SLBase
    • SLTable

Syntax

C#
public class SLTable : SLBase
VB
'Declaration
Public Class SLTable _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLTextBlock Class

Description

Identifies a control for displaying small amounts of flow content.

Inheritance Hierarchy

  • SLBase
    • SLTextBlock

Syntax

C#
public class SLTextBlock : SLBase
VB
'Declaration
Public Class SLTextBlock _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLTextBox Class

Description

Identifies a text box control.

Inheritance Hierarchy

  • SLBase
    • SLTextBox

Syntax

C#
public class SLTextBox : SLBase
VB
'Declaration
Public Class SLTextBox _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
IsReadOnly | whether the text box is read-only
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Clear | Removes all text from the text field.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetPosition | Sets the insertion point in the text field.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetSelection | Selects a range of text in the text box.
SetText | Replaces the text in the text field with the given text.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)

Examples

VB

textBox.SetText("some text")
textBox.SetSelection(0, 4) ' selects 4 characters starting from the first one
textBox.TypeKeys("<Ctrl+C>") ' copies the selected text to the clipboard
Dim selectedText = Clipboard.GetText() ' gets the text from the clipboard
Parent topic: Silverlight Class Reference


SLThumb Class

Description

Identifies a thumb control.

Inheritance Hierarchy

  • SLBase
    • SLThumb

Syntax

C#
public class SLThumb : SLBase
VB
'Declaration
Public Class SLThumb _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLTitleBar Class

Description

Identifies the caption bar on a window.

Inheritance Hierarchy

  • SLBase
    • SLTitleBar

Syntax

C#
public class SLTitleBar : SLBase
VB
'Declaration
Public Class SLTitleBar _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLToggleButton Class

Description

Identifies a toggle button control.

Inheritance Hierarchy

  • SLBase
    • SLToggleButton

Syntax

C#
public class SLToggleButton : SLBase
VB
'Declaration
Public Class SLToggleButton _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
ToggleState | the toggle state of the button
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Toggle | Cycles through the toggle states of the button in this order: On, Off and, if supported, Indeterminate.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLToolBar Class

Description

Identifies a toolbar control.

Inheritance Hierarchy

  • SLBase
    • SLToolBar

Syntax

C#
public class SLToolBar : SLBase
VB
'Declaration
Public Class SLToolBar _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLToolTip Class

Description

Identifies a tooltip control.

Inheritance Hierarchy

  • SLBase
    • SLToolTip

Syntax

C#
public class SLToolTip : SLBase
VB
'Declaration
Public Class SLToolTip _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLTreeView Class

Description

Represents a control that displays hierarchical data in a tree structure that has items that can expand and collapse.

Inheritance Hierarchy

  • SLBase
    • SLTreeView

Syntax

C#
public class SLTreeView : SLBase
VB
'Declaration
Public Class SLTreeView _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
HorizontallyScrollable | a value that indicates whether the tree view can scroll horizontally.
HorizontalScrollPercent | the current horizontal scroll position or negative one (-1) if there is no valid scroll position.
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
RootItems | a complete list of all root tree items.
RootItemTexts | a complete list of the texts of all root tree items.
SelectedItem | the selected item or returns null (Nothing in Visual Basic) if the selection is empty.
SelectedItemPath | the selected item path or an empty item path if nothing is selected
SelectedItemText | the text of the selected item or an empty string if the selection is empty.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
VerticallyScrollable | a value that indicates whether the tree view can scroll vertically.
VerticalScrollPercent | the current vertical scroll position or negative one (-1) if there is no valid scroll position.
VisibleItemPaths | the visible items in the tree as item paths.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Collapse | Collapses the specified item.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Expand | Expands the specified item.
ExpandAll | Expands all items in the tree.
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollHorizontal | Scrolls the currently visible region of the content area, horizontally, the specified ScrollAmount.
ScrollVertical | Scrolls the currently visible region of the content area, vertically, the specified ScrollAmount.
Select | Selects the specified item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetHorizontalScrollPercent | Sets the horizontal scroll position as a percentage of the total content area within the tree view.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetVerticalScrollPercent | Sets the vertical scroll position as a percentage of the total content area within the tree view.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLTreeViewItem Class

Description

Represents a selectable item in a tree control.

Inheritance Hierarchy

  • SLBase
    • SLTreeViewItem

Syntax

C#
public class SLTreeViewItem : SLBase
VB
'Declaration
Public Class SLTreeViewItem _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
IsExpanded | a value that indicates whether the nested items in a tree item are expanded or collapsed.
IsLeaf | a value that indicates whether the tree view item is a leaf item.
IsSelected | a value that indicates whether a tree item is selected.
Items | a complete list of items.
ItemTexts | a complete list of item texts.
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Collapse | Collapses the item.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Expand | Expands the item.
ExpandSubTree | Expands the sub tree under this tree item.
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the tree item into view
Select | Selects the item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLValidationSummary Class

Description

Identifies a validation summary control.

Inheritance Hierarchy

  • SLBase
    • SLValidationSummary

Syntax

C#
public class SLValidationSummary : SLBase
VB
'Declaration
Public Class SLValidationSummary _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLVerticalScrollBar Class

Description

Identifies a vertical scroll bar.

Inheritance Hierarchy

  • SLBase
    • SLVerticalScrollBar

Syntax

C#
public class SLVerticalScrollBar : SLBase
VB
'Declaration
Public Class SLVerticalScrollBar _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Maximum | the maximum scroll position
Minimum | the minimum scroll position
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
ScrollPosition | the current scroll position
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Scrolls the scroll bar by the specified amount
ScrollToMaximum | Scrolls the scroll bar to the bottom.
ScrollToMinimum | Scrolls the scroll bar to the top.
ScrollToPosition | Scrolls the scroll bar to the specific position
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLWindow Class

Description

Identifies a window control.

Inheritance Hierarchy

  • SLBase
    • SLWindow

Syntax

C#
public class SLWindow : SLBase
VB
'Declaration
Public Class SLWindow _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the window.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the window.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


Java AWT and Swing Class Reference

Lists the available classes for testing Java AWT and Swing controls.

  • AbstractButton Class
    Defines common behaviors for buttons and menu items.
  • Applet Class
    Represents the Java Applet in the browser.
  • AppletContainer Class
    Root element of an Applet in the browser.
  • AWTButton Class
    Represents a push button.
  • AWTCanvas Class
    Represents an empty rectangular area of the screen where the application can draw or trap events from the user.
  • AWTCheckbox Class
    Represents a check box.
  • AWTCheckboxMenuItem Class
    Represents a check box control that can be inserted in a menu item.
  • AWTChoice Class
    Represents a combo box.
  • AWTComponent Class
    AWTComponent is the base class for Java AWT.
  • AWTContainer Class
    Represents a component that can contain other AWT components.
  • AWTDialog Class
    Represents a dialog box.
  • AWTFrame Class
    Represents a top-level window with a title and a border.
  • AWTHorizontalScrollbar Class
    Represents a horizontal scroll bar.
  • AWTLabel Class
    Represents a class for placing text in a container.
  • AWTList Class
    Represents a list box.
  • AWTMenu Class
    Represents a menu component that is accessed from a menu bar.
  • AWTMenuComponent Class
    Represents the base class of all menu-related controls.
  • AWTMenuItem Class
    Represents a menu item.
  • AWTRadioButton Class
    Represents a radio button.
  • AWTScrollbar Class
    Represents a scroll bar. This class includes scroll bars that are parts of controls, such as the scroll bar on a list box.
  • AWTScrollPane Class
    Represents a class that implements automatic horizontal or vertical scrolling for a single child component.
  • AWTTextArea Class
    Represents a text area.
  • AWTTextComponent Class
    Represents the base class for the AWTTextField and AWTTextArea classes.
  • AWTTextField Class
    Represents single-line and multi-line text field controls whose text can be modified by the user.
  • AWTVerticalScrollbar Class
    Represents a vertical scroll bar.
  • AWTWindow Class
    Represents a top-level window with no borders and no menubar.
  • BasicArrowButton Class
    Represents a push button with an arrow in one of the cardinal directions.
  • IAWTScrollable Interface
    Represents an interface for AWT objects that can have two scroll bars.
  • IAWTScroller Interface
    Represents an interface for scrollable AWT objects.
  • IBaseScrollable Interface
    Represents an interface for other scrollable controls to avoid duplication.
  • IOracleFormsMenuBase Interface
    Represents a control that defines choices for users to select.
  • IOracleFormsScrollable Interface
    Represents an interface for scrollable oracle forms objects.
  • IOracleFormsScroller Interface
    Represents an interface for scrollable oracle forms objects.
  • JButton Class
    Represents a push button.
  • JCheckBox Class
    Represents a check box.
  • JCheckBoxMenuItem Class
    Represents a check box control that can be included in a menu item.
  • JColorChooser Class
    Represents a color chooser.
  • JComboBox Class
    Represents a combo box.
  • JComponent Class
    Represents a class for all components except top-level containers.
  • JDesktopPane Class
    Represents a desktop pane.
  • JDialog Class
    Represents a dialog box.
  • JEditorPane Class
    Represents a text component where you can edit different types of content.
  • JFrame Class
    Represents a class for an extended version of AWTFrame that adds support for Java Swing.
  • JHorizontalScrollBar Class
    Represents a horizontal scroll bar.
  • JLabel Class
    Represents a display area for displaying a short text, image, or both.
  • JLayeredPane Class
    Represents a layered pane.
  • JList Class
    Represents a list box.
  • JMenu Class
    Represents a menu. A menu is a menu item that has child items.
  • JMenuBar Class
    Represents a menu bar.
  • JMenuItem Class
    Represents a menu item.
  • JPanel Class
    Represents a container class for lightweight components.
  • JPasswordField Class
    Represents a single-line field that does not show the original characters.
  • JPopupMenu Class
    Represents a context menu.
  • JProgressBar Class
    Displays the progress of an operation.
  • JRadioButton Class
    Represents a radio button.
  • JRadioButtonMenuItem Class
    Represents a radio button menu item.
  • JRootPane Class
    Represents a root pane.
  • JScrollBar Class
    Represents a scroll bar.
  • JScrollPane Class
    Represents a scroll pane which allows scrolling its content which may be larger than the pane itself.
  • JSlider Class
    Represents a slider control which can select a value within a range.
  • JSpinner Class
    Represents a spinner control which can iterate a sequence of values.
  • JSplitPane Class
    Represents a split pane control which divides two components horizontally or vertically.
  • JTabbedPane Class
    Represents a tabbed pane.
  • JTable Class
    Represents a table control which has rows and columns.
  • JTableHeader Class
    Represents table header class for the table component.
  • JTextArea Class
    Represents a multiple-line area control that displays plain text.
  • JTextComponent Class
    Represents a text control that can be marked with attributes that are represented graphically.
  • JTextField Class
    Represents a single-line text field control whose text can be modified by the user.
  • JTextPane Class
    Represents a text pane control that can be marked with attributes that are represented graphically.
  • JToggleButton Class
    Represents a two-state button.
  • JToolBar Class
    Represents a toolbar.
  • JTree Class
    Represents a tree.
  • JVerticalScrollBar Class
    Represents a vertical scroll bar.
  • JViewport Class
    Represents the Swing viewport.
  • JWindow Class
    Represents a container that can be displayed anywhere on the user's desktop.
  • OracleFormsApplication Class
    Represents an Oracle Forms application.
  • OracleFormsButton Class
    Represents a push button.
  • OracleFormsCheckbox Class
    Represents a check box.
  • OracleFormsChoice Class
    Represents a choice.
  • OracleFormsComboBox Class
    Represents a combo box.
  • OracleFormsContainer Class
    Represents a component that can contain other Oracle Forms components.
  • OracleFormsHorizontalScrollbar Class
    Represents a horizontal scroll bar.
  • OracleFormsLabel Class
    Represents a class for placing text in a container.
  • OracleFormsListBox Class
    Represents a ListBox.
  • OracleFormsListView Class
    Represents a listview.
  • OracleFormsMenu Class
    Represents a top-level menu.
  • OracleFormsMenuItem Class
    Represents a selectable item inside a Menu.
  • OracleFormsPopList Class
    Represents a PopList.
  • OracleFormsPopupMenu Class
    Represents a context menu.
  • OracleFormsRadioButton Class
    Represents a radio button.
  • OracleFormsScrollbar Class
    Represents a scroll bar.
  • OracleFormsStatusArea Class
    Represents the area containing status information.
  • OracleFormsStatusBar Class
    Represents a status bar.
  • OracleFormsStatusBarItem Class
    Represents an item within a status bar.
  • OracleFormsStatusIndicator Class
    Represents a status indicator.
  • OracleFormsTabBar Class
    Represents a tab bar.
  • OracleFormsTabBarItem Class
    Represents a tab bar item.
  • OracleFormsTabPanel Class
    Represents a container class for components.
  • OracleFormsTextField Class
    Represents an Oracle Forms text field.
  • OracleFormsTitleBar Class
    Represents a title bar.
  • OracleFormsToolBar Class
    Represents a toolbar.
  • OracleFormsToolBarItem Class
    Represents an element in a toolbar.
  • OracleFormsTree Class
    Represents a tree.
  • OracleFormsVerticalScrollbar Class
    Represents a vertical scroll bar.
  • SplitPaneDivider Class
    Represents a split pane divider.
Parent topic: Silk4NET 言語リファレンス


AbstractButton Class

Description

Defines common behaviors for buttons and menu items.

Inheritance Hierarchy

  • JComponent
    • AbstractButton
      • JButton
      • JMenuItem
      • JToggleButton

Syntax

C#
public class AbstractButton : JComponent
VB
'Declaration
Public Class AbstractButton _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the button.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


Applet Class

Description

Represents the Java Applet in the browser.

Inheritance Hierarchy

  • AWTContainer
    • Applet

Syntax

C#
public class Applet : AWTContainer
VB
'Declaration
Public Class Applet _
Inherits AWTContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AppletContainer Class

Description

Root element of an Applet in the browser.

Inheritance Hierarchy

  • AWTContainer
    • AppletContainer

Syntax

C#
public class AppletContainer : AWTContainer
VB
'Declaration
Public Class AppletContainer _
Inherits AWTContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTButton Class

Description

Represents a push button.

Inheritance Hierarchy

  • AWTComponent
    • AWTButton

Syntax

C#
public class AWTButton : AWTComponent
VB
'Declaration
Public Class AWTButton _
Inherits AWTComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the button.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTCanvas Class

Description

Represents an empty rectangular area of the screen where the application can draw or trap events from the user.

Inheritance Hierarchy

  • AWTComponent
    • AWTCanvas

Syntax

C#
public class AWTCanvas : AWTComponent
VB
'Declaration
Public Class AWTCanvas _
Inherits AWTComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTCheckbox Class

Description

Represents a check box.

Inheritance Hierarchy

  • AWTComponent
    • AWTCheckbox

Syntax

C#
public class AWTCheckbox : AWTComponent
VB
'Declaration
Public Class AWTCheckbox _
Inherits AWTComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Checked | whether the check box is checked.
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks the check box.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Toggle | Toggles the check box state.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks the check box.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTCheckboxMenuItem Class

Description

Represents a check box control that can be inserted in a menu item.

Inheritance Hierarchy

  • AWTMenuItem
    • AWTCheckboxMenuItem

Syntax

C#
public class AWTCheckboxMenuItem : AWTMenuItem
VB
'Declaration
Public Class AWTCheckboxMenuItem _
Inherits AWTMenuItem

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTMenuItem)
Checked | whether the check box of the menu item is checked.
Enabled | Whether the menu item is enabled. (Inherited from AWTMenuItem)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks the check box of the menu item.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects the menu item. (Inherited from AWTMenuItem)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Toggle | Toggles the check box state of the menu item.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks the check box of the menu item.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTChoice Class

Description

Represents a combo box.

Inheritance Hierarchy

  • AWTComponent
    • AWTChoice

Syntax

C#
public class AWTChoice : AWTComponent
VB
'Declaration
Public Class AWTChoice _
Inherits AWTComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
ItemCount | the number of items in the combo box.
Items | the list of combo box items.
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedIndex | the index of the selected item. -1 (4Test: 0) is returned, if no item is currently selected.
SelectedItem | the selected item. NULL is returned, if no item is currently selected.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetItem | Returns the item at the specified index.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the specified item in the combo box.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTComponent Class

Description

AWTComponent is the base class for Java AWT.

Inheritance Hierarchy

  • TestObject
    • AWTComponent
      • AWTButton
      • AWTCanvas
      • AWTCheckbox
      • AWTChoice
      • AWTContainer
      • AWTLabel
      • AWTList
      • AWTRadioButton
      • AWTScrollbar
      • AWTTextComponent

Syntax

C#
public class AWTComponent : TestObject, IClickable, IFocusable, IKeyable, INativeWindow
VB
'Declaration
Public Class AWTComponent _
Inherits TestObject _
Implements IClickable, IFocusable, IKeyable, INativeWindow

Properties

Name | Description
AccessibleName | The accessible name of the component.
AccessibleRole | The accessible role of the component.
Background | The background color of the component.
Cursor | The name of the cursor set in the component.
Enabled | whether the component is enabled.
Focusable | whether the component can be focused.
Font | The font of the component.
Foreground | The foreground color of the component.
Height | The current height of the component.
Name | The name of the component.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTContainer Class

Description

Represents a component that can contain other AWT components.

Inheritance Hierarchy

  • AWTComponent
    • AWTContainer
      • Applet
      • AppletContainer
      • AWTScrollPane
      • AWTWindow
      • JComponent
      • OracleFormsContainer
      • SplitPaneDivider

Syntax

C#
public class AWTContainer : AWTComponent
VB
'Declaration
Public Class AWTContainer _
Inherits AWTComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTDialog Class

Description

Represents a dialog box.

Inheritance Hierarchy

  • AWTWindow
    • AWTDialog
      • JDialog

Syntax

C#
public class AWTDialog : AWTWindow
VB
'Declaration
Public Class AWTDialog _
Inherits AWTWindow

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Modal | whether the dialog is modal.
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Resizable | whether the dialog is resizable by the user.
Text | The text of the control. (Inherited from TestObject)
Title | the title of the dialog.
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored (Inherited from IMoveable)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the window. (Inherited from IMoveable)
CloseSynchron | Closes the window and waits until the window is closed. (Inherited from IMoveable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open. (Inherited from IMoveable)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFocus | Returns the object with the input focus. (Inherited from IMoveable)
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window. (Inherited from IMoveable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsActive | Returns whether the window is set to active. (Inherited from IMoveable)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
Maximize | Maximizes the window. (Inherited from IMoveable)
Minimize | Reduces the window to an icon. (Inherited from IMoveable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the window. (Inherited from IMoveable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Restore | Restores the window to its previous size. (Inherited from IMoveable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetActive | Makes the window active. (Inherited from IMoveable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Size | Resizes the window. (Inherited from IMoveable)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTFrame Class

Description

Represents a top-level window with a title and a border.

Inheritance Hierarchy

  • AWTWindow
    • AWTFrame
      • JFrame

Syntax

C#
public class AWTFrame : AWTWindow
VB
'Declaration
Public Class AWTFrame _
Inherits AWTWindow

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Resizable | whether the frame is resizable by the user.
Text | The text of the control. (Inherited from TestObject)
Title | the title of the frame.
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored (Inherited from IMoveable)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the window. (Inherited from IMoveable)
CloseSynchron | Closes the window and waits until the window is closed. (Inherited from IMoveable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open. (Inherited from IMoveable)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFocus | Returns the object with the input focus. (Inherited from IMoveable)
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window. (Inherited from IMoveable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsActive | Returns whether the window is set to active. (Inherited from IMoveable)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
Maximize | Maximizes the window. (Inherited from IMoveable)
Minimize | Reduces the window to an icon. (Inherited from IMoveable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the window. (Inherited from IMoveable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Restore | Restores the window to its previous size. (Inherited from IMoveable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetActive | Makes the window active. (Inherited from IMoveable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Size | Resizes the window. (Inherited from IMoveable)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTHorizontalScrollbar Class

Description

Represents a horizontal scroll bar.

Inheritance Hierarchy

  • AWTScrollbar
    • AWTHorizontalScrollbar

Syntax

C#
public class AWTHorizontalScrollbar : AWTScrollbar
VB
'Declaration
Public Class AWTHorizontalScrollbar _
Inherits AWTScrollbar

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
PageSize | the block increment value of the scroll bar. (Inherited from IAWTScroller)
Position | the current position of the scroll bar. (Inherited from IAWTScroller)
Range | the range value of the scroll bar. (Inherited from IAWTScroller)
StepSize | the unit increment value of the scroll bar. (Inherited from IAWTScroller)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
Page | Increments the current scroll position by specified number of pages. (Inherited from IAWTScroller)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
ScrollTo | Scrolls to the specified position. (Inherited from IAWTScroller)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Step | Increments the current scroll position by specified steps. (Inherited from IAWTScroller)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTLabel Class

Description

Represents a class for placing text in a container.

Inheritance Hierarchy

  • AWTComponent
    • AWTLabel

Syntax

C#
public class AWTLabel : AWTComponent
VB
'Declaration
Public Class AWTLabel _
Inherits AWTComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Alignment | the alignment of the label.
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTList Class

Description

Represents a list box.

Inheritance Hierarchy

  • AWTComponent
    • AWTList

Syntax

C#
public class AWTList : AWTComponent
VB
'Declaration
Public Class AWTList _
Inherits AWTComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
ItemCount | the number of list items.
Items | a list of items in the list.
MultipleMode | whether the list allows multiple selection.
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedIndex | the index of the currently selected item. -1 (4Test: 0) is returned, if no item is currently selected.
SelectedIndices | the indices of the currently selected items. An empty list is returned, if no items are currently selected.
SelectedItem | the currently selected list item. NULL is returned, if no item is currently selected.
SelectedItems | the currently selected list items. An empty list is returned, if no items are currently selected.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Deselect | Deselects the specified list item.
DeselectAll | Deselects all list items.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleClickItem | Double-clicks a list item.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetItem | Returns the list item at the specified index.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the specified item.
SelectAll | Selects all items in the list.
SelectRange | Selects all items within the specified range.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTMenu Class

Description

Represents a menu component that is accessed from a menu bar.

Inheritance Hierarchy

  • AWTMenuItem
    • AWTMenu

Syntax

C#
public class AWTMenu : AWTMenuItem
VB
'Declaration
Public Class AWTMenu _
Inherits AWTMenuItem

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTMenuItem)
Enabled | Whether the menu item is enabled. (Inherited from AWTMenuItem)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects the menu item. (Inherited from AWTMenuItem)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTMenuComponent Class

Description

Represents the base class of all menu-related controls.

Inheritance Hierarchy

  • TestObject
    • AWTMenuComponent
      • AWTMenuItem

Syntax

C#
public class AWTMenuComponent : TestObject, IClickable, IFocusable, IKeyable
VB
'Declaration
Public Class AWTMenuComponent _
Inherits TestObject _
Implements IClickable, IFocusable, IKeyable

Properties

Name | Description
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTMenuItem Class

Description

Represents a menu item.

Inheritance Hierarchy

  • AWTMenuComponent
    • AWTMenuItem
      • AWTCheckboxMenuItem
      • AWTMenu

Syntax

C#
public class AWTMenuItem : AWTMenuComponent
VB
'Declaration
Public Class AWTMenuItem _
Inherits AWTMenuComponent

Properties

Name | Description
AccessibleName | The accessible name of the component.
Enabled | Whether the menu item is enabled.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects the menu item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTRadioButton Class

Description

Represents a radio button.

Inheritance Hierarchy

  • AWTComponent
    • AWTRadioButton

Syntax

C#
public class AWTRadioButton : AWTComponent
VB
'Declaration
Public Class AWTRadioButton _
Inherits AWTComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Checked | Whether the radio button is checked.
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks the radio button.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTScrollbar Class

Description

Represents a scroll bar. This class includes scroll bars that are parts of controls, such as the scroll bar on a list box.

Inheritance Hierarchy

  • AWTComponent
    • AWTScrollbar
      • AWTHorizontalScrollbar
      • AWTVerticalScrollbar

Syntax

C#
public class AWTScrollbar : AWTComponent, IAWTScroller
VB
'Declaration
Public Class AWTScrollbar _
Inherits AWTComponent _
Implements IAWTScroller

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
PageSize | the block increment value of the scroll bar. (Inherited from IAWTScroller)
Position | the current position of the scroll bar. (Inherited from IAWTScroller)
Range | the range value of the scroll bar. (Inherited from IAWTScroller)
StepSize | the unit increment value of the scroll bar. (Inherited from IAWTScroller)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
Page | Increments the current scroll position by specified number of pages. (Inherited from IAWTScroller)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
ScrollTo | Scrolls to the specified position. (Inherited from IAWTScroller)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Step | Increments the current scroll position by specified steps. (Inherited from IAWTScroller)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTScrollPane Class

Description

Represents a class that implements automatic horizontal or vertical scrolling for a single child component.

Inheritance Hierarchy

  • AWTContainer
    • AWTScrollPane

Syntax

C#
public class AWTScrollPane : AWTContainer, IAWTScrollable
VB
'Declaration
Public Class AWTScrollPane _
Inherits AWTContainer _
Implements IAWTScrollable

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Position | the current scroll position of the scrollable component. (Inherited from IAWTScrollable)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Gets the horizontal scroll bar. (Inherited from IAWTScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Gets the vertical scroll bar. (Inherited from IAWTScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
ScrollTo | Scrolls to the specified position. (Inherited from IAWTScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTTextArea Class

Description

Represents a text area.

Inheritance Hierarchy

  • AWTTextComponent
    • AWTTextArea

Syntax

C#
public class AWTTextArea : AWTTextComponent, IAWTScrollable
VB
'Declaration
Public Class AWTTextArea _
Inherits AWTTextComponent _
Implements IAWTScrollable

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
CaretPosition | the position of the text insertion caret for the text component. (Inherited from AWTTextComponent)
Columns | the number of columns in the text area.
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Editable | whether the text of the text component can be changed by the user. (Inherited from AWTTextComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Position | the current scroll position of the scrollable component. (Inherited from IAWTScrollable)
Rows | The number of rows in the text area.
SelectedText | the current selected text. (Inherited from AWTTextComponent)
SelectionEnd | the end position of the selected text. (Inherited from AWTTextComponent)
SelectionStart | the start position of the selected text. (Inherited from AWTTextComponent)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Clear | Removes all the text from the text component. (Inherited from AWTTextComponent)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Gets the horizontal scroll bar. (Inherited from IAWTScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Gets the vertical scroll bar. (Inherited from IAWTScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Insert | Inserts the specified text at the specified position.
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReplaceRange | Replaces text between the specified start and end positions with the specified replacement text.
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
ScrollTo | Scrolls to the specified position. (Inherited from IAWTScrollable)
SelectAll | Selects all the text in the text component. (Inherited from AWTTextComponent)
SetCaretPosition | Sets the position of the text insertion caret for this text component. (Inherited from AWTTextComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetSelectionRange | Selects the text within the specified range. (Inherited from AWTTextComponent)
SetText | Sets the text of the text component to the specified text. (Inherited from AWTTextComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTTextComponent Class

Description

Represents the base class for the AWTTextField and AWTTextArea classes.

Inheritance Hierarchy

  • AWTComponent
    • AWTTextComponent
      • AWTTextArea
      • AWTTextField

Syntax

C#
public class AWTTextComponent : AWTComponent
VB
'Declaration
Public Class AWTTextComponent _
Inherits AWTComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
CaretPosition | the position of the text insertion caret for the text component.
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Editable | whether the text of the text component can be changed by the user.
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedText | the current selected text.
SelectionEnd | the end position of the selected text.
SelectionStart | the start position of the selected text.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Clear | Removes all the text from the text component.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SelectAll | Selects all the text in the text component.
SetCaretPosition | Sets the position of the text insertion caret for this text component.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetSelectionRange | Selects the text within the specified range.
SetText | Sets the text of the text component to the specified text.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTTextField Class

Description

Represents single-line and multi-line text field controls whose text can be modified by the user.

Inheritance Hierarchy

  • AWTTextComponent
    • AWTTextField

Syntax

C#
public class AWTTextField : AWTTextComponent
VB
'Declaration
Public Class AWTTextField _
Inherits AWTTextComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
CaretPosition | the position of the text insertion caret for the text component. (Inherited from AWTTextComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
EchoChar | the character that is displayed instead of the characters that are actually typed.
EchoCharSet | whether EchoChar is set to a value other than 0.
Editable | whether the text of the text component can be changed by the user. (Inherited from AWTTextComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
IsPassword | whether the text field is a password text field.
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedText | the current selected text. (Inherited from AWTTextComponent)
SelectionEnd | the end position of the selected text. (Inherited from AWTTextComponent)
SelectionStart | the start position of the selected text. (Inherited from AWTTextComponent)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Clear | Removes all the text from the text component. (Inherited from AWTTextComponent)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SelectAll | Selects all the text in the text component. (Inherited from AWTTextComponent)
SetCaretPosition | Sets the position of the text insertion caret for this text component. (Inherited from AWTTextComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetSelectionRange | Selects the text within the specified range. (Inherited from AWTTextComponent)
SetText | Sets the text of the text component to the specified text. (Inherited from AWTTextComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTVerticalScrollbar Class

Description

Represents a vertical scroll bar.

Inheritance Hierarchy

  • AWTScrollbar
    • AWTVerticalScrollbar

Syntax

C#
public class AWTVerticalScrollbar : AWTScrollbar
VB
'Declaration
Public Class AWTVerticalScrollbar _
Inherits AWTScrollbar

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
PageSize | the block increment value of the scroll bar. (Inherited from IAWTScroller)
Position | the current position of the scroll bar. (Inherited from IAWTScroller)
Range | the range value of the scroll bar. (Inherited from IAWTScroller)
StepSize | the unit increment value of the scroll bar. (Inherited from IAWTScroller)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
Page | Increments the current scroll position by specified number of pages. (Inherited from IAWTScroller)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
ScrollTo | Scrolls to the specified position. (Inherited from IAWTScroller)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Step | Increments the current scroll position by specified steps. (Inherited from IAWTScroller)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTWindow Class

Description

Represents a top-level window with no borders and no menubar.

Inheritance Hierarchy

  • AWTContainer
    • AWTWindow
      • AWTDialog
      • AWTFrame
      • JWindow

Syntax

C#
public class AWTWindow : AWTContainer, IMoveable
VB
'Declaration
Public Class AWTWindow _
Inherits AWTContainer _
Implements IMoveable

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored (Inherited from IMoveable)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the window. (Inherited from IMoveable)
CloseSynchron | Closes the window and waits until the window is closed. (Inherited from IMoveable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open. (Inherited from IMoveable)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFocus | Returns the object with the input focus. (Inherited from IMoveable)
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window. (Inherited from IMoveable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsActive | Returns whether the window is set to active. (Inherited from IMoveable)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
Maximize | Maximizes the window. (Inherited from IMoveable)
Minimize | Reduces the window to an icon. (Inherited from IMoveable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the window. (Inherited from IMoveable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Restore | Restores the window to its previous size. (Inherited from IMoveable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetActive | Makes the window active. (Inherited from IMoveable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Size | Resizes the window. (Inherited from IMoveable)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


BasicArrowButton Class

Description

Represents a push button with an arrow in one of the cardinal directions.

Inheritance Hierarchy

  • JButton
    • BasicArrowButton

Syntax

C#
public class BasicArrowButton : JButton
VB
'Declaration
Public Class BasicArrowButton _
Inherits JButton

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Direction | the direction the arrow points to.
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the button. (Inherited from AbstractButton)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


IAWTScrollable Interface

Description

Represents an interface for AWT objects that can have two scroll bars.

Inheritance Hierarchy

  • IBaseScrollable
    • IAWTScrollable

Syntax

C#
public class IAWTScrollable : IBaseScrollable
VB
'Declaration
Public Class IAWTScrollable _
Inherits IBaseScrollable

Properties

Name | Description
Position | the current scroll position of the scrollable component. (Inherited from IBaseScrollable)

Methods

Name | Description
GetHorizontalBar | Gets the horizontal scroll bar.
GetVerticalBar | Gets the vertical scroll bar.
ScrollTo | Scrolls to the specified position. (Inherited from IBaseScrollable)
Parent topic: Java AWT and Swing Class Reference


IAWTScroller Interface

Description

Represents an interface for scrollable AWT objects.

Syntax

C#
public class IAWTScroller
VB
'Declaration
Public Class IAWTScroller

Properties

Name | Description
PageSize | the block increment value of the scroll bar.
Position | the current position of the scroll bar.
Range | the range value of the scroll bar.
StepSize | the unit increment value of the scroll bar.

Methods

Name | Description
Page | Increments the current scroll position by specified number of pages.
ScrollTo | Scrolls to the specified position.
Step | Increments the current scroll position by specified steps.
Parent topic: Java AWT and Swing Class Reference


IBaseScrollable Interface

Description

Represents an interface for other scrollable controls to avoid duplication.

Syntax

C#
public class IBaseScrollable
VB
'Declaration
Public Class IBaseScrollable

Properties

Name | Description
Position | the current scroll position of the scrollable component.

Methods

Name | Description
ScrollTo | Scrolls to the specified position.
Parent topic: Java AWT and Swing Class Reference


IOracleFormsMenuBase Interface

Description

Represents a control that defines choices for users to select.

Syntax

C#
public class IOracleFormsMenuBase
VB
'Declaration
Public Class IOracleFormsMenuBase

Properties

Name | Description
Checked | Whether the MenuItem is checked.
Parent topic: Java AWT and Swing Class Reference


IOracleFormsScrollable Interface

Description

Represents an interface for scrollable oracle forms objects.

Syntax

C#
public class IOracleFormsScrollable
VB
'Declaration
Public Class IOracleFormsScrollable

Properties

Name | Description
HorizontalScrollbarPageSize | the block increment value of the scroll bar.
HorizontalScrollbarPosition | the current position of the scroll bar.
HorizontalScrollbarRange | the range value of the scroll bar.
HorizontalScrollbarStepSize | the unit increment value of the scroll bar.
VerticalScrollbarPageSize | the block increment value of the scroll bar.
VerticalScrollbarPosition | the current position of the scroll bar.
VerticalScrollbarRange | the range value of the scroll bar.
VerticalScrollbarStepSize | the unit increment value of the scroll bar.

Methods

Name | Description
GetHorizontalScrollbar | Gets the horizontal scroll bar.
GetVerticalScrollbar | Gets the vertical scroll bar.
HorizontalScrollbarPage | Increments the current scroll position by specified number of pages.
HorizontalScrollbarScrollTo | Scrolls to the specified position.
HorizontalScrollbarScrollToMax | Scrolls to the maximum position of the scroller.
HorizontalScrollbarScrollToMin | Scrolls to the minimum position of the scroller.
HorizontalScrollbarStep | Increments the current scroll position by specified steps.
VerticalScrollbarPage | Increments the current scroll position by specified number of pages.
VerticalScrollbarScrollTo | Scrolls to the specified position.
VerticalScrollbarScrollToMax | Scrolls to the maximum position of the scroller.
VerticalScrollbarScrollToMin | Scrolls to the minimum position of the scroller.
VerticalScrollbarStep | Increments the current scroll position by specified steps.
Parent topic: Java AWT and Swing Class Reference


IOracleFormsScroller Interface

Description

Represents an interface for scrollable oracle forms objects.

Inheritance Hierarchy

  • IAWTScroller
    • IOracleFormsScroller

Syntax

C#
public class IOracleFormsScroller : IAWTScroller
VB
'Declaration
Public Class IOracleFormsScroller _
Inherits IAWTScroller

Properties

Name | Description
PageSize | the block increment value of the scroll bar. (Inherited from IAWTScroller)
Position | the current position of the scroll bar. (Inherited from IAWTScroller)
Range | the range value of the scroll bar. (Inherited from IAWTScroller)
StepSize | the unit increment value of the scroll bar. (Inherited from IAWTScroller)

Methods

Name | Description
Page | Increments the current scroll position by specified number of pages. (Inherited from IAWTScroller)
ScrollTo | Scrolls to the specified position. (Inherited from IAWTScroller)
ScrollToMax | Scrolls to the maximum position of the scroller.
ScrollToMin | Scrolls to the minimum position of the scroller.
Step | Increments the current scroll position by specified steps. (Inherited from IAWTScroller)
Parent topic: Java AWT and Swing Class Reference


JButton Class

Description

Represents a push button.

Inheritance Hierarchy

  • AbstractButton
    • JButton
      • BasicArrowButton

Syntax

C#
public class JButton : AbstractButton
VB
'Declaration
Public Class JButton _
Inherits AbstractButton

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the button. (Inherited from AbstractButton)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JCheckBox Class

Description

Represents a check box.

Inheritance Hierarchy

  • JToggleButton
    • JCheckBox

Syntax

C#
public class JCheckBox : JToggleButton
VB
'Declaration
Public Class JCheckBox _
Inherits JToggleButton

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Selected | whether the toggle button is selected. (Inherited from JToggleButton)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks the check box.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the button. (Inherited from AbstractButton)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Toggle | Toggles the button. (Inherited from JToggleButton)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks the check box.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JCheckBoxMenuItem Class

Description

Represents a check box control that can be included in a menu item.

Inheritance Hierarchy

  • JMenuItem
    • JCheckBoxMenuItem

Syntax

C#
public class JCheckBoxMenuItem : JMenuItem
VB
'Declaration
Public Class JCheckBoxMenuItem _
Inherits JMenuItem

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Checked | whether the check box in a menu item is checked.
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the button. (Inherited from AbstractButton)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JColorChooser Class

Description

Represents a color chooser.

Inheritance Hierarchy

  • JComponent
    • JColorChooser

Syntax

C#
public class JColorChooser : JComponent
VB
'Declaration
Public Class JColorChooser _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Color | the current color value from the color chooser.
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetColor | Sets the current color of the color chooser to the specified color.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JComboBox Class

Description

Represents a combo box.

Inheritance Hierarchy

  • JComponent
    • JComboBox

Syntax

C#
public class JComboBox : JComponent
VB
'Declaration
Public Class JComboBox _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Editable | whether the combo box is editable.
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
ItemCount | the number of items in the list.
Items | the list of all contained items.
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedIndex | the index of the currently selected item.
SelectedItem | the current selected item.
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetItem | Returns the item at the specified index.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the specified item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JComponent Class

Description

Represents a class for all components except top-level containers.

Inheritance Hierarchy

  • AWTContainer
    • JComponent
      • AbstractButton
      • JColorChooser
      • JComboBox
      • JLabel
      • JLayeredPane
      • JList
      • JMenuBar
      • JPanel
      • JPopupMenu
      • JProgressBar
      • JRootPane
      • JScrollBar
      • JScrollPane
      • JSlider
      • JSpinner
      • JSplitPane
      • JTabbedPane
      • JTable
      • JTableHeader
      • JTextComponent
      • JToolBar
      • JTree
      • JViewport

Syntax

C#
public class JComponent : AWTContainer
VB
'Declaration
Public Class JComponent _
Inherits AWTContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component.
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JDesktopPane Class

Description

Represents a desktop pane.

Inheritance Hierarchy

  • JLayeredPane
    • JDesktopPane

Syntax

C#
public class JDesktopPane : JLayeredPane
VB
'Declaration
Public Class JDesktopPane _
Inherits JLayeredPane

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JDialog Class

Description

Represents a dialog box.

Inheritance Hierarchy

  • AWTDialog
    • JDialog

Syntax

C#
public class JDialog : AWTDialog
VB
'Declaration
Public Class JDialog _
Inherits AWTDialog

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Modal | whether the dialog is modal. (Inherited from AWTDialog)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Resizable | whether the dialog is resizable by the user. (Inherited from AWTDialog)
Text | The text of the control. (Inherited from TestObject)
Title | the title of the dialog. (Inherited from AWTDialog)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored (Inherited from IMoveable)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the window. (Inherited from IMoveable)
CloseSynchron | Closes the window and waits until the window is closed. (Inherited from IMoveable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open. (Inherited from IMoveable)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFocus | Returns the object with the input focus. (Inherited from IMoveable)
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window. (Inherited from IMoveable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsActive | Returns whether the window is set to active. (Inherited from IMoveable)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
Maximize | Maximizes the window. (Inherited from IMoveable)
Minimize | Reduces the window to an icon. (Inherited from IMoveable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the window. (Inherited from IMoveable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Restore | Restores the window to its previous size. (Inherited from IMoveable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetActive | Makes the window active. (Inherited from IMoveable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Size | Resizes the window. (Inherited from IMoveable)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JEditorPane Class

Description

Represents a text component where you can edit different types of content.

Inheritance Hierarchy

  • JTextComponent
    • JEditorPane
      • JTextPane

Syntax

C#
public class JEditorPane : JTextComponent
VB
'Declaration
Public Class JEditorPane _
Inherits JTextComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
CaretPosition | the position of the text insertion caret for the text component. (Inherited from JTextComponent)
ContentType | the type of content that this editor is currently set to deal with.
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Editable | whether the text of the text component can be changed by the user. (Inherited from JTextComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
FormattedText | the text of the editor pane.
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Page | the current URL being displayed.
SelectedText | the current selected text. (Inherited from JTextComponent)
SelectionEnd | the end position of the selection. (Inherited from JTextComponent)
SelectionStart | the start position of the selection. (Inherited from JTextComponent)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Clear | Removes all the text from text component. (Inherited from JTextComponent)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SelectAll | Selects all the content in the text component. (Inherited from JTextComponent)
SetCaretPosition | Sets the position of the text insertion caret for this text component. (Inherited from JTextComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetSelectionRange | Selects the text within the specified range. (Inherited from JTextComponent)
SetText | Sets the text content to the specified text. (Inherited from JTextComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JFrame Class

Description

Represents a class for an extended version of AWTFrame that adds support for Java Swing.

Inheritance Hierarchy

  • AWTFrame
    • JFrame

Syntax

C#
public class JFrame : AWTFrame
VB
'Declaration
Public Class JFrame _
Inherits AWTFrame

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Resizable | whether the frame is resizable by the user. (Inherited from AWTFrame)
Text | The text of the control. (Inherited from TestObject)
Title | the title of the frame. (Inherited from AWTFrame)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored (Inherited from IMoveable)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the window. (Inherited from IMoveable)
CloseSynchron | Closes the window and waits until the window is closed. (Inherited from IMoveable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open. (Inherited from IMoveable)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFocus | Returns the object with the input focus. (Inherited from IMoveable)
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window. (Inherited from IMoveable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsActive | Returns whether the window is set to active. (Inherited from IMoveable)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
Maximize | Maximizes the window. (Inherited from IMoveable)
Minimize | Reduces the window to an icon. (Inherited from IMoveable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the window. (Inherited from IMoveable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Restore | Restores the window to its previous size. (Inherited from IMoveable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetActive | Makes the window active. (Inherited from IMoveable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Size | Resizes the window. (Inherited from IMoveable)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JHorizontalScrollBar Class

Description

Represents a horizontal scroll bar.

Inheritance Hierarchy

  • JScrollBar
    • JHorizontalScrollBar

Syntax

C#
public class JHorizontalScrollBar : JScrollBar
VB
'Declaration
Public Class JHorizontalScrollBar _
Inherits JScrollBar

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
PageSize | the block increment value of the scroll bar. (Inherited from IAWTScroller)
Position | the current position of the scroll bar. (Inherited from IAWTScroller)
Range | the range value of the scroll bar. (Inherited from IAWTScroller)
StepSize | the unit increment value of the scroll bar. (Inherited from IAWTScroller)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
Page | Increments the current scroll position by specified number of pages. (Inherited from IAWTScroller)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
ScrollTo | Scrolls to the specified position. (Inherited from IAWTScroller)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Step | Increments the current scroll position by specified steps. (Inherited from IAWTScroller)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JLabel Class

Description

Represents a display area for displaying a short text, image, or both.

Inheritance Hierarchy

  • JComponent
    • JLabel

Syntax

C#
public class JLabel : JComponent
VB
'Declaration
Public Class JLabel _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Alignment | the alignment of the label.
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JLayeredPane Class

Description

Represents a layered pane.

Inheritance Hierarchy

  • JComponent
    • JLayeredPane
      • JDesktopPane

Syntax

C#
public class JLayeredPane : JComponent
VB
'Declaration
Public Class JLayeredPane _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JList Class

Description

Represents a list box.

Inheritance Hierarchy

  • JComponent
    • JList

Syntax

C#
public class JList : JComponent
VB
'Declaration
Public Class JList _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
ItemCount | the number of list items.
Items | the list of all contained list items.
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedIndex | the index of the selected list item.
SelectedIndices | the list of indices of the selected list items.
SelectedItem | the name or index of the selected list item.
SelectedItems | the list of names or indices of the selected list items.
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
ClickItem | Clicks the specified list item.
Deselect | Deselects the specified list item.
DeselectAll | Deselects all list items.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleClickItem | Double-clicks a list item.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
FindItem | Returns the index of an item in the list.
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetItem | Returns the item at the specified index.
GetItemRect | Returns the size and position of the item relative to the list.
GetItemValue | Returns the value object of the list item.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
ScrollItemIntoView | Scrolls an item into view.
Select | Selects a list item.
SelectAll | Selects all list elements.
SelectRange | Selects a specified range of list elements.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JMenu Class

Description

Represents a menu. A menu is a menu item that has child items.

Inheritance Hierarchy

  • JMenuItem
    • JMenu

Syntax

C#
public class JMenu : JMenuItem
VB
'Declaration
Public Class JMenu _
Inherits JMenuItem

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the button. (Inherited from AbstractButton)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JMenuBar Class

Description

Represents a menu bar.

Inheritance Hierarchy

  • JComponent
    • JMenuBar

Syntax

C#
public class JMenuBar : JComponent
VB
'Declaration
Public Class JMenuBar _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JMenuItem Class

Description

Represents a menu item.

Inheritance Hierarchy

  • AbstractButton
    • JMenuItem
      • JCheckBoxMenuItem
      • JMenu
      • JRadioButtonMenuItem

Syntax

C#
public class JMenuItem : AbstractButton
VB
'Declaration
Public Class JMenuItem _
Inherits AbstractButton

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the button. (Inherited from AbstractButton)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JPanel Class

Description

Represents a container class for lightweight components.

Inheritance Hierarchy

  • JComponent
    • JPanel

Syntax

C#
public class JPanel : JComponent
VB
'Declaration
Public Class JPanel _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JPasswordField Class

Description

Represents a single-line field that does not show the original characters.

Inheritance Hierarchy

  • JTextField
    • JPasswordField

Syntax

C#
public class JPasswordField : JTextField
VB
'Declaration
Public Class JPasswordField _
Inherits JTextField

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Alignment | the alignment of the text field. (Inherited from JTextField)
Background | The background color of the component. (Inherited from AWTComponent)
CaretPosition | the position of the text insertion caret for the text component. (Inherited from JTextComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
EchoChar | the character that is displayed instead of the characters that are actually typed.
EchoCharSet | whether EchoChar is set to a value other than 0.
Editable | whether the text of the text component can be changed by the user. (Inherited from JTextComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedText | the current selected text. (Inherited from JTextComponent)
SelectionEnd | the end position of the selection. (Inherited from JTextComponent)
SelectionStart | the start position of the selection. (Inherited from JTextComponent)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Clear | Removes all the text from text component. (Inherited from JTextComponent)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SelectAll | Selects all the content in the text component. (Inherited from JTextComponent)
SetCaretPosition | Sets the position of the text insertion caret for this text component. (Inherited from JTextComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetSelectionRange | Selects the text within the specified range. (Inherited from JTextComponent)
SetText | Sets the text content to the specified text. (Inherited from JTextComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JPopupMenu Class

Description

Represents a context menu.

Inheritance Hierarchy

  • JComponent
    • JPopupMenu

Syntax

C#
public class JPopupMenu : JComponent
VB
'Declaration
Public Class JPopupMenu _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JProgressBar Class

Description

Displays the progress of an operation.

Inheritance Hierarchy

  • JComponent
    • JProgressBar

Syntax

C#
public class JProgressBar : JComponent
VB
'Declaration
Public Class JProgressBar _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Indeterminate | whether the progress bar is indeterminate.
Maximum | the progress bar's maximum value.
Minimum | the progress bar's minimum value.
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
ProgressString | the string representation of the current progress.
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JRadioButton Class

Description

Represents a radio button.

Inheritance Hierarchy

  • JToggleButton
    • JRadioButton

Syntax

C#
public class JRadioButton : JToggleButton
VB
'Declaration
Public Class JRadioButton _
Inherits JToggleButton

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Selected | whether the toggle button is selected. (Inherited from JToggleButton)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks the radio button.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the button. (Inherited from AbstractButton)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Toggle | Toggles the button. (Inherited from JToggleButton)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JRadioButtonMenuItem Class

Description

Represents a radio button menu item.

Inheritance Hierarchy

  • JMenuItem
    • JRadioButtonMenuItem

Syntax

C#
public class JRadioButtonMenuItem : JMenuItem
VB
'Declaration
Public Class JRadioButtonMenuItem _
Inherits JMenuItem

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Checked | whether the radio button in a menu item is checked.
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the button. (Inherited from AbstractButton)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JRootPane Class

Description

Represents a root pane.

Inheritance Hierarchy

  • JComponent
    • JRootPane

Syntax

C#
public class JRootPane : JComponent
VB
'Declaration
Public Class JRootPane _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JScrollBar Class

Description

Represents a scroll bar.

Inheritance Hierarchy

  • JComponent
    • JScrollBar
      • JHorizontalScrollBar
      • JVerticalScrollBar

Syntax

C#
public class JScrollBar : JComponent, IAWTScroller
VB
'Declaration
Public Class JScrollBar _
Inherits JComponent _
Implements IAWTScroller

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
PageSize | the block increment value of the scroll bar. (Inherited from IAWTScroller)
Position | the current position of the scroll bar. (Inherited from IAWTScroller)
Range | the range value of the scroll bar. (Inherited from IAWTScroller)
StepSize | the unit increment value of the scroll bar. (Inherited from IAWTScroller)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
Page | Increments the current scroll position by specified number of pages. (Inherited from IAWTScroller)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
ScrollTo | Scrolls to the specified position. (Inherited from IAWTScroller)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Step | Increments the current scroll position by specified steps. (Inherited from IAWTScroller)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JScrollPane Class

Description

Represents a scroll pane which allows scrolling its content which may be larger than the pane itself.

Inheritance Hierarchy

  • JComponent
    • JScrollPane

Syntax

C#
public class JScrollPane : JComponent, IBaseScrollable
VB
'Declaration
Public Class JScrollPane _
Inherits JComponent _
Implements IBaseScrollable

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Position | the current scroll position of the scrollable component. (Inherited from IBaseScrollable)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Gets the horizontal scroll bar.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Gets the vertical scroll bar.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
ScrollTo | Scrolls to the specified position. (Inherited from IBaseScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JSlider Class

Description

Represents a slider control which can select a value within a range.

Inheritance Hierarchy

  • JComponent
    • JSlider

Syntax

C#
public class JSlider : JComponent
VB
'Declaration
Public Class JSlider _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Inverted | the value is true if the value-range shown for the slider is reversed.
Maximum | the maximum value supported by the slider.
Minimum | the minimum value supported by the slider.
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Position | the position of the slider.
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetPosition | Sets the current position of the slider.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JSpinner Class

Description

Represents a spinner control which can iterate a sequence of values.

Inheritance Hierarchy

  • JComponent
    • JSpinner

Syntax

C#
public class JSpinner : JComponent
VB
'Declaration
Public Class JSpinner _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Next | Sets the spinner to the object in the sequence that comes after the object returned by the Value property.
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Previous | Sets the spinner to the object in the sequence that comes before the object returned by the Value property.
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JSplitPane Class

Description

Represents a split pane control which divides two components horizontally or vertically.

Inheritance Hierarchy

  • JComponent
    • JSplitPane

Syntax

C#
public class JSplitPane : JComponent
VB
'Declaration
Public Class JSplitPane _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
DividerLocation | the current divider location.
DividerSize | the size of the divider.
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
MaximumDividerLocation | the maximum location of the divider.
MinimumDividerLocation | the minimum location of the divider.
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetPosition | Sets the position of the divider.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JTabbedPane Class

Description

Represents a tabbed pane.

Inheritance Hierarchy

  • JComponent
    • JTabbedPane

Syntax

C#
public class JTabbedPane : JComponent
VB
'Declaration
Public Class JTabbedPane _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedTab | the currently selected tab.
SelectedTabIndex | the index of the currently selected tab or -1 (4Test: 0) if no tab is selected.
TabCount | the number of tabs.
TabRunCount | the number of tab runs currently used to display the tabs.
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetTabIndex | Returns the tab index.
GetTabTitle | Returns the tab title.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
IsTabEnabled | Returns whether or not the tab is currently enabled.
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the specified tab.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JTable Class

Description

Represents a table control which has rows and columns.

Inheritance Hierarchy

  • JComponent
    • JTable

Syntax

C#
public class JTable : JComponent
VB
'Declaration
Public Class JTable _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
AllCellTexts | the text values of all cells in the table. The cells are grouped in rows, where each row contains the texts of its cells.
AllCellValues | the values of all cells in the table. The cells are grouped in rows, where each row contains the values of its cells.
Background | The background color of the component. (Inherited from AWTComponent)
ColumnCount | the number of columns in the table.
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
EditingColumn | the name or index of the column that contains the cell currently being edited.
EditingRow | the index of the row that contains the cell currently being edited.
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
RowCount | the number of rows that can be shown in the table.
SelectedColumn | the index or name of the selected column. -1 (4Test: 0) is returned if no column is selected.
SelectedColumns | the list of indices of all selected columns.
SelectedRow | the index of the selected row, -1 (4Test: 0) is returned if no row is selected.
SelectedRows | the list of indices of all selected rows.
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ClearSelection | Deselects all selected columns and rows.
Click | Clicks on the object. (Inherited from IClickable)
ClickCell | Clicks the specified cell in the table.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleClickCell | Double-clicks the specified cell in the table.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
FindCell | Returns the cell containing the specified text.
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetCellText | Returns the cell text.
GetCellValue | Returns the cell value.
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetColumnName | Returns the name of the column at the specified index.
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsCellEditable | Returns true if the specified cell is editable.
IsCellSelected | Returns true if the specified cell is selected; otherwise false.
IsColumnSelected | Returns true if the specified column is selected.
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
IsRowSelected | Returns true if the specified row is selected.
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MoveColumn | Moves the column to the position of the target column.
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ResizeColumn | Resizes the specified column.
ScrollCellIntoView | Scrolls the specified cell into view.
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SelectAll | Selects all rows, columns, and cells in the table.
SelectColumn | Selects the specified column.
SelectRow | Selects the specified row.
SetCellValue | Sets the specified value for the specified cell in the table.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JTableHeader Class

Description

Represents table header class for the table component.

Inheritance Hierarchy

  • JComponent
    • JTableHeader

Syntax

C#
public class JTableHeader : JComponent
VB
'Declaration
Public Class JTableHeader _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
ClickColumnHeader | Clicks the column header of the table.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JTextArea Class

Description

Represents a multiple-line area control that displays plain text.

Inheritance Hierarchy

  • JTextComponent
    • JTextArea

Syntax

C#
public class JTextArea : JTextComponent
VB
'Declaration
Public Class JTextArea _
Inherits JTextComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
CaretPosition | the position of the text insertion caret for the text component. (Inherited from JTextComponent)
Columns | the number of columns in the text area.
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Editable | whether the text of the text component can be changed by the user. (Inherited from JTextComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Rows | The number of rows in the text area.
SelectedText | the current selected text. (Inherited from JTextComponent)
SelectionEnd | the end position of the selection. (Inherited from JTextComponent)
SelectionStart | the start position of the selection. (Inherited from JTextComponent)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Clear | Removes all the text from text component. (Inherited from JTextComponent)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Insert | Inserts the specified text at the specified position.
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReplaceRange | Replaces text within the specified range with the new text specified.
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SelectAll | Selects all the content in the text component. (Inherited from JTextComponent)
SetCaretPosition | Sets the position of the text insertion caret for this text component. (Inherited from JTextComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetSelectionRange | Selects the text within the specified range. (Inherited from JTextComponent)
SetText | Sets the text content to the specified text. (Inherited from JTextComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JTextComponent Class

Description

Represents a text control that can be marked with attributes that are represented graphically.

Inheritance Hierarchy

  • JComponent
    • JTextComponent
      • JEditorPane
      • JTextArea
      • JTextField

Syntax

C#
public class JTextComponent : JComponent
VB
'Declaration
Public Class JTextComponent _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
CaretPosition | the position of the text insertion caret for the text component.
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Editable | whether the text of the text component can be changed by the user.
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedText | the current selected text.
SelectionEnd | the end position of the selection.
SelectionStart | the start position of the selection.
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Clear | Removes all the text from text component.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SelectAll | Selects all the content in the text component.
SetCaretPosition | Sets the position of the text insertion caret for this text component.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetSelectionRange | Selects the text within the specified range.
SetText | Sets the text content to the specified text.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JTextField Class

Description

Represents a single-line text field control whose text can be modified by the user.

Inheritance Hierarchy

  • JTextComponent
    • JTextField
      • JPasswordField

Syntax

C#
public class JTextField : JTextComponent
VB
'Declaration
Public Class JTextField _
Inherits JTextComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Alignment | the alignment of the text field.
Background | The background color of the component. (Inherited from AWTComponent)
CaretPosition | the position of the text insertion caret for the text component. (Inherited from JTextComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Editable | whether the text of the text component can be changed by the user. (Inherited from JTextComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedText | the current selected text. (Inherited from JTextComponent)
SelectionEnd | the end position of the selection. (Inherited from JTextComponent)
SelectionStart | the start position of the selection. (Inherited from JTextComponent)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Clear | Removes all the text from text component. (Inherited from JTextComponent)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SelectAll | Selects all the content in the text component. (Inherited from JTextComponent)
SetCaretPosition | Sets the position of the text insertion caret for this text component. (Inherited from JTextComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetSelectionRange | Selects the text within the specified range. (Inherited from JTextComponent)
SetText | Sets the text content to the specified text. (Inherited from JTextComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JTextPane Class

Description

Represents a text pane control that can be marked with attributes that are represented graphically.

Inheritance Hierarchy

  • JEditorPane
    • JTextPane

Syntax

C#
public class JTextPane : JEditorPane
VB
'Declaration
Public Class JTextPane _
Inherits JEditorPane

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
CaretPosition | the position of the text insertion caret for the text component. (Inherited from JTextComponent)
CharacterAttributes | the character attributes in effect at the location of the caret.
ContentType | the type of content that this editor is currently set to deal with. (Inherited from JEditorPane)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Editable | whether the text of the text component can be changed by the user. (Inherited from JTextComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
FormattedText | the text of the editor pane. (Inherited from JEditorPane)
Height | The current height of the component. (Inherited from AWTComponent)
LogicalStyle | the logical style assigned to the current paragraph in effect at the location of the caret.
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Page | the current URL being displayed. (Inherited from JEditorPane)
ParagraphAttributes | the attributes of the current paragraph in effect at the location of the caret.
SelectedText | the current selected text. (Inherited from JTextComponent)
SelectionEnd | the end position of the selection. (Inherited from JTextComponent)
SelectionStart | the start position of the selection. (Inherited from JTextComponent)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Clear | Removes all the text from text component. (Inherited from JTextComponent)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SelectAll | Selects all the content in the text component. (Inherited from JTextComponent)
SetCaretPosition | Sets the position of the text insertion caret for this text component. (Inherited from JTextComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetSelectionRange | Selects the text within the specified range. (Inherited from JTextComponent)
SetText | Sets the text content to the specified text. (Inherited from JTextComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JToggleButton Class

Description

Represents a two-state button.

Inheritance Hierarchy

  • AbstractButton
    • JToggleButton
      • JCheckBox
      • JRadioButton

Syntax

C#
public class JToggleButton : AbstractButton
VB
'Declaration
Public Class JToggleButton _
Inherits AbstractButton

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Selected | whether the toggle button is selected.
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the button. (Inherited from AbstractButton)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Toggle | Toggles the button.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JToolBar Class

Description

Represents a toolbar.

Inheritance Hierarchy

  • JComponent
    • JToolBar

Syntax

C#
public class JToolBar : JComponent
VB
'Declaration
Public Class JToolBar _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JTree Class

Description

Represents a tree.

Inheritance Hierarchy

  • JComponent
    • JTree

Syntax

C#
public class JTree : JComponent
VB
'Declaration
Public Class JTree _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
IsEditable | whether the tree is editable.
IsEditing | whether the tree is being edited.
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedItemPath | the selected item path.
SelectedItemPaths | the list of selected item paths.
SelectedItemText | the selected item text.
SelectionCount | the number of tree nodes selected.
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
VisibleItemPaths | the visible items in the tree as item paths.
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CancelEditing | Cancels the current editing session.
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ClearSelection | Clears the selection.
Click | Clicks on the object. (Inherited from IClickable)
ClickNode | Clicks on a tree node specified by the item path.
Collapse | Collapses the tree node identified by the specified item path.
CollapseAll | Collapses all tree nodes.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleClickNode | Double-clicks on a tree node specified by the item path.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Expand | Expands the tree node identified by the specified item path.
ExpandAll | Expands all tree nodes.
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetItemRect | Returns the size and position of the item relative to the tree.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsExpanded | Returns 'true' if the specified item path is expanded.
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
IsPathEditable | whether an item path is editable.
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
ScrollPathIntoView | Scrolls the given item path to a visible position.
Select | Selects a tree node identified by the specified item path.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
StartEditing | Starts editing at given item path or current selection.
StopEditing | Stops the current editing session.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JVerticalScrollBar Class

Description

Represents a vertical scroll bar.

Inheritance Hierarchy

  • JScrollBar
    • JVerticalScrollBar

Syntax

C#
public class JVerticalScrollBar : JScrollBar
VB
'Declaration
Public Class JVerticalScrollBar _
Inherits JScrollBar

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
PageSize | the block increment value of the scroll bar. (Inherited from IAWTScroller)
Position | the current position of the scroll bar. (Inherited from IAWTScroller)
Range | the range value of the scroll bar. (Inherited from IAWTScroller)
StepSize | the unit increment value of the scroll bar. (Inherited from IAWTScroller)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
Page | Increments the current scroll position by specified number of pages. (Inherited from IAWTScroller)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
ScrollTo | Scrolls to the specified position. (Inherited from IAWTScroller)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Step | Increments the current scroll position by specified steps. (Inherited from IAWTScroller)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JViewport Class

Description

Represents the Swing viewport.

Inheritance Hierarchy

  • JComponent
    • JViewport

Syntax

C#
public class JViewport : JComponent
VB
'Declaration
Public Class JViewport _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
ViewRectangle | the visible part of the view, in view coordinates.
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JWindow Class

Description

Represents a container that can be displayed anywhere on the user's desktop.

Inheritance Hierarchy

  • AWTWindow
    • JWindow

Syntax

C#
public class JWindow : AWTWindow
VB
'Declaration
Public Class JWindow _
Inherits AWTWindow

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored (Inherited from IMoveable)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the window. (Inherited from IMoveable)
CloseSynchron | Closes the window and waits until the window is closed. (Inherited from IMoveable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open. (Inherited from IMoveable)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFocus | Returns the object with the input focus. (Inherited from IMoveable)
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window. (Inherited from IMoveable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsActive | Returns whether the window is set to active. (Inherited from IMoveable)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
Maximize | Maximizes the window. (Inherited from IMoveable)
Minimize | Reduces the window to an icon. (Inherited from IMoveable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the window. (Inherited from IMoveable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Restore | Restores the window to its previous size. (Inherited from IMoveable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetActive | Makes the window active. (Inherited from IMoveable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Size | Resizes the window. (Inherited from IMoveable)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsApplication Class

Description

Represents an Oracle Forms application.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsApplication

Syntax

C#
public class OracleFormsApplication : OracleFormsContainer
VB
'Declaration
Public Class OracleFormsApplication _
Inherits OracleFormsContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SplashScreenRunning | whether the application currently displays a splash screen.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsButton Class

Description

Represents a push button.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsButton

Syntax

C#
public class OracleFormsButton : OracleFormsContainer
VB
'Declaration
Public Class OracleFormsButton _
Inherits OracleFormsContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Default | Whether the button is the default button.
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the button.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsCheckbox Class

Description

Represents a check box.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsCheckbox

Syntax

C#
public class OracleFormsCheckbox : OracleFormsContainer
VB
'Declaration
Public Class OracleFormsCheckbox _
Inherits OracleFormsContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Checked | whether the check box is checked.
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks the check box.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks the check box.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsChoice Class

Description

Represents a choice.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsChoice
      • OracleFormsComboBox
      • OracleFormsListBox
      • OracleFormsPopList

Syntax

C#
public class OracleFormsChoice : OracleFormsContainer
VB
'Declaration
Public Class OracleFormsChoice _
Inherits OracleFormsContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
ItemCount | the number of items in the choice.
Items | the list of choice items.
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedIndex | the index of the selected item. -1 (4Test: 0) is returned, if no item is currently selected.
SelectedItem | the selected item.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetItemText | Returns the item at the specified index.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the specified item in the choice.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsComboBox Class

Description

Represents a combo box.

Inheritance Hierarchy

  • OracleFormsChoice
    • OracleFormsComboBox

Syntax

C#
public class OracleFormsComboBox : OracleFormsChoice
VB
'Declaration
Public Class OracleFormsComboBox _
Inherits OracleFormsChoice

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
DropDownOpen | whether the drop down is currently open.
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
ItemCount | the number of items in the choice. (Inherited from OracleFormsChoice)
Items | the list of choice items. (Inherited from OracleFormsChoice)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedIndex | the index of the selected item. -1 (4Test: 0) is returned, if no item is currently selected. (Inherited from OracleFormsChoice)
SelectedItem | the selected item. (Inherited from OracleFormsChoice)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetItemText | Returns the item at the specified index. (Inherited from OracleFormsChoice)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the specified item in the choice. (Inherited from OracleFormsChoice)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetText | Sets the text of the combo box to the specified text.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsContainer Class

Description

Represents a component that can contain other Oracle Forms components.

Inheritance Hierarchy

  • AWTContainer
    • OracleFormsContainer
      • OracleFormsApplication
      • OracleFormsButton
      • OracleFormsCheckbox
      • OracleFormsChoice
      • OracleFormsLabel
      • OracleFormsListView
      • OracleFormsMenu
      • OracleFormsMenuItem
      • OracleFormsRadioButton
      • OracleFormsScrollbar
      • OracleFormsStatusArea
      • OracleFormsStatusBar
      • OracleFormsStatusBarItem
      • OracleFormsStatusIndicator
      • OracleFormsTabBar
      • OracleFormsTabBarItem
      • OracleFormsTabPanel
      • OracleFormsTextField
      • OracleFormsTitleBar
      • OracleFormsToolBar
      • OracleFormsToolBarItem
      • OracleFormsTree

Syntax

C#
public class OracleFormsContainer : AWTContainer
VB
'Declaration
Public Class OracleFormsContainer _
Inherits AWTContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsHorizontalScrollbar Class

Description

Represents a horizontal scroll bar.

Inheritance Hierarchy

  • OracleFormsScrollbar
    • OracleFormsHorizontalScrollbar

Syntax

C#
public class OracleFormsHorizontalScrollbar : OracleFormsScrollbar
VB
'Declaration
Public Class OracleFormsHorizontalScrollbar _
Inherits OracleFormsScrollbar

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
PageSize | the block increment value of the scroll bar. (Inherited from IOracleFormsScroller)
Position | the current position of the scroll bar. (Inherited from IOracleFormsScroller)
Range | the range value of the scroll bar. (Inherited from IOracleFormsScroller)
StepSize | the unit increment value of the scroll bar. (Inherited from IOracleFormsScroller)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
Page | Increments the current scroll position by specified number of pages. (Inherited from IOracleFormsScroller)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
ScrollTo | Scrolls to the specified position. (Inherited from IOracleFormsScroller)
ScrollToMax | Scrolls to the maximum position of the scroller. (Inherited from IOracleFormsScroller)
ScrollToMin | Scrolls to the minimum position of the scroller. (Inherited from IOracleFormsScroller)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Step | Increments the current scroll position by specified steps. (Inherited from IOracleFormsScroller)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsLabel Class

Description

Represents a class for placing text in a container.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsLabel

Syntax

C#
public class OracleFormsLabel : OracleFormsContainer
VB
'Declaration
Public Class OracleFormsLabel _
Inherits OracleFormsContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsListBox Class

Description

Represents a ListBox.

Inheritance Hierarchy

  • OracleFormsChoice
    • OracleFormsListBox

Syntax

C#
public class OracleFormsListBox : OracleFormsChoice, IOracleFormsScrollable
VB
'Declaration
Public Class OracleFormsListBox _
Inherits OracleFormsChoice _
Implements IOracleFormsScrollable

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
HorizontalScrollbarPageSize | the block increment value of the scroll bar. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarPosition | the current position of the scroll bar. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarRange | the range value of the scroll bar. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarStepSize | the unit increment value of the scroll bar. (Inherited from IOracleFormsScrollable)
ItemCount | the number of items in the choice. (Inherited from OracleFormsChoice)
Items | the list of choice items. (Inherited from OracleFormsChoice)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedIndex | the index of the selected item. -1 (4Test: 0) is returned, if no item is currently selected. (Inherited from OracleFormsChoice)
SelectedItem | the selected item. (Inherited from OracleFormsChoice)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
VerticalScrollbarPageSize | the block increment value of the scroll bar. (Inherited from IOracleFormsScrollable)
VerticalScrollbarPosition | the current position of the scroll bar. (Inherited from IOracleFormsScrollable)
VerticalScrollbarRange | the range value of the scroll bar. (Inherited from IOracleFormsScrollable)
VerticalScrollbarStepSize | the unit increment value of the scroll bar. (Inherited from IOracleFormsScrollable)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
ClickItem | Clicks the specified list item.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleClickItem | Double-clicks a list item.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalScrollbar | Gets the horizontal scroll bar. (Inherited from IOracleFormsScrollable)
GetItemText | Returns the item at the specified index. (Inherited from OracleFormsChoice)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalScrollbar | Gets the vertical scroll bar. (Inherited from IOracleFormsScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
HorizontalScrollbarPage | Increments the current scroll position by specified number of pages. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarScrollTo | Scrolls to the specified position. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarScrollToMax | Scrolls to the maximum position of the scroller. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarScrollToMin | Scrolls to the minimum position of the scroller. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarStep | Increments the current scroll position by specified steps. (Inherited from IOracleFormsScrollable)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the specified item in the choice. (Inherited from OracleFormsChoice)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
VerticalScrollbarPage | Increments the current scroll position by specified number of pages. (Inherited from IOracleFormsScrollable)
VerticalScrollbarScrollTo | Scrolls to the specified position. (Inherited from IOracleFormsScrollable)
VerticalScrollbarScrollToMax | Scrolls to the maximum position of the scroller. (Inherited from IOracleFormsScrollable)
VerticalScrollbarScrollToMin | Scrolls to the minimum position of the scroller. (Inherited from IOracleFormsScrollable)
VerticalScrollbarStep | Increments the current scroll position by specified steps. (Inherited from IOracleFormsScrollable)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsListView Class

Description

Represents a listview.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsListView

Syntax

C#
public class OracleFormsListView : OracleFormsContainer, IOracleFormsScrollable
VB
'Declaration
Public Class OracleFormsListView _
Inherits OracleFormsContainer _
Implements IOracleFormsScrollable

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
AllCellTexts | the text values of all cells in the listview. The cells are grouped in rows, where each row contains the texts of its cells.
Background | The background color of the component. (Inherited from AWTComponent)
ColumnCount | the number of columns in the listview.
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
FocusedRow | the index of the focused row, -1 (4Test: 0) is returned if no row is focused.
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
HorizontalScrollbarPageSize | the block increment value of the scroll bar. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarPosition | the current position of the scroll bar. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarRange | the range value of the scroll bar. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarStepSize | the unit increment value of the scroll bar. (Inherited from IOracleFormsScrollable)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
RowCount | the number of rows in the listview.
SelectedRow | the index of the selected row, -1 (4Test: 0) is returned if no row is selected.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
VerticalScrollbarPageSize | the block increment value of the scroll bar. (Inherited from IOracleFormsScrollable)
VerticalScrollbarPosition | the current position of the scroll bar. (Inherited from IOracleFormsScrollable)
VerticalScrollbarRange | the range value of the scroll bar. (Inherited from IOracleFormsScrollable)
VerticalScrollbarStepSize | the unit increment value of the scroll bar. (Inherited from IOracleFormsScrollable)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ClearSelection | Clears the selection.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetCellText | Returns the cell text.
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetColumnName | Returns the name of the column at the specified index.
GetColumnWidth | Returns the width of the specified column.
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalScrollbar | Gets the horizontal scroll bar. (Inherited from IOracleFormsScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalScrollbar | Gets the vertical scroll bar. (Inherited from IOracleFormsScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
HorizontalScrollbarPage | Increments the current scroll position by specified number of pages. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarScrollTo | Scrolls to the specified position. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarScrollToMax | Scrolls to the maximum position of the scroller. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarScrollToMin | Scrolls to the minimum position of the scroller. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarStep | Increments the current scroll position by specified steps. (Inherited from IOracleFormsScrollable)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
IsRowVisible | Returns whether the specified row is visible.
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
ScrollToRow | Scrolls to the specified row.
SelectRow | Selects the specified row.
SetColumnWidth | Sets the width of the specified column.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
VerticalScrollbarPage | Increments the current scroll position by specified number of pages. (Inherited from IOracleFormsScrollable)
VerticalScrollbarScrollTo | Scrolls to the specified position. (Inherited from IOracleFormsScrollable)
VerticalScrollbarScrollToMax | Scrolls to the maximum position of the scroller. (Inherited from IOracleFormsScrollable)
VerticalScrollbarScrollToMin | Scrolls to the minimum position of the scroller. (Inherited from IOracleFormsScrollable)
VerticalScrollbarStep | Increments the current scroll position by specified steps. (Inherited from IOracleFormsScrollable)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsMenu Class

Description

Represents a top-level menu.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsMenu
      • OracleFormsPopupMenu

Syntax

C#
public class OracleFormsMenu : OracleFormsContainer, IOracleFormsMenuBase
VB
'Declaration
Public Class OracleFormsMenu _
Inherits OracleFormsContainer _
Implements IOracleFormsMenuBase

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Checked | Whether the MenuItem is checked. (Inherited from IOracleFormsMenuBase)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks a menu item
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsChecked | a value that indicates whether the MenuItem is checked.
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects a menu item
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks a menu item
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsMenuItem Class

Description

Represents a selectable item inside a Menu.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsMenuItem

Syntax

C#
public class OracleFormsMenuItem : OracleFormsContainer, IOracleFormsMenuBase
VB
'Declaration
Public Class OracleFormsMenuItem _
Inherits OracleFormsContainer _
Implements IOracleFormsMenuBase

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Checked | Whether the MenuItem is checked. (Inherited from IOracleFormsMenuBase)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks a menu item
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects a menu item
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks a menu item
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsPopList Class

Description

Represents a PopList.

Inheritance Hierarchy

  • OracleFormsChoice
    • OracleFormsPopList

Syntax

C#
public class OracleFormsPopList : OracleFormsChoice
VB
'Declaration
Public Class OracleFormsPopList _
Inherits OracleFormsChoice

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
DropDownOpen | whether the drop down is currently open.
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
ItemCount | the number of items in the choice. (Inherited from OracleFormsChoice)
Items | the list of choice items. (Inherited from OracleFormsChoice)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedIndex | the index of the selected item. -1 (4Test: 0) is returned, if no item is currently selected. (Inherited from OracleFormsChoice)
SelectedItem | the selected item. (Inherited from OracleFormsChoice)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetItemText | Returns the item at the specified index. (Inherited from OracleFormsChoice)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the specified item in the choice. (Inherited from OracleFormsChoice)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsPopupMenu Class

Description

Represents a context menu.

Inheritance Hierarchy

  • OracleFormsMenu
    • OracleFormsPopupMenu

Syntax

C#
public class OracleFormsPopupMenu : OracleFormsMenu
VB
'Declaration
Public Class OracleFormsPopupMenu _
Inherits OracleFormsMenu

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Checked | Whether the MenuItem is checked. (Inherited from IOracleFormsMenuBase)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks a menu item (Inherited from OracleFormsMenu)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsChecked | a value that indicates whether the MenuItem is checked. (Inherited from OracleFormsMenu)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects a menu item (Inherited from OracleFormsMenu)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks a menu item (Inherited from OracleFormsMenu)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsRadioButton Class

Description

Represents a radio button.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsRadioButton

Syntax

C#
public class OracleFormsRadioButton : OracleFormsContainer
VB
'Declaration
Public Class OracleFormsRadioButton _
Inherits OracleFormsContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Checked | Whether the radio button is checked.
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks the radio button.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsScrollbar Class

Description

Represents a scroll bar.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsScrollbar
      • OracleFormsHorizontalScrollbar
      • OracleFormsVerticalScrollbar

Syntax

C#
public class OracleFormsScrollbar : OracleFormsContainer, IOracleFormsScroller
VB
'Declaration
Public Class OracleFormsScrollbar _
Inherits OracleFormsContainer _
Implements IOracleFormsScroller

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
PageSize | the block increment value of the scroll bar. (Inherited from IOracleFormsScroller)
Position | the current position of the scroll bar. (Inherited from IOracleFormsScroller)
Range | the range value of the scroll bar. (Inherited from IOracleFormsScroller)
StepSize | the unit increment value of the scroll bar. (Inherited from IOracleFormsScroller)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
Page | Increments the current scroll position by specified number of pages. (Inherited from IOracleFormsScroller)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
ScrollTo | Scrolls to the specified position. (Inherited from IOracleFormsScroller)
ScrollToMax | Scrolls to the maximum position of the scroller. (Inherited from IOracleFormsScroller)
ScrollToMin | Scrolls to the minimum position of the scroller. (Inherited from IOracleFormsScroller)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Step | Increments the current scroll position by specified steps. (Inherited from IOracleFormsScroller)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsStatusArea Class

Description

Represents the area containing status information.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsStatusArea

Syntax

C#
public class OracleFormsStatusArea : OracleFormsContainer
VB
'Declaration
Public Class OracleFormsStatusArea _
Inherits OracleFormsContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsStatusBar Class

Description

Represents a status bar.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsStatusBar

Syntax

C#
public class OracleFormsStatusBar : OracleFormsContainer
VB
'Declaration
Public Class OracleFormsStatusBar _
Inherits OracleFormsContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsStatusBarItem Class

Description

Represents an item within a status bar.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsStatusBarItem

Syntax

C#
public class OracleFormsStatusBarItem : OracleFormsContainer
VB
'Declaration
Public Class OracleFormsStatusBarItem _
Inherits OracleFormsContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsStatusIndicator Class

Description

Represents a status indicator.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsStatusIndicator

Syntax

C#
public class OracleFormsStatusIndicator : OracleFormsContainer
VB
'Declaration
Public Class OracleFormsStatusIndicator _
Inherits OracleFormsContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsTabBar Class

Description

Represents a tab bar.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsTabBar

Syntax

C#
public class OracleFormsTabBar : OracleFormsContainer
VB
'Declaration
Public Class OracleFormsTabBar _
Inherits OracleFormsContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedTab | the currently selected tab.
TabCount | the number of tabs.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetTabIndex | Returns the tab index.
GetTabTitle | Returns the tab title.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
IsTabEnabled | Returns whether or not the tab is currently enabled.
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the specified tab.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsTabBarItem Class

Description

Represents a tab bar item.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsTabBarItem

Syntax

C#
public class OracleFormsTabBarItem : OracleFormsContainer
VB
'Declaration
Public Class OracleFormsTabBarItem _
Inherits OracleFormsContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the tab.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsTabPanel Class

Description

Represents a container class for components.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsTabPanel

Syntax

C#
public class OracleFormsTabPanel : OracleFormsContainer
VB
'Declaration
Public Class OracleFormsTabPanel _
Inherits OracleFormsContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsTextField Class

Description

Represents an Oracle Forms text field.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsTextField

Syntax

C#
public class OracleFormsTextField : OracleFormsContainer, IOracleFormsScrollable
VB
'Declaration
Public Class OracleFormsTextField _
Inherits OracleFormsContainer _
Implements IOracleFormsScrollable

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
CaretPosition | the position of the text insertion caret for the text field.
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Editable | whether the text of the text field can be changed by the user.
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
HorizontalScrollbarPageSize | the block increment value of the scroll bar. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarPosition | the current position of the scroll bar. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarRange | the range value of the scroll bar. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarStepSize | the unit increment value of the scroll bar. (Inherited from IOracleFormsScrollable)
IsPassword | whether the text field is a password text field.
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
PasswordChar | the character that is displayed instead of the characters that are actually typed, if the text field is a password text field.
SelectedText | the current selected text.
SelectionEnd | the end position of the selected text.
SelectionStart | the start position of the selected text.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
VerticalScrollbarPageSize | the block increment value of the scroll bar. (Inherited from IOracleFormsScrollable)
VerticalScrollbarPosition | the current position of the scroll bar. (Inherited from IOracleFormsScrollable)
VerticalScrollbarRange | the range value of the scroll bar. (Inherited from IOracleFormsScrollable)
VerticalScrollbarStepSize | the unit increment value of the scroll bar. (Inherited from IOracleFormsScrollable)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Clear | Removes all the text from the text field.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalScrollbar | Gets the horizontal scroll bar. (Inherited from IOracleFormsScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalScrollbar | Gets the vertical scroll bar. (Inherited from IOracleFormsScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
HorizontalScrollbarPage | Increments the current scroll position by specified number of pages. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarScrollTo | Scrolls to the specified position. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarScrollToMax | Scrolls to the maximum position of the scroller. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarScrollToMin | Scrolls to the minimum position of the scroller. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarStep | Increments the current scroll position by specified steps. (Inherited from IOracleFormsScrollable)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SelectAll | Selects all the text in the text field.
SetCaretPosition | Sets the position of the text insertion caret for this text field.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetSelectionRange | Selects the text within the specified range.
SetText | Sets the text of the text field to the specified text.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
VerticalScrollbarPage | Increments the current scroll position by specified number of pages. (Inherited from IOracleFormsScrollable)
VerticalScrollbarScrollTo | Scrolls to the specified position. (Inherited from IOracleFormsScrollable)
VerticalScrollbarScrollToMax | Scrolls to the maximum position of the scroller. (Inherited from IOracleFormsScrollable)
VerticalScrollbarScrollToMin | Scrolls to the minimum position of the scroller. (Inherited from IOracleFormsScrollable)
VerticalScrollbarStep | Increments the current scroll position by specified steps. (Inherited from IOracleFormsScrollable)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsTitleBar Class

Description

Represents a title bar.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsTitleBar

Syntax

C#
public class OracleFormsTitleBar : OracleFormsContainer
VB
'Declaration
Public Class OracleFormsTitleBar _
Inherits OracleFormsContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsToolBar Class

Description

Represents a toolbar.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsToolBar

Syntax

C#
public class OracleFormsToolBar : OracleFormsContainer
VB
'Declaration
Public Class OracleFormsToolBar _
Inherits OracleFormsContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsToolBarItem Class

Description

Represents an element in a toolbar.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsToolBarItem

Syntax

C#
public class OracleFormsToolBarItem : OracleFormsContainer
VB
'Declaration
Public Class OracleFormsToolBarItem _
Inherits OracleFormsContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the element.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsTree Class

Description

Represents a tree.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsTree

Syntax

C#
public class OracleFormsTree : OracleFormsContainer, IOracleFormsScrollable
VB
'Declaration
Public Class OracleFormsTree _
Inherits OracleFormsContainer _
Implements IOracleFormsScrollable

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
HorizontalScrollbarPageSize | the block increment value of the scroll bar. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarPosition | the current position of the scroll bar. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarRange | the range value of the scroll bar. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarStepSize | the unit increment value of the scroll bar. (Inherited from IOracleFormsScrollable)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedItemPath | the list of selected item path.
SelectedItemText | the selected item text.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
VerticalScrollbarPageSize | the block increment value of the scroll bar. (Inherited from IOracleFormsScrollable)
VerticalScrollbarPosition | the current position of the scroll bar. (Inherited from IOracleFormsScrollable)
VerticalScrollbarRange | the range value of the scroll bar. (Inherited from IOracleFormsScrollable)
VerticalScrollbarStepSize | the unit increment value of the scroll bar. (Inherited from IOracleFormsScrollable)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
ClickItem | Clicks on a tree node specified by the item path.
Collapse | Collapses the tree node identified by the specified item path.
CollapseAll | Collapses all tree nodes.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleClickItem | Double-clicks on a tree node specified by the item path.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Expand | Expands the tree node identified by the specified item path.
ExpandAll | Expands all tree nodes.
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalScrollbar | Gets the horizontal scroll bar. (Inherited from IOracleFormsScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalScrollbar | Gets the vertical scroll bar. (Inherited from IOracleFormsScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
HorizontalScrollbarPage | Increments the current scroll position by specified number of pages. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarScrollTo | Scrolls to the specified position. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarScrollToMax | Scrolls to the maximum position of the scroller. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarScrollToMin | Scrolls to the minimum position of the scroller. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarStep | Increments the current scroll position by specified steps. (Inherited from IOracleFormsScrollable)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsExpanded | Returns 'true' if the specified item path is expanded.
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
IsVisible | Returns 'true' if the specified item path is visible.
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
ScrollItemIntoView | Scrolls the given item path to a visible position.
Select | Selects a tree node identified by the specified item path.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
VerticalScrollbarPage | Increments the current scroll position by specified number of pages. (Inherited from IOracleFormsScrollable)
VerticalScrollbarScrollTo | Scrolls to the specified position. (Inherited from IOracleFormsScrollable)
VerticalScrollbarScrollToMax | Scrolls to the maximum position of the scroller. (Inherited from IOracleFormsScrollable)
VerticalScrollbarScrollToMin | Scrolls to the minimum position of the scroller. (Inherited from IOracleFormsScrollable)
VerticalScrollbarStep | Increments the current scroll position by specified steps. (Inherited from IOracleFormsScrollable)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsVerticalScrollbar Class

Description

Represents a vertical scroll bar.

Inheritance Hierarchy

  • OracleFormsScrollbar
    • OracleFormsVerticalScrollbar

Syntax

C#
public class OracleFormsVerticalScrollbar : OracleFormsScrollbar
VB
'Declaration
Public Class OracleFormsVerticalScrollbar _
Inherits OracleFormsScrollbar

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
PageSize | the block increment value of the scroll bar. (Inherited from IOracleFormsScroller)
Position | the current position of the scroll bar. (Inherited from IOracleFormsScroller)
Range | the range value of the scroll bar. (Inherited from IOracleFormsScroller)
StepSize | the unit increment value of the scroll bar. (Inherited from IOracleFormsScroller)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
Page | Increments the current scroll position by specified number of pages. (Inherited from IOracleFormsScroller)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
ScrollTo | Scrolls to the specified position. (Inherited from IOracleFormsScroller)
ScrollToMax | Scrolls to the maximum position of the scroller. (Inherited from IOracleFormsScroller)
ScrollToMin | Scrolls to the minimum position of the scroller. (Inherited from IOracleFormsScroller)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Step | Increments the current scroll position by specified steps. (Inherited from IOracleFormsScroller)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


SplitPaneDivider Class

Description

Represents a split pane divider.

Inheritance Hierarchy

  • AWTContainer
    • SplitPaneDivider

Syntax

C#
public class SplitPaneDivider : AWTContainer
VB
'Declaration
Public Class SplitPaneDivider _
Inherits AWTContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


Win32 Class Reference

Lists the available classes for testing Windows API-based controls.

  • AccessibleControl Class
    The class controls identified by the Accessibility extension.
  • Header Class
    The class for list header controls. Headers are most commonly used in controls of the ListViewW32 class.
  • ListView Class
    The class for elaborated list controls that support multiple ways of viewing a list of nonhierarchical data. These views include large and small rearrangable icons and a detail (or report) view.
  • MonthCalendar Class
    The class that selects the calendar date and time.
  • Pager Class
    The class for tabbed, multi-page dialogs and for button bars. On Windows, this class corresponds to the TabControl control. On Windows, Silk Test only supports major tabs; it does not support minor tabs (also called 'subpages' or 'child pages').
  • ProgressBar Class
    The class for progress bar controls. A progress bar displays a progress.
  • StatusBar Class
    The class for status bar controls. A status bar is a container for a set of text labels that change dynamically.
  • UpDown Class
    The class for up/down controls.
Parent topic: Silk4NET 言語リファレンス
Related reference
Win32 クラス リファレンス


AccessibleControl Class

Description

The class controls identified by the Accessibility extension.

Inheritance Hierarchy

  • BaseGuiTestObject
    • AccessibleControl

Syntax

C#
public class AccessibleControl : BaseGuiTestObject
VB
'Declaration
Public Class AccessibleControl _
Inherits BaseGuiTestObject

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Description | The description text of the accessible object.
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Role | The role of this accessible object.
State | The state string that describes the different states of this accessible object.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoDefaultAction | Executes the default action of the underlying accessible control supports a default action.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Win32 Class Reference


Header Class

Description

The class for list header controls. Headers are most commonly used in controls of the ListViewW32 class.

Inheritance Hierarchy

  • Control
    • Header

Syntax

C#
public class Header : Control
VB
'Declaration
Public Class Header _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
ColumnCount | The number of columns in the header.
ColumnOrder | The header's item indices as they are currently ordered.
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DividerDoubleSelect | Double-clicks the divider on the right side of the specified item.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleSelect | Double-clicks an item.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetColumnTitle | Returns the title of a specified header item.
GetColumnWidth | Returns the width of a specified column.
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Resize | Resizes an item of the header.
Select | Selects an item or button.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Win32 Class Reference


ListView Class

Description

The class for elaborated list controls that support multiple ways of viewing a list of nonhierarchical data. These views include large and small rearrangable icons and a detail (or report) view.

Inheritance Hierarchy

  • Control
    • ListView

Syntax

C#
public class ListView : Control
VB
'Declaration
Public Class ListView _
Inherits Control

Properties

Name | Description
AllowsCheck | Whether this list view supports checking items.
AllowsMultiSelect | Whether the list view supports selecting multiple items.
Background | The background color of the GUI object. (Inherited from GuiTestObject)
CheckedIndices | A list containing the indices of the checked items.
CheckedItems | A list containing the checked items.
ColumnCount | The number of columns per item.
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
ItemCount | The number of items contained in the list view.
Items | A list containing all items of the listview.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedIndices | A list containing the indices of the selected items.
SelectedItems | A list containing the selected items.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks an item.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleSelect | Double-clicks an item.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
ExtendSelect | Selects a range of items by extending the selection in the extend-selection listview.
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetContents | Returns the contents of a listview control. Each returned item is delimited by a semicolon. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetItemImageIndex | Returns the index into the image list of a list view that contains icons. This allows to verify that the correct image is used for an item.
GetItemIndex | Returns the index of the list view item or -1 if is not found.
GetItemRect | Returns rectangle of the item. If getIconRect is set then the rectangle of the icon of the item will be returned otherwise the rectangle of the item text is returned. If a columnIndex is specified the rectangle of this column is returned.
GetItemText | Returns the text of an item.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MultiSelect | Adds an item in the list to the set of currently selected items.
MultiUnselect | Removes an item in the list from the set of selected items.
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects an item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetItemFocus | Gives focus to the item in the list.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks an item.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Win32 Class Reference


MonthCalendar Class

Description

The class that selects the calendar date and time.

Inheritance Hierarchy

  • Control
    • MonthCalendar

Syntax

C#
public class MonthCalendar : Control
VB
'Declaration
Public Class MonthCalendar _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
ExtendSelect | Selects a range of dates and times.
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
OpenMonthMenu | Opens a calendar menu to a specific month.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects a date and time.
SelectNextMonth | Selects the next month.
SelectPreviousMonth | Selects the previous month.
SelectToday | Selects the date for today.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Win32 Class Reference


Pager Class

Description

The class for tabbed, multi-page dialogs and for button bars. On Windows, this class corresponds to the TabControl control. On Windows, Silk Test only supports major tabs; it does not support minor tabs (also called 'subpages' or 'child pages').

Inheritance Hierarchy

  • Control
    • Pager

Syntax

C#
public class Pager : Control
VB
'Declaration
Public Class Pager _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
Horizontal | Whether the up/down control is horizontal.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollDown | Moves the scroll bar down.
ScrollUp | Moves the scroll bar up.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Win32 Class Reference


ProgressBar Class

Description

The class for progress bar controls. A progress bar displays a progress.

Inheritance Hierarchy

  • Control
    • ProgressBar

Syntax

C#
public class ProgressBar : Control
VB
'Declaration
Public Class ProgressBar _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Position | The current position.
Range | The range of the progress bar control.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Win32 Class Reference


StatusBar Class

Description

The class for status bar controls. A status bar is a container for a set of text labels that change dynamically.

Inheritance Hierarchy

  • Control
    • StatusBar

Syntax

C#
public class StatusBar : Control
VB
'Declaration
Public Class StatusBar _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Win32 Class Reference


UpDown Class

Description

The class for up/down controls.

Inheritance Hierarchy

  • Control
    • UpDown
      • NumericUpDown

Syntax

C#
public class UpDown : Control
VB
'Declaration
Public Class UpDown _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
Horizontal | Whether the up/down control is horizontal.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Position | The position for the up/down control.
Range | The range of the up/down control.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)
WrapAround | Whether values are wrapped if smaller than minimum or larger than maximum.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Decrement | Decreases the position value of the up/down control.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Increment | Increases the position value of the up/down control.
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Win32 Class Reference


Windows Forms Class Reference

Lists the available classes for testing Windows Forms controls.

  • CheckedListBox Class
    CheckedListBox represents list boxes that contain a check box.
  • DataGrid Class
    The class for datagrids and data grid view.
  • DataGridColumn Class
    The class for columns in a table.
  • DataGridItem Class
    The class for datagrids and data grid view rows.
  • DataGridRow Class
    The class for rows in a table.
  • DomainUpDown Class
    The class for up/down controls.
  • ElementHost Class
    A Windows Forms control that can be used to host a Windows Presentation Foundation (WPF) element.
  • FormsHost Class
    An element that allows you to host a Windows Forms control on a WPF page.
  • FormsWindow Class
    FormsWindow is the class that represents the top-level window of a Windows Forms application.
  • MenuStrip Class
    MenuStrip is the class that creates a new menu strip for a Windows Forms application.
  • NumericUpDown Class
    The class for numeric up/down controls.
Parent topic: Silk4NET 言語リファレンス
Related reference
Windows Forms クラス リファレンス


CheckedListBox Class

Description

CheckedListBox represents list boxes that contain a check box.

Inheritance Hierarchy

  • ListBox
    • CheckedListBox

Syntax

C#
public class CheckedListBox : ListBox
VB
'Declaration
Public Class CheckedListBox _
Inherits ListBox

Properties

Name | Description
AllowsMultiSelect | Whether the control supports selecting multiple items. (Inherited from ListBox)
Background | The background color of the GUI object. (Inherited from GuiTestObject)
CheckedIndices | The indices of the checked item(s).
CheckedItems | The names of the checked item(s).
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
ItemCount | The number of items in the list box. (Inherited from ListBox)
Items | A list of items in the list box. (Inherited from ListBox)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedIndex | The index of the first selected item. (Inherited from ListBox)
SelectedIndices | The indices of the selected item(s). (Inherited from ListBox)
SelectedItem | The name of the first selected item. (Inherited from ListBox)
SelectedItems | The names of the selected item(s). (Inherited from ListBox)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Selects an item from the checked list box.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleSelect | Double-clicks an item in the list box. (Inherited from ListBox)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
ExtendSelect | Selects a range of items by extending the selection in the list box. (Inherited from ListBox)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MultiSelect | Selects an item in the multi- or extend-selection list box. (Inherited from ListBox)
MultiUnselect | Unselects an item in the multi- or extend-selection list box. (Inherited from ListBox)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects an item from the list box. (Inherited from ListBox)
SelectRange | Selects a range of items in the extend-selection list box. (Inherited from ListBox)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Selects an item from the checked list box.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Windows Forms Class Reference


DataGrid Class

Description

The class for datagrids and data grid view.

Inheritance Hierarchy

  • Control
    • DataGrid

Syntax

C#
public class DataGrid : Control
VB
'Declaration
Public Class DataGrid _
Inherits Control

Properties

Name | Description
AllowsMultiSelect | Whether the table supports selecting multiple items.
Background | The background color of the GUI object. (Inherited from GuiTestObject)
ColumnCount | The number of columns in the DataGrid.
ColumnItems | A list of all items in the column.
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
Items | A list of all items in the column.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
RowCount | The number of rows in the DataGrid.
RowItems | A list of all items in the row.
SelectedItems | The selected item(s).
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleSelectItem | Double-clicks an item.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
ExtendSelectItem | Expands the selection to the given item.
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MultiSelectItem | Adds a row from the table to the set of selected rows.
MultiUnselectItem | Removes a item from the set of selected items.
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Tries to bring the item to the top left corner of the datagrid.
SelectAllItems | Selects all items in the datagrid.
SelectItem | Selects an item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Windows Forms Class Reference


DataGridColumn Class

Description

The class for columns in a table.

Inheritance Hierarchy

  • Item
    • DataGridColumn

Syntax

C#
public class DataGridColumn : Item
VB
'Declaration
Public Class DataGridColumn _
Inherits Item

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)
Width | The width of the column.

Methods

Name | Description
AutoResize | Automatically resizes a column by double clicking its divider.
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Resize | Resizes a column.
ScrollIntoView | Tries to bring the column to the left by scrolling the data grid.
Select | Selects a column.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Windows Forms Class Reference


DataGridItem Class

Description

The class for datagrids and data grid view rows.

Inheritance Hierarchy

  • Item
    • DataGridItem

Syntax

C#
public class DataGridItem : Item
VB
'Declaration
Public Class DataGridItem _
Inherits Item

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Column | The column of the item in the data grid
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Row | The row of the item in the data grid
Selected | Whether the item is selected.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Tries to bring the item to the top left corner of the datagrid.
Select | Selects an item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Windows Forms Class Reference


DataGridRow Class

Description

The class for rows in a table.

Inheritance Hierarchy

  • Item
    • DataGridRow

Syntax

C#
public class DataGridRow : Item
VB
'Declaration
Public Class DataGridRow _
Inherits Item

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
Height | The width of the column.
ItemCount | The number of items in the row.
Items | A list of items in the row.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Resize | Resizes a column.
ScrollIntoView | Tries to bring the row to the top by scrolling the data grid.
Select | Selects a column.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Windows Forms Class Reference


DomainUpDown Class

Description

The class for up/down controls.

Inheritance Hierarchy

  • Control
    • DomainUpDown

Syntax

C#
public class DomainUpDown : Control
VB
'Declaration
Public Class DomainUpDown _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
ItemCount | The number of items contained in the list view.
Items | The items in the domain up/down control.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedIndex | The position for the up/down control.
SelectedItem | The position for the up/down control.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)
WrapAround | Whether values are wrapped if smaller than minimum or larger than maximum.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Decrement | Decreases the position value of the up/down control.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Increment | Increases the position value of the up/down control.
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects an item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Windows Forms Class Reference


ElementHost Class

Description

A Windows Forms control that can be used to host a Windows Presentation Foundation (WPF) element.

Inheritance Hierarchy

  • Control
    • ElementHost

Syntax

C#
public class ElementHost : Control
VB
'Declaration
Public Class ElementHost _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Windows Forms Class Reference


FormsHost Class

Description

An element that allows you to host a Windows Forms control on a WPF page.

Inheritance Hierarchy

  • Control
    • FormsHost

Syntax

C#
public class FormsHost : Control
VB
'Declaration
Public Class FormsHost _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Windows Forms Class Reference


FormsWindow Class

Description

FormsWindow is the class that represents the top-level window of a Windows Forms application.

Inheritance Hierarchy

  • Window
    • FormsWindow

Syntax

C#
public class FormsWindow : Window
VB
'Declaration
Public Class FormsWindow _
Inherits Window

Properties

Name | Description
Application | The name of the Application that this Window belongs to. (Inherited from Window)
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored (Inherited from IMoveable)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the window. (Inherited from IMoveable)
CloseSynchron | Closes the window and waits until the window is closed. (Inherited from IMoveable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open. (Inherited from IMoveable)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFocus | Returns the object with the input focus. (Inherited from IMoveable)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window. (Inherited from IMoveable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsActive | Returns whether the window is set to active. (Inherited from IMoveable)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
LoadAssembly | Loads the assembly on the specified path in the Windows Forms application.
Maximize | Maximizes the window. (Inherited from IMoveable)
Minimize | Reduces the window to an icon. (Inherited from IMoveable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the window. (Inherited from IMoveable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Restore | Restores the window to its previous size. (Inherited from IMoveable)
SetActive | Makes the window active. (Inherited from IMoveable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Size | Resizes the window. (Inherited from IMoveable)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Windows Forms Class Reference


MenuStrip Class

Description

MenuStrip is the class that creates a new menu strip for a Windows Forms application.

Inheritance Hierarchy

  • Control
    • MenuStrip

Syntax

C#
public class MenuStrip : Control
VB
'Declaration
Public Class MenuStrip _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Windows Forms Class Reference


NumericUpDown Class

Description

The class for numeric up/down controls.

Inheritance Hierarchy

  • UpDown
    • NumericUpDown

Syntax

C#
public class NumericUpDown : UpDown
VB
'Declaration
Public Class NumericUpDown _
Inherits UpDown

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
Horizontal | Whether the up/down control is horizontal. (Inherited from UpDown)
Maximum | The maximum value of the up/down control.
Minimum | The minimum value of the up/down control.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Position | The position for the up/down control. (Inherited from UpDown)
PositionDecimal | The position for the up/down control.
Range | The range of the up/down control. (Inherited from UpDown)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)
WrapAround | Whether values are wrapped if smaller than minimum or larger than maximum. (Inherited from UpDown)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Decrement | Decreases the position value of the up/down control. (Inherited from UpDown)
DecrementDecimal | Decreases the position value of the up/down control.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Increment | Increases the position value of the up/down control. (Inherited from UpDown)
IncrementDecimal | Increases the position value of the up/down control.
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Windows Forms Class Reference


WPF Class Reference

Lists the available classes for testing WPF controls.

  • IWPFScrollable Interface
    Interface to implement scrolling for all FrameworkElements.
  • WPFBase Class
    Provides a WPF framework-level set of properties, events, and methods for Windows Presentation Foundation (WPF) elements.
  • WPFButton Class
    Represents a Windows button control, which reacts to the ButtonBase.Click event.
  • WPFButtonBase Class
    Represents the base class for all Button controls.
  • WPFCalendar Class
    Represents a control that enables a user to select a date by using a visual calendar display.
  • WPFCheckBox Class
    Represents a check box.
  • WPFColumnHeader Class
    Represents a header column in a ListView control.
  • WPFComboBox Class
    Represents a selection control with a drop-down list that can be shown or hidden by clicking the arrow on the control.
  • WPFComboBoxItem Class
    Represents a selectable item in a ComboBox.
  • WPFContentControl Class
    Represents a control with a single piece of content.
  • WPFContextMenu Class
    a context menu.
  • WPFControl Class
    Represents the base class for user interface (UI) elements that use a ControlTemplate to define their appearance.
  • WPFDataGrid Class
    Represents a control that displays data in a customizable grid.
  • WPFDataGridCell Class
    Represents a cell of a data grid control.
  • WPFDataGridColumnHeader Class
    Represents an individual data grid column header.
  • WPFDataGridRow Class
    Represents a data grid row.
  • WPFDataGridRowHeader Class
    Represents an individual data grid row header.
  • WPFDatePicker Class
    Represents a control that allows the user to select a date.
  • WPFDocumentViewer Class
    Represents a document viewing control that can host paginated FixedDocument content such as an XpsDocument.
  • WPFDocumentViewerBase Class
    Provides a base class for viewers that are intended to display fixed or flow content (represented by a FixedDocument or FlowDocument, respectively).
  • WPFDrawingVisual Class
    DrawingVisual is a visual object that can be used to render vector graphics on the screen. The content is persisted by the system.
  • WPFExpander Class
    Represents the control that displays a header that has a collapsible window that displays content.
  • WPFFlowDocumentPageViewer Class
    Represents a control for viewing flow content in a fixed viewing mode that shows content one page at a time.
  • WPFFlowDocumentReader Class
    Represents a control for viewing flow content in a continuous scrolling mode.
  • WPFFlowDocumentScrollViewer Class
    Represents a control for viewing flow content in a continuous scrolling mode.
  • WPFFrame Class
    Represents the base class for all Frame controls.
  • WPFFrameworkContentElement Class
    Base class for all FrameworkContentElement derived classes. This class does not add any properties or methods.
  • WPFFrameworkElement Class
    Provides a set of properties and methods for FrameworkElement derived classes.
  • WPFGridSplitter Class
    Represents the control that redistributes space between columns or rows of a Grid control.
  • WPFGroupBox Class
    Represents a control that creates a container that has a border and a header.
  • WPFHeaderedContentControl Class
    Provides the base implementation for all controls that contain single content and have a header.
  • WPFHeaderedItemsControl Class
    Represents the base class for user interface (UI) elements that use a ControlTemplate to define their appearance.
  • WPFHyperlink Class
    Represents Hyperlinks that can be embedded as child controls or inside text.
  • WPFImage Class
    Represents a control that displays an image.
  • WPFItemsControl Class
    Represents a control that can be used to present a collection of items.
  • WPFLabel Class
    Represents the text label for a control.
  • WPFListBox Class
    Contains a list of selectable items.
  • WPFListBoxItem Class
    Represents a selectable item in a ListBox.
  • WPFListView Class
    Represents a control that displays a list of data items. The ListView can have a table-like style.
  • WPFListViewItem Class
    Represents an item in a ListView control.
  • WPFMediaElement Class
    Represents a control that contains audio and/or video.
  • WPFMenu Class
    Represents a Windows menu control that enables you to hierarchically organize elements associated with commands and event handlers.
  • WPFMenuBase Class
    Represents a control that defines choices for users to select.
  • WPFMenuItem Class
    Represents a selectable item inside a Menu.
  • WPFMultiSelector Class
    Provides an abstract class for controls that allow multiple items to be selected.
  • WPFNavigationWindow Class
    Represents a window that supports content navigation.
  • WPFPage Class
    Encapsulates a page of content that can be navigated to and hosted by Windows Internet Explorer, NavigationWindow, and Frame.
  • WPFPasswordBox Class
    Represents a PasswordBox control.
  • WPFPopup Class
    Represents a pop-up window that has content.
  • WPFProgressBar Class
    Represents a ProgressBar control.
  • WPFRadioButton Class
    Represents a radio button.
  • WPFRangeBase Class
    Represents an element that has a value within a specific range.
  • WPFRepeatButton Class
    Represents a control that raises its selection event repeatedly from the time it is pressed until it is released.
  • WPFRichTextBox Class
    Represents a RichTextBox control.
  • WPFScrollBar Class
    Represents a control that provides a scroll bar that has a sliding Thumb whose position corresponds to a value.
  • WPFScrollViewer Class
    Represents a scrollable area that can contain other visible elements.
  • WPFSelector Class
    Represents a control that allows a user to select items from among its child elements.
  • WPFSlider Class
    Represents a control that lets the user select from a range of values by moving a Thumb control along a Track.
  • WPFStatusBar Class
    Represents a control that displays items and information in a horizontal bar in an application window.
  • WPFStatusBarItem Class
    Represents an item of a StatusBar control.
  • WPFStickyNoteControl Class
    Represents a control that lets users attach typed text or handwritten annotations to documents.
  • WPFTabControl Class
    Represents a control that contains multiple items that share the same space on the screen.
  • WPFTabItem Class
    Represents a selectable item inside a TabControl.
  • WPFTextBlock Class
    Represents a control with a single piece of content.
  • WPFTextBox Class
    Represents a control that can be used to display or edit unformatted text.
  • WPFTextBoxBase Class
    Represents a control with a single piece of content.
  • WPFThumb Class
    Represents a control that can be dragged by the user.
  • WPFTickBar Class
    Represents a control that draws a set of tick marks for a Slider control.
  • WPFToggleButton Class
    Represents a toggle button.
  • WPFToolBar Class
    Provides a container for a group of commands or controls.
  • WPFToolBarTray Class
    Represents the container that handles the layout of a ToolBar.
  • WPFToolkitCalendar Class
    Represents a control that enables a user to select a date by using a visual calendar display.
  • WPFToolkitDataGrid Class
    Represents a control that displays data in a customizable grid.
  • WPFToolkitDataGridCell Class
    Represents a cell of a data grid control.
  • WPFToolkitDataGridColumnHeader Class
    Represents an individual data grid column header.
  • WPFToolkitDataGridRow Class
    Represents a data grid row.
  • WPFToolkitDataGridRowHeader Class
    Represents an individual data grid row header.
  • WPFToolkitDatePicker Class
    Represents a control that allows the user to select a date.
  • WPFToolTip Class
    Represents a tool tip.
  • WPFTrack Class
    Represents a control primitive that handles the positioning and sizing of a Thumb control and two RepeatButton controls that are used to set a Value.
  • WPFTreeView Class
    Represents a control that displays hierarchical data in a tree structure that has items that can expand and collapse.
  • WPFTreeViewItem Class
    Represents a selectable item in a TreeView control.
  • WPFUserControl Class
    Provides a simple way to create a control. For additional information about interacting with a user control, see Custom Controls.
  • WPFViewport3D Class
    Provides a rendering surface for 3-D visual content.
  • WPFVisual3D Class
    Provides services and properties common to visual 3-D objects, including hit-testing, coordinate transformation, and bounding box calculations.
  • WPFWindow Class
    Provides the ability to create, configure, show, and manage the lifetime of windows and dialog boxes.
Parent topic: Silk4NET 言語リファレンス
Related reference
WPF クラス リファレンス


IWPFScrollable Interface

Description

Interface to implement scrolling for all FrameworkElements.

Syntax

C#
public class IWPFScrollable
VB
'Declaration
Public Class IWPFScrollable

Methods

Name | Description
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer.
GetScrollPosition | Return the position of the ScrollViewer.
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination.
ScrollToPosition | Sets the position of the ScrollViewer.
Parent topic: WPF Class Reference


WPFBase Class

Description

Provides a WPF framework-level set of properties, events, and methods for Windows Presentation Foundation (WPF) elements.

Inheritance Hierarchy

  • TestObject
    • WPFBase
      • WPFDrawingVisual
      • WPFFrameworkContentElement
      • WPFFrameworkElement
      • WPFVisual3D

Syntax

C#
public class WPFBase : TestObject, IClickable, IFocusable, IKeyable
VB
'Declaration
Public Class WPFBase _
Inherits TestObject _
Implements IClickable, IFocusable, IKeyable

Properties

Name | Description
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI).
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI).
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view.
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position.
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFButton Class

Description

Represents a Windows button control, which reacts to the ButtonBase.Click event.

Inheritance Hierarchy

  • WPFButtonBase
    • WPFButton

Syntax

C#
public class WPFButton : WPFButtonBase
VB
'Declaration
Public Class WPFButton _
Inherits WPFButtonBase

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
ClickMode | a value that specifies how the button can be clicked. (Inherited from WPFButtonBase)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsCancel | a value that indicates whether a Button is a Cancel button. A user can activate the Cancel button by pressing the ESC key. This is a dependency property.
IsDefault | a value that indicates whether a Button is the default button. A user invokes the default button by pressing the ENTER key. This is a dependency property.
IsDefaulted | a value that indicates whether a Button is the button that is activated when a user presses ENTER. This is a dependency property.
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the Button. (Inherited from WPFButtonBase)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFButtonBase Class

Description

Represents the base class for all Button controls.

Inheritance Hierarchy

  • WPFContentControl
    • WPFButtonBase
      • WPFButton
      • WPFColumnHeader
      • WPFDataGridColumnHeader
      • WPFDataGridRowHeader
      • WPFRepeatButton
      • WPFToggleButton
      • WPFToolkitDataGridColumnHeader
      • WPFToolkitDataGridRowHeader

Syntax

C#
public class WPFButtonBase : WPFContentControl
VB
'Declaration
Public Class WPFButtonBase _
Inherits WPFContentControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
ClickMode | a value that specifies how the button can be clicked.
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the Button.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFCalendar Class

Description

Represents a control that enables a user to select a date by using a visual calendar display.

Inheritance Hierarchy

  • WPFControl
    • WPFCalendar

Syntax

C#
public class WPFCalendar : WPFControl
VB
'Declaration
Public Class WPFCalendar _
Inherits WPFControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
BlackoutDates | a list of dates that are marked as not selectable.
DisplayDate | the date to display.
DisplayDateEnd | the last date in the date range that is available in the calendar.
DisplayDateStart | the first date that is available in the calendar.
DisplayMode | a value that indicates whether the calendar displays a month, year, or decade.
FirstDayOfWeek | the day that is considered the beginning of the week.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTodayHighlighted | a value that indicates whether the current date is highlighted.
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
SelectedDate | the currently selected date.
SelectedDates | a list of selected dates.
SelectionMode | a value that indicates what kind of selections are allowed.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SelectDate | Selects the given date and clears the current selection.
SelectDates | Selects the given dates and clears the current selection.
SelectRange | Selects a range of dates.
SetDisplayDate | Sets the date to display.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFCheckBox Class

Description

Represents a check box.

Inheritance Hierarchy

  • WPFToggleButton
    • WPFCheckBox

Syntax

C#
public class WPFCheckBox : WPFToggleButton
VB
'Declaration
Public Class WPFCheckBox _
Inherits WPFToggleButton

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
ClickMode | a value that specifies how the button can be clicked. (Inherited from WPFButtonBase)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsChecked | whether the button is checked. (Inherited from WPFToggleButton)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsThreeState | whether the control supports two or three states. (Inherited from WPFToggleButton)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
State | the state of the button. (Inherited from WPFToggleButton)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks the button. (Inherited from WPFToggleButton)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the Button. (Inherited from WPFButtonBase)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetIndeterminate | Set the button to the indeterminate state. (Inherited from WPFToggleButton)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks the button. (Inherited from WPFToggleButton)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFColumnHeader Class

Description

Represents a header column in a ListView control.

Inheritance Hierarchy

  • WPFButtonBase
    • WPFColumnHeader

Syntax

C#
public class WPFColumnHeader : WPFButtonBase
VB
'Declaration
Public Class WPFColumnHeader _
Inherits WPFButtonBase

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
ClickMode | a value that specifies how the button can be clicked. (Inherited from WPFButtonBase)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Resize | Resizes the column header.
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the Button. (Inherited from WPFButtonBase)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFComboBox Class

Description

Represents a selection control with a drop-down list that can be shown or hidden by clicking the arrow on the control.

Certain combo boxes (i.e. ones that use an items source internally) require to open the combo box once before the items are available in the application under test.

Inheritance Hierarchy

  • WPFSelector
    • WPFComboBox

Syntax

C#
public class WPFComboBox : WPFSelector
VB
'Declaration
Public Class WPFComboBox _
Inherits WPFSelector

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasItems | a value that indicates whether the ItemsControl contains items. (Inherited from WPFItemsControl)
IsDropDownOpen | a value that indicates whether the drop-down for a combo box is currently open.
IsEditable | a value that enables or disables editing of the text in text box of the ComboBox.
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsReadOnly | whether the combo box is in selection-only mode, in which the contents of the combo box are selectable but not editable.
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTextSearchEnabled | a value that indicates whether TextSearch is enabled on the ItemsControl instance. (Inherited from WPFItemsControl)
Items | a complete list of items. (Inherited from WPFItemsControl)
ItemTexts | a complete list of item texts. (Inherited from WPFItemsControl)
MaxDropDownHeight | the maximum height for a combo box drop-down.
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
SelectedIndex | the index of the first item in the current selection or returns negative one (-1) if the selection is empty. (Inherited from WPFSelector)
SelectedItem | the first item in the current selection or returns null (Nothing in Visual Basic) if the selection is empty. (Inherited from WPFSelector)
SelectedItemText | the text of the first item in the current selection or returns an empty string if the selection is empty. (Inherited from WPFSelector)
StaysOpenOnEdit | whether a ComboBox that is open and displays a drop-down control will remain open when a user clicks the TextBox.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the ComboBox.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Open | Opens the ComboBox.
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects an item in the ListBox. If the item is not visible, it is scrolled into view. (Inherited from WPFSelector)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFComboBoxItem Class

Description

Represents a selectable item in a ComboBox.

Certain combo boxes (i.e. ones that use an items source internally) require to open the combo box once before the items are available in the application under test.

Inheritance Hierarchy

  • WPFListBoxItem
    • WPFComboBoxItem

Syntax

C#
public class WPFComboBoxItem : WPFListBoxItem
VB
'Declaration
Public Class WPFComboBoxItem _
Inherits WPFListBoxItem

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsSelected | a value that indicates whether a ListBoxItem is selected. (Inherited from WPFListBoxItem)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Deselect | Deselects the ListBoxItem. (Inherited from WPFListBoxItem)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollIntoView | Scrolls the item into the view. (Inherited from WPFListBoxItem)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the ListBoxItem. (Inherited from WPFListBoxItem)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFContentControl Class

Description

Represents a control with a single piece of content.

Inheritance Hierarchy

  • WPFControl
    • WPFContentControl
      • WPFButtonBase
      • WPFFrame
      • WPFHeaderedContentControl
      • WPFLabel
      • WPFListBoxItem
      • WPFScrollViewer
      • WPFStatusBarItem
      • WPFToolTip
      • WPFUserControl
      • WPFWindow

Syntax

C#
public class WPFContentControl : WPFControl
VB
'Declaration
Public Class WPFContentControl _
Inherits WPFControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Content | the content of the control.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content.
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFContextMenu Class

Description

a context menu.

Inheritance Hierarchy

  • WPFMenuBase
    • WPFContextMenu

Syntax

C#
public class WPFContextMenu : WPFMenuBase
VB
'Declaration
Public Class WPFContextMenu _
Inherits WPFMenuBase

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasItems | a value that indicates whether the ItemsControl contains items. (Inherited from WPFItemsControl)
HorizontalOffset | the horizontal distance between the target origin and the popup alignment point. This is a dependency property.
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsOpen | a value that indicates whether the ContextMenu is open.
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTextSearchEnabled | a value that indicates whether TextSearch is enabled on the ItemsControl instance. (Inherited from WPFItemsControl)
Items | a complete list of items. (Inherited from WPFItemsControl)
ItemTexts | a complete list of item texts. (Inherited from WPFItemsControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
Placement | the Placement property of a ContextMenu. This is a dependency property.
PlacementRectangle | the area relative to which the context menu is positioned when it opens. This is a dependency property.
StaysOpen | a value that indicates whether the ContextMenu should close automatically. This is a dependency property.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
VerticalOffset | the vertical distance between the target origin and the popup alignment point. This is a dependency property.

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks a menu item (Inherited from WPFMenuBase)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the ContextMenu.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects a menu item (Inherited from WPFMenuBase)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks a menu item (Inherited from WPFMenuBase)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFControl Class

Description

Represents the base class for user interface (UI) elements that use a ControlTemplate to define their appearance.

Inheritance Hierarchy

  • WPFFrameworkElement
    • WPFControl
      • WPFCalendar
      • WPFContentControl
      • WPFDataGridCell
      • WPFDataGridRow
      • WPFDatePicker
      • WPFDocumentViewerBase
      • WPFFlowDocumentReader
      • WPFFlowDocumentScrollViewer
      • WPFItemsControl
      • WPFPasswordBox
      • WPFRangeBase
      • WPFStickyNoteControl
      • WPFTextBoxBase
      • WPFThumb
      • WPFToolkitCalendar
      • WPFToolkitDataGridCell
      • WPFToolkitDataGridRow
      • WPFToolkitDatePicker

Syntax

C#
public class WPFControl : WPFFrameworkElement
VB
'Declaration
Public Class WPFControl _
Inherits WPFFrameworkElement

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock.
FontSize | the top-level font size for the TextBlock.
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation.
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key.
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFDataGrid Class

Description

Represents a control that displays data in a customizable grid.

Inheritance Hierarchy

  • WPFMultiSelector
    • WPFDataGrid

Syntax

C#
public class WPFDataGrid : WPFMultiSelector
VB
'Declaration
Public Class WPFDataGrid _
Inherits WPFMultiSelector

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Columns | a collection that contains all the columns in the data grid.
CurrentCell | the cell that has focus.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasItems | a value that indicates whether the ItemsControl contains items. (Inherited from WPFItemsControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsReadOnly | a value that indicates whether the user can edit values in the data grid.
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTextSearchEnabled | a value that indicates whether TextSearch is enabled on the ItemsControl instance. (Inherited from WPFItemsControl)
Items | a complete list of items. (Inherited from WPFItemsControl)
ItemTexts | a complete list of item texts. (Inherited from WPFItemsControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
SelectedCell | the selected cells in the data grid.
SelectedCells | the list of cells that are currently selected.
SelectedCellText | the text of the selected cells in the data grid or an empty string if no cell is selected.
SelectedCellTexts | the texts of the selected cells in the data grid or an empty list if no cells are selected.
SelectedIndex | the index of the first item in the current selection or returns negative one (-1) if the selection is empty. (Inherited from WPFSelector)
SelectedItem | the first item in the current selection or returns null (Nothing in Visual Basic) if the selection is empty. (Inherited from WPFSelector)
SelectedItems | the items in the MultiSelector that are selected. (Inherited from WPFMultiSelector)
SelectedItemText | the text of the first item in the current selection or returns an empty string if the selection is empty. (Inherited from WPFSelector)
SelectedItemTexts | the text of the items in the MultiSelector that are selected. (Inherited from WPFMultiSelector)
SelectionMode | a value that indicates how rows and cells are selected in the data grid.
SelectionUnit | a value that indicates whether rows, cells, or both can be selected in the data grid.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BeginEdit | Begins to edit the specified cell.
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CancelEdit | Cancels the edited cell.
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
CommitEdit | Commits the edited cell.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollIntoView | Scrolls the specified cell into view.
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects an item in the ListBox. If the item is not visible, it is scrolled into view. (Inherited from WPFSelector)
SelectCell | Selects the specified cell.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFDataGridCell Class

Description

Represents a cell of a data grid control.

Inheritance Hierarchy

  • WPFControl
    • WPFDataGridCell

Syntax

C#
public class WPFDataGridCell : WPFControl
VB
'Declaration
Public Class WPFDataGridCell _
Inherits WPFControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsEditing | a value that indicates whether the cell is in edit mode.
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsReadOnly | a value that indicates whether the cell can be put in edit mode.
IsSelected | a value that indicates whether the cell is selected.
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Deselect | Deselects the cell.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollIntoView | Scrolls the cell into view.
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the cell.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFDataGridColumnHeader Class

Description

Represents an individual data grid column header.

Inheritance Hierarchy

  • WPFButtonBase
    • WPFDataGridColumnHeader

Syntax

C#
public class WPFDataGridColumnHeader : WPFButtonBase
VB
'Declaration
Public Class WPFDataGridColumnHeader _
Inherits WPFButtonBase

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
ClickMode | a value that specifies how the button can be clicked. (Inherited from WPFButtonBase)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the Button. (Inherited from WPFButtonBase)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFDataGridRow Class

Description

Represents a data grid row.

Inheritance Hierarchy

  • WPFControl
    • WPFDataGridRow

Syntax

C#
public class WPFDataGridRow : WPFControl
VB
'Declaration
Public Class WPFDataGridRow _
Inherits WPFControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Cells | the cells of the data grid row.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsSelected | a value that indicates whether the row is selected.
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Deselect | Deselects the row.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollIntoView | Scrolls the row into view.
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the row.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFDataGridRowHeader Class

Description

Represents an individual data grid row header.

Inheritance Hierarchy

  • WPFButtonBase
    • WPFDataGridRowHeader

Syntax

C#
public class WPFDataGridRowHeader : WPFButtonBase
VB
'Declaration
Public Class WPFDataGridRowHeader _
Inherits WPFButtonBase

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
ClickMode | a value that specifies how the button can be clicked. (Inherited from WPFButtonBase)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the Button. (Inherited from WPFButtonBase)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFDatePicker Class

Description

Represents a control that allows the user to select a date.

Inheritance Hierarchy

  • WPFControl
    • WPFDatePicker

Syntax

C#
public class WPFDatePicker : WPFControl
VB
'Declaration
Public Class WPFDatePicker _
Inherits WPFControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
SelectedDate | the currently selected date.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ClearSelection | Clears the selection.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SelectDate | Selects the given date.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFDocumentViewer Class

Description

Represents a document viewing control that can host paginated FixedDocument content such as an XpsDocument.

Inheritance Hierarchy

  • WPFDocumentViewerBase
    • WPFDocumentViewer

Syntax

C#
public class WPFDocumentViewer : WPFDocumentViewerBase
VB
'Declaration
Public Class WPFDocumentViewer _
Inherits WPFDocumentViewerBase

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
CanDecreaseZoom | a value that indicates whether the DocumentViewer can zoom out more.
CanGoToNextPage | a value that indicates whether or not the viewer can jump to the next page in the current Document. (Inherited from WPFDocumentViewerBase)
CanGoToPreviousPage | a value that indicates whether or not the viewer can jump to the previous page in the current Document. (Inherited from WPFDocumentViewerBase)
CanIncreaseZoom | a value that indicates whether the DocumentViewer can zoom in more.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HorizontalOffset | the horizontal scroll position.
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
MasterPageNumber | the page number for the current master page. (Inherited from WPFDocumentViewerBase)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
PageCount | the total number of pages in the current Document. (Inherited from WPFDocumentViewerBase)
Selection | the selected content of the DocumentViewer.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
VerticalOffset | the vertical scroll position.
Zoom | the document zoom percentage.

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CanGoToPage | Returns a value that indicates whether or the viewer is able to jump to the specified page number. (Inherited from WPFDocumentViewerBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DecreaseZoom | Zooms out of the document content by one zoom step.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
FirstPage | Jumps to the first page. (Inherited from WPFDocumentViewerBase)
FitToHeight | Fits a single page to the height of the current viewport.
FitToWidth | Fits a single page to the width of the current viewport.
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
GoToPage | Jumps to the specified page. (Inherited from WPFDocumentViewerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
IncreaseZoom | Zooms in on the document content by one zoom step.
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
LastPage | Jumps to the last page. (Inherited from WPFDocumentViewerBase)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MoveDown | Scrolls the document content down 16 device independent pixels.
MoveLeft | Scrolls the document content left 16 device independent pixels.
MoveRight | Scrolls the document content right 16 device independent pixels.
MoveUp | Scrolls the document content up 16 device independent pixels.
NextPage | Jumps to the next page. (Inherited from WPFDocumentViewerBase)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PreviousPage | Jumps to the previous page. (Inherited from WPFDocumentViewerBase)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollPageDown | Scrolls down one viewport.
ScrollPageLeft | Scrolls left one viewport.
ScrollPageRight | Scrolls right one viewport.
ScrollPageUp | Scrolls up one viewport.
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects a range of text.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
ZoomToActualSize | Zooms to 100%.
Parent topic: WPF Class Reference


WPFDocumentViewerBase Class

Description

Provides a base class for viewers that are intended to display fixed or flow content (represented by a FixedDocument or FlowDocument, respectively).

Inheritance Hierarchy

  • WPFControl
    • WPFDocumentViewerBase
      • WPFDocumentViewer
      • WPFFlowDocumentPageViewer

Syntax

C#
public class WPFDocumentViewerBase : WPFControl
VB
'Declaration
Public Class WPFDocumentViewerBase _
Inherits WPFControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
CanGoToNextPage | a value that indicates whether or not the viewer can jump to the next page in the current Document.
CanGoToPreviousPage | a value that indicates whether or not the viewer can jump to the previous page in the current Document.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
MasterPageNumber | the page number for the current master page.
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
PageCount | the total number of pages in the current Document.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CanGoToPage | Returns a value that indicates whether or the viewer is able to jump to the specified page number.
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
FirstPage | Jumps to the first page.
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
GoToPage | Jumps to the specified page.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
LastPage | Jumps to the last page.
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
NextPage | Jumps to the next page.
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PreviousPage | Jumps to the previous page.
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFDrawingVisual Class

Description

DrawingVisual is a visual object that can be used to render vector graphics on the screen. The content is persisted by the system.

Inheritance Hierarchy

  • WPFBase
    • WPFDrawingVisual

Syntax

C#
public class WPFDrawingVisual : WPFBase
VB
'Declaration
Public Class WPFDrawingVisual _
Inherits WPFBase

Properties

Name | Description
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFExpander Class

Description

Represents the control that displays a header that has a collapsible window that displays content.

Inheritance Hierarchy

  • WPFHeaderedContentControl
    • WPFExpander

Syntax

C#
public class WPFExpander : WPFHeaderedContentControl
VB
'Declaration
Public Class WPFExpander _
Inherits WPFHeaderedContentControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Content | the content of the control. (Inherited from WPFContentControl)
ExpandDirection | the direction in which the Expander content window opens.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsExpanded | whether the Expander content window is visible.
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Collapse | Collapses the Expander control. Only the header is visible.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Expand | Expands the Expander control.
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFFlowDocumentPageViewer Class

Description

Represents a control for viewing flow content in a fixed viewing mode that shows content one page at a time.

Inheritance Hierarchy

  • WPFDocumentViewerBase
    • WPFFlowDocumentPageViewer

Syntax

C#
public class WPFFlowDocumentPageViewer : WPFDocumentViewerBase
VB
'Declaration
Public Class WPFFlowDocumentPageViewer _
Inherits WPFDocumentViewerBase

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
CanDecreaseZoom | a value that indicates whether the Zoom level can be decreased.
CanGoToNextPage | a value that indicates whether or not the viewer can jump to the next page in the current Document. (Inherited from WPFDocumentViewerBase)
CanGoToPreviousPage | a value that indicates whether or not the viewer can jump to the previous page in the current Document. (Inherited from WPFDocumentViewerBase)
CanIncreaseZoom | a value that indicates whether the Zoom level can be increased.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
MasterPageNumber | the page number for the current master page. (Inherited from WPFDocumentViewerBase)
MaxZoom | the maximum allowable Zoom level for the FlowDocumentPageViewer.
MinZoom | the minimum allowable Zoom level for the FlowDocumentPageViewer.
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
PageCount | the total number of pages in the current Document. (Inherited from WPFDocumentViewerBase)
Selection | the selected content of the FlowDocumentPageViewer.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Zoom | the current zoom level for the FlowDocumentPageViewer.
ZoomIncrement | the zoom increment.

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CanGoToPage | Returns a value that indicates whether or the viewer is able to jump to the specified page number. (Inherited from WPFDocumentViewerBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DecreaseZoom | Decreases the zoom.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
FirstPage | Jumps to the first page. (Inherited from WPFDocumentViewerBase)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
GoToPage | Jumps to the specified page. (Inherited from WPFDocumentViewerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
IncreaseZoom | Increases the zoom.
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
LastPage | Jumps to the last page. (Inherited from WPFDocumentViewerBase)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
NextPage | Jumps to the next page. (Inherited from WPFDocumentViewerBase)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PreviousPage | Jumps to the previous page. (Inherited from WPFDocumentViewerBase)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects a range of text.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToggleFindDialog | Toggles the Find dialog.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFFlowDocumentReader Class

Description

Represents a control for viewing flow content in a continuous scrolling mode.

Inheritance Hierarchy

  • WPFControl
    • WPFFlowDocumentReader

Syntax

C#
public class WPFFlowDocumentReader : WPFControl
VB
'Declaration
Public Class WPFFlowDocumentReader _
Inherits WPFControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
CanDecreaseZoom | a value that indicates whether the Zoom level can be decreased.
CanGoToNextPage | a value that indicates whether or not the viewer can jump to the next page in the current Document.
CanGoToPreviousPage | a value that indicates whether or not the viewer can jump to the previous page in the current Document.
CanIncreaseZoom | a value that indicates whether the Zoom level can be increased.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
MaxZoom | the maximum allowable Zoom level for the FlowDocumentReader.
MinZoom | the minimum allowable Zoom level for the FlowDocumentReader.
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
PageCount | the total number of pages in the current Document.
PageNumber | the page number for the current master page.
Selection | the selected content of the FlowDocumentReader.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
ViewingMode | the viewing mode for the FlowDocumentReader.
Zoom | the current zoom level for the FlowDocumentReader.
ZoomIncrement | the zoom increment.

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CanGoToPage | Returns a value that indicates whether or the viewer is able to jump to the specified page number.
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DecreaseZoom | Decreases the zoom.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
FirstPage | Jumps to the first page.
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
GoToPage | Jumps to the specified page.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
IncreaseZoom | Increases the zoom.
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
LastPage | Jumps to the last page.
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
NextPage | Jumps to the next page.
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PreviousPage | Jumps to the previous page.
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects a range of text.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SwitchViewingMode | Switches the viewing mode.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToggleFindDialog | Toggles the Find dialog.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFFlowDocumentScrollViewer Class

Description

Represents a control for viewing flow content in a continuous scrolling mode.

Inheritance Hierarchy

  • WPFControl
    • WPFFlowDocumentScrollViewer

Syntax

C#
public class WPFFlowDocumentScrollViewer : WPFControl
VB
'Declaration
Public Class WPFFlowDocumentScrollViewer _
Inherits WPFControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
CanDecreaseZoom | a value that indicates whether the Zoom level can be decreased.
CanIncreaseZoom | a value that indicates whether the Zoom level can be increased.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
MaxZoom | the maximum allowable Zoom level for the FlowDocumentScrollViewer.
MinZoom | the minimum allowable Zoom level for the FlowDocumentScrollViewer.
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
Selection | the selected content of the FlowDocumentScrollViewer.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Zoom | the current zoom level for the FlowDocumentScrollViewer.
ZoomIncrement | the zoom increment.

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DecreaseZoom | Decreases the zoom.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
IncreaseZoom | Increases the zoom.
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects a range of text.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToggleFindDialog | Toggles the Find dialog.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFFrame Class

Description

Represents the base class for all Frame controls.

Inheritance Hierarchy

  • WPFContentControl
    • WPFFrame

Syntax

C#
public class WPFFrame : WPFContentControl
VB
'Declaration
Public Class WPFFrame _
Inherits WPFContentControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
CanGoBack | a value that indicates whether there is at least one entry in back navigation history.
CanGoForward | a value that indicates whether there is at least one entry in forward navigation history.
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
Source | the uniform resource identifier (URI) of the current content.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
GoBack | Navigates to the most recent item in back navigation history.
GoForward | Navigates to the most recent item in forward navigation history.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Navigate | Navigates asynchronously to the specified source content.
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Refresh | Reloads the current content.
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
StopLoading | Stops further downloading of content for the current navigation request.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFFrameworkContentElement Class

Description

Base class for all FrameworkContentElement derived classes. This class does not add any properties or methods.

Inheritance Hierarchy

  • WPFBase
    • WPFFrameworkContentElement
      • WPFHyperlink

Syntax

C#
public class WPFFrameworkContentElement : WPFBase
VB
'Declaration
Public Class WPFFrameworkContentElement _
Inherits WPFBase

Properties

Name | Description
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFFrameworkElement Class

Description

Provides a set of properties and methods for FrameworkElement derived classes.

Inheritance Hierarchy

  • WPFBase
    • WPFFrameworkElement
      • WPFControl
      • WPFImage
      • WPFMediaElement
      • WPFPage
      • WPFPopup
      • WPFTextBlock
      • WPFTickBar
      • WPFToolBarTray
      • WPFTrack
      • WPFViewport3D

Syntax

C#
public class WPFFrameworkElement : WPFBase, IWPFScrollable
VB
'Declaration
Public Class WPFFrameworkElement _
Inherits WPFBase _
Implements IWPFScrollable

Properties

Name | Description
ActualHeight | the rendered height of this element.
ActualWidth | the rendered width of this element.
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
Name | the identifying name of the element.
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual.
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFGridSplitter Class

Description

Represents the control that redistributes space between columns or rows of a Grid control.

Inheritance Hierarchy

  • WPFThumb
    • WPFGridSplitter

Syntax

C#
public class WPFGridSplitter : WPFThumb
VB
'Declaration
Public Class WPFGridSplitter _
Inherits WPFThumb

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Cancels the drag operation. (Inherited from WPFThumb)
DragComplete | Completes the drag operation. (Inherited from WPFThumb)
DragDelta | The delta of the current drag operation. (Inherited from WPFThumb)
DragStart | Starts a drag operation. (Inherited from WPFThumb)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFGroupBox Class

Description

Represents a control that creates a container that has a border and a header.

Inheritance Hierarchy

  • WPFHeaderedContentControl
    • WPFGroupBox

Syntax

C#
public class WPFGroupBox : WPFHeaderedContentControl
VB
'Declaration
Public Class WPFGroupBox _
Inherits WPFHeaderedContentControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFHeaderedContentControl Class

Description

Provides the base implementation for all controls that contain single content and have a header.

Inheritance Hierarchy

  • WPFContentControl
    • WPFHeaderedContentControl
      • WPFExpander
      • WPFGroupBox
      • WPFTabItem

Syntax

C#
public class WPFHeaderedContentControl : WPFContentControl
VB
'Declaration
Public Class WPFHeaderedContentControl _
Inherits WPFContentControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFHeaderedItemsControl Class

Description

Represents the base class for user interface (UI) elements that use a ControlTemplate to define their appearance.

Inheritance Hierarchy

  • WPFItemsControl
    • WPFHeaderedItemsControl
      • WPFMenuItem
      • WPFToolBar
      • WPFTreeViewItem

Syntax

C#
public class WPFHeaderedItemsControl : WPFItemsControl
VB
'Declaration
Public Class WPFHeaderedItemsControl _
Inherits WPFItemsControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasItems | a value that indicates whether the ItemsControl contains items. (Inherited from WPFItemsControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTextSearchEnabled | a value that indicates whether TextSearch is enabled on the ItemsControl instance. (Inherited from WPFItemsControl)
Items | a complete list of items. (Inherited from WPFItemsControl)
ItemTexts | a complete list of item texts. (Inherited from WPFItemsControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFHyperlink Class

Description

Represents Hyperlinks that can be embedded as child controls or inside text.

Inheritance Hierarchy

  • WPFFrameworkContentElement
    • WPFHyperlink

Syntax

C#
public class WPFHyperlink : WPFFrameworkContentElement
VB
'Declaration
Public Class WPFHyperlink _
Inherits WPFFrameworkContentElement

Properties

Name | Description
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
NavigateUri | a URI to navigate to when the Hyperlink is activated.
TargetName | the name of a target window or frame for the Hyperlink.
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Navigate | Performs a click on the Hyperlink.
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFImage Class

Description

Represents a control that displays an image.

Inheritance Hierarchy

  • WPFFrameworkElement
    • WPFImage

Syntax

C#
public class WPFImage : WPFFrameworkElement
VB
'Declaration
Public Class WPFImage _
Inherits WPFFrameworkElement

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFItemsControl Class

Description

Represents a control that can be used to present a collection of items.

Inheritance Hierarchy

  • WPFControl
    • WPFItemsControl
      • WPFHeaderedItemsControl
      • WPFMenuBase
      • WPFSelector
      • WPFStatusBar
      • WPFTreeView

Syntax

C#
public class WPFItemsControl : WPFControl
VB
'Declaration
Public Class WPFItemsControl _
Inherits WPFControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasItems | a value that indicates whether the ItemsControl contains items.
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTextSearchEnabled | a value that indicates whether TextSearch is enabled on the ItemsControl instance.
Items | a complete list of items.
ItemTexts | a complete list of item texts.
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFLabel Class

Description

Represents the text label for a control.

Inheritance Hierarchy

  • WPFContentControl
    • WPFLabel

Syntax

C#
public class WPFLabel : WPFContentControl
VB
'Declaration
Public Class WPFLabel _
Inherits WPFContentControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFListBox Class

Description

Contains a list of selectable items.

Inheritance Hierarchy

  • WPFSelector
    • WPFListBox
      • WPFListView

Syntax

C#
public class WPFListBox : WPFSelector
VB
'Declaration
Public Class WPFListBox _
Inherits WPFSelector

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasItems | a value that indicates whether the ItemsControl contains items. (Inherited from WPFItemsControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTextSearchEnabled | a value that indicates whether TextSearch is enabled on the ItemsControl instance. (Inherited from WPFItemsControl)
Items | a complete list of items. (Inherited from WPFItemsControl)
ItemTexts | a complete list of item texts. (Inherited from WPFItemsControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
SelectedIndex | the index of the first item in the current selection or returns negative one (-1) if the selection is empty. (Inherited from WPFSelector)
SelectedItem | the first item in the current selection or returns null (Nothing in Visual Basic) if the selection is empty. (Inherited from WPFSelector)
SelectedItems | the currently selected items. A complete list of items can be retrieved with the "Items" property.
SelectedItemText | the text of the first item in the current selection or returns an empty string if the selection is empty. (Inherited from WPFSelector)
SelectedItemTexts | a list of string containing the text of every currently selected item.
SelectionMode | the selection behavior for a ListBox.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DeselectAll | Clears the selections in multi-select ListBox.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollIntoView | Scrolls an item into view.
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects an item in the ListBox. If the item is not visible, it is scrolled into view. (Inherited from WPFSelector)
SelectAll | Selects all the items in the ListBox.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFListBoxItem Class

Description

Represents a selectable item in a ListBox.

Inheritance Hierarchy

  • WPFContentControl
    • WPFListBoxItem
      • WPFComboBoxItem
      • WPFListViewItem

Syntax

C#
public class WPFListBoxItem : WPFContentControl
VB
'Declaration
Public Class WPFListBoxItem _
Inherits WPFContentControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsSelected | a value that indicates whether a ListBoxItem is selected.
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Deselect | Deselects the ListBoxItem.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollIntoView | Scrolls the item into the view.
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the ListBoxItem.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFListView Class

Description

Represents a control that displays a list of data items. The ListView can have a table-like style.

Inheritance Hierarchy

  • WPFListBox
    • WPFListView

Syntax

C#
public class WPFListView : WPFListBox
VB
'Declaration
Public Class WPFListView _
Inherits WPFListBox

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
ColumnHeaders | the header columns.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasItems | a value that indicates whether the ItemsControl contains items. (Inherited from WPFItemsControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTextSearchEnabled | a value that indicates whether TextSearch is enabled on the ItemsControl instance. (Inherited from WPFItemsControl)
Items | a complete list of items. (Inherited from WPFItemsControl)
ItemTexts | a complete list of item texts. (Inherited from WPFItemsControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
SelectedIndex | the index of the first item in the current selection or returns negative one (-1) if the selection is empty. (Inherited from WPFSelector)
SelectedItem | the first item in the current selection or returns null (Nothing in Visual Basic) if the selection is empty. (Inherited from WPFSelector)
SelectedItems | the currently selected items. A complete list of items can be retrieved with the "Items" property. (Inherited from WPFListBox)
SelectedItemText | the text of the first item in the current selection or returns an empty string if the selection is empty. (Inherited from WPFSelector)
SelectedItemTexts | a list of string containing the text of every currently selected item. (Inherited from WPFListBox)
SelectionMode | the selection behavior for a ListBox. (Inherited from WPFListBox)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DeselectAll | Clears the selections in multi-select ListBox. (Inherited from WPFListBox)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollIntoView | Scrolls an item into view. (Inherited from WPFListBox)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects an item in the ListBox. If the item is not visible, it is scrolled into view. (Inherited from WPFSelector)
SelectAll | Selects all the items in the ListBox. (Inherited from WPFListBox)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFListViewItem Class

Description

Represents an item in a ListView control.

Inheritance Hierarchy

  • WPFListBoxItem
    • WPFListViewItem

Syntax

C#
public class WPFListViewItem : WPFListBoxItem
VB
'Declaration
Public Class WPFListViewItem _
Inherits WPFListBoxItem

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsSelected | a value that indicates whether a ListBoxItem is selected. (Inherited from WPFListBoxItem)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Deselect | Deselects the ListBoxItem. (Inherited from WPFListBoxItem)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollIntoView | Scrolls the item into the view. (Inherited from WPFListBoxItem)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the ListBoxItem. (Inherited from WPFListBoxItem)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFMediaElement Class

Description

Represents a control that contains audio and/or video.

Inheritance Hierarchy

  • WPFFrameworkElement
    • WPFMediaElement

Syntax

C#
public class WPFMediaElement : WPFFrameworkElement
VB
'Declaration
Public Class WPFMediaElement _
Inherits WPFFrameworkElement

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Balance | a ratio of volume across speakers
CanPause | a value indicating whether the media can be paused.
HasAudio | a value indicating whether the media has audio.
HasVideo | a value indicating whether the media has video.
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsMediaLoaded | a value indicating the content is loaded.
IsMuted | a value indicating whether the audio is muted.
Length | the natural duration of the media in seconds.
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
Position | the current position of progress through the media's playback time in seconds.
SpeedRatio | the speed ratio of the media.
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Volume | the media's volume.

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
Pause | Pauses media at the current position. This method has an effect only if the LoadedBehavior property is set to Manual.
Play | Plays media from the current position. This method has an effect only if the LoadedBehavior property is set to Manual.
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Stop | Stops and resets media to be played from the beginning. This method has an effect only if the LoadedBehavior property is set to Manual.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFMenu Class

Description

Represents a Windows menu control that enables you to hierarchically organize elements associated with commands and event handlers.

Inheritance Hierarchy

  • WPFMenuBase
    • WPFMenu

Syntax

C#
public class WPFMenu : WPFMenuBase
VB
'Declaration
Public Class WPFMenu _
Inherits WPFMenuBase

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasItems | a value that indicates whether the ItemsControl contains items. (Inherited from WPFItemsControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsMainMenu | a value that indicates whether this Menu receives a main menu activation notification.
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTextSearchEnabled | a value that indicates whether TextSearch is enabled on the ItemsControl instance. (Inherited from WPFItemsControl)
Items | a complete list of items. (Inherited from WPFItemsControl)
ItemTexts | a complete list of item texts. (Inherited from WPFItemsControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks a menu item (Inherited from WPFMenuBase)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects a menu item (Inherited from WPFMenuBase)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks a menu item (Inherited from WPFMenuBase)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFMenuBase Class

Description

Represents a control that defines choices for users to select.

Inheritance Hierarchy

  • WPFItemsControl
    • WPFMenuBase
      • WPFContextMenu
      • WPFMenu

Syntax

C#
public class WPFMenuBase : WPFItemsControl
VB
'Declaration
Public Class WPFMenuBase _
Inherits WPFItemsControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasItems | a value that indicates whether the ItemsControl contains items. (Inherited from WPFItemsControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTextSearchEnabled | a value that indicates whether TextSearch is enabled on the ItemsControl instance. (Inherited from WPFItemsControl)
Items | a complete list of items. (Inherited from WPFItemsControl)
ItemTexts | a complete list of item texts. (Inherited from WPFItemsControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks a menu item
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects a menu item
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks a menu item
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFMenuItem Class

Description

Represents a selectable item inside a Menu.

Inheritance Hierarchy

  • WPFHeaderedItemsControl
    • WPFMenuItem

Syntax

C#
public class WPFMenuItem : WPFHeaderedItemsControl
VB
'Declaration
Public Class WPFMenuItem _
Inherits WPFHeaderedItemsControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasItems | a value that indicates whether the ItemsControl contains items. (Inherited from WPFItemsControl)
HasSubmenu | whether a menu item has a submenu.
IsChecked | a value that indicates whether the MenuItem is checked.
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsPressed | a value that indicates whether a MenuItem is pressed.
IsSubmenuOpen | a value that indicates whether the submenu of the MenuItem is open.
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTextSearchEnabled | a value that indicates whether TextSearch is enabled on the ItemsControl instance. (Inherited from WPFItemsControl)
Items | a complete list of items. (Inherited from WPFItemsControl)
ItemTexts | a complete list of item texts. (Inherited from WPFItemsControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
Role | a value that indicates the role of a MenuItem.
StaysOpenOnClick | a value that indicates that the submenu in which this MenuItem is located should not close when this item is clicked.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks the menu item.
Click | Clicks on the object. (Inherited from IClickable)
CloseSubmenu | Closes the submenu if available.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
OpenSubmenu | Opens the submenu if available.
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the menu item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks the menu item.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFMultiSelector Class

Description

Provides an abstract class for controls that allow multiple items to be selected.

Inheritance Hierarchy

  • WPFSelector
    • WPFMultiSelector
      • WPFDataGrid
      • WPFToolkitDataGrid

Syntax

C#
public class WPFMultiSelector : WPFSelector
VB
'Declaration
Public Class WPFMultiSelector _
Inherits WPFSelector

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasItems | a value that indicates whether the ItemsControl contains items. (Inherited from WPFItemsControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTextSearchEnabled | a value that indicates whether TextSearch is enabled on the ItemsControl instance. (Inherited from WPFItemsControl)
Items | a complete list of items. (Inherited from WPFItemsControl)
ItemTexts | a complete list of item texts. (Inherited from WPFItemsControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
SelectedIndex | the index of the first item in the current selection or returns negative one (-1) if the selection is empty. (Inherited from WPFSelector)
SelectedItem | the first item in the current selection or returns null (Nothing in Visual Basic) if the selection is empty. (Inherited from WPFSelector)
SelectedItems | the items in the MultiSelector that are selected.
SelectedItemText | the text of the first item in the current selection or returns an empty string if the selection is empty. (Inherited from WPFSelector)
SelectedItemTexts | the text of the items in the MultiSelector that are selected.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects an item in the ListBox. If the item is not visible, it is scrolled into view. (Inherited from WPFSelector)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFNavigationWindow Class

Description

Represents a window that supports content navigation.

Inheritance Hierarchy

  • WPFWindow
    • WPFNavigationWindow

Syntax

C#
public class WPFNavigationWindow : WPFWindow
VB
'Declaration
Public Class WPFNavigationWindow _
Inherits WPFWindow

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
CanGoBack | a value that indicates whether there is at least one entry in back navigation history.
CanGoForward | a value that indicates whether there is at least one entry in forward navigation history.
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
Source | the uniform resource identifier (URI) of the current content.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
Title | a window's title. (Inherited from WPFWindow)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored (Inherited from IMoveable)

Methods

Name | Description
Activate | Attempts to bring the window to the foreground and activates it. (Inherited from WPFWindow)
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the window. (Inherited from IMoveable)
CloseSynchron | Closes the window and waits until the window is closed. (Inherited from IMoveable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open. (Inherited from IMoveable)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFocus | Returns the object with the input focus. (Inherited from IMoveable)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window. (Inherited from IMoveable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
GoBack | Navigates to the most recent item in back navigation history.
GoForward | Navigates to the most recent item in forward navigation history.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsActive | Returns whether the window is set to active. (Inherited from IMoveable)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
LoadAssembly | Loads the assembly on the specified path in the WPF application. (Inherited from WPFWindow)
Maximize | Maximizes the window. (Inherited from IMoveable)
Minimize | Reduces the window to an icon. (Inherited from IMoveable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the window. (Inherited from IMoveable)
Navigate | Navigates asynchronously to the specified source content.
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Refresh | Reloads the current content.
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Restore | Restores the window to its previous size. (Inherited from IMoveable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetActive | Makes the window active. (Inherited from IMoveable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Size | Resizes the window. (Inherited from IMoveable)
StopLoading | Stops further downloading of content for the current navigation request.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFPage Class

Description

Encapsulates a page of content that can be navigated to and hosted by Windows Internet Explorer, NavigationWindow, and Frame.

Inheritance Hierarchy

  • WPFFrameworkElement
    • WPFPage

Syntax

C#
public class WPFPage : WPFFrameworkElement
VB
'Declaration
Public Class WPFPage _
Inherits WPFFrameworkElement

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
Text | The text of the control. (Inherited from TestObject)
Title | the title of the Page.
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFPasswordBox Class

Description

Represents a PasswordBox control.

Inheritance Hierarchy

  • WPFControl
    • WPFPasswordBox

Syntax

C#
public class WPFPasswordBox : WPFControl
VB
'Declaration
Public Class WPFPasswordBox _
Inherits WPFControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
MaxLength | the maximum length for passwords to be handled by this PasswordBox.
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
PasswordChar | the masking character for the PasswordBox.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Clear | Clears the value of the Password property.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
Paste | Pastes the contents of the clipboard over the current selection in the text editing control.
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SelectAll | Selects the entire contents of the PasswordBox.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetText | Sets the text.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFPopup Class

Description

Represents a pop-up window that has content.

Inheritance Hierarchy

  • WPFFrameworkElement
    • WPFPopup

Syntax

C#
public class WPFPopup : WPFFrameworkElement
VB
'Declaration
Public Class WPFPopup _
Inherits WPFFrameworkElement

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
StaysOpen | a value that indicates whether the Popup control closes when the control is no longer in focus.
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the pop-up window.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFProgressBar Class

Description

Represents a ProgressBar control.

Inheritance Hierarchy

  • WPFRangeBase
    • WPFProgressBar

Syntax

C#
public class WPFProgressBar : WPFRangeBase
VB
'Declaration
Public Class WPFProgressBar _
Inherits WPFRangeBase

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
LargeChange | a value to be added to or subtracted from the value of a RangeBase control. (Inherited from WPFRangeBase)
Maximum | the highest possible value of the range element. (Inherited from WPFRangeBase)
Minimum | the minimum possible value of the range element. (Inherited from WPFRangeBase)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
SmallChange | a value to be added to or subtracted from the value of a RangeBase control. (Inherited from WPFRangeBase)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFRadioButton Class

Description

Represents a radio button.

Inheritance Hierarchy

  • WPFToggleButton
    • WPFRadioButton

Syntax

C#
public class WPFRadioButton : WPFToggleButton
VB
'Declaration
Public Class WPFRadioButton _
Inherits WPFToggleButton

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
ClickMode | a value that specifies how the button can be clicked. (Inherited from WPFButtonBase)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
GroupName | the group name of this radio button.
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsChecked | whether the button is checked. (Inherited from WPFToggleButton)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsThreeState | whether the control supports two or three states. (Inherited from WPFToggleButton)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
State | the state of the button. (Inherited from WPFToggleButton)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks the button. (Inherited from WPFToggleButton)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the Button. (Inherited from WPFButtonBase)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetIndeterminate | Set the button to the indeterminate state. (Inherited from WPFToggleButton)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks the button. (Inherited from WPFToggleButton)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFRangeBase Class

Description

Represents an element that has a value within a specific range.

Inheritance Hierarchy

  • WPFControl
    • WPFRangeBase
      • WPFProgressBar
      • WPFScrollBar
      • WPFSlider

Syntax

C#
public class WPFRangeBase : WPFControl
VB
'Declaration
Public Class WPFRangeBase _
Inherits WPFControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
LargeChange | a value to be added to or subtracted from the value of a RangeBase control.
Maximum | the highest possible value of the range element.
Minimum | the minimum possible value of the range element.
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
SmallChange | a value to be added to or subtracted from the value of a RangeBase control.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFRepeatButton Class

Description

Represents a control that raises its selection event repeatedly from the time it is pressed until it is released.

Inheritance Hierarchy

  • WPFButtonBase
    • WPFRepeatButton

Syntax

C#
public class WPFRepeatButton : WPFButtonBase
VB
'Declaration
Public Class WPFRepeatButton _
Inherits WPFButtonBase

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
ClickMode | a value that specifies how the button can be clicked. (Inherited from WPFButtonBase)
Content | the content of the control. (Inherited from WPFContentControl)
Delay | the amount of time, in milliseconds, the RepeatButton waits while it is pressed before it starts repeating.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
Interval | the amount of time, in milliseconds, between repeats once repeating starts.
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the Button. (Inherited from WPFButtonBase)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFRichTextBox Class

Description

Represents a RichTextBox control.

Inheritance Hierarchy

  • WPFTextBoxBase
    • WPFRichTextBox

Syntax

C#
public class WPFRichTextBox : WPFTextBoxBase
VB
'Declaration
Public Class WPFRichTextBox _
Inherits WPFTextBoxBase

Properties

Name | Description
AcceptsReturn | a value that indicates how the text editing control responds when the user presses the ENTER key. (Inherited from WPFTextBoxBase)
AcceptsTab | a value that indicates how the text editing control responds when the user presses the TAB key. (Inherited from WPFTextBoxBase)
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
AutoWordSelection | a value that determines if a user selects part of a word by dragging across it with the mouse, whether the rest of the word is selected. (Inherited from WPFTextBoxBase)
CanRedo | a value that indicates whether the most recent undo action can be redone. (Inherited from WPFTextBoxBase)
CanUndo | a value that indicates whether the most recent action can be undone. (Inherited from WPFTextBoxBase)
CaretIndex | the insertion position index of the caret.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HorizontalScrollBarVisibility | a value that indicates whether a horizontal scroll bar is shown. (Inherited from WPFTextBoxBase)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsReadOnly | a value that indicates whether the text editing control is read-only to a user interacting with the control. (Inherited from WPFTextBoxBase)
IsSpellCheckEnabled | whether spell checking is enabled. (Inherited from WPFTextBoxBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsUndoEnabled | a value that indicates whether undo support is enabled for the text-editing control. (Inherited from WPFTextBoxBase)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
SelectedText | the content of the current selection in the text box. Getting this property returns a string copy of the current. Setting this property replaces the current selection with the specified string.
SelectionLength | a value indicating the number of characters in the current selection in the text box.
SelectionStart | a character index for the beginning of the current selection.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
VerticalScrollBarVisibility | a value that indicates whether a vertical scroll bar is shown. (Inherited from WPFTextBoxBase)

Methods

Name | Description
AppendText | Appends a string to the contents of a text control. (Inherited from WPFTextBoxBase)
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Clear | Clears all the content from the RichTextBox.
Click | Clicks on the object. (Inherited from IClickable)
Copy | Copies the current selection of the text editing control to the Clipboard. (Inherited from WPFTextBoxBase)
Cut | Removes the current selection from the text editing control and copies it to the Clipboard. (Inherited from WPFTextBoxBase)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
Paste | Pastes the contents of the Clipboard over the current selection in the text editing control. (Inherited from WPFTextBoxBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Redo | Undoes the most recent undo command. In other words, redoes the most recent undo unit on the undo stack. (Inherited from WPFTextBoxBase)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects a range of text in the text box.
SelectAll | Selects the entire contents of the text editing control. (Inherited from WPFTextBoxBase)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetText | Sets the text.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Undo | Undoes the most recent undo command. In other words, undoes the most recent undo unit on the undo stack. (Inherited from WPFTextBoxBase)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFScrollBar Class

Description

Represents a control that provides a scroll bar that has a sliding Thumb whose position corresponds to a value.

Inheritance Hierarchy

  • WPFRangeBase
    • WPFScrollBar

Syntax

C#
public class WPFScrollBar : WPFRangeBase
VB
'Declaration
Public Class WPFScrollBar _
Inherits WPFRangeBase

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
LargeChange | a value to be added to or subtracted from the value of a RangeBase control. (Inherited from WPFRangeBase)
Maximum | the highest possible value of the range element. (Inherited from WPFRangeBase)
Minimum | the minimum possible value of the range element. (Inherited from WPFRangeBase)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
Orientation | whether the ScrollBar is displayed horizontally or vertically.
SmallChange | a value to be added to or subtracted from the value of a RangeBase control. (Inherited from WPFRangeBase)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
ViewportSize | the amount of the scrollable content that is currently visible. This is a dependency property.

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetValue | Sets the value of the ScrollBar.
SetValueToMaximum | Sets the ScrollBar to maximum.
SetValueToMinimum | Sets the ScrollBar to minimum.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFScrollViewer Class

Description

Represents a scrollable area that can contain other visible elements.

Inheritance Hierarchy

  • WPFContentControl
    • WPFScrollViewer

Syntax

C#
public class WPFScrollViewer : WPFContentControl
VB
'Declaration
Public Class WPFScrollViewer _
Inherits WPFContentControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFSelector Class

Description

Represents a control that allows a user to select items from among its child elements.

Inheritance Hierarchy

  • WPFItemsControl
    • WPFSelector
      • WPFComboBox
      • WPFListBox
      • WPFMultiSelector
      • WPFTabControl

Syntax

C#
public class WPFSelector : WPFItemsControl
VB
'Declaration
Public Class WPFSelector _
Inherits WPFItemsControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasItems | a value that indicates whether the ItemsControl contains items. (Inherited from WPFItemsControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTextSearchEnabled | a value that indicates whether TextSearch is enabled on the ItemsControl instance. (Inherited from WPFItemsControl)
Items | a complete list of items. (Inherited from WPFItemsControl)
ItemTexts | a complete list of item texts. (Inherited from WPFItemsControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
SelectedIndex | the index of the first item in the current selection or returns negative one (-1) if the selection is empty.
SelectedItem | the first item in the current selection or returns null (Nothing in Visual Basic) if the selection is empty.
SelectedItemText | the text of the first item in the current selection or returns an empty string if the selection is empty.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects an item in the ListBox. If the item is not visible, it is scrolled into view.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFSlider Class

Description

Represents a control that lets the user select from a range of values by moving a Thumb control along a Track.

Inheritance Hierarchy

  • WPFRangeBase
    • WPFSlider

Syntax

C#
public class WPFSlider : WPFRangeBase
VB
'Declaration
Public Class WPFSlider _
Inherits WPFRangeBase

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Delay | the amount of time in milliseconds that a RepeatButton waits, while it is pressed, before a command to move the Thumb executes.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsDirectionReversed | the direction of increasing value.
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsMoveToPointEnabled | a value that indicates whether the Thumb of a Slider moves immediately to the location of the mouse click that occurs while the mouse pointer pauses on the Slider track.
IsSelectionRangeEnabled | a value that indicates whether the Slider displays a selection range along the Slider.
IsSnapToTickEnabled | a value that indicates whether the Slider automatically moves the Thumb to the closest tick mark.
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
LargeChange | a value to be added to or subtracted from the value of a RangeBase control. (Inherited from WPFRangeBase)
Maximum | the highest possible value of the range element. (Inherited from WPFRangeBase)
Minimum | the minimum possible value of the range element. (Inherited from WPFRangeBase)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
Orientation | whether the Slider is displayed horizontally or vertically.
SelectionEnd | the largest value of a specified selection for a Slider.
SelectionStart | the smallest value of a specified selection for a Slider.
SmallChange | a value to be added to or subtracted from the value of a RangeBase control. (Inherited from WPFRangeBase)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
TickFrequency | the interval between tick marks.
TickPlacement | the position of tick marks with respect to the Track of the Slider.
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DecreaseLarge | Decreases the value of the Slider by a large amount.
DecreaseSmall | Decreases the value of the Slider by a small amount.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
IncreaseLarge | Increases the value of the Slider by a large amount.
IncreaseSmall | Increases the value of the Slider by a small amount.
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetValue | Sets the value of the Slider.
SetValueToMaximum | Sets the Slider to the maximum position.
SetValueToMinimum | Sets the Slider to the minimum position.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFStatusBar Class

Description

Represents a control that displays items and information in a horizontal bar in an application window.

Inheritance Hierarchy

  • WPFItemsControl
    • WPFStatusBar

Syntax

C#
public class WPFStatusBar : WPFItemsControl
VB
'Declaration
Public Class WPFStatusBar _
Inherits WPFItemsControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasItems | a value that indicates whether the ItemsControl contains items. (Inherited from WPFItemsControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTextSearchEnabled | a value that indicates whether TextSearch is enabled on the ItemsControl instance. (Inherited from WPFItemsControl)
Items | a complete list of items. (Inherited from WPFItemsControl)
ItemTexts | a complete list of item texts. (Inherited from WPFItemsControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFStatusBarItem Class

Description

Represents an item of a StatusBar control.

Inheritance Hierarchy

  • WPFContentControl
    • WPFStatusBarItem

Syntax

C#
public class WPFStatusBarItem : WPFContentControl
VB
'Declaration
Public Class WPFStatusBarItem _
Inherits WPFContentControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFStickyNoteControl Class

Description

Represents a control that lets users attach typed text or handwritten annotations to documents.

Inheritance Hierarchy

  • WPFControl
    • WPFStickyNoteControl

Syntax

C#
public class WPFStickyNoteControl : WPFControl
VB
'Declaration
Public Class WPFStickyNoteControl _
Inherits WPFControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Author | the name of the author who created the sticky note.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsExpanded | a value indicating whether the StickyNoteControl is expanded.
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Collapse | Collapses the sticky note.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Expand | Expands the sticky note.
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFTabControl Class

Description

Represents a control that contains multiple items that share the same space on the screen.

Inheritance Hierarchy

  • WPFSelector
    • WPFTabControl

Syntax

C#
public class WPFTabControl : WPFSelector
VB
'Declaration
Public Class WPFTabControl _
Inherits WPFSelector

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasItems | a value that indicates whether the ItemsControl contains items. (Inherited from WPFItemsControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTextSearchEnabled | a value that indicates whether TextSearch is enabled on the ItemsControl instance. (Inherited from WPFItemsControl)
Items | a complete list of items. (Inherited from WPFItemsControl)
ItemTexts | a complete list of item texts. (Inherited from WPFItemsControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
SelectedIndex | the index of the first item in the current selection or returns negative one (-1) if the selection is empty. (Inherited from WPFSelector)
SelectedItem | the first item in the current selection or returns null (Nothing in Visual Basic) if the selection is empty. (Inherited from WPFSelector)
SelectedItemText | the text of the first item in the current selection or returns an empty string if the selection is empty. (Inherited from WPFSelector)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects an item in the ListBox. If the item is not visible, it is scrolled into view. (Inherited from WPFSelector)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFTabItem Class

Description

Represents a selectable item inside a TabControl.

Inheritance Hierarchy

  • WPFHeaderedContentControl
    • WPFTabItem

Syntax

C#
public class WPFTabItem : WPFHeaderedContentControl
VB
'Declaration
Public Class WPFTabItem _
Inherits WPFHeaderedContentControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsSelected | a value that indicates whether the TabItem is selected.
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Deselect | Deselects the item.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFTextBlock Class

Description

Represents a control with a single piece of content.

Inheritance Hierarchy

  • WPFFrameworkElement
    • WPFTextBlock

Syntax

C#
public class WPFTextBlock : WPFFrameworkElement
VB
'Declaration
Public Class WPFTextBlock _
Inherits WPFFrameworkElement

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock.
FontSize | the top-level font size for the TextBlock.
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
Text | The text of the control. (Inherited from TestObject)
TextAlignment | a value that indicates the horizontal alignment of text content.
TextTrimming | the text trimming behavior to employ when content overflows the content area.
TextWrapping | a value that indicates how the TextBlock wraps text.
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFTextBox Class

Description

Represents a control that can be used to display or edit unformatted text.

Inheritance Hierarchy

  • WPFTextBoxBase
    • WPFTextBox

Syntax

C#
public class WPFTextBox : WPFTextBoxBase
VB
'Declaration
Public Class WPFTextBox _
Inherits WPFTextBoxBase

Properties

Name | Description
AcceptsReturn | a value that indicates how the text editing control responds when the user presses the ENTER key. (Inherited from WPFTextBoxBase)
AcceptsTab | a value that indicates how the text editing control responds when the user presses the TAB key. (Inherited from WPFTextBoxBase)
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
AutoWordSelection | a value that determines if a user selects part of a word by dragging across it with the mouse, whether the rest of the word is selected. (Inherited from WPFTextBoxBase)
CanRedo | a value that indicates whether the most recent undo action can be redone. (Inherited from WPFTextBoxBase)
CanUndo | a value that indicates whether the most recent action can be undone. (Inherited from WPFTextBoxBase)
CaretIndex | the insertion position index of the caret.
CharacterCasing | a value that indicates how characters are cased when they are manually entered into the text box.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HorizontalScrollBarVisibility | a value that indicates whether a horizontal scroll bar is shown. (Inherited from WPFTextBoxBase)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsReadOnly | a value that indicates whether the text editing control is read-only to a user interacting with the control. (Inherited from WPFTextBoxBase)
IsSpellCheckEnabled | whether spell checking is enabled. (Inherited from WPFTextBoxBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsUndoEnabled | a value that indicates whether undo support is enabled for the text-editing control. (Inherited from WPFTextBoxBase)
LineCount | the total number of lines in the text box.
MaxLength | the maximum number of characters that can be manually entered into the text box.
MaxLines | the maximum number of visible lines.
MinLines | the minimum number of visible lines.
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
SelectedText | the content of the current selection in the text box. Getting this property returns a string copy of the current text. Setting this property replaces the current selection with the specified string.
SelectionLength | a value that indicates the number of characters in the current selection in the text box.
SelectionStart | a character index for the beginning of the current selection.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
TextAlignment | the horizontal alignment of the contents of the text box.
TextWrapping | a value indicating how the text box should wrap text.
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
VerticalScrollBarVisibility | a value that indicates whether a vertical scroll bar is shown. (Inherited from WPFTextBoxBase)

Methods

Name | Description
AppendText | Appends a string to the contents of a text control. (Inherited from WPFTextBoxBase)
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Clear | Clears all the content from the text box.
Click | Clicks on the object. (Inherited from IClickable)
Copy | Copies the current selection of the text editing control to the Clipboard. (Inherited from WPFTextBoxBase)
Cut | Removes the current selection from the text editing control and copies it to the Clipboard. (Inherited from WPFTextBoxBase)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetCharacterIndexFromLineIndex | Returns the zero-based character index for the first character in the specified line.
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFirstVisibleLineIndex | Returns the line index for the first line that is currently visible in the text box.
GetLastVisibleLineIndex | Returns the line index for the last line that is currently visible in the text box.
GetLineIndexFromCharacterIndex | Returns the zero-based line index for the line that contains the specified character index.
GetLineLength | Returns the number of characters in the specified line.
GetLineText | Returns the text that is currently displayed on the specified line.
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
Paste | Pastes the contents of the Clipboard over the current selection in the text editing control. (Inherited from WPFTextBoxBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Redo | Undoes the most recent undo command. In other words, redoes the most recent undo unit on the undo stack. (Inherited from WPFTextBoxBase)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToLine | Scrolls the line at the specified line index into view.
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects a range of text in the text box.
SelectAll | Selects the entire contents of the text editing control. (Inherited from WPFTextBoxBase)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetText | Sets the text.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Undo | Undoes the most recent undo command. In other words, undoes the most recent undo unit on the undo stack. (Inherited from WPFTextBoxBase)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFTextBoxBase Class

Description

Represents a control with a single piece of content.

Inheritance Hierarchy

  • WPFControl
    • WPFTextBoxBase
      • WPFRichTextBox
      • WPFTextBox

Syntax

C#
public class WPFTextBoxBase : WPFControl
VB
'Declaration
Public Class WPFTextBoxBase _
Inherits WPFControl

Properties

Name | Description
AcceptsReturn | a value that indicates how the text editing control responds when the user presses the ENTER key.
AcceptsTab | a value that indicates how the text editing control responds when the user presses the TAB key.
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
AutoWordSelection | a value that determines if a user selects part of a word by dragging across it with the mouse, whether the rest of the word is selected.
CanRedo | a value that indicates whether the most recent undo action can be redone.
CanUndo | a value that indicates whether the most recent action can be undone.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HorizontalScrollBarVisibility | a value that indicates whether a horizontal scroll bar is shown.
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsReadOnly | a value that indicates whether the text editing control is read-only to a user interacting with the control.
IsSpellCheckEnabled | whether spell checking is enabled.
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsUndoEnabled | a value that indicates whether undo support is enabled for the text-editing control.
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
VerticalScrollBarVisibility | a value that indicates whether a vertical scroll bar is shown.

Methods

Name | Description
AppendText | Appends a string to the contents of a text control.
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Copy | Copies the current selection of the text editing control to the Clipboard.
Cut | Removes the current selection from the text editing control and copies it to the Clipboard.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
Paste | Pastes the contents of the Clipboard over the current selection in the text editing control.
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Redo | Undoes the most recent undo command. In other words, redoes the most recent undo unit on the undo stack.
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SelectAll | Selects the entire contents of the text editing control.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Undo | Undoes the most recent undo command. In other words, undoes the most recent undo unit on the undo stack.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFThumb Class

Description

Represents a control that can be dragged by the user.

Inheritance Hierarchy

  • WPFControl
    • WPFThumb
      • WPFGridSplitter

Syntax

C#
public class WPFThumb : WPFControl
VB
'Declaration
Public Class WPFThumb _
Inherits WPFControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Cancels the drag operation.
DragComplete | Completes the drag operation.
DragDelta | The delta of the current drag operation.
DragStart | Starts a drag operation.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFTickBar Class

Description

Represents a control that draws a set of tick marks for a Slider control.

Inheritance Hierarchy

  • WPFFrameworkElement
    • WPFTickBar

Syntax

C#
public class WPFTickBar : WPFFrameworkElement
VB
'Declaration
Public Class WPFTickBar _
Inherits WPFFrameworkElement

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFToggleButton Class

Description

Represents a toggle button.

Inheritance Hierarchy

  • WPFButtonBase
    • WPFToggleButton
      • WPFCheckBox
      • WPFRadioButton

Syntax

C#
public class WPFToggleButton : WPFButtonBase
VB
'Declaration
Public Class WPFToggleButton _
Inherits WPFButtonBase

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
ClickMode | a value that specifies how the button can be clicked. (Inherited from WPFButtonBase)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsChecked | whether the button is checked.
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsThreeState | whether the control supports two or three states.
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
State | the state of the button.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks the button.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the Button. (Inherited from WPFButtonBase)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetIndeterminate | Set the button to the indeterminate state.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks the button.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFToolBar Class

Description

Provides a container for a group of commands or controls.

Inheritance Hierarchy

  • WPFHeaderedItemsControl
    • WPFToolBar

Syntax

C#
public class WPFToolBar : WPFHeaderedItemsControl
VB
'Declaration
Public Class WPFToolBar _
Inherits WPFHeaderedItemsControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasItems | a value that indicates whether the ItemsControl contains items. (Inherited from WPFItemsControl)
HasOverflowItems | a value that indicates whether the ToolBar has items that are not visible.
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsOverflowOpen | a value that indicates whether the ToolBar overflow area is currently visible.
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTextSearchEnabled | a value that indicates whether TextSearch is enabled on the ItemsControl instance. (Inherited from WPFItemsControl)
Items | a complete list of items. (Inherited from WPFItemsControl)
ItemTexts | a complete list of item texts. (Inherited from WPFItemsControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
Orientation | the orientation of the ToolBar.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
CloseOverflowItems | Closes the overflow toolbar items area.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
OpenOverflowItems | Opens the overflow toolbar items area.
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFToolBarTray Class

Description

Represents the container that handles the layout of a ToolBar.

Inheritance Hierarchy

  • WPFFrameworkElement
    • WPFToolBarTray

Syntax

C#
public class WPFToolBarTray : WPFFrameworkElement
VB
'Declaration
Public Class WPFToolBarTray _
Inherits WPFFrameworkElement

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsLocked | a value that indicates whether a ToolBar can be moved inside a ToolBarTray.
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
Orientation | the orientation of a ToolBarTray.
Text | The text of the control. (Inherited from TestObject)
ToolBars | the collection of ToolBar elements in the ToolBarTray.
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFToolkitCalendar Class

Description

Represents a control that enables a user to select a date by using a visual calendar display.

Inheritance Hierarchy

  • WPFControl
    • WPFToolkitCalendar

Syntax

C#
public class WPFToolkitCalendar : WPFControl
VB
'Declaration
Public Class WPFToolkitCalendar _
Inherits WPFControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
BlackoutDates | a list of dates that are marked as not selectable.
DisplayDate | the date to display.
DisplayDateEnd | the last date in the date range that is available in the calendar.
DisplayDateStart | the first date that is available in the calendar.
DisplayMode | a value that indicates whether the calendar displays a month, year, or decade.
FirstDayOfWeek | the day that is considered the beginning of the week.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTodayHighlighted | a value that indicates whether the current date is highlighted.
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
SelectedDate | the currently selected date.
SelectedDates | a list of selected dates.
SelectionMode | a value that indicates what kind of selections are allowed.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SelectDate | Selects the given date and clears the current selection.
SelectDates | Selects the given dates and clears the current selection.
SelectRange | Selects a range of dates.
SetDisplayDate | Sets the date to display.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFToolkitDataGrid Class

Description

Represents a control that displays data in a customizable grid.

Inheritance Hierarchy

  • WPFMultiSelector
    • WPFToolkitDataGrid

Syntax

C#
public class WPFToolkitDataGrid : WPFMultiSelector
VB
'Declaration
Public Class WPFToolkitDataGrid _
Inherits WPFMultiSelector

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Columns | a collection that contains all the columns in the data grid.
CurrentCell | the cell that has focus.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasItems | a value that indicates whether the ItemsControl contains items. (Inherited from WPFItemsControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsReadOnly | a value that indicates whether the user can edit values in the data grid.
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTextSearchEnabled | a value that indicates whether TextSearch is enabled on the ItemsControl instance. (Inherited from WPFItemsControl)
Items | a complete list of items. (Inherited from WPFItemsControl)
ItemTexts | a complete list of item texts. (Inherited from WPFItemsControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
SelectedCell | the selected cells in the data grid.
SelectedCells | the list of cells that are currently selected.
SelectedCellText | the text of the selected cells in the data grid or an empty string if no cell is selected.
SelectedCellTexts | the texts of the selected cells in the data grid or an empty list if no cells are selected.
SelectedIndex | the index of the first item in the current selection or returns negative one (-1) if the selection is empty. (Inherited from WPFSelector)
SelectedItem | the first item in the current selection or returns null (Nothing in Visual Basic) if the selection is empty. (Inherited from WPFSelector)
SelectedItems | the items in the MultiSelector that are selected. (Inherited from WPFMultiSelector)
SelectedItemText | the text of the first item in the current selection or returns an empty string if the selection is empty. (Inherited from WPFSelector)
SelectedItemTexts | the text of the items in the MultiSelector that are selected. (Inherited from WPFMultiSelector)
SelectionMode | a value that indicates how rows and cells are selected in the data grid.
SelectionUnit | a value that indicates whether rows, cells, or both can be selected in the data grid.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BeginEdit | Begins to edit the specified cell.
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CancelEdit | Cancels the edited cell.
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
CommitEdit | Commits the edited cell.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollIntoView | Scrolls the specified cell into view.
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects an item in the ListBox. If the item is not visible, it is scrolled into view. (Inherited from WPFSelector)
SelectCell | Selects the specified cell.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFToolkitDataGridCell Class

Description

Represents a cell of a data grid control.

Inheritance Hierarchy

  • WPFControl
    • WPFToolkitDataGridCell

Syntax

C#
public class WPFToolkitDataGridCell : WPFControl
VB
'Declaration
Public Class WPFToolkitDataGridCell _
Inherits WPFControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsEditing | a value that indicates whether the cell is in edit mode.
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsReadOnly | a value that indicates whether the cell can be put in edit mode.
IsSelected | a value that indicates whether the cell is selected.
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Deselect | Deselects the cell.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollIntoView | Scrolls the cell into view.
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the cell.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFToolkitDataGridColumnHeader Class

Description

Represents an individual data grid column header.

Inheritance Hierarchy

  • WPFButtonBase
    • WPFToolkitDataGridColumnHeader

Syntax

C#
public class WPFToolkitDataGridColumnHeader : WPFButtonBase
VB
'Declaration
Public Class WPFToolkitDataGridColumnHeader _
Inherits WPFButtonBase

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
ClickMode | a value that specifies how the button can be clicked. (Inherited from WPFButtonBase)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the Button. (Inherited from WPFButtonBase)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFToolkitDataGridRow Class

Description

Represents a data grid row.

Inheritance Hierarchy

  • WPFControl
    • WPFToolkitDataGridRow

Syntax

C#
public class WPFToolkitDataGridRow : WPFControl
VB
'Declaration
Public Class WPFToolkitDataGridRow _
Inherits WPFControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Cells | the Cells of the data grid.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsSelected | a value that indicates whether the row is selected.
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Deselect | Deselects the row.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollIntoView | Scrolls the row into view.
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the row.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFToolkitDataGridRowHeader Class

Description

Represents an individual data grid row header.

Inheritance Hierarchy

  • WPFButtonBase
    • WPFToolkitDataGridRowHeader

Syntax

C#
public class WPFToolkitDataGridRowHeader : WPFButtonBase
VB
'Declaration
Public Class WPFToolkitDataGridRowHeader _
Inherits WPFButtonBase

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
ClickMode | a value that specifies how the button can be clicked. (Inherited from WPFButtonBase)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the Button. (Inherited from WPFButtonBase)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFToolkitDatePicker Class

Description

Represents a control that allows the user to select a date.

Inheritance Hierarchy

  • WPFControl
    • WPFToolkitDatePicker

Syntax

C#
public class WPFToolkitDatePicker : WPFControl
VB
'Declaration
Public Class WPFToolkitDatePicker _
Inherits WPFControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
SelectedDate | the currently selected date.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ClearSelection | Clears the selection.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SelectDate | Selects the given date.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFToolTip Class

Description

Represents a tool tip.

Inheritance Hierarchy

  • WPFContentControl
    • WPFToolTip

Syntax

C#
public class WPFToolTip : WPFContentControl
VB
'Declaration
Public Class WPFToolTip _
Inherits WPFContentControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFTrack Class

Description

Represents a control primitive that handles the positioning and sizing of a Thumb control and two RepeatButton controls that are used to set a Value.

Inheritance Hierarchy

  • WPFFrameworkElement
    • WPFTrack

Syntax

C#
public class WPFTrack : WPFFrameworkElement
VB
'Declaration
Public Class WPFTrack _
Inherits WPFFrameworkElement

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFTreeView Class

Description

Represents a control that displays hierarchical data in a tree structure that has items that can expand and collapse.

Inheritance Hierarchy

  • WPFItemsControl
    • WPFTreeView

Syntax

C#
public class WPFTreeView : WPFItemsControl
VB
'Declaration
Public Class WPFTreeView _
Inherits WPFItemsControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
ColumnHeaders | the header columns.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasItems | a value that indicates whether the ItemsControl contains items. (Inherited from WPFItemsControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTextSearchEnabled | a value that indicates whether TextSearch is enabled on the ItemsControl instance. (Inherited from WPFItemsControl)
Items | a complete list of items. (Inherited from WPFItemsControl)
ItemTexts | a complete list of item texts. (Inherited from WPFItemsControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
SelectedItem | the selected item or returns null (Nothing in Visual Basic) if the selection is empty.
SelectedItemPath | the selected item path or an empty item path if nothing is selected
SelectedItemText | the text of the selected item or an empty string if the selection is empty.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
VisibleItemPaths | the visible items in the tree as item paths.

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Collapse | Collapses the specified item.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Expand | Expands the specified item.
ExpandAll | Expands all items in the tree.
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the specified item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFTreeViewItem Class

Description

Represents a selectable item in a TreeView control.

Inheritance Hierarchy

  • WPFHeaderedItemsControl
    • WPFTreeViewItem

Syntax

C#
public class WPFTreeViewItem : WPFHeaderedItemsControl
VB
'Declaration
Public Class WPFTreeViewItem _
Inherits WPFHeaderedItemsControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasItems | a value that indicates whether the ItemsControl contains items. (Inherited from WPFItemsControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsExpanded | a value that indicates whether the nested items in a TreeViewItem are expanded or collapsed.
IsSelected | a value that indicates whether a TreeViewItem is selected.
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTextSearchEnabled | a value that indicates whether TextSearch is enabled on the ItemsControl instance. (Inherited from WPFItemsControl)
Items | a complete list of items. (Inherited from WPFItemsControl)
ItemTexts | a complete list of item texts. (Inherited from WPFItemsControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Collapse | Collapses the item.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Expand | Expands the item.
ExpandSubTree | Expands the sub tree under this tree item.
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFUserControl Class

Description

Provides a simple way to create a control. For additional information about interacting with a user control, see Custom Controls.

Inheritance Hierarchy

  • WPFContentControl
    • WPFUserControl

Syntax

C#
public class WPFUserControl : WPFContentControl
VB
'Declaration
Public Class WPFUserControl _
Inherits WPFContentControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFViewport3D Class

Description

Provides a rendering surface for 3-D visual content.

Inheritance Hierarchy

  • WPFFrameworkElement
    • WPFViewport3D

Syntax

C#
public class WPFViewport3D : WPFFrameworkElement
VB
'Declaration
Public Class WPFViewport3D _
Inherits WPFFrameworkElement

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFVisual3D Class

Description

Provides services and properties common to visual 3-D objects, including hit-testing, coordinate transformation, and bounding box calculations.

Inheritance Hierarchy

  • WPFBase
    • WPFVisual3D

Syntax

C#
public class WPFVisual3D : WPFBase
VB
'Declaration
Public Class WPFVisual3D _
Inherits WPFBase

Properties

Name | Description
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFWindow Class

Description

Provides the ability to create, configure, show, and manage the lifetime of windows and dialog boxes.

Inheritance Hierarchy

  • WPFContentControl
    • WPFWindow
      • WPFNavigationWindow

Syntax

C#
public class WPFWindow : WPFContentControl, IMoveable
VB
'Declaration
Public Class WPFWindow _
Inherits WPFContentControl _
Implements IMoveable

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
Title | a window's title.
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored (Inherited from IMoveable)

Methods

Name | Description
Activate | Attempts to bring the window to the foreground and activates it.
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the window. (Inherited from IMoveable)
CloseSynchron | Closes the window and waits until the window is closed. (Inherited from IMoveable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open. (Inherited from IMoveable)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFocus | Returns the object with the input focus. (Inherited from IMoveable)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window. (Inherited from IMoveable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsActive | Returns whether the window is set to active. (Inherited from IMoveable)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
LoadAssembly | Loads the assembly on the specified path in the WPF application.
Maximize | Maximizes the window. (Inherited from IMoveable)
Minimize | Reduces the window to an icon. (Inherited from IMoveable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the window. (Inherited from IMoveable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Restore | Restores the window to its previous size. (Inherited from IMoveable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetActive | Makes the window active. (Inherited from IMoveable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Size | Resizes the window. (Inherited from IMoveable)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


xBrowser Class Reference

Lists the available classes for testing xBrowser controls.

  • BrowserApplication Class
    Represents the top-level window of a browser application.
  • BrowserObject Class
    Base class for all objects that are contained within a BrowserApplication.
  • BrowserWindow Class
    A browser window is the top-level container for a web page. It exposes the DOM tree through DomElements. E.g. a tab in IE7, an embedded browser control in SWT.
  • DomButton Class
    A DomButton represents all DOM elements that were specified using one of the following tags: <input type='submit'>, <input type='reset'>, <input type='button'> or <button>.
  • DomCheckBox Class
    A DomCheckBox represents all DOM elements that were specified using <input type='checkbox'> tag.
  • DomElement Class
    A DomElement represents any element in the DOM tree.
  • DomEmbeddedElement Class
    A DOM element that was specified by an <embed> or <object> tag.
  • DomForm Class
    A DomForm represents all DOM elements that were specified using the <form> tag. All methods and properties in this class are not supported for mobile Web applications.
  • DomLink Class
    A DomLink represents all DOM elements that were specified using the <a> tag.
  • DomListBox Class
    A DomListBox represents all DOM elements that were specified using the <select> tag.
  • DomRadioButton Class
    A DomRadioButton represents all DOM elements that were specified using <input type='radio'> tag.
  • DomTable Class
    A DomTable represents the <table> tag. All methods and properties in this class are not supported for mobile Web applications.
  • DomTableRow Class
    A DomTableRow represents the <tr> tag. All methods and properties in this class are not supported for mobile Web applications.
  • DomTextField Class
    A DomTextField represents DOM elements that were specified using one of the following tags: <input type='text'>, <input type='password'>, <input type='file'> or <textarea>.
Parent topic: Silk4NET 言語リファレンス
Related concepts
xBrowser でのテスト オブジェクト
Related reference
xBrowser クラス リファレンス


BrowserApplication Class

Description

Represents the top-level window of a browser application.

Note: BrowserApplication is derived from BaseGuiTestObject and inherits the two scrollbar methods GetHorizontalBar and GetVerticalBar. However, these two methods do not work on a BrowserApplication.

Inheritance Hierarchy

  • Window
    • BrowserApplication

Syntax

C#
public class BrowserApplication : Window
VB
'Declaration
Public Class BrowserApplication _
Inherits Window

Properties

Name | Description
Application | The name of the Application that this Window belongs to. (Inherited from Window)
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored (Inherited from IMoveable)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ClearCache | Clears the browser's cache.
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the window. (Inherited from IMoveable)
CloseOtherTabs | Closes all tabs except the active one. When several tabs are open, Internet Explorer only displays some of the tabs and scroll buttons. This method closes all other tabs except for the selected one, including the tabs that are not currently visible. This method is not supported for mobile Web applications.
CloseSynchron | Closes the window and waits until the window is closed. (Inherited from IMoveable)
CloseTab | Closes the specified tab. If no tab is specified, the active tab is closed. When several tabs are open, Internet Explorer only displays some of the tabs and scroll buttons. As a result, only the currently visible tabs work with this method, which affects index semantics. For example, only the currently visible tabs can be closed. Index 0 identifies the first visible tab. This method is not supported for mobile Web applications.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
ExistsTab | Returns true if the tab exists and false otherwise. This method is not supported for mobile Web applications.
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetActiveTab | Returns the active tab. This method is not supported for mobile Web applications.
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open. (Inherited from IMoveable)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFocus | Returns the object with the input focus. (Inherited from IMoveable)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window. (Inherited from IMoveable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetSelectedTab | Returns the currently selected tab. This method is not supported for mobile Web applications.
GetSelectedTabIndex | Returns the index of the active tab. When several tabs are open, Internet Explorer only displays some of the tabs and scroll buttons. As a result, this method only returns the index relative to the currently visible tabs. Index 0 identifies the first visible tab. This method is not supported for mobile Web applications.
GetSelectedTabName | Returns the name of the active tab. This method is not supported for mobile Web applications.
GetTabCount | Returns the number of open tabs. When several tabs are open, Internet Explorer only displays some of the tabs and scroll buttons. As a result, this method only returns the number of currently visible tabs. This method is not supported for mobile Web applications.
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsActive | Returns whether the window is set to active. (Inherited from IMoveable)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
Maximize | Maximizes the window. (Inherited from IMoveable)
Minimize | Reduces the window to an icon. (Inherited from IMoveable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the window. (Inherited from IMoveable)
Navigate | Navigate to the specified URL in the currently active tab/window
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
OpenTab | Opens a new tab and navigates to the given URL. If no URL is given, the tab navigates to about:blank. This method is not supported for mobile Web applications.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Restore | Restores the window to its previous size. (Inherited from IMoveable)
SelectTab | Selects the specified tab. When several tabs are open, Internet Explorer only displays some of the tabs and scroll buttons. As a result, only the currently visible tabs work with this method, which affects index semantics. For example, only the currently visible tabs can be selected. Index 0 selects the first visible tab. This method is not supported for mobile Web applications.
SetActive | Makes the window active. (Inherited from IMoveable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Size | Resizes the window. (Inherited from IMoveable)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: xBrowser Class Reference


BrowserObject Class

Description

Base class for all objects that are contained within a BrowserApplication.

Inheritance Hierarchy

  • TestObject
    • BrowserObject
      • BrowserWindow
      • DomElement

Syntax

C#
public class BrowserObject : TestObject, IClickable, IKeyable
VB
'Declaration
Public Class BrowserObject _
Inherits TestObject _
Implements IClickable, IKeyable

Properties

Name | Description
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: xBrowser Class Reference


BrowserWindow Class

Description

A browser window is the top-level container for a web page. It exposes the DOM tree through DomElements. E.g. a tab in IE7, an embedded browser control in SWT.

Inheritance Hierarchy

  • BrowserObject
    • BrowserWindow

Syntax

C#
public class BrowserWindow : BrowserObject
VB
'Declaration
Public Class BrowserWindow _
Inherits BrowserObject

Properties

Name | Description
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
ViewportHeight | The height of the browser viewport
ViewportName | The name of the viewport that matches the innerWidth and innerHeight of the browser window
ViewportOrientation | The orientation of the browser viewport, this can be portrait or landscape
ViewportWidth | The width of the browser viewport
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from BrowserObject)

Methods

Name | Description
AcceptAlert | Accepts a JavaScript alert by pressing OK.
Back | Goes back in the history.
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
CaptureFullPageBitmap | Capture a screenshot of the whole web page and save it as a file to the specified path. The filename extension determines the file type. Possible extensions are .jpg, .jpeg, .png, and .bmp.
Click | Clicks on the object. (Inherited from IClickable)
Close | Close a modal browser dialog, a tab of the browser, or the browser itself if it is the last tab (or IE6).
DismissAlert | Dismisses a JavaScript alert.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
ExecuteJavaScript | Evaluates JavaScript code within the top-level document context.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
Forward | Goes forward in the history.
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetAlertText | Retrieves the message text of a JavaScript alert.
GetBrowserMajorVersion | Returns the browser's major version number.
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHtmlRect | Retrieves the rectangle of the BrowserWindow in HTML pixels. The click function also uses HTML pixel coordinates for all DomElements. We recommend to use GetHtmlRect for all position calculations within the browser. This will ensure that your scripts are cross-browser capable and your position calculations are not affected by changing zoom levels on mobile browsers.
GetPageSource | Returns the page source of the web site
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetUrl | Returns the URL for the main document.
GetUserAgent | Returns the browser's user agent string
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsAlertPresent | Returns true if a JavaScript alert is open
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Navigate | Navigates the main document to an URL.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Reload | Reloads the main document as the reload button in the browser does.
SetFocus | Gives focus to the control. (Inherited from BrowserObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetViewportName | Set the size of the browser window to the specified size from your Browser Size list.
SetViewportSize | Sets the size of the browser window to the specified width and height.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: xBrowser Class Reference


DomButton Class

Description

A DomButton represents all DOM elements that were specified using one of the following tags: <input type='submit'>, <input type='reset'>, <input type='button'> or <button>.

Inheritance Hierarchy

  • DomElement
    • DomButton

Syntax

C#
public class DomButton : DomElement
VB
'Declaration
Public Class DomButton _
Inherits DomElement

Properties

Name | Description
IsFocused | Whether the DOM element has focus. (Inherited from DomElement)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from BrowserObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DomClick | Invokes a click using the DOM API. Alternatively you can invoke the Click function which will use low level replay for DomElements and subclasses. (Inherited from DomElement)
DomDoubleClick | Invokes a double click using the DOM API. Alternatively you can invoke the DoubleClick function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DomMouseMove | Invokes a mouse move using the DOM API. Alternatively you can use MouseMove function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
ExecuteJavaScript | Evaluates the given JavaScript code within the parent document's context. (Inherited from DomElement)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCssStyle | Retrieves the computed CSS style with the specified style name. (Inherited from DomElement)
GetDomAttribute | Gets the value of an object specific DOM attribute. (Inherited from DomElement)
GetDomAttributeList | Returns the names of all DOM attributes that are available for this element. This method is not supported for mobile Web applications. (Inherited from DomElement)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHtmlRect | Retrieves the rectangle of a DomElement relative to the BrowserWindow in HTML pixels. In contrast to the screen coordinates that are provided by the GetRect function, the coordinates provided by GetHtmlRect are not affected by the zoom level on mobile browsers. The click function also uses HTML pixel coordinates for all DomElements. We recommend to use GetHtmlRect for all position calculations within the browser. This will ensure that your scripts are cross-browser capable and your position calculations are not effected by changing zoom levels on mobile browsers. (Inherited from DomElement)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetText | Gets the visible text of a DOM element. (Inherited from DomElement)
Highlight | Highlights a DOM element. (Inherited from DomElement)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the DOM element into the visible area of the browser window. (Inherited from DomElement)
Select | Clicks a button.
SetDomAttribute | Sets the value of an object specific DOM attribute. (Inherited from DomElement)
SetFocus | Gives focus to the control. (Inherited from BrowserObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Unhighlight | Restores the original foreground and background colors. (Inherited from DomElement)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: xBrowser Class Reference


DomCheckBox Class

Description

A DomCheckBox represents all DOM elements that were specified using <input type='checkbox'> tag.

Inheritance Hierarchy

  • DomElement
    • DomCheckBox

Syntax

C#
public class DomCheckBox : DomElement
VB
'Declaration
Public Class DomCheckBox _
Inherits DomElement

Properties

Name | Description
IsFocused | Whether the DOM element has focus. (Inherited from DomElement)
State | The state of a check box. Values include: 1=checked,2=unchecked,3=undecided
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from BrowserObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks the check box.
Click | Clicks on the object. (Inherited from IClickable)
DomClick | Invokes a click using the DOM API. Alternatively you can invoke the Click function which will use low level replay for DomElements and subclasses. (Inherited from DomElement)
DomDoubleClick | Invokes a double click using the DOM API. Alternatively you can invoke the DoubleClick function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DomMouseMove | Invokes a mouse move using the DOM API. Alternatively you can use MouseMove function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
ExecuteJavaScript | Evaluates the given JavaScript code within the parent document's context. (Inherited from DomElement)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCssStyle | Retrieves the computed CSS style with the specified style name. (Inherited from DomElement)
GetDomAttribute | Gets the value of an object specific DOM attribute. (Inherited from DomElement)
GetDomAttributeList | Returns the names of all DOM attributes that are available for this element. This method is not supported for mobile Web applications. (Inherited from DomElement)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHtmlRect | Retrieves the rectangle of a DomElement relative to the BrowserWindow in HTML pixels. In contrast to the screen coordinates that are provided by the GetRect function, the coordinates provided by GetHtmlRect are not affected by the zoom level on mobile browsers. The click function also uses HTML pixel coordinates for all DomElements. We recommend to use GetHtmlRect for all position calculations within the browser. This will ensure that your scripts are cross-browser capable and your position calculations are not effected by changing zoom levels on mobile browsers. (Inherited from DomElement)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetText | Gets the visible text of a DOM element. (Inherited from DomElement)
Highlight | Highlights a DOM element. (Inherited from DomElement)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsChecked | Returns true if the checkbox is checked and false otherwise.
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the DOM element into the visible area of the browser window. (Inherited from DomElement)
Select | Selects the check box
SetDomAttribute | Sets the value of an object specific DOM attribute. (Inherited from DomElement)
SetFocus | Gives focus to the control. (Inherited from BrowserObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetUndecided | Sets the check box to the undecided state.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Toggle | Toggles the state of the check box. If the checkbox is checked it is unchecked and vice versa. If the checkbox is in the undecided state it is left undecided.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks the check box.
Unhighlight | Restores the original foreground and background colors. (Inherited from DomElement)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: xBrowser Class Reference


DomElement Class

Description

A DomElement represents any element in the DOM tree.

Inheritance Hierarchy

  • BrowserObject
    • DomElement
      • DomButton
      • DomCheckBox
      • DomEmbeddedElement
      • DomForm
      • DomLink
      • DomListBox
      • DomRadioButton
      • DomTable
      • DomTableRow
      • DomTextField

Syntax

C#
public class DomElement : BrowserObject
VB
'Declaration
Public Class DomElement _
Inherits BrowserObject

Properties

Name | Description
IsFocused | Whether the DOM element has focus.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from BrowserObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DomClick | Invokes a click using the DOM API. Alternatively you can invoke the Click function which will use low level replay for DomElements and subclasses.
DomDoubleClick | Invokes a double click using the DOM API. Alternatively you can invoke the DoubleClick function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications.
DomMouseMove | Invokes a mouse move using the DOM API. Alternatively you can use MouseMove function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
ExecuteJavaScript | Evaluates the given JavaScript code within the parent document's context.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCssStyle | Retrieves the computed CSS style with the specified style name.
GetDomAttribute | Gets the value of an object specific DOM attribute.
GetDomAttributeList | Returns the names of all DOM attributes that are available for this element. This method is not supported for mobile Web applications.
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHtmlRect | Retrieves the rectangle of a DomElement relative to the BrowserWindow in HTML pixels. In contrast to the screen coordinates that are provided by the GetRect function, the coordinates provided by GetHtmlRect are not affected by the zoom level on mobile browsers. The click function also uses HTML pixel coordinates for all DomElements. We recommend to use GetHtmlRect for all position calculations within the browser. This will ensure that your scripts are cross-browser capable and your position calculations are not effected by changing zoom levels on mobile browsers.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetText | Gets the visible text of a DOM element.
Highlight | Highlights a DOM element.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the DOM element into the visible area of the browser window.
SetDomAttribute | Sets the value of an object specific DOM attribute.
SetFocus | Gives focus to the control. (Inherited from BrowserObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Unhighlight | Restores the original foreground and background colors.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: xBrowser Class Reference


DomEmbeddedElement Class

Description

A DOM element that was specified by an <embed> or <object> tag.

Inheritance Hierarchy

  • DomElement
    • DomEmbeddedElement

Syntax

C#
public class DomEmbeddedElement : DomElement
VB
'Declaration
Public Class DomEmbeddedElement _
Inherits DomElement

Properties

Name | Description
IsFocused | Whether the DOM element has focus. (Inherited from DomElement)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from BrowserObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DomClick | Invokes a click using the DOM API. Alternatively you can invoke the Click function which will use low level replay for DomElements and subclasses. (Inherited from DomElement)
DomDoubleClick | Invokes a double click using the DOM API. Alternatively you can invoke the DoubleClick function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DomMouseMove | Invokes a mouse move using the DOM API. Alternatively you can use MouseMove function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
ExecuteJavaScript | Evaluates the given JavaScript code within the parent document's context. (Inherited from DomElement)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCssStyle | Retrieves the computed CSS style with the specified style name. (Inherited from DomElement)
GetDomAttribute | Gets the value of an object specific DOM attribute. (Inherited from DomElement)
GetDomAttributeList | Returns the names of all DOM attributes that are available for this element. This method is not supported for mobile Web applications. (Inherited from DomElement)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHtmlRect | Retrieves the rectangle of a DomElement relative to the BrowserWindow in HTML pixels. In contrast to the screen coordinates that are provided by the GetRect function, the coordinates provided by GetHtmlRect are not affected by the zoom level on mobile browsers. The click function also uses HTML pixel coordinates for all DomElements. We recommend to use GetHtmlRect for all position calculations within the browser. This will ensure that your scripts are cross-browser capable and your position calculations are not effected by changing zoom levels on mobile browsers. (Inherited from DomElement)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetText | Gets the visible text of a DOM element. (Inherited from DomElement)
Highlight | Highlights a DOM element. (Inherited from DomElement)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the DOM element into the visible area of the browser window. (Inherited from DomElement)
SetDomAttribute | Sets the value of an object specific DOM attribute. (Inherited from DomElement)
SetFocus | Gives focus to the control. (Inherited from BrowserObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Unhighlight | Restores the original foreground and background colors. (Inherited from DomElement)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: xBrowser Class Reference


DomForm Class

Description

A DomForm represents all DOM elements that were specified using the <form> tag. All methods and properties in this class are not supported for mobile Web applications.

Inheritance Hierarchy

  • DomElement
    • DomForm

Syntax

C#
public class DomForm : DomElement
VB
'Declaration
Public Class DomForm _
Inherits DomElement

Properties

Name | Description
IsFocused | Whether the DOM element has focus. (Inherited from DomElement)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from BrowserObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DomClick | Invokes a click using the DOM API. Alternatively you can invoke the Click function which will use low level replay for DomElements and subclasses. (Inherited from DomElement)
DomDoubleClick | Invokes a double click using the DOM API. Alternatively you can invoke the DoubleClick function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DomMouseMove | Invokes a mouse move using the DOM API. Alternatively you can use MouseMove function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
ExecuteJavaScript | Evaluates the given JavaScript code within the parent document's context. (Inherited from DomElement)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCssStyle | Retrieves the computed CSS style with the specified style name. (Inherited from DomElement)
GetDomAttribute | Gets the value of an object specific DOM attribute. (Inherited from DomElement)
GetDomAttributeList | Returns the names of all DOM attributes that are available for this element. This method is not supported for mobile Web applications. (Inherited from DomElement)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHtmlRect | Retrieves the rectangle of a DomElement relative to the BrowserWindow in HTML pixels. In contrast to the screen coordinates that are provided by the GetRect function, the coordinates provided by GetHtmlRect are not affected by the zoom level on mobile browsers. The click function also uses HTML pixel coordinates for all DomElements. We recommend to use GetHtmlRect for all position calculations within the browser. This will ensure that your scripts are cross-browser capable and your position calculations are not effected by changing zoom levels on mobile browsers. (Inherited from DomElement)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetText | Gets the visible text of a DOM element. (Inherited from DomElement)
Highlight | Highlights a DOM element. (Inherited from DomElement)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the DOM element into the visible area of the browser window. (Inherited from DomElement)
SetDomAttribute | Sets the value of an object specific DOM attribute. (Inherited from DomElement)
SetFocus | Gives focus to the control. (Inherited from BrowserObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Submit | Submits the form.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Unhighlight | Restores the original foreground and background colors. (Inherited from DomElement)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: xBrowser Class Reference


DomLink Class

Description

A DomLink represents all DOM elements that were specified using the <a> tag.

Inheritance Hierarchy

  • DomElement
    • DomLink

Syntax

C#
public class DomLink : DomElement
VB
'Declaration
Public Class DomLink _
Inherits DomElement

Properties

Name | Description
IsFocused | Whether the DOM element has focus. (Inherited from DomElement)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from BrowserObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DomClick | Invokes a click using the DOM API. Alternatively you can invoke the Click function which will use low level replay for DomElements and subclasses. (Inherited from DomElement)
DomDoubleClick | Invokes a double click using the DOM API. Alternatively you can invoke the DoubleClick function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DomMouseMove | Invokes a mouse move using the DOM API. Alternatively you can use MouseMove function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
ExecuteJavaScript | Evaluates the given JavaScript code within the parent document's context. (Inherited from DomElement)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCssStyle | Retrieves the computed CSS style with the specified style name. (Inherited from DomElement)
GetDomAttribute | Gets the value of an object specific DOM attribute. (Inherited from DomElement)
GetDomAttributeList | Returns the names of all DOM attributes that are available for this element. This method is not supported for mobile Web applications. (Inherited from DomElement)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHtmlRect | Retrieves the rectangle of a DomElement relative to the BrowserWindow in HTML pixels. In contrast to the screen coordinates that are provided by the GetRect function, the coordinates provided by GetHtmlRect are not affected by the zoom level on mobile browsers. The click function also uses HTML pixel coordinates for all DomElements. We recommend to use GetHtmlRect for all position calculations within the browser. This will ensure that your scripts are cross-browser capable and your position calculations are not effected by changing zoom levels on mobile browsers. (Inherited from DomElement)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetText | Gets the visible text of a DOM element. (Inherited from DomElement)
Highlight | Highlights a DOM element. (Inherited from DomElement)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the DOM element into the visible area of the browser window. (Inherited from DomElement)
Select | Clicks a link.
SetDomAttribute | Sets the value of an object specific DOM attribute. (Inherited from DomElement)
SetFocus | Gives focus to the control. (Inherited from BrowserObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Unhighlight | Restores the original foreground and background colors. (Inherited from DomElement)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: xBrowser Class Reference


DomListBox Class

Description

A DomListBox represents all DOM elements that were specified using the <select> tag.

Inheritance Hierarchy

  • DomElement
    • DomListBox

Syntax

C#
public class DomListBox : DomElement
VB
'Declaration
Public Class DomListBox _
Inherits DomElement

Properties

Name | Description
AllowsMultiSelect | whether the control is multiselectable.
IsFocused | Whether the DOM element has focus. (Inherited from DomElement)
ItemCount | the number of items in the listbox.
Items | the list of items in the listbox.
SelectedIndices | The indices of the selected item(s).
SelectedItems | The names of the selected item(s).
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from BrowserObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DomClick | Invokes a click using the DOM API. Alternatively you can invoke the Click function which will use low level replay for DomElements and subclasses. (Inherited from DomElement)
DomDoubleClick | Invokes a double click using the DOM API. Alternatively you can invoke the DoubleClick function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DomMouseMove | Invokes a mouse move using the DOM API. Alternatively you can use MouseMove function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
ExecuteJavaScript | Evaluates the given JavaScript code within the parent document's context. (Inherited from DomElement)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCssStyle | Retrieves the computed CSS style with the specified style name. (Inherited from DomElement)
GetDomAttribute | Gets the value of an object specific DOM attribute. (Inherited from DomElement)
GetDomAttributeList | Returns the names of all DOM attributes that are available for this element. This method is not supported for mobile Web applications. (Inherited from DomElement)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHtmlRect | Retrieves the rectangle of a DomElement relative to the BrowserWindow in HTML pixels. In contrast to the screen coordinates that are provided by the GetRect function, the coordinates provided by GetHtmlRect are not affected by the zoom level on mobile browsers. The click function also uses HTML pixel coordinates for all DomElements. We recommend to use GetHtmlRect for all position calculations within the browser. This will ensure that your scripts are cross-browser capable and your position calculations are not effected by changing zoom levels on mobile browsers. (Inherited from DomElement)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetText | Gets the visible text of a DOM element. (Inherited from DomElement)
Highlight | Highlights a DOM element. (Inherited from DomElement)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MultiSelect | Selects a list of items.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the DOM element into the visible area of the browser window. (Inherited from DomElement)
Select | Selects an item.
SetDomAttribute | Sets the value of an object specific DOM attribute. (Inherited from DomElement)
SetFocus | Gives focus to the control. (Inherited from BrowserObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Unhighlight | Restores the original foreground and background colors. (Inherited from DomElement)
Unselect | Unselects an item.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: xBrowser Class Reference


DomRadioButton Class

Description

A DomRadioButton represents all DOM elements that were specified using <input type='radio'> tag.

Inheritance Hierarchy

  • DomElement
    • DomRadioButton

Syntax

C#
public class DomRadioButton : DomElement
VB
'Declaration
Public Class DomRadioButton _
Inherits DomElement

Properties

Name | Description
IsFocused | Whether the DOM element has focus. (Inherited from DomElement)
RadioListItemCount | The number of items in the radiolist. This property is not supported for mobile Web applications.
RadioListItems | the list of items in the radio list
RadioListSelectedIndex | The index of the selected item. Setter for this property was removed with Silk Test 17.5, as it was never functional. This property is not supported for mobile Web applications.
RadioListSelectedItem | The item that is selected in the radiolist. Setter for this property was removed with Silk Test 17.5, as it was never functional. This property is not supported for mobile Web applications.
Selected | whether the radio button is selected.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from BrowserObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DomClick | Invokes a click using the DOM API. Alternatively you can invoke the Click function which will use low level replay for DomElements and subclasses. (Inherited from DomElement)
DomDoubleClick | Invokes a double click using the DOM API. Alternatively you can invoke the DoubleClick function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DomMouseMove | Invokes a mouse move using the DOM API. Alternatively you can use MouseMove function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
ExecuteJavaScript | Evaluates the given JavaScript code within the parent document's context. (Inherited from DomElement)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCssStyle | Retrieves the computed CSS style with the specified style name. (Inherited from DomElement)
GetDomAttribute | Gets the value of an object specific DOM attribute. (Inherited from DomElement)
GetDomAttributeList | Returns the names of all DOM attributes that are available for this element. This method is not supported for mobile Web applications. (Inherited from DomElement)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHtmlRect | Retrieves the rectangle of a DomElement relative to the BrowserWindow in HTML pixels. In contrast to the screen coordinates that are provided by the GetRect function, the coordinates provided by GetHtmlRect are not affected by the zoom level on mobile browsers. The click function also uses HTML pixel coordinates for all DomElements. We recommend to use GetHtmlRect for all position calculations within the browser. This will ensure that your scripts are cross-browser capable and your position calculations are not effected by changing zoom levels on mobile browsers. (Inherited from DomElement)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetText | Gets the visible text of a DOM element. (Inherited from DomElement)
Highlight | Highlights a DOM element. (Inherited from DomElement)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
RadioListSelect | Selects an item in the radio list.
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the DOM element into the visible area of the browser window. (Inherited from DomElement)
Select | Selects the radio button.
SetDomAttribute | Sets the value of an object specific DOM attribute. (Inherited from DomElement)
SetFocus | Gives focus to the control. (Inherited from BrowserObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Unhighlight | Restores the original foreground and background colors. (Inherited from DomElement)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: xBrowser Class Reference


DomTable Class

Description

A DomTable represents the <table> tag. All methods and properties in this class are not supported for mobile Web applications.

Inheritance Hierarchy

  • DomElement
    • DomTable

Syntax

C#
public class DomTable : DomElement
VB
'Declaration
Public Class DomTable _
Inherits DomElement

Properties

Name | Description
IsFocused | Whether the DOM element has focus. (Inherited from DomElement)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from BrowserObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DomClick | Invokes a click using the DOM API. Alternatively you can invoke the Click function which will use low level replay for DomElements and subclasses. (Inherited from DomElement)
DomDoubleClick | Invokes a double click using the DOM API. Alternatively you can invoke the DoubleClick function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DomMouseMove | Invokes a mouse move using the DOM API. Alternatively you can use MouseMove function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
ExecuteJavaScript | Evaluates the given JavaScript code within the parent document's context. (Inherited from DomElement)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetCell | Returns the specified cell.
GetCellText | Returns the content of a cell element.
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetColumnCount | Number of columns of the table.
GetCssStyle | Retrieves the computed CSS style with the specified style name. (Inherited from DomElement)
GetDomAttribute | Gets the value of an object specific DOM attribute. (Inherited from DomElement)
GetDomAttributeList | Returns the names of all DOM attributes that are available for this element. This method is not supported for mobile Web applications. (Inherited from DomElement)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHtmlRect | Retrieves the rectangle of a DomElement relative to the BrowserWindow in HTML pixels. In contrast to the screen coordinates that are provided by the GetRect function, the coordinates provided by GetHtmlRect are not affected by the zoom level on mobile browsers. The click function also uses HTML pixel coordinates for all DomElements. We recommend to use GetHtmlRect for all position calculations within the browser. This will ensure that your scripts are cross-browser capable and your position calculations are not effected by changing zoom levels on mobile browsers. (Inherited from DomElement)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetRow | Returns the DOM element for the specified row.
GetRowCount | Returns the number of rows
GetRows | Returns a list of rows (DomTableRows)
GetRowText | Returns the content of all cell elements of a specified row.
GetText | Gets the visible text of a DOM element. (Inherited from DomElement)
Highlight | Highlights a DOM element. (Inherited from DomElement)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the DOM element into the visible area of the browser window. (Inherited from DomElement)
SetDomAttribute | Sets the value of an object specific DOM attribute. (Inherited from DomElement)
SetFocus | Gives focus to the control. (Inherited from BrowserObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Unhighlight | Restores the original foreground and background colors. (Inherited from DomElement)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: xBrowser Class Reference


DomTableRow Class

Description

A DomTableRow represents the <tr> tag. All methods and properties in this class are not supported for mobile Web applications.

Inheritance Hierarchy

  • DomElement
    • DomTableRow

Syntax

C#
public class DomTableRow : DomElement
VB
'Declaration
Public Class DomTableRow _
Inherits DomElement

Properties

Name | Description
IsFocused | Whether the DOM element has focus. (Inherited from DomElement)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from BrowserObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DomClick | Invokes a click using the DOM API. Alternatively you can invoke the Click function which will use low level replay for DomElements and subclasses. (Inherited from DomElement)
DomDoubleClick | Invokes a double click using the DOM API. Alternatively you can invoke the DoubleClick function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DomMouseMove | Invokes a mouse move using the DOM API. Alternatively you can use MouseMove function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
ExecuteJavaScript | Evaluates the given JavaScript code within the parent document's context. (Inherited from DomElement)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetCell | Returns the DOM element in the given cell.
GetCellCount | Returns the number of cells in this table row
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCssStyle | Retrieves the computed CSS style with the specified style name. (Inherited from DomElement)
GetDomAttribute | Gets the value of an object specific DOM attribute. (Inherited from DomElement)
GetDomAttributeList | Returns the names of all DOM attributes that are available for this element. This method is not supported for mobile Web applications. (Inherited from DomElement)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHtmlRect | Retrieves the rectangle of a DomElement relative to the BrowserWindow in HTML pixels. In contrast to the screen coordinates that are provided by the GetRect function, the coordinates provided by GetHtmlRect are not affected by the zoom level on mobile browsers. The click function also uses HTML pixel coordinates for all DomElements. We recommend to use GetHtmlRect for all position calculations within the browser. This will ensure that your scripts are cross-browser capable and your position calculations are not effected by changing zoom levels on mobile browsers. (Inherited from DomElement)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetText | Gets the visible text of a DOM element. (Inherited from DomElement)
Highlight | Highlights a DOM element. (Inherited from DomElement)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the DOM element into the visible area of the browser window. (Inherited from DomElement)
SetDomAttribute | Sets the value of an object specific DOM attribute. (Inherited from DomElement)
SetFocus | Gives focus to the control. (Inherited from BrowserObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Unhighlight | Restores the original foreground and background colors. (Inherited from DomElement)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: xBrowser Class Reference


DomTextField Class

Description

A DomTextField represents DOM elements that were specified using one of the following tags: <input type='text'>, <input type='password'>, <input type='file'> or <textarea>.

Inheritance Hierarchy

  • DomElement
    • DomTextField

Syntax

C#
public class DomTextField : DomElement
VB
'Declaration
Public Class DomTextField _
Inherits DomElement

Properties

Name | Description
IsFocused | Whether the DOM element has focus. (Inherited from DomElement)
IsPassword | whether the text field is a password text field.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from BrowserObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ClearText | Clears the textfield's text
Click | Clicks on the object. (Inherited from IClickable)
DomClick | Invokes a click using the DOM API. Alternatively you can invoke the Click function which will use low level replay for DomElements and subclasses. (Inherited from DomElement)
DomDoubleClick | Invokes a double click using the DOM API. Alternatively you can invoke the DoubleClick function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DomMouseMove | Invokes a mouse move using the DOM API. Alternatively you can use MouseMove function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
ExecuteJavaScript | Evaluates the given JavaScript code within the parent document's context. (Inherited from DomElement)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCssStyle | Retrieves the computed CSS style with the specified style name. (Inherited from DomElement)
GetDomAttribute | Gets the value of an object specific DOM attribute. (Inherited from DomElement)
GetDomAttributeList | Returns the names of all DOM attributes that are available for this element. This method is not supported for mobile Web applications. (Inherited from DomElement)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHtmlRect | Retrieves the rectangle of a DomElement relative to the BrowserWindow in HTML pixels. In contrast to the screen coordinates that are provided by the GetRect function, the coordinates provided by GetHtmlRect are not affected by the zoom level on mobile browsers. The click function also uses HTML pixel coordinates for all DomElements. We recommend to use GetHtmlRect for all position calculations within the browser. This will ensure that your scripts are cross-browser capable and your position calculations are not effected by changing zoom levels on mobile browsers. (Inherited from DomElement)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetText | Gets the visible text of a DOM element. (Inherited from DomElement)
Highlight | Highlights a DOM element. (Inherited from DomElement)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the DOM element into the visible area of the browser window. (Inherited from DomElement)
SetDomAttribute | Sets the value of an object specific DOM attribute. (Inherited from DomElement)
SetFocus | Gives focus to the control. (Inherited from BrowserObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetText | Sets the text.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Unhighlight | Restores the original foreground and background colors. (Inherited from DomElement)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: xBrowser Class Reference


Name プロパティ (KeywordGroupAttribute)

クラス

KeywordGroupAttribute。

処理

キーワード グループの名前を取得します。デフォルト値は空の文字列です。

構文

C#
public String Name { get; }
VB
'Declaration
Public Read Property Name As String

アクセス

読み取り専用。


Name プロパティ (ArgumentAttribute)

クラス

ArgumentAttribute。

処理

引数の名前を取得します。

構文

C#
public String Name { get; }
VB
'Declaration
Public Read Property Name As String

アクセス

読み取り専用。


Description プロパティ (KeywordAttribute)

クラス

KeywordAttribute。

処理

キーワードの説明を取得します。デフォルト値は空の文字列です。

構文

C#
public String Description { get; }
VB
'Declaration
Public Read Property Description As String

アクセス

読み取り専用。


Name プロパティ (KeywordAttribute)

クラス

KeywordAttribute。

処理

キーワードの名前を取得します。デフォルト値は空の文字列です。

構文

C#
public String Name { get; }
VB
'Declaration
Public Read Property Name As String

アクセス

読み取り専用。


AllowsCheck Property (Table)

Class

Table.

Action

Gets whether the control can display a checkmark.

Syntax

C#
protected Boolean AllowsCheck { get; }
VB
'Declaration
Protected Read Property AllowsCheck As Boolean

Access

Read only.


AllowsCheck Property (Tree)

Class

Tree.

Action

Gets whether the control can display a checkmark.

Syntax

C#
protected Boolean AllowsCheck { get; }
VB
'Declaration
Protected Read Property AllowsCheck As Boolean

Access

Read only.


AllowsMultiSelect Property (ListBox)

Class

ListBox.

Action

Gets whether the control supports selecting multiple items.

Syntax

C#
protected Boolean AllowsMultiSelect { get; }
VB
'Declaration
Protected Read Property AllowsMultiSelect As Boolean

Access

Read only.


AllowsMultiSelect Property (Table)

Class

Table.

Action

Gets whether the table supports selecting multiple items.

Syntax

C#
protected Boolean AllowsMultiSelect { get; }
VB
'Declaration
Protected Read Property AllowsMultiSelect As Boolean

Access

Read only.


AllowsMultiSelect Property (Tree)

Class

Tree.

Action

Gets whether the control supports selecting multiple items.

Syntax

C#
protected Boolean AllowsMultiSelect { get; }
VB
'Declaration
Protected Read Property AllowsMultiSelect As Boolean

Access

Read only.


Application Property (Window)

Class

Window.

Action

Gets the name of the Application that this Window belongs to.

Syntax

C#
protected String Application { get; }
VB
'Declaration
Protected Read Property Application As String

Access

Read only.


Background Property (GuiTestObject)

Class

GuiTestObject.

Action

Gets or sets the background color of the GUI object.

Syntax

C#
protected Color Background { get; set; }
VB
'Declaration
Protected ReadWrite Property Background As Color

Access

Read and write.


CaptureBitmap Method (TestObject)

Class

TestObject.

Action

Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose.

After capturing the object for the first time the Agent waits the time interval specified with the OPT_BITMAP_MATCH_INTERVAL option, and then recaptures the object, comparing the result against the first capture to ensure that the image is stable.

You set the number of consecutive bitmaps that must match with the OPT_BITMAP_MATCH_COUNT option. If the image is not stable after the time specified with the OPT_BITMAP_MATCH_TIMEOUT option, an BitmapNotStableException is thrown.

Syntax

C#
result = testObject.CaptureBitmap(fileName, [region])
VB
result = testObject.CaptureBitmap(fileName, [region])
Variable | Description
result | The absolute file name of the captured bitmap. String.
fileName | The absolute or relative file name to save the bitmap to. Append .png to the filename to save the bitmap as a PNG. String.
region | Optional: The coordinates for the capture region, relative to this object. Rectangle.


Checked Property (MenuItem)

Class

MenuItem.

Action

Gets or sets whether the menu item is checked.

Syntax

C#
protected Boolean Checked { get; set; }
VB
'Declaration
Protected ReadWrite Property Checked As Boolean

Access

Read and write.


Checked Property (TableRow)

Class

TableRow.

Action

Gets or sets whether the check box in the row is checked.

Syntax

C#
protected Boolean Checked { get; set; }
VB
'Declaration
Protected ReadWrite Property Checked As Boolean

Access

Read and write.


Check Method (CheckBox)

Class

CheckBox.

Action

Checks the check box.

Syntax

C#
checkBox.Check()
VB
checkBox.Check()


Check Method (Table)

Class

Table.

Action

Checks the check box in the defined row of a table.

Syntax

C#
table.Check(item)
VB
table.Check(item)
Variable | Description
item | The row in which to check the check box. ItemIdentifier.


Check Method (Tree)

Class

Tree.

Action

Checks the check box.

Syntax

C#
tree.Check(itemPath)
VB
tree.Check(itemPath)
Variable | Description
itemPath | The path of the item to check. ItemPath.


ClearText Method (ComboBox)

Class

ComboBox.

Action

Removes all text from the combo box.

Syntax

C#
comboBox.ClearText()
VB
comboBox.ClearText()


ClearText Method (TextField)

Class

TextField.

Action

Removes all text from the text field.

Syntax

C#
textField.ClearText()
VB
textField.ClearText()


Click Method (IClickable)

Class

IClickable.

Action

Clicks on the object.

Syntax

C#
iClickable.Click([button, pos, modifiers])
VB
iClickable.Click([button, pos, modifiers])
Variable | Description
button | Optional: The mouse button to press. Values include: 1=left, 2=right,3=center,... MouseButton.
pos | Optional: The coordinates (relative to the object) at which to click. Point.
modifiers | Optional: The modifier. ModifierKeys.

Examples

C#

For example, in order to click on a certain position within a control, type the following:
control.Click(MouseButton.Left, new Point(244, 16));
The following example uses the left mouse button to click in the center of the control:
control.Click();

VB

For example, in order to click on a certain position within a control, type the following:
control.Click(MouseButton.Left, New Point(244, 16))
The following example uses the left mouse button to click in the center of the control:
control.Click()


Close Method (IMoveable)

Class

IMoveable.

Action

Closes the window.

Syntax

C#
iMoveable.Close()
VB
iMoveable.Close()


CloseSynchron Method (IMoveable)

Class

IMoveable.

Action

Closes the window and waits until the window is closed.

The method attempts to close the window by trying the following events, in this sequence, stopping when the window closes:
  1. Call the close() method on the window.
  2. If the window is a dialog, type the keys specified in the option OPT_CLOSE_DIALOG_KEYS and wait one second for the dialog to close.
  3. If there is a single button in the window, click that button.
  4. If the closeConfirm parameter is set to true: Click the list of buttons specified with the option OPT_CLOSE_WINDOW_BUTTONS.
  5. Select the menus specified with option OPT_CLOSE_WINDOW_MENUS.
  6. Use Alt+F4.

This method supports several specifications you can make to help the Open Agent closes a window. You can make these specification by use Desktop.setOption(String, Object) to set the appropriate values for the mentioned options. For example, if closing the window opens a confirmation dialog with a button that contains the text "Do not save" use:

desktop.setOption(CommonOptions.OPT_CLOSE_CONFIRM_BUTTONS, Arrays.asList("Do not save"));

Close may fail. For example, if closing a window causes the application to display a message box and closeConfirm is set to false, or if the buttons used to close the message box are not covered under the OPT_CLOSE_CONFIRM_BUTTONS option, the call will fail and raise a CloseFailedException.

Syntax

C#
iMoveable.CloseSynchron([closeConfirm])
VB
iMoveable.CloseSynchron([closeConfirm])
Variable | Description
closeConfirm | Optional: Specifies whether to close confirmation dialogs that may pop up when closing the window, for example a 'Save changes' dialog. Use true to close confirmation dialogs and false to raise an exception if a confirmation dialog pops up. If set to true the value of the option OPT_CLOSE_CONFIRM_BUTTONS is used to determine which button to select in order to close confirmation dialogs. Boolean.


Collapse Method (Tree)

Class

Tree.

Action

Collapses an item in a treeview control.

Syntax

C#
tree.Collapse(itemPath)
VB
tree.Collapse(itemPath)
Variable | Description
itemPath | The path of the item to collapse. ItemPath.


ColumnCount Property (Table)

Class

Table.

Action

Gets the number of columns in the table.

Syntax

C#
protected Integer ColumnCount { get; }
VB
'Declaration
Protected Read Property ColumnCount As Integer

Access

Read only.


ColumnItems Property (Table)

Class

Table.

Action

Gets a list of all items in the column.

Syntax

C#
protected List(Of TableColumn) ColumnItems { get; }
VB
'Declaration
Protected Read Property ColumnItems As List(Of TableColumn)

Access

Read only.


DoubleClick Method (IClickable)

Class

IClickable.

Action

Double-clicks a mouse button on the object.

Syntax

C#
iClickable.DoubleClick([button, pos, modifiers])
VB
iClickable.DoubleClick([button, pos, modifiers])
Variable | Description
button | Optional: The mouse button to press. Values include: 1=left, 2=right,3=center,... MouseButton.
pos | Optional: The coordinates (relative to the object) at which to click. Point.
modifiers | Optional: The modifier. ModifierKeys.


DoubleSelect Method (ListBox)

Class

ListBox.

Action

Double-clicks an item in the list box.

Syntax

C#
listBox.DoubleSelect(item, [modifiers])
VB
listBox.DoubleSelect(item, [modifiers])
Variable | Description
item | The item to select. ItemIdentifier.
modifiers | Optional: The modifier to click. ModifierKeys.


DoubleSelect Method (Table)

Class

Table.

Action

Double-clicks an item.

Syntax

C#
table.DoubleSelect(row, [column, modifiers])
VB
table.DoubleSelect(row, [column, modifiers])
Variable | Description
row | The row to double-click. ItemIdentifier.
column | Optional: The column to double-click. ItemIdentifier.
modifiers | Optional: The modifier that is used when double-clicking. ModifierKeys.


DoubleSelect Method (Tree)

Class

Tree.

Action

Double-clicks an item.

Syntax

C#
tree.DoubleSelect(itemPath, [modifiers])
VB
tree.DoubleSelect(itemPath, [modifiers])
Variable | Description
itemPath | The item to select. ItemPath.
modifiers | Optional: The modifier to double-click. ModifierKeys.


Enabled Property (GuiTestObject)

Class

GuiTestObject.

Action

Gets or sets whether the GUI object is enabled.

Syntax

C#
protected Boolean Enabled { get; set; }
VB
'Declaration
Protected ReadWrite Property Enabled As Boolean

Access

Read and write.


Exists Method (TestObject)

Class

TestObject.

Action

Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately.

Syntax

C#
result = testObject.Exists(locator, [timeout])
VB
result = testObject.Exists(locator, [timeout])
Variable | Description
result | true if a child object with the given locator is found and false otherwise. Boolean.
locator | The XPath locator of the child object. Example: "//PushButton[@caption='ok']" . String.
timeout | Optional: The timeout in milliseconds. If the initial find operation does not match anything the agent retries to find an object until the timeout expires. Integer.


Expand Method (Tree)

Class

Tree.

Action

Expands an object in a treeview control.

Syntax

C#
tree.Expand(itemPath)
VB
tree.Expand(itemPath)
Variable | Description
itemPath | The path of the item to expand. ItemPath.


ExtendSelect Method (ListBox)

Class

ListBox.

Action

Selects a range of items by extending the selection in the list box.

Syntax

C#
listBox.ExtendSelect(item)
VB
listBox.ExtendSelect(item)
Variable | Description
item | The item to select. ItemIdentifier.


ExtendSelectRow Method (Table)

Class

Table.

Action

Selects a range of rows.

Syntax

C#
table.ExtendSelectRow(row, [column])
VB
table.ExtendSelectRow(row, [column])
Variable | Description
row | The row to select. ItemIdentifier.
column | Optional: The column to select. ItemIdentifier.


FocusRow Method (Table)

Class

Table.

Action

Focuses on a row in the table.

Syntax

C#
table.FocusRow(row)
VB
table.FocusRow(row)
Variable | Description
row | The row to select. ItemIdentifier.


Font Property (GuiTestObject)

Class

GuiTestObject.

Action

Gets or sets the font type of the GUI object.

Syntax

C#
protected String Font { get; set; }
VB
'Declaration
Protected ReadWrite Property Font As String

Access

Read and write.


Foreground Property (GuiTestObject)

Class

GuiTestObject.

Action

Gets or sets the foreground color of the GUI object.

Syntax

C#
protected Color Foreground { get; set; }
VB
'Declaration
Protected ReadWrite Property Foreground As Color

Access

Read and write.


GenerateLocator Method (TestObject)

Class

TestObject.

Action

Returns a locator for this object.

The locator is created in the same way it is created during recording.

Syntax

C#
result = testObject.GenerateLocator()
VB
result = testObject.GenerateLocator()
Variable | Description
result | String.


GetChildren Method (TestObject)

Class

TestObject.

Action

Returns the child objects of this object.

Syntax

C#
children = testObject.GetChildren()
VB
children = testObject.GetChildren()
Variable | Description
children | List(Of TestObject).


GetCloseWindows Method (IMoveable)

Class

IMoveable.

Action

Returns the windows that need to be closed in order so that only the main window of the application is open.

Syntax

C#
closeWindows = iMoveable.GetCloseWindows()
VB
closeWindows = iMoveable.GetCloseWindows()
Variable | Description
closeWindows | List(Of Moveable).


GetDynamicMethodList Method (TestObject)

Class

TestObject.

Action

Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject.

Syntax

C#
dynamicMethodList = testObject.GetDynamicMethodList()
VB
dynamicMethodList = testObject.GetDynamicMethodList()
Variable | Description
dynamicMethodList | All dynamic methods for this TestObject. List(Of String).


GetFocus Method (IMoveable)

Class

IMoveable.

Action

Returns the object with the input focus.

Syntax

C#
focus = iMoveable.GetFocus()
VB
focus = iMoveable.GetFocus()
Variable | Description
focus | TestObject.


GetHorizontalBar Method (IScrollable)

Class

IScrollable.

Action

Returns the horizontal scroll bar for this control.

Note: BrowserApplication is derived from BaseGuiTestObject and inherits the two scrollbar methods GetHorizontalBar and GetVerticalBar. However, these two methods do not work on a BrowserApplication.

Syntax

C#
horizontalBar = iScrollable.GetHorizontalBar()
VB
horizontalBar = iScrollable.GetHorizontalBar()
Variable | Description
horizontalBar | HorizontalScrollBar.


GetItemCount Method (Menu)

Class

Menu.

Action

Returns the number of menu items for this menu. Also includes separator menu items.

Syntax

C#
itemCount = menu.GetItemCount()
VB
itemCount = menu.GetItemCount()
Variable | Description
itemCount | Integer.


GetItemPaths Method (Tree)

Class

Tree.

Action

The GetItemPaths method is deprecated. Since Silk Test 2011 use the ItemPaths property instead for retrieving all items of a tree.

Returns all items of the tree as a list of itempaths.

Syntax

C#
itemPaths = tree.GetItemPaths()
VB
itemPaths = tree.GetItemPaths()
Variable | Description
itemPaths | List(Of ItemPath ).


GetMultiText Method (TextField)

Class

TextField.

Action

Returns the specified lines of text in the multi-line text field.

Syntax

C#
multiText = textField.GetMultiText([StartLine, numberOfLines])
VB
multiText = textField.GetMultiText([StartLine, numberOfLines])
Variable | Description
multiText | List(Of String).
StartLine | Optional: The number of the first line to return. The value is zero-based. Integer.
numberOfLines | Optional: The number of lines to return. Integer.


GetNextCloseWindow Method (IMoveable)

Class

IMoveable.

Action

Returns the next window that need to be closed in order to close all windows of the application except the main window.

Syntax

C#
nextCloseWindow = iMoveable.GetNextCloseWindow()
VB
nextCloseWindow = iMoveable.GetNextCloseWindow()
Variable | Description
nextCloseWindow | Moveable.


GetParent Method (TestObject)

Class

TestObject.

Action

Looks up the parent of this object in the test application.

Syntax

C#
parent = testObject.GetParent()
VB
parent = testObject.GetParent()
Variable | Description
parent | The parent or the desktop if this object has no other parent. TestObject.


GetPropertyList Method (TestObject)

Class

TestObject.

Action

Returns a list of property names that can be retrieved for the given object.

Syntax

C#
propertyList = testObject.GetPropertyList()
VB
propertyList = testObject.GetPropertyList()
Variable | Description
propertyList | List(Of String).

Examples

C#

List<string> propertyList = testObject.GetPropertyList();

VB

Dim propertyList As List(Of String)
propertyList = testObject.GetPropertyList()


GetRect Method (TestObject)

Class

TestObject.

Action

Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object.

Syntax

C#
rect = testObject.GetRect([absoluteCoordinates])
VB
rect = testObject.GetRect([absoluteCoordinates])
Variable | Description
rect | Rectangle.
absoluteCoordinates | Optional: If true global coordinates are returned (relative to the entire screen), otherwise the returned coordinates are relative to the parent window that contains this object. Boolean.


GetVerticalBar Method (IScrollable)

Class

IScrollable.

Action

Returns the vertical scroll bar for this control.

Note: BrowserApplication is derived from BaseGuiTestObject and inherits the two scrollbar methods GetHorizontalBar and GetVerticalBar. However, these two methods do not work on a BrowserApplication.

Syntax

C#
verticalBar = iScrollable.GetVerticalBar()
VB
verticalBar = iScrollable.GetVerticalBar()
Variable | Description
verticalBar | VerticalScrollBar.


HighlightObject Method (TestObject)

Class

TestObject.

Action

Highlights this object.

Syntax

C#
testObject.HighlightObject([timeout, color])
VB
testObject.HighlightObject([timeout, color])
Variable | Description
timeout | Optional: Specifies a timeout in milliseconds for highlighting the object. If no timeout is specified the object remains highlighted forever or until a different object is highlighted. Integer.
color | Optional: Specifies the color to use for highlighting this object. If no color is specified the default color is used. Color.


InvokeMethods Method (TestObject)

Class

TestObject.

Action

Dynamically invokes a sequence of methods starting at this TestObject.

Each method call except the last one must have a return object. Each return object becomes the target for calling the next method in the list of method names with the next argument list in the list of parameters until the last method call. If the method names, argument lists, or returned objects do not match, a runtime error is generated.

This method is implemented for WPF, Windows Forms, Silverlight, Java SWT and Java Swing.

Syntax

C#
result = testObject.InvokeMethods(names, parameters)
VB
result = testObject.InvokeMethods(names, parameters)
Variable | Description
result | The result of the last method that was invoked. Object.
names | A list of method names in the order that they are to be called. List(Of String).
parameters | A list that contains a list of arguments for every method. Trailing empty argument lists may be omitted. List(Of List(Of Object)).


IsActive Method (IMoveable)

Class

IMoveable.

Action

Returns whether the window is set to active.

Syntax

C#
active = iMoveable.IsActive()
VB
active = iMoveable.IsActive()
Variable | Description
active | Boolean.


IsChecked Method (CheckBox)

Class

CheckBox.

Action

Returns true if the checkbox is checked and false otherwise.

Syntax

C#
checked = checkBox.IsChecked()
VB
checked = checkBox.IsChecked()
Variable | Description
checked | Boolean.


IsExpandable Method (Tree)

Class

Tree.

Action

Checks if the given item can be expanded.

Syntax

C#
expandable = tree.IsExpandable(itemPath)
VB
expandable = tree.IsExpandable(itemPath)
Variable | Description
expandable | Can the item be expanded. Boolean.
itemPath | The path of the item to check if it can be expanded. ItemPath.


IsExpanded Method (Tree)

Class

Tree.

Action

Checks if the given item is expanded.

Syntax

C#
expanded = tree.IsExpanded(itemPath)
VB
expanded = tree.IsExpanded(itemPath)
Variable | Description
expanded | Is the item expanded. Boolean.
itemPath | The path of the item to check if it is expanded. ItemPath.


IsFocused Method (IFocusable)

Class

IFocusable.

Action

Return whether the control has focus.

Syntax

C#
focused = iFocusable.IsFocused()
VB
focused = iFocusable.IsFocused()
Variable | Description
focused | True if this object has the focus. Boolean.


IsPassword Property (TextField)

Class

TextField.

Action

Gets whether the control is a password text field.

Syntax

C#
protected Boolean IsPassword { get; }
VB
'Declaration
Protected Read Property IsPassword As Boolean

Access

Read only.


ItemCount Property (ComboBox)

Class

ComboBox.

Action

Gets the number of items in the combo box list.

Syntax

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

Access

Read only.


ItemCount Property (ListBox)

Class

ListBox.

Action

Gets the number of items in the list box.

Syntax

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

Access

Read only.


ItemCount Property (RadioList)

Class

RadioList.

Action

Gets the number of items in the radio list.

Syntax

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

Access

Read only.


ItemCount Property (TabControl)

Class

TabControl.

Action

Gets the number of items in the tab control.

Syntax

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

Access

Read only.


ItemCount Property (TableRow)

Class

TableRow.

Action

Gets the number of items in the row.

Syntax

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

Access

Read only.


ItemCount Property (Tree)

Class

Tree.

Action

Gets the number of items in the tree (including all children).

Syntax

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

Access

Read only.


ItemPaths Property (Tree)

Class

Tree.

Action

Gets a list of items in the tree (including all children).

Syntax

C#
protected List(Of ItemPath) ItemPaths { get; }
VB
'Declaration
Protected Read Property ItemPaths As List(Of ItemPath)

Access

Read only.


Items Property (ComboBox)

Class

ComboBox.

Action

Gets a list of items in the combo box list.

Syntax

C#
protected List(Of ItemIdentifier) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

Access

Read only.


Items Property (ListBox)

Class

ListBox.

Action

Gets a list of items in the list box.

Syntax

C#
protected List(Of ItemIdentifier) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

Access

Read only.


Items Property (RadioList)

Class

RadioList.

Action

Gets a list of items in the radio list.

Syntax

C#
protected List(Of ItemIdentifier) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

Access

Read only.


Items Property (TabControl)

Class

TabControl.

Action

Gets a list of items in the tab control.

Syntax

C#
protected List(Of ItemIdentifier) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

Access

Read only.


Items Property (TableRow)

Class

TableRow.

Action

Gets or sets a list of items in the row.

Syntax

C#
protected List(Of String) Items { get; set; }
VB
'Declaration
Protected ReadWrite Property Items As List(Of String)

Access

Read and write.


Items Property (Tree)

Class

Tree.

Action

The Items property is deprecated. Since Silk Test 2011 use the ItemPaths property instead for retrieving all items of a tree.

Gets a list of items in the tree (including all children).

Syntax

C#
protected TreeContent Items { get; }
VB
'Declaration
Protected Read Property Items As TreeContent

Access

Read only.


Maximize Method (IMoveable)

Class

IMoveable.

Action

Maximizes the window.

Syntax

C#
iMoveable.Maximize()
VB
iMoveable.Maximize()


Minimize Method (IMoveable)

Class

IMoveable.

Action

Reduces the window to an icon.

Syntax

C#
iMoveable.Minimize()
VB
iMoveable.Minimize()


MouseMove Method (IClickable)

Class

IClickable.

Action

Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications.

Syntax

C#
iClickable.MouseMove([pos])
VB
iClickable.MouseMove([pos])
Variable | Description
pos | Optional: The coordinates (relative to the window) of the new location. Point.


Move Method (IMoveable)

Class

IMoveable.

Action

Moves the window.

Syntax

C#
iMoveable.Move(pos)
VB
iMoveable.Move(pos)
Variable | Description
pos | The window coordinates. Point.


MultiLine Property (TextField)

Class

TextField.

Action

Gets whether the control is multiline.

Syntax

C#
protected Boolean MultiLine { get; }
VB
'Declaration
Protected Read Property MultiLine As Boolean

Access

Read only.


MultiSelect Method (ListBox)

Class

ListBox.

Action

Selects an item in the multi- or extend-selection list box.

Syntax

C#
listBox.MultiSelect(item)
VB
listBox.MultiSelect(item)
Variable | Description
item | The item to select. ItemIdentifier.


MultiSelectRow Method (Table)

Class

Table.

Action

Adds a row from the table to the set of selected rows.

Syntax

C#
table.MultiSelectRow(row, [column])
VB
table.MultiSelectRow(row, [column])
Variable | Description
row | The row to select. ItemIdentifier.
column | Optional: The column to select. ItemIdentifier.


MultiUnselect Method (ListBox)

Class

ListBox.

Action

Unselects an item in the multi- or extend-selection list box.

Syntax

C#
listBox.MultiUnselect(item)
VB
listBox.MultiUnselect(item)
Variable | Description
item | The item to select. ItemIdentifier.


MultiUnselectRow Method (Table)

Class

Table.

Action

Removes a row from the set of selected rows.

Syntax

C#
table.MultiUnselectRow(row, [column])
VB
table.MultiUnselectRow(row, [column])
Variable | Description
row | The row to select. ItemIdentifier.
column | Optional: The column to select. ItemIdentifier.


NativeHandle Property (INativeWindow)

Class

INativeWindow.

Action

Gets the native window handle for the object.

Syntax

C#
protected Integer NativeHandle { get; }
VB
'Declaration
Protected Read Property NativeHandle As Integer

Access

Read only.


OpenContextMenu Method (BaseGuiTestObject)

Class

BaseGuiTestObject.

Action

Opens a context menu at the specified position.

Syntax

C#
baseGuiTestObject.OpenContextMenu([pos])
VB
baseGuiTestObject.OpenContextMenu([pos])
Variable | Description
pos | Optional: The coordinates to open the context menu relative to the control on which this function is called. Point.


Open Method (DropDownToolItem)

Class

DropDownToolItem.

Action

Opens an item.

Syntax

C#
dropDownToolItem.Open()
VB
dropDownToolItem.Open()


PageDown Method (VerticalScrollBar)

Class

VerticalScrollBar.

Action

Scrolls the scroll bar page-wise down.

Syntax

C#
verticalScrollBar.PageDown([amount])
VB
verticalScrollBar.PageDown([amount])
Variable | Description
amount | Optional: The number of ticks to scroll. Integer.


PageLeft Method (HorizontalScrollBar)

Class

HorizontalScrollBar.

Action

Scrolls the scroll bar page-wise left.

Syntax

C#
horizontalScrollBar.PageLeft([amount])
VB
horizontalScrollBar.PageLeft([amount])
Variable | Description
amount | Optional: The number of ticks to scroll. Integer.


PageRight Method (HorizontalScrollBar)

Class

HorizontalScrollBar.

Action

Scrolls the scroll bar page-wise right.

Syntax

C#
horizontalScrollBar.PageRight([amount])
VB
horizontalScrollBar.PageRight([amount])
Variable | Description
amount | Optional: The number of ticks to scroll. Integer.


PageSize Property (ScrollBar)

Class

ScrollBar.

Action

Gets or sets the internal page size of the scroll bar.

Syntax

C#
protected Integer PageSize { get; set; }
VB
'Declaration
Protected ReadWrite Property PageSize As Integer

Access

Read and write.


PageUp Method (VerticalScrollBar)

Class

VerticalScrollBar.

Action

Scrolls the scroll bar page-wise up.

Syntax

C#
verticalScrollBar.PageUp([amount])
VB
verticalScrollBar.PageUp([amount])
Variable | Description
amount | Optional: The number of ticks to scroll. Integer.


Position Property (Scale)

Class

Scale.

Action

Gets or sets the actual position of the scale caret.

Syntax

C#
protected Integer Position { get; set; }
VB
'Declaration
Protected ReadWrite Property Position As Integer

Access

Read and write.


Position Property (ScrollBar)

Class

ScrollBar.

Action

Gets or sets the actual position of the scroll bar caret.

Syntax

C#
protected Integer Position { get; set; }
VB
'Declaration
Protected ReadWrite Property Position As Integer

Access

Read and write.


Position Property (TextField)

Class

TextField.

Action

Gets or sets the position of the caret within the text field.

Syntax

C#
protected TextPosition Position { get; set; }
VB
'Declaration
Protected ReadWrite Property Position As TextPosition

Access

Read and write.


Pressed Property (PushButton)

Class

PushButton.

Action

Gets whether the pushbutton is pressed.

Syntax

C#
protected Boolean Pressed { get; }
VB
'Declaration
Protected Read Property Pressed As Boolean

Access

Read only.


PressKeys Method (IKeyable)

Class

IKeyable.

Action

Presses (but does not release) a set of keys or mouse buttons.

PressKeys is not supported for native mobile applications.Valid keystrokes for all browsers except Internet Explorer include:
  • <Alt> (left-side Alt key)
  • <Ctrl> (Left-side Ctrl key)
  • <Shift> (Left-side Shift key)
Valid keystrokes for all other applications and for Internet Explorer include:
  • <#0>-<#9> (numeric keypad numbers 0-9 with Num Lock on)
  • <#Add> (numeric keypad '+')
  • <#Clear> (numeric keypad 5 with Num Lock off)
  • <#Decimal> (the key for the decimal separator on the numeric keypad of most keyboards)
  • <#Delete> (Numeric keypad '.' with Num Lock off)
  • <#Divide> (Numeric keypad '/')
  • <#Down> (numeric keypad 2 with Num Lock off)
  • <#End> (numeric keypad 1 with Num Lock off)
  • <#Enter> (numeric keypad Enter)
  • <#Equal> (numeric keypad equals sign)
  • <#Home> (numeric keypad 7 with Num Lock off)
  • <#Insert> (numeric keypad 0 with Num Lock off)
  • <#Left> (numeric keypad 4 with Num Lock off)
  • <#PgDn> (numeric keypad 3 with Num Lock off)
  • <#PgUp> (numeric keypad 9 with Num Lock off)
  • <#Right> (numeric keypad 6 with Num Lock off)
  • <#Separator> (numeric keypad Separator key)
  • <#Space> (numeric keypad Space key)
  • <#Subtract> (numeric keypad '-')
  • <#Tab> (numeric keypad Tab key)
  • <#Times> (numeric keypad '*')
  • <#Up> (numeric keypad 8 with Num Lock off)
  • <Alt> (left-side Alt key)
  • <Application> (opens a context menu on the last active control)
  • <Backspace> (backspace key)
  • <Break> (Ctrl-Break)
  • <Cancel> (break)
  • <CapsLock> (toggle whether it is currently on or off)
  • <Clear> (Clear key)
  • <Ctrl> (Left-side Ctrl key)
  • <Delete> (Delete key)
  • <Down> (Down arrow)
  • <End> (End key)
  • <Enter> (Enter key)
  • <Esc> (Escape)
  • <Execute> (Execute key)
  • <F1> - <F12> (F1 through F12 function keys)
  • <F13> - <F35> (F13 through F35 function keys)
  • <Greater> '>' key (which the agent would otherwise interpret as a right angle bracket)
  • <Help> (Help key)
  • <Home> (Home key)
  • <Insert> (Insert key)
  • <Left> (Left arrow)
  • <Left Alt> (Alt key)
  • <Left Ctrl> (Ctrl key)
  • <Left Shift> (Shift key)
  • <LeftWin> (Windows Start menu key)
  • <Cmd> (Mac OS Command key)
  • <Less> '<' key (which the agent would otherwise interpret as left angle bracket)
  • <Menu> (Menu key)
  • <Mode> (Mode key)
  • <Pause> (Pause)
  • <PgDn> (PgDn or Page Down)
  • <PgUp> (PgUp or Page Up)
  • <PrtScr> (Print Scrn)
  • <Redo> (Redo key)
  • <Right> (Right arrow)
  • <Right Alt> (Alt key)
  • <Right Ctrl> (Ctrl key)
  • <RightOption> (Option key)
  • <Right Shift> (Shift key)
  • <RightWin> (Windows Start menu key)
  • <ScrollLock> (typed whether it is currently on or off)
  • <Shift> (Left-side Shift key)
  • <Space> (Space bar)
  • <Tab> (Tab)
  • <Undo> (Undo key)
  • <Up> (Up arrow).
Examples: '<F4>', '<Left Shift>', '<Right Alt>', '<Left Ctrl>', '<Delete>', '<Backspace>'.Note: '<' or '>' needs to be written as '<LessThan>' or '<GreaterThan>'.

Syntax

C#
iKeyable.PressKeys(keys, [ensureFocus])
VB
iKeyable.PressKeys(keys, [ensureFocus])
Variable | Description
keys | The keys to type or mouse buttons to press. String.
ensureFocus | Optional: Determines whether it should be ensured that the control actually has the keyboard focus. Defaults to true. Boolean.


PressMouse Method (IClickable)

Class

IClickable.

Action

Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications.

Syntax

C#
iClickable.PressMouse([button, pos, modifiers])
VB
iClickable.PressMouse([button, pos, modifiers])
Variable | Description
button | Optional: The mouse button to press. Values include: 1=left, 2=right,3=center,... MouseButton.
pos | Optional: The coordinates (relative to the object) at which to press the mouse. Point.
modifiers | Optional: The modifier. ModifierKeys.


Range Property (Scale)

Class

Scale.

Action

Gets or sets the range of the scale.

Syntax

C#
protected Range Range { get; set; }
VB
'Declaration
Protected ReadWrite Property Range As Range

Access

Read and write.


Range Property (ScrollBar)

Class

ScrollBar.

Action

Gets or sets the range of the scroll bar.

Syntax

C#
protected Range Range { get; set; }
VB
'Declaration
Protected ReadWrite Property Range As Range

Access

Read and write.


ReleaseKeys Method (IKeyable)

Class

IKeyable.

Action

Releases a set of keys or mouse buttons.

ReleaseKeys is not supported for native mobile applications.Valid keystrokes for all browsers except Internet Explorer include:
  • <Alt> (left-side Alt key)
  • <Ctrl> (Left-side Ctrl key)
  • <Shift> (Left-side Shift key)
Valid keystrokes for all other applications and for Internet Explorer include:
  • <#0>-<#9> (numeric keypad numbers 0-9 with Num Lock on)
  • <#Add> (numeric keypad '+')
  • <#Clear> (numeric keypad 5 with Num Lock off)
  • <#Decimal> (the key for the decimal separator on the numeric keypad of most keyboards)
  • <#Delete> (Numeric keypad '.' with Num Lock off)
  • <#Divide> (Numeric keypad '/')
  • <#Down> (numeric keypad 2 with Num Lock off)
  • <#End> (numeric keypad 1 with Num Lock off)
  • <#Enter> (numeric keypad Enter)
  • <#Equal> (numeric keypad equals sign)
  • <#Home> (numeric keypad 7 with Num Lock off)
  • <#Insert> (numeric keypad 0 with Num Lock off)
  • <#Left> (numeric keypad 4 with Num Lock off)
  • <#PgDn> (numeric keypad 3 with Num Lock off)
  • <#PgUp> (numeric keypad 9 with Num Lock off)
  • <#Right> (numeric keypad 6 with Num Lock off)
  • <#Separator> (numeric keypad Separator key)
  • <#Space> (numeric keypad Space key)
  • <#Subtract> (numeric keypad '-')
  • <#Tab> (numeric keypad Tab key)
  • <#Times> (numeric keypad '*')
  • <#Up> (numeric keypad 8 with Num Lock off)
  • <Alt> (left-side Alt key)
  • <Application> (opens a context menu on the last active control)
  • <Backspace> (backspace key)
  • <Break> (Ctrl-Break)
  • <Cancel> (break)
  • <CapsLock> (toggle whether it is currently on or off)
  • <Clear> (Clear key)
  • <Ctrl> (Left-side Ctrl key)
  • <Delete> (Delete key)
  • <Down> (Down arrow)
  • <End> (End key)
  • <Enter> (Enter key)
  • <Esc> (Escape)
  • <Execute> (Execute key)
  • <F1> - <F12> (F1 through F12 function keys)
  • <F13 - <F35> (F13 through F35 function keys)
  • <Greater> '>' key (which the agent would otherwise interpret as a right angle bracket)
  • <Help> (Help key)
  • <Home> (Home key)
  • <Insert> (Insert key)
  • <Left> (Left arrow)
  • <Left Alt> (Alt key)
  • <Left Ctrl> (Ctrl key)
  • <Left Shift> (Shift key)
  • <LeftWin> (Windows Start menu key)
  • <Cmd> (Mac OS Command key)
  • <Less> '<' key (which the agent would otherwise interpret as left angle bracket)
  • <Menu> (Menu key)
  • <Mode> (Mode key)
  • <Pause> (Pause)
  • <PgDn> (PgDn or Page Down)
  • <PgUp> (PgUp or Page Up)
  • <PrtScr> (Print Scrn)
  • <Redo> (Redo key)
  • <Right> (Right arrow)
  • <Right Alt> (Alt key)
  • <Right Ctrl> (Ctrl key)
  • <RightOption> (Option key)
  • <Right Shift> (Shift key)
  • <RightWin> (Windows Start menu key)
  • <ScrollLock> (typed whether it is currently on or off)
  • <Shift> (Left-side Shift key)
  • <Space> (Space bar)
  • <Tab> (Tab)
  • <Undo> (Undo key)
  • <Up> (Up arrow).
Examples: 'a', 'ab', 'a<Enter>', '<F4>', '<Left Shift>', '<Right Alt>', '<Left Ctrl>', '<Delete>', '<Backspace>'.Notes:
  • The underlying technology may not support all keys for this method, e.g. WebDriver-based browsers only support <Ctrl>, <Alt> and <Shift>.
  • '<' or '>' needs to be written as '<LessThan>' or '<GreaterThan>'.

Syntax

C#
iKeyable.ReleaseKeys(keys, [ensureFocus])
VB
iKeyable.ReleaseKeys(keys, [ensureFocus])
Variable | Description
keys | The keys or mouse buttons to release. String.
ensureFocus | Optional: Determines whether it should be ensured that the control actually has the keyboard focus. Defaults to true. Boolean.


ReleaseMouse Method (IClickable)

Class

IClickable.

Action

Releases a mouse button. This method is not supported for mobile Web applications.

Syntax

C#
iClickable.ReleaseMouse([button, pos, modifiers])
VB
iClickable.ReleaseMouse([button, pos, modifiers])
Variable | Description
button | Optional: The mouse button to press. Values include: 1=left, 2=right,3=center,... MouseButton.
pos | Optional: The coordinates (relative to the object) at which to release the mouse. Point.
modifiers | Optional: The modifier. ModifierKeys.


Resize Method (TableColumn)

Class

TableColumn.

Action

Resizes a column.

Syntax

C#
tableColumn.Resize(width)
VB
tableColumn.Resize(width)
Variable | Description
width | The new width of the column, in pixels. Integer.


Restore Method (IMoveable)

Class

IMoveable.

Action

Restores the window to its previous size.

Syntax

C#
iMoveable.Restore()
VB
iMoveable.Restore()


RowCount Property (Table)

Class

Table.

Action

Gets the number of rows in the table.

Syntax

C#
protected Integer RowCount { get; }
VB
'Declaration
Protected Read Property RowCount As Integer

Access

Read only.


RowItems Property (Table)

Class

Table.

Action

Gets a list of all table rows in the table.

Syntax

C#
protected List(Of TableRow) RowItems { get; }
VB
'Declaration
Protected Read Property RowItems As List(Of TableRow)

Access

Read only.


ScrollDown Method (VerticalScrollBar)

Class

VerticalScrollBar.

Action

Moves the scroll bar down.

Syntax

C#
verticalScrollBar.ScrollDown([amount])
VB
verticalScrollBar.ScrollDown([amount])
Variable | Description
amount | Optional: The number of ticks to scroll. Integer.


ScrollLeft Method (HorizontalScrollBar)

Class

HorizontalScrollBar.

Action

Scrolls the scroll bar to the left.

Syntax

C#
horizontalScrollBar.ScrollLeft([amount])
VB
horizontalScrollBar.ScrollLeft([amount])
Variable | Description
amount | Optional: The number of ticks to scroll. Integer.


Scroll Method (ScrollBar)

Class

ScrollBar.

Action

Scrolls the scroll bar.

Syntax

C#
scrollBar.Scroll(position)
VB
scrollBar.Scroll(position)
Variable | Description
position | The coordinates to scroll into view. Integer.


ScrollRight Method (HorizontalScrollBar)

Class

HorizontalScrollBar.

Action

Scrolls the scroll bar to the right.

Syntax

C#
horizontalScrollBar.ScrollRight([amount])
VB
horizontalScrollBar.ScrollRight([amount])
Variable | Description
amount | Optional: The number of ticks to scroll. Integer.


ScrollToMax Method (ScrollBar)

Class

ScrollBar.

Action

Scrolls the scroll bar to its maximum position.

Syntax

C#
scrollBar.ScrollToMax()
VB
scrollBar.ScrollToMax()


ScrollToMin Method (ScrollBar)

Class

ScrollBar.

Action

Scrolls the scroll bar to its minimum position.

Syntax

C#
scrollBar.ScrollToMin()
VB
scrollBar.ScrollToMin()


ScrollUp Method (VerticalScrollBar)

Class

VerticalScrollBar.

Action

Moves the scroll bar up.

Syntax

C#
verticalScrollBar.ScrollUp([amount])
VB
verticalScrollBar.ScrollUp([amount])
Variable | Description
amount | Optional: The number of ticks to scroll. Integer.


SelectedIndex Property (ComboBox)

Class

ComboBox.

Action

Gets or sets the index of the selected item. The value is zero-based.

Syntax

C#
protected Integer SelectedIndex { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedIndex As Integer

Access

Read and write.


SelectedIndex Property (ListBox)

Class

ListBox.

Action

Gets or sets the index of the first selected item. The value is zero-based.

Syntax

C#
protected Integer SelectedIndex { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedIndex As Integer

Access

Read and write.


SelectedIndex Property (RadioList)

Class

RadioList.

Action

Gets or sets the index of the selected item. The value is zero-based.

Syntax

C#
protected Integer SelectedIndex { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedIndex As Integer

Access

Read and write.


SelectedIndex Property (TabControl)

Class

TabControl.

Action

Gets or sets the index of the selected item. The value is zero-based.

Syntax

C#
protected Integer SelectedIndex { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedIndex As Integer

Access

Read and write.


SelectedIndex Property (Tree)

Class

Tree.

Action

Gets or sets the index of the first selected item.

Syntax

C#
protected ItemPath SelectedIndex { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedIndex As ItemPath

Access

Read and write.


SelectedIndices Property (ListBox)

Class

ListBox.

Action

Gets or sets the indices of the selected item(s).

Syntax

C#
protected List(Of Integer) SelectedIndices { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedIndices As List(Of Integer)

Access

Read and write.


SelectedIndices Property (Table)

Class

Table.

Action

Gets or sets the indices of the selected item(s).

Syntax

C#
protected List(Of Integer) SelectedIndices { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedIndices As List(Of Integer)

Access

Read and write.


SelectedIndices Property (Tree)

Class

Tree.

Action

Gets or sets the indices of the selected item(s).

Syntax

C#
protected List(Of ItemPath) SelectedIndices { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedIndices As List(Of ItemPath)

Access

Read and write.


SelectedItem Property (ComboBox)

Class

ComboBox.

Action

Gets or sets the selected item.

Syntax

C#
protected ItemIdentifier SelectedItem { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedItem As ItemIdentifier

Access

Read and write.


SelectedItem Property (ListBox)

Class

ListBox.

Action

Gets or sets the name of the first selected item.

Syntax

C#
protected ItemIdentifier SelectedItem { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedItem As ItemIdentifier

Access

Read and write.


SelectedItem Property (RadioList)

Class

RadioList.

Action

Gets or sets the item to select.

Syntax

C#
protected ItemIdentifier SelectedItem { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedItem As ItemIdentifier

Access

Read and write.


SelectedItem Property (TabControl)

Class

TabControl.

Action

Gets or sets the selected item.

Syntax

C#
protected ItemIdentifier SelectedItem { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedItem As ItemIdentifier

Access

Read and write.


SelectedItem Property (Tree)

Class

Tree.

Action

Gets or sets the name of the first selected item.

Syntax

C#
protected ItemPath SelectedItem { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedItem As ItemPath

Access

Read and write.


SelectedItems Property (ListBox)

Class

ListBox.

Action

Gets or sets the names of the selected item(s).

Syntax

C#
protected List(Of ItemIdentifier) SelectedItems { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedItems As List(Of ItemIdentifier)

Access

Read and write.


SelectedItems Property (Table)

Class

Table.

Action

Gets or sets the selected item(s).

Syntax

C#
protected List(Of TableRow) SelectedItems { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedItems As List(Of TableRow)

Access

Read and write.


SelectedItems Property (Tree)

Class

Tree.

Action

Gets or sets the names of the selected item(s).

Syntax

C#
protected List(Of ItemPath) SelectedItems { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedItems As List(Of ItemPath)

Access

Read and write.


SelectedRange Property (TextField)

Class

TextField.

Action

Gets or sets the selected range within the text field.

Syntax

C#
protected TextRange SelectedRange { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedRange As TextRange

Access

Read and write.


SelectedText Property (TextField)

Class

TextField.

Action

Gets the selected text within the text field. An empty string if no text is selected.

Syntax

C#
protected String SelectedText { get; }
VB
'Declaration
Protected Read Property SelectedText As String

Access

Read only.


Select Method (CheckBox)

Class

CheckBox.

Action

Selects a check box.

Syntax

C#
checkBox.Select(state)
VB
checkBox.Select(state)
Variable | Description
state | The state of a check box. Values include: 1=checked, 2=unchecked, 3=undecided. Integer.


Select Method (CheckBoxToolItem)

Class

CheckBoxToolItem.

Action

Selects an item.

Syntax

C#
checkBoxToolItem.Select(state)
VB
checkBoxToolItem.Select(state)
Variable | Description
state | The state of a check box. Values include: 1=checked,2=unchecked,3=undecided. Integer.


Select Method (ComboBox)

Class

ComboBox.

Action

Selects an item from the combo box.

Syntax

C#
comboBox.Select(item)
VB
comboBox.Select(item)
Variable | Description
item | The item to select. ItemIdentifier.


Select Method (DropDownToolItem)

Class

DropDownToolItem.

Action

Selects an item.

Syntax

C#
dropDownToolItem.Select()
VB
dropDownToolItem.Select()


Select Method (Link)

Class

Link.

Action

Selects an item.

Syntax

C#
link.Select([item])
VB
link.Select([item])
Variable | Description
item | Optional: The item to select. This parameter is only useful for multi-selectable links. Selects the given item of the link. ItemIdentifier.


Select Method (ListBox)

Class

ListBox.

Action

Selects an item from the list box.

Syntax

C#
listBox.Select(item)
VB
listBox.Select(item)
Variable | Description
item | The item to select. ItemIdentifier.


Select Method (Menu)

Class

Menu.

Action

Selects a menu.

Syntax

C#
menu.Select()
VB
menu.Select()


Select Method (MenuItem)

Class

MenuItem.

Action

Selects an item from the menu.

Syntax

C#
menuItem.Select()
VB
menuItem.Select()


Select Method (PushButton)

Class

PushButton.

Action

Selects a pushbutton.

Syntax

C#
pushButton.Select()
VB
pushButton.Select()


Select Method (PushToolItem)

Class

PushToolItem.

Action

Selects an item.

Syntax

C#
pushToolItem.Select()
VB
pushToolItem.Select()


Select Method (RadioList)

Class

RadioList.

Action

Selects an item from the radiolist.

Syntax

C#
radioList.Select([item])
VB
radioList.Select([item])
Variable | Description
item | Optional: The item to select. ItemIdentifier.


Select Method (RadioListToolItem)

Class

RadioListToolItem.

Action

Selects an item.

Syntax

C#
radioListToolItem.Select([item])
VB
radioListToolItem.Select([item])
Variable | Description
item | Optional: The item to select. ItemIdentifier.


Select Method (TabControl)

Class

TabControl.

Action

Sets the current page to the specified page.

Syntax

C#
tabControl.Select(item)
VB
tabControl.Select(item)
Variable | Description
item | The item to select. ItemIdentifier.


Select Method (TableColumn)

Class

TableColumn.

Action

Selects a column.

Syntax

C#
tableColumn.Select()
VB
tableColumn.Select()


Select Method (ToggleButton)

Class

ToggleButton.

Action

Selects an item.

Syntax

C#
toggleButton.Select(state)
VB
toggleButton.Select(state)
Variable | Description
state | Represents the desired state. Values include: 1=checked, 2=unchecked, 3=undecided.=. Integer.


Select Method (Tree)

Class

Tree.

Action

Selects an item from the tree.

Syntax

C#
tree.Select(itemPath)
VB
tree.Select(itemPath)
Variable | Description
itemPath | The path of the item to select. ItemPath.


SelectRange Method (ListBox)

Class

ListBox.

Action

Selects a range of items in the extend-selection list box.

Syntax

C#
listBox.SelectRange(selectRangeBegin, selectRangeEnd)
VB
listBox.SelectRange(selectRangeBegin, selectRangeEnd)
Variable | Description
selectRangeBegin | The first item to select. ItemIdentifier.
selectRangeEnd | The last item to select. ItemIdentifier.


SelectRow Method (Table)

Class

Table.

Action

Selects an row in the table.

Syntax

C#
table.SelectRow(row, [column])
VB
table.SelectRow(row, [column])
Variable | Description
row | The row to select. ItemIdentifier.
column | Optional: The column to select. ItemIdentifier.


SetActive Method (IMoveable)

Class

IMoveable.

Action

Makes the window active.

Syntax

C#
iMoveable.SetActive()
VB
iMoveable.SetActive()


SetFocus Method (IFocusable)

Class

IFocusable.

Action

Gives focus to the control.

Syntax

C#
iFocusable.SetFocus()
VB
iFocusable.SetFocus()


SetMultiText Method (TextField)

Class

TextField.

Action

Substitutes all or part of the lines in the multi-line text field.

Syntax

C#
textField.SetMultiText(Text, [StartLine, numberOfLines])
VB
textField.SetMultiText(Text, [StartLine, numberOfLines])
Variable | Description
Text | The text to substitute. List(Of String).
StartLine | Optional: The line in the text field (starting from 0) to begin the substitution. The value is zero-based. Integer.
numberOfLines | Optional: The number of lines to substitute. Integer.


SetPosition Method (Scale)

Class

Scale.

Action

Sets the position of the scale.

Syntax

C#
scale.SetPosition(position)
VB
scale.SetPosition(position)
Variable | Description
position | The internal numeric value of the position to move to. Integer.


SetPosition Method (TextField)

Class

TextField.

Action

Sets the insertion point in the text field.

Syntax

C#
textField.SetPosition(position)
VB
textField.SetPosition(position)
Variable | Description
position | The position of the caret within the text field. TextPosition.


SetSelectionRange Method (TextField)

Class

TextField.

Action

Selects the specified range of the single-line or multi-line text field.

Syntax

C#
textField.SetSelectionRange(selectionRange)
VB
textField.SetSelectionRange(selectionRange)
Variable | Description
selectionRange | The selected range within the text field. TextRange.


SetText Method (ComboBox)

Class

ComboBox.

Action

Replaces the text in the text field of the combo box.

Syntax

C#
comboBox.SetText(text)
VB
comboBox.SetText(text)
Variable | Description
text | The text to substitute for the contents of the text field. String.


SetText Method (TextField)

Class

TextField.

Action

Substitutes new text for all or part of the text in the text field.

Syntax

C#
textField.SetText(text)
VB
textField.SetText(text)
Variable | Description
text | The text to substitute. String.


SetToMax Method (Scale)

Class

Scale.

Action

Sets the scale to its maximum position.

Syntax

C#
scale.SetToMax()
VB
scale.SetToMax()


SetToMin Method (Scale)

Class

Scale.

Action

Sets the scale to its minimum position.

Syntax

C#
scale.SetToMin()
VB
scale.SetToMin()


SetUndecided Method (CheckBox)

Class

CheckBox.

Action

Sets the check box to the undecided state.

Syntax

C#
checkBox.SetUndecided()
VB
checkBox.SetUndecided()


Size Method (IMoveable)

Class

IMoveable.

Action

Resizes the window.

Syntax

C#
iMoveable.Size(width, height)
VB
iMoveable.Size(width, height)
Variable | Description
width | The new width of the window, in pixels. Integer.
height | The new height of the window, in pixels. Integer.


State Property (CheckBox)

Class

CheckBox.

Action

Gets or sets the state of a check box. Values include: 1=checked, 2=unchecked, 3=undecided.

Syntax

C#
protected Integer State { get; set; }
VB
'Declaration
Protected ReadWrite Property State As Integer

Access

Read and write.


State Property (CheckBoxToolItem)

Class

CheckBoxToolItem.

Action

Gets or sets the state of a check box. Values include: 1=checked,2=unchecked,3=undecided.

Syntax

C#
protected Integer State { get; set; }
VB
'Declaration
Protected ReadWrite Property State As Integer

Access

Read and write.


State Property (RadioList)

Class

RadioList.

Action

Gets or sets the state of a check box. Values include: 1=checked,2=unchecked,3=undecided.

Syntax

C#
protected Integer State { get; set; }
VB
'Declaration
Protected ReadWrite Property State As Integer

Access

Read and write.


State Property (RadioListToolItem)

Class

RadioListToolItem.

Action

Gets or sets the state of a check box. Values include: 1=checked,2=unchecked,3=undecided.

Syntax

C#
protected Integer State { get; set; }
VB
'Declaration
Protected ReadWrite Property State As Integer

Access

Read and write.


State Property (ToggleButton)

Class

ToggleButton.

Action

Gets or sets the state of a toggle button. Values include: 1=checked, 2=unchecked, 3=undecided.

Syntax

C#
protected Integer State { get; set; }
VB
'Declaration
Protected ReadWrite Property State As Integer

Access

Read and write.


TextCapture Method (TestObject)

Class

TestObject.

Action

Returns the text in this object's visible area.

Capturing text in combo boxes may append the text character "6". This is because the drop-down arrow for a combo box is the Marlett font drop-down arrow text symbol, which is the number "6" for most other fonts.

Syntax

C#
result = testObject.TextCapture([captureRectangle])
VB
result = testObject.TextCapture([captureRectangle])
Variable | Description
result | The text in this object's visible area. String.
captureRectangle | Optional: the defined rectangular region where the text will be captured, relative to the window's coordinates. Rectangle.

Examples

VB

Dim partialText As String
partialText = testApplication.TextCapture(new Rectangle(1, 1, 200, 30))
Dim fullText As String
fullText = testApplication.TextCapture()


TextClick Method (TestObject)

Class

TestObject.

Action

Clicks in the center of the specified text.

Syntax

C#
testObject.TextClick(text, [occurrence, clickType, modifiers, position, exactMatch])
VB
testObject.TextClick(text, [occurrence, clickType, modifiers, position, exactMatch])
Variable | Description
text | The text to be clicked. String.
occurrence | Optional: Which occurrence of the text should be clicked, if there are multiple results. The first occurrence is 1. Integer.
clickType | Optional: The desired mouse action. Default: left click. ClickType.
modifiers | Optional: The modifier keys (Alt, Shift, Ctrl) to press while clicking. Default: Don't use modifier keys. ModifierKeys.
position | Optional: The coordinates at which to click. The coordinates are relative to the the upper-left corner of the text. If no coordinates are specified the click is performed on the center of the text. Point.
exactMatch | Optional: If true the text must completely match the captured text, otherwise a partial match is allowed. Boolean.


TextExists Method (TestObject)

Class

TestObject.

Action

Returns whether the specified text exists.

Syntax

C#
result = testObject.TextExists(text, [occurrence, searchRectangle, timeout, exactMatch])
VB
result = testObject.TextExists(text, [occurrence, searchRectangle, timeout, exactMatch])
Variable | Description
result | Whether the specified text exists. Boolean.
text | The text to be searched for. String.
occurrence | Optional: For which occurrence of the text the existence should be checked, if there are multiple results. The first occurrence is 1. Integer.
searchRectangle | Optional: The object-relative rectangle in which to search the text. Rectangle.
timeout | Optional: Specifies how long the text should be searched for. If no timeout is specified the text is searched only once. Integer.
exactMatch | Optional: If true the text must completely match the captured text, otherwise a partial match is allowed. Boolean.


Text Property (TestObject)

Class

TestObject.

Action

Gets the text of the control.

Syntax

C#
protected String Text { get; }
VB
'Declaration
Protected Read Property Text As String

Access

Read only.


TextRectangle Method (TestObject)

Class

TestObject.

Action

Returns the object-relative rectangle of the specified text.

Syntax

C#
result = testObject.TextRectangle(text, [occurrence, searchRectangle, timeout, exactMatch])
VB
result = testObject.TextRectangle(text, [occurrence, searchRectangle, timeout, exactMatch])
Variable | Description
result | The rectangle of the specified text or an empty rectangle if the specified text does not exist. Rectangle.
text | The text to be searched for. String.
occurrence | Optional: For which occurrence of the text the rectangle should be returned, if there are multiple results. The first occurrence is 1. Integer.
searchRectangle | Optional: The object relative rectangle in which to search the text. Rectangle.
timeout | Optional: Specifies how long the text should be searched for. If no timeout is specified the text is searched only once. Integer.
exactMatch | Optional: If true the text must completely match the captured text, otherwise a partial match is allowed. Boolean.


Toggle Method (CheckBox)

Class

CheckBox.

Action

Toggles the state of the check box. If the checkbox is checked it is unchecked and vice versa. If the checkbox is in the undecided state it is left undecided.

Syntax

C#
checkBox.Toggle()
VB
checkBox.Toggle()


TypeKeys Method (IKeyable)

Class

IKeyable.

Action

Sends a set of keystrokes to the object.

Note: Some keystrokes are not supported on mobile devices. Valid keystrokes for all other applications include:
  • <#0>-<#9> (numeric keypad numbers 0-9 with Num Lock on)
  • <#Add> (numeric keypad '+')
  • <#Clear> (numeric keypad 5 with Num Lock off)
  • <#Decimal> (the key for the decimal separator on the numeric keypad of most keyboards)
  • <#Delete> (Numeric keypad '.' with Num Lock off)
  • <#Divide> (Numeric keypad '/')
  • <#Down> (numeric keypad 2 with Num Lock off)
  • <#End> (numeric keypad 1 with Num Lock off)
  • <#Enter> (numeric keypad Enter)
  • <#Equal> (numeric keypad equals sign)
  • <#Home> (numeric keypad 7 with Num Lock off)
  • <#Insert> (numeric keypad 0 with Num Lock off)
  • <#Left> (numeric keypad 4 with Num Lock off)
  • <#PgDn> (numeric keypad 3 with Num Lock off)
  • <#PgUp> (numeric keypad 9 with Num Lock off)
  • <#Right> (numeric keypad 6 with Num Lock off)
  • <#Separator> (numeric keypad Separator key)
  • <#Space> (numeric keypad Space key)
  • <#Subtract> (numeric keypad '-')
  • <#Tab> (numeric keypad Tab key)
  • <#Times> (numeric keypad '*')
  • <#Up> (numeric keypad 8 with Num Lock off)
  • <Alt> (left-side Alt key)
  • <Application> (opens a context menu on the last active control)
  • <Backspace> (backspace key)
  • <Break> (Ctrl-Break)
  • <Cancel> (break)
  • <CapsLock> (toggle whether it is currently on or off)
  • <Clear> (Clear key)
  • <Ctrl> (Left-side Ctrl key)
  • <Delete> (Delete key)
  • <Down> (Down arrow)
  • <End> (End key)
  • <Enter> (Enter key)
  • <Esc> (Escape)
  • <Execute> (Execute key)
  • <F1> - <F12> (F1 through F12 function keys)
  • <F13> - <F35> (F13 through F35 function keys)
  • <Greater Than> '>' key (which the agent would otherwise interpret as a right angle bracket)
  • <Help> (Help key)
  • <Home> (Home key)
  • <Insert> (Insert key)
  • <Left> (Left arrow)
  • <Left Alt> (Alt key)
  • <Left Ctrl> (Ctrl key)
  • <Left Shift> (Shift key)
  • <LeftWin> (Windows Start menu key)
  • <Cmd> (Mac OS Command key)
  • <Less Than> '<' key (which the agent would otherwise interpret as left angle bracket)
  • <Menu> (Menu key)
  • <Mode> (Mode key)
  • <Pause> (Pause)
  • <PgDn> (PgDn or Page Down)
  • <PgUp> (PgUp or Page Up)
  • <PrtScr> (Print Scrn)
  • <Redo> (Redo key)
  • <Right> (Right arrow)
  • <Right Alt> (Alt key)
  • <Right Ctrl> (Ctrl key)
  • <RightOption> (Option key)
  • <Right Shift> (Shift key)
  • <RightWin> (Windows Start menu key)
  • <ScrollLock> (typed whether it is currently on or off)
  • <Shift> (Left-side Shift key)
  • <Space> (Space bar)
  • <Tab> (Tab)
  • <Undo> (Undo key)
  • <Up> (Up arrow).
Examples: 'a', 'ab', 'a<Enter>', '<F4>', '<Left Shift>', '<Right Alt>', '<Left Ctrl>', '<Delete>', '<Backspace>'. Note: '<' or '>' needs to be written as '<LessThan>' or '<GreaterThan>'."

Syntax

C#
iKeyable.TypeKeys(keys, [delay, ensureFocus])
VB
iKeyable.TypeKeys(keys, [delay, ensureFocus])
Variable | Description
keys | The keystrokes to type. String.
delay | Optional: The delay between keystrokes in milliseconds. Integer.
ensureFocus | Optional: Determines whether it should be ensured that the control actually has the keyboard focus. Defaults to true. Boolean.

Examples

VB

For example, the following code copies the currently selected text into the clipboard by pressing Ctrl+C:
    window.TypeKeys("<Left Ctrl+C>")


Uncheck Method (CheckBox)

Class

CheckBox.

Action

Unchecks the check box.

Syntax

C#
checkBox.Uncheck()
VB
checkBox.Uncheck()


Uncheck Method (Table)

Class

Table.

Action

Unchecks the check box in the defined row of a table.

Syntax

C#
table.Uncheck(item)
VB
table.Uncheck(item)
Variable | Description
item | The row in which to uncheck the check box. ItemIdentifier.


Uncheck Method (Tree)

Class

Tree.

Action

Unchecks the check box.

Syntax

C#
tree.Uncheck(itemPath)
VB
tree.Uncheck(itemPath)
Variable | Description
itemPath | The path of the item to uncheck. ItemPath.


Value Property (TestObject)

Class

TestObject.

Action

Gets the value of the control, e.g.: text in a text control.

Syntax

C#
protected Object Value { get; }
VB
'Declaration
Protected Read Property Value As Object

Access

Read only.


VisibleItemPaths Property (Tree)

Class

Tree.

Action

Gets a list of visible items in the tree (including all children).

Syntax

C#
protected List(Of ItemPath) VisibleItemPaths { get; }
VB
'Declaration
Protected Read Property VisibleItemPaths As List(Of ItemPath)

Access

Read only.


VisibleItems Property (Tree)

Class

Tree.

Action

The VisibleItems property is deprecated. Since Silk Test 2011 use the VisibleItemPaths property instead for retrieving all visible items of a tree.

Gets a list of visible items in the tree (including all children).

Syntax

C#
protected TreeContent VisibleItems { get; }
VB
'Declaration
Protected Read Property VisibleItems As TreeContent

Access

Read only.


Visible Property (GuiTestObject)

Class

GuiTestObject.

Action

Gets or sets whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay.

Syntax

C#
protected Boolean Visible { get; set; }
VB
'Declaration
Protected ReadWrite Property Visible As Boolean

Access

Read and write.


WaitForChildDisappearance Method (TestObject)

Class

TestObject.

Action

Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached.

Syntax

C#
testObject.WaitForChildDisappearance(locator, [timeout])
VB
testObject.WaitForChildDisappearance(locator, [timeout])
Variable | Description
locator | The XPath locator identifying the object that is expected to disappear relative to the object this function is called on. String.
timeout | Optional: The maximum wait time in milliseconds before the function times out. Integer.


WaitForDisappearance Method (TestObject)

Class

TestObject.

Action

Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached.

Syntax

C#
testObject.WaitForDisappearance([timeout])
VB
testObject.WaitForDisappearance([timeout])
Variable | Description
timeout | Optional: The maximum wait time in milliseconds before the function times out. Integer.


WaitForObject Method (TestObject)

Class

TestObject.

Action

Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts.

Syntax

C#
testObject.WaitForObject(locator, [timeout])
VB
testObject.WaitForObject(locator, [timeout])
Variable | Description
locator | The XPath locator. Defines which object to find. Example: "//PushButton[@caption='ok']" . String.
timeout | Optional: The timeout in milliseconds. If the initial find operation does not match anything the agent retries to find an object until the timeout expires. Integer.

Examples

C#

The following example sets a window active, then waits for a button for 30 seconds, in addition to the timeout used for the PushButton method to find the object, which by default is 5 seconds, and finally clicks the button:
window.SetActive();
window.WaitForObject("//PushButton[@automationId='MySampleButton']", 30000);
window.PushButton("@automationId='MySampleButton'").Click();

VB

The following example sets a window active, then waits for a button for 30 seconds, in addition to the timeout used for the PushButton method to find the object, which by default is 5 seconds, and finally clicks the button:
window.SetActive()
window.WaitForObject("//PushButton[@automationId='MySampleButton']", 30000)
window.PushButton("@automationId='MySampleButton'").Click()


WaitForProperty Method (TestObject)

Class

TestObject.

Action

Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached.

Syntax

C#
testObject.WaitForProperty(propertyName, expectedValue, [timeout])
VB
testObject.WaitForProperty(propertyName, expectedValue, [timeout])
Variable | Description
propertyName | The name of the property to wait for. String.
expectedValue | The value of the property to wait for. Object.
timeout | Optional: The maximum wait time in milliseconds before the function times out. Integer.


Width Property (TableColumn)

Class

TableColumn.

Action

Gets or sets the width of the column.

Syntax

C#
protected Integer Width { get; set; }
VB
'Declaration
Protected ReadWrite Property Width As Integer

Access

Read and write.


WindowState Property (IMoveable)

Class

IMoveable.

Action

Gets the state of a window. Values include: 1=minimized, 2=maximized, 3=restored.

Syntax

C#
protected Integer WindowState { get; }
VB
'Declaration
Protected Read Property WindowState As Integer

Access

Read only.


AgentDirectory Property (SystemFunctions)

Class

SystemFunctions.

Action

Gets the directory from which the Open Agent is running.

Syntax

C#

public String AgentDirectory { get; }

VB

Public Read Property AgentDirectory As String

Access

Read only.


AgentVersion Property (SystemFunctions)

Class

SystemFunctions.

Action

Gets the version of the Open Agent.

Syntax

C#
public String AgentVersion { get; }
VB
Public Read Property AgentVersion As String

Access

Read only.


Attributes Property (FileInfo)

Class

FileInfo.

Action

Gets the attributes of the file. For additional information, see File Attribute Constants.

Syntax

C#
public Integer Attributes { get; }
VB
Public Read Property Attributes As Integer

Access

Read only.


ClipboardText Property (SystemFunctions)

Class

SystemFunctions.

Action

Gets or sets the text in the clipboard.

Syntax

C#

public String ClipboardText { get; set; }

VB

Public ReadWrite Property ClipboardText As String

Access

Read and write.


CompareBinaryFiles Method (SystemFunctions)

Class

SystemFunctions.

Action

Performs a binary comparison on two files.

Syntax

C#

bCompare = CompareBinaryFiles (lhs, rhs);

VB

bCompare = CompareBinaryFiles (lhs, rhs)
Variable | Description
bCompare | True if the contents of the files are equal, false otherwise. Boolean.
lhs | The path to the first file. Can be either an absolute path or a path relative to the current working directory. String.
rhs | The path to the second file. Can be either an absolute path or a path relative to the current working directory. String.


CompareBitmaps Method (SystemFunctions)

Class

SystemFunctions.

Action

Compares two bitmaps. If the color depth of the bitmaps is less than 24 bit, then the images are first converted to 24bit color depth. If a mask file is provided, only the white pixels of the mask file are relevant for the comparison. The comparison succeeds if the number of mismatched pixels is less then the value provided by pixelTolerance. Returns false if the provided bitmaps do not have the same dimensions.

Syntax

C#

bCompare = CompareBitmaps (lhs, rhs [, maskFileName, pixelTolerance]);

VB

bCompare = CompareBitmaps (lhs, rhs [, maskFileName, pixelTolerance])
Variable | Description
bCompare | True if the bitmaps are equal, false otherwise. Boolean.
lhs | The path to the first file. Can be either an absolute path or a path relative to the current working directory. String.
rhs | The path to the second file. Can be either an absolute path or a path relative to the current working directory. String.
maskFileName | Optional: The path to the mask file. Can be either an absolute path or a path relative to the current working directory. String.
pixelTolerance | Optional: The allowed tolerance. Integer.


CompareTextFiles Method (SystemFunctions)

Class

SystemFunctions.

Action

Compares two text files lexicographically.

Syntax

C#

bCompare = CompareTextFiles (lhs, rhs);

VB

bCompare = CompareTextFiles (lhs, rhs)
bCompare = CompareTextFiles (lhs, rhs)
Variable | Description
bCompare | True if the bitmaps are equal, false otherwise. Boolean.
lhs | The path to the first file. Can be either an absolute path or a path relative to the current working directory. String.
rhs | The path to the second file. Can be either an absolute path or a path relative to the current working directory. String.


CopyFile Method (SystemFunctions)

Class

SystemFunctions.

Action

Copies a file.

Syntax

C#

CopyFile (sSrc, sDest);

VB

CopyFile (sSrc, sDest)
Variable | Description
sSrc | The path to the source file. Can be either an absolute path or a path relative to the current working directory. String.
sDest | The path to the destination file. Can be either an absolute path or a path relative to the current working directory. String.


CreateRegistryKey Method (SystemFunctions)

Class

SystemFunctions.

Action

Creates a new key in the registry. Recursively creates any missing registry keys in the given keyPath.

Syntax

bSuccess = CreateRegistryKey (rcCategory, sKeypath, sKeyname, sDefaultValue)
Variable | Description
bSuccess | True if the key was successfully created, false otherwise. Boolean.
rcCategory | The root key for the registry. RegistryCategory.
sKeypath | The path to the registry key. String.
sKeyname | The name of the registry key. String.
sDefaultValue | The default value of the registry key. String.


CreateRegistryValue Method (SystemFunctions)

Class

SystemFunctions.

Action

Creates a new value.

Syntax

bSuccess = CreateRegistryValue (rcCategory, sKeypath, sValueName, sValue)
Variable | Description
bSuccess | True if the value was successfully created, false otherwise. Boolean.
rcCategory | The root key for the registry. RegistryCategory.
sKeypath | The path to the registry key. String.
sValueName | The name of the value. String.
sValue | The new value. String.


CreationDate Property (FileInfo)

Class

FileInfo.

Action

Gets the date at which the file or directory was created.

Syntax

C#

public DateTime CreationDate { get; }

VB

Public Read Property CreationDate As DateTime

Access

Read only.


CurrentDrive Property (SystemFunctions)

Class

SystemFunctions.

Action

Gets or sets the current drive of the machine on which the Open Agent is hosted.

Syntax

C#

public String CurrentDrive { get; set; }

VB

Public ReadWrite Property CurrentDrive As String

Access

Read and write.


CurrentRegistryView Property (SystemFunctions)

Class

SystemFunctions.

Action

Gets or sets the current registry view.

Syntax

C#

public RegistryView CurrentRegistryView { get; set; }

VB

Public ReadWrite Property CurrentRegistryView As RegistryView

Access

Read and write.


CursorPosition Property (SystemFunctions)

Class

SystemFunctions.

Action

Gets the current cursor position of the machine on which the Open Agent is running.

Syntax

C#

public Point CursorPosition { get; }

VB

Public Read Property CursorPosition As Point

Access

Read only.


CursorType Property (SystemFunctions)

Class

SystemFunctions.

Action

Gets the current cursor type of the machine on which the Open Agent is running.

Syntax

C#

public String CursorType { get; }

VB

Public Read Property CursorType As String

Access

Read only.


DeleteRegistryKey Method (SystemFunctions)

Class

SystemFunctions.

Action

Deletes a key from the registry. The key cannot contain any sub-keys, otherwise the method will fail.

Syntax

bSuccess = DeleteRegistryKey (rcCategory, sKeypath, sKeyname)
Variable | Description
bSuccess | True if the key was successfully deleted, false otherwise. Boolean.
rcCategory | The root key for the registry. RegistryCategory.
sKeypath | The path to the registry key. String.
sKeyname | The name of the registry key. String.


DeleteRegistryValue Method (SystemFunctions)

Class

SystemFunctions.

Action

Deletes a value.

Syntax

bSuccess = DeleteRegistryValue (rcCategory, sKeypath, sValueName)
Variable | Description
bSuccess | True if the value was successfully deleted, false otherwise. Boolean.
rcCategory | The root key for the registry. RegistryCategory.
sKeypath | The path to the registry key. String.
sValueName | The value. String.


DirectoryExists Method (SystemFunctions)

Class

SystemFunctions.

Action

Checks whether the specified directory exists.

Syntax

C#

DirectoryExists (sDirectoryPath);

VB

DirectoryExists (sDirectoryPath)
Variable | Description
sDirectoryPath | The path to the directory. Can be either an absolute path or a path relative to the current working directory. String.


Execute Method (SystemFunctions)

Class

SystemFunctions.

Action

Executes the specified command on the machine on which the Open Agent is hosted.

Syntax

C#

eReturn = Execute (commandLine [, executionMode]);

VB

eReturn = Execute (commandLine [, executionMode])
Variable | Description
eReturn | The return value of the command. ExecutionResult.
commandLine | The command to execute. String.
executionMode | Optional: An option specified with one of the constants defined for the ExecutionMode enumerated data type. Defaults to WaitUntilFinished if not specified. ExecutionMode.

Example 1

This example creates a new directory and waits until the directory is created before continuing the script execution:
// C# code
Agent.SystemFunctions.Execute("mkdir c:\mf_community1");
'VB code
Agent.SystemFunctions.Execute("mkdir c:\mf_community1")

Example 2

This example starts calc.exe and continues executing the script while calc.exe is running:
// C# code
Agent.SystemFunctions.Execute("calc.exe", SilkTest.Ntf.SystemFunctions.ExecutionMode.ContinueRunning);
'VB code
Agent.SystemFunctions.Execute("calc.exe", SilkTest.Ntf.SystemFunctions.ExecutionMode.ContinueRunning)


Exists Method (TestObject)

Class

TestObject.

Action

Checks if an object exists in the application under test.

Syntax

C#
TestObject.Exists()
VB
TestObject.Exists()

C# Example

Assume you have an object with the name myObject that you want to interact with. To check if the object exists in the application under test, you can use the following code:
myObject.Exists();

Visual Basic Example

Assume you have an object with the name myObject that you want to interact with. To check if the object exists in the application under test, you can use the following code:
myObject.Exists()


ExistsRegistryKey Method (SystemFunctions)

Class

SystemFunctions.

Action

Checks if a key exists in the registry.

Syntax

bExists = ExistsRegistryKey (rcCategory, sKeypath, sKeyname)
Variable | Description
bExists | True if the key exists, false otherwise. Boolean.
rcCategory | The root key for the registry. RegistryCategory.
sKeypath | The path to the registry key. String.
sKeyname | The name of the registry key. String.


ExistsRegistryValue Method (SystemFunctions)

Class

SystemFunctions.

Action

Checks if a value exists in the registry.

Syntax

bExists = ExistsRegistryValue (rcCategory, sKeypath, sValueName)
Variable | Description
bExists | True if the value exists, false otherwise. Boolean.
rcCategory | The root key for the registry. RegistryCategory.
sKeypath | The path to the registry key. String.
sValueName | The name of the registry value. String.


FileClose Method (SystemFunctions)

Class

SystemFunctions.

Action

Closes a previously opened file on the machine on which the Open Agent is hosted.

Syntax

C#

FileClose (hFile);

VB

FileClose (hFile)
Variable | Description
hFile | The handle of the file to close. FileHandle.


FileExists Method (SystemFunctions)

Class

SystemFunctions.

Action

Checks whether the specified file exists.

Syntax

C#

bExists = FileExists (sFilePath);

VB

bExists = FileExists (sFilePath)
Variable | Description
bExists | Whether the file exists. Returns true if the file exists and false if it does not. Boolean.
sFilePath | The path to the file. Can be either an absolute path or a path relative to the current working directory. String.


FileOpen Method (SystemFunctions)

Class

SystemFunctions.

Action

Opens a file. If the file does not exist, it is created. Although any open files are closed and saved when the agent disconnects or when a test finishes execution, Micro Focus recommends using the FileClose method to close a file.

Syntax

hFile = FileOpen (sFilePath, fmMode [, fsShare, csCharSet])
Variable | Description
hFile | The handle of the file. FileHandle.
sFilePath | The path to the file. Can be either an absolute path or a path relative to the current working directory. String.
fmMode | The mode to open the file with. FileOpenMode
fsShare | Defines how other processes can access the opened file. FileShareMode
csCharSet | Specifies the encoding type for new files. For existing files, specifies the encoding type if no byte order mark (BOM) is present. CharSet.


FileReadLine Method (SystemFunctions)

Class

SystemFunctions.

Action

Reads a single line from a file. Starts at the current position of the pointer in the file.

Syntax

C#

sLine = FileReadLine (hFile);

VB

sLine = FileReadLine (hFile)
Variable | Description
sLine | A line from the file, or null if EOF was reached. String
hFile | The handle of the file. FileHandle.


FileSetPointer Method (SystemFunctions)

Class

SystemFunctions.

Action

Sets the position pointer within the file for read and write operations.

Syntax

C#

nPosition = FileSetPointer (hFile, nNewValue [, SetMode]);

VB

nPosition = FileSetPointer (hFile, nNewValue [, SetMode])
Variable | Description
nPosition | Number of characters to the current position of the pointer in the file. Integer.
hFile | The handle of the file. FileHandle.
nNewValue | Value that specifies new position, subject to value of SetMode. Integer.
SetMode | The mode to use. FilePointerMode.


FileWriteLine Method (SystemFunctions)

Class

SystemFunctions.

Action

Writes a line at the current position of the pointer in a file.

Syntax

C#

FileWriteLine (hFileHandle, sLine);

VB

FileWriteLine (hFileHandle, sLine)
Variable | Description
hFileHandle | A file handle returned by FileOpen. FileHandle.
sLine | The line to write. String.


FindAll Method (TestObject)

Class

TestObject.

Action

Finds all objects specified by an XPath locator. Returns all objects that match the locator. As long as no object matches the locator, the agent tries to find an object until the default timeout, which is specified by the option Options.ObjectResolveTimeout, expires.

Syntax

C#
TestObjectList=FindAll(locator)
VB
TestObjectList=FindAll(locator)
Variable | Description
locator | The XPath locator. Defines which object to find. String.


Find Method (TestObject)

Class

TestObject.

Action

Finds an object specified by an XPath locator or an object map identifier. Returns the first object that matches the locator. As long as no object matches the locator, the agent tries to find an object until the default timeout, which is specified by the option Options.ObjectResolveTimeout, expires. If no object is found an ObjectNotFoundException is thrown. You can set the Options.ObjectResolveTimeout option in the Synchronization tab of the Script Options dialog box. The option is called OPT_WAIT_RESOLVE_OBJDEF in the UI and is located in the Object resolve timeout section of the tab. The default value for the timeout is 5 seconds.

You can use the Pushbutton or Window method instead of Find. For instance, you can type:
myWindow.Find(Of PushButton)("//PushButton[@caption='ok']").Select()
Or:
myWindow.PushButton("@caption='ok'").Select()
When using object maps, the corresponding object map identifier is ok, and the previous code samples look like the following:
myWindow.Find(Of PushButton)("ok").Select()
Or:
myWindow.PushButton("ok").Select()

Syntax

C#
TestObject.Find(locator, [options])
VB
TestObject.Find(locator, [options])
Variable | Description
locator | The XPath locator or object map identifier. Defines which object to find. String.
options | Optional: Specifies options for the find operation. Can be used to override the default timeout or to specify that null (nothing in Visual Basic) should be returned if no object is found instead of throwing an exception.


FreeMemory Property (SystemFunctions)

Class

SystemFunctions.

Action

Gets the percentage of free memory that is available on the machine on which the the Open Agent is hosted.

Syntax

C#

public Integer FreeMemory { get; }

VB

Public Read Property FreeMemory As Integer

Access

Read only.


GetBitmapCRC Method (SystemFunctions)

Class

SystemFunctions.

Action

Returns the CRC value of a bitmap file. If the parameter mask is provided and is not null, only the masked pixels are used for the CRC calculation. The mask must be a monochrome bitmap with the same dimensions as the image. Black pixels hide the pixel on the same position in the image for CRC calculation.

Syntax

C#

lValue = GetBitmapCRC (sFileName, sMaskName);

VB

lValue = GetBitmapCRC (sFileName, sMaskName)
Variable | Description
lValue | The CRC32 value. Long.
sFileName | The path to the bitmap file. Can be either an absolute path or a path that is relative to the current working directory.
sMaskName | The path to the mask file. Can be either an absolute path or a path that is relative to the current working directory.


GetDirectoryContents Method (SystemFunctions)

Class

SystemFunctions.

Action

Gets the contents of a directory.

Syntax

C#

ilFileInfo = GetDirectoryContents (sName [, fsuFileSizeUnit]);

VB

ilFileInfo = GetDirectoryContents (sName [, fsuFileSizeUnit])
Variable | Description
ilFileInfo | A list with FileInfo objects containing information about all directory entries, or null if the directory does not exist. IList<FileInfo>.
sName | The path to the directory. Can be either an absolute path or a path relative to the current working directory. String.
fsuFileSizeUnit | Optional: The unit in which the file size is measured. Defaults to FileSizeUnit.Byte. FileSizeUnit.


GetEnvironmentVariable Method (SystemFunctions)

Class

SystemFunctions.

Action

Gets the value of the specified environment variable.

Syntax

C#

sValue = GetEnvironmentVariable (sName);

VB

sValue = GetEnvironmentVariable (sName)
Variable | Description
sValue | The value of the specified environment variable. String.
sName | The name of the environment variable. String.


GetExitCode Method (ExecutionResult)

Class

ExecutionResult.

Action

Returns the result of a call to Execute. 0 if no error occurred.

Syntax

C#

iExitCode = GetExitCode ();

VB

iExitCode = GetExitCode ()
Variable | Description
iExitCode | The result of a call to Execute. 0 if no error occurred. Integer.


GetFileInfo Method (SystemFunctions)

Class

SystemFunctions.

Action

Gets information about the specified file. Returns null if the file does not exist.

Syntax

C#

fiFileInfo = GetFileInfo (sName [, fsuFileSizeUnit]);

VB

fiFileInfo = GetFileInfo (sName [, fsuFileSizeUnit])
Variable | Description
fiFileInfo | Information about the file. Null if the file does not exist. FileInfo.
sName | The path to the file. Can be either an absolute path or a path relative to the current working directory. String.
fsuFileSizeUnit | Optional: The unit in which the file size is measured. Defaults to FileSizeUnit.Byte. FileSizeUnit.


GetFreeDiskSpace Method (SystemFunctions)

Class

SystemFunctions.

Action

Returns how much free disk space is available on the specified drive.

Syntax

C#

dFreeDiskSpace = GetFreeDiskSpace (sDrive [, fsuFileSizeUnit]);

VB

dFreeDiskSpace = GetFreeDiskSpace (sDrive [, fsuFileSizeUnit])
Variable | Description
dFreeDiskSpace | The amount of free disk space that is available on the specified drive. Double.
sDrive | The drive. String.
fsuFileSizeUnit | Optional: The unit in which the file size is measured. Defaults to byte. FileSizeUnit.


GetHandle Method (FileHandle)

Class

FileHandle.

Action

Returns the internal value for the handle.

Syntax

C#

nHandle = GetHandle ();

VB

nHandle = GetHandle ()
Variable | Description
nHandle | The internal value for the handle. Integer.


GetName Method (FileHandle)

Class

FileHandle.

Action

Returns the name of the file or directory to which the handle corresponds.

Syntax

C#

sName = GetName ();

VB

sName = GetName ()
Variable | Description
sName | The name of the file or directory to which the handle corresponds.. String.


GetOutput Method (ExecutionResult)

Class

ExecutionResult.

Action

Returns the contents of both stdout and stderr as a string.

Syntax

C#

sOutput = GetOutput ();

VB

sOutput = GetOutput ()
Variable | Description
sOutput | The contents of both stdout and stderr. String.


GetProperty Method (TestObject)

Class

TestObject.

Action

Returns the value of the specified property.

Syntax

C#
GetProperty(propertyName)
VB
GetProperty(propertyName)
Variable | Description
propertyName | The case-sensitive name of the property. String.


GetRawOutput Method (ExecutionResult)

Class

ExecutionResult.

Action

Returns the contents of both stdout and stderr.

Syntax

C#

lsRawOutput = GetRawOutput ();

VB

lsRawOutput = GetRawOutput ()
Variable | Description
lsRawOutput | The contents of both stdout and stderr. List of Strings.


GetRegistryKeyNames Method (SystemFunctions)

Class

SystemFunctions.

Action

Returns the names of all registry keys below the specified key.

Syntax

C#

lsKeyNames = GetRegistryKeyNames (rcCategory, sKeyPath);

VB

lsKeyNames = GetRegistryKeyNames (rcCategory, sKeyPath)
Variable | Description
lsKeyNames | The names of all registry keys below the specified key. IList<String>.
rcCategory | The root key for the registry. RegistryCategory.
sKeyPath | The path to the registry key. String.


GetRegistryValue Method (SystemFunctions)

Class

SystemFunctions.

Action

Returns the value of the specified registry key.

Syntax

C#

oKeyValue = GetRegistryValue (rcCategory, sKeyPath, sValueName, bConvertToInt);

VB

oKeyValue = GetRegistryValue (rcCategory, sKeyPath, sValueName, bConvertToInt)
Variable | Description
oKeyValue | The value of the specified key. Null if the key does not exist. Object.
rcCategory | The root key for the registry. RegistryCategory.
sKeyPath | The path to the registry key. String.
sValueName | The name of the value. String.
bConvertToInt | Specifies whether to convert the value to an integer. Boolean.


GetRegistryValueNames Method (SystemFunctions)

Class

SystemFunctions.

Action

Returns the values of all registry keys below the specified key.

Syntax

C#

lsKeyValues = GetRegistryValueNames (rcCategory, sKeyPath);

VB

lsKeyValues = GetRegistryValueNames (rcCategory, sKeyPath)
Variable | Description
lsKeyValues | The values of all registry keys below the specified key. IList<String>.
rcCategory | The root key for the registry. RegistryCategory.
sKeyPath | The path to the registry key. String.


HostName Property (SystemFunctions)

Class

SystemFunctions.

Action

Gets the hostname of the machine on which the Open Agent is running.

Syntax

C#

public String HostName { get; }

VB

Public Read Property HostName As String

Access

Read only.


ImageClickFile Method (TestObject)

Class

TestObject.

Action

Clicks on the specified image.

Syntax

C#
testObject.ImageClickFile(imageFile, [position, occurrence, clickType, modifiers, timeout]);
VB
testObject.ImageClickFile(imageFile, [position, occurrence, clickType, modifiers, timeout])
Variable | Description
imageFile An absolute path to an image file of one of the following types:
  • .bmp
  • .png
Note: This path can be either absolute or relative to the working directory during playback.
STRING.
position | Optional: The coordinates at which to click. The coordinates are relative to the upper-left corner of the image. To click in the center of the image use ClickPosition.Center. The default value is the center of the image. Point.
occurrence | Optional: The occurrence of the image that should be clicked, if there are multiple occurrences. The first occurrence is 1. The default value is 1. Integer.
clickType | Optional: The desired mouse action. The default value is left click. ClickType .
modifiers | Optional: The modifier keys, Alt, Shift, or Ctrl, to press while clicking. Default: No modifier keys are used. ModifierKeys.
timeout | Optional: The maximum time in milliseconds to wait for the image to appear. If the timeout is not specified, the ImageClick method waits for the image to appear until the Object resolve timeout is over. Integer.

C# Examples

Assume you have an image with the name myImage.png in the directory C:\temp.

  • To search for the image in the application under test and to click in the center of the found image, you can use the following code:
     control.ImageClickFile("C:\temp\myImage.png");
  • To click on a specific position inside the image, instead of in the center of the image, you can use the following code:
     control.ImageClickFile("C:\temp\myImage.png", new Point(10, 20));
  • To right-click in the center of the second occurrence of the image in the application under test, you can use the following code:
    control.ImageClickFile("C:\temp\myImage.png", ClickPosition.Center, 2, ClickType.Right);
  • To wait two seconds for the image to appear and to click in the center of the found image, you can use the following code:
    control.ImageClickFile("C:\temp\myImage.png", ClickPosition.Center, 1, ClickType.Left, ModifierKeys.None, 2000);

Visual Basic Examples

Assume you have an image with the name myImage.png in the directory C:\temp.

  • To search for the image in the application under test and to click in the center of the found image, you can use the following code:
     control.ImageClick("C:\temp\myImage.png")
  • To click on a specific position inside the image, instead of in the center of the image, you can use the following code:
     control.ImageClick("C:\temp\myImage.png", New Point(10, 20))
  • To right-click in the center of the second occurrence of the image in the application under test, you can use the following code:
    control.ImageClick("C:\temp\myImage.png", ClickPosition.Center, 2, ClickType.Right)
  • To wait two seconds for the image to appear and to click in the center of the found image, you can use the following code:
    control.ImageClickFile("C:\temp\myImage.png", ClickPosition.Center, 1, ClickType.Left, ModifierKeys.None, 2000)


ImageClick Method (TestObject)

Class

TestObject.

Action

Clicks on the specified image asset. Waits until the image is found, the specified timeout is over, or the Object resolve timeout, which you can define in the synchronization options, is over.

Syntax

C#
TestObject.ImageClick(imageAsset,[position, occurrence, clickType, modifiers, timeout])
VB
TestObject.ImageClick(imageAsset,[position, occurrence, clickType, modifiers, timeout])
Variable | Description
imageAsset | A .imageasset file. This file must be an embedded resource in the test assembly. String.
position | Optional: The coordinates at which to click. The coordinates are relative to the upper-left corner of the image. To click in the center of the image use ClickPosition.Center. The default value is the center of the image. Point.
occurrence | Optional: The occurrence of the image that should be clicked, if there are multiple occurrences. The first occurrence is 1. The default value is 1. Integer.
clickType | Optional: The desired mouse action. The default value is left click. ClickType .
modifiers | Optional: The modifier keys, Alt, Shift, or Ctrl, to press while clicking. Default: No modifier keys are used. ModifierKeys
timeout | Optional: The maximum time in milliseconds to wait for the image to appear. If the timeout is not specified, the ImageClick method waits for the image to appear until the Object resolve timeout is over. Integer.

C# Examples

Assume you have created an image asset with the name myImage. The image in the image asset represents a UI object that you want to interact with.

  • To search for the image in the application under test and to click in the center of the found image, you can use the following code:
     control.ImageClick("myImage");
  • To click on a specific position inside the image, instead of in the center of the image, you can use the following code:
     control.ImageClick("myImage", new Point(10, 20));
  • To right-click in the center of the second occurrence of the image in the application under test, you can use the following code:
    control.ImageClick("myImage", ClickPosition.Center, 2, ClickType.Right);
  • To wait two seconds for the image to appear and to click in the center of the found image, you can use the following code:
    control.ImageClick("myImage", ClickPosition.Center, 1, ClickType.Left, ModifierKeys.None, 2000);

Visual Basic Examples

Assume you have created an image asset with the name myImage. The image in the image asset represents a UI object that you want to interact with.

  • To search for the image in the application under test and to click in the center of the found image, you can use the following code:
     control.ImageClick("myImage")
  • To click on a specific position inside the image, instead of in the center of the image, you can use the following code:
     control.ImageClick("myImage", New Point(10, 20))
  • To right-click in the center of the second occurrence of the image in the application under test, you can use the following code:
    control.ImageClick("myImage", ClickPosition.Center, 2, ClickType.Right)
  • To wait two seconds for the image to appear and to click in the center of the found image, you can use the following code:
    control.ImageClick("myImage", ClickPosition.Center, 1, ClickType.Left, ModifierKeys.None, 2000)


ImageExistsFile Method (TestObject)

Class

TestObject.

Action

Returns whether the specified image exists.

Syntax

C#
return = TestObject.ImageExistsFile(imageFile, [occurrence, searchRectangle])
VB
return = TestObject.ImageExistsFile(imageFile, [occurrence, searchRectangle])
Variable | Description
return | True if the image exists, false if not. Boolean.
imageFile
  • A path to a file of one of the following types:
    • .bmp
    • .png
String.
occurrence | Optional: The occurrence of the image that should be checked for existence, if there are multiple occurrences. The first occurrence is 1. The default value is 1. Integer.
searchRectangle | Optional: The object-relative rectangle in which to search for the image. Rect .

C# Example

Assume you have a PNG image with the name myImage in the folder c:/temp. To check if the image exists in the application under test, you can use the following code:

bImageExists = control.ImageExistsFile("c://temp/myImage.png");

Visual Basic Example

Assume you have a PNG image with the name myImage in the folder c:/temp. To check if the image exists in the application under test, you can use the following code:

bImageExists = control.ImageExistsFile("c://temp/myImage.png")


ImageExists Method (TestObject)

Class

TestObject.

Action

Returns whether the specified image asset exists.

Syntax

C#
TestObject.ImageExists(imageAsset, [occurrence, searchRectangle])
VB
TestObject.ImageExists(imageAsset, [occurrence, searchRectangle])
Variable | Description
imageAsset | A .imageasset file. This file must be an embedded resource in the test assembly. String.
occurrence | Optional: The occurrence of the image that should be clicked, if there are multiple occurrences. The first occurrence is 1. The default value is 1. Integer.
searchRectangle | Optional: The object-relative rectangle in which to search for the image. Rect .

C# Example

Assume you have created an image asset with the name myImage. The image in the image asset represents a UI object that you want to interact with. To check if the image exists in the application under test, you can use the following code:
 control.ImageExists("myImage");

Visual Basic Example

Assume you have created an image asset with the name myImage. The image in the image asset represents a UI object that you want to interact with. To check if the image exists in the application under test, you can use the following code:
 control.ImageExists("myImage")


ImageRectangleFile Method (TestObject)

Class

TestObject.

Action

Returns the object-relative rectangle of the specified image.

Syntax

C#
returnRectangle = TestObject.ImageRectangleFile(imageFilePath, [occurence, searchRectangle])
VB
returnRectangle = TestObject.ImageRectangleFile(imageFilePath, [occurrence, searchRectangle])
Variable | Description
returnRectangle | The rectangle of the specified image or an empty rectangle if the image is not found. Rect.
imageFile
  • A path to a file of one of the following types:
    • .bmp
    • .png
String.
occurrence | Optional: The occurrence of the image for which the rectangle should be returned, if there are multiple occurrences. The first occurrence is 1. The default value is 1. Integer.
searchRectangle | Optional: The object-relative rectangle in which to search for the image. Rect .

C# Example

Assume you have a PNG image with the name myImage in the folder c:/temp. To get the object-relative rectangle of the image, you can use the following code:

imageRectangle = control.ImageRectangleFile("c://temp/myImage.png");

Visual Basic Example

Assume you have a PNG image with the name myImage in the folder c:/temp. To get the object-relative rectangle of the image, you can use the following code:

imageRectangle = control.ImageRectangleFile("c://temp/myImage.png")


ImageRectangle Method (TestObject)

Class

TestObject.

Action

Returns the object-relative rectangle of the specified image asset.

Syntax

C#
returnRectangle = TestObject.ImageRectangleFile(imageAsset, [occurence, searchRectangle])
VB
returnRectangle = TestObject.ImageRectangleFile(imageAsset, [occurrence, searchRectangle])
Variable | Description
returnRectangle | The rectangle of the specified image asset or an empty rectangle if the image asset is not found. Rect.
imageAsset | A .imageasset file. This file must be an embedded resource in the test assembly. String.
occurrence | Optional: The occurrence of the image asset for which the rectangle should be returned, if there are multiple occurrences. The first occurrence is 1. The default value is 1. Integer.
searchRectangle | Optional: The object-relative rectangle in which to search for the image asset. Rect .

C# Example

Assume you have an image asset with the name myImage. To get the object-relative rectangle of the image, you can use the following code:

imageRectangle = control.ImageRectangle("myImage");

Visual Basic Example

Assume you have a PNG image with the name myImage. To get the object-relative rectangle of the image, you can use the following code:

imageRectangle = control.ImageRectangle("myImage")


Invoke Method (TestObject)

Class

TestObject.

Action

Dynamically invokes a method on the test object. Returns null for methods with the return type void.

Invoke can dynamically invoke all public methods that the MSDN defines for the test object. For test objects in a Windows Forms application or a WPF application, Invoke can additionally invoke all public static methods that the MSDN defines and all user-defined public static methods of any type.

Syntax

C#
TestObject.Invoke(methodName, [parameters])
VB
TestObject.Invoke(methodName, [parameters])
Variable | Description
methodName | The method name, such as Select. String.
parameters | The method parameters. If the function requires no parameters an empty list is passed.

Example 1

For an object of the type DataGrid, you can call all methods that the MSDN defines for the type System.Windows.Forms.DataGrid.

Example 2

To call the static .NET method String.Compare(String s1, String s2) inside the application under test, use the following code:
//VB .NET code
Dim result as Integer = mainWindow.Invoke("System.String.Compare", "a", "b")
//C# code
int result = (int) mainWindow.Invoke("System.String.Compare", "a", "b");

The object mainWindow only identifies the application inside which the method is called and can be replaced by any other object in the application.


IsDirectory Property (FileInfo)

Class

FileInfo.

Action

Gets whether the instance stores information about a directory or not.

Syntax

C#

public Boolean IsDirectory { get; }

VB

Public Read Property IsDirectory As Boolean

Access

Read only.


Locale Property (SystemFunctions)

Class

SystemFunctions.

Action

Gets the locale of the machine on which the Open Agent is running, for example en-US.

Syntax

C#

public String Locale { get; }

VB

Public Read Property Locale As String

Access

Read only.


ModificationTime Property (FileInfo)

Class

FileInfo.

Action

Gets the time at which the file or directory was last modified.

Syntax

C#

public DateTime ModificationTime { get; }

VB

Public Read Property ModificationTime As DateTime

Access

Read only.


MoveFile Method (SystemFunctions)

Class

SystemFunctions.

Action

Moves a file.

Syntax

C#

MoveFile (sSrc, sDest);

VB

MoveFile (sSrc, sDest)
Variable | Description
sSrc | The path to the source file. Can be either an absolute path or a path that is relative to the current working directory. String.
sDest | The path to the destination file. Can be either an absolute path or a path that is relative to the current working directory. String.


Name Property (FileInfo)

Class

FileInfo.

Action

Gets the name of the file.

Syntax

C#

public String Name { get; }

VB

Public Read Property Name As String

Access

Read only.


OSName Property (SystemFunctions)

Class

SystemFunctions.

Action

Gets the name of the operating system of the machine on which the Open Agent is hosted.

Syntax

C#

public String OSName { get; }

VB

Public Read Property OSName As String

Access

Read only.


OSVersion Property (SystemFunctions)

Class

SystemFunctions.

Action

Gets the major and minor version of the operating system of the machine on which the Open Agent is hosted.

Syntax

C#

public String OSVersion { get; }

VB

Public Read Property OSVersion As String

Access

Read only.


OSVersionType Property (SystemFunctions)

Class

SystemFunctions.

Action

Gets the version type, server or client, of the operating system of the machine on which the Open Agent is hosted.

Syntax

C#

public String OSVersionType { get; }

VB

Public Read Property OSVersionType As String

Access

Read only.


RemoveDirectory Method (SystemFunctions)

Class

SystemFunctions.

Action

Deletes the specified directory. The directory has to be empty.

Syntax

C#

RemoveDirectory (sDirectoryName);

VB

RemoveDirectory (sDirectoryName)
Variable | Description
sDirectoryName | The path to the directory. Can be either an absolute path or a path relative to the current working directory. String.


RemoveFile Method (SystemFunctions)

Class

SystemFunctions.

Action

Deletes the specified file.

Syntax

C#

RemoveFile (sFileName);

VB

RemoveFile (sFileName)
Variable | Description
sFileName | The path to the file. Can be either an absolute path or a path relative to the current working directory. String.


SetEnvironmentVariable Method (SystemFunctions)

Class

SystemFunctions.

Action

Sets the value of the specified environment variable.

Syntax

C#

SetEnvironmentVariable (sName, sValue);

VB

SetEnvironmentVariable (sName, sValue)
Variable | Description
sName | The name of the environment variable. String.
sValue | The value of the specified environment variable. String.


SetProperty Method (TestObject)

Class

TestObject.

Action

Sets the value of the specified property.

Syntax

C#
SetProperty(propertyName, value)
VB
SetProperty(propertyName, value)
Variable | Description
propertyName | The case-sensitive name of the property. String.
value | The new value for the property. Object.


SetRegistryValue Method (SystemFunctions)

Class

SystemFunctions.

Action

Sets the value of the specified registry key.

Syntax

C#

bSuccess = SetRegistryValue (rcCategory, sKeyPath, sValueName, sNewValue);

VB

bSuccess = SetRegistryValue (rcCategory, sKeyPath, sValueName, sNewValue)
Variable | Description
bSuccess | Returns true if the registry key could be set, false otherwise . Boolean.
rcCategory | The root key for the registry. RegistryCategory.
sKeyPath | The path to the registry key. String.
sValueName | The name of the value. String.
sNewValue | The new value. String.


Size Property (FileInfo)

Class

FileInfo.

Action

Gets the size of the file. Returns 0.0 for directories. The unit for the file size is determined when using the methods GetFileInfo and GetDirectoryContents.

Syntax

C#

public Double Size { get; }

VB

Public Read Property Size As Double

Access

Read only.


ToString Method (ExecutionResult)

Class

ExecutionResult.

Action

Returns the exit code as a string.

Syntax

C#

sExitCode = ToString ();

VB

sExitCode = ToString ()
Variable | Description
sExitCode | The exit code. String.


Verify Method (TestObject)

Class

TestObject.

Action

Executes a verification on the given asset in the context of this UI object. Returns whether the verification was successful or not.

Syntax

C#
result = TestObject.Verify(testObject, verificationAsset)
VB
result = TestObject.Verify(testObject, verificationAsset)
Variable | Description
result | Whether the verification was successful or not. Boolean.
testObject | Defines which object to verify. TestObject.
verificationAsset | The name of the verification asset to execute. String.


A Property

Class

Color.

Action

Gets the value of the alpha RGB channel of the color.

Syntax

C#
public readonly int A
VB
Public Readonly Property A As Integer

Access

Read only.

Example

To get the value of the alpha RGB channel of the color cyan, type the following:
'VB code
Public Sub Main()
     Dim myColor As Color(0,255,255,255)
  Dim alphaValue As Integer
  alphaValue = myColor.A()
End Sub


BLACK Field

Class

Color.

Action

Gets the color that has the ARGB value of #FF000000.

Syntax

C#
public static readonly Color BLACK
VB
Public Shared ReadOnly BLACK As Color

Access

Read only.


BLUE Field

Class

Color.

Action

Gets the color that has the ARGB value of #FF0000FF.

Syntax

C#
public static readonly Color BLUE
VB
Public Shared ReadOnly BLUE As Color

Access

Read only.


B Property

Class

Color.

Action

Gets the value of the blue RGB channel of the color.

Syntax

C#
public readonly int B
VB
Public Readonly Property B As Integer

Access

Read only.

Example

To get the value of the blue RGB channel of the color cyan, type the following:
'VB code
Public Sub Main()
     Dim myColor As Color(0,255,255,255)
  Dim blueValue As Integer
  blueValue = myColor.B()
End Sub


Center Property

Class

Rectangle.

Action

Gets the center of the Rectangle.

Syntax

C#
public readonly Point Center
VB
Public Readonly Property Center As Point

Access

Read only.


Children Property

Class

TreeNode.

Action

Gets the child nodes of the TreeNode.

Syntax

C#
public readonly IList<TreeNode> RootNodes
VB
Public ReadOnly Property RootNodes As IList<TreeNode>

Access

Read only.


Column Property

Class

TextPosition.

Action

Gets the column.

Syntax

C#
public readonly int Column
VB
Public Readonly Property Column As Integer

Access

Read only.


Contains(Point) Method

Class

Rectangle.

Action

Returns true if the current Rectangle contains the specified Point. Returns false otherwise.

Syntax

C#
public bool Contains (Point point)
VB
Public Function Contains (point As Point) As Boolean


Contains(Rectangle) Method

Class

Rectangle.

Action

Returns true if the current Rectangle contains the specified Rectangle. Returns false otherwise.

Syntax

C#
public bool Contains (Rectangle rect)
VB
Public Function Contains (rect As Rectangle) As Boolean


Contains(X,Y) Method

Class

Rectangle.

Action

Returns true if the current Rectangle contains the specified coordinates. Returns false otherwise.

Syntax

C#
public bool Contains (int x, int y)
VB
Public Function Contains (x As Integer, y As Integer) As Boolean


CYAN Field

Class

Color.

Action

Gets the color that has the ARGB value of #FF00FFFF.

Syntax

C#
public static readonly Color CYAN
VB
Public Shared ReadOnly CYAN As Color

Access

Read only.


EndColumn Property

Class

TextRange.

Action

Gets the end column of the range.

Syntax

C#
public readonly int EndColumn
VB
Public Readonly Property EndColumn As Integer

Access

Read only.


EndLine Property

Class

TextRange.

Action

Gets the end line of the range.

Syntax

C#
public readonly int EndLine
VB
Public Readonly Property EndLine As Integer

Access

Read only.


G Property

Class

Color.

Action

Gets the value of the green RGB channel of the color.

Syntax

C#
public readonly int G
VB
Public Readonly Property G As Integer

Access

Read only.

Example

To get the value of the green RGB channel of the color cyan, type the following:
'VB code
Public Sub Main()
     Dim myColor As Color(0,255,255,255)
  Dim greenValue As Integer
  greenValue = myColor.G()
End Sub


Green Field

Class

Color.

Action

Gets the color that has the ARGB value of #FF00FF00.

Syntax

C#
public static readonly Color GREEN
VB
Public Shared ReadOnly GREEN As Color

Access

Read only.


Height Property

Class

Rectangle.

Action

Gets the height of the Rectangle.

Syntax

C#
public readonly int Height
VB
Public Readonly Property Height As Integer

Access

Read only.


IsEmpty Property

Class

Rectangle.

Action

Determines whether the rectangle is empty.

Syntax

C#
public readonly bool IsEmpty
VB
Public Readonly Property IsEmpty As Boolean

Access

Read only.


Line Property

Class

TextPosition.

Action

Gets the line.

Syntax

C#
public readonly int Line
VB
Public Readonly Property Line As Integer

Access

Read only.


MAGENTA Field

Class

Color.

Action

Gets the color that has the ARGB value of #FFFF00FF.

Syntax

C#
public static readonly Color MAGENTA
VB
Public Shared ReadOnly MAGENTA As Color

Access

Read only.


Maximum Property

Class

Range.

Action

Gets the maximum of a Range.

Syntax

C#
public readonly int Maximum
VB
Public Readonly Property Maximum As Integer

Access

Read only.


Minimum Property

Class

Range.

Action

Gets the minimum of a Range.

Syntax

C#
public readonly int Minimum
VB
Public Readonly Property Minimum As Integer

Access

Read only.


RED Field

Class

Color.

Action

Gets the color that has the ARGB value of #FFFF0000.

Syntax

C#
public static readonly Color RED
VB
Public Shared ReadOnly RED As Color

Access

Read only.


RootNodes Property

Class

TreeContent.

Action

Gets the root nodes of the corresponding tree.

Syntax

C#
public readonly IList<TreeNode> RootNodes
VB
Public ReadOnly Property RootNodes As IList<TreeNode>

Access

Read only.


R Property

Class

Color.

Action

Gets the value of the red RGB channel of the color.

Syntax

C#
public readonly int R
VB
Public Readonly Property R As Integer

Access

Read only.

Example

To get the value of the red RGB channel of the color cyan, type the following:
'VB code
Public Sub Main()
     Dim myColor As Color(0,255,255,255)
  Dim redValue As Integer
  redValue = myColor.R()
End Sub


StartColumn Property

Class

TextRange.

Action

Gets the start column of the range.

Syntax

C#
public readonly int StartColumn
VB
Public Readonly Property StartColumn As Integer

Access

Read only.


StartLine Property

Class

TextRange.

Action

Gets the start line of the range.

Syntax

C#
public readonly int StartLine
VB
Public Readonly Property StartLine As Integer

Access

Read only.


Text Property (TreeNode)

Class

TreeNode.

Action

Gets the text of the TreeNode.

Syntax

C#
public readonly String Text
VB
Public ReadOnly Property Text As String

Access

Read only.


WHITE Field

Class

Color.

Action

Gets the color that has the ARGB value of #FFFFFFFF.

Syntax

C#
public static readonly Color WHITE
VB
Public Shared ReadOnly WHITE As Color

Access

Read only.


Width Property

Class

Rectangle.

Action

Gets the width of the Rectangle.

Syntax

C#
public readonly int Width
VB
Public Readonly Property Width As Integer

Access

Read only.


X Property

Class

Point and Rectangle.

Action

Gets the x coordinate.

Syntax

C#
public readonly int X
VB
Public Readonly Property X As Integer

Access

Read only.


YELLOW Field

Class

Color.

Action

Gets the color that has the ARGB value of #FFFFFF00.

Syntax

C#
public static readonly Color YELLOW
VB
Public Shared ReadOnly YELLOW As Color

Access

Read only.


Y Property

Class

Point and Rectangle.

Action

Gets the y coordinate.

Syntax

C#
public readonly int Y
VB
Public Readonly Property Y As Integer

Access

Read only.


AllowDeselection Property (SparkButtonBarButton)

Class

SparkButtonBarButton.

Action

Gets a value whether the user click on a currently selected button deselects it.

Syntax

C#
protected Boolean allowDeselection { get; }
VB
'Declaration
Protected Read Property allowDeselection As Boolean

Access

Read only.


AllowDisjointSelection Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets whether non-contiguous selection is allowed in the DateChooser control.

If true, non-contiguous selection is allowed in the DateChooser control. This property has an effect only if the allowMultipleSelection property is true. Setting this property changes the appearance of the DateChooser control.

The default value is true.

Syntax

C#
protected Boolean allowDisjointSelection { get; }
VB
'Declaration
Protected Read Property allowDisjointSelection As Boolean

Access

Read only.


AllowDragSelection Property (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Gets whether drag-selection is enabled. Drag-Selection is the ability to select an item by dragging into it as opposed to normal selection where you can't have the mouse button down when you mouse over the item you want to select.

This feature is used in ComboBox dropdowns to support pressing the mouse button when the mouse is over the dropdown button then dragging the mouse into the dropdown to select an item.

The default value is false.

Syntax

C#
protected Boolean allowDragSelection { get; }
VB
'Declaration
Protected Read Property allowDragSelection As Boolean

Access

Read only.


AllowMultipleSelection Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets whether multiple selection is allowed in the DateChooser control.

If true, specifies that multiple selection is allowed in the DateChooser control.

The default value is false.

Syntax

C#
protected Boolean allowMultipleSelection { get; }
VB
'Declaration
Protected Read Property allowMultipleSelection As Boolean

Access

Read only.


AllowMultipleSelection Property (FlexListBase)

Class

FlexListBase.

Action

Gets whether you can allow more than one item to be selected at the same time.

If true, users can select multiple items. There is no option to disallow noncontiguous selection. Standard complex selection options are always in effect (Shift-click, Ctrl-click).

The default value is false.

Syntax

C#
protected Boolean allowMultipleSelection { get; }
VB
'Declaration
Protected Read Property allowMultipleSelection As Boolean

Access

Read only.


AllowMultipleSelection Property (SparkList)

Class

SparkList.

Action

Gets a value if multiple selection is enabled.

Syntax

C#
protected Boolean allowMultipleSelection { get; }
VB
'Declaration
Protected Read Property allowMultipleSelection As Boolean

Access

Read only.


AllowValueWrap Property (SparkSpinner)

Class

SparkSpinner.

Action

Gets the behavior of the control for a step when the current value is either the maximum or minimum value.

Syntax

C#
protected Boolean allowValueWrap { get; }
VB
'Declaration
Protected Read Property allowValueWrap As Boolean

Access

Read only.


Alpha Property (FlexDisplayObject)

Class

FlexDisplayObject.

Action

Gets the alpha transparency value of the object specified.

Valid values are 0 (fully transparent) to 1 (fully opaque). The default value is 1. Display objects with alpha set to 0 are active, even though they are invisible.

Syntax

C#
protected Double alpha { get; }
VB
'Declaration
Protected Read Property alpha As Double

Access

Read only.


AlternatingItemColors Property (FlexComboBox)

Class

FlexComboBox.

Action

Gets the set of BackgroundColors for drop-down list rows in an alternating pattern.

Value can be an Array of two of more colors. If undefined then the rows will use the drop-down list's backgroundColor style. The default value is undefined.

Syntax

C#
protected List(Of Color) alternatingItemColors { get; }
VB
'Declaration
Protected Read Property alternatingItemColors As List(Of Color)

Access

Read only.


AlternatingItemColors Property (FlexListBase)

Class

FlexListBase.

Action

Gets the colors to use for the backgrounds of the items in the list.

The value is an array of two or more colors. The backgrounds of the list items alternate among the colors in the array. Used only if the backgroundColor property is not specified. The default value is undefined.

Syntax

C#
protected List(Of Color) alternatingItemColors { get; }
VB
'Declaration
Protected Read Property alternatingItemColors As List(Of Color)

Access

Read only.


AlternatingItemColors Property (FlexMenu)

Class

FlexMenu.

Action

Gets the colors used for menu or submenu menu items in an alternating pattern.

The value can be an Array of two or more colors. This style is only used if backgroundColor is not specified. The default value is undefined.

Syntax

C#
protected List(Of Color) alternatingItemColors { get; }
VB
'Declaration
Protected Read Property alternatingItemColors As List(Of Color)

Access

Read only.


AlwaysInFront Property (FlexWindow)

Class

FlexWindow.

Action

Gets a value whether the underlying NativeWindow is always in front of other windows.

Syntax

C#
protected Boolean alwaysInFront { get; }
VB
'Declaration
Protected Read Property alwaysInFront As Boolean

Access

Read only.


AlwaysInFront Property (FlexWindowedApplication)

Class

FlexWindowedApplication.

Action

Gets a value whether the underlying NativeWindow is always in front of other windows.

Syntax

C#
protected Boolean alwaysInFront { get; }
VB
'Declaration
Protected Read Property alwaysInFront As Boolean

Access

Read only.


AlwaysInFront Property (SparkWindow)

Class

SparkWindow.

Action

Gets a value whether the underlying NativeWindow is always in front of other windows.

Syntax

C#
protected Boolean alwaysInFront { get; }
VB
'Declaration
Protected Read Property alwaysInFront As Boolean

Access

Read only.


AlwaysInFront Property (SparkWindowedApplication)

Class

SparkWindowedApplication.

Action

Gets a value whether the underlying NativeWindow is always in front of other windows.

Syntax

C#
protected Boolean alwaysInFront { get; }
VB
'Declaration
Protected Read Property alwaysInFront As Boolean

Access

Read only.


ApplicationID Property (FlexWindowedApplication)

Class

FlexWindowedApplication.

Action

Gets the identifier that AIR uses to identify the application.

Syntax

C#
protected String applicationID { get; }
VB
'Declaration
Protected Read Property applicationID As String

Access

Read only.


ApplicationID Property (SparkWindowedApplication)

Class

SparkWindowedApplication.

Action

Gets the identifier that AIR uses to identify the application.

Syntax

C#
protected String applicationID { get; }
VB
'Declaration
Protected Read Property applicationID As String

Access

Read only.


AutoDisplayFirstFrame Property (SparkVideoDisplay)

Class

SparkVideoDisplay.

Action

Gets whether the video is loaded when the source is set.

Syntax

C#
protected Boolean autoDisplayFirstFrame { get; }
VB
'Declaration
Protected Read Property autoDisplayFirstFrame As Boolean

Access

Read only.


AutoExit Property (FlexWindowedApplication)

Class

FlexWindowedApplication.

Action

Gets a value whether the AIR application will quit when the last window closes or will continue running in the background.

Syntax

C#
protected Boolean autoExit { get; }
VB
'Declaration
Protected Read Property autoExit As Boolean

Access

Read only.


AutoExit Property (SparkWindowedApplication)

Class

SparkWindowedApplication.

Action

Gets a value whether the AIR application will quit when the last window closes or will continue running in the background.

Syntax

C#
protected Boolean autoExit { get; }
VB
'Declaration
Protected Read Property autoExit As Boolean

Access

Read only.


AutoLayout Property (SparkGroupBase)

Class

SparkGroupBase.

Action

Gets a value whether measurement and layout are done when the position or size of a child is changed.

Syntax

C#
protected Boolean autoLayout { get; }
VB
'Declaration
Protected Read Property autoLayout As Boolean

Access

Read only.


AutoLayout Property (SparkSkinnableContainer)

Class

SparkSkinnableContainer.

Action

Gets whether measurement and layout are done when the position or size of a child is changed.

Syntax

C#
protected Boolean autoLayout { get; }
VB
'Declaration
Protected Read Property autoLayout As Boolean

Access

Read only.


AutoLayout Property (SparkSkinnableDataContainer)

Class

SparkSkinnableDataContainer.

Action

Gets the measurement and layout are done when the position or size of a child is changed.

Syntax

C#
protected Boolean autoLayout { get; }
VB
'Declaration
Protected Read Property autoLayout As Boolean

Access

Read only.


AutomationClassName Property (FlexListLabel)

Class

FlexListLabel.

Action

Gets a string containing the automation class name for the element.

Syntax

C#
protected String automationClassName { get; }
VB
'Declaration
Protected Read Property automationClassName As String

Access

Read only.


AutomationClassName Property (FlexObject)

Class

FlexObject.

Action

Gets a string containing the automation class name for the element.

Syntax

C#
protected String automationClassName { get; }
VB
'Declaration
Protected Read Property automationClassName As String

Access

Read only.


AutomationClassName Property (FlexRepeater)

Class

FlexRepeater.

Action

Gets a string containing the automation class name for the element.

Syntax

C#
protected String automationClassName { get; }
VB
'Declaration
Protected Read Property automationClassName As String

Access

Read only.


AutomationClassName Property (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Gets a string containing the automation class name for the element.

Syntax

C#
protected String automationClassName { get; }
VB
'Declaration
Protected Read Property automationClassName As String

Access

Read only.


AutomationIndex Property (FlexListLabel)

Class

FlexListLabel.

Action

Gets a string containing the automation index for the element.

Syntax

C#
protected String automationIndex { get; }
VB
'Declaration
Protected Read Property automationIndex As String

Access

Read only.


AutomationIndex Property (FlexObject)

Class

FlexObject.

Action

Gets a string containing the automation index for the element.

Syntax

C#
protected String automationIndex { get; }
VB
'Declaration
Protected Read Property automationIndex As String

Access

Read only.


AutomationIndex Property (FlexRepeater)

Class

FlexRepeater.

Action

Gets a string containing the automation index for the element.

Syntax

C#
protected String automationIndex { get; }
VB
'Declaration
Protected Read Property automationIndex As String

Access

Read only.


AutomationIndex Property (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Gets a string containing the automation index for the element.

Syntax

C#
protected String automationIndex { get; }
VB
'Declaration
Protected Read Property automationIndex As String

Access

Read only.


AutomationName Property (FlexListLabel)

Class

FlexListLabel.

Action

Gets the name that can be used as an identifier for this object.

Syntax

C#
protected String automationName { get; }
VB
'Declaration
Protected Read Property automationName As String

Access

Read only.


AutomationName Property (FlexObject)

Class

FlexObject.

Action

Gets the name that can be used as an identifier for this object.

Syntax

C#
protected String automationName { get; }
VB
'Declaration
Protected Read Property automationName As String

Access

Read only.


AutomationName Property (FlexRepeater)

Class

FlexRepeater.

Action

Gets the name that can be used as an identifier for this object.

Syntax

C#
protected String automationName { get; }
VB
'Declaration
Protected Read Property automationName As String

Access

Read only.


AutomationName Property (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Gets the name that can be used as an identifier for this object.

Syntax

C#
protected String automationName { get; }
VB
'Declaration
Protected Read Property automationName As String

Access

Read only.


AutomationValue Property (FlexListLabel)

Class

FlexListLabel.

Action

Gets the value that generally corresponds to the rendered appearance of the object and should be usable for correlating the identifier with the object as it appears visually within the application.

Syntax

C#
protected String automationValue { get; }
VB
'Declaration
Protected Read Property automationValue As String

Access

Read only.


AutomationValue Property (SparkDataGridLabel)

Class

SparkDataGridLabel.

Action

Gets a value which can be used to uniquely identify this item.

Syntax

C#
protected String automationValue { get; }
VB
'Declaration
Protected Read Property automationValue As String

Access

Read only.


AutomationValue Property (SparkListLabel)

Class

SparkListLabel.

Action

Gets a value which can be used to uniquely identify this item.

Syntax

C#
protected String automationValue { get; }
VB
'Declaration
Protected Read Property automationValue As String

Access

Read only.


AutoPlay Property (SparkVideoDisplay)

Class

SparkVideoDisplay.

Action

Gets whether the video starts playing immediately when the source property is set.

Syntax

C#
protected Boolean autoPlay { get; }
VB
'Declaration
Protected Read Property autoPlay As Boolean

Access

Read only.


AutoRepeat Property (SparkButtonBase)

Class

SparkButtonBase.

Action

Gets whether to dispatch repeated buttonDown events if the user holds down the mouse button.

Syntax

C#
protected Boolean autoRepeat { get; }
VB
'Declaration
Protected Read Property autoRepeat As Boolean

Access

Read only.


AutoRewind Property (SparkVideoDisplay)

Class

SparkVideoDisplay.

Action

Gets whether the FLV file should rewind to the first frame when play stops.

Syntax

C#
protected Boolean autoRewind { get; }
VB
'Declaration
Protected Read Property autoRewind As Boolean

Access

Read only.


BackgroundAlpha Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style.

Valid values range from 0.0 to 1.0.

For most controls, the default value is 1.0, but for ToolTip controls, the default value is 0.95 and for Alert controls, the default value is 0.9. The default value is 1.0.

Syntax

C#
protected Double backgroundAlpha { get; }
VB
'Declaration
Protected Read Property backgroundAlpha As Double

Access

Read only.


BackgroundAlpha Property (FlexContainer)

Class

FlexContainer.

Action

Gets the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0.

For most controls, the default value is 1.0, but for ToolTip controls, the default value is 0.95 and for Alert controls, the default value is 0.9. The default value is 1.0.

Syntax

C#
protected Double backgroundAlpha { get; }
VB
'Declaration
Protected Read Property backgroundAlpha As Double

Access

Read only.


BackgroundColor Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets the background color of a component.

You can have both a backgroundColor and a backgroundImage set. Some components do not have a background. The DataGrid control ignores this style. The default value is undefined, which means it is not set. If both this style and the backgroundImage style are undefined, the component has a transparent background.

For the Application container, this style specifies the background color while the application loads, and a background gradient while it is running. Flex calculates the gradient pattern between a color slightly darker than the specified color, and a color slightly lighter than the specified color.

The default skins of most Flex controls are partially transparent. As a result, the background color of a container partially shows through to controls that are in that container. You can avoid this by setting the alpha values of the control's fillAlphas property to 1.

Syntax

C#
protected Color backgroundColor { get; }
VB
'Declaration
Protected Read Property backgroundColor As Color

Access

Read only.


BackgroundColor Property (FlexContainer)

Class

FlexContainer.

Action

Gets the background color of a component.

You can have both a backgroundColor and a backgroundImage set. Some components do not have a background. The DataGrid control ignores this style. The default value is undefined, which means it is not set. If both this style and the backgroundImage style are undefined, the component has a transparent background.

For the Application container, this style specifies the background color while the application loads, and a background gradient while it is running. Flex calculates the gradient pattern between a color slightly darker than the specified color, and a color slightly lighter than the specified color.

The default skins of most Flex controls are partially transparent. As a result, the background color of a container partially shows through to controls that are in that container. You can avoid this by setting the alpha values of the control's fillAlphas property to 1.

Syntax

C#
protected Color backgroundColor { get; }
VB
'Declaration
Protected Read Property backgroundColor As Color

Access

Read only.


BackgroundColor Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets the background color of the component.

The default value is undefined, which means it is not set and the component has a transparent background.

The default skins of most Flex controls are partially transparent. As a result, the background color of a container partially shows through to controls that are in that container. You can avoid this by setting the alpha values of the control's fillAlphas property to 1.

Syntax

C#
protected Color backgroundColor { get; }
VB
'Declaration
Protected Read Property backgroundColor As Color

Access

Read only.


BackgroundDisabledColor Property (FlexContainer)

Class

FlexContainer.

Action

Gets the background color of the component when it is disabled. The global default value is undefined.

The default value for List controls is 0xDDDDDD (light gray). If a container is disabled, the background is dimmed, and the degree of dimming is controlled by the disabledOverlayAlpha style.

Syntax

C#
protected Color backgroundDisabledColor { get; }
VB
'Declaration
Protected Read Property backgroundDisabledColor As Color

Access

Read only.


BackgroundDisabledColor Property (FlexListBase)

Class

FlexListBase.

Action

Gets the color of text in the component if it is disabled. The default value is 0xAAB3B3.

Syntax

C#
protected Color backgroundDisabledColor { get; }
VB
'Declaration
Protected Read Property backgroundDisabledColor As Color

Access

Read only.


BackgroundImage Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets the background image of a component.

This can be an absolute or relative URL or class.

You can either have both a backgroundColor and a backgroundImage set at the same time. The background image is displayed on top of the background color. The default value is undefined, meaning "not set." If this style and the backgroundColor style are undefined, the component has a transparent background.

The default skins of most Flex controls are partially transparent. As a result, the background image of a container partially shows through to controls that are in that container. You can avoid this by setting the alpha values of the control's fillAlphas property to 1.

Syntax

C#
protected String backgroundImage { get; }
VB
'Declaration
Protected Read Property backgroundImage As String

Access

Read only.


BackgroundImage Property (FlexContainer)

Class

FlexContainer.

Action

Gets the background image of a component. This can be an absolute or relative URL or class.

You can either have both a backgroundColor and a backgroundImage set at the same time. The background image is displayed on top of the background color. The default value is undefined, meaning "not set." If this style and the backgroundColor style are undefined, the component has a transparent background.

The default skins of most Flex controls are partially transparent. As a result, the background image of a container partially shows through to controls that are in that container. You can avoid this by setting the alpha values of the control's fillAlphas property to 1.

Syntax

C#
protected String backgroundImage { get; }
VB
'Declaration
Protected Read Property backgroundImage As String

Access

Read only.


BackgroundSize Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets the percentage to change the image size to for the specified backgroundImage.

A value of 100% stretches the image to fit the entire component. To specify a percentage value, you must include the percent sign (%). The default for the Application container is 100%. The default value for all other containers is auto, which maintains the original size of the image.

Syntax

C#
protected String backgroundSize { get; }
VB
'Declaration
Protected Read Property backgroundSize As String

Access

Read only.


BackgroundSize Property (FlexContainer)

Class

FlexContainer.

Action

Gets the percentage to change the image size to for the specified backgroundImage.

A value of 100% stretches the image to fit the entire component. To specify a percentage value, you must include the percent sign (%). The default for the Application container is 100%. The default value for all other containers is auto, which maintains the original size of the image.

Syntax

C#
protected String backgroundSize { get; }
VB
'Declaration
Protected Read Property backgroundSize As String

Access

Read only.


BarColor Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets the color of a ProgressBar.

A ProgressBar is filled with a vertical gradient between this color and a brighter color computed from it. This style has no effect on other components, but can be set on a container to control the appearance of all progress bars found within. The default value is undefined, which means it is not set. In this case, the themeColor style property is used.

Syntax

C#
protected Color barColor { get; }
VB
'Declaration
Protected Read Property barColor As Color

Access

Read only.


BarWidthRatio Property (FlexBarChart)

Class

FlexBarChart.

Action

Gets how wide to draw the bars relative to the category width, as a percentage in the range of 0 to 1.

A value of 1 uses the entire space, while a value of 0.6 uses 60% of the bar's available space. The actual bar width used is the smaller of the barWidthRatio property and the maxbarWidth property Clustered bars divide this space proportionally among the bars in each cluster. The default value is 0.65.

Syntax

C#
protected Double barWidthRatio { get; }
VB
'Declaration
Protected Read Property barWidthRatio As Double

Access

Read only.


BarWidthRatio Property (FlexBarSeries)

Class

FlexBarSeries.

Action

Gets the width to render the bars relative to the category width.

A value of 1 uses the entire space, while a value of .6 uses 60% of the bar's available space. You typically do not set this property directly. The actual bar width used is the smaller of barWidthRatio and the maxbarWidth property

The default value is .65.

Syntax

C#
protected Double barWidthRatio { get; }
VB
'Declaration
Protected Read Property barWidthRatio As Double

Access

Read only.


BlendMode Property (SparkGroup)

Class

SparkGroup.

Action

Gets a value from the BlendMode class that specifies which blend mode to use.

Syntax

C#
protected String blendMode { get; }
VB
'Declaration
Protected Read Property blendMode As String

Access

Read only.


BorderColor Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets the black section of a three-dimensional border, or the color section of a two-dimensional border. The default value is 0xB7BABC.

Syntax

C#
protected Color borderColor { get; }
VB
'Declaration
Protected Read Property borderColor As Color

Access

Read only.


BytesLoaded Property (SparkImage)

Class

SparkImage.

Action

Gets the number of bytes of the image already loaded.

Syntax

C#
protected Double bytesLoaded { get; }
VB
'Declaration
Protected Read Property bytesLoaded As Double

Access

Read only.


BytesLoaded Property (SparkVideoDisplay)

Class

SparkVideoDisplay.

Action

Gets the number of bytes of data that have been downloaded into the application.

Syntax

C#
protected Double bytesLoaded { get; }
VB
'Declaration
Protected Read Property bytesLoaded As Double

Access

Read only.


BytesTotal Property (SparkImage)

Class

SparkImage.

Action

Gets the total image data in bytes loaded or pending load.

Syntax

C#
protected Double bytesTotal { get; }
VB
'Declaration
Protected Read Property bytesTotal As Double

Access

Read only.


BytesTotal Property (SparkVideoDisplay)

Class

SparkVideoDisplay.

Action

Gets the total size in bytes of the data being downloaded into the application.

Syntax

C#
protected Double bytesTotal { get; }
VB
'Declaration
Protected Read Property bytesTotal As Double

Access

Read only.


CalloutGap Property (FlexPieSeries)

Class

FlexPieSeries.

Action

Gets how much space, in pixels, to insert between the edge of the pie and the labels when rendering callouts. The default value is 10.

Syntax

C#
protected Double calloutGap { get; }
VB
'Declaration
Protected Read Property calloutGap As Double

Access

Read only.


CanDropLabels Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets whether the AxisRenderer should drop labels as necessary to lay out correctly.

Set to true to cause the AxisRenderer to drop overlapping labels when rendering. Labels are always rendered at regular intervals. If necessary, the AxisRenderer will render every other label, or every third label, but never drop two or more consecutive labels.

Set to false to cause the AxisRenderer to use other schemes (rotation, scaling) to lay out the labels.

If you do not explicitly set this style, the AxisRenderer defaults to an appropriate value based on the type of axis being rendered.

Syntax

C#
protected Boolean canDropLabels { get; }
VB
'Declaration
Protected Read Property canDropLabels As Boolean

Access

Read only.


CanStagger Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets whether to stagger labels on two label rows. Use this setting to minimize the space required for the labels. The default value is true, which staggers the labels.

Syntax

C#
protected Boolean canStagger { get; }
VB
'Declaration
Protected Read Property canStagger As Boolean

Access

Read only.


CaretIndex Property (SparkListBase)

Class

SparkListBase.

Action

Gets the item that is currently in focus.

Syntax

C#
protected Double caretIndex { get; }
VB
'Declaration
Protected Read Property caretIndex As Double

Access

Read only.


ChangeFocus Method (FlexObject)

Class

FlexObject.

Action

Changes the current focus.

Syntax

C#
object.ChangeFocus([shiftKey, keyCode])
VB
object.ChangeFocus([shiftKey, keyCode])
Variable | Description
shiftKey | Optional: true to activate the shift key modifier. Boolean.
keyCode | Optional: the key code value of the key pressed or released. String.


ChangeFocus Method (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Defines the value of the type property of a keyFocusChange event object.

Syntax

C#
uIMovieClip.ChangeFocus([shiftKey, keyCode])
VB
uIMovieClip.ChangeFocus([shiftKey, keyCode])
Variable | Description
shiftKey | Optional: True if the Shift key modifier is activated; false otherwise. Boolean.
keyCode | Optional: The key code value of the key pressed to trigger a keyFocusChange event. String.


Change Method (FlexAccordion)

Class

FlexAccordion.

Action

Dispatched when the selected child container changes.

The IndexChangedEvent.CHANGE constant defines the value of the type property of the event object for a change event, which indicates that an index has changed, such as when an Accordion control changes the displayed panel or a ViewStack changes views.

Syntax

C#
accordion.Change([relatedObject])
VB
accordion.Change([relatedObject])
Variable | Description
relatedObject | Optional: Contains a reference to the child object that corresponds to the new index. String.


Change Method (FlexColorPicker)

Class

FlexColorPicker.

Action

Dispatched when the selected color changes as a result of user interaction.

Syntax

C#
colorPicker.Change(color)
VB
colorPicker.Change(color)
Variable | Description
color | The RGB color that was selected. Color.


Change Method (FlexDateChooser)

Class

FlexDateChooser.

Action

Dispatched when a date is selected or changed.

Syntax

C#
dateChooser.Change(newDate)
VB
dateChooser.Change(newDate)
Variable | Description
newDate | The date selected in the control. DateTime?.


Change Method (FlexDateField)

Class

FlexDateField.

Action

Dispatched when a date is selected or changed, and the DateChooser control closes.

Syntax

C#
dateField.Change(newDate)
VB
dateField.Change(newDate)
Variable | Description
newDate | The date selected in the control. DateTime?.


Change Method (FlexNavigationBar)

Class

FlexNavigationBar.

Action

Defines the value of the type property of the event object for an itemClick event.

Syntax

C#
navigationBar.Change(relatedObject)
VB
navigationBar.Change(relatedObject)
Variable | Description
relatedObject | The child object that generated the event. String.


Change Method (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Dispatched when the value of the NumericStepper control changes as a result of user interaction.

Syntax

C#
numericStepper.Change(value)
VB
numericStepper.Change(value)
Variable | Description
value | The value of the NumericStepper control when the event was dispatched. Double.


Change Method (FlexSlider)

Class

FlexSlider.

Action

Dispatched when the slider changes value due to mouse or keyboard interaction.

Syntax

C#
slider.Change(value, [thumbIndex, clickTarget, triggerEvent, keyCode])
VB
slider.Change(value, [thumbIndex, clickTarget, triggerEvent, keyCode])
Variable | Description
value | The new value of the slider. Double.
thumbIndex | Optional: The zero-based index of the thumb whose position has changed. Integer.
clickTarget | Optional: Whether the slider track or a slider thumb was pressed. String.
triggerEvent | Optional: The event, such as a mouse or keyboard event, that triggered the action. FlexTriggerEvent.
keyCode | Optional: The key code value of the key pressed or released. String.


Change Method (FlexTabNavigator)

Class

FlexTabNavigator.

Action

Defines the value of the type property of the event object for an itemClick event.

Syntax

C#
tabNavigator.Change(relatedObject)
VB
tabNavigator.Change(relatedObject)
Variable | Description
relatedObject | The child object that generated the event. String.


Change Method (SparkSpinner)

Class

SparkSpinner.

Action

Dispatched when the value of the NumericStepper changes as a result of user interaction.

Syntax

C#
spinner.Change(value)
VB
spinner.Change(value)
Variable | Description
value | The value of the NumericStepper when the change occured. Double.


Change Method (SparkTrackBase)

Class

SparkTrackBase.

Action

Dispatched when the value of the NumericStepper changes as a result of user interaction.

Syntax

C#
trackBase.Change(value)
VB
trackBase.Change(value)
Variable | Description
value | The value of the NumericStepper when the change occured. Double.


ClassName Property (FlexListLabel)

Class

FlexListLabel.

Action

Gets the name of this instance's class, such as "Button".

Syntax

C#
protected String className { get; }
VB
'Declaration
Protected Read Property className As String

Access

Read only.


ClassName Property (FlexObject)

Class

FlexObject.

Action

Gets the name of this instance's class, such as Button.

Syntax

C#
protected String className { get; }
VB
'Declaration
Protected Read Property className As String

Access

Read only.


ClassName Property (FlexRepeater)

Class

FlexRepeater.

Action

Gets a string containing the class name of the element as assigned by the control developer.

Syntax

C#
protected String className { get; }
VB
'Declaration
Protected Read Property className As String

Access

Read only.


ClassName Property (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Gets the name of this instance's class, such as "Button".

Syntax

C#
protected String className { get; }
VB
'Declaration
Protected Read Property className As String

Access

Read only.


ClearOnLoad Property (SparkImage)

Class

SparkImage.

Action

Gets whether or not to clear previous image content prior to loading new content.

Syntax

C#
protected Boolean clearOnLoad { get; }
VB
'Declaration
Protected Read Property clearOnLoad As Boolean

Access

Read only.


ClipAndEnableScrolling Property (SparkGroupBase)

Class

SparkGroupBase.

Action

Gets a value whether to clip the children to the boundaries of the viewport.

Syntax

C#
protected Boolean clipAndEnableScrolling { get; }
VB
'Declaration
Protected Read Property clipAndEnableScrolling As Boolean

Access

Read only.


ClipAndEnableScrolling Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets whether to clip the children to the boundaries of the viewport.

Syntax

C#
protected Boolean clipAndEnableScrolling { get; }
VB
'Declaration
Protected Read Property clipAndEnableScrolling As Boolean

Access

Read only.


ClipContent Property (FlexChart)

Class

FlexChart.

Action

Gets whether Flex clips the chart to the area bounded by the axes. Set to false to clip the chart. Set to true to avoid clipping when the data is rendered.

Syntax

C#
protected Boolean clipContent { get; }
VB
'Declaration
Protected Read Property clipContent As Boolean

Access

Read only.


Closed Property (FlexWindow)

Class

FlexWindow.

Action

Gets a value whether the underlying window has been closed.

Syntax

C#
protected Boolean closed { get; }
VB
'Declaration
Protected Read Property closed As Boolean

Access

Read only.


Closed Property (FlexWindowedApplication)

Class

FlexWindowedApplication.

Action

Gets a value whether the underlying window has been closed.

Syntax

C#
protected Boolean closed { get; }
VB
'Declaration
Protected Read Property closed As Boolean

Access

Read only.


Closed Property (SparkWindow)

Class

SparkWindow.

Action

Gets a value whether the underlying window has been closed.

Syntax

C#
protected Boolean closed { get; }
VB
'Declaration
Protected Read Property closed As Boolean

Access

Read only.


Closed Property (SparkWindowedApplication)

Class

SparkWindowedApplication.

Action

Gets a value whether the underlying window has been closed.

Syntax

C#
protected Boolean closed { get; }
VB
'Declaration
Protected Read Property closed As Boolean

Access

Read only.


Close Method (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Closes or collapses a AdvancedDataGrid branch.

Syntax

C#
advancedDataGrid.Close(itemRenderer, [triggerEvent])
VB
advancedDataGrid.Close(itemRenderer, [triggerEvent])
Variable | Description
itemRenderer | The ListItemRenderer for the node that closed. String.
triggerEvent | Optional: If the node closed in response to a user action, identifies it as a keyboard action or a mouse action. FlexTriggerEvent.


Close Method (FlexComboBase)

Class

FlexComboBase.

Action

Defines the value of the type property of the event object for a close event.

Syntax

C#
comboBase.Close([triggerEvent])
VB
comboBase.Close([triggerEvent])
Variable | Description
triggerEvent | Optional: A value indicating the type of input action that triggered the event. FlexTriggerEvent.


Close Method (FlexPopUpButton)

Class

FlexPopUpButton.

Action

Dispatched when the specified UIComponent closes.

The DropdownEvent.CLOSE constant defines the value of the type property of the event object for a close event.

Syntax

C#
popUpButton.Close([triggerEvent])
VB
popUpButton.Close([triggerEvent])
Variable | Description
triggerEvent | Optional: A value indicating the type of input action that triggered the event. FlexTriggerEvent.


Close Method (FlexTree)

Class

FlexTree.

Action

Closes or collapses a tree branch.

Syntax

C#
tree.Close(itemRenderer, [triggerEvent])
VB
tree.Close(itemRenderer, [triggerEvent])
Variable | Description
itemRenderer | The ListItemRenderer for the node that closed. String.
triggerEvent | Optional: If the node closed in response to a user action, identifies it as a keyboard action or a mouse action. FlexTriggerEvent.


ColorCorrection Property (SparkApplication)

Class

SparkApplication.

Action

Gets the value of the stage's colorCorrection property.

Syntax

C#
protected String colorCorrection { get; }
VB
'Declaration
Protected Read Property colorCorrection As String

Access

Read only.


Color Property (FlexButton)

Class

FlexButton.

Action

Gets the color of text in the component, including the component label. The default value is 0x0B333C.

Syntax

C#
protected Color color { get; }
VB
'Declaration
Protected Read Property color As Color

Access

Read only.


Color Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets the color of text in the component, including the component label.

Syntax

C#
protected Color color { get; }
VB
'Declaration
Protected Read Property color As Color

Access

Read only.


Color Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets the color of text in the component, including the component label. The default value is 0x0B333C.

Syntax

C#
protected Color color { get; }
VB
'Declaration
Protected Read Property color As Color

Access

Read only.


Color Property (FlexLabel)

Class

FlexLabel.

Action

Gets the color of text in the component, including the component label. The default value is 0x0B333C.

Syntax

C#
protected Color color { get; }
VB
'Declaration
Protected Read Property color As Color

Access

Read only.


Color Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets the color of text in the component, including the component label. The default value is 0x0B333C.

Syntax

C#
protected Color color { get; }
VB
'Declaration
Protected Read Property color As Color

Access

Read only.


Color Property (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Gets the color of text in the component, including the component label. The default value is 0x0B333C.

Syntax

C#
protected Color color { get; }
VB
'Declaration
Protected Read Property color As Color

Access

Read only.


Color Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets the color of text in the component, including the component label. The default value is 0x0B333C.

Syntax

C#
protected Color color { get; }
VB
'Declaration
Protected Read Property color As Color

Access

Read only.


Color Property (FlexRule)

Class

FlexRule.

Action

Gets the color of the line.

Syntax

C#
protected Color color { get; }
VB
'Declaration
Protected Read Property color As Color

Access

Read only.


Color Property (FlexTextArea)

Class

FlexTextArea.

Action

Gets the color of text in the component, including the component label. The default value is 0x0B333C.

Syntax

C#
protected Color color { get; }
VB
'Declaration
Protected Read Property color As Color

Access

Read only.


ColumnCount Property (FlexColorPicker)

Class

FlexColorPicker.

Action

Gets the number of columns in the swatch grid. The default value is 20.

Deprecated Since 3.0: Use swatchPanelStyleName

Syntax

C#
protected Integer columnCount { get; }
VB
'Declaration
Protected Read Property columnCount As Integer

Access

Read only.


ColumnCount Property (FlexListBase)

Class

FlexListBase.

Action

Gets the number of columns to be displayed in a TileList control or items in a HorizontalList control.

For the DataGrid it is the number of visible columns. Note: Setting this property has no effect on a DataGrid control, which bases the number of columns on the control width and the individual column widths.

The default value is 4.

Syntax

C#
protected Integer columnCount { get; }
VB
'Declaration
Protected Read Property columnCount As Integer

Access

Read only.


ColumnGroupedADGHeaderShift Method (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Dispatched when the user releases the mouse button on a column header after having dragged the column to a new location resulting in shifting the column to a new index.

Syntax

C#
advancedDataGrid.ColumnGroupedADGHeaderShift(movingColumnIndex, newColumnIndex, oldColumnIndex, [triggerEvent])
VB
advancedDataGrid.ColumnGroupedADGHeaderShift(movingColumnIndex, newColumnIndex, oldColumnIndex, [triggerEvent])
Variable | Description
movingColumnIndex | The data provider index of the item to be selected. Integer.
newColumnIndex | The zero-based index after the change. Integer.
oldColumnIndex | The zero-based index before the change. Integer.
triggerEvent | Optional: The event, such as a mouse or keyboard event, that triggered the selection action. FlexTriggerEvent.


ColumnNames Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets a list containing the names of all columns in the data.

Syntax

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

Access

Read only.


ColumnNames Property (FlexChart)

Class

FlexChart.

Action

Gets a list containing the names of all columns in the data.

Syntax

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

Access

Read only.


ColumnNames Property (FlexChartLegend)

Class

FlexChartLegend.

Action

Gets a list containing the names of all columns in the data.

Syntax

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

Access

Read only.


ColumnNames Property (FlexChartSeries)

Class

FlexChartSeries.

Action

Gets a list containing the names of all columns in the data.

Syntax

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

Access

Read only.


ColumnNames Property (FlexComboBox)

Class

FlexComboBox.

Action

Gets a list containing the names of all columns in the data.

Syntax

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

Access

Read only.


ColumnNames Property (FlexContainer)

Class

FlexContainer.

Action

Gets a list containing the names of all columns in the data.

Syntax

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

Access

Read only.


ColumnNames Property (FlexListBase)

Class

FlexListBase.

Action

Gets a list containing the names of all columns in the data.

Syntax

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

Access

Read only.


ColumnNames Property (FlexMenu)

Class

FlexMenu.

Action

Gets a list containing the names of all columns in the data.

Syntax

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

Access

Read only.


ColumnNames Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets a list containing the names of all columns in the data.

Syntax

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

Access

Read only.


ColumnNames Property (FlexRepeater)

Class

FlexRepeater.

Action

Gets a list containing the names of all columns in the data.

Syntax

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

Access

Read only.


ColumnNames Property (SparkGroupBase)

Class

SparkGroupBase.

Action

Gets a list containing the names of all columns in the data.

Syntax

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

Access

Read only.


ColumnNames Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets a list containing the names of all columns in the data.

Syntax

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

Access

Read only.


ColumnNames Property (SparkSkinnableContainerBase)

Class

SparkSkinnableContainerBase.

Action

Gets a list containing the names of all columns in the data.

Syntax

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

Access

Read only.


ColumnNames Property (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Gets a list containing the names of all columns in the data.

Syntax

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

Access

Read only.


ColumnsLength Property (SparkDataGrid)

Class

SparkDataGrid.

Action

Gets the count of the columns.

Syntax

C#
protected Integer columnsLength { get; }
VB
'Declaration
Protected Read Property columnsLength As Integer

Access

Read only.


ColumnStretch Method (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Dispatched when a user changes the width of a column, indicating that the amount of data displayed in that column may have changed.

Syntax

C#
advancedDataGrid.ColumnStretch(columnIndex, localX)
VB
advancedDataGrid.ColumnStretch(columnIndex, localX)
Variable | Description
columnIndex | The zero-based index of the item's column in the DataGrid object's columns array. Integer.
localX | The x position of the mouse. Double.


ColumnStretch Method (FlexDataGrid)

Class

FlexDataGrid.

Action

Dispatched when a user changes the width of a column, indicating that the amount of data displayed in that column may have changed.

If horizontalScrollPolicy is "off", other columns shrink or expand to compensate for the columns' resizing, and they also dispatch this event.

Syntax

C#
dataGrid.ColumnStretch(columnIndex, localX)
VB
dataGrid.ColumnStretch(columnIndex, localX)
Variable | Description
columnIndex | The zero-based index of the item's column in the DataGrid object's columns array. Integer.
localX | The x position of the mouse. Double.


ColumnStretch Method (SparkDataGrid)

Class

SparkDataGrid.

Action

Stretches the given column of the data grid.

Syntax

C#
dataGrid.ColumnStretch(columnIndex, localX)
VB
dataGrid.ColumnStretch(columnIndex, localX)
Variable | Description
columnIndex | The zero-based index of the selected column in the DataGrid object's columns array. Integer.
localX | The size of the column relative to the data grid. Double.


ColumnWidth Property (FlexListBase)

Class

FlexListBase.

Action

Gets the width of the control's columns.

This property is used by TileList and HorizontalList controls. It has no effect on DataGrid controls, where you set the individual DataGridColumn widths.

The default value is 50.

Syntax

C#
protected Double columnWidth { get; }
VB
'Declaration
Protected Read Property columnWidth As Double

Access

Read only.


ColumnWidthRatio Property (FlexCandlestickChart)

Class

FlexCandlestickChart.

Action

Gets a ratio of how wide to draw the candlesticks relative to the horizontal axis's category widths, as a percentage in the range of 0 to 1.

A value of 1 uses the entire space, while a value of 0.6 uses 60% of the column's available space. The actual candlestick width used is the smaller of the columnWidthRatio property and the maxColumnWidth property. Multiple candlestick series divide this space proportionally. The default value is 0.65.

Syntax

C#
protected Double columnWidthRatio { get; }
VB
'Declaration
Protected Read Property columnWidthRatio As Double

Access

Read only.


ColumnWidthRatio Property (FlexColumnChart)

Class

FlexColumnChart.

Action

Gets a ratio of wide to draw the columns relative to the category width, as a percentage in the range of 0 to 1.

A value of 1 uses the entire space, while a value of 0.6 uses 60% of the column's available space. The actual column width used is the smaller of the columnWidthRatio property and the maxColumnWidth property. Clustered columns divide this space proportionally among the columns in each cluster. The default value is 0.65.

Syntax

C#
protected Double columnWidthRatio { get; }
VB
'Declaration
Protected Read Property columnWidthRatio As Double

Access

Read only.


ColumnWidthRatio Property (FlexColumnSeries)

Class

FlexColumnSeries.

Action

Gets the width of columns relative to the category width.

A value of 1 uses the entire space, while a value of .6 uses 60% of the column's available space. You typically do not set this property directly. The actual column width used is the smaller of columnWidthRatio and the maxColumnWidth property. The default value is 0.65.

Syntax

C#
protected Double columnWidthRatio { get; }
VB
'Declaration
Protected Read Property columnWidthRatio As Double

Access

Read only.


ColumnWidthRatio Property (FlexHLOCChart)

Class

FlexHLOCChart.

Action

Gets a ratio of how wide to draw the HLOC lines relative to the horizontal axis's category widths, as a percentage in the range of 0 to 1.

A value of 1 uses the entire space, while a value of 0.6 uses 60% of the category's available space. The actual element width used is the smaller of the columnWidthRatio property and the maxColumnWidth property. Multiple element series divide this space proportionally. The default value is 0.65.

Syntax

C#
protected Double columnWidthRatio { get; }
VB
'Declaration
Protected Read Property columnWidthRatio As Double

Access

Read only.


ColumnWidthRatio Property (FlexHLOCSeriesBase)

Class

FlexHLOCSeriesBase.

Action

Gets the width of elements relative to the category width.

A value of 1 uses the entire space, while a value of 0.6 uses 60% of the element's available space. You typically do not set this property directly. The actual element width used is the smaller of the columnWidthRatio and maxColumnWidth properties.

The default value is 0.65.

Syntax

C#
protected Double columnWidthRatio { get; }
VB
'Declaration
Protected Read Property columnWidthRatio As Double

Access

Read only.


ContentHeight Property (SparkGroupBase)

Class

SparkGroupBase.

Action

Gets the height of the viewport's content.

Syntax

C#
protected Double contentHeight { get; }
VB
'Declaration
Protected Read Property contentHeight As Double

Access

Read only.


ContentHeight Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets the height of the text.

Syntax

C#
protected Double contentHeight { get; }
VB
'Declaration
Protected Read Property contentHeight As Double

Access

Read only.


ContentLoaderGrouping Property (SparkImage)

Class

SparkImage.

Action

Gets the optional content grouping identifier to pass to the an associated IContentLoader instance's load() method.

Syntax

C#
protected String contentLoaderGrouping { get; }
VB
'Declaration
Protected Read Property contentLoaderGrouping As String

Access

Read only.


ContentWidth Property (SparkGroupBase)

Class

SparkGroupBase.

Action

Gets the width of the viewport's contents.

Syntax

C#
protected Double contentWidth { get; }
VB
'Declaration
Protected Read Property contentWidth As Double

Access

Read only.


ContentWidth Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets the width of the text.

Syntax

C#
protected Double contentWidth { get; }
VB
'Declaration
Protected Read Property contentWidth As Double

Access

Read only.


ControlBarVisible Property (SparkApplication)

Class

SparkApplication.

Action

Gets whether the control bar is visible.

Syntax

C#
protected Boolean controlBarVisible { get; }
VB
'Declaration
Protected Read Property controlBarVisible As Boolean

Access

Read only.


ControlBarVisible Property (SparkPanel)

Class

SparkPanel.

Action

Gets a value whether the control bar is visible.

Syntax

C#
protected Boolean controlBarVisible { get; }
VB
'Declaration
Protected Read Property controlBarVisible As Boolean

Access

Read only.


Conversion Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets the number used to convert incoming current bytes loaded value and the total bytes loaded values.

Flex divides the current and total values by this property and uses the closest integer that is less than or equal to each value in the label string. A value of 1 does no conversion.

The default value is 1.

Syntax

C#
protected Double conversion { get; }
VB
'Declaration
Protected Read Property conversion As Double

Access

Read only.


Count Property (FlexRepeater)

Class

FlexRepeater.

Action

Gets the number of times this Repeater should execute.

Syntax

C#
protected Integer count { get; }
VB
'Declaration
Protected Read Property count As Integer

Access

Read only.


CreationIndex Property (FlexContainer)

Class

FlexContainer.

Action

Gets the order to instantiate and draw the children of the container.

This property can only be used when the creationPolicy property is set to ContainerCreationPolicy.QUEUED. Otherwise, it is ignored.

The default value is -1.

Syntax

C#
protected Integer creationIndex { get; }
VB
'Declaration
Protected Read Property creationIndex As Integer

Access

Read only.


CreationPolicy Property (FlexContainer)

Class

FlexContainer.

Action

Gets the child creation policy for this Container.

ActionScript values can be ContainerCreationPolicy.AUTO, ContainerCreationPolicy.ALL, ContainerCreationPolicy.NONE, or ContainerCreationPolicy.QUEUED. MXML values can be auto, all, none, or queued.

If no creationPolicy is specified for a container, that container inherits its parent's creationPolicy. If no creationPolicy is specified for the Application, it defaults to ContainerCreationPolicy.AUTO.

A creationPolicy of ContainerCreationPolicy.AUTO means that the container delays creating some or all descendants until they are needed, a process which is known as deferred instantiation. This policy produces the best startup time because fewer UIComponents are created initially. However, this introduces navigation delays when a user navigates to other parts of the application for the first time. Navigator containers such as Accordion, TabNavigator, and ViewStack implement the ContainerCreationPolicy.AUTO policy by creating all their children immediately, but wait to create the deeper descendants of a child until it becomes the selected child of the navigator container.

A creationPolicy of ContainerCreationPolicy.ALL means that the navigator containers immediately create deeper descendants for each child, rather than waiting until that child is selected. For single-view containers such as a VBox container, there is no difference between the ContainerCreationPolicy.AUTO and ContainerCreationPolicy.ALL policies.

A creationPolicy of ContainerCreationPolicy.QUEUED means that the container is added to a creation queue rather than being immediately instantiated and drawn. When the application processes the queued container, it creates the children of the container and then waits until the children have been created before advancing to the next container in the creation queue.

A creationPolicy of ContainerCreationPolicy.NONE means that the container creates none of its children. In that case, it is the responsibility of the MXML author to create the children by calling the createComponentsFromDescriptors method.

Syntax

C#
protected String creationPolicy { get; }
VB
'Declaration
Protected Read Property creationPolicy As String

Access

Read only.


CreationPolicy Property (SparkSkinnableContainer)

Class

SparkSkinnableContainer.

Action

Gets the content creation policy for this component.

Syntax

C#
protected String creationPolicy { get; }
VB
'Declaration
Protected Read Property creationPolicy As String

Access

Read only.


CurrentState Property (FlexObject)

Class

FlexObject.

Action

Gets the current view state of the component.

Set to "" or null (Nothing in Visual Basic) to reset the component back to its base state.

Syntax

C#
protected String currentState { get; }
VB
'Declaration
Protected Read Property currentState As String

Access

Read only.


CurrentState Property (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Gets the current state of this component.

For UIMovieClip, the value of the currentState property is the current frame label.

Syntax

C#
protected String currentState { get; }
VB
'Declaration
Protected Read Property currentState As String

Access

Read only.


CurrentTime Property (SparkVideoDisplay)

Class

SparkVideoDisplay.

Action

Gets the current time of the playhead, measured in seconds, since the video starting playing.

Syntax

C#
protected Double currentTime { get; }
VB
'Declaration
Protected Read Property currentTime As Double

Access

Read only.


DataTipField Property (FlexListBase)

Class

FlexListBase.

Action

Gets the name of the field in the data provider items to display as the data tip.

By default, the list looks for a property named label on each item and displays it. However, if the data objects do not contain a label property, you can set the dataTipField property to use a different property in the data object.

The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String dataTipField { get; }
VB
'Declaration
Protected Read Property dataTipField As String

Access

Read only.


DataTipMode Property (FlexChart)

Class

FlexChart.

Action

Gets how Flex displays DataTip controls for the chart.

DataTip controls are similar to ToolTip controls, except that they display an appropriate value that represents the nearest chart data point under the mouse pointer.

Possible values include single and multiple. Use single to show the data point closest to the mouse. Use multiple to show the data tips within the range of the mouse cursor.

Syntax

C#
protected String dataTipMode { get; }
VB
'Declaration
Protected Read Property dataTipMode As String

Access

Read only.


DataTipPrecision Property (FlexSlider)

Class

FlexSlider.

Action

Gets the number of decimal places to use for the data tip text.

A value of 0 means to round all values to an integer. The default value is 2.

Syntax

C#
protected Double dataTipPrecision { get; }
VB
'Declaration
Protected Read Property dataTipPrecision As Double

Access

Read only.


DefaultButtonFlag Property (FlexAlert)

Class

FlexAlert.

Action

Gets a bitflag that contains either Alert.OK, Alert.CANCEL, Alert.YES, or Alert.NO to specify the default button. The default value is Alert.OK.

Syntax

C#
protected Double defaultButtonFlag { get; }
VB
'Declaration
Protected Read Property defaultButtonFlag As Double

Access

Read only.


DefaultCellString Property (FlexOLAPDataGrid)

Class

FlexOLAPDataGrid.

Action

Gets the String displayed in a cell when the data for that cell returned by the IOLAPResult instance is null (Nothing in Visual Basic) or NaN.

The default value is NaN.

Syntax

C#
protected String defaultCellString { get; }
VB
'Declaration
Protected Read Property defaultCellString As String

Access

Read only.


DeferredContentCreated Property (SparkSkinnableContainer)

Class

SparkSkinnableContainer.

Action

Gets whether deferred content has been created.

Syntax

C#
protected Boolean deferredContentCreated { get; }
VB
'Declaration
Protected Read Property deferredContentCreated As Boolean

Access

Read only.


DepthColors Property (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Gets the array of colors used for the rows of each level of the navigation tree of the AdvancedDataGrid control, in descending order. The default value is undefined.

Syntax

C#
protected List(Of Color) depthColors { get; }
VB
'Declaration
Protected Read Property depthColors As List(Of Color)

Access

Read only.


DepthColors Property (FlexTree)

Class

FlexTree.

Action

Gets the array of colors used in the Tree control, in descending order. The default value is undefined.

Syntax

C#
protected List(Of Color) depthColors { get; }
VB
'Declaration
Protected Read Property depthColors As List(Of Color)

Access

Read only.


Description Property (FlexChart)

Class

FlexChart.

Action

Gets a short description of the data in the chart.

When accessibility is enabled, screen readers use this property to describe the chart. This string defaults to an empty string.

Syntax

C#
protected String description { get; }
VB
'Declaration
Protected Read Property description As String

Access

Read only.


Deselect Method (FlexListBase)

Class

FlexListBase.

Action

Defines the value of the type property of the event object for an event that is dispatched when a previously selected item is deselected.

Syntax

C#
listBase.Deselect(itemRenderer, [triggerEvent, keyModifier])
VB
listBase.Deselect(itemRenderer, [triggerEvent, keyModifier])
Variable | Description
itemRenderer | The item renderer object for the item. String.
triggerEvent | Optional: The event, such as a mouse or keyboard event, that triggered the action. FlexTriggerEvent.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use when clicking the controls. ModifierKeys.


Direction Property (FlexBox)

Class

FlexBox.

Action

Gets whether to use vertical (default) or horizontal layout.

Syntax

C#
protected String direction { get; }
VB
'Declaration
Protected Read Property direction As String

Access

Read only.


Direction Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets the direction in which the fill of the ProgressBar expands toward completion. Valid values in MXML are "right" and "left".

In ActionScript, you use use the following constants to set this property: ProgressBarDirection.RIGHT and ProgressBarDirection.LEFT.

The default value is ProgressBarDirection.RIGHT.

Syntax

C#
protected String direction { get; }
VB
'Declaration
Protected Read Property direction As String

Access

Read only.


Direction Property (FlexSlider)

Class

FlexSlider.

Action

Gets the orientation of the slider control.

Syntax

C#
protected String direction { get; }
VB
'Declaration
Protected Read Property direction As String

Access

Read only.


DisabledColor Property (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Gets the color of text in the component if it is disabled.

Syntax

C#
protected List(Of Color) disabledColor { get; }
VB
'Declaration
Protected Read Property disabledColor As List(Of Color)

Access

Read only.


DisabledColor Property (FlexButton)

Class

FlexButton.

Action

Gets the color of text in the component if it is disabled. The default value is 0xAAB3B3.

Syntax

C#
protected Color disabledColor { get; }
VB
'Declaration
Protected Read Property disabledColor As Color

Access

Read only.


DisabledColor Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets the background color of the component when it is disabled.

The global default value is undefined. The default value for List controls is 0xDDDDDD (light gray). If a container is disabled, the background is dimmed, and the degree of dimming is controlled by the disabledOverlayAlpha style.

Syntax

C#
protected Color disabledColor { get; }
VB
'Declaration
Protected Read Property disabledColor As Color

Access

Read only.


DisabledColor Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets the color of text in the component if it is disabled. The default value is 0xAAB3B3.

Syntax

C#
protected Color disabledColor { get; }
VB
'Declaration
Protected Read Property disabledColor As Color

Access

Read only.


DisabledColor Property (FlexLabel)

Class

FlexLabel.

Action

Gets the color of text in the component if it is disabled. The default value is 0xAAB3B3.

Syntax

C#
protected Color disabledColor { get; }
VB
'Declaration
Protected Read Property disabledColor As Color

Access

Read only.


DisabledColor Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets the color of text in the component if it is disabled. The default value is 0xAAB3B3.

Syntax

C#
protected Color disabledColor { get; }
VB
'Declaration
Protected Read Property disabledColor As Color

Access

Read only.


DisabledColor Property (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Gets the color of text in the component if it is disabled. The default value is 0xAAB3B3.

Syntax

C#
protected Color disabledColor { get; }
VB
'Declaration
Protected Read Property disabledColor As Color

Access

Read only.


DisabledColor Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets the color of text in the component if it is disabled. The default value is 0xAAB3B3.

Syntax

C#
protected Color disabledColor { get; }
VB
'Declaration
Protected Read Property disabledColor As Color

Access

Read only.


DisabledColor Property (FlexTextArea)

Class

FlexTextArea.

Action

Gets the background color of a component.

You can have both a backgroundColor and a backgroundImage set. Some components do not have a background. The DataGrid control ignores this style. The default value is undefined, which means it is not set. If both this style and the backgroundImage style are undefined, the component has a transparent background.

Syntax

C#
protected Color disabledColor { get; }
VB
'Declaration
Protected Read Property disabledColor As Color

Access

Read only.


DisabledColor Property (FlexTree)

Class

FlexTree.

Action

Gets the disabled color of a list item. The default value is 0xDDDDDD.

Syntax

C#
protected Color disabledColor { get; }
VB
'Declaration
Protected Read Property disabledColor As Color

Access

Read only.


DisabledDays Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets the days to disable in a week.

All the dates in a month, for the specified day, are disabled. This property changes the appearance of the DateChooser control. The elements of this array can have values from 0 (Sunday) to 6 (Saturday).

Syntax

C#
protected List(Of String) disabledDays { get; }
VB
'Declaration
Protected Read Property disabledDays As List(Of String)

Access

Read only.


DisabledDays Property (FlexDateField)

Class

FlexDateField.

Action

Gets the days to disable in a week.

Syntax

C#
protected List(Of String) disabledDays { get; }
VB
'Declaration
Protected Read Property disabledDays As List(Of String)

Access

Read only.


DisabledRanges Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets the single and multiple days to disable.

Syntax

C#
protected List(Of String) disabledRanges { get; }
VB
'Declaration
Protected Read Property disabledRanges As List(Of String)

Access

Read only.


DisabledRanges Property (FlexDateField)

Class

FlexDateField.

Action

Gets the disabled single and multiple days.

Syntax

C#
protected List(Of String) disabledRanges { get; }
VB
'Declaration
Protected Read Property disabledRanges As List(Of String)

Access

Read only.


DisplayAsPassword Property (FlexTextArea)

Class

FlexTextArea.

Action

Gets whether this control is used for entering passwords.

If true, the field does not display entered text, instead, each text character entered into the control appears as the character *. The default value is false.

Syntax

C#
protected Boolean displayAsPassword { get; }
VB
'Declaration
Protected Read Property displayAsPassword As Boolean

Access

Read only.


DisplayAsPassword Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets whether the text field is a password text field.

Syntax

C#
protected Boolean displayAsPassword { get; }
VB
'Declaration
Protected Read Property displayAsPassword As Boolean

Access

Read only.


DisplayAsPassword Property (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Gets whether the text field is a password text field.

Syntax

C#
protected Boolean displayAsPassword { get; }
VB
'Declaration
Protected Read Property displayAsPassword As Boolean

Access

Read only.


DisplayedMonth Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets the month displayed in the DateChooser control.

Month numbers are zero-based, so January is 0 and December is 11. Setting this property changes the appearance of the DateChooser control.

The default value is the current month.

Syntax

C#
protected Integer displayedMonth { get; }
VB
'Declaration
Protected Read Property displayedMonth As Integer

Access

Read only.


DisplayedMonth Property (FlexDateField)

Class

FlexDateField.

Action

Gets the month that is displayed in the DateChooser control.

Syntax

C#
protected Integer displayedMonth { get; }
VB
'Declaration
Protected Read Property displayedMonth As Integer

Access

Read only.


DisplayedYear Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets the year displayed in the DateChooser control. The default value is the current year.

Syntax

C#
protected Integer displayedYear { get; }
VB
'Declaration
Protected Read Property displayedYear As Integer

Access

Read only.


DisplayedYear Property (FlexDateField)

Class

FlexDateField.

Action

Gets the year that is displayed in the DateChooser control.

Syntax

C#
protected Integer displayedYear { get; }
VB
'Declaration
Protected Read Property displayedYear As Integer

Access

Read only.


DisplayItemsExpanded Property (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Gets whether the navigation tree is expanded to show all items.

If true, expand the navigation tree to show all items. If a new branch is added, it is shown expanded. The default value is false.

Syntax

C#
protected Boolean displayItemsExpanded { get; }
VB
'Declaration
Protected Read Property displayItemsExpanded As Boolean

Access

Read only.


DisplayPopUp Property (SparkPopUpAnchor)

Class

SparkPopUpAnchor.

Action

Gets whether the popUp is visible.

Syntax

C#
protected Boolean displayPopUp { get; }
VB
'Declaration
Protected Read Property displayPopUp As Boolean

Access

Read only.


DoubleSelect Method (FlexListBase)

Class

FlexListBase.

Action

Defines the value of the type property of the ListEvent object for an itemDoubleClick event, which indicates that the user double-clicked the mouse over a visual item in the control.

To receive itemDoubleClick events, you must set the component's doubleClickEnabled property to true.

Syntax

C#
listBase.DoubleSelect(itemRenderer)
VB
listBase.DoubleSelect(itemRenderer)
Variable | Description
itemRenderer | The item renderer that was double-clicked. String.


DragCancel Method (FlexChart)

Class

FlexChart.

Action

Defines the value of the type property of the event object for a dragComplete event.

Syntax

C#
chart.DragCancel([keyModifier])
VB
chart.DragCancel([keyModifier])
Variable | Description
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use. ModifierKeys.


DragCancel Method (FlexContainer)

Class

FlexContainer.

Action

Defines the value of the type property of the event object for a dragComplete event.

Syntax

C#
container.DragCancel([keyModifier])
VB
container.DragCancel([keyModifier])
Variable | Description
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use when completing the drop. ModifierKeys.


DragCancel Method (FlexListBase)

Class

FlexListBase.

Action

Defines the value of the type property of the event object for a dragComplete event.

Syntax

C#
listBase.DragCancel([keyModifier])
VB
listBase.DragCancel([keyModifier])
Variable | Description
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use when completing the drop. ModifierKeys.


DragCancel Method (SparkCheckBox)

Class

SparkCheckBox.

Action

The event triggered when a drag operation is cancelled.

Syntax

C#
checkBox.DragCancel([keyModifier])
VB
checkBox.DragCancel([keyModifier])
Variable | Description
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragCancel Method (SparkGroupBase)

Class

SparkGroupBase.

Action

Dispatched when a drag operation is cancelled.

Syntax

C#
groupBase.DragCancel([keyModifier])
VB
groupBase.DragCancel([keyModifier])
Variable | Description
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragCancel Method (SparkRadioButton)

Class

SparkRadioButton.

Action

The event triggered when a drag operation is cancelled.

Syntax

C#
radioButton.DragCancel([keyModifier])
VB
radioButton.DragCancel([keyModifier])
Variable | Description
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragCancel Method (SparkRichEditableText)

Class

SparkRichEditableText.

Action

The event triggered when a drag operation is cancelled.

Syntax

C#
richEditableText.DragCancel([keyModifier])
VB
richEditableText.DragCancel([keyModifier])
Variable | Description
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragCancel Method (SparkSkinnableContainerBase)

Class

SparkSkinnableContainerBase.

Action

Dispatched when a drag operation is cancelled.

Syntax

C#
skinnableContainerBase.DragCancel([keyModifier])
VB
skinnableContainerBase.DragCancel([keyModifier])
Variable | Description
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragCancel Method (SparkTextArea)

Class

SparkTextArea.

Action

The event triggered when a drag operation is cancelled.

Syntax

C#
textArea.DragCancel([keyModifier])
VB
textArea.DragCancel([keyModifier])
Variable | Description
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragCancel Method (SparkTextBase)

Class

SparkTextBase.

Action

The event triggered when a drag operation is cancelled.

Syntax

C#
textBase.DragCancel([keyModifier])
VB
textBase.DragCancel([keyModifier])
Variable | Description
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragCancel Method (SparkTextInput)

Class

SparkTextInput.

Action

The event triggered when a drag operation is cancelled.

Syntax

C#
textInput.DragCancel([keyModifier])
VB
textInput.DragCancel([keyModifier])
Variable | Description
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragCancel Method (SparkToggleButton)

Class

SparkToggleButton.

Action

The event triggered when a drag operation is cancelled.

Syntax

C#
toggleButton.DragCancel([keyModifier])
VB
toggleButton.DragCancel([keyModifier])
Variable | Description
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragDrop Method (FlexChart)

Class

FlexChart.

Action

Defines the value of the type property of the event object for a dragDrop event.

Syntax

C#
chart.DragDrop(draggedItem, [localX, localY, keyModifier])
VB
chart.DragDrop(draggedItem, [localX, localY, keyModifier])
Variable | Description
draggedItem | The item being dragged. String.
localX | Optional: The horizontal coordinate at which the event occurred relative to the containing sprite. Double.
localY | Optional: The vertical coordinate at which the event occurred relative to the containing sprite. Double.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use. ModifierKeys.


DragDrop Method (FlexContainer)

Class

FlexContainer.

Action

Defines the value of the type property of the event object for a dragDrop event.

Syntax

C#
container.DragDrop([draggedItem, keyModifier])
VB
container.DragDrop([draggedItem, keyModifier])
Variable | Description
draggedItem | Optional: The item being dragged. String.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use when dropping the object. ModifierKeys.


DragDrop Method (FlexContainerMovieClip)

Class

FlexContainerMovieClip.

Action

Defines the value of the type property of the event object for a dragDrop event.

Syntax

C#
containerMovieClip.DragDrop(action, [draggedItem, keyModifier])
VB
containerMovieClip.DragDrop(action, [draggedItem, keyModifier])
Variable | Description
action | The action that caused the event. String.
draggedItem | Optional: The item being dragged. String.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use. ModifierKeys.


DragDrop Method (FlexListBase)

Class

FlexListBase.

Action

Defines the value of the type property of the event object for a dragDrop event.

Syntax

C#
listBase.DragDrop(action, [draggedItem, keyModifier])
VB
listBase.DragDrop(action, [draggedItem, keyModifier])
Variable | Description
action | The action that caused the event: DragManager.COPY, DragManager.LINK, DragManager.MOVE, or DragManager.NONE. String.
draggedItem | Optional: The item being dragged. String.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use when dropping the control. ModifierKeys.


DragDrop Method (SparkCheckBox)

Class

SparkCheckBox.

Action

The event triggered when the dragged item is dropped.

Syntax

C#
checkBox.DragDrop(action, [draggedItem, keyModifier])
VB
checkBox.DragDrop(action, [draggedItem, keyModifier])
Variable | Description
action | The requested action. One of DragManager.COPY, DragManager.LINK, DragManager.MOVE, DragManager.NONE. String.
draggedItem | Optional: List item that's being dragged. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragDrop Method (SparkGroupBase)

Class

SparkGroupBase.

Action

Dispatched when the dragged item is dropped.

Syntax

C#
groupBase.DragDrop(action, [draggedItem, keyModifier])
VB
groupBase.DragDrop(action, [draggedItem, keyModifier])
Variable | Description
action | The requested action. One of DragManager.COPY, DragManager.LINK, DragManager.MOVE, DragManager.NONE. String.
draggedItem | Optional: The object being dragged. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragDrop Method (SparkRadioButton)

Class

SparkRadioButton.

Action

The event triggered when the dragged item is dropped.

Syntax

C#
radioButton.DragDrop(action, [draggedItem, keyModifier])
VB
radioButton.DragDrop(action, [draggedItem, keyModifier])
Variable | Description
action | The requested action. One of DragManager.COPY, DragManager.LINK, DragManager.MOVE, DragManager.NONE. String.
draggedItem | Optional: List item that's being dragged. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragDrop Method (SparkRichEditableText)

Class

SparkRichEditableText.

Action

The event triggered when the dragged item is dropped.

Syntax

C#
richEditableText.DragDrop(action, [draggedItem, keyModifier])
VB
richEditableText.DragDrop(action, [draggedItem, keyModifier])
Variable | Description
action | The requested action. One of DragManager.COPY, DragManager.LINK, DragManager.MOVE, DragManager.NONE. String.
draggedItem | Optional: List item that's being dragged. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragDrop Method (SparkSkinnableContainerBase)

Class

SparkSkinnableContainerBase.

Action

Dispatched when the dragged item is dropped.

Syntax

C#
skinnableContainerBase.DragDrop(action, [draggedItem, keyModifier])
VB
skinnableContainerBase.DragDrop(action, [draggedItem, keyModifier])
Variable | Description
action | The requested action. One of DragManager.COPY, DragManager.LINK, DragManager.MOVE, DragManager.NONE. String.
draggedItem | Optional: The object being dragged. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragDrop Method (SparkTextArea)

Class

SparkTextArea.

Action

The event triggered when the dragged item is dropped.

Syntax

C#
textArea.DragDrop(action, [draggedItem, keyModifier])
VB
textArea.DragDrop(action, [draggedItem, keyModifier])
Variable | Description
action | The requested action. One of DragManager.COPY, DragManager.LINK, DragManager.MOVE, DragManager.NONE. String.
draggedItem | Optional: List item that's being dragged. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragDrop Method (SparkTextBase)

Class

SparkTextBase.

Action

The event triggered when the dragged item is dropped.

Syntax

C#
textBase.DragDrop(action, [draggedItem, keyModifier])
VB
textBase.DragDrop(action, [draggedItem, keyModifier])
Variable | Description
action | The requested action. One of DragManager.COPY, DragManager.LINK, DragManager.MOVE, DragManager.NONE. String.
draggedItem | Optional: List item that's being dragged. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragDrop Method (SparkTextInput)

Class

SparkTextInput.

Action

The event triggered when the dragged item is dropped.

Syntax

C#
textInput.DragDrop(action, [draggedItem, keyModifier])
VB
textInput.DragDrop(action, [draggedItem, keyModifier])
Variable | Description
action | The requested action. One of DragManager.COPY, DragManager.LINK, DragManager.MOVE, DragManager.NONE. String.
draggedItem | Optional: List item that's being dragged. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragDrop Method (SparkToggleButton)

Class

SparkToggleButton.

Action

The event triggered when the dragged item is dropped.

Syntax

C#
toggleButton.DragDrop(action, [draggedItem, keyModifier])
VB
toggleButton.DragDrop(action, [draggedItem, keyModifier])
Variable | Description
action | The requested action. One of DragManager.COPY, DragManager.LINK, DragManager.MOVE, DragManager.NONE. String.
draggedItem | Optional: List item that's being dragged. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragEnabled Property (FlexChart)

Class

FlexChart.

Action

Gets whether you can drag items out of this chart and drop them on other controls.

If true, dragging is enabled for the chart. If the dropEnabled property is also true, you can drag items and drop them in the chart to reorder the items. The default value is false.

Syntax

C#
protected Boolean dragEnabled { get; }
VB
'Declaration
Protected Read Property dragEnabled As Boolean

Access

Read only.


DragEnabled Property (SparkList)

Class

SparkList.

Action

Gets a flag that indicates whether you can drag items out of this control and drop them on other controls.

Syntax

C#
protected Boolean dragEnabled { get; }
VB
'Declaration
Protected Read Property dragEnabled As Boolean

Access

Read only.


Dragged Method (FlexDividedBox)

Class

FlexDividedBox.

Action

Dispatched multiple times as the user drags any divider. The dividerDrag event is dispatched after the dividerPress event and before the dividerRelease event.

Syntax

C#
dividedBox.Dragged(dividerIndex, delta)
VB
dividedBox.Dragged(dividerIndex, delta)
Variable | Description
dividerIndex | Contains the zero-based index of the divider being dragged. The leftmost or topmost divider has a dividerIndex of 0. Integer.
delta | Contains the number of pixels that the divider has been dragged. Positive numbers represent a drag toward the right or bottom, negative numbers toward the left or top. Double.


Dragging Property (SparkListLabel)

Class

SparkListLabel.

Action

Gets a value whether the SparkListLabel is in dragging mode.

Syntax

C#
protected Boolean dragging { get; }
VB
'Declaration
Protected Read Property dragging As Boolean

Access

Read only.


DragMoveEnabled Property (SparkList)

Class

SparkList.

Action

Gets a flag that indicates whether items can be moved instead of just copied from the control as part of a drag-and-drop operation.

Syntax

C#
protected Boolean dragMoveEnabled { get; }
VB
'Declaration
Protected Read Property dragMoveEnabled As Boolean

Access

Read only.


DragStart Method (FlexChart)

Class

FlexChart.

Action

Defines the value of the type property of the event object for a dragStart event.

Syntax

C#
chart.DragStart(draggedItem, [localX, localY])
VB
chart.DragStart(draggedItem, [localX, localY])
Variable | Description
draggedItem | The item being dragged. String.
localX | Optional: The horizontal coordinate at which the event occurred relative to the containing sprite. Double.
localY | Optional: The vertical coordinate at which the event occurred relative to the containing sprite. Double.


DragStart Method (FlexContainer)

Class

FlexContainer.

Action

Defines the value of the type property of the event object for a dragStart event.

Syntax

C#
container.DragStart(draggedItem, [keyModifier])
VB
container.DragStart(draggedItem, [keyModifier])
Variable | Description
draggedItem | The item being dragged. String.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use when dragging the object. ModifierKeys.


DragStart Method (FlexListBase)

Class

FlexListBase.

Action

Defines the value of the type property of the event object for a dragStart event.

Syntax

C#
listBase.DragStart(draggedItem, [keyModifier])
VB
listBase.DragStart(draggedItem, [keyModifier])
Variable | Description
draggedItem | The item being dragged. String.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use when dragging the control. ModifierKeys.


DragStart Method (SparkCheckBox)

Class

SparkCheckBox.

Action

The event triggered when the drag/drop operation begins.

Syntax

C#
checkBox.DragStart(draggedItem, [keyModifier])
VB
checkBox.DragStart(draggedItem, [keyModifier])
Variable | Description
draggedItem | List item that's being dragged. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragStart Method (SparkGroupBase)

Class

SparkGroupBase.

Action

Dispatched when the drag/drop operation begins.

Syntax

C#
groupBase.DragStart(draggedItem, [keyModifier])
VB
groupBase.DragStart(draggedItem, [keyModifier])
Variable | Description
draggedItem | The object being dragged. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragStart Method (SparkRadioButton)

Class

SparkRadioButton.

Action

The event triggered when the drag/drop operation begins.

Syntax

C#
radioButton.DragStart(draggedItem, [keyModifier])
VB
radioButton.DragStart(draggedItem, [keyModifier])
Variable | Description
draggedItem | List item that's being dragged. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragStart Method (SparkRichEditableText)

Class

SparkRichEditableText.

Action

The event triggered when the drag/drop operation begins.

Syntax

C#
richEditableText.DragStart(draggedItem, [keyModifier])
VB
richEditableText.DragStart(draggedItem, [keyModifier])
Variable | Description
draggedItem | List item that's being dragged. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragStart Method (SparkSkinnableContainerBase)

Class

SparkSkinnableContainerBase.

Action

Dispatched when the drag/drop operation begins.

Syntax

C#
skinnableContainerBase.DragStart(draggedItem, [keyModifier])
VB
skinnableContainerBase.DragStart(draggedItem, [keyModifier])
Variable | Description
draggedItem | The object being dragged. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragStart Method (SparkTextArea)

Class

SparkTextArea.

Action

The event triggered when the drag/drop operation begins.

Syntax

C#
textArea.DragStart(draggedItem, [keyModifier])
VB
textArea.DragStart(draggedItem, [keyModifier])
Variable | Description
draggedItem | List item that's being dragged. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragStart Method (SparkTextBase)

Class

SparkTextBase.

Action

The event triggered when the drag/drop operation begins.

Syntax

C#
textBase.DragStart(draggedItem, [keyModifier])
VB
textBase.DragStart(draggedItem, [keyModifier])
Variable | Description
draggedItem | List item that's being dragged. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragStart Method (SparkTextInput)

Class

SparkTextInput.

Action

The event triggered when the drag/drop operation begins.

Syntax

C#
textInput.DragStart(draggedItem, [keyModifier])
VB
textInput.DragStart(draggedItem, [keyModifier])
Variable | Description
draggedItem | List item that's being dragged. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragStart Method (SparkToggleButton)

Class

SparkToggleButton.

Action

The event triggered when the drag/drop operation begins.

Syntax

C#
toggleButton.DragStart(draggedItem, [keyModifier])
VB
toggleButton.DragStart(draggedItem, [keyModifier])
Variable | Description
draggedItem | List item that's being dragged. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DropEnabled Property (FlexChart)

Class

FlexChart.

Action

Gets whether dragged items can be dropped onto the chart.

If you set this property to true, the chart accepts all data formats, and assumes that the dragged data matches the format of the data in the data provider. To explicitly check the data format of the data being dragged, you must handle one or more of the drag events, such as dragOver, and call the preventDefault() method of the DragEvent to customize the way the list class accepts dropped data. When dropEnabled is set to true, Flex automatically calls the showDropFeedback() and hideDropFeedback() methods to display the drop indicator. The default value is false.

Syntax

C#
protected Boolean dropEnabled { get; }
VB
'Declaration
Protected Read Property dropEnabled As Boolean

Access

Read only.


DropEnabled Property (SparkList)

Class

SparkList.

Action

Gets a flag that indicates whether dragged items can be dropped onto the control.

Syntax

C#
protected Boolean dropEnabled { get; }
VB
'Declaration
Protected Read Property dropEnabled As Boolean

Access

Read only.


DropShadowEnabled Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets whether the ComboBase container's drop shadow is visible. The default value is true.

Syntax

C#
protected Boolean dropShadowEnabled { get; }
VB
'Declaration
Protected Read Property dropShadowEnabled As Boolean

Access

Read only.


DropShadowEnabled Property (FlexPanel)

Class

FlexPanel.

Action

Gets whether the Panel container's drop shadow is visible. The default value is true.

Syntax

C#
protected Boolean dropShadowEnabled { get; }
VB
'Declaration
Protected Read Property dropShadowEnabled As Boolean

Access

Read only.


Duration Property (SparkVideoDisplay)

Class

SparkVideoDisplay.

Action

Gets the duration of the video's playback, in seconds.

Syntax

C#
protected Double duration { get; }
VB
'Declaration
Protected Read Property duration As Double

Access

Read only.


Editable Property (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Gets whether the user can edit items in the data provider.

If true, the item renderers in the control are editable. The user can click on an item renderer to open an editor.

You can turn off editing for individual columns of the DataGrid control using the DataGridColumn.editable property, or by handling the itemEditBeginning and itemEditBegin events

The default value is false.

Syntax

C#
protected Boolean editable { get; }
VB
'Declaration
Protected Read Property editable As Boolean

Access

Read only.


Editable Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets whether the control is editable, which lets the user directly type entries that are not specified in the dataProvider, or not editable, which requires the user select from the items in the dataProvider.

If true keyboard input will be entered in the editable text field; otherwise it will be used as shortcuts to select items in the dataProvider.

The default value is false. This property is ignored by the DateField control.

Syntax

C#
protected Boolean editable { get; }
VB
'Declaration
Protected Read Property editable As Boolean

Access

Read only.


Editable Property (FlexDataGrid)

Class

FlexDataGrid.

Action

Gets whether the user can edit items in the data provider.

If true, the item renderers in the control are editable. The user can click on an item renderer to open an editor.

You can turn off editing for individual columns of the DataGrid control using the DataGridColumn.editable property, or by handling the itemEditBeginning and itemEditBegin events

The default value is false.

Syntax

C#
protected Boolean editable { get; }
VB
'Declaration
Protected Read Property editable As Boolean

Access

Read only.


Editable Property (FlexTextArea)

Class

FlexTextArea.

Action

Gets whether the user can edit the text in this control.

If true, the user can edit the text. The default value is true.

Syntax

C#
protected Boolean editable { get; }
VB
'Declaration
Protected Read Property editable As Boolean

Access

Read only.


Editable Property (FlexTree)

Class

FlexTree.

Action

Gets whether the user can edit items in the data provider.

Syntax

C#
protected Boolean editable { get; }
VB
'Declaration
Protected Read Property editable As Boolean

Access

Read only.


Editable Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets a flag indicating whether the user is allowed to edit the text in this control.

Syntax

C#
protected Boolean editable { get; }
VB
'Declaration
Protected Read Property editable As Boolean

Access

Read only.


Editable Property (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Gets a flag indicating whether the user is allowed to edit the text in this control.

Syntax

C#
protected Boolean editable { get; }
VB
'Declaration
Protected Read Property editable As Boolean

Access

Read only.


Edit Method (FlexDataGrid)

Class

FlexDataGrid.

Action

Defines the value of the type property of the event object for a itemEditBegin event, which indicates that an item is ready to be edited.

Syntax

C#
dataGrid.Edit(itemRenderer, rowIndex, columnIndex)
VB
dataGrid.Edit(itemRenderer, rowIndex, columnIndex)
Variable | Description
itemRenderer | The item renderer for the item that is being edited. String.
rowIndex | The zero-based index of the item in the data provider. Integer.
columnIndex | The zero-based index of the item's column in the DataGrid object's columns array. Integer.


Edit Method (FlexList)

Class

FlexList.

Action

Defines the value of the type property of the event object for a itemEditBegin event, which indicates that an item is ready to be edited.

Syntax

C#
list.Edit(itemRenderer, rowIndex, columnIndex)
VB
list.Edit(itemRenderer, rowIndex, columnIndex)
Variable | Description
itemRenderer | The item renderer for the item that is being edited. String.
rowIndex | The zero-based index of the item associated with the event. Integer.
columnIndex | The zero-based index of the column associated with the event. Integer.


EditNext Method (SparkDataGrid)

Class

SparkDataGrid.

Action

Sets the following data grid cell in the edit mode.

Syntax

C#
dataGrid.EditNext()
VB
dataGrid.EditNext()


Emphasized Property (SparkButton)

Class

SparkButton.

Action

Gets whether the default button as requested by the focus manager.

Syntax

C#
protected Boolean emphasized { get; }
VB
'Declaration
Protected Read Property emphasized As Boolean

Access

Read only.


Enabled Property (FlexObject)

Class

FlexObject.

Action

Gets whether the component can accept user interaction.

After setting the enabled property to false, some components still respond to mouse interactions such as mouseOver. As a result, to fully disable UIComponents, you should also set the value of the mouseEnabled property to false. If you set the enabled property to false for a container, Flex dims the color of the container and of all of its children, and blocks user input to the container and to all of its children.

Syntax

C#
protected Boolean enabled { get; }
VB
'Declaration
Protected Read Property enabled As Boolean

Access

Read only.


Enabled Property (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Gets whether a movie clip is enabled.

The default value is true. If enabled is set to false, the movie clip's Over, Down, and Up frames are disabled. The movie clip continues to receive events (for example, mouseDown, mouseUp, keyDown, and keyUp).

Syntax

C#
protected Boolean enabled { get; }
VB
'Declaration
Protected Read Property enabled As Boolean

Access

Read only.


EnableIME Property (SparkNumericStepper)

Class

SparkNumericStepper.

Action

Gets a value whether the IME should be enabled when the component receives focus.

Syntax

C#
protected Boolean enableIME { get; }
VB
'Declaration
Protected Read Property enableIME As Boolean

Access

Read only.


EnableIME Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets a flag that indicates whether the IME should be enabled when the component receives focus.

Syntax

C#
protected Boolean enableIME { get; }
VB
'Declaration
Protected Read Property enableIME As Boolean

Access

Read only.


EnableIME Property (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Gets a flag that indicates whether the IME should be enabled when the component receives focus.

Syntax

C#
protected Boolean enableIME { get; }
VB
'Declaration
Protected Read Property enableIME As Boolean

Access

Read only.


ErrorColor Property (FlexObject)

Class

FlexObject.

Action

Gets the color of the component highlight when validation fails.

Flex also sets the borderColor style of the component to this errorColor on a validation failure. The default value is 0xFF0000.

Syntax

C#
protected Color errorColor { get; }
VB
'Declaration
Protected Read Property errorColor As Color

Access

Read only.


ErrorColor Property (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Gets the color of the component highlight when validation fails.

Syntax

C#
protected Color errorColor { get; }
VB
'Declaration
Protected Read Property errorColor As Color

Access

Read only.


ErrorString Property (FlexObject)

Class

FlexObject.

Action

Gets the text that will be displayed by a component's error tip when a component is monitored and validation fails.

Syntax

C#
protected String errorString { get; }
VB
'Declaration
Protected Read Property errorString As String

Access

Read only.


ErrorString Property (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Gets the text that is displayed by a component's error tip when a component is monitored and validation fails.

Syntax

C#
protected String errorString { get; }
VB
'Declaration
Protected Read Property errorString As String

Access

Read only.


ExplodeRadius Property (FlexPieSeries)

Class

FlexPieSeries.

Action

Gets a number from 0 to 1, specifying how far all wedges of the pie series should be exploded from the center of the chart as a percentage of the total radius.

This value explodes all wedges in the pie series uniformly.

Syntax

C#
protected Double explodeRadius { get; }
VB
'Declaration
Protected Read Property explodeRadius As Double

Access

Read only.


Field Property (FlexPieSeries)

Class

FlexPieSeries.

Action

Gets the field of the data provider that determines the data for each wedge of the PieChart control. The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String field { get; }
VB
'Declaration
Protected Read Property field As String

Access

Read only.


FillAlphas Property (FlexButton)

Class

FlexButton.

Action

Gets the alphas used for the background fill of controls.

Use [1, 1] to make the control background opaque. The default value is [ 0.6, 0.4 ].

Syntax

C#
protected List(Of Double) fillAlphas { get; }
VB
'Declaration
Protected Read Property fillAlphas As List(Of Double)

Access

Read only.


FillAlphas Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets the alphas used for the background fill of controls.

Use [1, 1] to make the control background opaque. The default value is [ 0.6, 0.4 ].

Syntax

C#
protected List(Of Double) fillAlphas { get; }
VB
'Declaration
Protected Read Property fillAlphas As List(Of Double)

Access

Read only.


FillAlphas Property (FlexContainer)

Class

FlexContainer.

Action

Gets the alpha transparency values used for the background fill of components.

Set this to an Array of either two or four numbers. Elements 0 and 1 specify the start and end values for an alpha gradient. If elements 2 and 3 exist, they are used instead of elements 0 and 1 when the component is in a mouse-over state. The global default value is [ 0.60, 0.40, 0.75, 0.65 ]. Some components, such as the ApplicationControlBar container, have a different default value. For the ApplicationControlBar container, the default value is [ 0.0, 0.0 ].

Deprecated Since 3.0: Use headerStyleName

Syntax

C#
protected List(Of Double) fillAlphas { get; }
VB
'Declaration
Protected Read Property fillAlphas As List(Of Double)

Access

Read only.


FillColors Property (FlexButton)

Class

FlexButton.

Action

Gets the colors used to tint the background of the control.

Pass the same color for both values for a flat-looking control. The default value is [ 0xFFFFFF, 0xCCCCCC ].

Syntax

C#
protected List(Of Color) fillColors { get; }
VB
'Declaration
Protected Read Property fillColors As List(Of Color)

Access

Read only.


FillColors Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets the colors used to tint the background of the control.

Pass the same color for both values for a flat-looking control. The default value is [ 0xFFFFFF, 0xCCCCCC ].

Syntax

C#
protected List(Of Color) fillColors { get; }
VB
'Declaration
Protected Read Property fillColors As List(Of Color)

Access

Read only.


FillColors Property (FlexContainer)

Class

FlexContainer.

Action

Gets the colors used to tint the background fill of the component.

Set this to an Array of either two or four uint values that specify RGB colors. Elements 0 and 1 specify the start and end values for a color gradient. If elements 2 and 3 exist, they are used instead of elements 0 and 1 when the component is in a mouse-over state. For a flat-looking control, set the same color for elements 0 and 1 and for elements 2 and 3, The default value is [ 0xFFFFFF, 0xCCCCCC, 0xFFFFFF, 0xEEEEEE ].

Some components, such as the ApplicationControlBar container, have a different default value. For the ApplicationControlBar container, the default value is [ 0xFFFFFF, 0xFFFFFF ].

Deprecated Since 3.0: Use headerStyleName

Syntax

C#
protected List(Of Color) fillColors { get; }
VB
'Declaration
Protected Read Property fillColors As List(Of Color)

Access

Read only.


FillColors Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets the colors used to tint the background of the control.

Deprecated Since 3.0: Use nextMonthStyleFilters, prevMonthStyleFilters

Pass the same color for both values for a flat-looking control. The default value is [ 0xFFFFFF, 0xCCCCCC ].

Syntax

C#
protected List(Of Color) fillColors { get; }
VB
'Declaration
Protected Read Property fillColors As List(Of Color)

Access

Read only.


FillColors Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets the colors used to tint the background of the control.

Pass the same color for both values for a flat-looking control. The default value is [ 0xFFFFFF, 0xCCCCCC ].

Syntax

C#
protected List(Of Color) fillColors { get; }
VB
'Declaration
Protected Read Property fillColors As List(Of Color)

Access

Read only.


FillColors Property (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Gets the colors used to tint the background of the control. Pass the same color for both values for a flat-looking control. The default value is [ 0xFFFFFF, 0xCCCCCC ].

Syntax

C#
protected List(Of Color) fillColors { get; }
VB
'Declaration
Protected Read Property fillColors As List(Of Color)

Access

Read only.


FillColors Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets the colors used to tint the background fill of the component.

Set this to an Array of either two or four unit values that specify RGB colors. Elements 0 and 1 specify the start and end values for a color gradient. If elements 2 and 3 exist, they are used instead of elements 0 and 1 when the component is in a mouse-over state. For a flat-looking control, set the same color for elements 0 and 1 and for elements 2 and 3, The default value is [ 0xFFFFFF, 0xCCCCCC, 0xFFFFFF, 0xEEEEEE ].

Some components, such as the ApplicationControlBar container, have a different default value. For the ApplicationControlBar container, the default value is [ 0xFFFFFF, 0xFFFFFF ].

Deprecated Since 3.0: Use headerStyleName

Syntax

C#
protected List(Of Color) fillColors { get; }
VB
'Declaration
Protected Read Property fillColors As List(Of Color)

Access

Read only.


FillColors Property (FlexScrollBar)

Class

FlexScrollBar.

Action

Gets the colors used to tint the background of the control.

Pass the same color for both values for a flat-looking control. The default value is [ 0xFFFFFF, 0xCCCCCC ].

Syntax

C#
protected List(Of Color) fillColors { get; }
VB
'Declaration
Protected Read Property fillColors As List(Of Color)

Access

Read only.


FillColors Property (FlexSlider)

Class

FlexSlider.

Action

Gets the colors used to tint the background of the control.

Pass the same color for both values for a flat-looking control. The default value is [ 0xFFFFFF, 0xCCCCCC ].

Syntax

C#
protected List(Of Color) fillColors { get; }
VB
'Declaration
Protected Read Property fillColors As List(Of Color)

Access

Read only.


FillMode Property (SparkImage)

Class

SparkImage.

Action

Gets a value how the bitmap fills in the dimensions.

Syntax

C#
protected String fillMode { get; }
VB
'Declaration
Protected Read Property fillMode As String

Access

Read only.


FirstDayOfWeek Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets the number representing the day of the week to display in the first column of the DateChooser control.

The value must be in the range 0 to 6, where 0 corresponds to Sunday, the first element of the dayNames Array.

Setting this property changes the order of the day columns. For example, setting it to 1 makes Monday the first column in the control.

The default value is 0 (Sunday).

Syntax

C#
protected Integer firstDayOfWeek { get; }
VB
'Declaration
Protected Read Property firstDayOfWeek As Integer

Access

Read only.


FirstDayOfWeek Property (FlexDateField)

Class

FlexDateField.

Action

Gets the day of the week (0-6, where 0 is the first element of the dayNames Array) to display in the first column of the DateChooser control.

Syntax

C#
protected Integer firstDayOfWeek { get; }
VB
'Declaration
Protected Read Property firstDayOfWeek As Integer

Access

Read only.


FirstVisibleRow Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets the index of the first visible child.

Syntax

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

Access

Read only.


FirstVisibleRow Property (FlexChart)

Class

FlexChart.

Action

Gets the index of the first visible child.

Syntax

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

Access

Read only.


FirstVisibleRow Property (FlexChartLegend)

Class

FlexChartLegend.

Action

Gets the index of the first visible child.

Syntax

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

Access

Read only.


FirstVisibleRow Property (FlexChartSeries)

Class

FlexChartSeries.

Action

Gets the index of the first visible child.

Syntax

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

Access

Read only.


FirstVisibleRow Property (FlexComboBox)

Class

FlexComboBox.

Action

Gets the index of the first visible child.

Syntax

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

Access

Read only.


FirstVisibleRow Property (FlexContainer)

Class

FlexContainer.

Action

Gets the index of the first visible child.

Syntax

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

Access

Read only.


FirstVisibleRow Property (FlexListBase)

Class

FlexListBase.

Action

Gets the index of the first visible child.

Syntax

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

Access

Read only.


FirstVisibleRow Property (FlexMenu)

Class

FlexMenu.

Action

Gets the index of the first visible child.

Syntax

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

Access

Read only.


FirstVisibleRow Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets the index of the first visible child.

Syntax

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

Access

Read only.


FirstVisibleRow Property (FlexRepeater)

Class

FlexRepeater.

Action

Gets the index of the first visible child.

Syntax

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

Access

Read only.


FirstVisibleRow Property (SparkGroupBase)

Class

SparkGroupBase.

Action

Gets the index of the first visible child.

Syntax

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

Access

Read only.


FirstVisibleRow Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets the index of the first visible child.

Syntax

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

Access

Read only.


FirstVisibleRow Property (SparkSkinnableContainerBase)

Class

SparkSkinnableContainerBase.

Action

Gets the index of the first visible child.

Syntax

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

Access

Read only.


FirstVisibleRow Property (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Gets the index of the first visible child.

Syntax

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

Access

Read only.


FocusAlpha Property (FlexButton)

Class

FlexButton.

Action

Gets the alpha transparency value of the focus skin. The default value is 0.4.

Syntax

C#
protected Double focusAlpha { get; }
VB
'Declaration
Protected Read Property focusAlpha As Double

Access

Read only.


FocusAlpha Property (FlexListBase)

Class

FlexListBase.

Action

Gets the alpha transparency value of the focus skin. The default value is 0.4.

Syntax

C#
protected Double focusAlpha { get; }
VB
'Declaration
Protected Read Property focusAlpha As Double

Access

Read only.


FocusEnabled Property (FlexObject)

Class

FlexObject.

Action

Gets whether the component can receive focus when tabbed to.

You can set focusEnabled to false when a UIComponent is used as a subcomponent of another component so that the outer component becomes the focusable entity. If this property is false, focus will be transferred to the first parent that has focusEnable set to true.

Syntax

C#
protected Boolean focusEnabled { get; }
VB
'Declaration
Protected Read Property focusEnabled As Boolean

Access

Read only.


FocusEnabled Property (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Gets whether the component can receive focus when selected.

Syntax

C#
protected Boolean focusEnabled { get; }
VB
'Declaration
Protected Read Property focusEnabled As Boolean

Access

Read only.


FontFamily Property (FlexButton)

Class

FlexButton.

Action

Gets the name of the font to use.

Unlike in a full CSS implementation, comma-separated lists are not supported. You can use any font family name. If you specify a generic font name, it is converted to an appropriate device font. The default value is Verdana.

Syntax

C#
protected String fontFamily { get; }
VB
'Declaration
Protected Read Property fontFamily As String

Access

Read only.


FontFamily Property (FlexChart)

Class

FlexChart.

Action

Gets the name of the font to use.

Unlike in a full CSS implementation, comma-separated lists are not supported. You can use any font family name. If you specify a generic font name, it is converted to an appropriate device font. The default value is Verdana.

Syntax

C#
protected String fontFamily { get; }
VB
'Declaration
Protected Read Property fontFamily As String

Access

Read only.


FontFamily Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets the name of the font to use.

Unlike in a full CSS implementation, comma-separated lists are not supported. You can use any font family name. If you specify a generic font name, it is converted to an appropriate device font. The default value is Verdana.

Syntax

C#
protected String fontFamily { get; }
VB
'Declaration
Protected Read Property fontFamily As String

Access

Read only.


FontFamily Property (FlexContainer)

Class

FlexContainer.

Action

Gets the name of the font to use.

Unlike in a full CSS implementation, comma-separated lists are not supported. You can use any font family name. If you specify a generic font name, it is converted to an appropriate device font. The default value is Verdana.

Syntax

C#
protected String fontFamily { get; }
VB
'Declaration
Protected Read Property fontFamily As String

Access

Read only.


FontFamily Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets the name of the font to use.

Unlike in a full CSS implementation, comma-separated lists are not supported. You can use any font family name. If you specify a generic font name, it is converted to an appropriate device font. The default value is Verdana.

Syntax

C#
protected String fontFamily { get; }
VB
'Declaration
Protected Read Property fontFamily As String

Access

Read only.


FontFamily Property (FlexLabel)

Class

FlexLabel.

Action

Gets the name of the font to use.

Unlike in a full CSS implementation, comma-separated lists are not supported. You can use any font family name. If you specify a generic font name, it is converted to an appropriate device font. The default value is Verdana.

Syntax

C#
protected String fontFamily { get; }
VB
'Declaration
Protected Read Property fontFamily As String

Access

Read only.


FontFamily Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets the name of the font to use.

Unlike in a full CSS implementation, comma-separated lists are not supported. You can use any font family name. If you specify a generic font name, it is converted to an appropriate device font. The default value is Verdana.

Syntax

C#
protected String fontFamily { get; }
VB
'Declaration
Protected Read Property fontFamily As String

Access

Read only.


FontFamily Property (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Gets the name of the font to use.

Unlike in a full CSS implementation, comma-separated lists are not supported. You can use any font family name. If you specify a generic font name, it is converted to an appropriate device font. The default value is Verdana.

Syntax

C#
protected String fontFamily { get; }
VB
'Declaration
Protected Read Property fontFamily As String

Access

Read only.


FontFamily Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets the name of the font to use.

Unlike in a full CSS implementation, comma-separated lists are not supported. You can use any font family name. If you specify a generic font name, it is converted to an appropriate device font. The default value is Verdana.

Syntax

C#
protected String fontFamily { get; }
VB
'Declaration
Protected Read Property fontFamily As String

Access

Read only.


FontFamily Property (FlexTextArea)

Class

FlexTextArea.

Action

Gets the name of the font to use.

Unlike in a full CSS implementation, comma-separated lists are not supported. You can use any font family name. If you specify a generic font name, it is converted to an appropriate device font. The default value is Verdana.

Syntax

C#
protected String fontFamily { get; }
VB
'Declaration
Protected Read Property fontFamily As String

Access

Read only.


FontSize Property (FlexButton)

Class

FlexButton.

Action

Gets the height of the text, in pixels.

The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11.

Syntax

C#
protected Double fontSize { get; }
VB
'Declaration
Protected Read Property fontSize As Double

Access

Read only.


FontSize Property (FlexChart)

Class

FlexChart.

Action

Gets the height of the text, in pixels. The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11.

Syntax

C#
protected Integer fontSize { get; }
VB
'Declaration
Protected Read Property fontSize As Integer

Access

Read only.


FontSize Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets the height of the text, in pixels.

The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11.

Syntax

C#
protected Double fontSize { get; }
VB
'Declaration
Protected Read Property fontSize As Double

Access

Read only.


FontSize Property (FlexContainer)

Class

FlexContainer.

Action

Gets the height of the text, in pixels.

The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11.

Syntax

C#
protected Double fontSize { get; }
VB
'Declaration
Protected Read Property fontSize As Double

Access

Read only.


FontSize Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets the height of the text, in pixels.

The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11.

Syntax

C#
protected Double fontSize { get; }
VB
'Declaration
Protected Read Property fontSize As Double

Access

Read only.


FontSize Property (FlexLabel)

Class

FlexLabel.

Action

Gets the height of the text, in pixels.

The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11.

Syntax

C#
protected Double fontSize { get; }
VB
'Declaration
Protected Read Property fontSize As Double

Access

Read only.


FontSize Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets the height of the text, in pixels.

The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11.

Syntax

C#
protected Double fontSize { get; }
VB
'Declaration
Protected Read Property fontSize As Double

Access

Read only.


FontSize Property (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Gets the height of the text, in pixels.

The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11.

Syntax

C#
protected Double fontSize { get; }
VB
'Declaration
Protected Read Property fontSize As Double

Access

Read only.


FontSize Property (FlexPieSeries)

Class

FlexPieSeries.

Action

Gets the height of the text, in pixels.

The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11.

Syntax

C#
protected Integer fontSize { get; }
VB
'Declaration
Protected Read Property fontSize As Integer

Access

Read only.


FontSize Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets the height of the text, in pixels.

The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11.

Syntax

C#
protected Double fontSize { get; }
VB
'Declaration
Protected Read Property fontSize As Double

Access

Read only.


FontSize Property (FlexTextArea)

Class

FlexTextArea.

Action

Gets the height of the text, in pixels.

The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11.

Syntax

C#
protected Double fontSize { get; }
VB
'Declaration
Protected Read Property fontSize As Double

Access

Read only.


FontStyle Property (FlexButton)

Class

FlexButton.

Action

Gets whether the text is italic font.

Recognized values are normal and italic. The default value is normal.

Syntax

C#
protected String fontStyle { get; }
VB
'Declaration
Protected Read Property fontStyle As String

Access

Read only.


FontStyle Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets whether the text is italic font.

Recognized values are normal and italic. The default value is normal.

Syntax

C#
protected String fontStyle { get; }
VB
'Declaration
Protected Read Property fontStyle As String

Access

Read only.


FontStyle Property (FlexContainer)

Class

FlexContainer.

Action

Gets whether the text is italic font.

Recognized values are normal and italic. The default value is normal.

Syntax

C#
protected String fontStyle { get; }
VB
'Declaration
Protected Read Property fontStyle As String

Access

Read only.


FontStyle Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets whether the text is italic font.

Recognized values are normal and italic. The default value is normal.

Syntax

C#
protected String fontStyle { get; }
VB
'Declaration
Protected Read Property fontStyle As String

Access

Read only.


FontStyle Property (FlexLabel)

Class

FlexLabel.

Action

Gets whether the text is italic font.

Recognized values are normal and italic. The default value is normal.

Syntax

C#
protected String fontStyle { get; }
VB
'Declaration
Protected Read Property fontStyle As String

Access

Read only.


FontStyle Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets whether the text is italic font.

Recognized values are normal and italic. The default value is normal.

Syntax

C#
protected String fontStyle { get; }
VB
'Declaration
Protected Read Property fontStyle As String

Access

Read only.


FontStyle Property (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Gets whether the text is italic font.

Recognized values are normal and italic. The default value is normal.

Syntax

C#
protected String fontStyle { get; }
VB
'Declaration
Protected Read Property fontStyle As String

Access

Read only.


FontStyle Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets whether the text is italic font.

Recognized values are normal and italic. The default value is normal.

Syntax

C#
protected String fontStyle { get; }
VB
'Declaration
Protected Read Property fontStyle As String

Access

Read only.


FontStyle Property (FlexTextArea)

Class

FlexTextArea.

Action

Gets whether the text is italic font.

Recognized values are normal and italic. The default value is normal.

Syntax

C#
protected String fontStyle { get; }
VB
'Declaration
Protected Read Property fontStyle As String

Access

Read only.


FontWeight Property (FlexButton)

Class

FlexButton.

Action

Gets whether the text is boldface.

Recognized values are normal and bold. The default value for Button controls is bold. The default value for all other controls is normal.

Syntax

C#
protected String fontWeight { get; }
VB
'Declaration
Protected Read Property fontWeight As String

Access

Read only.


FontWeight Property (FlexChartLegend)

Class

FlexChartLegend.

Action

Gets whether the text is boldface.

Recognized values are normal and bold. The default value for Button controls is bold. The default value for all other controls is normal.

Syntax

C#
protected String fontWeight { get; }
VB
'Declaration
Protected Read Property fontWeight As String

Access

Read only.


FontWeight Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets whether the text is boldface.

Recognized values are normal and bold. The default value for Button controls is bold. The default value for all other controls is normal.

Syntax

C#
protected String fontWeight { get; }
VB
'Declaration
Protected Read Property fontWeight As String

Access

Read only.


FontWeight Property (FlexContainer)

Class

FlexContainer.

Action

Gets whether the text is boldface.

Recognized values are normal and bold. The default value for Button controls is bold. The default value for all other controls is normal.

Syntax

C#
protected String fontWeight { get; }
VB
'Declaration
Protected Read Property fontWeight As String

Access

Read only.


FontWeight Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets whether the text is boldface.

Recognized values are normal and bold. The default value for Button controls is bold. The default value for all other controls is normal.

Syntax

C#
protected String fontWeight { get; }
VB
'Declaration
Protected Read Property fontWeight As String

Access

Read only.


FontWeight Property (FlexLabel)

Class

FlexLabel.

Action

Gets whether the text is boldface.

Recognized values are normal and bold. The default value for Button controls is bold. The default value for all other controls is normal.

Syntax

C#
protected String fontWeight { get; }
VB
'Declaration
Protected Read Property fontWeight As String

Access

Read only.


FontWeight Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets whether the text is boldface.

Recognized values are normal and bold. The default value for Button controls is bold. The default value for all other controls is normal.

Syntax

C#
protected String fontWeight { get; }
VB
'Declaration
Protected Read Property fontWeight As String

Access

Read only.


FontWeight Property (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Gets whether the text is boldface. Recognized values are normal and bold.

The default value for Button controls is bold. The default value for all other controls is normal.

Syntax

C#
protected String fontWeight { get; }
VB
'Declaration
Protected Read Property fontWeight As String

Access

Read only.


FontWeight Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets whether the text is boldface.

Recognized values are normal and bold. The default value for Button controls is bold. The default value for all other controls is normal.

Syntax

C#
protected String fontWeight { get; }
VB
'Declaration
Protected Read Property fontWeight As String

Access

Read only.


FontWeight Property (FlexTextArea)

Class

FlexTextArea.

Action

Gets whether the text is boldface.

Recognized values are normal and bold. The default value for Button controls is bold. The default value for all other controls is normal.

Syntax

C#
protected String fontWeight { get; }
VB
'Declaration
Protected Read Property fontWeight As String

Access

Read only.


FooterColors Property (FlexPanel)

Class

FlexPanel.

Action

Gets the array of two colors used to draw the footer (area for the ControlBar container) background.

The first color is the top color. The second color is the bottom color. The default values are null (Nothing in Visual Basic), which makes the control bar background the same as the panel background. The default value is null (Nothing in Visual Basic).

Syntax

C#
protected List(Of Color) footerColors { get; }
VB
'Declaration
Protected Read Property footerColors As List(Of Color)

Access

Read only.


Form Property (FlexAreaSeries)

Class

FlexAreaSeries.

Action

Gets the boundary type for the area.

Possible values include:
  • curve - Draws curves for the boundary between data points.
  • horizontal - Draws only the boundary from the x-coordinate of the first point to the x-coordinate of the second point at the y-coordinate of the second point. Repeats this for each data point.
  • reverseStep - Draws boundaries of the area as horizontal segments. At the first data point, draws a vertical boundary line and then a horizontal boundary line to the second point, and repeats for each data point.
  • segment - Draws boundaries of the area as connected segments that are angled to connect at each data point in the series.
  • step - Draws boundaries of the area as horizontal segments. At the first data point, draws a horizontal boundary line and then a vertical boundary line to the second point, and repeats for each data point.
  • vertical - Draws only the boundary from the y-coordinate of the first point to the y-coordinate of the second point at the x-coordinate of the second point. Repeats this for each data point.

The default value is segment.

Syntax

C#
protected String form { get; }
VB
'Declaration
Protected Read Property form As String

Access

Read only.


Form Property (FlexLineSeries)

Class

FlexLineSeries.

Action

Gets the line type for the chart.

Possible values include:
  • curve - Draws curves between data points.
  • horizontal - Draws only the vertical line from the x-coordinate of the first point to the x-coordinate of the second point at the y-coordinate of the second point. Repeats this for each data point.
  • reverseStep - Draws lines as horizontal segments. At the first data point, draws a vertical line and then a horizontal line to the second point, and repeats for each data point.
  • segment - Draws lines as connected segments that are angled to connect at each data point in the series.
  • step - Draws lines as horizontal segments. At the first data point, draws a horizontal line and then a vertical boundary line to the second point, and repeats for each data point.
  • vertical - Draws only the vertical line from the y-coordinate of the first point to the y-coordinate of the second point at the x-coordinate of the second point. Repeats this for each data point.

The default value is segment.

Syntax

C#
protected String form { get; }
VB
'Declaration
Protected Read Property form As String

Access

Read only.


GetCellData Method (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Returns data for a cell in the grid.

Syntax

C#
cellData = advancedDataGrid.GetCellData(RowIndex, ColumnIndex, [RestoreOriginalPosition])
VB
cellData = advancedDataGrid.GetCellData(RowIndex, ColumnIndex, [RestoreOriginalPosition])
Variable | Description
cellData | String.
RowIndex | Returns the zero-based index of the specified row. Integer.
ColumnIndex | Returns the zero-based index of the specified column. Integer.
RestoreOriginalPosition | Optional: Returns a cell in the grid to its previous position. Boolean.


GetGroupedItemChildrenCount Method (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Returns the number of children within the first item of a group.

Syntax

C#
groupedItemChildrenCount = advancedDataGrid.GetGroupedItemChildrenCount(RowIndex, [RestoreOriginalPosition])
VB
groupedItemChildrenCount = advancedDataGrid.GetGroupedItemChildrenCount(RowIndex, [RestoreOriginalPosition])
Variable | Description
groupedItemChildrenCount | Integer.
RowIndex | Returns the zero-based index of the specified row. Integer.
RestoreOriginalPosition | Optional: Returns the children within the first item of a group to their previous position. Boolean.


GetItemsCount Method (SparkListBase)

Class

SparkListBase.

Action

Gets the number of items in the ComboBox.

Syntax

C#
itemsCount = listBase.GetItemsCount()
VB
itemsCount = listBase.GetItemsCount()
Variable | Description
itemsCount | Integer.


GetRowData Method (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Returns data for the row of the item in the data provider.

Syntax

C#
rowData = advancedDataGrid.GetRowData(RowIndex, [RestoreOriginalPosition])
VB
rowData = advancedDataGrid.GetRowData(RowIndex, [RestoreOriginalPosition])
Variable | Description
rowData | String.
RowIndex | Returns the zero-based index of the item in the data provider. Integer.
RestoreOriginalPosition | Optional: Returns a row in the grid to its previous position. Boolean.


GetStyle Method (FlexDisplayObject)

Class

FlexDisplayObject.

Action

Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation.

Syntax

C#
style = displayObject.GetStyle(name)
VB
style = displayObject.GetStyle(name)
Variable | Description
style | String.
name | The name of the style. String.


GetValues Method (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Returns a matrix containing the automation values of all parts of the components.

The return value is an array of rows, each of which is an array of items.

Syntax

C#
values = axisRenderer.GetValues(start, end)
VB
values = axisRenderer.GetValues(start, end)
Variable | Description
values | List(Of List(Of String)).
start | The index of the starting child. The default value is 0. Integer.
end | The index of the ending child. The default value is 0. Integer.


GetValues Method (FlexChart)

Class

FlexChart.

Action

Returns a matrix containing the automation values of all parts of the components.

The return value is an array of rows, each of which is an array of items.

Syntax

C#
values = chart.GetValues(start, end)
VB
values = chart.GetValues(start, end)
Variable | Description
values | List(Of List(Of String)).
start | The index of the starting child. The default value is 0. Integer.
end | The index of the ending child. The default value is 0. Integer.


GetValues Method (FlexChartLegend)

Class

FlexChartLegend.

Action

Returns a matrix containing the automation values of all parts of the components.

The return value is an array of rows, each of which is an array of items.

Syntax

C#
values = chartLegend.GetValues(start, end)
VB
values = chartLegend.GetValues(start, end)
Variable | Description
values | List(Of List(Of String)).
start | The index of the starting child. The default value is 0. Integer.
end | The index of the ending child. The default value is 0. Integer.


GetValues Method (FlexChartSeries)

Class

FlexChartSeries.

Action

Returns a matrix containing the automation values of all parts of the components.

The return value is an array of rows, each of which is an array of items.

Syntax

C#
values = chartSeries.GetValues(start, end)
VB
values = chartSeries.GetValues(start, end)
Variable | Description
values | List(Of List(Of String)).
start | The index of the starting child. The default value is 0. Integer.
end | The index of the ending child. The default value is 0. Integer.


GetValues Method (FlexComboBox)

Class

FlexComboBox.

Action

Returns a matrix containing the automation values of all parts of the components.

The return value is an array of rows, each of which is an array of items.

Syntax

C#
values = comboBox.GetValues(start, end)
VB
values = comboBox.GetValues(start, end)
Variable | Description
values | List(Of List(Of String)).
start | The index of the starting child. The default value is 0. Integer.
end | The index of the ending child. The default value is 0. Integer.


GetValues Method (FlexContainer)

Class

FlexContainer.

Action

Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items.

Syntax

C#
values = container.GetValues(start, end)
VB
values = container.GetValues(start, end)
Variable | Description
values | List(Of List(Of String)).
start | The index of the starting child. The default value is 0. Integer.
end | The index of the ending child. The default value is 0. Integer.


GetValues Method (FlexListBase)

Class

FlexListBase.

Action

Returns a matrix containing the automation values of all parts of the components.

The return value is an array of rows, each of which is an array of items.

Syntax

C#
values = listBase.GetValues(start, end)
VB
values = listBase.GetValues(start, end)
Variable | Description
values | List(Of List(Of String)).
start | The index of the starting child. The default value is 0. Integer.
end | The index of the ending child. The default value is 0. Integer.


GetValues Method (FlexMenu)

Class

FlexMenu.

Action

Returns a matrix containing the automation values of all parts of the components.

The return value is an array of rows, each of which is an array of items.

Syntax

C#
values = menu.GetValues(start, end)
VB
values = menu.GetValues(start, end)
Variable | Description
values | List(Of List(Of String)).
start | The index of the starting child. The default value is 0. Integer.
end | The index of the ending child. The default value is 0. Integer.


GetValues Method (FlexMenuBar)

Class

FlexMenuBar.

Action

Returns a matrix containing the automation values of all parts of the components.

The return value is an array of rows, each of which is an array of items.

Syntax

C#
values = menuBar.GetValues(start, end)
VB
values = menuBar.GetValues(start, end)
Variable | Description
values | List(Of List(Of String)).
start | The index of the starting child. The default value is 0. Integer.
end | The index of the ending child. The default value is 0. Integer.


GetValues Method (FlexRepeater)

Class

FlexRepeater.

Action

Returns a matrix containing the automation values of all parts of the components.

The return value is an array of rows, each of which is an array of items.

Syntax

C#
values = repeater.GetValues(start, end)
VB
values = repeater.GetValues(start, end)
Variable | Description
values | List(Of List(Of String)).
start | The index of the starting child. The default value is 0. Integer.
end | The index of the ending child. The default value is 0. Integer.


GetValues Method (SparkGroupBase)

Class

SparkGroupBase.

Action

Returns a matrix containing the automation values of all parts of the components.

Syntax

C#
values = groupBase.GetValues(start, end)
VB
values = groupBase.GetValues(start, end)
Variable | Description
values | List(Of List(Of String)).
start | The index of the starting child. The default value is 0. Integer.
end | The index of the ending child. The default value is 0. Integer.


GetValues Method (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Returns a matrix containing the automation values of all parts of the components.

Syntax

C#
values = richEditableText.GetValues(start, end)
VB
values = richEditableText.GetValues(start, end)
Variable | Description
values | List(Of List(Of String)).
start | The index of the starting child. The default value is 0. Integer.
end | The index of the ending child. The default value is 0. Integer.


GetValues Method (SparkSkinnableContainerBase)

Class

SparkSkinnableContainerBase.

Action

Returns a matrix containing the automation values of all parts of the components.

Syntax

C#
values = skinnableContainerBase.GetValues(start, end)
VB
values = skinnableContainerBase.GetValues(start, end)
Variable | Description
values | List(Of List(Of String)).
start | The index of the starting child. The default value is 0. Integer.
end | The index of the ending child. The default value is 0. Integer.


GetValues Method (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Returns a matrix containing the automation values of all parts of the components.

Syntax

C#
values = skinnableTextBase.GetValues(start, end)
VB
values = skinnableTextBase.GetValues(start, end)
Variable | Description
values | List(Of List(Of String)).
start | The index of the starting child. The default value is 0. Integer.
end | The index of the ending child. The default value is 0. Integer.


GroupName Property (FlexRadioButton)

Class

FlexRadioButton.

Action

Gets the name of the group to which this RadioButton control belongs, or specifies the value of the id property of a RadioButtonGroup control if this RadioButton is part of a group defined by a RadioButtonGroup control.

The default value is undefined.

Syntax

C#
protected String groupName { get; }
VB
'Declaration
Protected Read Property groupName As String

Access

Read only.


GroupName Property (SparkRadioButton)

Class

SparkRadioButton.

Action

Gets the name of the group to which this RadioButton component belongs, or specifies the value of the id property of a RadioButtonGroup component if this RadioButton is part of a group defined by a RadioButtonGroup component.

Syntax

C#
protected String groupName { get; }
VB
'Declaration
Protected Read Property groupName As String

Access

Read only.


GutterBottom Property (FlexCartesianChart)

Class

FlexCartesianChart.

Action

Gets the size of the region, in pixels, between the bottom of the chart data area and the bottom of the chart control.

Syntax

C#
protected Integer gutterBottom { get; }
VB
'Declaration
Protected Read Property gutterBottom As Integer

Access

Read only.


GutterLeft Property (FlexCartesianChart)

Class

FlexCartesianChart.

Action

Gets the size of the region, in pixels, between the left of the chart data area and the left of the chart control.

Syntax

C#
protected Integer gutterLeft { get; }
VB
'Declaration
Protected Read Property gutterLeft As Integer

Access

Read only.


GutterRight Property (FlexCartesianChart)

Class

FlexCartesianChart.

Action

Gets the size of the region, in pixels, between the right side of the chart data area and the outside of the chart control.

Syntax

C#
protected Integer gutterRight { get; }
VB
'Declaration
Protected Read Property gutterRight As Integer

Access

Read only.


GutterTop Property (FlexCartesianChart)

Class

FlexCartesianChart.

Action

Gets the size of the region, in pixels, between the top of the chart data area and the top of the chart control.

Syntax

C#
protected Integer gutterTop { get; }
VB
'Declaration
Protected Read Property gutterTop As Integer

Access

Read only.


HeaderClick Method (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Dispatched when the user releases the mouse button on a column header to request the control to sort the grid contents based on the contents of the column.

Syntax

C#
advancedDataGrid.HeaderClick(columnIndex, [dataField, keyModifier])
VB
advancedDataGrid.HeaderClick(columnIndex, [dataField, keyModifier])
Variable | Description
columnIndex | The zero-based index of the item's column in the DataGrid object's columns array. Integer.
dataField | Optional: The name of the field or property in the data associated with the column. String.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use. ModifierKeys.


HeaderClick Method (FlexDataGrid)

Class

FlexDataGrid.

Action

Dispatched when the user releases the mouse button on a column header to request the control to sort the grid contents based on the contents of the column.

Only dispatched if the column is sortable and the data provider supports sorting.

Syntax

C#
dataGrid.HeaderClick(columnIndex)
VB
dataGrid.HeaderClick(columnIndex)
Variable | Description
columnIndex | The zero-based index of the item's column in the DataGrid object's columns array. Integer.


HeaderClick Method (SparkDataGrid)

Class

SparkDataGrid.

Action

Clicks on the specified column header.

Syntax

C#
dataGrid.HeaderClick(columnIndex)
VB
dataGrid.HeaderClick(columnIndex)
Variable | Description
columnIndex | The index of the column header. Integer.


HeaderColors Property (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Gets an array of two colors used to draw the header background gradient.

The first color is the top color. The second color is the bottom color.

Syntax

C#
protected List(Of Color) headerColors { get; }
VB
'Declaration
Protected Read Property headerColors As List(Of Color)

Access

Read only.


HeaderColors Property (FlexDataGrid)

Class

FlexDataGrid.

Action

Gets an array of two colors used to draw the header background gradient.

The first color is the top color. The second color is the bottom color. The default value is [0xFFFFFF, 0xE6E6E6].

Syntax

C#
protected List(Of Color) headerColors { get; }
VB
'Declaration
Protected Read Property headerColors As List(Of Color)

Access

Read only.


HeaderColors Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets the colors of the band at the top of the DateChooser control. The default value is [ 0xE6EEEE, 0xFFFFFF ].

Deprecated Since 3.0: Use dateChooserStyleName

Syntax

C#
protected List(Of Color) headerColors { get; }
VB
'Declaration
Protected Read Property headerColors As List(Of Color)

Access

Read only.


HeaderColors Property (FlexDateField)

Class

FlexDateField.

Action

Gets the colors of the band at the top of the DateChooser control. The default value is [ 0xE6EEEE, 0xFFFFFF ].

Deprecated Since 3.0: Use dateChooserStyleName

Syntax

C#
protected List(Of Color) headerColors { get; }
VB
'Declaration
Protected Read Property headerColors As List(Of Color)

Access

Read only.


HeaderColors Property (FlexPanel)

Class

FlexPanel.

Action

Gets the array of two colors used to draw the header.

The first color is the top color. The second color is the bottom color. The default values are null (Nothing in Visual Basic), which makes the header background the same as the panel background. The default value is null (Nothing in Visual Basic).

Syntax

C#
protected List(Of Color) headerColors { get; }
VB
'Declaration
Protected Read Property headerColors As List(Of Color)

Access

Read only.


HeaderHeight Property (FlexAccordion)

Class

FlexAccordion.

Action

Gets the height of each accordion header, in pixels.

The default value is automatically calculated based on the font styles for the header.

Syntax

C#
protected Integer headerHeight { get; }
VB
'Declaration
Protected Read Property headerHeight As Integer

Access

Read only.


HeaderHeight Property (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Gets the height of the header cell of the column, in pixels.

Syntax

C#
protected Double headerHeight { get; }
VB
'Declaration
Protected Read Property headerHeight As Double

Access

Read only.


HeaderHeight Property (FlexPanel)

Class

FlexPanel.

Action

Gets the height of the header. The default value is based on the style of the title text.

Syntax

C#
protected Integer headerHeight { get; }
VB
'Declaration
Protected Read Property headerHeight As Integer

Access

Read only.


HeaderShift Method (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Dispatched when the user releases the mouse button on a column header after having dragged the column to a new location resulting in shifting the column to a new index.

Syntax

C#
advancedDataGrid.HeaderShift(newIndex, oldIndex, [triggerEvent])
VB
advancedDataGrid.HeaderShift(newIndex, oldIndex, [triggerEvent])
Variable | Description
newIndex | The zero-based index of the header after the change. Integer.
oldIndex | The zero-based index of the header before the change. Integer.
triggerEvent | Optional: The event that triggered this event. FlexTriggerEvent.


HeaderShift Method (FlexDataGrid)

Class

FlexDataGrid.

Action

Dispatched when the user releases the mouse button on a column header after having dragged the column to a new location resulting in shifting the column to a new index.

Syntax

C#
dataGrid.HeaderShift(newIndex, oldIndex, [triggerEvent])
VB
dataGrid.HeaderShift(newIndex, oldIndex, [triggerEvent])
Variable | Description
newIndex | The zero-based index of the header after the change. Integer.
oldIndex | The zero-based index of the header before the change. Integer.
triggerEvent | Optional: The event, such as a mouse or keyboard event, that triggered the action. FlexTriggerEvent.


HeaderStyleName Property (FlexDataGrid)

Class

FlexDataGrid.

Action

Gets the name of a CSS style declaration for controlling other aspects of the appearance of the column headers. The default value is dataGridStyles.

Syntax

C#
protected String headerStyleName { get; }
VB
'Declaration
Protected Read Property headerStyleName As String

Access

Read only.


HeightInLines Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets the default height of the control, measured in lines.

Syntax

C#
protected Double heightInLines { get; }
VB
'Declaration
Protected Read Property heightInLines As Double

Access

Read only.


HeightInLines Property (SparkTextArea)

Class

SparkTextArea.

Action

Gets the default height of the control, measured in lines.

Syntax

C#
protected Double heightInLines { get; }
VB
'Declaration
Protected Read Property heightInLines As Double

Access

Read only.


HeightLimit Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets the maximum amount of space, in pixels, that an axis renderer will take from a chart.

Syntax

C#
protected Double heightLimit { get; }
VB
'Declaration
Protected Read Property heightLimit As Double

Access

Read only.


Height Property (FlexDisplayObject)

Class

FlexDisplayObject.

Action

Gets the height of the display object, in pixels.

The height is calculated based on the bounds of the content of the display object. When you set the height property, the scaleY property is adjusted accordingly.

Syntax

C#
protected Double height { get; }
VB
'Declaration
Protected Read Property height As Double

Access

Read only.


Hide Method (FlexMenu)

Class

FlexMenu.

Action

Dispatched when a menu or submenu is dismissed.

Syntax

C#
menu.Hide()
VB
menu.Hide()


Hide Method (FlexMenuBar)

Class

FlexMenuBar.

Action

Dispatched when a menu or submenu is dismissed.

Syntax

C#
menuBar.Hide()
VB
menuBar.Hide()


HighlightColor Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets the highlight color of the drop-down list.

Syntax

C#
protected Color highlightColor { get; }
VB
'Declaration
Protected Read Property highlightColor As Color

Access

Read only.


HorizontalAlign Property (FlexBox)

Class

FlexBox.

Action

Gets the horizontal alignment of children in the container.

Possible values are: left, center, and right. The default value is left, but some containers, such as ButtonBar and ToggleButtonBar, have different default values.

Syntax

C#
protected String horizontalAlign { get; }
VB
'Declaration
Protected Read Property horizontalAlign As String

Access

Read only.


HorizontalAlign Property (FlexFormItem)

Class

FlexFormItem.

Action

Gets the horizontal alignment of children in the container.

Possible values are: left, center, and right. The default value is left.

Syntax

C#
protected String horizontalAlign { get; }
VB
'Declaration
Protected Read Property horizontalAlign As String

Access

Read only.


HorizontalAlign Property (FlexTabNavigator)

Class

FlexTabNavigator.

Action

Gets the horizontal positioning of tabs at the top of this TabNavigator container.

Possible values are: left, center, and right. The default value is left.

If the value is left, the left edge of the first tab is aligned with the left edge of the TabNavigator container. If the value is right, the right edge of the last tab is aligned with the right edge of the TabNavigator container. If the value is center, the tabs are centered on the top of the TabNavigator container.

To see a difference between the alignments, the total width of all the tabs must be less than the width of the TabNavigator container.

Syntax

C#
protected String horizontalAlign { get; }
VB
'Declaration
Protected Read Property horizontalAlign As String

Access

Read only.


HorizontalAlign Property (SparkImage)

Class

SparkImage.

Action

Gets the horizontal alignment of the content when it does not have a one-to-one aspect ratio and scaleMode is set to BitmapScaleMode.LETTERBOX.

Syntax

C#
protected String horizontalAlign { get; }
VB
'Declaration
Protected Read Property horizontalAlign As String

Access

Read only.


HorizontalAxisRatio Property (FlexCartesianChart)

Class

FlexCartesianChart.

Action

Gets the height limit of the horiztonal axis.

The limit is the width of the axis times this ratio. The default value is 0.33.

Syntax

C#
protected Double horizontalAxisRatio { get; }
VB
'Declaration
Protected Read Property horizontalAxisRatio As Double

Access

Read only.


HorizontalGap Property (FlexAccordion)

Class

FlexAccordion.

Action

Gets the number of pixels between children in the horizontal direction. The default value is 8.

Syntax

C#
protected Double horizontalGap { get; }
VB
'Declaration
Protected Read Property horizontalGap As Double

Access

Read only.


HorizontalGap Property (FlexTabNavigator)

Class

FlexTabNavigator.

Action

Gets the separation between tabs, in pixels. The default value is -1, so that the borders of adjacent tabs overlap.

Syntax

C#
protected Double horizontalGap { get; }
VB
'Declaration
Protected Read Property horizontalGap As Double

Access

Read only.


HorizontalGridLineColor Property (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Gets the color of the horizontal grid lines.

Syntax

C#
protected Color horizontalGridLineColor { get; }
VB
'Declaration
Protected Read Property horizontalGridLineColor As Color

Access

Read only.


HorizontalGridLineColor Property (FlexDataGrid)

Class

FlexDataGrid.

Action

Gets the color of the horizontal grid lines.

Syntax

C#
protected Color horizontalGridLineColor { get; }
VB
'Declaration
Protected Read Property horizontalGridLineColor As Color

Access

Read only.


HorizontalGridLines Property (FlexDataGrid)

Class

FlexDataGrid.

Action

Gets whether to show horizontal grid lines between the rows.

If true, the data grid shows horizontal grid lines. If false, the data grid hides horizontal grid lines. The default value is false.

Syntax

C#
protected Boolean horizontalGridLines { get; }
VB
'Declaration
Protected Read Property horizontalGridLines As Boolean

Access

Read only.


HorizontalScrollPolicy Property (FlexTextArea)

Class

FlexTextArea.

Action

Gets whether the horizontal scroll bar is always on (ScrollPolicy.ON), always off (ScrollPolicy.OFF), or turns on when needed (ScrollPolicy.AUTO).

The default value is ScrollPolicy.AUTO.

Syntax

C#
protected String horizontalScrollPolicy { get; }
VB
'Declaration
Protected Read Property horizontalScrollPolicy As String

Access

Read only.


HorizontalScrollPosition Property (SparkGroupBase)

Class

SparkGroupBase.

Action

Gets the x coordinate of the origin of the viewport in the component's coordinate system, where the default value is (0,0) corresponding to the upper-left corner of the component.

Syntax

C#
protected Double horizontalScrollPosition { get; }
VB
'Declaration
Protected Read Property horizontalScrollPosition As Double

Access

Read only.


HorizontalScrollPosition Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets the number of pixels by which the text is scrolled horizontally.

Syntax

C#
protected Double horizontalScrollPosition { get; }
VB
'Declaration
Protected Read Property horizontalScrollPosition As Double

Access

Read only.


HtmlText Property (FlexLabel)

Class

FlexLabel.

Action

Gets the text displayed by the Label control, including HTML markup that expresses the styles of that text.

When you specify HTML text in this property, you can use the subset of HTML tags that is supported by the Flash TextField control.

Syntax

C#
protected String htmlText { get; }
VB
'Declaration
Protected Read Property htmlText As String

Access

Read only.


HtmlText Property (FlexTextArea)

Class

FlexTextArea.

Action

Gets the text displayed by the TextInput control, including HTML markup that expresses the styles of that text.

When you specify HTML text in this property, you can use the subset of HTML tags that is supported by the Flash TextField control.

Syntax

C#
protected String htmlText { get; }
VB
'Declaration
Protected Read Property htmlText As String

Access

Read only.


IconField Property (FlexListBase)

Class

FlexListBase.

Action

Gets the name of the field in the data provider object that determines what to display as the icon.

By default, the list class does not try to display icons with the text in the rows. However, by specifying an icon field, you can specify a graphic that is created and displayed as an icon in the row. This property is ignored by DataGrid.

The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String iconField { get; }
VB
'Declaration
Protected Read Property iconField As String

Access

Read only.


Id Property (FlexObject)

Class

FlexObject.

Action

Gets the ID of the component.

This value becomes the instance name of the object and should not contain any white space or special characters. Each component throughout an application should have a unique id.

Syntax

C#
protected String id { get; }
VB
'Declaration
Protected Read Property id As String

Access

Read only.


Id Property (FlexRepeater)

Class

FlexRepeater.

Action

Gets a string containing the automation identifier (ID) for the element.

Syntax

C#
protected String id { get; }
VB
'Declaration
Protected Read Property id As String

Access

Read only.


Id Property (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Gets the ID of the component.

This value becomes the instance name of the object and should not contain any white space or special characters. Each component throughout an application should have a unique name. Assigning a meaningful name can make scripts more readable. For example, set the value of a button to close_button rather than b1 or button1.

Syntax

C#
protected String id { get; }
VB
'Declaration
Protected Read Property id As String

Access

Read only.


ImeMode Property (SparkNumericStepper)

Class

SparkNumericStepper.

Action

Gets the IME (Input Method Editor) mode.

Syntax

C#
protected String imeMode { get; }
VB
'Declaration
Protected Read Property imeMode As String

Access

Read only.


ImeMode Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets the IME (input method editor) mode.

Syntax

C#
protected String imeMode { get; }
VB
'Declaration
Protected Read Property imeMode As String

Access

Read only.


ImeMode Property (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Gets the IME (input method editor) mode.

Syntax

C#
protected String imeMode { get; }
VB
'Declaration
Protected Read Property imeMode As String

Access

Read only.


Indentation Property (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Gets the indentation for each node of the navigation tree, in pixels. The default value is 17.

Syntax

C#
protected Integer indentation { get; }
VB
'Declaration
Protected Read Property indentation As Integer

Access

Read only.


Indentation Property (FlexTree)

Class

FlexTree.

Action

Gets the indentation for each tree level, in pixels. The default value is 17.

Syntax

C#
protected Double indentation { get; }
VB
'Declaration
Protected Read Property indentation As Double

Access

Read only.


Indeterminate Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets whether the ProgressBar control has a determinate or indeterminate appearance.

Use an indeterminate appearance when the progress status cannot be determined. If true, the appearance is indeterminate. The default value is false.

Syntax

C#
protected Boolean indeterminate { get; }
VB
'Declaration
Protected Read Property indeterminate As Boolean

Access

Read only.


InnerRadius Property (FlexPieChart)

Class

FlexPieChart.

Action

Gets the size of the hole in the center of the pie chart.

This property is a percentage value of the center circle's radius compared to the entire pie's radius. The default value is 0 percent. Use this property to create a doughnut-shaped chart.

Syntax

C#
protected Double innerRadius { get; }
VB
'Declaration
Protected Read Property innerRadius As Double

Access

Read only.


InnerRadius Property (FlexPieSeries)

Class

FlexPieSeries.

Action

Gets a number from 0 to 1 specifying the distance from the center of the series to the inner edge of the rendered wedges, as a percentage of the total radius assigned to the series.

This property is assigned directly to the series.

Syntax

C#
protected Double innerRadius { get; }
VB
'Declaration
Protected Read Property innerRadius As Double

Access

Read only.


Input Method (FlexComboBase)

Class

FlexComboBase.

Action

Creates an Event object that contains information about text events. Event objects are passed as parameters to event listeners.

Syntax

C#
comboBase.Input(text)
VB
comboBase.Input(text)
Variable | Description
text | One or more characters of text entered by the user. Event listeners can access this information through the text property. String.


Input Method (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Creates an Event object that contains information about text events. Event objects are passed as parameters to event listeners.

Syntax

C#
numericStepper.Input(text)
VB
numericStepper.Input(text)
Variable | Description
text | One or more characters of text entered by the user. Event listeners can access this information through the text property. String.


Input Method (FlexTextArea)

Class

FlexTextArea.

Action

Dispatched when the user types, deletes, or pastes text into the control.

Syntax

C#
textArea.Input(text)
VB
textArea.Input(text)
Variable | Description
text | The character or sequence of characters entered by the user. String.


Input Method (SparkComboBox)

Class

SparkComboBox.

Action

Dispatched when the user types, deletes, or pastes text into the control.

Syntax

C#
comboBox.Input(text)
VB
comboBox.Input(text)
Variable | Description
text | The character or sequence of characters entered by the user. String.


Input Method (SparkNumericStepper)

Class

SparkNumericStepper.

Action

Dispatched when the user types, deletes, or pastes text into the control.

Syntax

C#
numericStepper.Input(text)
VB
numericStepper.Input(text)
Variable | Description
text | The character or sequence of characters entered by the user. String.


Input Method (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Dispatched when the user types, deletes, or pastes text into the control.

Syntax

C#
richEditableText.Input(text)
VB
richEditableText.Input(text)
Variable | Description
text | The character or sequence of characters entered by the user. String.


Input Method (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Dispatched when the user types, deletes, or pastes text into the control.

Syntax

C#
skinnableTextBase.Input(text)
VB
skinnableTextBase.Input(text)
Variable | Description
text | The character or sequence of characters entered by the user. String.


InsideLabelSizeLimit Property (FlexPieSeries)

Class

FlexPieSeries.

Action

Gets the font size threshold, in points, below which inside labels are considered illegible.

Below this threshold, Flex either removes labels entirely or renders them as callouts based on the setting of the labelPosition property.

Syntax

C#
protected Double insideLabelSizeLimit { get; }
VB
'Declaration
Protected Read Property insideLabelSizeLimit As Double

Access

Read only.


IsAIRWindow Property (FlexWindow)

Class

FlexWindow.

Action

Gets a value whether this window is an AIR window.

Syntax

C#
protected Boolean isAIRWindow { get; }
VB
'Declaration
Protected Read Property isAIRWindow As Boolean

Access

Read only.


IsAIRWindow Property (SparkWindow)

Class

SparkWindow.

Action

Gets a value whether this window is an AIR window.

Syntax

C#
protected Boolean isAIRWindow { get; }
VB
'Declaration
Protected Read Property isAIRWindow As Boolean

Access

Read only.


IsDropDownOpen Property (SparkDropDownListBase)

Class

SparkDropDownListBase.

Action

Gets a value whether the drop down is open.

Syntax

C#
protected Boolean isDropDownOpen { get; }
VB
'Declaration
Protected Read Property isDropDownOpen As Boolean

Access

Read only.


IsDropDownOpen Property (SparkVolumeBar)

Class

SparkVolumeBar.

Action

Gets a value whether the volumebar is open.

Syntax

C#
protected Boolean isDropDownOpen { get; }
VB
'Declaration
Protected Read Property isDropDownOpen As Boolean

Access

Read only.


IsGroupedItem Method (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Returns a value that specifies whether the item is a member of a group.

Syntax

C#
groupedItem = advancedDataGrid.IsGroupedItem(RowIndex, [RestoreOriginalPosition])
VB
groupedItem = advancedDataGrid.IsGroupedItem(RowIndex, [RestoreOriginalPosition])
Variable | Description
groupedItem | Boolean.
RowIndex | The row index of the selected item. Integer.
RestoreOriginalPosition | Optional: Returns an item of a group to its previous position. Boolean.


IsOpen Property (SparkSkinnablePopUpContainer)

Class

SparkSkinnablePopUpContainer.

Action

Gets whether the container is open.

Syntax

C#
protected Boolean isOpen { get; }
VB
'Declaration
Protected Read Property isOpen As Boolean

Access

Read only.


IsTruncated Property (SparkTextBase)

Class

SparkTextBase.

Action

Gets whether the text has been truncated.

Syntax

C#
protected Boolean isTruncated { get; }
VB
'Declaration
Protected Read Property isTruncated As Boolean

Access

Read only.


LabelField Property (FlexListBase)

Class

FlexListBase.

Action

Gets the name of the field in the data provider items to display as the label.

By default the list looks for a property named label on each item and displays it. However, if the data objects do not contain a label property, you can set the labelField property to use a different property in the data object.

The default value is label.

Syntax

C#
protected String labelField { get; }
VB
'Declaration
Protected Read Property labelField As String

Access

Read only.


LabelField Property (SparkListBase)

Class

SparkListBase.

Action

Gets the name of the field in the data provider items to display as the label.

Syntax

C#
protected String labelField { get; }
VB
'Declaration
Protected Read Property labelField As String

Access

Read only.


LabelGap Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets the gap between the end of the tick marks and the top of the labels, in pixels. The default value is 3.

Syntax

C#
protected Double labelGap { get; }
VB
'Declaration
Protected Read Property labelGap As Double

Access

Read only.


LabelPlacement Property (FlexButton)

Class

FlexButton.

Action

Gets the orientation of the label in relation to a specified icon.

Valid MXML values are: right, left, bottom, and top.

In ActionScript, you can use the following constants to set this property: ButtonLabelPlacement.RIGHT, ButtonLabelPlacement.LEFT, ButtonLabelPlacement.BOTTOM, and ButtonLabelPlacement.TOP.

The default value is ButtonLabelPlacement.RIGHT.

Syntax

C#
protected String labelPlacement { get; }
VB
'Declaration
Protected Read Property labelPlacement As String

Access

Read only.


LabelPlacement Property (FlexChartLegend)

Class

FlexChartLegend.

Action

Gets the label placement of the legend element. Valid values include: top, bottom, right, and left.

Syntax

C#
protected String labelPlacement { get; }
VB
'Declaration
Protected Read Property labelPlacement As String

Access

Read only.


LabelPlacement Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets the placement of the label.

Valid values in MXML are: right, left, bottom, center, and top.

In ActionScript, you can use use the following constants to set this property: ProgressBarLabelPlacement.RIGHT, ProgressBarLabelPlacement.LEFT, ProgressBarLabelPlacement.BOTTOM, ProgressBarLabelPlacement.CENTER, and ProgressBarLabelPlacement.TOP.

The default value is ProgressBarLabelPlacement.BOTTOM.

Syntax

C#
protected String labelPlacement { get; }
VB
'Declaration
Protected Read Property labelPlacement As String

Access

Read only.


LabelPosition Property (FlexPieSeries)

Class

FlexPieSeries.

Action

Gets how to render value labels.

Valid values include:
  • none - Do not draw labels.
  • outside - Draw labels around the boundary of the pie.
  • callout - Draw labels in two vertical stacks on either side of the pie. The pie is shrunk if necessary to make room for the labels (see maxLabelRadius). Draw key lines from each label to the associated wedge. Shrink labels as necessary to fit the space provided.
  • inside - Draw labels inside the chart, centered approximately seven tenths of the way along each wedge. Shrink labels to ensure that they do not interfere with each other. If labels are shrunk below the calloutPointSize property, remove them. When two labels overlap, Flex gives priority to labels for larger slices.
  • insideWithCallout - Draw labels inside the pie, but if labels are shrunk below a legible size, Flex converts them to callouts.

Syntax

C#
protected String labelPosition { get; }
VB
'Declaration
Protected Read Property labelPosition As String

Access

Read only.


Label Property (FlexButton)

Class

FlexButton.

Action

Gets the text to appear on the Button control.

If the label is wider than the Button control, the label is truncated and terminated by an ellipsis (...). The full label displays as a tooltip when the user moves the mouse over the Button control. If you have also set a tooltip by using the tooltip property, the tooltip is displayed rather than the label text.

The default value is "".

Syntax

C#
protected String label { get; }
VB
'Declaration
Protected Read Property label As String

Access

Read only.


Label Property (FlexChartLegend)

Class

FlexChartLegend.

Action

Gets the text that displays next to the legend element.

Syntax

C#
protected String label { get; }
VB
'Declaration
Protected Read Property label As String

Access

Read only.


Label Property (FlexContainer)

Class

FlexContainer.

Action

Gets the text displayed by some navigator containers to represent this Container.

For example, if this Container is a child of a TabNavigator, this string appears in the corresponding tab. If this Container is a child of an Accordion, this string appears in the corresponding header.

The default value is "".

Syntax

C#
protected String label { get; }
VB
'Declaration
Protected Read Property label As String

Access

Read only.


Label Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets the text that accompanies the progress bar.

You can include the following special characters in the text string:
  • %1 = current loaded bytes
  • %2 = total bytes
  • %3 = percent loaded
  • %% = "%" character

If a field is unknown, it is replaced by "??". If undefined, the label is not displayed.

Syntax

C#
protected String label { get; }
VB
'Declaration
Protected Read Property label As String

Access

Read only.


Label Property (SparkButtonBase)

Class

SparkButtonBase.

Action

Gets the text to appear on the ButtonBase control.

Syntax

C#
protected String label { get; }
VB
'Declaration
Protected Read Property label As String

Access

Read only.


Label Property (SparkFormItem)

Class

SparkFormItem.

Action

Gets the text of the form items label.

Syntax

C#
protected String label { get; }
VB
'Declaration
Protected Read Property label As String

Access

Read only.


Label Property (SparkListLabel)

Class

SparkListLabel.

Action

Gets the label of the SparkListLabel.

Syntax

C#
protected String label { get; }
VB
'Declaration
Protected Read Property label As String

Access

Read only.


LabelRotation Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets the label rotation.

If the labels are rendered with device fonts, the labels are always drawn horizontally. If this style is any negative value, the AxisRenderer determines an optimal angle to render the labels in the smallest area without overlapping.

Syntax

C#
protected Double labelRotation { get; }
VB
'Declaration
Protected Read Property labelRotation As Double

Access

Read only.


Labels Property (FlexSlider)

Class

FlexSlider.

Action

Gets an array of strings used for the slider labels.

Flex positions the labels at the beginning of the track, and spaces them evenly between the beginning of the track and the end of the track.

The default value is undefined.

Syntax

C#
protected List(Of String) labels { get; }
VB
'Declaration
Protected Read Property labels As List(Of String)

Access

Read only.


LabelStyleName Property (FlexSlider)

Class

FlexSlider.

Action

Gets the name of the style to use for the slider label. The default value is undefined.

Syntax

C#
protected String labelStyleName { get; }
VB
'Declaration
Protected Read Property labelStyleName As String

Access

Read only.


LabelWidth Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets the width of the label in pixels.

If the value is NaN, the ProgressBar control sets it to the width of the control. The default value is NaN.

Syntax

C#
protected Double labelWidth { get; }
VB
'Declaration
Protected Read Property labelWidth As Double

Access

Read only.


LastVisibleRow Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets the index of the last visible child.

Syntax

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

Access

Read only.


LastVisibleRow Property (FlexChart)

Class

FlexChart.

Action

Gets the index of the last visible child.

Syntax

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

Access

Read only.


LastVisibleRow Property (FlexChartLegend)

Class

FlexChartLegend.

Action

Gets the index of the last visible child.

Syntax

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

Access

Read only.


LastVisibleRow Property (FlexChartSeries)

Class

FlexChartSeries.

Action

Gets the index of the last visible child.

Syntax

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

Access

Read only.


LastVisibleRow Property (FlexComboBox)

Class

FlexComboBox.

Action

Gets the index of the last visible child.

Syntax

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

Access

Read only.


LastVisibleRow Property (FlexContainer)

Class

FlexContainer.

Action

Gets the index of the last visible child.

Syntax

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

Access

Read only.


LastVisibleRow Property (FlexListBase)

Class

FlexListBase.

Action

Gets the index of the last visible child.

Syntax

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

Access

Read only.


LastVisibleRow Property (FlexMenu)

Class

FlexMenu.

Action

Gets the index of the last visible child.

Syntax

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

Access

Read only.


LastVisibleRow Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets the index of the last visible child.

Syntax

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

Access

Read only.


LastVisibleRow Property (FlexRepeater)

Class

FlexRepeater.

Action

Gets the index of the last visible child.

Syntax

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

Access

Read only.


LastVisibleRow Property (SparkGroupBase)

Class

SparkGroupBase.

Action

Gets the index of the last visible child.

Syntax

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

Access

Read only.


LastVisibleRow Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets the index of the last visible child.

Syntax

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

Access

Read only.


LastVisibleRow Property (SparkSkinnableContainerBase)

Class

SparkSkinnableContainerBase.

Action

Gets the index of the last visible child.

Syntax

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

Access

Read only.


LastVisibleRow Property (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Gets the index of the last visible child.

Syntax

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

Access

Read only.


LegendItemClick Method (FlexChartLegend)

Class

FlexChartLegend.

Action

Dispatched when the user clicks on a LegendItem in the Legend control, which indicates that the user clicked the mouse button over a legend item.

Syntax

C#
chartLegend.LegendItemClick(item)
VB
chartLegend.LegendItemClick(item)
Variable | Description
item | The item in the Legend on which this event was triggered. String.


Length Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets the length of the axis, in screen coordinates.

Syntax

C#
protected Double length { get; }
VB
'Declaration
Protected Read Property length As Double

Access

Read only.


Length Property (FlexTextArea)

Class

FlexTextArea.

Action

Gets the number of characters of text displayed in the TextArea.

Syntax

C#
protected Double length { get; }
VB
'Declaration
Protected Read Property length As Double

Access

Read only.


LineScrollSize Property (FlexScrollBar)

Class

FlexScrollBar.

Action

Gets the amount to scroll when an arrow button is pressed, in pixels. The default value is 1.

Syntax

C#
protected Double lineScrollSize { get; }
VB
'Declaration
Protected Read Property lineScrollSize As Double

Access

Read only.


LiveDragging Property (FlexSlider)

Class

FlexSlider.

Action

Gets whether live dragging is enabled for the slider.

If false, Flex sets the value and values properties and dispatches the change event when the user stops dragging the slider thumb. If true, Flex sets the value and values properties and dispatches the change event continuously as the user moves the thumb.

The default value is false.

Syntax

C#
protected Boolean liveDragging { get; }
VB
'Declaration
Protected Read Property liveDragging As Boolean

Access

Read only.


LockedColumnCount Property (FlexListBase)

Class

FlexListBase.

Action

Gets the index of the first column in the control that scrolls.

Syntax

C#
protected Integer lockedColumnCount { get; }
VB
'Declaration
Protected Read Property lockedColumnCount As Integer

Access

Read only.


LockedRowCount Property (FlexListBase)

Class

FlexListBase.

Action

Gets the index of the first row in the control that scrolls.

Syntax

C#
protected Integer lockedRowCount { get; }
VB
'Declaration
Protected Read Property lockedRowCount As Integer

Access

Read only.


Loop Property (SparkVideoDisplay)

Class

SparkVideoDisplay.

Action

Gets whether the media should play again after playback has completed.

Syntax

C#
protected Boolean loop { get; }
VB
'Declaration
Protected Read Property loop As Boolean

Access

Read only.


LuminosityClip Property (SparkGroupBase)

Class

SparkGroupBase.

Action

Gets a value whether the luminosity mask clips the masked content.

Syntax

C#
protected Boolean luminosityClip { get; }
VB
'Declaration
Protected Read Property luminosityClip As Boolean

Access

Read only.


LuminosityClip Property (SparkRichText)

Class

SparkRichText.

Action

Gets whether the luminosity mask clips the masked content.

Syntax

C#
protected Boolean luminosityClip { get; }
VB
'Declaration
Protected Read Property luminosityClip As Boolean

Access

Read only.


LuminosityInvert Property (SparkGroupBase)

Class

SparkGroupBase.

Action

Gets a value that controls the calculation of the RGB color value of a graphic element being masked by a luminosity mask.

Syntax

C#
protected Boolean luminosityInvert { get; }
VB
'Declaration
Protected Read Property luminosityInvert As Boolean

Access

Read only.


LuminosityInvert Property (SparkRichText)

Class

SparkRichText.

Action

Gets whether the calculation of the RGB color value of a graphic element is masked by a luminosity mask.

Syntax

C#
protected Boolean luminosityInvert { get; }
VB
'Declaration
Protected Read Property luminosityInvert As Boolean

Access

Read only.


MarkerAspectRatio Property (FlexChartLegend)

Class

FlexChartLegend.

Action

Gets the aspect ratio for the marker associated with this legend item.

Some markers provided by chart series are intended for display at a particular aspect ratio. If this property is set, the legend item guarantees the aspect ratio of the marker during layout.

Syntax

C#
protected Double markerAspectRatio { get; }
VB
'Declaration
Protected Read Property markerAspectRatio As Double

Access

Read only.


MarkerHeight Property (FlexChartLegend)

Class

FlexChartLegend.

Action

Gets the height of the legend element.

Syntax

C#
protected Integer markerHeight { get; }
VB
'Declaration
Protected Read Property markerHeight As Integer

Access

Read only.


MarkerWidth Property (FlexChartLegend)

Class

FlexChartLegend.

Action

Gets the width of the legend element.

Syntax

C#
protected Integer markerWidth { get; }
VB
'Declaration
Protected Read Property markerWidth As Integer

Access

Read only.


MaskType Property (SparkGroupBase)

Class

SparkGroupBase.

Action

Gets the mask type.

Syntax

C#
protected String maskType { get; }
VB
'Declaration
Protected Read Property maskType As String

Access

Read only.


MaskType Property (SparkRichText)

Class

SparkRichText.

Action

Gets how the mask is applied to the component. The possible values are MaskType.CLIP, MaskType.ALPHA and MaskType.LUMINOSITY. Clip Masking When masking in clip mode, a clipping masks is reduced to 1-bit.

Syntax

C#
protected String maskType { get; }
VB
'Declaration
Protected Read Property maskType As String

Access

Read only.


MaxBarWidth Property (FlexBarChart)

Class

FlexBarChart.

Action

Gets how wide to draw the bars, in pixels.

The actual bar width used is the smaller of this property and the barWidthRatio property. Clustered bars divide this space proportionally among the bars in each cluster.

Syntax

C#
protected Double maxBarWidth { get; }
VB
'Declaration
Protected Read Property maxBarWidth As Double

Access

Read only.


MaxBarWidth Property (FlexBarSeries)

Class

FlexBarSeries.

Action

Gets the width of the bars, in pixels.

The actual bar width used is the smaller of this style and the barWidthRatio property. Clustered bars divide this space proportionally among the bars in each cluster.

Syntax

C#
protected Double maxBarWidth { get; }
VB
'Declaration
Protected Read Property maxBarWidth As Double

Access

Read only.


MaxChars Property (FlexTextArea)

Class

FlexTextArea.

Action

Gets the maximum number of characters that users can enter in the text field.

Syntax

C#
protected Integer maxChars { get; }
VB
'Declaration
Protected Read Property maxChars As Integer

Access

Read only.


MaxChars Property (SparkComboBox)

Class

SparkComboBox.

Action

Gets the maximum number of characters that the prompt area can contain, as entered by a user.

Syntax

C#
protected Integer maxChars { get; }
VB
'Declaration
Protected Read Property maxChars As Integer

Access

Read only.


MaxChars Property (SparkNumericStepper)

Class

SparkNumericStepper.

Action

Gets the maximum number of characters that can be entered in the field.

Syntax

C#
protected Integer maxChars { get; }
VB
'Declaration
Protected Read Property maxChars As Integer

Access

Read only.


MaxChars Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets the maximum number of characters that the text field can contain, as entered by a user.

Syntax

C#
protected Integer maxChars { get; }
VB
'Declaration
Protected Read Property maxChars As Integer

Access

Read only.


MaxChars Property (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Gets the maximum number of characters that the text field can contain, as entered by a user.

Syntax

C#
protected Integer maxChars { get; }
VB
'Declaration
Protected Read Property maxChars As Integer

Access

Read only.


MaxColumnWidth Property (FlexCandlestickChart)

Class

FlexCandlestickChart.

Action

Gets how wide to draw the candlesticks, in pixels.

The actual column width used is the smaller of this property and the columnWidthRatio property. Multiple candlestick series divide this space proportionally.

Syntax

C#
protected Double maxColumnWidth { get; }
VB
'Declaration
Protected Read Property maxColumnWidth As Double

Access

Read only.


MaxColumnWidth Property (FlexColumnChart)

Class

FlexColumnChart.

Action

Gets how wide to draw the columns, in pixels.

The actual column width used is the smaller of this property and the columnWidthRatio property. Clustered columns divide this space proportionally among the columns in each cluster.

Syntax

C#
protected Double maxColumnWidth { get; }
VB
'Declaration
Protected Read Property maxColumnWidth As Double

Access

Read only.


MaxColumnWidth Property (FlexColumnSeries)

Class

FlexColumnSeries.

Action

Gets the width of the columns, in pixels.

The actual column width used is the smaller of this style and the columnWidthRatio property. Clustered columns divide this space proportionally among the columns in each cluster.

Syntax

C#
protected Double maxColumnWidth { get; }
VB
'Declaration
Protected Read Property maxColumnWidth As Double

Access

Read only.


MaxColumnWidth Property (FlexHLOCChart)

Class

FlexHLOCChart.

Action

Gets how wide to draw the HLOC lines, in pixels.

The actual width used is the smaller of this property and the columnWidthRatio property. Multiple HLOC series divide this space proportionally.

Syntax

C#
protected Double maxColumnWidth { get; }
VB
'Declaration
Protected Read Property maxColumnWidth As Double

Access

Read only.


MaxColumnWidth Property (FlexHLOCSeriesBase)

Class

FlexHLOCSeriesBase.

Action

Gets the width of the elements, in pixels.

The actual element width used is the smaller of this style and the columnWidthRatio property. You typically do not set this value directly; it is assigned by the enclosing chart.

Syntax

C#
protected Double maxColumnWidth { get; }
VB
'Declaration
Protected Read Property maxColumnWidth As Double

Access

Read only.


MaxDisplayedLines Property (SparkTextBase)

Class

SparkTextBase.

Action

Gets an integer which determines whether, and where, the text gets truncated.

Syntax

C#
protected Integer maxDisplayedLines { get; }
VB
'Declaration
Protected Read Property maxDisplayedLines As Integer

Access

Read only.


MaxHeight Property (FlexWindow)

Class

FlexWindow.

Action

Gets the maximum recommended height of the component to be considered by the parent during layout.

Syntax

C#
protected Double maxHeight { get; }
VB
'Declaration
Protected Read Property maxHeight As Double

Access

Read only.


MaxHeight Property (FlexWindowedApplication)

Class

FlexWindowedApplication.

Action

Gets the maximum recommended height of the component to be considered by the parent during layout.

Syntax

C#
protected Double maxHeight { get; }
VB
'Declaration
Protected Read Property maxHeight As Double

Access

Read only.


MaxHeight Property (SparkWindow)

Class

SparkWindow.

Action

Gets the maximum recommended height of the component to be considered by the parent during layout.

Syntax

C#
protected Double maxHeight { get; }
VB
'Declaration
Protected Read Property maxHeight As Double

Access

Read only.


MaxHeight Property (SparkWindowedApplication)

Class

SparkWindowedApplication.

Action

Gets the maximum recommended height of the component to be considered by the parent during layout.

Syntax

C#
protected Double maxHeight { get; }
VB
'Declaration
Protected Read Property maxHeight As Double

Access

Read only.


Maximizable Property (FlexWindow)

Class

FlexWindow.

Action

Gets a value whether the window can be maximized.

Syntax

C#
protected Boolean maximizable { get; }
VB
'Declaration
Protected Read Property maximizable As Boolean

Access

Read only.


Maximizable Property (FlexWindowedApplication)

Class

FlexWindowedApplication.

Action

Gets a value whether the window can be maximized.

Syntax

C#
protected Boolean maximizable { get; }
VB
'Declaration
Protected Read Property maximizable As Boolean

Access

Read only.


Maximizable Property (SparkWindow)

Class

SparkWindow.

Action

Gets a value whether the window can be maximized.

Syntax

C#
protected Boolean maximizable { get; }
VB
'Declaration
Protected Read Property maximizable As Boolean

Access

Read only.


Maximizable Property (SparkWindowedApplication)

Class

SparkWindowedApplication.

Action

Gets a value whether the window can be maximized.

Syntax

C#
protected Boolean maximizable { get; }
VB
'Declaration
Protected Read Property maximizable As Boolean

Access

Read only.


MaximumDataTipCount Property (FlexChart)

Class

FlexChart.

Action

Gets the maximum number of datatips a chart will show.

If more datapoints are in range of the chart than allowed by this style, they will be prioritized by distance, with the closest showing first. The default value is NaN, which shows whatever datatips are within range.

Syntax

C#
protected Integer maximumDataTipCount { get; }
VB
'Declaration
Protected Read Property maximumDataTipCount As Integer

Access

Read only.


Maximum Property (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Gets the maximum value of the NumericStepper.

The maximum can be any number, including a fractional value. The default value is 10.

Syntax

C#
protected Double maximum { get; }
VB
'Declaration
Protected Read Property maximum As Double

Access

Read only.


Maximum Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets the largest progress value for the ProgressBar. You can only use this property in manual mode.

The default value is 0.

Syntax

C#
protected Double maximum { get; }
VB
'Declaration
Protected Read Property maximum As Double

Access

Read only.


Maximum Property (FlexSlider)

Class

FlexSlider.

Action

Gets the maximum allowed value on the slider. The default value is 10.

Syntax

C#
protected Double maximum { get; }
VB
'Declaration
Protected Read Property maximum As Double

Access

Read only.


Maximum Property (SparkRange)

Class

SparkRange.

Action

Gets the maximum valid value.

Syntax

C#
protected Double maximum { get; }
VB
'Declaration
Protected Read Property maximum As Double

Access

Read only.


MaxLabelRadius Property (FlexPieSeries)

Class

FlexPieSeries.

Action

Gets the maximum amount of the PieSeries's radius that can be allocated to labels.

This value is only applicable when the series is rendering callout labels.

Syntax

C#
protected Double maxLabelRadius { get; }
VB
'Declaration
Protected Read Property maxLabelRadius As Double

Access

Read only.


MaxRadius Property (FlexBubbleSeries)

Class

FlexBubbleSeries.

Action

Gets the radius of the largest item renderered in this series.

When you use a BubbleSeries object in a BubbleChart, the chart automatically assigns its maxRadius style value to this property on all series in the chart. When you use BubbleSeries objects in CartesianChart controls, you manage this property manually.

Syntax

C#
protected Double maxRadius { get; }
VB
'Declaration
Protected Read Property maxRadius As Double

Access

Read only.


MaxWidth Property (FlexWindow)

Class

FlexWindow.

Action

Gets the maximum recommended width of the component to be considered by the parent during layout.

Syntax

C#
protected Double maxWidth { get; }
VB
'Declaration
Protected Read Property maxWidth As Double

Access

Read only.


MaxWidth Property (FlexWindowedApplication)

Class

FlexWindowedApplication.

Action

Gets the maximum recommended width of the component to be considered by the parent during layout.

Syntax

C#
protected Double maxWidth { get; }
VB
'Declaration
Protected Read Property maxWidth As Double

Access

Read only.


MaxWidth Property (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Gets the maximum recommended width of the component to be considered by the parent during layout.

Syntax

C#
protected Double maxWidth { get; }
VB
'Declaration
Protected Read Property maxWidth As Double

Access

Read only.


MaxWidth Property (SparkWindow)

Class

SparkWindow.

Action

Gets the maximum recommended width of the component to be considered by the parent during layout.

Syntax

C#
protected Double maxWidth { get; }
VB
'Declaration
Protected Read Property maxWidth As Double

Access

Read only.


MaxWidth Property (SparkWindowedApplication)

Class

SparkWindowedApplication.

Action

Gets the maximum recommended width of the component to be considered by the parent during layout.

Syntax

C#
protected Double maxWidth { get; }
VB
'Declaration
Protected Read Property maxWidth As Double

Access

Read only.


MaxYear Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets the last year selectable in the control.

Syntax

C#
protected Integer maxYear { get; }
VB
'Declaration
Protected Read Property maxYear As Integer

Access

Read only.


MaxYear Property (FlexDateField)

Class

FlexDateField.

Action

Gets the last year selectable in the control.

Syntax

C#
protected Integer maxYear { get; }
VB
'Declaration
Protected Read Property maxYear As Integer

Access

Read only.


MediaPlayerState Property (SparkVideoDisplay)

Class

SparkVideoDisplay.

Action

Gets the current state of the video.

Syntax

C#
protected String mediaPlayerState { get; }
VB
'Declaration
Protected Read Property mediaPlayerState As String

Access

Read only.


MinColumnWidth Property (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Gets the minimum width of the columns, in pixels.

Syntax

C#
protected Double minColumnWidth { get; }
VB
'Declaration
Protected Read Property minColumnWidth As Double

Access

Read only.


MinColumnWidth Property (FlexDataGrid)

Class

FlexDataGrid.

Action

Gets the minimum width of the columns, in pixels. If not NaN, the DataGrid control applies this value as the minimum width for all columns. Otherwise, individual columns can have their own minimum widths. The default value is NaN.

Syntax

C#
protected Double minColumnWidth { get; }
VB
'Declaration
Protected Read Property minColumnWidth As Double

Access

Read only.


MinField Property (FlexAreaSeries)

Class

FlexAreaSeries.

Action

Gets the field of the dataProvider that determines the bottom boundary of the area.

If null (Nothing in Visual Basic), the area is based at the range minimum (or maximum, if the field value is negative). The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String minField { get; }
VB
'Declaration
Protected Read Property minField As String

Access

Read only.


MinField Property (FlexBarSeries)

Class

FlexBarSeries.

Action

Gets the field of the data provider that determines the bottom of each bar.

If null (Nothing in Visual Basic), the columns are based at the range minimum (or maximum, if the field value is negative). The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String minField { get; }
VB
'Declaration
Protected Read Property minField As String

Access

Read only.


MinField Property (FlexColumnSeries)

Class

FlexColumnSeries.

Action

Gets the field of the data provider that determines the y-axis location of the bottom of a column.

If null (Nothing in Visual Basic), the columns are based at the range minimum (or maximum, if the field value is negative). The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String minField { get; }
VB
'Declaration
Protected Read Property minField As String

Access

Read only.


MinHeight Property (FlexWindow)

Class

FlexWindow.

Action

Gets the minimum recommended height of the component to be considered by the parent during layout.

Syntax

C#
protected Double minHeight { get; }
VB
'Declaration
Protected Read Property minHeight As Double

Access

Read only.


MinHeight Property (FlexWindowedApplication)

Class

FlexWindowedApplication.

Action

Gets the minimum recommended height of the component to be considered by the parent during layout.

Syntax

C#
protected Double minHeight { get; }
VB
'Declaration
Protected Read Property minHeight As Double

Access

Read only.


MinHeight Property (SparkWindow)

Class

SparkWindow.

Action

Gets the minimum recommended height of the component to be considered by the parent during layout.

Syntax

C#
protected Double minHeight { get; }
VB
'Declaration
Protected Read Property minHeight As Double

Access

Read only.


MinHeight Property (SparkWindowedApplication)

Class

SparkWindowedApplication.

Action

Gets the minimum recommended height of the component to be considered by the parent during layout.

Syntax

C#
protected Double minHeight { get; }
VB
'Declaration
Protected Read Property minHeight As Double

Access

Read only.


Minimizable Property (FlexWindow)

Class

FlexWindow.

Action

Gets a value whether the window can be minimized.

Syntax

C#
protected Boolean minimizable { get; }
VB
'Declaration
Protected Read Property minimizable As Boolean

Access

Read only.


Minimizable Property (FlexWindowedApplication)

Class

FlexWindowedApplication.

Action

Gets a value whether the window can be minimized.

Syntax

C#
protected Boolean minimizable { get; }
VB
'Declaration
Protected Read Property minimizable As Boolean

Access

Read only.


Minimizable Property (SparkWindow)

Class

SparkWindow.

Action

Gets a value whether the window can be minimized.

Syntax

C#
protected Boolean minimizable { get; }
VB
'Declaration
Protected Read Property minimizable As Boolean

Access

Read only.


Minimizable Property (SparkWindowedApplication)

Class

SparkWindowedApplication.

Action

Gets a value whether the window can be minimized.

Syntax

C#
protected Boolean minimizable { get; }
VB
'Declaration
Protected Read Property minimizable As Boolean

Access

Read only.


Minimum Property (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Gets the minimum value of the NumericStepper.

The minimum can be any number, including a fractional value. The default value is 0.

Syntax

C#
protected Double minimum { get; }
VB
'Declaration
Protected Read Property minimum As Double

Access

Read only.


Minimum Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets the smallest progress value for the ProgressBar. This property is set by the developer only in manual mode.

The default value is 0.

Syntax

C#
protected Double minimum { get; }
VB
'Declaration
Protected Read Property minimum As Double

Access

Read only.


Minimum Property (FlexSlider)

Class

FlexSlider.

Action

Gets the minimum allowed value on the slider control. The default value is 0.

Syntax

C#
protected Double minimum { get; }
VB
'Declaration
Protected Read Property minimum As Double

Access

Read only.


Minimum Property (SparkRange)

Class

SparkRange.

Action

Gets the minimum valid value.

Syntax

C#
protected Double minimum { get; }
VB
'Declaration
Protected Read Property minimum As Double

Access

Read only.


MinorTickLength Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets the length of the minor tick marks on the axis, in pixels. The default value is 0.

Syntax

C#
protected Double minorTickLength { get; }
VB
'Declaration
Protected Read Property minorTickLength As Double

Access

Read only.


MinorTickPlacement Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets a value where to draw the minor tick marks. Values include: inside, outside, cross, and none.

Syntax

C#
protected String minorTickPlacement { get; }
VB
'Declaration
Protected Read Property minorTickPlacement As String

Access

Read only.


MinorTicks Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets an array that specifies where Flex draws the minor tick marks along the axis. Each array element contains a value between 0 and 1.

Syntax

C#
protected List(Of Double) minorTicks { get; }
VB
'Declaration
Protected Read Property minorTicks As List(Of Double)

Access

Read only.


MinWidth Property (FlexWindow)

Class

FlexWindow.

Action

Gets the minimum recommended width of the component to be considered by the parent during layout.

Syntax

C#
protected Double minWidth { get; }
VB
'Declaration
Protected Read Property minWidth As Double

Access

Read only.


MinWidth Property (FlexWindowedApplication)

Class

FlexWindowedApplication.

Action

Gets the minimum recommended width of the component to be considered by the parent during layout.

Syntax

C#
protected Double minWidth { get; }
VB
'Declaration
Protected Read Property minWidth As Double

Access

Read only.


MinWidth Property (SparkWindow)

Class

SparkWindow.

Action

Gets the minimum recommended width of the component to be considered by the parent during layout.

Syntax

C#
protected Double minWidth { get; }
VB
'Declaration
Protected Read Property minWidth As Double

Access

Read only.


MinWidth Property (SparkWindowedApplication)

Class

SparkWindowedApplication.

Action

Gets the minimum recommended width of the component to be considered by the parent during layout.

Syntax

C#
protected Double minWidth { get; }
VB
'Declaration
Protected Read Property minWidth As Double

Access

Read only.


MinYear Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets the first year selectable in the control.

Syntax

C#
protected Integer minYear { get; }
VB
'Declaration
Protected Read Property minYear As Integer

Access

Read only.


MinYear Property (FlexDateField)

Class

FlexDateField.

Action

Gets the first year selectable in the control.

Syntax

C#
protected Integer minYear { get; }
VB
'Declaration
Protected Read Property minYear As Integer

Access

Read only.


MouseEnabled Property (FlexDisplayObject)

Class

FlexDisplayObject.

Action

Gets whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren.

No event is dispatched by setting this property. You must use the addEventListener method to create interactive functionality.

Syntax

C#
protected Boolean mouseEnabled { get; }
VB
'Declaration
Protected Read Property mouseEnabled As Boolean

Access

Read only.


MouseEnabledWhereTransparent Property (SparkGroupBase)

Class

SparkGroupBase.

Action

Gets a value whether the entire bounds of the Group respond to mouse events such as click and roll over.

Syntax

C#
protected Boolean mouseEnabledWhereTransparent { get; }
VB
'Declaration
Protected Read Property mouseEnabledWhereTransparent As Boolean

Access

Read only.


MouseScroll Method (FlexContainer)

Class

FlexContainer.

Action

Dispatched when a mouse wheel is spun over an InteractiveObject instance.

If the target is a text field, the text scrolls as the default behavior. Only available on Microsoft Windows operating systems.

Defines the value of the type property of a mouseWheel event object.

Syntax

C#
container.MouseScroll([delta])
VB
container.MouseScroll([delta])
Variable | Description
delta | Optional: The number of lines that each notch on the mouse wheel represents. Integer.


MouseScroll Method (FlexScrollBase)

Class

FlexScrollBase.

Action

Dispatched when a mouse wheel is spun over an InteractiveObject instance.

If the target is a text field, the text scrolls as the default behavior. Only available on Microsoft Windows operating systems.

Defines the value of the type property of a mouseWheel event object.

Syntax

C#
scrollBase.MouseScroll([delta])
VB
scrollBase.MouseScroll([delta])
Variable | Description
delta | Optional: The number of lines that each notch on the mouse wheel represents. Integer.


MouseScroll Method (SparkGroupBase)

Class

SparkGroupBase.

Action

Dispatched when the mouse is used to move the scroll bars on this container.

Syntax

C#
groupBase.MouseScroll([delta])
VB
groupBase.MouseScroll([delta])
Variable | Description
delta | Optional: The amount to scroll. Integer.


MouseScroll Method (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Dispatched when the mouse is used to move the scroll bars on this container.

Syntax

C#
richEditableText.MouseScroll([delta])
VB
richEditableText.MouseScroll([delta])
Variable | Description
delta | Optional: The amount to scroll. Integer.


MouseScroll Method (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Dispatched when the mouse is used to move the scroll bars on this container.

Syntax

C#
skinnableTextBase.MouseScroll([delta])
VB
skinnableTextBase.MouseScroll([delta])
Variable | Description
delta | Optional: The amount to scroll. Integer.


MouseSensitivity Property (FlexChart)

Class

FlexChart.

Action

Gets the distance, in pixels, that Flex considers a data point to be under the mouse pointer when the pointer moves around a chart.

Flex considers any data point less than mouseSensitivity pixels away to be under the mouse pointer. This value is also used by the findDataPoints method. The default value is 5.

Syntax

C#
protected Integer mouseSensitivity { get; }
VB
'Declaration
Protected Read Property mouseSensitivity As Integer

Access

Read only.


Move Method (FlexObject)

Class

FlexObject.

Action

Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties.

Syntax

C#
object.Move([x, y])
VB
object.Move([x, y])
Variable | Description
x | Optional: Left position of the component within its parent. Integer.
y | Optional: Top position of the component within its parent. Integer.


Multiline Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets whether the user can enter multiline text.

Syntax

C#
protected Boolean multiline { get; }
VB
'Declaration
Protected Read Property multiline As Boolean

Access

Read only.


MultiSelect Method (FlexListBase)

Class

FlexListBase.

Action

Defines the value of the type property of the event object for an event that is dispatched when an item is selected as part of an action that selects multiple items.

Syntax

C#
listBase.MultiSelect(itemRenderer, [triggerEvent, keyModifier])
VB
listBase.MultiSelect(itemRenderer, [triggerEvent, keyModifier])
Variable | Description
itemRenderer | The item renderer object for the item. String.
triggerEvent | Optional: The event, such as a mouse or keyboard event, that triggered the action. FlexTriggerEvent.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use when clicking the controls. ModifierKeys.


MuteChange Method (SparkMuteButton)

Class

SparkMuteButton.

Action

Toggles the muting of the control.

Syntax

C#
muteButton.MuteChange()
VB
muteButton.MuteChange()


MuteChange Method (SparkVolumeBar)

Class

SparkVolumeBar.

Action

Dispatched when the mute status changes as a result of user interaction.

Syntax

C#
volumeBar.MuteChange()
VB
volumeBar.MuteChange()


Muted Property (SparkMuteButton)

Class

SparkMuteButton.

Action

Gets a value whether the control is muted.

Syntax

C#
protected Boolean muted { get; }
VB
'Declaration
Protected Read Property muted As Boolean

Access

Read only.


Muted Property (SparkVideoDisplay)

Class

SparkVideoDisplay.

Action

Gets whether the video is muted.

Syntax

C#
protected Boolean muted { get; }
VB
'Declaration
Protected Read Property muted As Boolean

Access

Read only.


Muted Property (SparkVideoPlayer)

Class

SparkVideoPlayer.

Action

Gets a value whether the control is muted.

Syntax

C#
protected Boolean muted { get; }
VB
'Declaration
Protected Read Property muted As Boolean

Access

Read only.


Muted Property (SparkVolumeBar)

Class

SparkVolumeBar.

Action

Gets a value whether the control is muted.

Syntax

C#
protected Boolean muted { get; }
VB
'Declaration
Protected Read Property muted As Boolean

Access

Read only.


NameField Property (FlexPieSeries)

Class

FlexPieSeries.

Action

Gets the field of the data provider that determines the name of each wedge of the PieChart control. The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String nameField { get; }
VB
'Declaration
Protected Read Property nameField As String

Access

Read only.


NextValue Property (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Gets the value that is one step larger than the current value property and not greater than the maximum property value.

Syntax

C#
protected Double nextValue { get; }
VB
'Declaration
Protected Read Property nextValue As Double

Access

Read only.


NumAutomationChildren Property (FlexObject)

Class

FlexObject.

Action

Gets the number of automation children this container has.

This sum should not include any composite children, though it does include those children not significant within the automation hierarchy.

Syntax

C#
protected Integer numAutomationChildren { get; }
VB
'Declaration
Protected Read Property numAutomationChildren As Integer

Access

Read only.


NumAutomationChildren Property (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Gets the number of automation children this container has.

Syntax

C#
protected Integer numAutomationChildren { get; }
VB
'Declaration
Protected Read Property numAutomationChildren As Integer

Access

Read only.


NumChildren Property (FlexContainer)

Class

FlexContainer.

Action

Gets the number of child components in this container.

Syntax

C#
protected Integer numChildren { get; }
VB
'Declaration
Protected Read Property numChildren As Integer

Access

Read only.


NumChildren Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets the number of children of this object.

Syntax

C#
protected Integer numChildren { get; }
VB
'Declaration
Protected Read Property numChildren As Integer

Access

Read only.


NumColumns Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets the total number of columns in the data available.

Syntax

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

Access

Read only.


NumColumns Property (FlexChart)

Class

FlexChart.

Action

Gets the total number of columns in the data available.

Syntax

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

Access

Read only.


NumColumns Property (FlexChartLegend)

Class

FlexChartLegend.

Action

Gets the total number of columns in the data available.

Syntax

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

Access

Read only.


NumColumns Property (FlexChartSeries)

Class

FlexChartSeries.

Action

Gets the total number of columns in the data available.

Syntax

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

Access

Read only.


NumColumns Property (FlexComboBox)

Class

FlexComboBox.

Action

Gets the total number of columns in the data available.

Syntax

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

Access

Read only.


NumColumns Property (FlexContainer)

Class

FlexContainer.

Action

Gets the total number of columns of data available.

Syntax

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

Access

Read only.


NumColumns Property (FlexListBase)

Class

FlexListBase.

Action

Gets the total number of columns in the data available.

Syntax

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

Access

Read only.


NumColumns Property (FlexMenu)

Class

FlexMenu.

Action

Gets the total number of columns in the data available.

Syntax

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

Access

Read only.


NumColumns Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets the total number of columns in the data available.

Syntax

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

Access

Read only.


NumColumns Property (FlexRepeater)

Class

FlexRepeater.

Action

Gets the total number of columns in the data available.

Syntax

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

Access

Read only.


NumColumns Property (SparkGroupBase)

Class

SparkGroupBase.

Action

Gets the total number of columns in the data available.

Syntax

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

Access

Read only.


NumColumns Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets the total number of columns in the data available.

Syntax

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

Access

Read only.


NumColumns Property (SparkSkinnableContainerBase)

Class

SparkSkinnableContainerBase.

Action

Gets the total number of columns in the data available.

Syntax

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

Access

Read only.


NumColumns Property (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Gets the total number of columns in the data available.

Syntax

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

Access

Read only.


NumElements Property (SparkGroupBase)

Class

SparkGroupBase.

Action

Gets the number of visual elements in this container.

Syntax

C#
protected Integer numElements { get; }
VB
'Declaration
Protected Read Property numElements As Integer

Access

Read only.


NumElements Property (SparkSkinnableContainer)

Class

SparkSkinnableContainer.

Action

Gets the number of visual elements in this container.

Syntax

C#
protected Integer numElements { get; }
VB
'Declaration
Protected Read Property numElements As Integer

Access

Read only.


NumRows Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets the total number of rows of data available.

Syntax

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

Access

Read only.


NumRows Property (FlexChart)

Class

FlexChart.

Action

Gets the total number of rows of data available.

Syntax

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

Access

Read only.


NumRows Property (FlexChartLegend)

Class

FlexChartLegend.

Action

Gets the total number of rows of data available.

Syntax

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

Access

Read only.


NumRows Property (FlexChartSeries)

Class

FlexChartSeries.

Action

Gets the total number of rows of data available.

Syntax

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

Access

Read only.


NumRows Property (FlexComboBox)

Class

FlexComboBox.

Action

Gets the total number of rows of data available.

Syntax

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

Access

Read only.


NumRows Property (FlexContainer)

Class

FlexContainer.

Action

Gets the total number of rows of data available.

Syntax

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

Access

Read only.


NumRows Property (FlexListBase)

Class

FlexListBase.

Action

Gets the total number of rows of data available.

Syntax

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

Access

Read only.


NumRows Property (FlexMenu)

Class

FlexMenu.

Action

Gets the total number of rows of data available.

Syntax

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

Access

Read only.


NumRows Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets the total number of rows of data available.

Syntax

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

Access

Read only.


NumRows Property (FlexRepeater)

Class

FlexRepeater.

Action

Gets the total number of rows of data available.

Syntax

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

Access

Read only.


NumRows Property (SparkGroupBase)

Class

SparkGroupBase.

Action

Gets the total number of rows of data available.

Syntax

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

Access

Read only.


NumRows Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets the total number of rows of data available.

Syntax

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

Access

Read only.


NumRows Property (SparkSkinnableContainerBase)

Class

SparkSkinnableContainerBase.

Action

Gets the total number of rows of data available.

Syntax

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

Access

Read only.


NumRows Property (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Gets the total number of rows of data available.

Syntax

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

Access

Read only.


Offset Property (FlexBarSeries)

Class

FlexBarSeries.

Action

Gets the amount to offset the center of the bars from the center of the available space, relative to the category width.

The range of values is a percentage in the range -100 to 100. Set to 0 to center the bars in the space. Set to -50 to center the column at the beginning of the available space. You typically do not set this property directly.

The default value is 0.

Syntax

C#
protected Double offset { get; }
VB
'Declaration
Protected Read Property offset As Double

Access

Read only.


Offset Property (FlexColumnSeries)

Class

FlexColumnSeries.

Action

Gets how far to offset the center of the columns from the center of the available space, relative to the category width.

At the value of default 0, the columns are centered on the space. Set to -50 to center the column at the beginning of the available space. You typically do not set this property directly. The ColumnChart control manages this value based on its columnWidthRatio property.

Syntax

C#
protected Double offset { get; }
VB
'Declaration
Protected Read Property offset As Double

Access

Read only.


OpenDuration Property (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Gets the length of an open or close transition for the navigation tree, in milliseconds. The default value is 250.

Syntax

C#
protected Integer openDuration { get; }
VB
'Declaration
Protected Read Property openDuration As Integer

Access

Read only.


Open Method (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Opens or expands an AdvancedDataGrid branch.

Syntax

C#
advancedDataGrid.Open(itemRenderer, [triggerEvent])
VB
advancedDataGrid.Open(itemRenderer, [triggerEvent])
Variable | Description
itemRenderer | The ListItemRenderer for the item (node) that opened. String.
triggerEvent | Optional: If the item (node) opened in response to a user action, identifies it as a keyboard action or a mouse action. FlexTriggerEvent.


Open Method (FlexComboBase)

Class

FlexComboBase.

Action

Defines the value of the type property of the event object for a open event.

Syntax

C#
comboBase.Open([triggerEvent])
VB
comboBase.Open([triggerEvent])
Variable | Description
triggerEvent | Optional: A value indicating the type of input action that triggered the event. FlexTriggerEvent.


Open Method (FlexPopUpButton)

Class

FlexPopUpButton.

Action

Dispatched when the specified UIComponent opens.

The DropdownEvent.OPEN constant defines the value of the type property of the event object for a open event.

Syntax

C#
popUpButton.Open([triggerEvent])
VB
popUpButton.Open([triggerEvent])
Variable | Description
triggerEvent | Optional: A value indicating the type of input action that triggered the event. FlexTriggerEvent.


Open Method (FlexTree)

Class

FlexTree.

Action

Opens or expands a tree branch.

Syntax

C#
tree.Open(itemRenderer, [triggerEvent])
VB
tree.Open(itemRenderer, [triggerEvent])
Variable | Description
itemRenderer | The ListItemRenderer for the item (node) that opened. String.
triggerEvent | Optional: If the item (node) opened in response to a user action, identifies it as a keyboard action or a mouse action. FlexTriggerEvent.


Open Method (SparkDropDownListBase)

Class

SparkDropDownListBase.

Action

Dispatched when the user clicks the drop-down button to display the drop-down list.

Syntax

C#
dropDownListBase.Open([triggerEvent])
VB
dropDownListBase.Open([triggerEvent])
Variable | Description
triggerEvent | Optional: Whether the event was triggered by mouse or keyboard. FlexTriggerEvent.


Open Method (SparkVolumeBar)

Class

SparkVolumeBar.

Action

Dispatched when the user clicks the drop-down button to display the drop-down list.

Syntax

C#
volumeBar.Open([triggerEvent])
VB
volumeBar.Open([triggerEvent])
Variable | Description
triggerEvent | Optional: Whether the event was triggered by mouse or keyboard. FlexTriggerEvent.


OuterRadius Property (FlexPieSeries)

Class

FlexPieSeries.

Action

Gets the percentage of the total space available to the PieSeries to use when rendering the contents of the series.

This value is managed by the containing chart, and should not be assigned to directly. This value ranges from 0 to 1.

Syntax

C#
protected Double outerRadius { get; }
VB
'Declaration
Protected Read Property outerRadius As Double

Access

Read only.


PaddingBottom Property (FlexAccordion)

Class

FlexAccordion.

Action

Gets the number of pixels between the container's bottom border and its content area.

The default value is -1, so the bottom border of the last header overlaps the Accordion container's bottom border.

Syntax

C#
protected Double paddingBottom { get; }
VB
'Declaration
Protected Read Property paddingBottom As Double

Access

Read only.


PaddingBottom Property (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Gets the number of pixels between the bottom of the row and the bottom of the renderer in the row.

Syntax

C#
protected Integer paddingBottom { get; }
VB
'Declaration
Protected Read Property paddingBottom As Integer

Access

Read only.


PaddingBottom Property (FlexChart)

Class

FlexChart.

Action

Gets the number of pixels between the chart's bottom border and its content area.

Syntax

C#
protected Integer paddingBottom { get; }
VB
'Declaration
Protected Read Property paddingBottom As Integer

Access

Read only.


PaddingLeft Property (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Gets the number of pixels between the control's left border and the left edge of its content area. The default value is 2.

Syntax

C#
protected Integer paddingLeft { get; }
VB
'Declaration
Protected Read Property paddingLeft As Integer

Access

Read only.


PaddingLeft Property (FlexChart)

Class

FlexChart.

Action

Gets the number of pixels between the control's left border and the left edge of its content area. The default value is 2.

Syntax

C#
protected Integer paddingLeft { get; }
VB
'Declaration
Protected Read Property paddingLeft As Integer

Access

Read only.


PaddingLeft Property (FlexChartLegend)

Class

FlexChartLegend.

Action

Gets the number of pixels between the control's left border and the left edge of its content area. The default value is 2.

Syntax

C#
protected Integer paddingLeft { get; }
VB
'Declaration
Protected Read Property paddingLeft As Integer

Access

Read only.


PaddingRight Property (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Gets the number of pixels between the control's right border and the right edge of its content area. The default value is 0.

Syntax

C#
protected Integer paddingRight { get; }
VB
'Declaration
Protected Read Property paddingRight As Integer

Access

Read only.


PaddingRight Property (FlexChart)

Class

FlexChart.

Action

Gets the number of pixels between the control's right border and the right edge of its content area. The default value is 0.

Syntax

C#
protected Integer paddingRight { get; }
VB
'Declaration
Protected Read Property paddingRight As Integer

Access

Read only.


PaddingRight Property (FlexChartLegend)

Class

FlexChartLegend.

Action

Gets the number of pixels between the control's right border and the right edge of its content area. The default value is 0.

Syntax

C#
protected Integer paddingRight { get; }
VB
'Declaration
Protected Read Property paddingRight As Integer

Access

Read only.


PaddingTop Property (FlexAccordion)

Class

FlexAccordion.

Action

Gets the number of pixels between the container's top border and its content area.

The default value is -1, so the top border of the first header overlaps the Accordion container's top border.

Syntax

C#
protected Double paddingTop { get; }
VB
'Declaration
Protected Read Property paddingTop As Double

Access

Read only.


PaddingTop Property (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Gets the number of pixels between the top of the row and the top of the renderer in the row.

Syntax

C#
protected Integer paddingTop { get; }
VB
'Declaration
Protected Read Property paddingTop As Integer

Access

Read only.


PaddingTop Property (FlexChart)

Class

FlexChart.

Action

Gets the number of pixels between the chart's top border and its content area.

Syntax

C#
protected Integer paddingTop { get; }
VB
'Declaration
Protected Read Property paddingTop As Integer

Access

Read only.


PageScrollSize Property (FlexScrollBar)

Class

FlexScrollBar.

Action

Gets the amount to move the scroll thumb when the scroll bar track is pressed, in pixels. The default value is 0.

Syntax

C#
protected Double pageScrollSize { get; }
VB
'Declaration
Protected Read Property pageScrollSize As Double

Access

Read only.


PageSize Property (SparkScrollBar)

Class

SparkScrollBar.

Action

Gets the change in the value of the value property when you call the changeValueByPage() method.

Syntax

C#
protected Double pageSize { get; }
VB
'Declaration
Protected Read Property pageSize As Double

Access

Read only.


PauseWhenHidden Property (SparkVideoDisplay)

Class

SparkVideoDisplay.

Action

Gets whether the video continues to play when it is "hidden".

Syntax

C#
protected Boolean pauseWhenHidden { get; }
VB
'Declaration
Protected Read Property pauseWhenHidden As Boolean

Access

Read only.


PercentComplete Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets the percentage of process that is completed. The range is 0 to 100.

Syntax

C#
protected Double percentComplete { get; }
VB
'Declaration
Protected Read Property percentComplete As Double

Access

Read only.


PercentHeight Property (FlexObject)

Class

FlexObject.

Action

Gets the number that specifies the height of a component as a percentage of its parent's size.

Allowed values are 0-100. The default value is NaN. Setting the height or explicitHeight properties resets this property to NaN.

This property returns a numeric value only if the property was previously set; it does not reflect the exact size of the component in percent.

This property is always set to NaN for the UITextField control.

Syntax

C#
protected Double percentHeight { get; }
VB
'Declaration
Protected Read Property percentHeight As Double

Access

Read only.


PercentHeight Property (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Gets the number that specifies the height of a component as a percentage of its parent's size. Valid values are 0 to 100.

Syntax

C#
protected Double percentHeight { get; }
VB
'Declaration
Protected Read Property percentHeight As Double

Access

Read only.


PercentWidth Property (FlexObject)

Class

FlexObject.

Action

Gets the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN.

This property returns a numeric value only if the property was previously set; it does not reflect the exact size of the component in percent.

This property is always set to NaN for the UITextField control.

Syntax

C#
protected Double percentWidth { get; }
VB
'Declaration
Protected Read Property percentWidth As Double

Access

Read only.


PercentWidth Property (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Gets the number that specifies the width of a component as a percentage of its parent's size. Valid values are 0 to 100.

Syntax

C#
protected Double percentWidth { get; }
VB
'Declaration
Protected Read Property percentWidth As Double

Access

Read only.


Placement Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets the side of the chart that the axisRenderer appears on.

Syntax

C#
protected String placement { get; }
VB
'Declaration
Protected Read Property placement As String

Access

Read only.


Playing Property (SparkVideoDisplay)

Class

SparkVideoDisplay.

Action

Gets a value whether the video is playing or is attempting to play.

Syntax

C#
protected Boolean playing { get; }
VB
'Declaration
Protected Read Property playing As Boolean

Access

Read only.


Playing Property (SparkVideoPlayer)

Class

SparkVideoPlayer.

Action

Gets a value if the video is playing or is attempting to play.

Syntax

C#
protected Boolean playing { get; }
VB
'Declaration
Protected Read Property playing As Boolean

Access

Read only.


PopUpHeightMatchesAnchorHeight Property (SparkPopUpAnchor)

Class

SparkPopUpAnchor.

Action

Gets whether the height of the popUp control is set to the value of the PopUpAnchor's height.

Syntax

C#
protected Boolean popUpHeightMatchesAnchorHeight { get; }
VB
'Declaration
Protected Read Property popUpHeightMatchesAnchorHeight As Boolean

Access

Read only.


PopUpPosition Property (SparkPopUpAnchor)

Class

SparkPopUpAnchor.

Action

Gets the position of the popUp control when it is opened, relative to the PopUpAnchor component.

Syntax

C#
protected String popUpPosition { get; }
VB
'Declaration
Protected Read Property popUpPosition As String

Access

Read only.


PopUpWidthMatchesAnchorWidth Property (SparkPopUpAnchor)

Class

SparkPopUpAnchor.

Action

Gets whether the width of the popUp control is set to the value of the PopUpAnchor's width.

Syntax

C#
protected Boolean popUpWidthMatchesAnchorWidth { get; }
VB
'Declaration
Protected Read Property popUpWidthMatchesAnchorWidth As Boolean

Access

Read only.


PreliminaryHeight Property (SparkImage)

Class

SparkImage.

Action

Gets an estimate to use for height when the "measured" bounds of the image is requested by layout, but the image data has yet to complete loading.

Syntax

C#
protected Double preliminaryHeight { get; }
VB
'Declaration
Protected Read Property preliminaryHeight As Double

Access

Read only.


PreliminaryWidth Property (SparkImage)

Class

SparkImage.

Action

Gets an estimate to use for width when the "measured" bounds of the image is requested by layout, but the image data has yet to complete loading.

Syntax

C#
protected Double preliminaryWidth { get; }
VB
'Declaration
Protected Read Property preliminaryWidth As Double

Access

Read only.


Pressed Method (FlexDividedBox)

Class

FlexDividedBox.

Action

Dispatched when the user presses any divider in this container.

The dividerPress event is dispatched before any dividerDrag events are dispatched.

Syntax

C#
dividedBox.Pressed(dividerIndex, delta)
VB
dividedBox.Pressed(dividerIndex, delta)
Variable | Description
dividerIndex | Contains the zero-based index of the divider being dragged. The leftmost or topmost divider has a dividerIndex of 0. Integer.
delta | Contains the number of pixels that the divider has been dragged. Positive numbers represent a drag toward the right or bottom, negative numbers toward the left or top. Double.


PreviousValue Property (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Gets the value that is one step smaller than the current value property and not smaller than the maximum property value.

Syntax

C#
protected Double previousValue { get; }
VB
'Declaration
Protected Read Property previousValue As Double

Access

Read only.


Prompt Property (SparkDropDownList)

Class

SparkDropDownList.

Action

Gets the prompt for the DropDownList control.

Syntax

C#
protected String prompt { get; }
VB
'Declaration
Protected Read Property prompt As String

Access

Read only.


RadiusField Property (FlexBubbleSeries)

Class

FlexBubbleSeries.

Action

Gets the field of the data provider that determines the radius of each symbol, relative to the other data points in the chart.

Syntax

C#
protected String radiusField { get; }
VB
'Declaration
Protected Read Property radiusField As String

Access

Read only.


Radius Property (FlexAreaSeries)

Class

FlexAreaSeries.

Action

Gets the radius, in pixels, of the chart elements for the data points.

This property only applies if you specify an itemRenderer property.

The default value is 4.

Syntax

C#
protected Double radius { get; }
VB
'Declaration
Protected Read Property radius As Double

Access

Read only.


Radius Property (FlexLineSeries)

Class

FlexLineSeries.

Action

Gets the radius, in pixels, of the chart elements for the data points.

This property applies only if you specify an item renderer using the itemRenderer property.

The default value is 4.

Syntax

C#
protected Double radius { get; }
VB
'Declaration
Protected Read Property radius As Double

Access

Read only.


Radius Property (FlexPlotSeries)

Class

FlexPlotSeries.

Action

Gets the radius style.

Specifies the radius, in pixels, of the chart element at each data point. By default, the PlotChart control draws a circle at each data point.

The default value is 4.

Syntax

C#
protected Double radius { get; }
VB
'Declaration
Protected Read Property radius As Double

Access

Read only.


RecycleChildren Property (FlexRepeater)

Class

FlexRepeater.

Action

Gets whether this Repeater should re-use previously created children, or create new ones.

If true, when this Repeater's dataProvider, startingIndex, or count changes, it will recycle the existing children by binding the new data into them. If more children are required, they are created and added. If fewer children are required, the extra ones are removed and garbage collected.

If false, when this Repeater's dataProvider, startingIndex, or count changes, it will remove any previous children that it created and then create and add new children from the new data items.

This property is false by default. Setting it to true can increase performance, but is not appropriate in all situations. For example, if the previously created children have state information such as text typed in by a user, then this state will not be reset when the children are recycled.

Syntax

C#
protected Boolean recycleChildren { get; }
VB
'Declaration
Protected Read Property recycleChildren As Boolean

Access

Read only.


Released Method (FlexDividedBox)

Class

FlexDividedBox.

Action

Dispatched when the user releases a divider.

The dividerRelease event is dispatched after the dividerDrag events, but before the container's children are resized. The divider's x and y properties are not updated until after this event is triggered. As a result, a call to hDividerBox.getDividerAt(0).x will return the value of the original x position of the first divider. If you want the position of the divider after the move, you can access it when the DividerBox's updateComplete event has been triggered.

Syntax

C#
dividedBox.Released(dividerIndex, delta)
VB
dividedBox.Released(dividerIndex, delta)
Variable | Description
dividerIndex | Contains the zero-based index of the divider being dragged. The leftmost or topmost divider has a dividerIndex of 0. Integer.
delta | Contains the number of pixels that the divider has been dragged. Positive numbers represent a drag toward the right or bottom, negative numbers toward the left or top. Double.


Required Property (SparkFormItem)

Class

SparkFormItem.

Action

Gets whether the form item has to have a value to submit the form.

Syntax

C#
protected Boolean required { get; }
VB
'Declaration
Protected Read Property required As Boolean

Access

Read only.


RequireSelection Property (SparkListBase)

Class

SparkListBase.

Action

Gets a value if a data item must always be selected in the control.

Syntax

C#
protected Boolean requireSelection { get; }
VB
'Declaration
Protected Read Property requireSelection As Boolean

Access

Read only.


ResizableColumns Property (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Gets whether the user can change the size of the columns.

If true, the user can stretch or shrink the columns of the DataGrid control by dragging the grid lines between the header cells. If false, individual columns must also have their resizable properties set to false to prevent the user from resizing a particular column. The default value is true.

Syntax

C#
protected Boolean resizableColumns { get; }
VB
'Declaration
Protected Read Property resizableColumns As Boolean

Access

Read only.


ResizableColumns Property (FlexDataGrid)

Class

FlexDataGrid.

Action

Gets whether the user can change the size of the columns.

If true, the user can stretch or shrink the columns of the DataGrid control by dragging the grid lines between the header cells. If false, individual columns must also have their resizable properties set to false to prevent the user from resizing a specific column.

The default value is true.

Syntax

C#
protected Boolean resizableColumns { get; }
VB
'Declaration
Protected Read Property resizableColumns As Boolean

Access

Read only.


Resizable Property (FlexWindow)

Class

FlexWindow.

Action

Gets a value whether the window can be resized.

Syntax

C#
protected Boolean resizable { get; }
VB
'Declaration
Protected Read Property resizable As Boolean

Access

Read only.


Resizable Property (FlexWindowedApplication)

Class

FlexWindowedApplication.

Action

Gets a value whether the window can be resized.

Syntax

C#
protected Boolean resizable { get; }
VB
'Declaration
Protected Read Property resizable As Boolean

Access

Read only.


Resizable Property (SparkWindow)

Class

SparkWindow.

Action

Gets a value whether the window can be resized.

Syntax

C#
protected Boolean resizable { get; }
VB
'Declaration
Protected Read Property resizable As Boolean

Access

Read only.


Resizable Property (SparkWindowedApplication)

Class

SparkWindowedApplication.

Action

Gets a value whether the window can be resized.

Syntax

C#
protected Boolean resizable { get; }
VB
'Declaration
Protected Read Property resizable As Boolean

Access

Read only.


ResizeMode Property (SparkGroupBase)

Class

SparkGroupBase.

Action

Gets the ResizeMode for this container.

Syntax

C#
protected String resizeMode { get; }
VB
'Declaration
Protected Read Property resizeMode As String

Access

Read only.


ResizeToContent Property (FlexDividedBox)

Class

FlexDividedBox.

Action

Gets whether the DividedBox automatically resizes to the size of its children.

If true, the DividedBox automatically resizes to the size of its children. The default value is false.

Syntax

C#
protected Boolean resizeToContent { get; }
VB
'Declaration
Protected Read Property resizeToContent As Boolean

Access

Read only.


Restrict Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets the set of characters that a user can or cannot enter into the text field.

Syntax

C#
protected String restrict { get; }
VB
'Declaration
Protected Read Property restrict As String

Access

Read only.


Restrict Property (FlexTextArea)

Class

FlexTextArea.

Action

Gets the set of characters that a user can enter into the control.

Syntax

C#
protected String restrict { get; }
VB
'Declaration
Protected Read Property restrict As String

Access

Read only.


Restrict Property (SparkComboBox)

Class

SparkComboBox.

Action

Gets the set of characters that a user can enter into the prompt area.

Syntax

C#
protected String restrict { get; }
VB
'Declaration
Protected Read Property restrict As String

Access

Read only.


Restrict Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets the set of characters that a user can enter into the text field.

Syntax

C#
protected String restrict { get; }
VB
'Declaration
Protected Read Property restrict As String

Access

Read only.


Restrict Property (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Gets the set of characters that a user can enter into the text field.

Syntax

C#
protected String restrict { get; }
VB
'Declaration
Protected Read Property restrict As String

Access

Read only.


RollOverColor Property (FlexComboBox)

Class

FlexComboBox.

Action

Gets the rollOverColor of the drop-down list.

Syntax

C#
protected Color rollOverColor { get; }
VB
'Declaration
Protected Read Property rollOverColor As Color

Access

Read only.


RollOverColor Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets the color of the highlight area of the date when the user holds the mouse pointer over a date in the DateChooser control. The default value is 0xE3FFD6.

Syntax

C#
protected Color rollOverColor { get; }
VB
'Declaration
Protected Read Property rollOverColor As Color

Access

Read only.


RollOverColor Property (FlexDateField)

Class

FlexDateField.

Action

Gets the color of the highlight area of the date when the user holds the mouse pointer over a date in the DateChooser control. The default value is 0xE3FFD6.

Syntax

C#
protected Color rollOverColor { get; }
VB
'Declaration
Protected Read Property rollOverColor As Color

Access

Read only.


RollOverColor Property (FlexListBase)

Class

FlexListBase.

Action

Gets the color of the background of a renderer when the user rolls over it. The default value is 0xEEFEE6.

Syntax

C#
protected Color rollOverColor { get; }
VB
'Declaration
Protected Read Property rollOverColor As Color

Access

Read only.


RollOverColor Property (FlexMenu)

Class

FlexMenu.

Action

Gets the color of the menu item background when a user rolls the mouse over it. The default value is 0xB2E1FF.

Syntax

C#
protected List(Of Color) rollOverColor { get; }
VB
'Declaration
Protected Read Property rollOverColor As List(Of Color)

Access

Read only.


RollOverColor Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets the color of the menu item background when a user rolls the mouse over it.

Syntax

C#
protected Color rollOverColor { get; }
VB
'Declaration
Protected Read Property rollOverColor As Color

Access

Read only.


RowCount Property (FlexListBase)

Class

FlexListBase.

Action

Gets the number of rows to be displayed.

If the height of the component has been explicitly set, this property might not have any effect.

For a DataGrid control, the rowCount property includes the header row. So, for a DataGrid control with 3 body rows and a header row, the rowCount property is 4.

The default value is 4.

Syntax

C#
protected Integer rowCount { get; }
VB
'Declaration
Protected Read Property rowCount As Integer

Access

Read only.


RowCount Property (FlexMenu)

Class

FlexMenu.

Action

Gets the number of rows to be displayed.

Syntax

C#
protected Integer rowCount { get; }
VB
'Declaration
Protected Read Property rowCount As Integer

Access

Read only.


RowHeight Property (FlexListBase)

Class

FlexListBase.

Action

Gets the height of the rows in pixels.

Unless the variableRowHeight property is true, all rows are the same height. If not specified, the row height is based on the font size and other properties of the renderer.

Syntax

C#
protected Double rowHeight { get; }
VB
'Declaration
Protected Read Property rowHeight As Double

Access

Read only.


RowHeight Property (SparkDataGrid)

Class

SparkDataGrid.

Action

Gets the height of the row.

Syntax

C#
protected Double rowHeight { get; }
VB
'Declaration
Protected Read Property rowHeight As Double

Access

Read only.


ScaleGridBottom Property (SparkGroup)

Class

SparkGroup.

Action

Gets the bottom coordinate of the scale grid.

Syntax

C#
protected Double scaleGridBottom { get; }
VB
'Declaration
Protected Read Property scaleGridBottom As Double

Access

Read only.


ScaleGridLeft Property (SparkGroup)

Class

SparkGroup.

Action

Gets the left coordinate of the scale grid.

Syntax

C#
protected Double scaleGridLeft { get; }
VB
'Declaration
Protected Read Property scaleGridLeft As Double

Access

Read only.


ScaleGridRight Property (SparkGroup)

Class

SparkGroup.

Action

Gets the right coordinate of the scale grid.

Syntax

C#
protected Double scaleGridRight { get; }
VB
'Declaration
Protected Read Property scaleGridRight As Double

Access

Read only.


ScaleGridTop Property (SparkGroup)

Class

SparkGroup.

Action

Gets the top coordinate of the scale grid.

Syntax

C#
protected Double scaleGridTop { get; }
VB
'Declaration
Protected Read Property scaleGridTop As Double

Access

Read only.


ScaleMode Property (SparkImage)

Class

SparkImage.

Action

Gets whether the image is scaled when fillMode is set to BitmapFillMode.SCALE.

Syntax

C#
protected String scaleMode { get; }
VB
'Declaration
Protected Read Property scaleMode As String

Access

Read only.


ScaleMode Property (SparkVideoDisplay)

Class

SparkVideoDisplay.

Action

Gets the different ways of sizing the video content.

Syntax

C#
protected String scaleMode { get; }
VB
'Declaration
Protected Read Property scaleMode As String

Access

Read only.


ScaleX Property (FlexObject)

Class

FlexObject.

Action

Gets the number that specifies the horizontal scaling factor.

The default value is 1.0, which means that the object is not scaled. A scaleX of 2.0 means the object has been magnified by a factor of 2, and a scaleX of 0.5 means the object has been reduced by a factor of 2.

A value of 0.0 is an invalid value. Rather than setting it to 0.0, set it to a small value, or set the visible property to false to hide the component.

The default value is 1.0.

This property can be used as the source for data binding. When this property is modified, it dispatches the scaleXChanged event.

Syntax

C#
protected Double scaleX { get; }
VB
'Declaration
Protected Read Property scaleX As Double

Access

Read only.


ScaleX Property (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Gets the horizontal scale (percentage) of the object as applied from the registration point. The default registration point is (0,0). 1.0 equals 100% scale.

Syntax

C#
protected Double scaleX { get; }
VB
'Declaration
Protected Read Property scaleX As Double

Access

Read only.


ScaleY Property (FlexObject)

Class

FlexObject.

Action

Gets the number that specifies the vertical scaling factor.

The default value is 1.0, which means that the object is not scaled. A scaleY of 2.0 means the object has been magnified by a factor of 2, and a scaleY of 0.5 means the object has been reduced by a factor of 2.

A value of 0.0 is an invalid value. Rather than setting it to 0.0, set it to a small value, or set the visible property to false to hide the component.

The default value is 1.0.

This property can be used as the source for data binding. When this property is modified, it dispatches the scaleYChanged event.

Syntax

C#
protected Double scaleY { get; }
VB
'Declaration
Protected Read Property scaleY As Double

Access

Read only.


ScaleY Property (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Gets the vertical scale (percentage) of an object as applied from the registration point of the object. The default registration point is (0,0). 1.0 is 100% scale.

Syntax

C#
protected Double scaleY { get; }
VB
'Declaration
Protected Read Property scaleY As Double

Access

Read only.


ScrollDate Method (FlexDateChooser)

Class

FlexDateChooser.

Action

The DateChooserEvent.SCROLL constant defines the value of the type property of the event object for a scrollevent.

Syntax

C#
dateChooser.ScrollDate(detail)
VB
dateChooser.ScrollDate(detail)
Variable | Description
detail | The scroll direction. FlexDateScrollDetail.


ScrollDate Method (FlexDateField)

Class

FlexDateField.

Action

The DateChooserEvent.SCROLL constant defines the value of the type property of the event object for a scrollevent.

Syntax

C#
dateField.ScrollDate(detail)
VB
dateField.ScrollDate(detail)
Variable | Description
detail | The scroll direction. FlexDateScrollDetail.


Scroll Method (FlexComboBase)

Class

FlexComboBase.

Action

Defines the value of the type property of the event object for a scroll event.

Syntax

C#
comboBase.Scroll(position, direction, detail)
VB
comboBase.Scroll(position, direction, detail)
Variable | Description
position | Contains the new scroll position. Integer.
direction | Contains the scroll direction, either ScrollEventDirection.HORIZONTAL or ScrollEventDirection.VERTICAL. FlexScrollDirection.
detail | Provides the specifics of the type of scroll activity. Constants for the possible values are provided in the ScrollEventDetail class. FlexScrollDetail.


Scroll Method (FlexContainer)

Class

FlexContainer.

Action

Dispatched when the user manually scrolls the container.

The event is dispatched when the scroll position is changed using either the mouse (e.g. clicking on the scrollbar's down button) or the keyboard (e.g., clicking on the down-arrow key). However, this event is not dispatched if the scroll position is changed programatically (e.g., setting the value of the horizontalScrollPosition property). The viewChanged event is delivered whenever the scroll position is changed, either manually or programatically.

At the time when this event is dispatched, the scrollbar has been updated to the new position, but the container's child objects have not been shifted to reflect the new scroll position.

Syntax

C#
container.Scroll(position, direction, detail)
VB
container.Scroll(position, direction, detail)
Variable | Description
position | Contains the new scroll position. Integer.
direction | Contains the scroll direction, either ScrollEventDirection.HORIZONTAL or ScrollEventDirection.VERTICAL. FlexScrollDirection.
detail | Provides the specifics of the type of scroll activity. Constants for the possible values are provided in the ScrollEventDetail class. FlexScrollDetail.


Scroll Method (FlexListBase)

Class

FlexListBase.

Action

Defines the value of the type property of the event object for a scroll event.

Syntax

C#
listBase.Scroll(position, direction, detail)
VB
listBase.Scroll(position, direction, detail)
Variable | Description
position | Contains the new scroll position. Integer.
direction | Contains the scroll direction, either ScrollEventDirection.HORIZONTAL or ScrollEventDirection.VERTICAL. FlexScrollDirection.
detail | Provides the specifics of the type of scroll activity. Constants for the possible values are provided in the ScrollEventDetail class. FlexScrollDetail.


Scroll Method (FlexScrollBar)

Class

FlexScrollBar.

Action

Dispatched when the ScrollBar control scrolls through user initiated action or programmatically.

Syntax

C#
scrollBar.Scroll(position, direction, detail)
VB
scrollBar.Scroll(position, direction, detail)
Variable | Description
position | Contains the new scroll position. Integer.
direction | Contains the scroll direction, either ScrollEventDirection.HORIZONTAL or ScrollEventDirection.VERTICAL. FlexScrollDirection.
detail | Provides the specifics of the type of scroll activity. Constants for the possible values are provided in the ScrollEventDetail class. FlexScrollDetail.


Scroll Method (FlexTextArea)

Class

FlexTextArea.

Action

Defines the value of the type property of the event object for a scroll event.

Syntax

C#
textArea.Scroll(position, direction, detail)
VB
textArea.Scroll(position, direction, detail)
Variable | Description
position | Contains the new scroll position. Integer.
direction | Contains the scroll direction, either ScrollEventDirection.HORIZONTAL or ScrollEventDirection.VERTICAL. FlexScrollDirection.
detail | Provides the specifics of the type of scroll activity. Constants for the possible values are provided in the ScrollEventDetail class. FlexScrollDetail.


Scroll Method (SparkAirHTML)

Class

SparkAirHTML.

Action

Dispatched when the scroll events occur. This event is dispatched if the scrolling is done programmatically or by the user.

Syntax

C#
airHTML.Scroll(position, direction, detail)
VB
airHTML.Scroll(position, direction, detail)
Variable | Description
position | The new scroll position. Integer.
direction | The direction of motion: ScrollEventDirection.VERTICAL or ScrollEventDirection.HORIZONTAL. FlexScrollDirection.
detail | Provides the details of the scroll activity. For most scroll activities the value is one of the listed constants, such as THUMB_TRACK. If the event indicates that the scrollbar has moved up, down, left, or right, the value is the string concatenation of the amount of motion (such as "Line" or "Page") and the constant that indicates the direction, such as LEFT. FlexScrollDetail.


Scroll Method (SparkGroupBase)

Class

SparkGroupBase.

Action

Dispatched when the container's scroll events occur. This event is dispatched if the scrolling is done programmatically or by the user.

Syntax

C#
groupBase.Scroll(position, direction, detail)
VB
groupBase.Scroll(position, direction, detail)
Variable | Description
position | The new scroll position. Integer.
direction | The direction of motion: ScrollEventDirection.VERTICAL or ScrollEventDirection.HORIZONTAL. FlexScrollDirection.
detail | Provides the details of the scroll activity. For most scroll activities the value is one of the listed constants, such as THUMB_TRACK. If the event indicates that the scrollbar has moved up, down, left, or right, the value is the string concatenation of the amount of motion (such as "Line" or "Page") and the constant that indicates the direction, such as LEFT. FlexScrollDetail.


ScrollPosition Property (FlexScrollBar)

Class

FlexScrollBar.

Action

Gets the number that represents the current scroll position.

The value is between minScrollPosition and maxScrollPosition inclusively.

The default value is 0.

Syntax

C#
protected Double scrollPosition { get; }
VB
'Declaration
Protected Read Property scrollPosition As Double

Access

Read only.


ScrollToIndex Method (FlexListBase)

Class

FlexListBase.

Action

Ensures that the data provider item at the given index is visible.

If the item is visible, the verticalScrollPosition property is left unchanged even if the item is not the first visible item. If the item is not currently visible, the verticalScrollPosition property is changed to make the item the first visible item, unless there are not enough rows to do so because the verticalScrollPosition value is limited by the maxVerticalScrollPosition property.

Syntax

C#
result = listBase.ScrollToIndex(index)
VB
result = listBase.ScrollToIndex(index)
Variable | Description
result | Boolean.
index | The index of the item in the data provider. Integer.


Selectable Property (FlexListBase)

Class

FlexListBase.

Action

Gets whether the list shows selected items as selected.

If true, the control supports selection. The Menu class, which subclasses ListBase, sets this property to false by default, because it does not show the chosen menu item as selected.

The default value is true.

Syntax

C#
protected Boolean selectable { get; }
VB
'Declaration
Protected Read Property selectable As Boolean

Access

Read only.


Selectable Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets a flag indicating whether the content is selectable with the mouse, or with the keyboard when the control has the keyboard focus.

Syntax

C#
protected Boolean selectable { get; }
VB
'Declaration
Protected Read Property selectable As Boolean

Access

Read only.


Selectable Property (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Gets a flag indicating whether the content is selectable with the mouse, or with the keyboard when the control has the keyboard focus.

Syntax

C#
protected Boolean selectable { get; }
VB
'Declaration
Protected Read Property selectable As Boolean

Access

Read only.


SelectedCell Property (SparkDataGrid)

Class

SparkDataGrid.

Action

Gets the selected cell.

Syntax

C#
protected String selectedCell { get; }
VB
'Declaration
Protected Read Property selectedCell As String

Access

Read only.


SelectedCells Property (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Gets an Array of cell locations as row and column indices.

Changing the value of the selectionMode property sets this property to null (Nothing in Visual Basic).

Syntax

C#
protected String selectedCells { get; }
VB
'Declaration
Protected Read Property selectedCells As String

Access

Read only.


SelectedCells Property (SparkDataGrid)

Class

SparkDataGrid.

Action

Gets the selected cells.

Syntax

C#
protected List(Of String) selectedCells { get; }
VB
'Declaration
Protected Read Property selectedCells As List(Of String)

Access

Read only.


SelectedChartItem Property (FlexChart)

Class

FlexChart.

Action

Gets the selected ChartItem in the chart. If multiple items are selected, this property specifies the most recently selected item.

Syntax

C#
protected Integer selectedChartItem { get; }
VB
'Declaration
Protected Read Property selectedChartItem As Integer

Access

Read only.


SelectedChartItems Property (FlexChart)

Class

FlexChart.

Action

Gets an array of all the selected ChartItem objects in the chart.

Syntax

C#
protected List(Of Integer) selectedChartItems { get; }
VB
'Declaration
Protected Read Property selectedChartItems As List(Of Integer)

Access

Read only.


SelectedChild Property (FlexAccordion)

Class

FlexAccordion.

Action

Gets a reference to the currently visible child container.

The default value is a reference to the first child. If there are no children, this property is null (Nothing in Visual Basic).

Note: You can only set this property in an ActionScript statement, not in MXML.

Syntax

C#
protected String selectedChild { get; }
VB
'Declaration
Protected Read Property selectedChild As String

Access

Read only.


SelectedChild Property (FlexViewStack)

Class

FlexViewStack.

Action

Gets a reference to the currently visible child container.

The default is a reference to the first child. If there are no children, this property is null (Nothing in Visual Basic).

Syntax

C#
protected String selectedChild { get; }
VB
'Declaration
Protected Read Property selectedChild As String

Access

Read only.


SelectedColor Property (FlexColorPicker)

Class

FlexColorPicker.

Action

Gets the value of the currently selected color in the SwatchPanel object.

You can set this property to a standard string color name, such as "blue". If the dataProvider contains an entry for black (0x000000), the default value is 0; otherwise, the default value is the color of the item at index 0 of the data provider.

Syntax

C#
protected Color selectedColor { get; }
VB
'Declaration
Protected Read Property selectedColor As Color

Access

Read only.


SelectedDate Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets the date as selected in the DateChooser control.

Syntax

C#
protected DateTime? selectedDate { get; }
VB
'Declaration
Protected Read Property selectedDate As DateTime?

Access

Read only.


SelectedDate Property (FlexDateField)

Class

FlexDateField.

Action

Gets the date as selected in the DateChooser control.

Syntax

C#
protected DateTime? selectedDate { get; }
VB
'Declaration
Protected Read Property selectedDate As DateTime?

Access

Read only.


SelectedIndex Property (FlexAccordion)

Class

FlexAccordion.

Action

Gets the zero-based index of the currently visible child container.

Child indexes are in the range 0, 1, 2, ..., n - 1, where n is the number of children.

The default value is 0, corresponding to the first child. If there are no children, this property is -1.

Syntax

C#
protected Integer selectedIndex { get; }
VB
'Declaration
Protected Read Property selectedIndex As Integer

Access

Read only.


SelectedIndex Property (FlexChartSeries)

Class

FlexChartSeries.

Action

Gets the index of the selected item in the data provider of the series.

If multiple items are selected, then this property refers to the most recently selected item.

Syntax

C#
protected Integer selectedIndex { get; }
VB
'Declaration
Protected Read Property selectedIndex As Integer

Access

Read only.


SelectedIndex Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets the index in the data provider of the selected item.

If there is a prompt property, the selectedIndex value can be set to -1 to show the prompt. If there is no prompt, property then selectedIndex will be set to 0 once a dataProvider is set.

If the ComboBox control is editable, the selectedIndex property is -1 if the user types any text into the text field.

Unlike many other Flex properties that are invalidating (setting them does not have an immediate effect), the selectedIndex and selectedItem properties are synchronous; setting one immediately affects the other.

The default value is -1.

Syntax

C#
protected Integer selectedIndex { get; }
VB
'Declaration
Protected Read Property selectedIndex As Integer

Access

Read only.


SelectedIndex Property (FlexListBase)

Class

FlexListBase.

Action

Gets the index in the data provider of the selected item.

The default value is -1 (no selected item).

Syntax

C#
protected Integer selectedIndex { get; }
VB
'Declaration
Protected Read Property selectedIndex As Integer

Access

Read only.


SelectedIndex Property (FlexMenu)

Class

FlexMenu.

Action

Gets the index in the data provider of the selected item.

Syntax

C#
protected Integer selectedIndex { get; }
VB
'Declaration
Protected Read Property selectedIndex As Integer

Access

Read only.


SelectedIndex Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets the index in the MenuBar control of the currently open Menu or the last opened Menu if none are currently open.

Syntax

C#
protected Double selectedIndex { get; }
VB
'Declaration
Protected Read Property selectedIndex As Double

Access

Read only.


SelectedIndex Property (FlexNavigationBar)

Class

FlexNavigationBar.

Action

Gets the index of the active navigation item, where the first item is at an index of 0. The default value is -1.

Syntax

C#
protected Integer selectedIndex { get; }
VB
'Declaration
Protected Read Property selectedIndex As Integer

Access

Read only.


SelectedIndex Property (FlexViewStack)

Class

FlexViewStack.

Action

Gets the zero-based index of the currently visible child container.

Child indexes are in the range 0, 1, 2, ..., n - 1, where n is the number of children. The default value is 0, corresponding to the first child. If there are no children, the value of this property is -1.

Note: When you add a new child to a ViewStack container, the selectedIndex property is automatically adjusted, if necessary, so that the selected child remains selected.

Syntax

C#
protected Integer selectedIndex { get; }
VB
'Declaration
Protected Read Property selectedIndex As Integer

Access

Read only.


SelectedIndex Property (SparkDataGrid)

Class

SparkDataGrid.

Action

Gets the index of the selected row.

Syntax

C#
protected Integer selectedIndex { get; }
VB
'Declaration
Protected Read Property selectedIndex As Integer

Access

Read only.


SelectedIndex Property (SparkListBase)

Class

SparkListBase.

Action

Gets the 0-based index of the selected item, or -1 if no item is selected.

Syntax

C#
protected Integer selectedIndex { get; }
VB
'Declaration
Protected Read Property selectedIndex As Integer

Access

Read only.


SelectedIndices Property (FlexChartSeries)

Class

FlexChartSeries.

Action

Gets an array of indexes of the selected items in the data provider of the series.

Syntax

C#
protected List(Of Integer) selectedIndices { get; }
VB
'Declaration
Protected Read Property selectedIndices As List(Of Integer)

Access

Read only.


SelectedIndices Property (FlexListBase)

Class

FlexListBase.

Action

Gets an array of indices in the data provider of the selected items.

The items are in the reverse order that the user selected the items.

The default value is [ ].

Syntax

C#
protected List(Of Integer) selectedIndices { get; }
VB
'Declaration
Protected Read Property selectedIndices As List(Of Integer)

Access

Read only.


SelectedIndices Property (SparkDataGrid)

Class

SparkDataGrid.

Action

Gets the indices of the selected rows.

Syntax

C#
protected List(Of Integer) selectedIndices { get; }
VB
'Declaration
Protected Read Property selectedIndices As List(Of Integer)

Access

Read only.


SelectedIndices Property (SparkList)

Class

SparkList.

Action

Gets a list representing the indices of the currently selected item or items.

Syntax

C#
protected List(Of Integer) selectedIndices { get; }
VB
'Declaration
Protected Read Property selectedIndices As List(Of Integer)

Access

Read only.


SelectedItem Property (FlexChartSeries)

Class

FlexChartSeries.

Action

Gets the chart item that is selected in the series.

If multiple items are selected, then this property refers to the most recently selected item.

Syntax

C#
protected Integer selectedItem { get; }
VB
'Declaration
Protected Read Property selectedItem As Integer

Access

Read only.


SelectedItem Property (FlexListBase)

Class

FlexListBase.

Action

Gets a reference to the selected item in the data provider.

The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String selectedItem { get; }
VB
'Declaration
Protected Read Property selectedItem As String

Access

Read only.


SelectedItem Property (SparkDataGrid)

Class

SparkDataGrid.

Action

Gets the item of the selected row.

Syntax

C#
protected String selectedItem { get; }
VB
'Declaration
Protected Read Property selectedItem As String

Access

Read only.


SelectedItem Property (SparkListBase)

Class

SparkListBase.

Action

Gets the item that is currently selected.

Syntax

C#
protected String selectedItem { get; }
VB
'Declaration
Protected Read Property selectedItem As String

Access

Read only.


SelectedItems Property (FlexChartSeries)

Class

FlexChartSeries.

Action

Gets an array of chart items that are selected in the series.

Syntax

C#
protected List(Of Integer) selectedItems { get; }
VB
'Declaration
Protected Read Property selectedItems As List(Of Integer)

Access

Read only.


SelectedItems Property (FlexListBase)

Class

FlexListBase.

Action

Gets an array of references to the selected items in the data provider.

The items are in the reverse order that the user selected the items.

The default value is [ ].

Syntax

C#
protected List(Of String) selectedItems { get; }
VB
'Declaration
Protected Read Property selectedItems As List(Of String)

Access

Read only.


SelectedItems Property (SparkDataGrid)

Class

SparkDataGrid.

Action

Gets the items of the selected rows.

Syntax

C#
protected List(Of String) selectedItems { get; }
VB
'Declaration
Protected Read Property selectedItems As List(Of String)

Access

Read only.


SelectedItems Property (SparkList)

Class

SparkList.

Action

Gets a list of Objects representing the currently selected data items.

Syntax

C#
protected List(Of String) selectedItems { get; }
VB
'Declaration
Protected Read Property selectedItems As List(Of String)

Access

Read only.


Selected Property (FlexButton)

Class

FlexButton.

Action

Gets whether a toggle button is toggled on (true) or off (false).

This property can be set only if the toggle property is set to true.

For a CheckBox control, indicates whether the box is displaying a check mark. For a RadioButton control, indicates whether the control is selected.

The user can change this property by clicking the control, but you can also set the property programmatically.

In previous versions, if the toggle property was set to true, changing this property also dispatched a change event. Starting in version 3.0, setting this property programmatically only dispatches a valueCommit event.

The default value is false.

Syntax

C#
protected Boolean selected { get; }
VB
'Declaration
Protected Read Property selected As Boolean

Access

Read only.


Selected Property (SparkListLabel)

Class

SparkListLabel.

Action

Gets a value whether the SparkListLabel is selected.

Syntax

C#
protected Boolean selected { get; }
VB
'Declaration
Protected Read Property selected As Boolean

Access

Read only.


Selected Property (SparkToggleButtonBase)

Class

SparkToggleButtonBase.

Action

Gets whether the button is in the down state, and false if it is in the up state.

Syntax

C#
protected Boolean selected { get; }
VB
'Declaration
Protected Read Property selected As Boolean

Access

Read only.


SelectedRanges Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets the selected date ranges.

Syntax

C#
protected List(Of String) selectedRanges { get; }
VB
'Declaration
Protected Read Property selectedRanges As List(Of String)

Access

Read only.


SelectIndex Method (FlexComboBox)

Class

FlexComboBox.

Action

Defines the value of the type property of the event object for an event that is dispatched when a single item is selected.

Syntax

C#
comboBox.SelectIndex(itemIndex, [triggerEvent, keyModifier])
VB
comboBox.SelectIndex(itemIndex, [triggerEvent, keyModifier])
Variable | Description
itemIndex | The data provider index of the item to be selected. Integer.
triggerEvent | Optional: The event, such as a mouse or keyboard event, that triggered the action. FlexTriggerEvent.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use. ModifierKeys.


SelectIndex Method (FlexListBase)

Class

FlexListBase.

Action

Defines the value of the type property of the event object for an event that is dispatched when a single item is selected.

Syntax

C#
listBase.SelectIndex(itemIndex, [triggerEvent, keyModifier])
VB
listBase.SelectIndex(itemIndex, [triggerEvent, keyModifier])
Variable | Description
itemIndex | The data provider index of the item to be selected. Integer.
triggerEvent | Optional: The event, such as a mouse or keyboard event, that triggered the action. FlexTriggerEvent.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use when clicking the index. ModifierKeys.


SelectIndex Method (SparkButtonBar)

Class

SparkButtonBar.

Action

Dispatched when the user clicks on an item in the list or navigates to the item using a keyboard.

Syntax

C#
buttonBar.SelectIndex(itemIndex, [triggerEvent, keyModifier])
VB
buttonBar.SelectIndex(itemIndex, [triggerEvent, keyModifier])
Variable | Description
itemIndex | The index of the item which was selected. Integer.
triggerEvent | Optional: Whether the event was triggered by mouse or keyboard. FlexTriggerEvent.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


SelectIndex Method (SparkList)

Class

SparkList.

Action

Dispatched when the user clicks on an item in the list or navigates to the item using a keyboard.

Syntax

C#
list.SelectIndex(itemIndex, [triggerEvent, keyModifier])
VB
list.SelectIndex(itemIndex, [triggerEvent, keyModifier])
Variable | Description
itemIndex | The index of the item which was selected. Integer.
triggerEvent | Optional: Whether the event was triggered by mouse or keyboard. FlexTriggerEvent.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


SelectIndex Method (SparkTabBar)

Class

SparkTabBar.

Action

Dispatched when the user clicks on an item in the list or navigates to the item using a keyboard.

Syntax

C#
tabBar.SelectIndex(itemIndex, [triggerEvent, keyModifier])
VB
tabBar.SelectIndex(itemIndex, [triggerEvent, keyModifier])
Variable | Description
itemIndex | The index of the item which was selected. Integer.
triggerEvent | Optional: Whether the event was triggered by mouse or keyboard. FlexTriggerEvent.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


SelectionActivePosition Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets a character position, relative to the beginning of the text String, specifying the end of the selection that moves when the selection is extended with the arrow keys.

Syntax

C#
protected Integer selectionActivePosition { get; }
VB
'Declaration
Protected Read Property selectionActivePosition As Integer

Access

Read only.


SelectionActivePosition Property (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Gets a character position, relative to the beginning of the text String, specifying the end of the selection that moves when the selection is extended with the arrow keys.

Syntax

C#
protected Integer selectionActivePosition { get; }
VB
'Declaration
Protected Read Property selectionActivePosition As Integer

Access

Read only.


SelectionAnchorPosition Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets a character position, relative to the beginning of the text String, specifying the end of the selection that stays fixed when the selection is extended with the arrow keys.

Syntax

C#
protected Integer selectionAnchorPosition { get; }
VB
'Declaration
Protected Read Property selectionAnchorPosition As Integer

Access

Read only.


SelectionAnchorPosition Property (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Gets a character position, relative to the beginning of the text String, specifying the end of the selection that stays fixed when the selection is extended with the arrow keys.

Syntax

C#
protected Integer selectionAnchorPosition { get; }
VB
'Declaration
Protected Read Property selectionAnchorPosition As Integer

Access

Read only.


SelectionBeginIndex Property (FlexTextArea)

Class

FlexTextArea.

Action

Gets the zero-based character index value of the first character in the current selection.

Syntax

C#
protected Integer selectionBeginIndex { get; }
VB
'Declaration
Protected Read Property selectionBeginIndex As Integer

Access

Read only.


SelectionColor Property (FlexComboBox)

Class

FlexComboBox.

Action

Gets the selectionColor of the drop-down list.

Syntax

C#
protected Color selectionColor { get; }
VB
'Declaration
Protected Read Property selectionColor As Color

Access

Read only.


SelectionColor Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets the color of the highlight area of the currently selected date in the DateChooser control. The default value is 0xCDFFC1.

Syntax

C#
protected Color selectionColor { get; }
VB
'Declaration
Protected Read Property selectionColor As Color

Access

Read only.


SelectionColor Property (FlexListBase)

Class

FlexListBase.

Action

Gets the color of the background of a renderer when the user selects it. The default value is 0x7FCEFF.

Syntax

C#
protected Color selectionColor { get; }
VB
'Declaration
Protected Read Property selectionColor As Color

Access

Read only.


SelectionColor Property (FlexMenu)

Class

FlexMenu.

Action

Gets the color of the menu item background when a menu item is selected. The default value is 0x7FCEFF.

Syntax

C#
protected List(Of Color) selectionColor { get; }
VB
'Declaration
Protected Read Property selectionColor As List(Of Color)

Access

Read only.


SelectionColor Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets the color of the menu item background when a menu item is selected.

Syntax

C#
protected Color selectionColor { get; }
VB
'Declaration
Protected Read Property selectionColor As Color

Access

Read only.


SelectionDisabledColor Property (FlexListBase)

Class

FlexListBase.

Action

Gets the color of the background of a renderer when the component is disabled. The default value is 0xDDDDDD.

Syntax

C#
protected Color selectionDisabledColor { get; }
VB
'Declaration
Protected Read Property selectionDisabledColor As Color

Access

Read only.


SelectionEndIndex Property (FlexTextArea)

Class

FlexTextArea.

Action

Gets the zero-based index of the position after the last character in the current selection (equivalent to the one-based index of the last character).

Syntax

C#
protected Integer selectionEndIndex { get; }
VB
'Declaration
Protected Read Property selectionEndIndex As Integer

Access

Read only.


SelectionHighlighting Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets a value whether the text selection is highlighted.

Syntax

C#
protected String selectionHighlighting { get; }
VB
'Declaration
Protected Read Property selectionHighlighting As String

Access

Read only.


SelectionHighlighting Property (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Gets a value whether the text selection is highlighted.

Syntax

C#
protected String selectionHighlighting { get; }
VB
'Declaration
Protected Read Property selectionHighlighting As String

Access

Read only.


SelectionLength Property (SparkDataGrid)

Class

SparkDataGrid.

Action

Gets the number of selected rows.

Syntax

C#
protected Integer selectionLength { get; }
VB
'Declaration
Protected Read Property selectionLength As Integer

Access

Read only.


SelectionMode Property (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Gets the selection mode of the control.

Possible values are: MULTIPLE_CELLS, MULTIPLE_ROWS, NONE, SINGLE_CELL, and SINGLE_ROW. Changing the value of this property sets the selectedCells property to null (Nothing in Visual Basic).

You must set the allowMultipleSelection property to true to select more than one item in the control at the same time.

Information about the selected cells is written to the selectedCells property.

The default value is SINGLE_ROW.

Syntax

C#
protected String selectionMode { get; }
VB
'Declaration
Protected Read Property selectionMode As String

Access

Read only.


SelectionMode Property (FlexChart)

Class

FlexChart.

Action

Gets whether ChartItem objects can be selected.

Possible values are none, single, or multiple. Set to none to prevent chart items from being selected. Set to single to allow only one item to be selected at a time. Set to multiple to allow one or more chart items to be selected at a time. The default value is none.

Syntax

C#
protected String selectionMode { get; }
VB
'Declaration
Protected Read Property selectionMode As String

Access

Read only.


SelectionMode Property (SparkDataGrid)

Class

SparkDataGrid.

Action

Gets the selection mode (singlerow, multiplerows, singlecells or multiplecells).

Syntax

C#
protected String selectionMode { get; }
VB
'Declaration
Protected Read Property selectionMode As String

Access

Read only.


Select Method (FlexChart)

Class

FlexChart.

Action

Defines the value of the type property of the event object for a headerRelease event, which indicates that the user pressed and released the mouse on a column header.

Syntax

C#
chart.Select(selectionInfo)
VB
chart.Select(selectionInfo)
Variable | Description
selectionInfo | Whether the event can bubble up the display list hierarchy. List(Of String).


Select Method (FlexComboBox)

Class

FlexComboBox.

Action

Defines the value of the type property of the event object for an event that is dispatched when a single item is selected.

Syntax

C#
comboBox.Select(itemRenderer, [triggerEvent, keyModifier])
VB
comboBox.Select(itemRenderer, [triggerEvent, keyModifier])
Variable | Description
itemRenderer | The item renderer object for the item. String.
triggerEvent | Optional: The event, such as a mouse or keyboard event, that triggered the action. FlexTriggerEvent.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use. ModifierKeys.


Select Method (FlexListBase)

Class

FlexListBase.

Action

Defines the value of the type property of the event object for an event that is dispatched when a single item is selected.

Syntax

C#
listBase.Select(itemRenderer, [triggerEvent, keyModifier])
VB
listBase.Select(itemRenderer, [triggerEvent, keyModifier])
Variable | Description
itemRenderer | The item renderer object for the item. String.
triggerEvent | Optional: The event, such as a mouse or keyboard event, that triggered the action. FlexTriggerEvent.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use when selecting the control. ModifierKeys.


Select Method (FlexMenu)

Class

FlexMenu.

Action

Dispatched when a menu item is selected.

Syntax

C#
menu.Select(itemRenderer)
VB
menu.Select(itemRenderer)
Variable | Description
itemRenderer | The ListItemRenderer of the selected menu item. String.


Select Method (SparkDataGrid)

Class

SparkDataGrid.

Action

Selects the specified data grid cell.

Syntax

C#
dataGrid.Select(itemRenderer, [triggerEvent, keyModifier])
VB
dataGrid.Select(itemRenderer, [triggerEvent, keyModifier])
Variable | Description
itemRenderer | The itemRenderer for the item which got selected. String.
triggerEvent | Optional: Whether the event was triggered by mouse or keyboard.. FlexTriggerEvent.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


Select Method (SparkDataGroup)

Class

SparkDataGroup.

Action

Dispatched when one or more items in the list are deselected.

Syntax

C#
dataGroup.Select(itemRenderer, [triggerEvent, keyModifier])
VB
dataGroup.Select(itemRenderer, [triggerEvent, keyModifier])
Variable | Description
itemRenderer | The itemRenderer for the item which got deselected. String.
triggerEvent | Optional: Whether the event was triggered by mouse or keyboard. FlexTriggerEvent.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


Select Method (SparkListBase)

Class

SparkListBase.

Action

Dispatched when an item in the list is selected.

Syntax

C#
listBase.Select(itemRenderer, [triggerEvent, keyModifier])
VB
listBase.Select(itemRenderer, [triggerEvent, keyModifier])
Variable | Description
itemRenderer | The itemRenderer for the item which got selected. String.
triggerEvent | Optional: Whether the event was triggered by mouse or keyboard.. FlexTriggerEvent.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.

Examples

VB

For example, you might select an item in a list box by typing:
    listBox.Select("apple")


SelectText Method (FlexComboBase)

Class

FlexComboBase.

Action

Lets you track selection within a text field.

Syntax

C#
comboBase.SelectText(beginIndex, endIndex)
VB
comboBase.SelectText(beginIndex, endIndex)
Variable | Description
beginIndex | Index at which selection starts. Integer.
endIndex | Index at which selection ends. Integer.


SelectText Method (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Lets you track selection within a text field.

Syntax

C#
numericStepper.SelectText(beginIndex, endIndex)
VB
numericStepper.SelectText(beginIndex, endIndex)
Variable | Description
beginIndex | Index at which selection starts. Integer.
endIndex | Index at which selection ends. Integer.


SelectText Method (FlexTextArea)

Class

FlexTextArea.

Action

Lets you track selection within a text field.

Syntax

C#
textArea.SelectText(beginIndex, endIndex)
VB
textArea.SelectText(beginIndex, endIndex)
Variable | Description
beginIndex | Index at which selection starts. Integer.
endIndex | Index at which selection ends. Integer.


SelectText Method (SparkComboBox)

Class

SparkComboBox.

Action

Dispatched when text is selected.

Syntax

C#
comboBox.SelectText(beginIndex, endIndex)
VB
comboBox.SelectText(beginIndex, endIndex)
Variable | Description
beginIndex | The index of the first character in the selection. Integer.
endIndex | The index of the last character in the selection. Integer.


SelectText Method (SparkNumericStepper)

Class

SparkNumericStepper.

Action

Dispatched when text is selected.

Syntax

C#
numericStepper.SelectText(beginIndex, endIndex)
VB
numericStepper.SelectText(beginIndex, endIndex)
Variable | Description
beginIndex | The index of the first selected character. Integer.
endIndex | The index of the last selected character. Integer.


SelectText Method (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Dispatched when text is selected.

Syntax

C#
richEditableText.SelectText(beginIndex, endIndex)
VB
richEditableText.SelectText(beginIndex, endIndex)
Variable | Description
beginIndex | The index of the first character selected. Integer.
endIndex | The index of the last character selected. Integer.


SelectText Method (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Dispatched when text is selected.

Syntax

C#
skinnableTextBase.SelectText(beginIndex, endIndex)
VB
skinnableTextBase.SelectText(beginIndex, endIndex)
Variable | Description
beginIndex | The index of the first character selected. Integer.
endIndex | The index of the last character selected. Integer.


SequenceLabel Property (SparkFormItem)

Class

SparkFormItem.

Action

Gets the number of the form item in the form.

Syntax

C#
protected String sequenceLabel { get; }
VB
'Declaration
Protected Read Property sequenceLabel As String

Access

Read only.


SeriesClick Method (FlexChartSeries)

Class

FlexChartSeries.

Action

Indicates that the user clicked the mouse button over a chart item representing data in the chart.

Syntax

C#
chartSeries.SeriesClick(hitSet)
VB
chartSeries.SeriesClick(hitSet)
Variable | Description
hitSet | An array of HitData structures describing the ChartItems that triggered the event. List(Of Integer).


SeriesDoubleClick Method (FlexChartSeries)

Class

FlexChartSeries.

Action

Indicates that the user double-clicked the mouse button over a chart item representing data in the chart.

Syntax

C#
chartSeries.SeriesDoubleClick(hitSet)
VB
chartSeries.SeriesDoubleClick(hitSet)
Variable | Description
hitSet | An array of HitData structures describing the ChartItems that triggered the event. List(Of Integer).


SeriesItemRollOver Method (FlexChartSeries)

Class

FlexChartSeries.

Action

Indicates that the user rolled the mouse pointer over a chart item representing data in the chart.

Syntax

C#
chartSeries.SeriesItemRollOver(hitSet)
VB
chartSeries.SeriesItemRollOver(hitSet)
Variable | Description
hitSet | An array of HitData structures describing the ChartItems that triggered the event. List(Of Integer).


SetFocus Method (FlexObject)

Class

FlexObject.

Action

Sets the focus to this component. The component may in turn pass focus to a subcomponent.

Note: Only the TextInput and TextArea controls show a highlight when this method sets the focus. All controls show a highlight when the user tabs to the control.

Syntax

C#
object.SetFocus()
VB
object.SetFocus()


SetFocus Method (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Called by the FocusManager when the component receives focus. The component may in turn set focus to an internal component.

Syntax

C#
uIMovieClip.SetFocus()
VB
uIMovieClip.SetFocus()


ShowCloseButton Property (FlexTitleWindow)

Class

FlexTitleWindow.

Action

Gets whether to display a Close button in the TitleWindow container. The default value is false.\.

Syntax

C#
protected Boolean showCloseButton { get; }
VB
'Declaration
Protected Read Property showCloseButton As Boolean

Access

Read only.


ShowDataTip Property (FlexSlider)

Class

FlexSlider.

Action

Gets whether the data tip shows during user interaction.

If set to true, show a data tip during user interaction containing the current value of the slider.

The default value is true.

Syntax

C#
protected Boolean showDataTip { get; }
VB
'Declaration
Protected Read Property showDataTip As Boolean

Access

Read only.


ShowDataTips Property (FlexChart)

Class

FlexChart.

Action

Gets whether DataTip controls for the chart show.

DataTip controls are similar to tool tips, except that they display an appropriate value that represents the nearest chart data point under the mouse pointer.

Syntax

C#
protected Boolean showDataTips { get; }
VB
'Declaration
Protected Read Property showDataTips As Boolean

Access

Read only.


ShowDataTips Property (FlexListBase)

Class

FlexListBase.

Action

Gets whether dataTips are displayed for text in the rows.

If true, dataTips are displayed. DataTips are tooltips designed to show the text that is too long for the row. If you set a dataTipFunction, dataTips are shown regardless of whether the text is too long for the row.

The default value is false.

Syntax

C#
protected Boolean showDataTips { get; }
VB
'Declaration
Protected Read Property showDataTips As Boolean

Access

Read only.


ShowDataTips Property (SparkDataGrid)

Class

SparkDataGrid.

Action

Gets whether data tips should be shown.

Syntax

C#
protected Boolean showDataTips { get; }
VB
'Declaration
Protected Read Property showDataTips As Boolean

Access

Read only.


ShowDataTipTargets Property (FlexChart)

Class

FlexChart.

Action

Gets whether to show targets over the datapoints when showDataTips is set to true.

Syntax

C#
protected Boolean showDataTipTargets { get; }
VB
'Declaration
Protected Read Property showDataTipTargets As Boolean

Access

Read only.


ShowLabels Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets whether labels appear along the axis. The default value is true.

Syntax

C#
protected Boolean showLabels { get; }
VB
'Declaration
Protected Read Property showLabels As Boolean

Access

Read only.


ShowLine Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets whether to display the axis. The default value is true.

Syntax

C#
protected Boolean showLine { get; }
VB
'Declaration
Protected Read Property showLine As Boolean

Access

Read only.


Show Method (FlexMenu)

Class

FlexMenu.

Action

Dispatched when a menu or submenu opens.

Syntax

C#
menu.Show(itemRenderer)
VB
menu.Show(itemRenderer)
Variable | Description
itemRenderer | This property is not set for this type of event. String.


Show Method (FlexMenuBar)

Class

FlexMenuBar.

Action

Dispatched when a menu or submenu opens.

Syntax

C#
menuBar.Show(itemRenderer)
VB
menuBar.Show(itemRenderer)
Variable | Description
itemRenderer | This property is not set for this type of event. String.


ShowsCaret Property (SparkButtonBarButton)

Class

SparkButtonBarButton.

Action

Gets a value whether the item renderer can show itself as focused.

Syntax

C#
protected Boolean showsCaret { get; }
VB
'Declaration
Protected Read Property showsCaret As Boolean

Access

Read only.


ShowsCaret Property (SparkListLabel)

Class

SparkListLabel.

Action

Gets a value whether the caret is shown.

Syntax

C#
protected Boolean showsCaret { get; }
VB
'Declaration
Protected Read Property showsCaret As Boolean

Access

Read only.


ShowStatusBar Property (FlexWindow)

Class

FlexWindow.

Action

Gets a value whether the status bar is visible.

Syntax

C#
protected Boolean showStatusBar { get; }
VB
'Declaration
Protected Read Property showStatusBar As Boolean

Access

Read only.


ShowStatusBar Property (FlexWindowedApplication)

Class

FlexWindowedApplication.

Action

Gets a value whether the status bar is visible.

Syntax

C#
protected Boolean showStatusBar { get; }
VB
'Declaration
Protected Read Property showStatusBar As Boolean

Access

Read only.


ShowStatusBar Property (SparkWindow)

Class

SparkWindow.

Action

Gets a value whether the status bar is visible.

Syntax

C#
protected Boolean showStatusBar { get; }
VB
'Declaration
Protected Read Property showStatusBar As Boolean

Access

Read only.


ShowStatusBar Property (SparkWindowedApplication)

Class

SparkWindowedApplication.

Action

Gets a value whether the status bar is visible.

Syntax

C#
protected Boolean showStatusBar { get; }
VB
'Declaration
Protected Read Property showStatusBar As Boolean

Access

Read only.


ShowTextField Property (FlexColorPicker)

Class

FlexColorPicker.

Action

Gets whether to show the text box that displays the color label or hexadecimal color value. The default value is true.

Syntax

C#
protected Boolean showTextField { get; }
VB
'Declaration
Protected Read Property showTextField As Boolean

Access

Read only.


ShowToday Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets whether today's date is highlighted in the DataChooser control.

If true, specifies that today is highlighted in the DateChooser control. The default value is true.

Syntax

C#
protected Boolean showToday { get; }
VB
'Declaration
Protected Read Property showToday As Boolean

Access

Read only.


ShowToday Property (FlexDateField)

Class

FlexDateField.

Action

Gets the day highlighted in the DateChooser control.

If true, specifies that today is highlighted in the DateChooser control. Setting this property immediately changes the appearance of the DateChooser control. The default value is true.

Syntax

C#
protected Boolean showToday { get; }
VB
'Declaration
Protected Read Property showToday As Boolean

Access

Read only.


Smooth Property (SparkImage)

Class

SparkImage.

Action

Gets whether to apply a smoothing algorithm to the bitmap image.

Syntax

C#
protected Boolean smooth { get; }
VB
'Declaration
Protected Read Property smooth As Boolean

Access

Read only.


SnapInterval Property (FlexSlider)

Class

FlexSlider.

Action

Gets the increment value of the slider thumb as the user moves the thumb.

For example, if snapInterval is 2, the minimum value is 0, and the maximum value is 10, the thumb snaps to the values 0, 2, 4, 6, 8, and 10 as the user move the thumb. A value of 0, means that the slider moves continuously between the minimum and maximum values.

The default value is 0.

Syntax

C#
protected Double snapInterval { get; }
VB
'Declaration
Protected Read Property snapInterval As Double

Access

Read only.


SnapInterval Property (SparkRange)

Class

SparkRange.

Action

Gets the snapInterval.

Syntax

C#
protected Double snapInterval { get; }
VB
'Declaration
Protected Read Property snapInterval As Double

Access

Read only.


SortableColumns Property (FlexDataGrid)

Class

FlexDataGrid.

Action

Gets whether the user can sort the data provider items by clicking on a column header cell.

If true, the user can sort the data provider items by clicking on a column header cell. The DataGridColumn.dataField property of the column or the DataGridColumn.sortCompareFunction property of the column is used as the sort field. If a column is clicked more than once the sort alternates between ascending and descending order. If true, individual columns can be made to not respond to a click on a header by setting the column's sortable property to false.

When a user releases the mouse button over a header cell, the DataGrid control dispatches a headerRelease event if both this property and the column's sortable property are true. If no handler calls the preventDefault() method on the event, the DataGrid sorts using that column's DataGridColumn.dataField or DataGridColumn.sortCompareFunction properties.

The default value is true.

Syntax

C#
protected Boolean sortableColumns { get; }
VB
'Declaration
Protected Read Property sortableColumns As Boolean

Access

Read only.


SortOnXField Property (FlexColumnSeries)

Class

FlexColumnSeries.

Action

Gets whether the columns are sorted from left to right before rendering.

By default, the ColumnSeries renders columns in the order they appear in the data provider.

If you use the xField property to determine the position of each column, columns can appear in a different order on the screen. Columns can be rendered in any order. However, some custom columns might rely on the columns being rendered from left to right.

The default value is false.

Syntax

C#
protected Boolean sortOnXField { get; }
VB
'Declaration
Protected Read Property sortOnXField As Boolean

Access

Read only.


SortOnXField Property (FlexLineSeries)

Class

FlexLineSeries.

Action

Gets whether the line datapoints are sorted from left to right before rendering.

By default, the LineSeries renders points from left to right. Set this property to false to render the items in the order they appear in the data provider.

The default value is true.

Syntax

C#
protected Boolean sortOnXField { get; }
VB
'Declaration
Protected Read Property sortOnXField As Boolean

Access

Read only.


SourceHeight Property (SparkImage)

Class

SparkImage.

Action

Gets the unscaled height of the original image data.

Syntax

C#
protected Double sourceHeight { get; }
VB
'Declaration
Protected Read Property sourceHeight As Double

Access

Read only.


Source Property (FlexLoader)

Class

FlexLoader.

Action

Gets the URL, object, class or string name of a class to load as the content.

The value of the source property represents a relative or absolute URL; a ByteArray representing a SWF, GIF, JPEG, or PNG; an object that implements IFlexDisplayObject; a class whose type implements IFlexDisplayObject; or a String that represents a class.

Syntax

C#
protected String source { get; }
VB
'Declaration
Protected Read Property source As String

Access

Read only.


Source Property (FlexVideoDisplay)

Class

FlexVideoDisplay.

Action

Gets the relative path and filename of the FLV file to stream.

Syntax

C#
protected String source { get; }
VB
'Declaration
Protected Read Property source As String

Access

Read only.


Source Property (SparkImage)

Class

SparkImage.

Action

Gets the content location.

Syntax

C#
protected String source { get; }
VB
'Declaration
Protected Read Property source As String

Access

Read only.


SourceWidth Property (SparkImage)

Class

SparkImage.

Action

Gets the unscaled width of the original image data.

Syntax

C#
protected Double sourceWidth { get; }
VB
'Declaration
Protected Read Property sourceWidth As Double

Access

Read only.


StartAngle Property (FlexPieSeries)

Class

FlexPieSeries.

Action

Gets the starting angle for the first slice of the PieChart control.

The default value is 0, which is horizontal on the right side of the PieChart control.

Syntax

C#
protected Double startAngle { get; }
VB
'Declaration
Protected Read Property startAngle As Double

Access

Read only.


StartingIndex Property (FlexRepeater)

Class

FlexRepeater.

Action

Gets the index into the dataProvider at which this Repeater starts creating children.

Syntax

C#
protected Integer startingIndex { get; }
VB
'Declaration
Protected Read Property startingIndex As Integer

Access

Read only.


StateChange Method (FlexWindow)

Class

FlexWindow.

Action

Dispatched when the displaystatus of the window is changed.

Syntax

C#
window.StateChange(newWindowState)
VB
window.StateChange(newWindowState)
Variable | Description
newWindowState | Indicates the new State. String.


StateChange Method (SparkWindow)

Class

SparkWindow.

Action

Dispatched when the displaystatus of the window is changed.

Syntax

C#
window.StateChange(newWindowState)
VB
window.StateChange(newWindowState)
Variable | Description
newWindowState | Indicates the new State. String.


Status Property (FlexPanel)

Class

FlexPanel.

Action

Gets the text in the status area of the title bar. The default value is "".

Syntax

C#
protected String status { get; }
VB
'Declaration
Protected Read Property status As String

Access

Read only.


Status Property (FlexWindow)

Class

FlexWindow.

Action

Gets the string that appears in the status bar, if it is visible.

Syntax

C#
protected String status { get; }
VB
'Declaration
Protected Read Property status As String

Access

Read only.


Status Property (FlexWindowedApplication)

Class

FlexWindowedApplication.

Action

Gets the string that appears in the status bar, if it is visible.

Syntax

C#
protected String status { get; }
VB
'Declaration
Protected Read Property status As String

Access

Read only.


Status Property (SparkWindow)

Class

SparkWindow.

Action

Gets the string that appears in the status bar, if it is visible.

Syntax

C#
protected String status { get; }
VB
'Declaration
Protected Read Property status As String

Access

Read only.


Status Property (SparkWindowedApplication)

Class

SparkWindowedApplication.

Action

Gets the string that appears in the status bar, if it is visible.

Syntax

C#
protected String status { get; }
VB
'Declaration
Protected Read Property status As String

Access

Read only.


StepSize Property (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Gets the non-zero unit of change between values.

The value property must be a multiple of this number. The default value is 1.

Syntax

C#
protected Double stepSize { get; }
VB
'Declaration
Protected Read Property stepSize As Double

Access

Read only.


StepSize Property (SparkRange)

Class

SparkRange.

Action

Gets the amount that the value property changes when the changeValueByStep() method is called.

Syntax

C#
protected Double stepSize { get; }
VB
'Declaration
Protected Read Property stepSize As Double

Access

Read only.


StickyHighlighting Property (SparkButtonBase)

Class

SparkButtonBase.

Action

Gets a value whether the button displays its down skin when the user presses it but changes to its over skin when the user drags the mouse off of it.

Syntax

C#
protected Boolean stickyHighlighting { get; }
VB
'Declaration
Protected Read Property stickyHighlighting As Boolean

Access

Read only.


StrokeWidth Property (FlexRule)

Class

FlexRule.

Action

Gets the thickness of the rule in pixels.

Syntax

C#
protected Double strokeWidth { get; }
VB
'Declaration
Protected Read Property strokeWidth As Double

Access

Read only.


SystemChrome Property (FlexWindow)

Class

FlexWindow.

Action

Gets the type of system chrome (if any) the window has.

Syntax

C#
protected String systemChrome { get; }
VB
'Declaration
Protected Read Property systemChrome As String

Access

Read only.


SystemChrome Property (FlexWindowedApplication)

Class

FlexWindowedApplication.

Action

Gets the type of system chrome (if any) the window has.

Syntax

C#
protected String systemChrome { get; }
VB
'Declaration
Protected Read Property systemChrome As String

Access

Read only.


SystemChrome Property (SparkWindow)

Class

SparkWindow.

Action

Gets the type of system chrome (if any) the window has.

Syntax

C#
protected String systemChrome { get; }
VB
'Declaration
Protected Read Property systemChrome As String

Access

Read only.


SystemChrome Property (SparkWindowedApplication)

Class

SparkWindowedApplication.

Action

Gets the type of system chrome (if any) the window has.

Syntax

C#
protected String systemChrome { get; }
VB
'Declaration
Protected Read Property systemChrome As String

Access

Read only.


TabChildren Property (FlexDisplayObject)

Class

FlexDisplayObject.

Action

Gets whether the children of the display object are tab enabled. The default is true.

Syntax

C#
protected Boolean tabChildren { get; }
VB
'Declaration
Protected Read Property tabChildren As Boolean

Access

Read only.


TabEnabled Property (FlexDisplayObject)

Class

FlexDisplayObject.

Action

Gets whether this object is in the tab order.

If this object is in the tab order, the value is true; otherwise, the value is false. By default, the value is false, except for the following: a SimpleButton object, a TextField object with type = input, or a Sprite object or MovieClip object with buttonMode = true.

Syntax

C#
protected Boolean tabEnabled { get; }
VB
'Declaration
Protected Read Property tabEnabled As Boolean

Access

Read only.


TabHeight Property (FlexTabNavigator)

Class

FlexTabNavigator.

Action

Gets the height of each tab, in pixels.

The default value is undefined. When this property is undefined, the height of each tab is determined by the font styles applied to this TabNavigator container. If you set this property, the specified value overrides this calculation.

Syntax

C#
protected Double tabHeight { get; }
VB
'Declaration
Protected Read Property tabHeight As Double

Access

Read only.


TabIndex Property (FlexDisplayObject)

Class

FlexDisplayObject.

Action

Gets the tab ordering of objects in a SWF file.

The tabIndex property is -1 by default, meaning no tab index is set for the object.

If any currently displayed object in the SWF file contains a tabIndex property, automatic tab ordering is disabled, and the tab ordering is calculated from the tabIndex properties of objects in the SWF file. The custom tab ordering includes only objects that have tabIndex properties.

The tabIndex property can be a non-negative integer. The objects are ordered according to their tabIndex properties, in ascending order. An object with a tabIndex value of 1 precedes an object with a tabIndex value of 2. Do not use the same tabIndex value for multiple objects.

The custom tab ordering that the tabIndex property defines is flat. This means that no attention is paid to the hierarchical relationships of objects in the SWF file. All objects in the SWF file with tabIndex properties are placed in the tab order, and the tab order is determined by the order of the tabIndex values.

Syntax

C#
protected Integer tabIndex { get; }
VB
'Declaration
Protected Read Property tabIndex As Integer

Access

Read only.


TabWidth Property (FlexTabNavigator)

Class

FlexTabNavigator.

Action

Gets the width of each tab, in pixels.

The default value is undefined. When this property is undefined, the width of each tab is determined by the width of its label text, using the font styles applied to this TabNavigator container. If the total width of the tabs would be greater than the width of the TabNavigator container, the calculated tab width is decreased, but only to a minimum of 30 pixels. If you set this property, the specified value overrides this calculation.

The label text on a tab is truncated if it does not fit in the tab. If a tab label is truncated, a tooltip with the full label text is displayed when a user rolls the mouse over the tab.

Syntax

C#
protected Double tabWidth { get; }
VB
'Declaration
Protected Read Property tabWidth As Double

Access

Read only.


TextAlign Property (FlexButton)

Class

FlexButton.

Action

Gets the alignment of text within a container.

Possible values are:left, right, or center.

The default value for most components is left. For the FormItem component, the default value is right. For the Button, LinkButton, and AccordionHeader components, the default value is center, and this property is only recognized when the labelPlacement property is set to left or right. If labelPlacement is set to top or bottom, the text and any icon are centered.

Syntax

C#
protected String textAlign { get; }
VB
'Declaration
Protected Read Property textAlign As String

Access

Read only.


TextAlign Property (FlexCartesianChart)

Class

FlexCartesianChart.

Action

Gets the alignment of text within a container.

Possible values are:left, right, or center. The default value for most components is left.

For the Button, LinkButton, and AccordionHeader components, the default value is center. For these components, this property is only recognized when the labelPlacement property is set to left or right. If labelPlacement is set to top or bottom, the text and any icon are centered.

Syntax

C#
protected String textAlign { get; }
VB
'Declaration
Protected Read Property textAlign As String

Access

Read only.


TextAlign Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets the alignment of text within a container. Possible values are:left, right, or center.

Syntax

C#
protected String textAlign { get; }
VB
'Declaration
Protected Read Property textAlign As String

Access

Read only.


TextAlign Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets whether the text is boldface.

Recognized values are normal and bold. The default value for Button controls is bold. The default value for all other controls is normal.

Syntax

C#
protected String textAlign { get; }
VB
'Declaration
Protected Read Property textAlign As String

Access

Read only.


TextAlign Property (FlexLabel)

Class

FlexLabel.

Action

Gets the alignment of text within a container.

Possible values are:left, right, or center.

The default value for most components is left. For the FormItem component, the default value is right. For the Button, LinkButton, and AccordionHeader components, the default value is center, and this property is only recognized when the labelPlacement property is set to left or right. If labelPlacement is set to top or bottom, the text and any icon are centered.

Syntax

C#
protected String textAlign { get; }
VB
'Declaration
Protected Read Property textAlign As String

Access

Read only.


TextAlign Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets the alignment of text within a container.

Possible values are:left, right, or center.

The default value for most components is left. For the FormItem component, the default value is right. For the Button, LinkButton, and AccordionHeader components, the default value is center, and this property is only recognized when the labelPlacement property is set to left or right. If labelPlacement is set to top or bottom, the text and any icon are centered.

Syntax

C#
protected String textAlign { get; }
VB
'Declaration
Protected Read Property textAlign As String

Access

Read only.


TextAlign Property (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Gets the alignment of text within a container. Possible values are: left, right, or center.

The default value for most components is left. For the FormItem component, the default value is right. For the Button, LinkButton, and AccordionHeader components, the default value is center, and this property is only recognized when the labelPlacement property is set to left or right. If labelPlacement is set to top or bottom, the text and any icon are centered.

Syntax

C#
protected String textAlign { get; }
VB
'Declaration
Protected Read Property textAlign As String

Access

Read only.


TextAlign Property (FlexPieChart)

Class

FlexPieChart.

Action

Gets the alignment of text within a container.

Possible values are:left, right, or center. The default value for most components is left.

For the Button, LinkButton, and AccordionHeader components, the default value is center. For these components, this property is only recognized when the labelPlacement property is set to left or right. If labelPlacement is set to top or bottom, the text and any icon are centered.

Syntax

C#
protected String textAlign { get; }
VB
'Declaration
Protected Read Property textAlign As String

Access

Read only.


TextAlign Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets the alignment of text within a container.

Possible values are:left, right, or center.

The default value for most components is left. For the FormItem component, the default value is right. For the Button, LinkButton, and AccordionHeader components, the default value is center, and this property is only recognized when the labelPlacement property is set to left or right. If labelPlacement is set to top or bottom, the text and any icon are centered.

Syntax

C#
protected String textAlign { get; }
VB
'Declaration
Protected Read Property textAlign As String

Access

Read only.


TextDecoration Property (FlexButton)

Class

FlexButton.

Action

Gets whether the text is underlined.

Possible values are none and underline. The default value is none.

Syntax

C#
protected String textDecoration { get; }
VB
'Declaration
Protected Read Property textDecoration As String

Access

Read only.


TextDecoration Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets whether the text is underlined.

Possible values are none and underline. The default value is none.

Syntax

C#
protected String textDecoration { get; }
VB
'Declaration
Protected Read Property textDecoration As String

Access

Read only.


TextDecoration Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets whether the text is underlined.

Possible values are none and underline. The default value is none.

Syntax

C#
protected String textDecoration { get; }
VB
'Declaration
Protected Read Property textDecoration As String

Access

Read only.


TextDecoration Property (FlexLabel)

Class

FlexLabel.

Action

Gets whether the text is underlined.

Possible values are none and underline. The default value is none.

Syntax

C#
protected String textDecoration { get; }
VB
'Declaration
Protected Read Property textDecoration As String

Access

Read only.


TextDecoration Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets whether the text is underlined.

Possible values are none and underline. The default value is none.

Syntax

C#
protected String textDecoration { get; }
VB
'Declaration
Protected Read Property textDecoration As String

Access

Read only.


TextDecoration Property (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Gets whether the text is underlined. Possible values are none and underline. The default value is none.

Syntax

C#
protected String textDecoration { get; }
VB
'Declaration
Protected Read Property textDecoration As String

Access

Read only.


TextDecoration Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets whether the text is underlined.

Possible values are none and underline. The default value is none.

Syntax

C#
protected String textDecoration { get; }
VB
'Declaration
Protected Read Property textDecoration As String

Access

Read only.


TextIndent Property (FlexButton)

Class

FlexButton.

Action

Gets the offset of the first line of text from the left side of the container, in pixels. The default value is 0.

Syntax

C#
protected Double textIndent { get; }
VB
'Declaration
Protected Read Property textIndent As Double

Access

Read only.


TextIndent Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets the offset of first line of text from the left side of the container, in pixels. The default value is 0.

Syntax

C#
protected Integer textIndent { get; }
VB
'Declaration
Protected Read Property textIndent As Integer

Access

Read only.


TextIndent Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets the offset of first line of text from the left side of the container, in pixels. The default value is 0.

Syntax

C#
protected Integer textIndent { get; }
VB
'Declaration
Protected Read Property textIndent As Integer

Access

Read only.


TextIndent Property (FlexLabel)

Class

FlexLabel.

Action

Gets the offset of the first line of text from the left side of the container, in pixels. The default value is 0.

Syntax

C#
protected Integer textIndent { get; }
VB
'Declaration
Protected Read Property textIndent As Integer

Access

Read only.


TextIndent Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets the offset of the first line of text from the left side of the container, in pixels. The default value is 0.

Syntax

C#
protected Integer textIndent { get; }
VB
'Declaration
Protected Read Property textIndent As Integer

Access

Read only.


TextIndent Property (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Gets the offset of first line of text from the left side of the container, in pixels. The default value is 0.

Syntax

C#
protected Integer textIndent { get; }
VB
'Declaration
Protected Read Property textIndent As Integer

Access

Read only.


TextIndent Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets the offset of first line of text from the left side of the container, in pixels. The default value is 0.

Syntax

C#
protected Double textIndent { get; }
VB
'Declaration
Protected Read Property textIndent As Double

Access

Read only.


Text Property (FlexAlert)

Class

FlexAlert.

Action

Gets the text to display in this alert dialog box. The default value is "".

Syntax

C#
protected String text { get; }
VB
'Declaration
Protected Read Property text As String

Access

Read only.


Text Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets the contents of the text field.

Syntax

C#
protected String text { get; }
VB
'Declaration
Protected Read Property text As String

Access

Read only.


Text Property (FlexLabel)

Class

FlexLabel.

Action

Gets the plain text displayed by this control. Its appearance is determined by the CSS styles of this Label control.

Syntax

C#
protected String text { get; }
VB
'Declaration
Protected Read Property text As String

Access

Read only.


Text Property (FlexTextArea)

Class

FlexTextArea.

Action

Gets the plain text that appears in the control.

Its appearance is determined by the CSS styles of this Label control.

The default value is "".

Syntax

C#
protected String text { get; }
VB
'Declaration
Protected Read Property text As String

Access

Read only.


Text Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets the text String displayed by this component.

Syntax

C#
protected String text { get; }
VB
'Declaration
Protected Read Property text As String

Access

Read only.


Text Property (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Gets the text String displayed by this component.

Syntax

C#
protected String text { get; }
VB
'Declaration
Protected Read Property text As String

Access

Read only.


Text Property (SparkTextBase)

Class

SparkTextBase.

Action

Gets the text displayed by this text component.

Syntax

C#
protected String text { get; }
VB
'Declaration
Protected Read Property text As String

Access

Read only.


TextRollOverColor Property (FlexButton)

Class

FlexButton.

Action

Gets the text color of the label as the user moves the mouse pointer over the button. The default value is 0x2B333C.

Syntax

C#
protected Color textRollOverColor { get; }
VB
'Declaration
Protected Read Property textRollOverColor As Color

Access

Read only.


TextRollOverColor Property (FlexListBase)

Class

FlexListBase.

Action

Gets the text color of the label as the user moves the mouse pointer over the button. The default value is 0x2B333C.

Syntax

C#
protected Color textRollOverColor { get; }
VB
'Declaration
Protected Read Property textRollOverColor As Color

Access

Read only.


TextRollOverColor Property (FlexMenu)

Class

FlexMenu.

Action

Gets the color of the menu item text when a user rolls the mouse over the menu item. The default value is 0x2B333C.

Syntax

C#
protected List(Of Color) textRollOverColor { get; }
VB
'Declaration
Protected Read Property textRollOverColor As List(Of Color)

Access

Read only.


TextSelectedColor Property (FlexAccordion)

Class

FlexAccordion.

Action

Gets the color of selected text. The default value is 0x2B333C.

Syntax

C#
protected Color textSelectedColor { get; }
VB
'Declaration
Protected Read Property textSelectedColor As Color

Access

Read only.


TextSelectedColor Property (FlexButton)

Class

FlexButton.

Action

Gets the text color of the label as the user presses it. The default value is 0x000000.

Syntax

C#
protected Color textSelectedColor { get; }
VB
'Declaration
Protected Read Property textSelectedColor As Color

Access

Read only.


TextSelectedColor Property (FlexListBase)

Class

FlexListBase.

Action

Gets the color of the text of a renderer when the user selects it. The default value is 0x2B333C.

Syntax

C#
protected Color textSelectedColor { get; }
VB
'Declaration
Protected Read Property textSelectedColor As Color

Access

Read only.


TextSelectedColor Property (FlexMenu)

Class

FlexMenu.

Action

Gets the color of the menu item text when the menu item is selected. The default value is 0x2B333C.

Syntax

C#
protected List(Of Color) textSelectedColor { get; }
VB
'Declaration
Protected Read Property textSelectedColor As List(Of Color)

Access

Read only.


ThemeColor Property (FlexObject)

Class

FlexObject.

Action

Gets the theme color of a component.

This property controls the appearance of highlights, appearance when a component is selected, and other similar visual cues, but it does not have any effect on the regular borders or background colors of the component. The preferred values are haloGreen, haloBlue, haloOrange, and haloSilver, although any valid color value can be used.

The default values of the rollOverColor and selectionColor styles are based on the themeColor value.

The default value is haloBlue.

Syntax

C#
protected Color themeColor { get; }
VB
'Declaration
Protected Read Property themeColor As Color

Access

Read only.


ThemeColor Property (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Gets the theme color of a component.

Syntax

C#
protected Color themeColor { get; }
VB
'Declaration
Protected Read Property themeColor As Color

Access

Read only.


ThumbCount Property (FlexSlider)

Class

FlexSlider.

Action

Gets the number of thumbs allowed on the slider.

Possible values are 1 or 2. If set to 1, then the value property contains the current value of the slider. If set to 2, then the values property contains an array of values representing the value for each thumb.

The default value is 1.

Syntax

C#
protected Integer thumbCount { get; }
VB
'Declaration
Protected Read Property thumbCount As Integer

Access

Read only.


TickColor Property (FlexSlider)

Class

FlexSlider.

Action

Gets the color of the tick marks.

Use a hex color value or the string name of a known color. The default value is 0x6F7777.

Syntax

C#
protected Color tickColor { get; }
VB
'Declaration
Protected Read Property tickColor As Color

Access

Read only.


TickLength Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets the length of the tick marks on the axis, in pixels. The default value is 3.

Syntax

C#
protected Double tickLength { get; }
VB
'Declaration
Protected Read Property tickLength As Double

Access

Read only.


TickLength Property (FlexSlider)

Class

FlexSlider.

Action

Gets the length in pixels of the tick marks.

If direction is Direction.HORIZONTAL, then adjust the height of the tick marks. If direction is Direction.VERTICAL, then adjust the width. The default value is 3.

Syntax

C#
protected Double tickLength { get; }
VB
'Declaration
Protected Read Property tickLength As Double

Access

Read only.


TickPlacement Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets a value where to draw the tick marks. Values include: inside, outside, cross, and none.

Syntax

C#
protected String tickPlacement { get; }
VB
'Declaration
Protected Read Property tickPlacement As String

Access

Read only.


Ticks Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets an array that specifies where Flex draws the tick marks along the axis. Each array element contains a value between 0 and 1.

Syntax

C#
protected List(Of Double) ticks { get; }
VB
'Declaration
Protected Read Property ticks As List(Of Double)

Access

Read only.


TickThickness Property (FlexSlider)

Class

FlexSlider.

Action

Gets the thickness in pixels of the tick marks.

If direction is horizontal, then adjust the width of the tick marks. If direction is vertical, then adjust the height. The default value is 1.

Syntax

C#
protected Double tickThickness { get; }
VB
'Declaration
Protected Read Property tickThickness As Double

Access

Read only.


Title Property (FlexPanel)

Class

FlexPanel.

Action

Gets the title or caption displayed in the title bar. The default value is "".

Syntax

C#
protected String title { get; }
VB
'Declaration
Protected Read Property title As String

Access

Read only.


Title Property (FlexWindow)

Class

FlexWindow.

Action

Gets the title that appears in the window title bar and the taskbar.

Syntax

C#
protected String title { get; }
VB
'Declaration
Protected Read Property title As String

Access

Read only.


Title Property (FlexWindowedApplication)

Class

FlexWindowedApplication.

Action

Gets the title that appears in the window title bar and the taskbar.

Syntax

C#
protected String title { get; }
VB
'Declaration
Protected Read Property title As String

Access

Read only.


Title Property (SparkPanel)

Class

SparkPanel.

Action

Gets the title or caption displayed in the title bar.

Syntax

C#
protected String title { get; }
VB
'Declaration
Protected Read Property title As String

Access

Read only.


Title Property (SparkWindow)

Class

SparkWindow.

Action

Gets the title that appears in the window title bar and the taskbar.

Syntax

C#
protected String title { get; }
VB
'Declaration
Protected Read Property title As String

Access

Read only.


Title Property (SparkWindowedApplication)

Class

SparkWindowedApplication.

Action

Gets the title that appears in the window title bar and the taskbar.

Syntax

C#
protected String title { get; }
VB
'Declaration
Protected Read Property title As String

Access

Read only.


TodayColor Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets the color of the highlight of today's date in the DateChooser control. The default value is 0x2B333.

Syntax

C#
protected Color todayColor { get; }
VB
'Declaration
Protected Read Property todayColor As Color

Access

Read only.


TodayColor Property (FlexDateField)

Class

FlexDateField.

Action

Gets the color of the highlight of today's date in the DateChooser control. The default value is 0x2B333.

Syntax

C#
protected Color todayColor { get; }
VB
'Declaration
Protected Read Property todayColor As Color

Access

Read only.


Toggle Property (FlexButton)

Class

FlexButton.

Action

Gets whether a Button is in a toggle state or not.

If true, clicking the button toggles it between a selected and an unselected state. You can get or set this state programmatically by using the selected property. If false, the button does not stay pressed after the user releases it. In this case, its selected property is always false.

Buttons like this are used for performing actions. When toggle is set to false, selected is forced to false because only toggle buttons can be selected.

The default value is false.

Syntax

C#
protected Boolean toggle { get; }
VB
'Declaration
Protected Read Property toggle As Boolean

Access

Read only.


ToolTip Property (FlexObject)

Class

FlexObject.

Action

Gets the text to display in the ToolTip. The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String toolTip { get; }
VB
'Declaration
Protected Read Property toolTip As String

Access

Read only.


ToolTip Property (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Gets the text to display in the ToolTip. The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String toolTip { get; }
VB
'Declaration
Protected Read Property toolTip As String

Access

Read only.


ToString Method (FlexDisplayObject)

Class

FlexDisplayObject.

Action

Returns a string representation of the control.

Syntax

C#
result = displayObject.ToString()
VB
result = displayObject.ToString()
Variable | Description
result | String.


TotalTime Property (FlexVideoDisplay)

Class

FlexVideoDisplay.

Action

Gets the total length of the media, in seconds.

For FLV 1.0 video files, you manually set this property. For FLV 1.1 and later, the control calculates this value automatically.

Syntax

C#
protected Double totalTime { get; }
VB
'Declaration
Protected Read Property totalTime As Double

Access

Read only.


TrackColors Property (FlexScrollBar)

Class

FlexScrollBar.

Action

Gets the colors of the track, as an array of two colors.

You can use the same color twice for a solid track color. The default value is [0x94999b, 0xe7e7e7].

Syntax

C#
protected List(Of Color) trackColors { get; }
VB
'Declaration
Protected Read Property trackColors As List(Of Color)

Access

Read only.


TrackColors Property (FlexSlider)

Class

FlexSlider.

Action

Gets the colors of the track, as an array of two colors.

You can use the same color twice for a solid track color.

You use this property along with the fillAlphas property. Typically you set fillAlphas to [ 1.0, 1.0 ] when setting trackColors.

The default value is [ 0xE7E7E7, 0xE7E7E7 ].

Syntax

C#
protected List(Of Color) trackColors { get; }
VB
'Declaration
Protected Read Property trackColors As List(Of Color)

Access

Read only.


Transparent Property (FlexWindow)

Class

FlexWindow.

Action

Gets a value whether the window is transparent.

Syntax

C#
protected Boolean transparent { get; }
VB
'Declaration
Protected Read Property transparent As Boolean

Access

Read only.


Transparent Property (FlexWindowedApplication)

Class

FlexWindowedApplication.

Action

Gets a value whether the window is transparent.

Syntax

C#
protected Boolean transparent { get; }
VB
'Declaration
Protected Read Property transparent As Boolean

Access

Read only.


Transparent Property (SparkWindow)

Class

SparkWindow.

Action

Gets a value whether the window is transparent.

Syntax

C#
protected Boolean transparent { get; }
VB
'Declaration
Protected Read Property transparent As Boolean

Access

Read only.


Transparent Property (SparkWindowedApplication)

Class

SparkWindowedApplication.

Action

Gets a value whether the window is transparent.

Syntax

C#
protected Boolean transparent { get; }
VB
'Declaration
Protected Read Property transparent As Boolean

Access

Read only.


TrustedSource Property (SparkImage)

Class

SparkImage.

Action

Gets a flag denoting whether the currently loaded content is considered loaded from a source whose security policy allows for cross domain image access.

Syntax

C#
protected Boolean trustedSource { get; }
VB
'Declaration
Protected Read Property trustedSource As Boolean

Access

Read only.


Type Method (FlexAccordion)

Class

FlexAccordion.

Action

Dispatched when the user presses a key.

Mappings between keys and specific characters vary by device and operating system. This event type is generated after such a mapping occurs but before the processing of an input method editor (IME). IMEs are used to enter characters, such as Chinese ideographs, that the standard QWERTY keyboard is ill-equipped to produce.

Syntax

C#
accordion.Type(keyCode, [keyModifier])
VB
accordion.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed or released. String.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use when clicking the control. ModifierKeys.


Type Method (FlexAlert)

Class

FlexAlert.

Action

Dispatched when the user presses a key.

Syntax

C#
alert.Type(keyCode, [keyModifier])
VB
alert.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed or released. String.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use. ModifierKeys.


Type Method (FlexButton)

Class

FlexButton.

Action

Dispatched when the user presses a key.

Mappings between keys and specific characters vary by device and operating system. This event type is generated after such a mapping occurs but before the processing of an input method editor (IME). IMEs are used to enter characters, such as Chinese ideographs, that the standard QWERTY keyboard is ill-equipped to produce.

Syntax

C#
button.Type(keyCode, [keyModifier])
VB
button.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed or released. String.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use when clicking the control. ModifierKeys.


Type Method (FlexComboBase)

Class

FlexComboBase.

Action

Dispatched when the user presses a key.

Syntax

C#
comboBase.Type(keyCode, [keyModifier])
VB
comboBase.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed or released. String.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use. ModifierKeys.


Type Method (FlexDateChooser)

Class

FlexDateChooser.

Action

Dispatched when the user presses a key.

Syntax

C#
dateChooser.Type(keyCode, [keyModifier])
VB
dateChooser.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed or released. String.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use. ModifierKeys.


Type Method (FlexListBase)

Class

FlexListBase.

Action

Dispatched when the user presses a key.

Mappings between keys and specific characters vary by device and operating system. This event type is generated after such a mapping occurs but before the processing of an input method editor (IME). IMEs are used to enter characters, such as Chinese ideographs, that the standard QWERTY keyboard is ill-equipped to produce.

Syntax

C#
listBase.Type(keyCode, [keyModifier])
VB
listBase.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed or released. String.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use when clicking the controls. ModifierKeys.


Type Method (FlexMenu)

Class

FlexMenu.

Action

Dispatched when the user presses a key.

Syntax

C#
menu.Type(keyCode, [keyModifier])
VB
menu.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed or released. String.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use. ModifierKeys.


Type Method (FlexMenuBar)

Class

FlexMenuBar.

Action

Dispatched when the user presses a key.

Syntax

C#
menuBar.Type(keyCode, [keyModifier])
VB
menuBar.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed or released. String.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use. ModifierKeys.


Type Method (FlexNavigationBar)

Class

FlexNavigationBar.

Action

Dispatched when the user presses a key.

Syntax

C#
navigationBar.Type(keyCode, [keyModifier])
VB
navigationBar.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed or released. String.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use. ModifierKeys.


Type Method (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Dispatched when the user presses a key.

Syntax

C#
numericStepper.Type(keyCode, [keyModifier])
VB
numericStepper.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed or released. String.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use. ModifierKeys.


Type Method (FlexTextArea)

Class

FlexTextArea.

Action

Dispatched when the user presses a key.

Syntax

C#
textArea.Type(keyCode, [keyModifier])
VB
textArea.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed or released. String.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use. ModifierKeys.


Type Method (FlexViewStack)

Class

FlexViewStack.

Action

Dispatched when the user presses a key.

Syntax

C#
viewStack.Type(keyCode, [keyModifier])
VB
viewStack.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed or released. String.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use. ModifierKeys.


Type Method (SparkApplication)

Class

SparkApplication.

Action

Dispatched when the user presses a key.

Syntax

C#
application.Type(keyCode, [keyModifier])
VB
application.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


Type Method (SparkButtonBase)

Class

SparkButtonBase.

Action

Dispatched when the user presses a key.

Syntax

C#
buttonBase.Type(keyCode, [keyModifier])
VB
buttonBase.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


Type Method (SparkDataGrid)

Class

SparkDataGrid.

Action

Dispatched when the user presses a key.

Syntax

C#
dataGrid.Type(keyCode, [keyModifier])
VB
dataGrid.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


Type Method (SparkGroupBase)

Class

SparkGroupBase.

Action

Dispatched when the user presses a key.

Syntax

C#
groupBase.Type(keyCode, [keyModifier])
VB
groupBase.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


Type Method (SparkListBase)

Class

SparkListBase.

Action

Dispatched when the user presses a key.

Syntax

C#
listBase.Type(keyCode, [keyModifier])
VB
listBase.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


Type Method (SparkPanel)

Class

SparkPanel.

Action

Dispatched when the user presses a key.

Syntax

C#
panel.Type(keyCode, [keyModifier])
VB
panel.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


Type Method (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Dispatched when the user presses a key.

Syntax

C#
richEditableText.Type(keyCode, [keyModifier])
VB
richEditableText.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


Type Method (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Dispatched when the user presses a key.

Syntax

C#
skinnableTextBase.Type(keyCode, [keyModifier])
VB
skinnableTextBase.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


Type Method (SparkSpinner)

Class

SparkSpinner.

Action

Dispatched when the user presses a key.

Syntax

C#
spinner.Type(keyCode, [keyModifier])
VB
spinner.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


Type Method (SparkTextBase)

Class

SparkTextBase.

Action

Dispatched when the user presses a key.

Syntax

C#
textBase.Type(keyCode, [keyModifier])
VB
textBase.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


Type Method (SparkTrackBase)

Class

SparkTrackBase.

Action

Dispatched when the user presses a key.

Syntax

C#
trackBase.Type(keyCode, [keyModifier])
VB
trackBase.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


Url Property (FlexApplication)

Class

FlexApplication.

Action

Gets the URL from which this Application's SWF file was loaded.

Syntax

C#
protected String url { get; }
VB
'Declaration
Protected Read Property url As String

Access

Read only.


Url Property (SparkApplication)

Class

SparkApplication.

Action

Gets the URL from which this Application's SWF file was loaded.

Syntax

C#
protected String url { get; }
VB
'Declaration
Protected Read Property url As String

Access

Read only.


UseHandCursor Property (FlexObject)

Class

FlexObject.

Action

Gets whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead.

Syntax

C#
protected Boolean useHandCursor { get; }
VB
'Declaration
Protected Read Property useHandCursor As Boolean

Access

Read only.


UseHandCursor Property (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Gets whether the pointing hand (hand cursor) appears when the mouse rolls over a sprite in which the buttonMode property is set to true.

The default value is true. If useHandCursor is set to true, the pointing hand used for buttons appears when the mouse rolls over a button sprite. If useHandCursor is false, the arrow pointer is used instead.

Syntax

C#
protected Boolean useHandCursor { get; }
VB
'Declaration
Protected Read Property useHandCursor As Boolean

Access

Read only.


UseRollOver Property (FlexListBase)

Class

FlexListBase.

Action

Gets whether items are highlighted as the mouse rolls over them.

If true, rows are highlighted as the mouse rolls over them. If false, rows are highlighted only when selected.

The default value is true.

Syntax

C#
protected Boolean useRollOver { get; }
VB
'Declaration
Protected Read Property useRollOver As Boolean

Access

Read only.


UseVirtualLayout Property (SparkListBase)

Class

SparkListBase.

Action

Gets the value of the useVirtualLayout property of the layout associated with this control.

Syntax

C#
protected Boolean useVirtualLayout { get; }
VB
'Declaration
Protected Read Property useVirtualLayout As Boolean

Access

Read only.


Value Property (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Gets the value displayed in the text area of the NumericStepper control.

If a user enters number that is not a multiple of the stepSize property or is not in the range between the maximum and minimum properties, this property is set to the closest valid value.

The default value is 0.

Syntax

C#
protected Double value { get; }
VB
'Declaration
Protected Read Property value As Double

Access

Read only.


Value Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets the amount of progress that has been made between the minimum and maximum values.

Syntax

C#
protected Double value { get; }
VB
'Declaration
Protected Read Property value As Double

Access

Read only.


Value Property (FlexSlider)

Class

FlexSlider.

Action

Gets the position of the thumb, and is a number between the minimum and maximum properties.

Use the value property when thumbCount is 1. When thumbCount is greater than 1, use the values property instead. The default value is equal to the minimum property.

Syntax

C#
protected Double value { get; }
VB
'Declaration
Protected Read Property value As Double

Access

Read only.


Value Property (SparkRange)

Class

SparkRange.

Action

Gets the current value for this range.

Syntax

C#
protected Double value { get; }
VB
'Declaration
Protected Read Property value As Double

Access

Read only.


Values Property (FlexSlider)

Class

FlexSlider.

Action

Gets an array of values for each thumb when thumbCount is greater than 1.

Syntax

C#
protected List(Of Double) values { get; }
VB
'Declaration
Protected Read Property values As List(Of Double)

Access

Read only.


VariableRowHeight Property (FlexListBase)

Class

FlexListBase.

Action

Gets whether the individual rows can have different height.

This property is ignored by TileList and HorizontalList. If true, individual rows can have different height values.

The default value is false.

Syntax

C#
protected Boolean variableRowHeight { get; }
VB
'Declaration
Protected Read Property variableRowHeight As Boolean

Access

Read only.


VerticalAlign Property (FlexBox)

Class

FlexBox.

Action

Gets the vertical alignment of children in the container.

Possible values are: top, middle, and bottom. The default value is top, but some containers, such as ButtonBar, ControlBar, LinkBar, and ToggleButtonBar, have different default values.

Syntax

C#
protected String verticalAlign { get; }
VB
'Declaration
Protected Read Property verticalAlign As String

Access

Read only.


VerticalAlign Property (FlexListBase)

Class

FlexListBase.

Action

Gets the vertical alignment of a renderer in a row.

Possible values are: top, middle, and bottom. The DataGrid positions the renderers in a row based on this style and the paddingTop and paddingBottom styles.

The default value is top.

Syntax

C#
protected String verticalAlign { get; }
VB
'Declaration
Protected Read Property verticalAlign As String

Access

Read only.


VerticalAlign Property (SparkImage)

Class

SparkImage.

Action

Gets the vertical alignment of the content when it does not have a one-to-one aspect ratio and scaleMode is set to BitmapScaleMode.LETTERBOX.

Syntax

C#
protected String verticalAlign { get; }
VB
'Declaration
Protected Read Property verticalAlign As String

Access

Read only.


VerticalAxisRatio Property (FlexCartesianChart)

Class

FlexCartesianChart.

Action

Gets the width limit of the vertical axis.

The limit is the width of the axis times this ratio. The default value is 0.33.

Syntax

C#
protected Double verticalAxisRatio { get; }
VB
'Declaration
Protected Read Property verticalAxisRatio As Double

Access

Read only.


VerticalGap Property (FlexAccordion)

Class

FlexAccordion.

Action

Gets the number of pixels between children in the vertical direction.

The default value is -1, so the top and bottom borders of adjacent headers overlap.

Syntax

C#
protected Double verticalGap { get; }
VB
'Declaration
Protected Read Property verticalGap As Double

Access

Read only.


VerticalGap Property (FlexChartLegend)

Class

FlexChartLegend.

Action

Gets the number of pixels between children in the vertical direction. The default value depends on the component class; if not overriden for the class, the default value is 6.

Syntax

C#
protected Integer verticalGap { get; }
VB
'Declaration
Protected Read Property verticalGap As Integer

Access

Read only.


VerticalGridLineColor Property (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Gets the color of the vertical grid lines. The default value is 0x666666.

Syntax

C#
protected Color verticalGridLineColor { get; }
VB
'Declaration
Protected Read Property verticalGridLineColor As Color

Access

Read only.


VerticalGridLineColor Property (FlexDataGrid)

Class

FlexDataGrid.

Action

Gets the color of the vertical grid lines. The default value is 0x666666.

Syntax

C#
protected Color verticalGridLineColor { get; }
VB
'Declaration
Protected Read Property verticalGridLineColor As Color

Access

Read only.


VerticalGridLines Property (FlexDataGrid)

Class

FlexDataGrid.

Action

Gets whether to show vertical grid lines between the columns.

If true, the data grid shows vertical grid lines. If false, the data grid hides vertical grid lines. The default value is true.

Syntax

C#
protected Boolean verticalGridLines { get; }
VB
'Declaration
Protected Read Property verticalGridLines As Boolean

Access

Read only.


VerticalScrollPosition Property (SparkGroupBase)

Class

SparkGroupBase.

Action

Gets the y coordinate of the origin of the viewport in the component's coordinate system, where the default value is (0,0) corresponding to the upper-left corner of the component.

Syntax

C#
protected Double verticalScrollPosition { get; }
VB
'Declaration
Protected Read Property verticalScrollPosition As Double

Access

Read only.


VerticalScrollPosition Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets the number of pixels by which the text is scrolled vertically.

Syntax

C#
protected Double verticalScrollPosition { get; }
VB
'Declaration
Protected Read Property verticalScrollPosition As Double

Access

Read only.


ViewSourceURL Property (SparkApplication)

Class

SparkApplication.

Action

Gets the URL where the application's source can be viewed.

Syntax

C#
protected String viewSourceURL { get; }
VB
'Declaration
Protected Read Property viewSourceURL As String

Access

Read only.


Visible Property (FlexDisplayObject)

Class

FlexDisplayObject.

Action

Gets whether the display object is visible.

Display objects that are not visible are disabled. For example, if visible=false for an InteractiveObject instance, it cannot be clicked.

Syntax

C#
protected Boolean visible { get; }
VB
'Declaration
Protected Read Property visible As Boolean

Access

Read only.


Volume Property (FlexVideoDisplay)

Class

FlexVideoDisplay.

Action

Gets the volume level, specified as an value between 0 and 1. The default value is 0.75.

Syntax

C#
protected Double volume { get; }
VB
'Declaration
Protected Read Property volume As Double

Access

Read only.


Volume Property (SparkMuteButton)

Class

SparkMuteButton.

Action

Gets the volume of the control.

Syntax

C#
protected Double volume { get; }
VB
'Declaration
Protected Read Property volume As Double

Access

Read only.


Volume Property (SparkVideoDisplay)

Class

SparkVideoDisplay.

Action

Gets the volume level, specified as a value between 0 and 1.

Syntax

C#
protected Double volume { get; }
VB
'Declaration
Protected Read Property volume As Double

Access

Read only.


Volume Property (SparkVideoPlayer)

Class

SparkVideoPlayer.

Action

Gets the volume level, specified as a value between 0 and 1.

Syntax

C#
protected Double volume { get; }
VB
'Declaration
Protected Read Property volume As Double

Access

Read only.


WidthInChars Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets the default width of the control, measured in em units.

Syntax

C#
protected Double widthInChars { get; }
VB
'Declaration
Protected Read Property widthInChars As Double

Access

Read only.


WidthInChars Property (SparkTextArea)

Class

SparkTextArea.

Action

Gets the default width of the control, measured in em units.

Syntax

C#
protected Double widthInChars { get; }
VB
'Declaration
Protected Read Property widthInChars As Double

Access

Read only.


WidthInChars Property (SparkTextInput)

Class

SparkTextInput.

Action

Gets the default width of the control, measured in em units.

Syntax

C#
protected Double widthInChars { get; }
VB
'Declaration
Protected Read Property widthInChars As Double

Access

Read only.


Width Property (FlexDisplayObject)

Class

FlexDisplayObject.

Action

Gets the width of the display object, in pixels.

The width is calculated based on the bounds of the content of the display object. When you set the width property, the scaleX property is adjusted accordingly.

Syntax

C#
protected Double width { get; }
VB
'Declaration
Protected Read Property width As Double

Access

Read only.


WordWrap Property (FlexListBase)

Class

FlexListBase.

Action

Gets whether text in the row should be word wrapped.

If true, enables word wrapping for text in the rows. Only takes effect if the variableRowHeight property is also true.

The default value is false.

Syntax

C#
protected Boolean wordWrap { get; }
VB
'Declaration
Protected Read Property wordWrap As Boolean

Access

Read only.


WordWrap Property (FlexTextArea)

Class

FlexTextArea.

Action

Gets whether text in the row should be word wrapped.

If true, enables word wrapping for text in the rows. Only takes effect if the variableRowHeight property is also true. The default value is false.

Syntax

C#
protected Boolean wordWrap { get; }
VB
'Declaration
Protected Read Property wordWrap As Boolean

Access

Read only.


XField Property (FlexAreaSeries)

Class

FlexAreaSeries.

Action

Gets the field of the data provider that determines the position of the data points on the horizontal axis.

If null (Nothing in Visual Basic), the data points are rendered in the order they appear in the data provider. The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String xField { get; }
VB
'Declaration
Protected Read Property xField As String

Access

Read only.


XField Property (FlexBarSeries)

Class

FlexBarSeries.

Action

Gets the field of the data provider that determines the x-axis location of the top of each bar.

If null (Nothing in Visual Basic), the BarSeries assumes that the data provider is an Array of numbers, and uses the numbers as values.

The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String xField { get; }
VB
'Declaration
Protected Read Property xField As String

Access

Read only.


XField Property (FlexBubbleSeries)

Class

FlexBubbleSeries.

Action

Gets the field of the data provider that determines the x-axis location of each data point.

If null (Nothing in Visual Basic), Flex renders the data points in the order that they appear in the data provider. The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String xField { get; }
VB
'Declaration
Protected Read Property xField As String

Access

Read only.


XField Property (FlexColumnSeries)

Class

FlexColumnSeries.

Action

Gets the field of the data provider that determines the x-axis location of the column.

If null (Nothing in Visual Basic), Flex renders the columns in the order they appear in the data provider. The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String xField { get; }
VB
'Declaration
Protected Read Property xField As String

Access

Read only.


XField Property (FlexHLOCSeriesBase)

Class

FlexHLOCSeriesBase.

Action

Gets the field of the data provider that determines the x-axis location of the element.

If null (Nothing in Visual Basic), the data points are rendered in the order they appear in the data provider. The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String xField { get; }
VB
'Declaration
Protected Read Property xField As String

Access

Read only.


XField Property (FlexLineSeries)

Class

FlexLineSeries.

Action

Gets the field of the data provider that determines the x-axis location of each data point.

If null (Nothing in Visual Basic), the data points are rendered in the order they appear in the data provider. The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String xField { get; }
VB
'Declaration
Protected Read Property xField As String

Access

Read only.


XField Property (FlexPlotSeries)

Class

FlexPlotSeries.

Action

Gets the field of the data provider that determines the x-axis location of each data point.

If null (Nothing in Visual Basic), Flex renders the data points in the order they appear in the dataProvider. The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String xField { get; }
VB
'Declaration
Protected Read Property xField As String

Access

Read only.


X Property (FlexDisplayObject)

Class

FlexDisplayObject.

Action

Gets the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer.

If the object is inside a DisplayObjectContainer that has transformations, it is in the local coordinate system of the enclosing DisplayObjectContainer. Thus, for a DisplayObjectContainer rotated 90 degrees counterclockwise, the DisplayObjectContainer's children inherit a coordinate system that is rotated 90 degrees counterclockwise. The object's coordinates refer to the registration point position.

Syntax

C#
protected Double x { get; }
VB
'Declaration
Protected Read Property x As Double

Access

Read only.


YearNavigationEnabled Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets whether year navigation is enabled.

When true an up and down button appear to the right of the displayed year. You can use these buttons to change the current year. These button appear to the left of the year in locales where year comes before the month in the date format.

The default value is false.

Syntax

C#
protected Boolean yearNavigationEnabled { get; }
VB
'Declaration
Protected Read Property yearNavigationEnabled As Boolean

Access

Read only.


YearNavigationEnabled Property (FlexDateField)

Class

FlexDateField.

Action

Gets whether the year up and down buttons are available for navigation.

When true an up and down button appear to the right of the displayed year. You can use these buttons to change the current year. These button appear to the left of the year in locales where year comes before the month in the date format. The default value is false.

Syntax

C#
protected Boolean yearNavigationEnabled { get; }
VB
'Declaration
Protected Read Property yearNavigationEnabled As Boolean

Access

Read only.


YField Property (FlexAreaSeries)

Class

FlexAreaSeries.

Action

Gets the field of the data provider that determines the position of the data point on the vertical axis.

If null (Nothing in Visual Basic), the AreaSeries assumes the dataProvider is an array of numbers, and uses the numbers as values for the data points. The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String yField { get; }
VB
'Declaration
Protected Read Property yField As String

Access

Read only.


YField Property (FlexBarSeries)

Class

FlexBarSeries.

Action

Gets the field of the data provider that determines the y-axis location of the bottom of each bar in the chart.

If null (Nothing in Visual Basic), Flex arranges the bars in the order of the data in the data provider.

The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String yField { get; }
VB
'Declaration
Protected Read Property yField As String

Access

Read only.


YField Property (FlexBubbleSeries)

Class

FlexBubbleSeries.

Action

Gets the field of the data provider that determines the y-axis location of each data point.

If null (Nothing in Visual Basic), the BubbleSeries assumes that the data provider is an Array of numbers, and uses the numbers as values for the data points. The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String yField { get; }
VB
'Declaration
Protected Read Property yField As String

Access

Read only.


YField Property (FlexColumnSeries)

Class

FlexColumnSeries.

Action

Gets the field of the data provider that determines the y-axis location of the top of a column.

If null (Nothing in Visual Basic), the ColumnSeries assumes the data provider is an Array of numbers and uses the numbers as values. The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String yField { get; }
VB
'Declaration
Protected Read Property yField As String

Access

Read only.


YField Property (FlexLineSeries)

Class

FlexLineSeries.

Action

Gets the field of the data provider that determines the y-axis location of each data point.

If null (Nothing in Visual Basic), the LineSeries assumes the data provider is an Array of numbers, and uses the numbers as values. The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String yField { get; }
VB
'Declaration
Protected Read Property yField As String

Access

Read only.


YField Property (FlexPlotSeries)

Class

FlexPlotSeries.

Action

Gets the field of the data provider that determines the y-axis location of each data point.

If null (Nothing in Visual Basic), the PlotSeries assumes the data provider is an Array of numbers, and uses the numbers as values. The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String yField { get; }
VB
'Declaration
Protected Read Property yField As String

Access

Read only.


Y Property (FlexDisplayObject)

Class

FlexDisplayObject.

Action

Gets the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer.

If the object is inside a DisplayObjectContainer that has transformations, it is in the local coordinate system of the enclosing DisplayObjectContainer. Thus, for a DisplayObjectContainer rotated 90 degrees counterclockwise, the DisplayObjectContainer's children inherit a coordinate system that is rotated 90 degrees counterclockwise. The object's coordinates refer to the registration point position.

Syntax

C#
protected Double y { get; }
VB
'Declaration
Protected Read Property y As Double

Access

Read only.


AlwaysShowScrollBars Property (ScrolledComposite)

Class

ScrolledComposite.

Action

Gets or sets whether the scrollbar shows.

Syntax

C#
protected Boolean AlwaysShowScrollBars { get; set; }
VB
'Declaration
Protected ReadWrite Property AlwaysShowScrollBars As Boolean

Access

Read and write.


Bottom Property (CBanner)

Class

CBanner.

Action

Gets the control located at the bottom of the banner.

Syntax

C#
protected TestObject Bottom { get; }
VB
'Declaration
Protected Read Property Bottom As TestObject

Access

Read only.


Close Method (CTabFolder)

Class

CTabFolder.

Action

Closes the visible page.

Syntax

C#
cTabFolder.Close(item)
VB
cTabFolder.Close(item)
Variable | Description
item | The page to close. ItemIdentifier.


Close Method (CTabItem)

Class

CTabItem.

Action

Closes the visible tab.

Syntax

C#
cTabItem.Close()
VB
cTabItem.Close()


Collapse Method (ExpandBar)

Class

ExpandBar.

Action

Collapses the ExpandBar.

Syntax

C#
expandBar.Collapse(item)
VB
expandBar.Collapse(item)
Variable | Description
item | The item to collapse. ItemIdentifier.


Collapse Method (ExpandItem)

Class

ExpandItem.

Action

Collapses the expandable items.

Syntax

C#
expandItem.Collapse()
VB
expandItem.Collapse()


ColumnCount Property (SWTTree)

Class

SWTTree.

Action

Gets the number of columns in the tree.

Syntax

C#
protected Integer ColumnCount { get; }
VB
'Declaration
Protected Read Property ColumnCount As Integer

Access

Read only.


Columns Property (SWTTree)

Class

SWTTree.

Action

Gets a list of columns in the tree.

Syntax

C#
protected List(Of SWTTreeColumn) Columns { get; }
VB
'Declaration
Protected Read Property Columns As List(Of SWTTreeColumn)

Access

Read only.


Content Property (CoolItem)

Class

CoolItem.

Action

Gets the content of the areas that can be dynamically positioned.

Syntax

C#
protected TestObject Content { get; }
VB
'Declaration
Protected Read Property Content As TestObject

Access

Read only.


Content Property (ExpandItem)

Class

ExpandItem.

Action

Gets the content of the item.

Syntax

C#
protected TestObject Content { get; }
VB
'Declaration
Protected Read Property Content As TestObject

Access

Read only.


Content Property (ScrolledComposite)

Class

ScrolledComposite.

Action

Gets the content of the areas that can be dynamically positioned.

Syntax

C#
protected TestObject Content { get; }
VB
'Declaration
Protected Read Property Content As TestObject

Access

Read only.


Content Property (ViewForm)

Class

ViewForm.

Action

Gets the content of the areas that can be dynamically positioned.

Syntax

C#
protected TestObject Content { get; }
VB
'Declaration
Protected Read Property Content As TestObject

Access

Read only.


CurrentDate Property (SWTDateTime)

Class

SWTDateTime.

Action

Gets or sets the current date.

Syntax

C#
protected DateTime? CurrentDate { get; set; }
VB
'Declaration
Protected ReadWrite Property CurrentDate As DateTime?

Access

Read and write.


Day Property (SWTDateTime)

Class

SWTDateTime.

Action

Gets or sets the day.

Syntax

C#
protected Integer Day { get; set; }
VB
'Declaration
Protected ReadWrite Property Day As Integer

Access

Read and write.


Decrement Method (Spinner)

Class

Spinner.

Action

Decreases the value when the spinner controls are pressed.

Syntax

C#
spinner.Decrement([value])
VB
spinner.Decrement([value])
Variable | Description
value | Optional: The amount to decrement. The default value is '1'. Integer.


Editable Property (StyledText)

Class

StyledText.

Action

Gets or sets whether the text is editable.

Syntax

C#
protected Boolean Editable { get; set; }
VB
'Declaration
Protected ReadWrite Property Editable As Boolean

Access

Read and write.


ExpandedItems Property (ExpandBar)

Class

ExpandBar.

Action

Gets a list of the items that are expanded.

Syntax

C#
protected List(Of ExpandItem) ExpandedItems { get; }
VB
'Declaration
Protected Read Property ExpandedItems As List(Of ExpandItem)

Access

Read only.


Expanded Property (ExpandItem)

Class

ExpandItem.

Action

Gets or sets whether the item is expanded.

Syntax

C#
protected Boolean Expanded { get; set; }
VB
'Declaration
Protected ReadWrite Property Expanded As Boolean

Access

Read and write.


Expand Method (ExpandBar)

Class

ExpandBar.

Action

Expands an ExpandBar.

Syntax

C#
expandBar.Expand(item)
VB
expandBar.Expand(item)
Variable | Description
item | The item to expand. ItemIdentifier.


Expand Method (ExpandItem)

Class

ExpandItem.

Action

Expands the expandable items.

Syntax

C#
expandItem.Expand()
VB
expandItem.Expand()


ExtendSelect Method (SWTTree)

Class

SWTTree.

Action

Selects a range of items by extending the selection.

Syntax

C#
tree.ExtendSelect(itemPath)
VB
tree.ExtendSelect(itemPath)
Variable | Description
itemPath | The item to select. ItemPath.


GetContentsOfColumn Method (SWTTree)

Class

SWTTree.

Action

Retrieves the contents of the specified column as a list. To retrieve the contents of any column greater than column one, you must specify the parameters rawMode and column.

Syntax

C#
contentsOfColumn = tree.GetContentsOfColumn(rawMode, [column])
VB
contentsOfColumn = tree.GetContentsOfColumn(rawMode, [column])
Variable | Description
contentsOfColumn | List(Of String).
rawMode | Prevents spaces from being trimmed from items. Boolean.
column | Optional: The column to get the contents from. The value is zero-based. Integer.

Examples

VB

tree.GetContentsOfColumn(true,3)


GetItemsOfColumn Method (SWTTree)

Class

SWTTree.

Action

Retrieve items of the specified column from Tree.

Syntax

C#
itemsOfColumn = tree.GetItemsOfColumn([allItems, column])
VB
itemsOfColumn = tree.GetItemsOfColumn([allItems, column])
Variable | Description
itemsOfColumn | TreeContent.
allItems | Optional: true if the result should include nonviewable items. Boolean.
column | Optional: The column to get the items from. The value is zero-based. Integer.


GetSelectedTextOfColumn Method (SWTTree)

Class

SWTTree.

Action

Retrieves selected text from the specified column.

Syntax

C#
selectedTextOfColumn = tree.GetSelectedTextOfColumn([column])
VB
selectedTextOfColumn = tree.GetSelectedTextOfColumn([column])
Variable | Description
selectedTextOfColumn | String.
column | Optional: The column to get the text from. The value is zero-based. Integer.


Horizontal Property (SashForm)

Class

SashForm.

Action

Gets or sets whether the sash form is horizontal.

Syntax

C#
protected Boolean Horizontal { get; set; }
VB
'Declaration
Protected ReadWrite Property Horizontal As Boolean

Access

Read and write.


Hours Property (SWTDateTime)

Class

SWTDateTime.

Action

Gets or sets the hour.

Syntax

C#
protected Integer Hours { get; set; }
VB
'Declaration
Protected ReadWrite Property Hours As Integer

Access

Read and write.


IncrementCount Property (Spinner)

Class

Spinner.

Action

Gets or sets the amount to increase the position value of the spinner control after pressing it.

Syntax

C#
protected Integer IncrementCount { get; set; }
VB
'Declaration
Protected ReadWrite Property IncrementCount As Integer

Access

Read and write.


Increment Method (Spinner)

Class

Spinner.

Action

Increases the value when the spinner controls are pressed.

Syntax

C#
spinner.Increment([value])
VB
spinner.Increment([value])
Variable | Description
value | Optional: The amount to increment. The default value is '1'. Integer.


ItemCount Property (CoolBar)

Class

CoolBar.

Action

Gets the number of items in the coolbar.

Syntax

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

Access

Read only.


ItemCount Property (CTabFolder)

Class

CTabFolder.

Action

Gets the number of items in the tab folder.

Syntax

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

Access

Read only.


ItemCount Property (ExpandBar)

Class

ExpandBar.

Action

Gets the number of items in the expandbar.

Syntax

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

Access

Read only.


Items Property (CoolBar)

Class

CoolBar.

Action

Gets a list of items in the coolbar.

Syntax

C#
protected List(Of CoolItem) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of CoolItem)

Access

Read only.


Items Property (CTabFolder)

Class

CTabFolder.

Action

Gets a list of items in the tab folder.

Syntax

C#
protected List(Of CTabItem) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of CTabItem)

Access

Read only.


Items Property (ExpandBar)

Class

ExpandBar.

Action

Gets a list of items in the expandbar.

Syntax

C#
protected List(Of ExpandItem) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ExpandItem)

Access

Read only.


Left Property (CBanner)

Class

CBanner.

Action

Gets the control located on the left side of the banner.

Syntax

C#
protected TestObject Left { get; }
VB
'Declaration
Protected Read Property Left As TestObject

Access

Read only.


MaximizedControl Property (SashForm)

Class

SashForm.

Action

Gets the sash window that is maximized in the form.

Syntax

C#
protected TestObject MaximizedControl { get; }
VB
'Declaration
Protected Read Property MaximizedControl As TestObject

Access

Read only.


Maximize Method (CTabFolder)

Class

CTabFolder.

Action

Resizes the CTabFolder to its full (maximized) size.

Syntax

C#
cTabFolder.Maximize()
VB
cTabFolder.Maximize()


Minimize Method (CTabFolder)

Class

CTabFolder.

Action

Resizes the CTabFolder to the minimum size allowed.

Syntax

C#
cTabFolder.Minimize()
VB
cTabFolder.Minimize()


Minutes Property (SWTDateTime)

Class

SWTDateTime.

Action

Gets or sets the minute.

Syntax

C#
protected Integer Minutes { get; set; }
VB
'Declaration
Protected ReadWrite Property Minutes As Integer

Access

Read and write.


Month Property (SWTDateTime)

Class

SWTDateTime.

Action

Gets or sets the month.

Syntax

C#
protected Integer Month { get; set; }
VB
'Declaration
Protected ReadWrite Property Month As Integer

Access

Read and write.


Move Method (Sash)

Class

Sash.

Action

Moves the window pane that the sash borders.

Syntax

C#
sash.Move(amount)
VB
sash.Move(amount)
Variable | Description
amount | The number of pixels to move the window pane. Integer.


MultiSelect Method (SWTTree)

Class

SWTTree.

Action

Adds an item from the tree to the set of selected items.

Syntax

C#
tree.MultiSelect(itemPath)
VB
tree.MultiSelect(itemPath)
Variable | Description
itemPath | The item to select. ItemPath.


MultiUnselect Method (SWTTree)

Class

SWTTree.

Action

Removes an item in the tree from the set of selected items.

Syntax

C#
tree.MultiUnselect(itemPath)
VB
tree.MultiUnselect(itemPath)
Variable | Description
itemPath | The item to select. ItemPath.


Origin Property (ScrolledComposite)

Class

ScrolledComposite.

Action

Gets or sets the point in the content that currently appears in the top left corner of the scrolled composite.

Syntax

C#
protected Point Origin { get; set; }
VB
'Declaration
Protected ReadWrite Property Origin As Point

Access

Read and write.


PageDecrement Method (Spinner)

Class

Spinner.

Action

Decreases the value when the page spinner controls are pressed.

Syntax

C#
spinner.PageDecrement([value])
VB
spinner.PageDecrement([value])
Variable | Description
value | Optional: The page amount to decrement. The default value is '1'. Integer.


PageIncrement Method (Spinner)

Class

Spinner.

Action

Increases the value when the page spinner controls are pressed.

Syntax

C#
spinner.PageIncrement([value])
VB
spinner.PageIncrement([value])
Variable | Description
value | Optional: The page amount to increment. The default value is '1'. Integer.


PageSize Property (Spinner)

Class

Spinner.

Action

Gets or sets the internal page size of the spinner control.

Syntax

C#
protected Integer PageSize { get; set; }
VB
'Declaration
Protected ReadWrite Property PageSize As Integer

Access

Read and write.


Position Property (Spinner)

Class

Spinner.

Action

Gets or sets the position for the up/down control.

Syntax

C#
protected Integer Position { get; set; }
VB
'Declaration
Protected ReadWrite Property Position As Integer

Access

Read and write.


Range Property (Spinner)

Class

Spinner.

Action

Gets or sets the range of the spinner control.

Syntax

C#
protected Range Range { get; set; }
VB
'Declaration
Protected ReadWrite Property Range As Range

Access

Read and write.


Resize Method (SWTTreeColumn)

Class

SWTTreeColumn.

Action

Resizes a column of the tree.

Syntax

C#
treeColumn.Resize(width)
VB
treeColumn.Resize(width)
Variable | Description
width | The new width of the column, in pixels. Integer.


Restore Method (CTabFolder)

Class

CTabFolder.

Action

Restores the CTabFolder to its previous size.

Syntax

C#
cTabFolder.Restore()
VB
cTabFolder.Restore()


RightMinimumSize Property (CBanner)

Class

CBanner.

Action

Gets or sets the minimum size of the control located on the right side of the banner.

Syntax

C#
protected Point RightMinimumSize { get; set; }
VB
'Declaration
Protected ReadWrite Property RightMinimumSize As Point

Access

Read and write.


Right Property (CBanner)

Class

CBanner.

Action

Gets the control located on the right side of the banner.

Syntax

C#
protected TestObject Right { get; }
VB
'Declaration
Protected Read Property Right As TestObject

Access

Read only.


RightWidth Property (CBanner)

Class

CBanner.

Action

Gets or sets the width of the control located on the right side of the banner.

Syntax

C#
protected Integer RightWidth { get; set; }
VB
'Declaration
Protected ReadWrite Property RightWidth As Integer

Access

Read and write.


Seconds Property (SWTDateTime)

Class

SWTDateTime.

Action

Gets or sets the second.

Syntax

C#
protected Integer Seconds { get; set; }
VB
'Declaration
Protected ReadWrite Property Seconds As Integer

Access

Read and write.


SelectedIndex Property (CTabFolder)

Class

CTabFolder.

Action

Gets or sets the index of the selected item. The value is zero-based.

Syntax

C#
protected Integer SelectedIndex { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedIndex As Integer

Access

Read and write.


SelectedItem Property (CTabFolder)

Class

CTabFolder.

Action

Gets the selected tab item.

Syntax

C#
protected CTabItem SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As CTabItem

Access

Read only.


SelectedItemText Property (CTabFolder)

Class

CTabFolder.

Action

Gets the text of the selected item or an empty string if no item is selected.

Syntax

C#
protected String SelectedItemText { get; }
VB
'Declaration
Protected Read Property SelectedItemText As String

Access

Read only.


Selected Property (CTabItem)

Class

CTabItem.

Action

Gets or sets whether the item is selected.

Syntax

C#
protected Boolean Selected { get; set; }
VB
'Declaration
Protected ReadWrite Property Selected As Boolean

Access

Read and write.


Selected Property (SWTTabItem)

Class

SWTTabItem.

Action

Gets or sets whether the item is selected.

Syntax

C#
protected Boolean Selected { get; set; }
VB
'Declaration
Protected ReadWrite Property Selected As Boolean

Access

Read and write.


SelectedTabItem Property (SWTTabControl)

Class

SWTTabControl.

Action

Gets the name of the selected item.

Syntax

C#
protected SWTTabItem SelectedTabItem { get; }
VB
'Declaration
Protected Read Property SelectedTabItem As SWTTabItem

Access

Read only.


SelectList Method (CTabFolder)

Class

CTabFolder.

Action

Selects one or more items in the tab.

Syntax

C#
cTabFolder.SelectList()
VB
cTabFolder.SelectList()


Select Method (CTabFolder)

Class

CTabFolder.

Action

Selects an item from the CTabFolder.

Syntax

C#
cTabFolder.Select(item)
VB
cTabFolder.Select(item)
Variable | Description
item | The item to select. ItemIdentifier.


Select Method (CTabItem)

Class

CTabItem.

Action

Selects a tab.

Syntax

C#
cTabItem.Select()
VB
cTabItem.Select()


Select Method (SWTDateTime)

Class

SWTDateTime.

Action

Selects a date and time.

Syntax

C#
dateTime.Select(selectedDate)
VB
dateTime.Select(selectedDate)
Variable | Description
selectedDate | The date and time to select. DateTime?.


Select Method (SWTTabItem)

Class

SWTTabItem.

Action

Selects a tab.

Syntax

C#
tabItem.Select()
VB
tabItem.Select()


Select Method (SWTTreeColumn)

Class

SWTTreeColumn.

Action

Selects a tree column.

Syntax

C#
treeColumn.Select()
VB
treeColumn.Select()


SetValue Method (Spinner)

Class

Spinner.

Action

Sets the value for the spinner control.

Syntax

C#
spinner.SetValue(value)
VB
spinner.SetValue(value)
Variable | Description
value | The new value. Integer.


Simple Property (CBanner)

Class

CBanner.

Action

Gets or sets whether the banner is rendered with a simple, traditional shape.

Syntax

C#
protected Boolean Simple { get; set; }
VB
'Declaration
Protected ReadWrite Property Simple As Boolean

Access

Read and write.


TabItems Property (SWTTabControl)

Class

SWTTabControl.

Action

Gets a list of TabItems in the tab control.

Syntax

C#
protected List(Of SWTTabItem) TabItems { get; }
VB
'Declaration
Protected Read Property TabItems As List(Of SWTTabItem)

Access

Read only.


TopCenter Property (ViewForm)

Class

ViewForm.

Action

Gets the window located in the top center of the pane.

Syntax

C#
protected TestObject TopCenter { get; }
VB
'Declaration
Protected Read Property TopCenter As TestObject

Access

Read only.


TopLeft Property (ViewForm)

Class

ViewForm.

Action

Gets the window located in the top left of the pane.

Syntax

C#
protected TestObject TopLeft { get; }
VB
'Declaration
Protected Read Property TopLeft As TestObject

Access

Read only.


TopRight Property (ViewForm)

Class

ViewForm.

Action

Gets the window located in the top right of the pane.

Syntax

C#
protected TestObject TopRight { get; }
VB
'Declaration
Protected Read Property TopRight As TestObject

Access

Read only.


Vertical Property (SashForm)

Class

SashForm.

Action

Gets or sets whether the sash form is vertical.

Syntax

C#
protected Boolean Vertical { get; set; }
VB
'Declaration
Protected ReadWrite Property Vertical As Boolean

Access

Read and write.


Weights Property (SashForm)

Class

SashForm.

Action

Gets or sets the relative sizes of the children of the sash form window.

Syntax

C#
protected List(Of Integer) Weights { get; set; }
VB
'Declaration
Protected ReadWrite Property Weights As List(Of Integer)

Access

Read and write.


Width Property (SWTTreeColumn)

Class

SWTTreeColumn.

Action

Gets or sets the width of the column.

Syntax

C#
protected Integer Width { get; set; }
VB
'Declaration
Protected ReadWrite Property Width As Integer

Access

Read and write.


Year Property (SWTDateTime)

Class

SWTDateTime.

Action

Gets or sets the year.

Syntax

C#
protected Integer Year { get; set; }
VB
'Declaration
Protected ReadWrite Property Year As Integer

Access

Read and write.


ClearText Method (MobileTextField)

Class

MobileTextField.

Action

Clears all the content from the text field.

Syntax

C#
textField.ClearText()
VB
textField.ClearText()


Click Method (IMobileClickable)

Class

IMobileClickable.

Action

Clicks on the device at the specified coordinates.

Syntax

C#
iMobileClickable.Click([position])
VB
iMobileClickable.Click([position])
Variable | Description
position | Optional: The coordinates at which to click. Point.


CloseApp Method (MobileDevice)

Class

MobileDevice.

Action

Closes the app and releases the device, to make it available to other users.

Syntax

C#
device.CloseApp()
VB
device.CloseApp()


DeviceId Property (MobileDevice)

Class

MobileDevice.

Action

Gets the id of the device for the current connection.

Syntax

C#
protected String DeviceId { get; }
VB
'Declaration
Protected Read Property DeviceId As String

Access

Read only.


DisplayHeight Property (MobileDevice)

Class

MobileDevice.

Action

Gets the height of the display in pixels.

Syntax

C#
protected Integer DisplayHeight { get; }
VB
'Declaration
Protected Read Property DisplayHeight As Integer

Access

Read only.


DisplayOrientation Property (MobileDevice)

Class

MobileDevice.

Action

Gets the current orientation of the device.

Syntax

C#
protected DisplayOrientation DisplayOrientation { get; }
VB
'Declaration
Protected Read Property DisplayOrientation As DisplayOrientation

Access

Read only.


DisplayWidth Property (MobileDevice)

Class

MobileDevice.

Action

Gets the width of the display in pixels.

Syntax

C#
protected Integer DisplayWidth { get; }
VB
'Declaration
Protected Read Property DisplayWidth As Integer

Access

Read only.


DoubleClick Method (IMobileClickable)

Class

IMobileClickable.

Action

Double-clicks on the device at the specified coordinates.

Syntax

C#
iMobileClickable.DoubleClick([position])
VB
iMobileClickable.DoubleClick([position])
Variable | Description
position | Optional: The coordinates at which to double-click. Point.


Drag Method (IMobileGestures)

Class

IMobileGestures.

Action

Performs a drag operation between the two specified points.

Syntax

C#
iMobileGestures.Drag(start, end)
VB
iMobileGestures.Drag(start, end)
Variable | Description
start | The start point of the drag operation. Point.
end | The end point of the drag operation. Point.


DragTo Method (MobileObject)

Class

MobileObject.

Action

Drags this object to the specified point relative to the mobile device.

Syntax

C#
object.DragTo(destination)
VB
object.DragTo(destination)
Variable | Description
destination | The destination of the drag relative to the mobile device. Point.


DragToObject Method (MobileObject)

Class

MobileObject.

Action

Drags this object to the specified destination object.

Syntax

C#
object.DragToObject(destination)
VB
object.DragToObject(destination)
Variable | Description
destination | The destination object of the drag. MobileObject.


GenerateConnectionString Method (MobileDevice)

Class

MobileDevice.

Action

Generates a connection string for this mobile device.

Syntax

C#
result = device.GenerateConnectionString()
VB
result = device.GenerateConnectionString()
Variable | Description
result | String.


IsEmulator Property (MobileDevice)

Class

MobileDevice.

Action

Gets whether the connected device is an emulator.

Syntax

C#
protected Boolean IsEmulator { get; }
VB
'Declaration
Protected Read Property IsEmulator As Boolean

Access

Read only.


IsEnabled Property (MobileObject)

Class

MobileObject.

Action

Gets whether the mobile object is enabled.

Syntax

C#
protected Boolean IsEnabled { get; }
VB
'Declaration
Protected Read Property IsEnabled As Boolean

Access

Read only.


IsFocused Property (MobileObject)

Class

MobileObject.

Action

Gets whether the mobile object has focus. This property is not supported on iOS.

Syntax

C#
protected Boolean IsFocused { get; }
VB
'Declaration
Protected Read Property IsFocused As Boolean

Access

Read only.


IsSelected Property (MobileObject)

Class

MobileObject.

Action

Gets whether the mobile object is selected or checked.

Syntax

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

Access

Read only.


LongClick Method (IMobileClickable)

Class

IMobileClickable.

Action

Long-clicks on the device at the specified coordinates.

Syntax

C#
iMobileClickable.LongClick([position])
VB
iMobileClickable.LongClick([position])
Variable | Description
position | Optional: The coordinates at which to long-click. Point.


Model Property (MobileDevice)

Class

MobileDevice.

Action

Gets the device name of the connected device.

Syntax

C#
protected String Model { get; }
VB
'Declaration
Protected Read Property Model As String

Access

Read only.


MultiTouch Method (IMobileGestures)

Class

IMobileGestures.

Action

Performs a multi-touch operation with the given pointers. For every given pointer a swipe operation is executed at the same time.

Syntax

C#
iMobileGestures.MultiTouch(pointers)
VB
iMobileGestures.MultiTouch(pointers)
Variable | Description
pointers | A list of pointers where every pointer contains a list of points describing it's touch path. List(Of List(Of Point )).


OperatingSystem Property (MobileDevice)

Class

MobileDevice.

Action

Gets the operating system of the mobile device, Android or iOS.

Syntax

C#
protected MobileOperatingSystem OperatingSystem { get; }
VB
'Declaration
Protected Read Property OperatingSystem As MobileOperatingSystem

Access

Read only.


OsVersion Property (MobileDevice)

Class

MobileDevice.

Action

Gets the version of the operating system of the connected device.

Syntax

C#
protected String OsVersion { get; }
VB
'Declaration
Protected Read Property OsVersion As String

Access

Read only.


PinchIn Method (IMobileGestures)

Class

IMobileGestures.

Action

Performs a two-pointer gesture, where each pointer moves toward the other, from the edges to the center of this object. For example to zoom out on an image.

Syntax

C#
iMobileGestures.PinchIn([percent])
VB
iMobileGestures.PinchIn([percent])
Variable | Description
percent | Optional: percentage of the object's diagonal length for the pinch gesture. Integer.


PinchOut Method (IMobileGestures)

Class

IMobileGestures.

Action

Performs a two-pointer gesture, where each pointer moves opposite across the other, from the center out towards the edges of the this object. For example to zoom in on an image.

Syntax

C#
iMobileGestures.PinchOut([percent])
VB
iMobileGestures.PinchOut([percent])
Variable | Description
percent | Optional: percentage of the object's diagonal length for the pinch gesture. Integer.


PressBack Method (MobileDevice)

Class

MobileDevice.

Action

Presses the back button. This method is not supported on iOS.

Syntax

C#
device.PressBack()
VB
device.PressBack()


PressDelete Method (MobileDevice)

Class

MobileDevice.

Action

Presses the delete button.

Syntax

C#
device.PressDelete()
VB
device.PressDelete()


PressEnter Method (MobileDevice)

Class

MobileDevice.

Action

Presses the enter button.

Syntax

C#
device.PressEnter()
VB
device.PressEnter()


PressHome Method (MobileDevice)

Class

MobileDevice.

Action

Presses the home button.

Syntax

C#
device.PressHome()
VB
device.PressHome()


PressKeyCode Method (MobileDevice)

Class

MobileDevice.

Action

Presses a certain Android-specific key code. This method is not supported on iOS.

For additional information about the supported Android key codes, refer to the Appium documentation.

Syntax

C#
device.PressKeyCode(keyCode)
VB
device.PressKeyCode(keyCode)
Variable | Description
keyCode | The desired key code to press. Integer.


PressRecentApps Method (MobileDevice)

Class

MobileDevice.

Action

Presses the recent apps button.

Syntax

C#
device.PressRecentApps()
VB
device.PressRecentApps()


Rotate Method (MobileDevice)

Class

MobileDevice.

Action

Simulates rotating the device screen.

Syntax

C#
device.Rotate(orientation)
VB
device.Rotate(orientation)
Variable | Description
orientation | The desired device screen orientation. DisplayOrientation.


SetLocation Method (MobileDevice)

Class

MobileDevice.

Action

Sets the geographic location of the device, this method only works on Android devices (physical or emulated) and iOS simulators.

  • When testing a native mobile application on iOS, the SetLocation method is only supported for iOS simulators, not for physical iOS devices.
  • When testing a native mobile application on an Android version prior to Android 6.0, you have to enable Allow mock locations to use the SetLocation method. To do so, open the settings of the Android device or emulator and tap Developer Options.
  • When testing a native mobile application on Android 6.0 or later, you have to set the app to Appium Settings to use the SetLocation method. To do so, open the settings of the Android device or emulator and tap Developer Options > Select mock location app. Then choose Appium Settings. Note: The Appium Settings entry is only available if you have already executed a test with Appium on the Android device or emulator.

Syntax

C#
device.SetLocation(latitude, longitude)
VB
device.SetLocation(latitude, longitude)
Variable | Description
latitude | Latitude of the location in degrees and minutes represented as a double value. Double.
longitude | Longitude of the location in degrees and minutes represented as a double value. Double.


SetText Method (MobileTextField)

Class

MobileTextField.

Action

Substitutes new text for the text in the text field.

Syntax

C#
textField.SetText(text)
VB
textField.SetText(text)
Variable | Description
text | The text to set. String.


Sleep Method (MobileDevice)

Class

MobileDevice.

Action

Presses the power button if the screen is on. This method is not supported on iOS.

Syntax

C#
device.Sleep()
VB
device.Sleep()


SwipeDown Method (IMobileGestures)

Class

IMobileGestures.

Action

Performs a down-swipe.

Syntax

C#
iMobileGestures.SwipeDown([steps, delayBetweenSteps])
VB
iMobileGestures.SwipeDown([steps, delayBetweenSteps])
Variable | Description
steps | Optional: the number of steps between the specified points. The default number of steps for Android is 5. Increase the number of steps to increase the duration of the swipe operation. For iOS, a swipe operation is always performed in a single step. Integer.
delayBetweenSteps | Optional: the delay in milliseconds for each swipe step. For example, when scrolling an application with a swipe operation, how far the application scrolls depends on the swipe speed. The default value is 5 milliseconds. Increase this delay, for example to 300 milliseconds, to create more reproducible results. Integer.


SwipeLeft Method (IMobileGestures)

Class

IMobileGestures.

Action

Performs a left-swipe.

Syntax

C#
iMobileGestures.SwipeLeft([steps, delayBetweenSteps])
VB
iMobileGestures.SwipeLeft([steps, delayBetweenSteps])
Variable | Description
steps | Optional: the number of steps between the specified points. The default number of steps for Android is 5. Increase the number of steps to increase the duration of the swipe operation. For iOS, a swipe operation is always performed in a single step. Integer.
delayBetweenSteps | Optional: the delay in milliseconds for each swipe step. For example, when scrolling an application with a swipe operation, how far the application scrolls depends on the swipe speed. The default value is 5 milliseconds. Increase this delay, for example to 300 milliseconds, to create more reproducible results. Integer.


Swipe Method (IMobileGestures)

Class

IMobileGestures.

Action

Performs a swipe between the two specified points.

Syntax

C#
iMobileGestures.Swipe(start, end, [steps, delayBetweenSteps])
VB
iMobileGestures.Swipe(start, end, [steps, delayBetweenSteps])
Variable | Description
start | The start point of the swipe. Point.
end | The end point of the swipe. Point.
steps | Optional: the number of steps between the specified points. The default number of steps for Android is 5. Increase the number of steps to increase the duration of the swipe operation. For iOS, a swipe operation is always performed in a single step. Integer.
delayBetweenSteps | Optional: the delay in milliseconds for each swipe step. For example, when scrolling an application with a swipe operation, how far the application scrolls depends on the swipe speed. The default value is 5 milliseconds. Increase this delay, for example to 300 milliseconds, to create more reproducible results. Integer.


SwipeRight Method (IMobileGestures)

Class

IMobileGestures.

Action

Performs a right-swipe.

Syntax

C#
iMobileGestures.SwipeRight([steps, delayBetweenSteps])
VB
iMobileGestures.SwipeRight([steps, delayBetweenSteps])
Variable | Description
steps | Optional: the number of steps between the specified points. The default number of steps for Android is 5. Increase the number of steps to increase the duration of the swipe operation. For iOS, a swipe operation is always performed in a single step. Integer.
delayBetweenSteps | Optional: the delay in milliseconds for each swipe step. For example, when scrolling an application with a swipe operation, how far the application scrolls depends on the swipe speed. The default value is 5 milliseconds. Increase this delay, for example to 300 milliseconds, to create more reproducible results. Integer.


SwipeUp Method (IMobileGestures)

Class

IMobileGestures.

Action

Performs a up-swipe.

Syntax

C#
iMobileGestures.SwipeUp([steps, delayBetweenSteps])
VB
iMobileGestures.SwipeUp([steps, delayBetweenSteps])
Variable | Description
steps | Optional: the number of steps between the specified points. The default number of steps for Android is 5. Increase the number of steps to increase the duration of the swipe operation. For iOS, a swipe operation is always performed in a single step. Integer.
delayBetweenSteps | Optional: the delay in milliseconds for each swipe step. For example, when scrolling an application with a swipe operation, how far the application scrolls depends on the swipe speed. The default value is 5 milliseconds. Increase this delay, for example to 300 milliseconds, to create more reproducible results. Integer.


SwipeWithSegments Method (IMobileGestures)

Class

IMobileGestures.

Action

Performs a swipe between the specified points.

Syntax

C#
iMobileGestures.SwipeWithSegments(segments, [steps, delayBetweenSteps])
VB
iMobileGestures.SwipeWithSegments(segments, [steps, delayBetweenSteps])
Variable | Description
segments | The points between to swipe. List(Of Point ).
steps | Optional: the number of steps between the specified points. The default number of steps for Android is 5. Increase the number of steps to increase the duration of the swipe operation. For iOS, a swipe operation is always performed in a single step. Integer.
delayBetweenSteps | Optional: the delay in milliseconds for each swipe step. For example, when scrolling an application with a swipe operation, how far the application scrolls depends on the swipe speed. The default value is 5 milliseconds. Increase this delay, for example to 300 milliseconds, to create more reproducible results. Integer.


TwoPointerMultiTouch Method (IMobileGestures)

Class

IMobileGestures.

Action

Performs a multi-touch operation with two pointers. It executes two swipe operation at the same time.

Syntax

C#
iMobileGestures.TwoPointerMultiTouch(startPointer1, endPointer1, startPointer2, endPointer2, [steps, delayBetweenSteps])
VB
iMobileGestures.TwoPointerMultiTouch(startPointer1, endPointer1, startPointer2, endPointer2, [steps, delayBetweenSteps])
Variable | Description
startPointer1 | The start point of the first pointer. Point.
endPointer1 | The end point of the first pointer. Point.
startPointer2 | The start point of the second pointer. Point.
endPointer2 | The end point of the second pointer. Point.
steps | Optional: the number of steps between the specified points. The default number of steps for Android is 5. Increase the number of steps to increase the duration of the drag operation. Integer.
delayBetweenSteps | Optional: the delay in milliseconds for each swipe step. For example, when scrolling an application with a swipe operation, how far the application scrolls depends on the swipe speed. The default value is 5 milliseconds. Increase this delay, for example to 300 milliseconds, to create more reproducible results. Integer.


TypeKeys Method (IMobileKeyable)

Class

IMobileKeyable.

Action

Sends a set of keystrokes to the object.

Syntax

C#
iMobileKeyable.TypeKeys(keys, [delay, ensureFocus])
VB
iMobileKeyable.TypeKeys(keys, [delay, ensureFocus])
Variable | Description
keys | The keystrokes to type. String.
delay | Optional: The delay between keystrokes in milliseconds. Integer.
ensureFocus | Optional: Determines whether it should be ensured that the mobile object actually has the focus. The focus will be set with a click in the middle of the mobile object. Defaults to true. Boolean.


TypePasswordKeys Method (MobileTextField)

Class

MobileTextField.

Action

Types an encrypted password into a text field.

The text field is cleared of any existing text before typing the encrypted password.

Syntax

C#
textField.TypePasswordKeys(keys, [delay, ensureFocus])
VB
textField.TypePasswordKeys(keys, [delay, ensureFocus])
Variable | Description
keys | The encrypted password. String.
delay | Optional: The delay between keystrokes in milliseconds. Integer.
ensureFocus | Optional: Determines whether it should be ensured that the control actually has the keyboard focus. Defaults to true. Boolean.


WakeUp Method (MobileDevice)

Class

MobileDevice.

Action

Presses the power button if the screen is off. This method is not supported on iOS.

Syntax

C#
device.WakeUp()
VB
device.WakeUp()


AutoEnter Property (RumbaField)

Class

RumbaField.

Action

Gets a value that indicates true if the field is an AutoEnter field.

Syntax

C#
protected Boolean AutoEnter { get; }
VB
'Declaration
Protected Read Property AutoEnter As Boolean

Access

Read only.


AutoSkip Property (RumbaField)

Class

RumbaField.

Action

Gets a value that is true if the field is an AutoSkip field.

Syntax

C#
protected Boolean AutoSkip { get; }
VB
'Declaration
Protected Read Property AutoSkip As Boolean

Access

Read only.


BackgroundColor Property (RumbaScreen)

Class

RumbaScreen.

Action

Gets the background color of the display control.

Syntax

C#
protected Color BackgroundColor { get; }
VB
'Declaration
Protected Read Property BackgroundColor As Color

Access

Read only.


CharacterSetId Property (RumbaScreen)

Class

RumbaScreen.

Action

Gets a value that identifies the character set translation table used by the Display control.

Syntax

C#
protected Integer CharacterSetId { get; }
VB
'Declaration
Protected Read Property CharacterSetId As Integer

Access

Read only.


Clear Method (RumbaScreen)

Class

RumbaScreen.

Action

Clears the screen by sending the "clear" key. Equivalent to synchSendKeys(RumbaKey.CLEAR).

Syntax

C#
screen.Clear()
VB
screen.Clear()


ColumnCount Property (RumbaScreen)

Class

RumbaScreen.

Action

Gets a value that indicates the number of columns on the current screen.

Syntax

C#
protected Integer ColumnCount { get; }
VB
'Declaration
Protected Read Property ColumnCount As Integer

Access

Read only.


Connect Method (RumbaScreen)

Class

RumbaScreen.

Action

Connects to the hosts in the current configuration.

Syntax

C#
screen.Connect([screenUpdateWaitCount, timeout])
VB
screen.Connect([screenUpdateWaitCount, timeout])
Variable | Description
screenUpdateWaitCount | Optional: The number of screen updates that need to be awaited until the first stable screen is ready for further interaction. Defaults to 1. If screenUpdateWaitCount is zero, no synchronization is done and the parameter timeout is ignored. Integer.
timeout | Optional: The timeout in milliseconds. Defaults to 30000ms. If timeout is exceeded, an exception is thrown. Integer.


CursorColumn Property (RumbaScreen)

Class

RumbaScreen.

Action

Gets the column position of the cursor on the screen.

Syntax

C#
protected Integer CursorColumn { get; }
VB
'Declaration
Protected Read Property CursorColumn As Integer

Access

Read only.


CursorLine Property (RumbaScreen)

Class

RumbaScreen.

Action

Gets the line position of the cursor on the screen.

Syntax

C#
protected Integer CursorLine { get; }
VB
'Declaration
Protected Read Property CursorLine As Integer

Access

Read only.


CursorPosition Property (RumbaScreen)

Class

RumbaScreen.

Action

Gets the current cursor position on the screen. Values are starting with 1 for the first line or column.

Syntax

C#
protected TextPosition CursorPosition { get; }
VB
'Declaration
Protected Read Property CursorPosition As TextPosition

Access

Read only.


Detectable Property (RumbaField)

Class

RumbaField.

Action

Gets a value is indicates true if the field is detectable.

Syntax

C#
protected Boolean Detectable { get; }
VB
'Declaration
Protected Read Property Detectable As Boolean

Access

Read only.


Disconnect Method (RumbaScreen)

Class

RumbaScreen.

Action

Disconnects the current connection.

Syntax

C#
screen.Disconnect()
VB
screen.Disconnect()


Dup Property (RumbaField)

Class

RumbaField.

Action

Gets a value that indicates true if the field is a dup field.

Syntax

C#
protected Boolean Dup { get; }
VB
'Declaration
Protected Read Property Dup As Boolean

Access

Read only.


EndColumn Property (RumbaField)

Class

RumbaField.

Action

Gets a value that indicates the ending column of the field.

Syntax

C#
protected Integer EndColumn { get; }
VB
'Declaration
Protected Read Property EndColumn As Integer

Access

Read only.


EndLine Property (RumbaField)

Class

RumbaField.

Action

Gets a value that indicates the ending line of the field.

Syntax

C#
protected Integer EndLine { get; }
VB
'Declaration
Protected Read Property EndLine As Integer

Access

Read only.


EndPosition Property (RumbaField)

Class

RumbaField.

Action

Gets the 1-based end position of the field, when the screen is seen as one sequence of characters.

Syntax

C#
protected Integer EndPosition { get; }
VB
'Declaration
Protected Read Property EndPosition As Integer

Access

Read only.


Enptui Property (RumbaField)

Class

RumbaField.

Action

Gets a value that indicates true if the field is an ENPTUI field.

Syntax

C#
protected Boolean Enptui { get; }
VB
'Declaration
Protected Read Property Enptui As Boolean

Access

Read only.


FieldExitRequired Property (RumbaField)

Class

RumbaField.

Action

Gets a value that indicates true if the field is required before exiting the screen.

Syntax

C#
protected Boolean FieldExitRequired { get; }
VB
'Declaration
Protected Read Property FieldExitRequired As Boolean

Access

Read only.


GetCharacterAttributes Method (RumbaField)

Class

RumbaField.

Action

Gets the character attributes for this field's characters.

Syntax

C#
characterAttributes = field.GetCharacterAttributes()
VB
characterAttributes = field.GetCharacterAttributes()
Variable | Description
characterAttributes | List(Of RumbaCharacterAttribute ).


GetCharacterAttributes Method (RumbaScreen)

Class

RumbaScreen.

Action

Gets the character attributes for length-number of characters starting at the given position.

Syntax

C#
characterAttributes = screen.GetCharacterAttributes(position, length)
VB
characterAttributes = screen.GetCharacterAttributes(position, length)
Variable | Description
characterAttributes | List(Of RumbaCharacterAttribute ).
position | The position where the retrieval should start. TextPosition.
length | The amount of characters whose attributes should be returned. Integer.


GetContent Method (RumbaScreen)

Class

RumbaScreen.

Action

Retrieves a string containing the screen without line breaks starting at the specified text position.

Position values must be greater than 0 and less than the corresponding screen dimension.

Syntax

C#
content = screen.GetContent(fromPosition, [length])
VB
content = screen.GetContent(fromPosition, [length])
Variable | Description
content | String.
fromPosition | The start position on the screen, starting with 1 for the first column or line. TextPosition.
length | Optional: The number of characters on the screen to read. A specified length must be greater than -1. Reading stops at the end of the screen. If omitted the content to the end of the screen is returned. Integer.


GetLines Method (RumbaScreen)

Class

RumbaScreen.

Action

Retrieves a clipping of the screen and returns the selected lines in a list of strings.

Syntax

C#
lines = screen.GetLines([fromPosition, toPosition])
VB
lines = screen.GetLines([fromPosition, toPosition])
Variable | Description
lines | List(Of String).
fromPosition | Optional: The upper left position of the clipping on the screen, starting with 1 for the first line or column. Position values must be greater than 0 and less than the corresponding screen dimension, otherwise an Exception will be thrown. TextPosition.
toPosition | Optional: The lower right position of the clipping on the screen. An exception will be thrown if the relative position to $fromPosition$ is invalid. Position values must be greater than 0 and less than the corresponding screen dimension, otherwise an Exception will be thrown. TextPosition.


Hidden Property (RumbaField)

Class

RumbaField.

Action

Gets a value that indicates if the field is hidden.

Syntax

C#
protected Boolean Hidden { get; }
VB
'Declaration
Protected Read Property Hidden As Boolean

Access

Read only.


HostConnected Property (RumbaScreen)

Class

RumbaScreen.

Action

Gets a value that indicates if the host is connected.

Syntax

C#
protected Boolean HostConnected { get; }
VB
'Declaration
Protected Read Property HostConnected As Boolean

Access

Read only.


HostDeviceName Property (RumbaScreen)

Class

RumbaScreen.

Action

Gets the host device name.

Syntax

C#
protected String HostDeviceName { get; }
VB
'Declaration
Protected Read Property HostDeviceName As String

Access

Read only.


HostIpAddress Property (RumbaScreen)

Class

RumbaScreen.

Action

Gets the host IP address.

Syntax

C#
protected String HostIpAddress { get; }
VB
'Declaration
Protected Read Property HostIpAddress As String

Access

Read only.


Intense Property (RumbaField)

Class

RumbaField.

Action

Gets a value that indicates true if the field is intense.

Syntax

C#
protected Boolean Intense { get; }
VB
'Declaration
Protected Read Property Intense As Boolean

Access

Read only.


KeyboardLocked Property (RumbaScreen)

Class

RumbaScreen.

Action

Gets a value that indicates whether keyboard input is inhibited.

Syntax

C#
protected Boolean KeyboardLocked { get; }
VB
'Declaration
Protected Read Property KeyboardLocked As Boolean

Access

Read only.


Length Property (RumbaField)

Class

RumbaField.

Action

Gets the length of the field.

Syntax

C#
protected Integer Length { get; }
VB
'Declaration
Protected Read Property Length As Integer

Access

Read only.


LineCount Property (RumbaScreen)

Class

RumbaScreen.

Action

Gets a value that indicates the number of lines on the current screen.

Syntax

C#
protected Integer LineCount { get; }
VB
'Declaration
Protected Read Property LineCount As Integer

Access

Read only.


ModifiedDataTag Property (RumbaField)

Class

RumbaField.

Action

Gets a value that indicates true if the field has the ModifiedDataTag property set.

Syntax

C#
protected Boolean ModifiedDataTag { get; }
VB
'Declaration
Protected Read Property ModifiedDataTag As Boolean

Access

Read only.


Protected Property (RumbaField)

Class

RumbaField.

Action

Gets a value that indicates true if the field is protected (i.e. a RumbaLabel).

Syntax

C#
protected Boolean Protected { get; }
VB
'Declaration
Protected Read Property Protected As Boolean

Access

Read only.


Reset Method (RumbaScreen)

Class

RumbaScreen.

Action

Resets the screen by sending the "reset" key. Equivalent to synchSendKeys(RumbaKey.RESET).

Syntax

C#
screen.Reset()
VB
screen.Reset()


ScreenId Property (RumbaScreen)

Class

RumbaScreen.

Action

Gets the screen id.

Syntax

C#
protected Integer ScreenId { get; }
VB
'Declaration
Protected Read Property ScreenId As Integer

Access

Read only.


ScreenSize Property (RumbaScreen)

Class

RumbaScreen.

Action

Gets the size of the screen in text lines and columns.

Syntax

C#
protected TextPosition ScreenSize { get; }
VB
'Declaration
Protected Read Property ScreenSize As TextPosition

Access

Read only.


SendKeys Method (RumbaObject)

Class

RumbaObject.

Action

Sends keys. Supports RDE mnemonics.

Syntax

C#
object.SendKeys(keys)
VB
object.SendKeys(keys)
Variable | Description
keys | The keys to send. The Rumba keyboard mnemonics can be used in this string. For additional information about the Rumba keyboard mnemonics, refer to the RDE .NET Help. String.

Examples

VB

The line
rumbaScreen.SendKeys(RumbaKey.Tab)
is equivalent to
rumbaScreen.SendKeys("@T");
RumbaKey constants can be combined with regular strings:
rumbaScreen.SendKeys("someone" & RumbaKey.At & "example.com");
For all available constants see the class RumbaKey.


SessionName Property (RumbaScreen)

Class

RumbaScreen.

Action

Gets the session name.

Syntax

C#
protected String SessionName { get; }
VB
'Declaration
Protected Read Property SessionName As String

Access

Read only.


SetCursorPosition Method (RumbaScreen)

Class

RumbaScreen.

Action

Moves the cursor to the given position of the screen.

Syntax

C#
screen.SetCursorPosition(position)
VB
screen.SetCursorPosition(position)
Variable | Description
position | The position where the cursor should be moved to, starting with 1 for the first line or column. TextPosition.


SetText Method (RumbaTextField)

Class

RumbaTextField.

Action

Sets the text field's text.

Syntax

C#
textField.SetText(text)
VB
textField.SetText(text)
Variable | Description
text | The text to set. String.


StartColumn Property (RumbaField)

Class

RumbaField.

Action

Gets a value that indicates the column in which the field begins.

Syntax

C#
protected Integer StartColumn { get; }
VB
'Declaration
Protected Read Property StartColumn As Integer

Access

Read only.


StartLine Property (RumbaField)

Class

RumbaField.

Action

Gets a value that indicates the line in which the field begins.

Syntax

C#
protected Integer StartLine { get; }
VB
'Declaration
Protected Read Property StartLine As Integer

Access

Read only.


StartPosition Property (RumbaField)

Class

RumbaField.

Action

Gets the 1-based start position of the field, when the screen is seen as one sequence of characters.

Syntax

C#
protected Integer StartPosition { get; }
VB
'Declaration
Protected Read Property StartPosition As Integer

Access

Read only.


Submit Method (RumbaScreen)

Class

RumbaScreen.

Action

Submits the entered data to the server by sending the "submit" key. Equivalent to synchSendKeys(RumbaKey.SUBMIT).

Syntax

C#
screen.Submit()
VB
screen.Submit()


SupportsStructuredFields Property (RumbaScreen)

Class

RumbaScreen.

Action

Gets a value that indicates if the host supports structured field decoding.

Syntax

C#
protected Boolean SupportsStructuredFields { get; }
VB
'Declaration
Protected Read Property SupportsStructuredFields As Boolean

Access

Read only.


SynchSendKeys Method (RumbaObject)

Class

RumbaObject.

Action

Synchronously sends keys. Supports RDE mnemonics.

Syntax

C#
object.SynchSendKeys(keys, [screenUpdateWaitCount, timeout])
VB
object.SynchSendKeys(keys, [screenUpdateWaitCount, timeout])
Variable | Description
keys | The keys to send. The Rumba keyboard mnemonics can be used in this string. For additional information about the Rumba keyboard mnemonics, refer to the RDE .NET Help. String.
screenUpdateWaitCount | Optional: The number of screen updates that need to be awaited until the new screen is ready for further interaction. Integer.
timeout | Optional: The timeout in milliseconds. If set to 0, the Rumba APIs default timeout (currently 10000ms) is used. Integer.

Examples

VB

The line
rumbaScreen.SynchSendKeys(RumbaKey.PF3)
is equivalent to
rumbaScreen.SynchSendKeys("@3");
RumbaKey constants can be combined with regular strings:
rumbaScreen.SynchSendKeys("someone" & RumbaKey.At & "example.com" & RumbaKey.Enter);
For all available constants see the class RumbaKey.


Type Property (RumbaField)

Class

RumbaField.

Action

Gets a value that represents the input allowed for this field.

Syntax

C#
protected HostFieldEditConstants Type { get; }
VB
'Declaration
Protected Read Property Type As HostFieldEditConstants

Access

Read only.


WaitForHostConnected Method (RumbaScreen)

Class

RumbaScreen.

Action

Waits until the session is connected.

Syntax

C#
screen.WaitForHostConnected([timeout])
VB
screen.WaitForHostConnected([timeout])
Variable | Description
timeout | Optional: The timeout in milliseconds. Defaults to 30000ms. If timeout is exceeded, an exception is thrown. Integer.


WriteText Method (RumbaScreen)

Class

RumbaScreen.

Action

Writes text on the screen.

If no Position is specified the current cursor position is the place for insertion.

Syntax

C#
screen.WriteText(text, [position])
VB
screen.WriteText(text, [position])
Variable | Description
text | Text which is written to the screen. String.
position | Optional: The starting position of insertion, starting with 1 for the first line or column. TextPosition.


AccessibilityDescription Property (SapBarChart)

Class

SapBarChart.

Action

Gets the accessibility description of the shell.

Syntax

C#
protected String AccessibilityDescription { get; }
VB
'Declaration
Protected Read Property AccessibilityDescription As String

Access

Read only.


AccessibilityDescription Property (SapChart)

Class

SapChart.

Action

Gets the accessibility description of the shell.

Syntax

C#
protected String AccessibilityDescription { get; }
VB
'Declaration
Protected Read Property AccessibilityDescription As String

Access

Read only.


AccessibilityDescription Property (SapNetPlan)

Class

SapNetPlan.

Action

Gets the accessibility description of the shell.

Syntax

C#
protected String AccessibilityDescription { get; }
VB
'Declaration
Protected Read Property AccessibilityDescription As String

Access

Read only.


AccessibilityDescription Property (SapTree)

Class

SapTree.

Action

Gets the accessibility description of the shell.

Syntax

C#
protected String AccessibilityDescription { get; }
VB
'Declaration
Protected Read Property AccessibilityDescription As String

Access

Read only.


AccessibilityTextOnRequest Property (SapComponent)

Class

SapComponent.

Action

Gets an additional text for accessibility support.

Syntax

C#
protected String AccessibilityTextOnRequest { get; }
VB
'Declaration
Protected Read Property AccessibilityTextOnRequest As String

Access

Read only.


AccessibilityText Property (SapComponent)

Class

SapComponent.

Action

Gets an additional text for accessibility support.

Syntax

C#
protected String AccessibilityText { get; }
VB
'Declaration
Protected Read Property AccessibilityText As String

Access

Read only.


AccessibilityTooltip Property (SapComponent)

Class

SapComponent.

Action

Gets an additional tooltip text for accessibility support.

Syntax

C#
protected String AccessibilityTooltip { get; }
VB
'Declaration
Protected Read Property AccessibilityTooltip As String

Access

Read only.


BarCount Method (SapBarChart)

Class

SapBarChart.

Action

Returns the number of bars in the given chart.

Syntax

C#
result = barChart.BarCount(chartId)
VB
result = barChart.BarCount(chartId)
Variable | Description
result | Integer.
chartId | Index of the chart. Integer.


ButtonbarVisible Property (SapWindow)

Class

SapWindow.

Action

Gets whether the application toolbar, the lower toolbar within SAP GUI, is visible.

Syntax

C#
protected Boolean ButtonbarVisible { get; }
VB
'Declaration
Protected Read Property ButtonbarVisible As Boolean

Access

Read only.


ButtonCount Property (SapToolbarControl)

Class

SapToolbarControl.

Action

Gets the number of toolbar buttons including separators.

Syntax

C#
protected Integer ButtonCount { get; }
VB
'Declaration
Protected Read Property ButtonCount As Integer

Access

Read only.


Changeable Property (SapComponent)

Class

SapComponent.

Action

Gets whether an object is changeable.

Syntax

C#
protected Boolean Changeable { get; }
VB
'Declaration
Protected Read Property Changeable As Boolean

Access

Read only.


ChangeCheckbox Method (SapTree)

Class

SapTree.

Action

This method emulates changing a checkbox state.

Syntax

C#
tree.ChangeCheckbox(nodeKey, itemName, check)
VB
tree.ChangeCheckbox(nodeKey, itemName, check)
Variable | Description
nodeKey | The key of the node. String.
itemName | The name of the item. String.
check | Whether the checkbox should be checked. Boolean.


ChangeSelection Method (SapColorSelector)

Class

SapColorSelector.

Action

Selects the color at the given index position.

Syntax

C#
colorSelector.ChangeSelection(index)
VB
colorSelector.ChangeSelection(index)
Variable | Description
index | The index of the color. Integer.


CharHeight Property (SapButton)

Class

SapButton.

Action

Gets the height of the element in character metric.

Syntax

C#
protected Integer CharHeight { get; }
VB
'Declaration
Protected Read Property CharHeight As Integer

Access

Read only.


CharHeight Property (SapCheckBox)

Class

SapCheckBox.

Action

Gets the height of the element in character metric.

Syntax

C#
protected Integer CharHeight { get; }
VB
'Declaration
Protected Read Property CharHeight As Integer

Access

Read only.


CharHeight Property (SapComboBox)

Class

SapComboBox.

Action

Gets the height of the element in character metric.

Syntax

C#
protected Integer CharHeight { get; }
VB
'Declaration
Protected Read Property CharHeight As Integer

Access

Read only.


CharHeight Property (SapRadioButton)

Class

SapRadioButton.

Action

Gets the height of the element in character metric.

Syntax

C#
protected Integer CharHeight { get; }
VB
'Declaration
Protected Read Property CharHeight As Integer

Access

Read only.


CharHeight Property (SapTable)

Class

SapTable.

Action

Gets the height of the element in character metric.

Syntax

C#
protected Integer CharHeight { get; }
VB
'Declaration
Protected Read Property CharHeight As Integer

Access

Read only.


CharLeft Property (SapButton)

Class

SapButton.

Action

Gets the left coordinate of the element in character metric.

Syntax

C#
protected Integer CharLeft { get; }
VB
'Declaration
Protected Read Property CharLeft As Integer

Access

Read only.


CharLeft Property (SapCheckBox)

Class

SapCheckBox.

Action

Gets the left coordinate of the element in character metric.

Syntax

C#
protected Integer CharLeft { get; }
VB
'Declaration
Protected Read Property CharLeft As Integer

Access

Read only.


CharLeft Property (SapComboBox)

Class

SapComboBox.

Action

Gets the left coordinate of the element in character metric.

Syntax

C#
protected Integer CharLeft { get; }
VB
'Declaration
Protected Read Property CharLeft As Integer

Access

Read only.


CharLeft Property (SapLabel)

Class

SapLabel.

Action

Gets the left coordinate of the label in character metric.

Syntax

C#
protected Integer CharLeft { get; }
VB
'Declaration
Protected Read Property CharLeft As Integer

Access

Read only.


CharLeft Property (SapRadioButton)

Class

SapRadioButton.

Action

Gets the left coordinate of the element in character metric.

Syntax

C#
protected Integer CharLeft { get; }
VB
'Declaration
Protected Read Property CharLeft As Integer

Access

Read only.


CharLeft Property (SapTable)

Class

SapTable.

Action

Gets the left coordinate of the element in character metric.

Syntax

C#
protected Integer CharLeft { get; }
VB
'Declaration
Protected Read Property CharLeft As Integer

Access

Read only.


ChartCount Property (SapBarChart)

Class

SapBarChart.

Action

Gets the number of charts.

Syntax

C#
protected Integer ChartCount { get; }
VB
'Declaration
Protected Read Property ChartCount As Integer

Access

Read only.


CharTop Property (SapButton)

Class

SapButton.

Action

Gets the top coordinate of the element in character metric.

Syntax

C#
protected Integer CharTop { get; }
VB
'Declaration
Protected Read Property CharTop As Integer

Access

Read only.


CharTop Property (SapCheckBox)

Class

SapCheckBox.

Action

Gets the top coordinate of the element in character metric.

Syntax

C#
protected Integer CharTop { get; }
VB
'Declaration
Protected Read Property CharTop As Integer

Access

Read only.


CharTop Property (SapComboBox)

Class

SapComboBox.

Action

Gets the top coordinate of the element in character metric.

Syntax

C#
protected Integer CharTop { get; }
VB
'Declaration
Protected Read Property CharTop As Integer

Access

Read only.


CharTop Property (SapLabel)

Class

SapLabel.

Action

Gets the top coordinate of the label in character metric.

Syntax

C#
protected Integer CharTop { get; }
VB
'Declaration
Protected Read Property CharTop As Integer

Access

Read only.


CharTop Property (SapRadioButton)

Class

SapRadioButton.

Action

Gets the top coordinate of the element in character metric.

Syntax

C#
protected Integer CharTop { get; }
VB
'Declaration
Protected Read Property CharTop As Integer

Access

Read only.


CharTop Property (SapTable)

Class

SapTable.

Action

Gets the top coordinate of the element in character metric.

Syntax

C#
protected Integer CharTop { get; }
VB
'Declaration
Protected Read Property CharTop As Integer

Access

Read only.


CharWidth Property (SapButton)

Class

SapButton.

Action

Gets the width of the element in character metric.

Syntax

C#
protected Integer CharWidth { get; }
VB
'Declaration
Protected Read Property CharWidth As Integer

Access

Read only.


CharWidth Property (SapCheckBox)

Class

SapCheckBox.

Action

Gets the width of the element in character metric.

Syntax

C#
protected Integer CharWidth { get; }
VB
'Declaration
Protected Read Property CharWidth As Integer

Access

Read only.


CharWidth Property (SapComboBox)

Class

SapComboBox.

Action

Gets the width of the element in character metric.

Syntax

C#
protected Integer CharWidth { get; }
VB
'Declaration
Protected Read Property CharWidth As Integer

Access

Read only.


CharWidth Property (SapLabel)

Class

SapLabel.

Action

Gets the width of the element in character metric.

Syntax

C#
protected Integer CharWidth { get; }
VB
'Declaration
Protected Read Property CharWidth As Integer

Access

Read only.


CharWidth Property (SapRadioButton)

Class

SapRadioButton.

Action

Gets the width of the element in character metric.

Syntax

C#
protected Integer CharWidth { get; }
VB
'Declaration
Protected Read Property CharWidth As Integer

Access

Read only.


CharWidth Property (SapTable)

Class

SapTable.

Action

Gets the width of the element in character metric.

Syntax

C#
protected Integer CharWidth { get; }
VB
'Declaration
Protected Read Property CharWidth As Integer

Access

Read only.


Checked Property (SapCheckBox)

Class

SapCheckBox.

Action

Gets whether the checkbox is checked.

Syntax

C#
protected Boolean Checked { get; }
VB
'Declaration
Protected Read Property Checked As Boolean

Access

Read only.


Check Method (SapCheckBox)

Class

SapCheckBox.

Action

Checks the check box.

Syntax

C#
checkBox.Check()
VB
checkBox.Check()


ClearSelection Method (SapGridView)

Class

SapGridView.

Action

Removes all row, column and cell selections.

Syntax

C#
gridView.ClearSelection()
VB
gridView.ClearSelection()


ClickControlArea Method (SapPicture)

Class

SapPicture.

Action

clicks on the specified position.

Syntax

C#
picture.ClickControlArea(x, y)
VB
picture.ClickControlArea(x, y)
Variable | Description
x | The x-coordinate. Integer.
y | The y-coordinate. Integer.


ClickCurrentCell Method (SapGridView)

Class

SapGridView.

Action

Clicks the current cell.

Syntax

C#
gridView.ClickCurrentCell()
VB
gridView.ClickCurrentCell()


Click Method (SapGridView)

Class

SapGridView.

Action

Clicks on the specified cell.

Syntax

C#
gridView.Click(row, column)
VB
gridView.Click(row, column)
Variable | Description
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


Click Method (SapPicture)

Class

SapPicture.

Action

clicks on a picture.

Syntax

C#
picture.Click()
VB
picture.Click()


ClickPictureArea Method (SapPicture)

Class

SapPicture.

Action

clicks on the specified position in the picture area.

Syntax

C#
picture.ClickPictureArea(x, y)
VB
picture.ClickPictureArea(x, y)
Variable | Description
x | The x-coordinate. Integer.
y | The y-coordinate. Integer.


Close Method (SapOkCodeField)

Class

SapOkCodeField.

Action

Collapses the GuiOkCodeField.

Syntax

C#
okCodeField.Close()
VB
okCodeField.Close()


CollapseNode Method (SapTree)

Class

SapTree.

Action

This function closes the node with the key nodeKey.

Syntax

C#
tree.CollapseNode(nodeKey)
VB
tree.CollapseNode(nodeKey)
Variable | Description
nodeKey | The key of the node. String.


ColorIndex Property (SapCheckBox)

Class

SapCheckBox.

Action

Gets the index of the list color of this element.

Syntax

C#
protected Integer ColorIndex { get; }
VB
'Declaration
Protected Read Property ColorIndex As Integer

Access

Read only.


ColorIndex Property (SapLabel)

Class

SapLabel.

Action

Gets the color index of the label.

Syntax

C#
protected Integer ColorIndex { get; }
VB
'Declaration
Protected Read Property ColorIndex As Integer

Access

Read only.


ColorIntensified Property (SapCheckBox)

Class

SapCheckBox.

Action

Gets whether the Intensified flag is set in screen painter for this element.

Syntax

C#
protected Boolean ColorIntensified { get; }
VB
'Declaration
Protected Read Property ColorIntensified As Boolean

Access

Read only.


ColorInverse Property (SapCheckBox)

Class

SapCheckBox.

Action

Gets whether the inverse color style is set in screen painter for the element.

Syntax

C#
protected Boolean ColorInverse { get; }
VB
'Declaration
Protected Read Property ColorInverse As Boolean

Access

Read only.


ColorInverse Property (SapLabel)

Class

SapLabel.

Action

Gets whether the inverse color style is set for the label.

Syntax

C#
protected Boolean ColorInverse { get; }
VB
'Declaration
Protected Read Property ColorInverse As Boolean

Access

Read only.


ColumnCount Property (SapGridView)

Class

SapGridView.

Action

Gets the number of columns.

Syntax

C#
protected Integer ColumnCount { get; }
VB
'Declaration
Protected Read Property ColumnCount As Integer

Access

Read only.


ColumnCount Property (SapTable)

Class

SapTable.

Action

Gets the number of columns in the table.

Syntax

C#
protected Integer ColumnCount { get; }
VB
'Declaration
Protected Read Property ColumnCount As Integer

Access

Read only.


ColumnHeaders Property (SapTree)

Class

SapTree.

Action

Gets a collection of the titles of the columns.

Syntax

C#
protected List(Of String) ColumnHeaders { get; }
VB
'Declaration
Protected Read Property ColumnHeaders As List(Of String)

Access

Read only.


ColumnNames Property (SapTree)

Class

SapTree.

Action

Gets a collection of the column names.

Syntax

C#
protected List(Of String) ColumnNames { get; }
VB
'Declaration
Protected Read Property ColumnNames As List(Of String)

Access

Read only.


ColumnOrder Property (SapGridView)

Class

SapGridView.

Action

Gets a list of strings which contains all the column identifiers in the order in which they are displayed.

Syntax

C#
protected List(Of String) ColumnOrder { get; }
VB
'Declaration
Protected Read Property ColumnOrder As List(Of String)

Access

Read only.


ColumnOrder Property (SapTree)

Class

SapTree.

Action

Gets the column order.

Syntax

C#
protected List(Of String) ColumnOrder { get; }
VB
'Declaration
Protected Read Property ColumnOrder As List(Of String)

Access

Read only.


ColumnSelectionMode Property (SapTable)

Class

SapTable.

Action

Gets the column selection mode.

Syntax

C#
protected TableSelectionType ColumnSelectionMode { get; }
VB
'Declaration
Protected Read Property ColumnSelectionMode As TableSelectionType

Access

Read only.


ColumnTitles Property (SapTree)

Class

SapTree.

Action

Gets a collection of the titles of the columns.

Syntax

C#
protected List(Of String) ColumnTitles { get; }
VB
'Declaration
Protected Read Property ColumnTitles As List(Of String)

Access

Read only.


ConfigureLayout Method (SapTable)

Class

SapTable.

Action

Opens the configuration layout dialog, in which the layout of the table can be changed.

Syntax

C#
table.ConfigureLayout()
VB
table.ConfigureLayout()


ContextMenu Method (SapCalendar)

Class

SapCalendar.

Action

Opens a context menu.

Syntax

C#
calendar.ContextMenu(contextMenuId, contextMenuCellRow, contextMenuCellColumn, startDate, endDate)
VB
calendar.ContextMenu(contextMenuId, contextMenuCellRow, contextMenuCellColumn, startDate, endDate)
Variable | Description
contextMenuId | Indicates the cell type of the cell in which the context menu was opened. CalendarCellType.
contextMenuCellRow | The context menu cell row. The value is zero-based. Integer.
contextMenuCellColumn | The context menu cell column. The value is zero-based. Integer.
startDate | The begin date. String.
endDate | The end date. String.


ContextMenu Method (SapGridView)

Class

SapGridView.

Action

Requests the context menu.

Syntax

C#
gridView.ContextMenu()
VB
gridView.ContextMenu()


ContextMenu Method (SapHTMLViewer)

Class

SapHTMLViewer.

Action

Emulates the context menu request. Applies only to context menus provided by the backend.

Syntax

C#
hTMLViewer.ContextMenu()
VB
hTMLViewer.ContextMenu()


ContextMenu Method (SapPicture)

Class

SapPicture.

Action

The function opens a context menu on the given position. The coordinates should be given in pixels with respect to the picture control as it is displayed on the screen.

Syntax

C#
picture.ContextMenu(x, y)
VB
picture.ContextMenu(x, y)
Variable | Description
x | The x-coordinate. Integer.
y | The y-coordinate. Integer.


ContextMenu Method (SapTextEdit)

Class

SapTextEdit.

Action

Requests the context menu.

Syntax

C#
textEdit.ContextMenu()
VB
textEdit.ContextMenu()


CurrentCellColumn Property (SapGridView)

Class

SapGridView.

Action

Gets the current column.

Syntax

C#
protected String CurrentCellColumn { get; }
VB
'Declaration
Protected Read Property CurrentCellColumn As String

Access

Read only.


CurrentCellMoved Method (SapGridView)

Class

SapGridView.

Action

This function notifies the server that another cell was made the current cell. The function must be called whenever the current cell changes.

Syntax

C#
gridView.CurrentCellMoved()
VB
gridView.CurrentCellMoved()


CurrentCellRow Property (SapGridView)

Class

SapGridView.

Action

Gets the current row.

Syntax

C#
protected Integer CurrentCellRow { get; }
VB
'Declaration
Protected Read Property CurrentCellRow As Integer

Access

Read only.


CurrentColumn Property (SapTable)

Class

SapTable.

Action

Gets the index of the current column. The value is zero-based.

Syntax

C#
protected Integer CurrentColumn { get; }
VB
'Declaration
Protected Read Property CurrentColumn As Integer

Access

Read only.


CurrentColumn Property (SapTextEdit)

Class

SapTextEdit.

Action

Gets the column index in which the caret is currently positioned. The value is zero-based.

Syntax

C#
protected Integer CurrentColumn { get; }
VB
'Declaration
Protected Read Property CurrentColumn As Integer

Access

Read only.


CurrentContextMenu Property (SapBarChart)

Class

SapBarChart.

Action

Gets the current context menu. This is only set when a context menu is available at the shell object.

Syntax

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

Access

Read only.


CurrentContextMenu Property (SapCalendar)

Class

SapCalendar.

Action

Gets the current context menu. This is only set when a context menu is available at the shell object.

Syntax

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

Access

Read only.


CurrentContextMenu Property (SapChart)

Class

SapChart.

Action

Gets the current context menu. This is only set when a context menu is available at the shell object.

Syntax

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

Access

Read only.


CurrentContextMenu Property (SapColorSelector)

Class

SapColorSelector.

Action

Gets the current context menu. This is only set when a context menu is available at the shell object.

Syntax

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

Access

Read only.


CurrentContextMenu Property (SapGridView)

Class

SapGridView.

Action

Gets the current context menu. This is only set when a context menu is available at the shell object.

Syntax

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

Access

Read only.


CurrentContextMenu Property (SapHTMLViewer)

Class

SapHTMLViewer.

Action

Gets the current context menu. This is only set when a context menu is available at the shell object.

Syntax

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

Access

Read only.


CurrentContextMenu Property (SapNetPlan)

Class

SapNetPlan.

Action

Gets the current context menu. This is only set when a context menu is available at the shell object.

Syntax

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

Access

Read only.


CurrentContextMenu Property (SapOfficeIntegration)

Class

SapOfficeIntegration.

Action

Gets the current context menu. This is only set when a context menu is available at the shell object.

Syntax

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

Access

Read only.


CurrentContextMenu Property (SapPicture)

Class

SapPicture.

Action

Gets the current context menu. This is only set when a context menu is available at the shell object.

Syntax

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

Access

Read only.


CurrentContextMenu Property (SapSplitterContainer)

Class

SapSplitterContainer.

Action

Gets the current context menu. This is only set when a context menu is available at the shell object.

Syntax

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

Access

Read only.


CurrentContextMenu Property (SapTextEdit)

Class

SapTextEdit.

Action

Gets the current context menu. This is only set when a context menu is available at the shell object.

Syntax

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

Access

Read only.


CurrentContextMenu Property (SapToolbarControl)

Class

SapToolbarControl.

Action

Gets the current context menu. This is only set when a context menu is available at the shell object.

Syntax

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

Access

Read only.


CurrentContextMenu Property (SapTree)

Class

SapTree.

Action

Gets the current context menu. This is only set when a context menu is available at the shell object.

Syntax

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

Access

Read only.


CurrentContextMenu Property (SapUserArea)

Class

SapUserArea.

Action

Gets the current context menu. This is only set when a context menu is available at the shell object.

Syntax

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

Access

Read only.


CurrentLine Property (SapTextEdit)

Class

SapTextEdit.

Action

Gets the line index in which the caret is currently positioned. The value is zero-based.

Syntax

C#
protected Integer CurrentLine { get; }
VB
'Declaration
Protected Read Property CurrentLine As Integer

Access

Read only.


CurrentRow Property (SapTable)

Class

SapTable.

Action

Gets the index of the current row. The value is zero-based.

Syntax

C#
protected Integer CurrentRow { get; }
VB
'Declaration
Protected Read Property CurrentRow As Integer

Access

Read only.


Day Property (SapCalendar)

Class

SapCalendar.

Action

Gets the day of the month that is currently selected.

Syntax

C#
protected Integer Day { get; }
VB
'Declaration
Protected Read Property Day As Integer

Access

Read only.


DefaultContextMenu Method (SapTree)

Class

SapTree.

Action

This method requests a context menu for the whole Tree Control.

Syntax

C#
tree.DefaultContextMenu()
VB
tree.DefaultContextMenu()


DefaultTooltip Property (SapComponent)

Class

SapComponent.

Action

Gets the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type.

Syntax

C#
protected String DefaultTooltip { get; }
VB
'Declaration
Protected Read Property DefaultTooltip As String

Access

Read only.


DeleteRows Method (SapGridView)

Class

SapGridView.

Action

Delete the given rows.

The parameter rows is a comma-separated string of indices or index ranges, for example '3,5-8,14,15'. The entries must be ordered and the ranges must not overlap.

Syntax

C#
gridView.DeleteRows(rows)
VB
gridView.DeleteRows(rows)
Variable | Description
rows | The rows to delete. String.


DeselectAllColumns Method (SapTable)

Class

SapTable.

Action

This function can be used for table controls with a button that allows to de-select all columns in one step.

Syntax

C#
table.DeselectAllColumns()
VB
table.DeselectAllColumns()


DeselectColumn Method (SapGridView)

Class

SapGridView.

Action

Removes the specified column from the list of selected columns.

Syntax

C#
gridView.DeselectColumn(column)
VB
gridView.DeselectColumn(column)
Variable | Description
column | Column identifier. String.


DeselectColumn Method (SapTable)

Class

SapTable.

Action

Deselects the given column.

Syntax

C#
table.DeselectColumn(column)
VB
table.DeselectColumn(column)
Variable | Description
column | Index of the column. The value is zero-based. Integer.


DeselectRow Method (SapTable)

Class

SapTable.

Action

Deselects the given row.

Syntax

C#
table.DeselectRow(row)
VB
table.DeselectRow(row)
Variable | Description
row | Index of the row. The value is zero-based. Integer.


DisplayedText Property (SapLabel)

Class

SapLabel.

Action

Gets the text of the label.

Syntax

C#
protected String DisplayedText { get; }
VB
'Declaration
Protected Read Property DisplayedText As String

Access

Read only.


DisplayedText Property (SapTextField)

Class

SapTextField.

Action

Gets the text as it is displayed on the screen, including preceding or trailing blanks.

Syntax

C#
protected String DisplayedText { get; }
VB
'Declaration
Protected Read Property DisplayedText As String

Access

Read only.


DisplayMode Property (SapPicture)

Class

SapPicture.

Action

Gets the display mode of the picture, i.e. "Normal", "Stretch", "Fit", "NormalCenter", "FitCenter".

Syntax

C#
protected String DisplayMode { get; }
VB
'Declaration
Protected Read Property DisplayMode As String

Access

Read only.


DocumentComplete Property (SapHTMLViewer)

Class

SapHTMLViewer.

Action

Gets whether the document is complete.

Syntax

C#
protected Boolean DocumentComplete { get; }
VB
'Declaration
Protected Read Property DocumentComplete As Boolean

Access

Read only.


DoubleClickControlArea Method (SapPicture)

Class

SapPicture.

Action

double clicks on the specified position.

Syntax

C#
picture.DoubleClickControlArea(x, y)
VB
picture.DoubleClickControlArea(x, y)
Variable | Description
x | The x-coordinate. Integer.
y | The y-coordinate. Integer.


DoubleClickCurrentCell Method (SapGridView)

Class

SapGridView.

Action

Double clicks on the current cell.

Syntax

C#
gridView.DoubleClickCurrentCell()
VB
gridView.DoubleClickCurrentCell()


DoubleClick Method (SapGridView)

Class

SapGridView.

Action

Double clicks the specified cell.

Syntax

C#
gridView.DoubleClick(row, column)
VB
gridView.DoubleClick(row, column)
Variable | Description
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


DoubleClick Method (SapPicture)

Class

SapPicture.

Action

double clicks on the picture.

Syntax

C#
picture.DoubleClick()
VB
picture.DoubleClick()


DoubleClick Method (SapStatusbar)

Class

SapStatusbar.

Action

double-clicks the statusbar.

Syntax

C#
statusbar.DoubleClick()
VB
statusbar.DoubleClick()


DoubleClick Method (SapTextEdit)

Class

SapTextEdit.

Action

Double clicks the text edit control.

Syntax

C#
textEdit.DoubleClick()
VB
textEdit.DoubleClick()


DoubleClickPictureArea Method (SapPicture)

Class

SapPicture.

Action

double clicks on the specified position in the picture area.

Syntax

C#
picture.DoubleClickPictureArea(x, y)
VB
picture.DoubleClickPictureArea(x, y)
Variable | Description
x | The x-coordinate. Integer.
y | The y-coordinate. Integer.


DoubleSelectItem Method (SapTree)

Class

SapTree.

Action

This function emulates double clicking on a text item.

Syntax

C#
tree.DoubleSelectItem(nodeKey, itemName)
VB
tree.DoubleSelectItem(nodeKey, itemName)
Variable | Description
nodeKey | The key of the node. String.
itemName | The name of the item. String.


DoubleSelectNode Method (SapTree)

Class

SapTree.

Action

This function emulates double clicking a node.

Syntax

C#
tree.DoubleSelectNode(nodeKey)
VB
tree.DoubleSelectNode(nodeKey)
Variable | Description
nodeKey | The key of the node. String.


DragDropSupported Property (SapShell)

Class

SapShell.

Action

Gets whether the shell allows drag and drop operations.

Syntax

C#
protected Boolean DragDropSupported { get; }
VB
'Declaration
Protected Read Property DragDropSupported As Boolean

Access

Read only.


DuplicateRows Method (SapGridView)

Class

SapGridView.

Action

Duplicates the given range of rows.

The parameter rows is a comma-separated string of indices or index ranges, for example '3,5-8,14,15'. For any single index a copy of the row will be inserted at the given index. If a range of indexes is duplicated then all the new lines are inserted as a single block before the old lines. The entries must be ordered and the ranges must not overlap,

Syntax

C#
gridView.DuplicateRows(rows)
VB
gridView.DuplicateRows(rows)
Variable | Description
rows | The rows to duplicate. String.


EndSelection Property (SapCalendar)

Class

SapCalendar.

Action

Gets the end of the selection interval.

Syntax

C#
protected String EndSelection { get; }
VB
'Declaration
Protected Read Property EndSelection As String

Access

Read only.


EnsureVisibleHorizontalItem Method (SapTree)

Class

SapTree.

Action

This function scrolls the Tree horizontally until the Item is visible.

Syntax

C#
tree.EnsureVisibleHorizontalItem(nodeKey, itemName)
VB
tree.EnsureVisibleHorizontalItem(nodeKey, itemName)
Variable | Description
nodeKey | The key of the node. String.
itemName | The name of the item. String.


ExpandNode Method (SapTree)

Class

SapTree.

Action

This function expands the node with the key nodeKey.

Syntax

C#
tree.ExpandNode(nodeKey)
VB
tree.ExpandNode(nodeKey)
Variable | Description
nodeKey | The key of the node. String.


FindNodeKeyByPath Method (SapTree)

Class

SapTree.

Action

Return the node key for the given path (e.g. 2\1\2).

Syntax

C#
result = tree.FindNodeKeyByPath(path)
VB
result = tree.FindNodeKeyByPath(path)
Variable | Description
result | String.
path | The node path. String.


FirstVisibleColumn Property (SapGridView)

Class

SapGridView.

Action

Gets the first visible column of the scrollable area of the grid view, fixed columns are ignored.

Syntax

C#
protected String FirstVisibleColumn { get; }
VB
'Declaration
Protected Read Property FirstVisibleColumn As String

Access

Read only.


FirstVisibleDate Property (SapCalendar)

Class

SapCalendar.

Action

Gets the earliest date visible in the calendar control.

Syntax

C#
protected String FirstVisibleDate { get; }
VB
'Declaration
Protected Read Property FirstVisibleDate As String

Access

Read only.


FirstVisibleLine Property (SapTextEdit)

Class

SapTextEdit.

Action

Gets the first visible line which is visualized at the top border of the text edit control. The value is zero-based.

Syntax

C#
protected Integer FirstVisibleLine { get; }
VB
'Declaration
Protected Read Property FirstVisibleLine As Integer

Access

Read only.


FirstVisibleRow Property (SapGridView)

Class

SapGridView.

Action

Gets the index of the first visible row in the grid. The value is zero-based.

Syntax

C#
protected Integer FirstVisibleRow { get; }
VB
'Declaration
Protected Read Property FirstVisibleRow As Integer

Access

Read only.


Flushing Property (SapCheckBox)

Class

SapCheckBox.

Action

Gets whether the value change causes a round trip.

Syntax

C#
protected Boolean Flushing { get; }
VB
'Declaration
Protected Read Property Flushing As Boolean

Access

Read only.


Flushing Property (SapComboBox)

Class

SapComboBox.

Action

Gets whether the value change causes a round trip.

Syntax

C#
protected Boolean Flushing { get; }
VB
'Declaration
Protected Read Property Flushing As Boolean

Access

Read only.


Flushing Property (SapRadioButton)

Class

SapRadioButton.

Action

Gets whether the value change causes a round trip.

Syntax

C#
protected Boolean Flushing { get; }
VB
'Declaration
Protected Read Property Flushing As Boolean

Access

Read only.


FocusedButton Property (SapToolbarControl)

Class

SapToolbarControl.

Action

Gets the zero-based index of the button that currently has the focus.

Syntax

C#
protected Integer FocusedButton { get; }
VB
'Declaration
Protected Read Property FocusedButton As Integer

Access

Read only.


FocusedNodeKey Property (SapTree)

Class

SapTree.

Action

Gets the key of the focused node.

Syntax

C#
protected String FocusedNodeKey { get; }
VB
'Declaration
Protected Read Property FocusedNodeKey As String

Access

Read only.


FrozenColumnCount Property (SapGridView)

Class

SapGridView.

Action

Gets the number of columns that are excluded from horizontal scrolling.

Syntax

C#
protected Integer FrozenColumnCount { get; }
VB
'Declaration
Protected Read Property FrozenColumnCount As Integer

Access

Read only.


GetAbapImage Method (SapTree)

Class

SapTree.

Action

Gets the abap image.

Syntax

C#
abapImage = tree.GetAbapImage(nodeKey, itemName)
VB
abapImage = tree.GetAbapImage(nodeKey, itemName)
Variable | Description
abapImage | String.
nodeKey | The key of the node. String.
itemName | The name of the item. String.


GetBarContent Method (SapBarChart)

Class

SapBarChart.

Action

Returns the content of the bar.

Syntax

C#
barContent = barChart.GetBarContent(chartId, barId, textId)
VB
barContent = barChart.GetBarContent(chartId, barId, textId)
Variable | Description
barContent | String.
chartId | Index of the chart. Integer.
barId | Index of the bar within the given chart. Integer.
textId | The text id. Integer.


GetButtonIcon Method (SapToolbarControl)

Class

SapToolbarControl.

Action

the name of the icon of the specified toolbar button.

Syntax

C#
buttonIcon = toolbarControl.GetButtonIcon(buttonPosition)
VB
buttonIcon = toolbarControl.GetButtonIcon(buttonPosition)
Variable | Description
buttonIcon | String.
buttonPosition | The zero-based button position. Integer.


GetButtonType Method (SapToolbarControl)

Class

SapToolbarControl.

Action

the type of the specified toolbar button. Possible values are: "Button", "ButtonAndMenu", "Menu", "Separator", "Group", "CheckBox".

Syntax

C#
buttonType = toolbarControl.GetButtonType(buttonPosition)
VB
buttonType = toolbarControl.GetButtonType(buttonPosition)
Variable | Description
buttonType | ToolBarButtonType.
buttonPosition | The zero-based button position. Integer.


GetCellAbsolute Method (SapTable)

Class

SapTable.

Action

Returns a table cell. If the row is not visible, it will be scrolled into view.

Syntax

C#
cellAbsolute = table.GetCellAbsolute(row, column)
VB
cellAbsolute = table.GetCellAbsolute(row, column)
Variable | Description
cellAbsolute | SapComponent.
row | Index of the row. The value is zero-based. Integer.
column | Index of the column. The value is zero-based. Integer.


GetCellColor Method (SapGridView)

Class

SapGridView.

Action

Returns an identifier for the color of the cell.

This can be used to retrieve the color information using GetColorInfo.

Syntax

C#
gridView.GetCellColor(row, column)
VB
gridView.GetCellColor(row, column)
Variable | Description
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


GetCellHeight Method (SapGridView)

Class

SapGridView.

Action

Gets the height of the cell in pixels.

Syntax

C#
cellHeight = gridView.GetCellHeight(row, column)
VB
cellHeight = gridView.GetCellHeight(row, column)
Variable | Description
cellHeight | Integer.
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


GetCellIcon Method (SapGridView)

Class

SapGridView.

Action

Gets the icon string of the specified cell.

Syntax

C#
cellIcon = gridView.GetCellIcon(row, column)
VB
cellIcon = gridView.GetCellIcon(row, column)
Variable | Description
cellIcon | String.
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


GetCellLeft Method (SapGridView)

Class

SapGridView.

Action

Gets the left position of the cell.

Syntax

C#
cellLeft = gridView.GetCellLeft(row, column)
VB
cellLeft = gridView.GetCellLeft(row, column)
Variable | Description
cellLeft | Integer.
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


GetCellMaxLength Method (SapGridView)

Class

SapGridView.

Action

Gets the maximum length of the cell in number of bytes.

Syntax

C#
cellMaxLength = gridView.GetCellMaxLength(row, column)
VB
cellMaxLength = gridView.GetCellMaxLength(row, column)
Variable | Description
cellMaxLength | Integer.
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


GetCell Method (SapTable)

Class

SapTable.

Action

Returns a visible table cell.

Syntax

C#
cell = table.GetCell(row, column)
VB
cell = table.GetCell(row, column)
Variable | Description
cell | SapComponent.
row | Index of the row, starting at the first visible row. The value is zero-based. Integer.
column | Index of the column. The value is zero-based. Integer.


GetCellsForRow Method (SapTable)

Class

SapTable.

Action

Returns the cells for the given row.

Syntax

C#
cellsForRow = table.GetCellsForRow(row)
VB
cellsForRow = table.GetCellsForRow(row)
Variable | Description
cellsForRow | List(Of SapComponent).
row | Index of the row. The value is zero-based. Integer.


GetCellState Method (SapGridView)

Class

SapGridView.

Action

Gets the state of the specified cell. Possible values are: Normal, Error, Warning, Info.

Syntax

C#
cellState = gridView.GetCellState(row, column)
VB
cellState = gridView.GetCellState(row, column)
Variable | Description
cellState | GridCellState.
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


GetCellTooltip Method (SapGridView)

Class

SapGridView.

Action

Gets the tooltip of the specified cell.

Syntax

C#
cellTooltip = gridView.GetCellTooltip(row, column)
VB
cellTooltip = gridView.GetCellTooltip(row, column)
Variable | Description
cellTooltip | String.
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


GetCellTop Method (SapGridView)

Class

SapGridView.

Action

Gets the top position of the specified cell.

Syntax

C#
cellTop = gridView.GetCellTop(row, column)
VB
cellTop = gridView.GetCellTop(row, column)
Variable | Description
cellTop | Integer.
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


GetCellType Method (SapGridView)

Class

SapGridView.

Action

Gets the cell type of the specified cell.

Syntax

C#
cellType = gridView.GetCellType(row, column)
VB
cellType = gridView.GetCellType(row, column)
Variable | Description
cellType | GridCellType.
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


GetCellValue Method (SapGridView)

Class

SapGridView.

Action

Gets the value of the specified cell.

Syntax

C#
cellValue = gridView.GetCellValue(row, column)
VB
cellValue = gridView.GetCellValue(row, column)
Variable | Description
cellValue | String.
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


GetCellWidth Method (SapGridView)

Class

SapGridView.

Action

Gets the width of the specified cell.

Syntax

C#
cellWidth = gridView.GetCellWidth(row, column)
VB
cellWidth = gridView.GetCellWidth(row, column)
Variable | Description
cellWidth | Integer.
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


GetCheckBoxState Method (SapTree)

Class

SapTree.

Action

Retrieves the CheckBox state (true = Checked, false = Unchecked).

Syntax

C#
checkBoxState = tree.GetCheckBoxState(nodeKey, itemName)
VB
checkBoxState = tree.GetCheckBoxState(nodeKey, itemName)
Variable | Description
checkBoxState | Boolean.
nodeKey | The key of the node. String.
itemName | The name of the item. String.


GetColorInfo Method (SapGridView)

Class

SapGridView.

Action

Returns the description for the color of the cell.

This function will only return a value when the accessibility mode of SAP GUI is enabled.

Syntax

C#
gridView.GetColorInfo(color)
VB
gridView.GetColorInfo(color)
Variable | Description
color | The color to get the description for. The value is zero-based. Integer.


GetColumnDataType Method (SapGridView)

Class

SapGridView.

Action

Gets the data type of the column.

Syntax

C#
columnDataType = gridView.GetColumnDataType(column)
VB
columnDataType = gridView.GetColumnDataType(column)
Variable | Description
columnDataType | String.
column | Column identifier. String.


GetColumnIndexFromName Method (SapTree)

Class

SapTree.

Action

Gets the column index for the given name.

Syntax

C#
columnIndexFromName = tree.GetColumnIndexFromName(columnName)
VB
columnIndexFromName = tree.GetColumnIndexFromName(columnName)
Variable | Description
columnIndexFromName | Integer.
columnName | The name of the column. String.


GetColumnKeys Method (SapTree)

Class

SapTree.

Action

The keys of all the items in the given column.

Syntax

C#
columnKeys = tree.GetColumnKeys(column)
VB
columnKeys = tree.GetColumnKeys(column)
Variable | Description
columnKeys | List(Of String).
column | The name of the column. String.


GetColumnPosition Method (SapGridView)

Class

SapGridView.

Action

Gets the position of the specified column.

Syntax

C#
columnPosition = gridView.GetColumnPosition(column)
VB
columnPosition = gridView.GetColumnPosition(column)
Variable | Description
columnPosition | Integer.
column | Column identifier. String.


GetColumnSortType Method (SapGridView)

Class

SapGridView.

Action

Gets the sort type of the column. Possible values are: None, Ascending, Descending.

Syntax

C#
columnSortType = gridView.GetColumnSortType(column)
VB
columnSortType = gridView.GetColumnSortType(column)
Variable | Description
columnSortType | GridColumnSortType.
column | Column identifier. String.


GetColumnTitleFromName Method (SapTree)

Class

SapTree.

Action

Gets the column title for the given name.

Syntax

C#
columnTitleFromName = tree.GetColumnTitleFromName(columnName)
VB
columnTitleFromName = tree.GetColumnTitleFromName(columnName)
Variable | Description
columnTitleFromName | String.
columnName | The name of the column. String.


GetColumnTitle Method (SapTable)

Class

SapTable.

Action

This method returns the title of the given column.

Syntax

C#
columnTitle = table.GetColumnTitle(column)
VB
columnTitle = table.GetColumnTitle(column)
Variable | Description
columnTitle | String.
column | Index of the column. The value is zero-based. Integer.


GetColumnTitles Method (SapGridView)

Class

SapGridView.

Action

Gets all column titles of the specified column.

Syntax

C#
columnTitles = gridView.GetColumnTitles(column)
VB
columnTitles = gridView.GetColumnTitles(column)
Variable | Description
columnTitles | List(Of String).
column | Column identifier. String.


GetColumnTooltip Method (SapGridView)

Class

SapGridView.

Action

Gets the tool tip text of the specified column.

Syntax

C#
columnTooltip = gridView.GetColumnTooltip(column)
VB
columnTooltip = gridView.GetColumnTooltip(column)
Variable | Description
columnTooltip | String.
column | Column identifier. String.


GetColumnTotalType Method (SapGridView)

Class

SapGridView.

Action

Gets the total type of the column. Possible values are: None, Total, Subtotal.

Syntax

C#
columnTotalType = gridView.GetColumnTotalType(column)
VB
columnTotalType = gridView.GetColumnTotalType(column)
Variable | Description
columnTotalType | GridColumnTotalType.
column | Column identifier. String.


GetCurrentEntryKey Method (SapComboBox)

Class

SapComboBox.

Action

the key of the current entry.

Syntax

C#
currentEntryKey = comboBox.GetCurrentEntryKey()
VB
currentEntryKey = comboBox.GetCurrentEntryKey()
Variable | Description
currentEntryKey | String.


GetCurrentEntryValue Method (SapComboBox)

Class

SapComboBox.

Action

the value of the current entry.

Syntax

C#
currentEntryValue = comboBox.GetCurrentEntryValue()
VB
currentEntryValue = comboBox.GetCurrentEntryValue()
Variable | Description
currentEntryValue | String.


GetDisplayedColumnTitle Method (SapGridView)

Class

SapGridView.

Action

Gets the currently displayed title of the specified column.

Syntax

C#
displayedColumnTitle = gridView.GetDisplayedColumnTitle(column)
VB
displayedColumnTitle = gridView.GetDisplayedColumnTitle(column)
Variable | Description
displayedColumnTitle | String.
column | Column identifier. String.


GetEntryKeys Method (SapComboBox)

Class

SapComboBox.

Action

a list of all entry keys.

Syntax

C#
entryKeys = comboBox.GetEntryKeys()
VB
entryKeys = comboBox.GetEntryKeys()
Variable | Description
entryKeys | List(Of String).


GetEntryValues Method (SapComboBox)

Class

SapComboBox.

Action

a list of all entry values.

Syntax

C#
entryValues = comboBox.GetEntryValues()
VB
entryValues = comboBox.GetEntryValues()
Variable | Description
entryValues | List(Of String).


GetGridLineContent Method (SapBarChart)

Class

SapBarChart.

Action

Returns the content of the grid line.

Syntax

C#
gridLineContent = barChart.GetGridLineContent(chartId, gridLineId, textId)
VB
gridLineContent = barChart.GetGridLineContent(chartId, gridLineId, textId)
Variable | Description
gridLineContent | String.
chartId | Index of the chart. Integer.
gridLineId | Index of the grid line within the given chart. Integer.
textId | The text id. Integer.


GetHierarchyLevel Method (SapTree)

Class

SapTree.

Action

Gets the hierarchy level for the given key.

Syntax

C#
hierarchyLevel = tree.GetHierarchyLevel(nodeKey)
VB
hierarchyLevel = tree.GetHierarchyLevel(nodeKey)
Variable | Description
hierarchyLevel | Integer.
nodeKey | The key of the node. String.


GetItemHeight Method (SapTree)

Class

SapTree.

Action

Returns the current item height.

Syntax

C#
itemHeight = tree.GetItemHeight(nodeKey, itemName)
VB
itemHeight = tree.GetItemHeight(nodeKey, itemName)
Variable | Description
itemHeight | Integer.
nodeKey | The key of the node. String.
itemName | The name of the item. String.


GetItemLeft Method (SapTree)

Class

SapTree.

Action

The left position of the component.

Syntax

C#
itemLeft = tree.GetItemLeft(nodeKey, itemName)
VB
itemLeft = tree.GetItemLeft(nodeKey, itemName)
Variable | Description
itemLeft | Integer.
nodeKey | The key of the node. String.
itemName | The name of the item. String.


GetItemStyle Method (SapTree)

Class

SapTree.

Action

The style of the given item.

Syntax

C#
itemStyle = tree.GetItemStyle(nodeKey, itemName)
VB
itemStyle = tree.GetItemStyle(nodeKey, itemName)
Variable | Description
itemStyle | Integer.
nodeKey | The key of the node. String.
itemName | The name of the item. String.


GetItemTextColor Method (SapTree)

Class

SapTree.

Action

Returns the item text color.

Syntax

C#
itemTextColor = tree.GetItemTextColor(nodeKey, itemName)
VB
itemTextColor = tree.GetItemTextColor(nodeKey, itemName)
Variable | Description
itemTextColor | Color.
nodeKey | The key of the node. String.
itemName | The name of the item. String.


GetItemText Method (SapTree)

Class

SapTree.

Action

For multi column trees, this function returns the text of the item specified by the key and name parameters.

Micro Focus generally recommends using SAPTree.GetNodeText() instead of SAPTree.GetItemText(), because it is easier to use, however SAPTree.GetNodeText() does not work for every SAPTree. For an example of how to use SapTree.GetItemText() for a multi colum list tree, see http://stackoverflow.com/questions/29741718/text-in-tree-does-not-match-text-which-is-displayed.

Syntax

C#
itemText = tree.GetItemText(nodeKey, itemName)
VB
itemText = tree.GetItemText(nodeKey, itemName)
Variable | Description
itemText | String.
nodeKey | The key of the node. String.
itemName | The name of the item. String.


GetItemTooltip Method (SapTree)

Class

SapTree.

Action

Returns the item tooltip text.

Syntax

C#
itemTooltip = tree.GetItemTooltip(nodeKey, itemName)
VB
itemTooltip = tree.GetItemTooltip(nodeKey, itemName)
Variable | Description
itemTooltip | String.
nodeKey | The key of the node. String.
itemName | The name of the item. String.


GetItemTop Method (SapTree)

Class

SapTree.

Action

The top position of the component.

Syntax

C#
itemTop = tree.GetItemTop(nodeKey, itemName)
VB
itemTop = tree.GetItemTop(nodeKey, itemName)
Variable | Description
itemTop | Integer.
nodeKey | The key of the node. String.
itemName | The name of the item. String.


GetItemType Method (SapTree)

Class

SapTree.

Action

Returns the type of the given node.

Syntax

C#
itemType = tree.GetItemType(nodeKey, itemName)
VB
itemType = tree.GetItemType(nodeKey, itemName)
Variable | Description
itemType | ItemType.
nodeKey | The key of the node. String.
itemName | The name of the item. String.


GetItemWidth Method (SapTree)

Class

SapTree.

Action

Returns the current item width.

Syntax

C#
itemWidth = tree.GetItemWidth(nodeKey, itemName)
VB
itemWidth = tree.GetItemWidth(nodeKey, itemName)
Variable | Description
itemWidth | Integer.
nodeKey | The key of the node. String.
itemName | The name of the item. String.


GetLineText Method (SapTextEdit)

Class

SapTextEdit.

Action

Returns the text of the specified line.

Syntax

C#
lineText = textEdit.GetLineText(line)
VB
lineText = textEdit.GetLineText(line)
Variable | Description
lineText | String.
line | Index of the line. The value is zero-based. Integer.


GetLinkContent Method (SapNetPlan)

Class

SapNetPlan.

Action

Returns the content of the link.

Syntax

C#
linkContent = netPlan.GetLinkContent(linkId, textId)
VB
linkContent = netPlan.GetLinkContent(linkId, textId)
Variable | Description
linkContent | String.
linkId | Index of the link. Integer.
textId | The text id. Integer.


GetListTreeNodeItemCount Method (SapTree)

Class

SapTree.

Action

Returns the node item count.

Syntax

C#
listTreeNodeItemCount = tree.GetListTreeNodeItemCount(nodeKey)
VB
listTreeNodeItemCount = tree.GetListTreeNodeItemCount(nodeKey)
Variable | Description
listTreeNodeItemCount | Integer.
nodeKey | The key of the node. String.


GetNextNodeKey Method (SapTree)

Class

SapTree.

Action

Returns the key of the next node.

Syntax

C#
nextNodeKey = tree.GetNextNodeKey(nodeKey)
VB
nextNodeKey = tree.GetNextNodeKey(nodeKey)
Variable | Description
nextNodeKey | String.
nodeKey | The key of the node. String.


GetNodeAbapImage Method (SapTree)

Class

SapTree.

Action

Returns the abap image for the given node.

Syntax

C#
nodeAbapImage = tree.GetNodeAbapImage(nodeKey)
VB
nodeAbapImage = tree.GetNodeAbapImage(nodeKey)
Variable | Description
nodeAbapImage | String.
nodeKey | The key of the node. String.


GetNodeChildrenCountByPath Method (SapTree)

Class

SapTree.

Action

This function returns the number of children of the node given by the path parameter (e.g. 2\1\2).

Syntax

C#
nodeChildrenCountByPath = tree.GetNodeChildrenCountByPath(path)
VB
nodeChildrenCountByPath = tree.GetNodeChildrenCountByPath(path)
Variable | Description
nodeChildrenCountByPath | Integer.
path | The node path. String.


GetNodeChildrenCount Method (SapTree)

Class

SapTree.

Action

This function returns the number of children of the node given.

Syntax

C#
nodeChildrenCount = tree.GetNodeChildrenCount(nodeKey)
VB
nodeChildrenCount = tree.GetNodeChildrenCount(nodeKey)
Variable | Description
nodeChildrenCount | Integer.
nodeKey | The key of the node. String.


GetNodeContent Method (SapNetPlan)

Class

SapNetPlan.

Action

Returns the content of the node.

Syntax

C#
nodeContent = netPlan.GetNodeContent(nodeId, textId)
VB
nodeContent = netPlan.GetNodeContent(nodeId, textId)
Variable | Description
nodeContent | String.
nodeId | Index of the node. Integer.
textId | The text id. Integer.


GetNodeHeight Method (SapTree)

Class

SapTree.

Action

The current height of the node.

Syntax

C#
nodeHeight = tree.GetNodeHeight(nodeKey)
VB
nodeHeight = tree.GetNodeHeight(nodeKey)
Variable | Description
nodeHeight | Integer.
nodeKey | The key of the node. String.


GetNodeIndex Method (SapTree)

Class

SapTree.

Action

The index of the given node.

Syntax

C#
nodeIndex = tree.GetNodeIndex(nodeKey)
VB
nodeIndex = tree.GetNodeIndex(nodeKey)
Variable | Description
nodeIndex | Integer.
nodeKey | The key of the node. String.


GetNodeItemHeaders Method (SapTree)

Class

SapTree.

Action

Returns the headers for the given node.

Syntax

C#
nodeItemHeaders = tree.GetNodeItemHeaders(nodeKey)
VB
nodeItemHeaders = tree.GetNodeItemHeaders(nodeKey)
Variable | Description
nodeItemHeaders | List(Of String).
nodeKey | The key of the node. String.


GetNodeLeft Method (SapTree)

Class

SapTree.

Action

The left position of the component.

Syntax

C#
nodeLeft = tree.GetNodeLeft(nodeKey)
VB
nodeLeft = tree.GetNodeLeft(nodeKey)
Variable | Description
nodeLeft | Integer.
nodeKey | The key of the node. String.


GetNodePathByKey Method (SapTree)

Class

SapTree.

Action

Given a node key, the path is retrieved (e.g. 2\1\2).

Syntax

C#
nodePathByKey = tree.GetNodePathByKey(nodeKey)
VB
nodePathByKey = tree.GetNodePathByKey(nodeKey)
Variable | Description
nodePathByKey | String.
nodeKey | The key of the node. String.


GetNodeStyle Method (SapTree)

Class

SapTree.

Action

Returns the style of the node.

Syntax

C#
nodeStyle = tree.GetNodeStyle(nodeKey)
VB
nodeStyle = tree.GetNodeStyle(nodeKey)
Variable | Description
nodeStyle | Integer.
nodeKey | The key of the node. String.


GetNodeTextByPath Method (SapTree)

Class

SapTree.

Action

The text of a node defined by the given path is returned.

Syntax

C#
nodeTextByPath = tree.GetNodeTextByPath(path)
VB
nodeTextByPath = tree.GetNodeTextByPath(path)
Variable | Description
nodeTextByPath | String.
path | The node path. String.


GetNodeTextColor Method (SapTree)

Class

SapTree.

Action

Returns the node text color.

Syntax

C#
nodeTextColor = tree.GetNodeTextColor(nodeKey)
VB
nodeTextColor = tree.GetNodeTextColor(nodeKey)
Variable | Description
nodeTextColor | Integer.
nodeKey | The key of the node. String.


GetNodeText Method (SapTree)

Class

SapTree.

Action

This function returns the text of the node specified by the given key.

Syntax

C#
nodeText = tree.GetNodeText(nodeKey)
VB
nodeText = tree.GetNodeText(nodeKey)
Variable | Description
nodeText | String.
nodeKey | The key of the node. String.


GetNodeTooltip Method (SapTree)

Class

SapTree.

Action

Returns the node tooltip text.

Syntax

C#
nodeTooltip = tree.GetNodeTooltip(nodeKey)
VB
nodeTooltip = tree.GetNodeTooltip(nodeKey)
Variable | Description
nodeTooltip | String.
nodeKey | The key of the node. String.


GetNodeTop Method (SapTree)

Class

SapTree.

Action

The top position of the component.

Syntax

C#
nodeTop = tree.GetNodeTop(nodeKey)
VB
nodeTop = tree.GetNodeTop(nodeKey)
Variable | Description
nodeTop | Integer.
nodeKey | The key of the node. String.


GetNodeWidth Method (SapTree)

Class

SapTree.

Action

Returns the current node width.

Syntax

C#
nodeWidth = tree.GetNodeWidth(nodeKey)
VB
nodeWidth = tree.GetNodeWidth(nodeKey)
Variable | Description
nodeWidth | Integer.
nodeKey | The key of the node. String.


GetParentNodeKey Method (SapTree)

Class

SapTree.

Action

Key of the parent node of the node specified by the given key.

Syntax

C#
parentNodeKey = tree.GetParentNodeKey(nodeKey)
VB
parentNodeKey = tree.GetParentNodeKey(nodeKey)
Variable | Description
parentNodeKey | String.
nodeKey | The key of the node. String.


GetPreviousNodeKey Method (SapTree)

Class

SapTree.

Action

Key of the previous node of the node specified by the given key.

Syntax

C#
previousNodeKey = tree.GetPreviousNodeKey(nodeKey)
VB
previousNodeKey = tree.GetPreviousNodeKey(nodeKey)
Variable | Description
previousNodeKey | String.
nodeKey | The key of the node. String.


GetRowTotalLevel Method (SapGridView)

Class

SapGridView.

Action

Gets the level of the row.

Syntax

C#
rowTotalLevel = gridView.GetRowTotalLevel(row)
VB
rowTotalLevel = gridView.GetRowTotalLevel(row)
Variable | Description
rowTotalLevel | Integer.
row | Index of the row. The value is zero-based. Integer.


GetStyleDescription Method (SapTree)

Class

SapTree.

Action

Returns the description for the given style.

Syntax

C#
styleDescription = tree.GetStyleDescription(style)
VB
styleDescription = tree.GetStyleDescription(style)
Variable | Description
styleDescription | String.
style | The style. Integer.


GetSubNodesKeys Method (SapTree)

Class

SapTree.

Action

Collection of the keys of all subnodes of the node specified by the given key.

Syntax

C#
subNodesKeys = tree.GetSubNodesKeys(nodeKey)
VB
subNodesKeys = tree.GetSubNodesKeys(nodeKey)
Variable | Description
subNodesKeys | List(Of String).
nodeKey | The key of the node. String.


GetSymbolInfo Method (SapGridView)

Class

SapGridView.

Action

Returns the description for the symbol in the cell.

This function will only return a value when the accessibility mode of SAP GUI is enabled.

Syntax

C#
gridView.GetSymbolInfo(symbol)
VB
gridView.GetSymbolInfo(symbol)
Variable | Description
symbol | The symbolic value of the cell. String.


GetToolbarButtonIcon Method (SapGridView)

Class

SapGridView.

Action

Gets the name of the icon of the specified toolbar button.

Syntax

C#
toolbarButtonIcon = gridView.GetToolbarButtonIcon(buttonpos)
VB
toolbarButtonIcon = gridView.GetToolbarButtonIcon(buttonpos)
Variable | Description
toolbarButtonIcon | String.
buttonpos | The position of the toolbar button. The value is zero-based. Integer.


GetToolbarButtonId Method (SapGridView)

Class

SapGridView.

Action

Gets the ID of the specified tool bar button.

Syntax

C#
toolbarButtonId = gridView.GetToolbarButtonId(buttonpos)
VB
toolbarButtonId = gridView.GetToolbarButtonId(buttonpos)
Variable | Description
toolbarButtonId | String.
buttonpos | The position of the tool bar button. The value is zero-based. Integer.


GetToolbarButtonText Method (SapGridView)

Class

SapGridView.

Action

Gets the text of the specified tool bar button.

Syntax

C#
toolbarButtonText = gridView.GetToolbarButtonText(buttonpos)
VB
toolbarButtonText = gridView.GetToolbarButtonText(buttonpos)
Variable | Description
toolbarButtonText | String.
buttonpos | The button position of the tool bar button. The value is zero-based. Integer.


GetToolbarButtonTooltip Method (SapGridView)

Class

SapGridView.

Action

Gets the tooltip of the specified tool bar button.

Syntax

C#
toolbarButtonTooltip = gridView.GetToolbarButtonTooltip(buttonpos)
VB
toolbarButtonTooltip = gridView.GetToolbarButtonTooltip(buttonpos)
Variable | Description
toolbarButtonTooltip | String.
buttonpos | The index of the tool bar button. The value is zero-based. Integer.


GetToolbarButtonType Method (SapGridView)

Class

SapGridView.

Action

Gets the type of the specified toolbar button. Possible values are: "Button", "ButtonAndMenu", "Menu", "Separator", "Group", "CheckBox".

Syntax

C#
toolbarButtonType = gridView.GetToolbarButtonType(buttonpos)
VB
toolbarButtonType = gridView.GetToolbarButtonType(buttonpos)
Variable | Description
toolbarButtonType | GridToolbarButtonType.
buttonpos | The index of the tool bar button. The value is zero-based. Integer.


GetToolbarFocusButton Method (SapGridView)

Class

SapGridView.

Action

Gets the position of the current focused tool bar button.

Syntax

C#
toolbarFocusButton = gridView.GetToolbarFocusButton()
VB
toolbarFocusButton = gridView.GetToolbarFocusButton()
Variable | Description
toolbarFocusButton | Integer.


GetVisibleCellsForColumn Method (SapTable)

Class

SapTable.

Action

Returns the visible cells for the given column.

Syntax

C#
visibleCellsForColumn = table.GetVisibleCellsForColumn(column)
VB
visibleCellsForColumn = table.GetVisibleCellsForColumn(column)
Variable | Description
visibleCellsForColumn | List(Of SapComponent).
column | Index of the column. The value is zero-based. Integer.


GridCount Method (SapBarChart)

Class

SapBarChart.

Action

Returns the number of grids within the chart.

Syntax

C#
result = barChart.GridCount(chartId)
VB
result = barChart.GridCount(chartId)
Variable | Description
result | Integer.
chartId | Index of the chart. Integer.


GuiFocus Property (SapWindow)

Class

SapWindow.

Action

Gets the element within SAP GUI that currently has the focus.

Syntax

C#
protected SapComponent GuiFocus { get; }
VB
'Declaration
Protected Read Property GuiFocus As SapComponent

Access

Read only.


HasCellF4Help Method (SapGridView)

Class

SapGridView.

Action

Returns true if the specified cell has a value help assigned.

Syntax

C#
cellF4Help = gridView.HasCellF4Help(row, column)
VB
cellF4Help = gridView.HasCellF4Help(row, column)
Variable | Description
cellF4Help | Boolean.
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


HeaderContextMenu Method (SapTree)

Class

SapTree.

Action

This method requests a context menu for a header.

Syntax

C#
tree.HeaderContextMenu(headerName)
VB
tree.HeaderContextMenu(headerName)
Variable | Description
headerName | The name of the header. String.


Height Property (SapComponent)

Class

SapComponent.

Action

Gets the current height of the component.

Syntax

C#
protected Integer Height { get; }
VB
'Declaration
Protected Read Property Height As Integer

Access

Read only.


HierarchyHeaderWidth Property (SapTree)

Class

SapTree.

Action

Gets the width of the hierarchy header in pixels.

Syntax

C#
protected Integer HierarchyHeaderWidth { get; }
VB
'Declaration
Protected Read Property HierarchyHeaderWidth As Integer

Access

Read only.


HierarchyTitle Property (SapTree)

Class

SapTree.

Action

Gets the hierarchy title.

Syntax

C#
protected String HierarchyTitle { get; }
VB
'Declaration
Protected Read Property HierarchyTitle As String

Access

Read only.


Highlighted Property (SapLabel)

Class

SapLabel.

Action

Gets whether the label has the 'highlighted' flag assigned.

Syntax

C#
protected Boolean Highlighted { get; }
VB
'Declaration
Protected Read Property Highlighted As Boolean

Access

Read only.


IconName Property (SapComponent)

Class

SapComponent.

Action

Gets whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string.

Syntax

C#
protected String IconName { get; }
VB
'Declaration
Protected Read Property IconName As String

Access

Read only.


Icon Property (SapPicture)

Class

SapPicture.

Action

Gets the SAPGUI icon code e.g. ("@01@").

Syntax

C#
protected String Icon { get; }
VB
'Declaration
Protected Read Property Icon As String

Access

Read only.


InsertRows Method (SapGridView)

Class

SapGridView.

Action

Inserts a range of rows.

The parameter rows is a comma-separated string of indices or index ranges, for example '3,5-8,14,15'. For any single index, a new row will be added at the given index, moving the old row one line down. If a range of indexes is inserted then all the new lines are inserted as a single block before any of the old lines. The entries must be ordered and the ranges must not overlap.

Syntax

C#
gridView.InsertRows(rows)
VB
gridView.InsertRows(rows)
Variable | Description
rows | The rows to insert. String.


IsBreakpointLine Method (SapTextEdit)

Class

SapTextEdit.

Action

whether the specified line contains a breakpoint.

Syntax

C#
breakpointLine = textEdit.IsBreakpointLine(line)
VB
breakpointLine = textEdit.IsBreakpointLine(line)
Variable | Description
breakpointLine | Boolean.
line | Index of the line. The value is zero-based. Integer.


IsButtonChecked Method (SapToolbarControl)

Class

SapToolbarControl.

Action

if the button is currently checked (pressed).

Syntax

C#
buttonChecked = toolbarControl.IsButtonChecked(buttonPosition)
VB
buttonChecked = toolbarControl.IsButtonChecked(buttonPosition)
Variable | Description
buttonChecked | Boolean.
buttonPosition | The zero-based button position. Integer.


IsButtonEnabled Method (SapToolbarControl)

Class

SapToolbarControl.

Action

if the button can be pressed.

Syntax

C#
buttonEnabled = toolbarControl.IsButtonEnabled(buttonPosition)
VB
buttonEnabled = toolbarControl.IsButtonEnabled(buttonPosition)
Variable | Description
buttonEnabled | Boolean.
buttonPosition | The zero-based button position. Integer.


IsCellChangeable Method (SapGridView)

Class

SapGridView.

Action

Returns true if the specified cell is changeable.

Syntax

C#
cellChangeable = gridView.IsCellChangeable(row, column)
VB
cellChangeable = gridView.IsCellChangeable(row, column)
Variable | Description
cellChangeable | Boolean.
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


IsCellCheckBoxChecked Method (SapGridView)

Class

SapGridView.

Action

Returns true if the check box at the specified position is checked.

Syntax

C#
cellCheckBoxChecked = gridView.IsCellCheckBoxChecked(row, column)
VB
cellCheckBoxChecked = gridView.IsCellCheckBoxChecked(row, column)
Variable | Description
cellCheckBoxChecked | Boolean.
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


IsCellHotspot Method (SapGridView)

Class

SapGridView.

Action

Returns true if the cell is a link.

Syntax

C#
cellHotspot = gridView.IsCellHotspot(row, column)
VB
cellHotspot = gridView.IsCellHotspot(row, column)
Variable | Description
cellHotspot | Boolean.
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


IsCellSymbol Method (SapGridView)

Class

SapGridView.

Action

Returns true if the text in the cell is displayed in the SAP symbol font.

Syntax

C#
cellSymbol = gridView.IsCellSymbol(row, column)
VB
cellSymbol = gridView.IsCellSymbol(row, column)
Variable | Description
cellSymbol | Boolean.
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


IsCellTotalExpander Method (SapGridView)

Class

SapGridView.

Action

Returns true if the specified cell contains a total expander button.

Syntax

C#
cellTotalExpander = gridView.IsCellTotalExpander(row, column)
VB
cellTotalExpander = gridView.IsCellTotalExpander(row, column)
Variable | Description
cellTotalExpander | Boolean.
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


IsColumnFiltered Method (SapGridView)

Class

SapGridView.

Action

Returns true if the specified column is filtered.

Syntax

C#
columnFiltered = gridView.IsColumnFiltered(column)
VB
columnFiltered = gridView.IsColumnFiltered(column)
Variable | Description
columnFiltered | Boolean.
column | Column identifier. String.


IsColumnKey Method (SapGridView)

Class

SapGridView.

Action

Returns true if the specified column is a key column.

Syntax

C#
columnKey = gridView.IsColumnKey(column)
VB
columnKey = gridView.IsColumnKey(column)
Variable | Description
columnKey | Boolean.
column | Column identifier. String.


IsColumnSelected Method (SapTable)

Class

SapTable.

Action

Returns true if the given column is selected.

Syntax

C#
columnSelected = table.IsColumnSelected(column)
VB
columnSelected = table.IsColumnSelected(column)
Variable | Description
columnSelected | Boolean.
column | Index of the column. The value is zero-based. Integer.


IsCommentLine Method (SapTextEdit)

Class

SapTextEdit.

Action

Returns true if the specified line is a comment line.

Syntax

C#
commentLine = textEdit.IsCommentLine(line)
VB
commentLine = textEdit.IsCommentLine(line)
Variable | Description
commentLine | Boolean.
line | Index of the line. The value is zero-based. Integer.


IsFolderExpandable Method (SapTree)

Class

SapTree.

Action

Whether the folder is expandable.

Syntax

C#
folderExpandable = tree.IsFolderExpandable(nodeKey)
VB
folderExpandable = tree.IsFolderExpandable(nodeKey)
Variable | Description
folderExpandable | Boolean.
nodeKey | The key of the node. String.


IsFolderExpanded Method (SapTree)

Class

SapTree.

Action

Whether the folder is expanded.

Syntax

C#
folderExpanded = tree.IsFolderExpanded(nodeKey)
VB
folderExpanded = tree.IsFolderExpanded(nodeKey)
Variable | Description
folderExpanded | Boolean.
nodeKey | The key of the node. String.


IsFolder Method (SapTree)

Class

SapTree.

Action

Whether the given node is a folder.

Syntax

C#
folder = tree.IsFolder(nodeKey)
VB
folder = tree.IsFolder(nodeKey)
Variable | Description
folder | Boolean.
nodeKey | The key of the node. String.


IsHighlightedLine Method (SapTextEdit)

Class

SapTextEdit.

Action

Returns true if the specified line is highlighted.

Syntax

C#
highlightedLine = textEdit.IsHighlightedLine(line)
VB
highlightedLine = textEdit.IsHighlightedLine(line)
Variable | Description
highlightedLine | Boolean.
line | Index of the line. The value is zero-based. Integer.


IsHighLighted Method (SapTree)

Class

SapTree.

Action

Whether the node is highlighted.

Syntax

C#
highLighted = tree.IsHighLighted(nodeKey, itemName)
VB
highLighted = tree.IsHighLighted(nodeKey, itemName)
Variable | Description
highLighted | Boolean.
nodeKey | The key of the node. String.
itemName | The name of the item. String.


IsHotspot Property (SapLabel)

Class

SapLabel.

Action

Gets whether a mouse click on the label causes a round trip.

Syntax

C#
protected Boolean IsHotspot { get; }
VB
'Declaration
Protected Read Property IsHotspot As Boolean

Access

Read only.


IsLeftLabel Property (SapCheckBox)

Class

SapCheckBox.

Action

Gets whether the component has the 'assign left' flag.

Syntax

C#
protected Boolean IsLeftLabel { get; }
VB
'Declaration
Protected Read Property IsLeftLabel As Boolean

Access

Read only.


IsLeftLabel Property (SapComboBox)

Class

SapComboBox.

Action

Gets whether the component has the 'assign left' flag.

Syntax

C#
protected Boolean IsLeftLabel { get; }
VB
'Declaration
Protected Read Property IsLeftLabel As Boolean

Access

Read only.


IsLeftLabel Property (SapLabel)

Class

SapLabel.

Action

Gets whether the component has the 'assign left' flag assigned.

Syntax

C#
protected Boolean IsLeftLabel { get; }
VB
'Declaration
Protected Read Property IsLeftLabel As Boolean

Access

Read only.


IsLeftLabel Property (SapRadioButton)

Class

SapRadioButton.

Action

Gets whether the component has the 'assign left' flag.

Syntax

C#
protected Boolean IsLeftLabel { get; }
VB
'Declaration
Protected Read Property IsLeftLabel As Boolean

Access

Read only.


IsListBoxActive Property (SapComboBox)

Class

SapComboBox.

Action

Gets whether the list box of the the combo box is currently open.

Syntax

C#
protected Boolean IsListBoxActive { get; }
VB
'Declaration
Protected Read Property IsListBoxActive As Boolean

Access

Read only.


IsListElement Property (SapCheckBox)

Class

SapCheckBox.

Action

Gets whether the element is on an ABAP list, not a screen.

Syntax

C#
protected Boolean IsListElement { get; }
VB
'Declaration
Protected Read Property IsListElement As Boolean

Access

Read only.


IsListElement Property (SapLabel)

Class

SapLabel.

Action

Gets whether the element is on an ABAP list.

Syntax

C#
protected Boolean IsListElement { get; }
VB
'Declaration
Protected Read Property IsListElement As Boolean

Access

Read only.


IsPassword Property (SapTextField)

Class

SapTextField.

Action

Gets whether the text field is a password text field.

Syntax

C#
protected Boolean IsPassword { get; }
VB
'Declaration
Protected Read Property IsPassword As Boolean

Access

Read only.


IsProtectedLine Method (SapTextEdit)

Class

SapTextEdit.

Action

Returns true if the specified line is protected.

Syntax

C#
protectedLine = textEdit.IsProtectedLine(line)
VB
protectedLine = textEdit.IsProtectedLine(line)
Variable | Description
protectedLine | Boolean.
line | Index of the line. The value is zero-based. Integer.


IsRightLabel Property (SapCheckBox)

Class

SapCheckBox.

Action

Gets whether the component has the 'assign right' flag.

Syntax

C#
protected Boolean IsRightLabel { get; }
VB
'Declaration
Protected Read Property IsRightLabel As Boolean

Access

Read only.


IsRightLabel Property (SapComboBox)

Class

SapComboBox.

Action

Gets whether the component has the 'assign right' flag.

Syntax

C#
protected Boolean IsRightLabel { get; }
VB
'Declaration
Protected Read Property IsRightLabel As Boolean

Access

Read only.


IsRightLabel Property (SapLabel)

Class

SapLabel.

Action

Gets whether the component has the 'assign right' flag assigned.

Syntax

C#
protected Boolean IsRightLabel { get; }
VB
'Declaration
Protected Read Property IsRightLabel As Boolean

Access

Read only.


IsRightLabel Property (SapRadioButton)

Class

SapRadioButton.

Action

Gets whether the component has the 'assign right' flag.

Syntax

C#
protected Boolean IsRightLabel { get; }
VB
'Declaration
Protected Read Property IsRightLabel As Boolean

Access

Read only.


IsRowSelected Method (SapTable)

Class

SapTable.

Action

Returns true if the given row is selected.

Syntax

C#
rowSelected = table.IsRowSelected(row)
VB
rowSelected = table.IsRowSelected(row)
Variable | Description
rowSelected | Boolean.
row | Index of the row. The value is zero-based. Integer.


IsSymbolFont Property (SapComponent)

Class

SapComponent.

Action

Gets whether the component's text is visualized in the SAP symbol font.

Syntax

C#
protected Boolean IsSymbolFont { get; }
VB
'Declaration
Protected Read Property IsSymbolFont As Boolean

Access

Read only.


IsToolbarButtonChecked Method (SapGridView)

Class

SapGridView.

Action

Returns true if the specified tool bar button is checked.

Syntax

C#
toolbarButtonChecked = gridView.IsToolbarButtonChecked(buttonpos)
VB
toolbarButtonChecked = gridView.IsToolbarButtonChecked(buttonpos)
Variable | Description
toolbarButtonChecked | Boolean.
buttonpos | The button index in the tool bar. The value is zero-based. Integer.


IsToolbarButtonEnabled Method (SapGridView)

Class

SapGridView.

Action

Returns true if the specified button is enabled.

Syntax

C#
toolbarButtonEnabled = gridView.IsToolbarButtonEnabled(buttonpos)
VB
toolbarButtonEnabled = gridView.IsToolbarButtonEnabled(buttonpos)
Variable | Description
toolbarButtonEnabled | Boolean.
buttonpos | The button index in the tool bar. The value is zero-based. Integer.


IsTotalRowExpanded Method (SapGridView)

Class

SapGridView.

Action

whether the specified total row is expanded.

Syntax

C#
totalRowExpanded = gridView.IsTotalRowExpanded(row)
VB
totalRowExpanded = gridView.IsTotalRowExpanded(row)
Variable | Description
totalRowExpanded | Boolean.
row | Index of the row. The value is zero-based. Integer.


IsVkeyAllowed Method (SapWindow)

Class

SapWindow.

Action

The method returns True if the given virtual key can be executed on the current screen.

Syntax

C#
vkeyAllowed = window.IsVkeyAllowed(vkey)
VB
vkeyAllowed = window.IsVkeyAllowed(vkey)
Variable | Description
vkeyAllowed | Boolean.
vkey | The key to evaluate. VKey.


ItemContextMenu Method (SapTree)

Class

SapTree.

Action

This method requests a context menu for an item.

Syntax

C#
tree.ItemContextMenu(nodeKey, itemName)
VB
tree.ItemContextMenu(nodeKey, itemName)
Variable | Description
nodeKey | The key of the node. String.
itemName | The name of the item. String.


JumpBackward Method (SapWindow)

Class

SapWindow.

Action

Execute the Ctrl+Shift+Tab key on the window to jump backward one block.

Syntax

C#
window.JumpBackward()
VB
window.JumpBackward()


JumpForward Method (SapWindow)

Class

SapWindow.

Action

Execute the Ctrl+Tab key on the window to jump forward one block.

Syntax

C#
window.JumpForward()
VB
window.JumpForward()


Key Property (SapComboBox)

Class

SapComboBox.

Action

Gets the key of the currently selected item.

Syntax

C#
protected String Key { get; }
VB
'Declaration
Protected Read Property Key As String

Access

Read only.


LastVisibleDate Property (SapCalendar)

Class

SapCalendar.

Action

Gets the last date visible in the calendar control.

Syntax

C#
protected String LastVisibleDate { get; }
VB
'Declaration
Protected Read Property LastVisibleDate As String

Access

Read only.


LastVisibleLine Property (SapTextEdit)

Class

SapTextEdit.

Action

Gets the last visible line which is visualized at the bottom border of the text edit control. The value is zero-based.

Syntax

C#
protected Integer LastVisibleLine { get; }
VB
'Declaration
Protected Read Property LastVisibleLine As Integer

Access

Read only.


Left Property (SapComponent)

Class

SapComponent.

Action

Gets the left position of the element in screen coordinates.

Syntax

C#
protected Integer Left { get; }
VB
'Declaration
Protected Read Property Left As Integer

Access

Read only.


LineCount Property (SapTextEdit)

Class

SapTextEdit.

Action

Gets the number of all lines in the text edit control.

Syntax

C#
protected Integer LineCount { get; }
VB
'Declaration
Protected Read Property LineCount As Integer

Access

Read only.


LinkCount Method (SapBarChart)

Class

SapBarChart.

Action

Returns the number of links within the given chart.

Syntax

C#
result = barChart.LinkCount(chartId)
VB
result = barChart.LinkCount(chartId)
Variable | Description
result | Integer.
chartId | Index of the chart. Integer.


LinkCount Property (SapNetPlan)

Class

SapNetPlan.

Action

Gets the number of links in the net.

Syntax

C#
protected Integer LinkCount { get; }
VB
'Declaration
Protected Read Property LinkCount As Integer

Access

Read only.


Maximum Property (SapScrollbar)

Class

SapScrollbar.

Action

Gets the maximum scrollbar value.

Syntax

C#
protected Integer Maximum { get; }
VB
'Declaration
Protected Read Property Maximum As Integer

Access

Read only.


Maxlength Property (SapLabel)

Class

SapLabel.

Action

Gets the maximum text length of the label in code units.

Syntax

C#
protected Integer Maxlength { get; }
VB
'Declaration
Protected Read Property Maxlength As Integer

Access

Read only.


MessageId Property (SapStatusbar)

Class

SapStatusbar.

Action

Gets the name of the message class used in the ABAP message call.

Syntax

C#
protected String MessageId { get; }
VB
'Declaration
Protected Read Property MessageId As String

Access

Read only.


MessageNumber Property (SapStatusbar)

Class

SapStatusbar.

Action

Gets the message number used in the ABAP message call.

Syntax

C#
protected String MessageNumber { get; }
VB
'Declaration
Protected Read Property MessageNumber As String

Access

Read only.


MessageType Property (SapStatusbar)

Class

SapStatusbar.

Action

Gets the type of the displayed message in the statusbar, i.e. S (Success), W (Warning), E (Error), A (Abort), I (Information).

Syntax

C#
protected StatusBarMessageType MessageType { get; }
VB
'Declaration
Protected Read Property MessageType As StatusBarMessageType

Access

Read only.


Minimum Property (SapScrollbar)

Class

SapScrollbar.

Action

Gets the minimum scrollbar value.

Syntax

C#
protected Integer Minimum { get; }
VB
'Declaration
Protected Read Property Minimum As Integer

Access

Read only.


Modified Property (SapComponent)

Class

SapComponent.

Action

Gets whether the state has been changed by the user and this change has not yet been sent to the SAP system.

Syntax

C#
protected Boolean Modified { get; }
VB
'Declaration
Protected Read Property Modified As Boolean

Access

Read only.


ModifyCell Method (SapGridView)

Class

SapGridView.

Action

Modifies the value of the specified cell.

Syntax

C#
gridView.ModifyCell(row, column, value)
VB
gridView.ModifyCell(row, column, value)
Variable | Description
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.
value | The new value of the cell. String.


ModifyCheckBox Method (SapGridView)

Class

SapGridView.

Action

Modifies the value of the specified checkbox cell.

Syntax

C#
gridView.ModifyCheckBox(row, column, selected)
VB
gridView.ModifyCheckBox(row, column, selected)
Variable | Description
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.
selected | Specifies if the check box should be selected. Boolean.


Month Property (SapCalendar)

Class

SapCalendar.

Action

Gets the month of the year that is currently selected.

Syntax

C#
protected Integer Month { get; }
VB
'Declaration
Protected Read Property Month As Integer

Access

Read only.


MoveRows Method (SapGridView)

Class

SapGridView.

Action

Moves the rows with an index greater than or equal to fromRow up to an index less than or equal to toRow to the position of destRow.

Syntax

C#
gridView.MoveRows(fromRow, toRow, destRow)
VB
gridView.MoveRows(fromRow, toRow, destRow)
Variable | Description
fromRow | Index of the first row of the selection. The value is zero-based. Integer.
toRow | Index of the last row of the selection. The value is zero-based. Integer.
destRow | Index of the destination to which the rows should be moved. The value is zero-based. Integer.


Name Property (SapComponent)

Class

SapComponent.

Action

Gets the name of the component.

Syntax

C#
protected String Name { get; }
VB
'Declaration
Protected Read Property Name As String

Access

Read only.


NodeContextMenu Method (SapTree)

Class

SapTree.

Action

This method requests a context menu for a node.

Syntax

C#
tree.NodeContextMenu(nodeKey)
VB
tree.NodeContextMenu(nodeKey)
Variable | Description
nodeKey | The key of the node. String.


NodeCount Property (SapNetPlan)

Class

SapNetPlan.

Action

Gets the number of Nodes in the net.

Syntax

C#
protected Integer NodeCount { get; }
VB
'Declaration
Protected Read Property NodeCount As Integer

Access

Read only.


NodeKeys Property (SapTree)

Class

SapTree.

Action

Gets a collection containing either the node key of the root node, or the node keys of all nodes in the tree, depending on the application.

Syntax

C#
protected List(Of String) NodeKeys { get; }
VB
'Declaration
Protected Read Property NodeKeys As List(Of String)

Access

Read only.


Numerical Property (SapLabel)

Class

SapLabel.

Action

Gets whether the label may only contain numbers.

Syntax

C#
protected Boolean Numerical { get; }
VB
'Declaration
Protected Read Property Numerical As Boolean

Access

Read only.


Opened Property (SapOkCodeField)

Class

SapOkCodeField.

Action

Gets whether the GuiOkCodeField is collapsed.

Syntax

C#
protected Boolean Opened { get; }
VB
'Declaration
Protected Read Property Opened As Boolean

Access

Read only.


Open Method (SapOkCodeField)

Class

SapOkCodeField.

Action

Expands the GuiOkCodeField.

Syntax

C#
okCodeField.Open()
VB
okCodeField.Open()


PageSize Property (SapScrollbar)

Class

SapScrollbar.

Action

Gets the scrollbar pagesize.

Syntax

C#
protected Integer PageSize { get; }
VB
'Declaration
Protected Read Property PageSize As Integer

Access

Read only.


Position Property (SapScrollbar)

Class

SapScrollbar.

Action

Gets the current scrollbar position.

Syntax

C#
protected Integer Position { get; }
VB
'Declaration
Protected Read Property Position As Integer

Access

Read only.


PressButtonCurrentCell Method (SapGridView)

Class

SapGridView.

Action

Clicks a button placed in the current cell.

Syntax

C#
gridView.PressButtonCurrentCell()
VB
gridView.PressButtonCurrentCell()


PressButton Method (SapGridView)

Class

SapGridView.

Action

Presses the button placed in the specified cell.

Syntax

C#
gridView.PressButton(row, column)
VB
gridView.PressButton(row, column)
Variable | Description
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


PressColumnHeader Method (SapGridView)

Class

SapGridView.

Action

Clicks on the header of the specified column.

Syntax

C#
gridView.PressColumnHeader(column)
VB
gridView.PressColumnHeader(column)
Variable | Description
column | Column identifier. String.


PressContextButton Method (SapToolbarControl)

Class

SapToolbarControl.

Action

Press the context button with the given id.

Syntax

C#
toolbarControl.PressContextButton(id)
VB
toolbarControl.PressContextButton(id)
Variable | Description
id | The id of the button. String.


PressEnter Method (SapGridView)

Class

SapGridView.

Action

Presses the enter key.

Syntax

C#
gridView.PressEnter()
VB
gridView.PressEnter()


PressF1 Method (SapGridView)

Class

SapGridView.

Action

Presses the F1 key.

Syntax

C#
gridView.PressF1()
VB
gridView.PressF1()


PressF1 Method (SapOkCodeField)

Class

SapOkCodeField.

Action

Emulate pressing the F1 key while the focus is on the GuiOkCodeField.

Syntax

C#
okCodeField.PressF1()
VB
okCodeField.PressF1()


PressF1 Method (SapTextEdit)

Class

SapTextEdit.

Action

Presses the F1 key.

Syntax

C#
textEdit.PressF1()
VB
textEdit.PressF1()


PressF4 Method (SapGridView)

Class

SapGridView.

Action

Presses the F4 key.

Syntax

C#
gridView.PressF4()
VB
gridView.PressF4()


PressF4 Method (SapTextEdit)

Class

SapTextEdit.

Action

Presses the F4 key.

Syntax

C#
textEdit.PressF4()
VB
textEdit.PressF4()


PressKey Method (SapTree)

Class

SapTree.

Action

This method emulates pressing a key.

Syntax

C#
tree.PressKey(key)
VB
tree.PressKey(key)
Variable | Description
key | Possible values are: F1, F4, Delete, Insert, Enter, Cut, Copy, and Paste. String.


PressToolbarButton Method (SapGridView)

Class

SapGridView.

Action

Clicks the specified button in the grid view's tool bar.

Syntax

C#
gridView.PressToolbarButton(id)
VB
gridView.PressToolbarButton(id)
Variable | Description
id | The id of the tool bar button. String.


PressToolbarContextButton Method (SapGridView)

Class

SapGridView.

Action

Opens the context menu of the specified button of the grid view's tool bar.

Syntax

C#
gridView.PressToolbarContextButton(id)
VB
gridView.PressToolbarContextButton(id)
Variable | Description
id | The id of the tool bar button. String.


PressTotalRowCurrentCell Method (SapGridView)

Class

SapGridView.

Action

Presses the expansion button on the current cell.

Syntax

C#
gridView.PressTotalRowCurrentCell()
VB
gridView.PressTotalRowCurrentCell()


PressTotalRow Method (SapGridView)

Class

SapGridView.

Action

Presses the row button of the specified total row.

Syntax

C#
gridView.PressTotalRow(row, column)
VB
gridView.PressTotalRow(row, column)
Variable | Description
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


ReorderTable Method (SapTable)

Class

SapTable.

Action

This method re-orders the columns.

Syntax

C#
table.ReorderTable(permutation)
VB
table.ReorderTable(permutation)
Variable | Description
permutation | Describes a new ordering of the columns. For example "1 3 2" will move column 3 to second position. String.


Required Property (SapComboBox)

Class

SapComboBox.

Action

Gets whether the component is a required value for the screen.

Syntax

C#
protected Boolean Required { get; }
VB
'Declaration
Protected Read Property Required As Boolean

Access

Read only.


ResizeWorkingPaneEx Method (SapWindow)

Class

SapWindow.

Action

The ResizeWorkingPaneEx function will resize the window so that the available working area has the given width and height in pixels.

Syntax

C#
window.ResizeWorkingPaneEx(width, height, throwOnFail)
VB
window.ResizeWorkingPaneEx(width, height, throwOnFail)
Variable | Description
width | The new width of the working pane. Integer.
height | The new height of the working pane. Integer.
throwOnFail | Whether an exception should be thrown in case of an failure. Boolean.


ResizeWorkingPane Method (SapWindow)

Class

SapWindow.

Action

The ResizeWorkingPane function will resize the window so that the available working area has the given width and height in character metric.

Syntax

C#
window.ResizeWorkingPane(width, height, throwOnFail)
VB
window.ResizeWorkingPane(width, height, throwOnFail)
Variable | Description
width | The new width of the working pane. Integer.
height | The new height of the working pane. Integer.
throwOnFail | Whether an exception should be thrown in case of an failure. Boolean.


RowCount Property (SapGridView)

Class

SapGridView.

Action

Gets the number of rows.

Syntax

C#
protected Integer RowCount { get; }
VB
'Declaration
Protected Read Property RowCount As Integer

Access

Read only.


RowCount Property (SapTable)

Class

SapTable.

Action

Gets the number of rows in the table including invisible rows.

Syntax

C#
protected Integer RowCount { get; }
VB
'Declaration
Protected Read Property RowCount As Integer

Access

Read only.


RowSelectionMode Property (SapTable)

Class

SapTable.

Action

Gets the row selection mode.

Syntax

C#
protected TableSelectionType RowSelectionMode { get; }
VB
'Declaration
Protected Read Property RowSelectionMode As TableSelectionType

Access

Read only.


RowText Property (SapCheckBox)

Class

SapCheckBox.

Action

Gets the text of the while line containing the current component.

Syntax

C#
protected String RowText { get; }
VB
'Declaration
Protected Read Property RowText As String

Access

Read only.


SapEvent Method (SapHTMLViewer)

Class

SapHTMLViewer.

Action

This function submits an HTML form to the backend.

Syntax

C#
hTMLViewer.SapEvent(frameName, postData, url)
VB
hTMLViewer.SapEvent(frameName, postData, url)
Variable | Description
frameName | This is the name of the frame in which the HTML form that has been submitted lives. String.
postData | Contains the form data when a submit is made using the POST method. String.
url | This is the URL which is submitted to the backend. The protocol name for the URL string is "sapevent:". This is followed by the name of the event as defined in the Action Property of the HTML form which is called. String.


ScreenLeft Property (SapComponent)

Class

SapComponent.

Action

Gets the left position of the component in screen coordinates.

Syntax

C#
protected Integer ScreenLeft { get; }
VB
'Declaration
Protected Read Property ScreenLeft As Integer

Access

Read only.


ScreenTop Property (SapComponent)

Class

SapComponent.

Action

Gets the top position of the component in screen coordinates.

Syntax

C#
protected Integer ScreenTop { get; }
VB
'Declaration
Protected Read Property ScreenTop As Integer

Access

Read only.


ScrollTo Method (SapScrollbar)

Class

SapScrollbar.

Action

Scrolls to the given position.

Syntax

C#
scrollbar.ScrollTo(position)
VB
scrollbar.ScrollTo(position)
Variable | Description
position | The position. Integer.


SelectAllColumns Method (SapTable)

Class

SapTable.

Action

This function can be used for table controls with a button that allows to select all columns in one step.

Syntax

C#
table.SelectAllColumns()
VB
table.SelectAllColumns()


SelectAll Method (SapGridView)

Class

SapGridView.

Action

Selects the whole grid content (i.e. all rows and all columns).

Syntax

C#
gridView.SelectAll()
VB
gridView.SelectAll()


SelectButton Method (SapToolbarControl)

Class

SapToolbarControl.

Action

emulates pressing the button with the given id.

Syntax

C#
toolbarControl.SelectButton(id)
VB
toolbarControl.SelectButton(id)
Variable | Description
id | The id of the button. String.


SelectButton Method (SapTree)

Class

SapTree.

Action

This method emulates pressing a button.

Syntax

C#
tree.SelectButton(nodeKey, itemName)
VB
tree.SelectButton(nodeKey, itemName)
Variable | Description
nodeKey | The key of the node. String.
itemName | The name of the item. String.


SelectColumn Method (SapGridView)

Class

SapGridView.

Action

Adds the specified column to the list of the selected columns.

Syntax

C#
gridView.SelectColumn(column)
VB
gridView.SelectColumn(column)
Variable | Description
column | Column identifier. String.


SelectColumn Method (SapTable)

Class

SapTable.

Action

Selects the given column.

Syntax

C#
table.SelectColumn(column)
VB
table.SelectColumn(column)
Variable | Description
column | Index of the column. The value is zero-based. Integer.


SelectColumn Method (SapTree)

Class

SapTree.

Action

This function adds a column to the column selection. A node or item selection is removed.

Syntax

C#
tree.SelectColumn(columnName)
VB
tree.SelectColumn(columnName)
Variable | Description
columnName | The name of the column. String.


SelectContextMenuItemByPosition Method (ISapContextMenuable)

Class

ISapContextMenuable.

Action

This method allows you to select a context menu item using the position of the item.

Syntax

C#
iSapContextMenuable.SelectContextMenuItemByPosition(positionDescription)
VB
iSapContextMenuable.SelectContextMenuItemByPosition(positionDescription)
Variable | Description
positionDescription | A string containing the path to the item. If the context menu item is on the top level menu, this is just the zero-base index of the item. Otherwise, the positions on the menu and respective submenus should be concatenated, separated by "|". String.


SelectContextMenuItemByText Method (ISapContextMenuable)

Class

ISapContextMenuable.

Action

Select a menu item of a context menu using the text of the item and possible higher level menus.

Syntax

C#
iSapContextMenuable.SelectContextMenuItemByText(text)
VB
iSapContextMenuable.SelectContextMenuItemByText(text)
Variable | Description
text | The menu item text. String.


SelectContextMenuItem Method (ISapContextMenuable)

Class

ISapContextMenuable.

Action

Select an item from the controls context menu.

Syntax

C#
iSapContextMenuable.SelectContextMenuItem(functionCode)
VB
iSapContextMenuable.SelectContextMenuItem(functionCode)
Variable | Description
functionCode | The function code. String.


SelectedCells Property (SapGridView)

Class

SapGridView.

Action

Gets a list of strings that contains the selected cells, each of which has the format "<row>,<column id>".

Syntax

C#
protected List(Of String) SelectedCells { get; }
VB
'Declaration
Protected Read Property SelectedCells As List(Of String)

Access

Read only.


SelectedColumns Property (SapGridView)

Class

SapGridView.

Action

Gets a list of strings of currently selected columns.

Syntax

C#
protected List(Of String) SelectedColumns { get; }
VB
'Declaration
Protected Read Property SelectedColumns As List(Of String)

Access

Read only.


SelectedItemColumn Property (SapTree)

Class

SapTree.

Action

Gets the key of the currently selected item column.

Syntax

C#
protected String SelectedItemColumn { get; }
VB
'Declaration
Protected Read Property SelectedItemColumn As String

Access

Read only.


SelectedItemNode Property (SapTree)

Class

SapTree.

Action

Gets the key of the currently selected item node.

Syntax

C#
protected String SelectedItemNode { get; }
VB
'Declaration
Protected Read Property SelectedItemNode As String

Access

Read only.


SelectedNode Property (SapTree)

Class

SapTree.

Action

Gets the key of the currently selected node.

Syntax

C#
protected String SelectedNode { get; }
VB
'Declaration
Protected Read Property SelectedNode As String

Access

Read only.


SelectedNodes Property (SapTree)

Class

SapTree.

Action

Gets a collection containing the node keys of all the selected nodes in the tree.

Syntax

C#
protected List(Of String) SelectedNodes { get; }
VB
'Declaration
Protected Read Property SelectedNodes As List(Of String)

Access

Read only.


Selected Property (SapRadioButton)

Class

SapRadioButton.

Action

Gets whether the radio button is selected.

Syntax

C#
protected Boolean Selected { get; }
VB
'Declaration
Protected Read Property Selected As Boolean

Access

Read only.


SelectedRows Property (SapGridView)

Class

SapGridView.

Action

Gets a comma separated list of row index numbers or index ranges, such as "1,4,6-8".

Syntax

C#
protected String SelectedRows { get; }
VB
'Declaration
Protected Read Property SelectedRows As String

Access

Read only.


SelectedTab Property (SapTabStrip)

Class

SapTabStrip.

Action

Gets the current selected tab.

Syntax

C#
protected SapTab SelectedTab { get; }
VB
'Declaration
Protected Read Property SelectedTab As SapTab

Access

Read only.


SelectedText Property (SapTextEdit)

Class

SapTextEdit.

Action

Gets the currently selected text.

Syntax

C#
protected String SelectedText { get; }
VB
'Declaration
Protected Read Property SelectedText As String

Access

Read only.


SelectHeader Method (SapTree)

Class

SapTree.

Action

This method emulates clicking a header.

Syntax

C#
tree.SelectHeader(headerName)
VB
tree.SelectHeader(headerName)
Variable | Description
headerName | The name of the header. String.


SelectionChanged Method (SapGridView)

Class

SapGridView.

Action

Notifies the server that the selection has changed.

Syntax

C#
gridView.SelectionChanged()
VB
gridView.SelectionChanged()


SelectionEndColumn Property (SapTextEdit)

Class

SapTextEdit.

Action

Gets the column index in which the selection ends. The value is zero-based.

Syntax

C#
protected Integer SelectionEndColumn { get; }
VB
'Declaration
Protected Read Property SelectionEndColumn As Integer

Access

Read only.


SelectionEndLine Property (SapTextEdit)

Class

SapTextEdit.

Action

Gets the line index in which the selection ends. The value is zero-based.

Syntax

C#
protected Integer SelectionEndLine { get; }
VB
'Declaration
Protected Read Property SelectionEndLine As Integer

Access

Read only.


SelectionIndexEnd Property (SapTextEdit)

Class

SapTextEdit.

Action

Gets the overall end index of the text selection. The value is zero-based.

Syntax

C#
protected Integer SelectionIndexEnd { get; }
VB
'Declaration
Protected Read Property SelectionIndexEnd As Integer

Access

Read only.


SelectionIndexStart Property (SapTextEdit)

Class

SapTextEdit.

Action

Gets the overall start index of the text selection. The value is zero-based.

Syntax

C#
protected Integer SelectionIndexStart { get; }
VB
'Declaration
Protected Read Property SelectionIndexStart As Integer

Access

Read only.


SelectionInterval Property (SapCalendar)

Class

SapCalendar.

Action

Gets the interval that is currently selected.

Syntax

C#
protected String SelectionInterval { get; }
VB
'Declaration
Protected Read Property SelectionInterval As String

Access

Read only.


SelectionMode Property (SapGridView)

Class

SapGridView.

Action

Gets the selection mode. Possible values are: "RowsAndColumns", "ListboxSingle", ListboxMultiple", "Free".

Syntax

C#
protected GridSelectionMode SelectionMode { get; }
VB
'Declaration
Protected Read Property SelectionMode As GridSelectionMode

Access

Read only.


SelectionMode Property (SapTree)

Class

SapTree.

Action

Gets the selection mode.

Syntax

C#
protected TreeSelectionMode SelectionMode { get; }
VB
'Declaration
Protected Read Property SelectionMode As TreeSelectionMode

Access

Read only.


SelectionStartColumn Property (SapTextEdit)

Class

SapTextEdit.

Action

Gets the column start index of the text selection. The value is zero-based.

Syntax

C#
protected Integer SelectionStartColumn { get; }
VB
'Declaration
Protected Read Property SelectionStartColumn As Integer

Access

Read only.


SelectionStartLine Property (SapTextEdit)

Class

SapTextEdit.

Action

Gets the line index in which the selection starts. The value is zero-based.

Syntax

C#
protected Integer SelectionStartLine { get; }
VB
'Declaration
Protected Read Property SelectionStartLine As Integer

Access

Read only.


SelectItem Method (SapComboBox)

Class

SapComboBox.

Action

Selects the specified item.

Syntax

C#
comboBox.SelectItem(item)
VB
comboBox.SelectItem(item)
Variable | Description
item | The item. String.


SelectItem Method (SapTree)

Class

SapTree.

Action

This function emulates the selection of an item. This selection removes all other selections.

Syntax

C#
tree.SelectItem(nodeKey, itemName)
VB
tree.SelectItem(nodeKey, itemName)
Variable | Description
nodeKey | The key of the node. String.
itemName | The name of the item. String.


SelectKey Method (SapComboBox)

Class

SapComboBox.

Action

Selects the list item with the specified key.

Syntax

C#
comboBox.SelectKey(key)
VB
comboBox.SelectKey(key)
Variable | Description
key | The key. String.


SelectLink Method (SapTree)

Class

SapTree.

Action

This function emulates triggering a link.

Syntax

C#
tree.SelectLink(nodeKey, itemName)
VB
tree.SelectLink(nodeKey, itemName)
Variable | Description
nodeKey | The key of the node. String.
itemName | The name of the item. String.


SelectMenuItemByText Method (SapToolbarControl)

Class

SapToolbarControl.

Action

emulates selecting the menu item by menu item text.

Syntax

C#
toolbarControl.SelectMenuItemByText(text)
VB
toolbarControl.SelectMenuItemByText(text)
Variable | Description
text | The text of the menu item. String.


SelectMenuItem Method (SapToolbarControl)

Class

SapToolbarControl.

Action

emulates selecting the menu item with the given id.

Syntax

C#
toolbarControl.SelectMenuItem(id)
VB
toolbarControl.SelectMenuItem(id)
Variable | Description
id | The id of the menu. String.


Select Method (SapButton)

Class

SapButton.

Action

This emulates manually pressing a button. Pressing a button will always cause server communication to occur, rendering all references to elements below the window level invalid.

Syntax

C#
button.Select()
VB
button.Select()


Select Method (SapMenu)

Class

SapMenu.

Action

Select the menu.

Syntax

C#
menu.Select()
VB
menu.Select()


Select Method (SapRadioButton)

Class

SapRadioButton.

Action

Selects the radio button.

Syntax

C#
radioButton.Select()
VB
radioButton.Select()


Select Method (SapTab)

Class

SapTab.

Action

Selects the tab.

Syntax

C#
tab.Select()
VB
tab.Select()


SelectNode Method (SapTree)

Class

SapTree.

Action

The node with the key nodeKey is added to the Node Selection.

Syntax

C#
tree.SelectNode(nodeKey)
VB
tree.SelectNode(nodeKey)
Variable | Description
nodeKey | The key of the node. String.


SelectRow Method (SapTable)

Class

SapTable.

Action

Selects the given row.

Syntax

C#
table.SelectRow(row)
VB
table.SelectRow(row)
Variable | Description
row | Index of the row. The value is zero-based. Integer.


SelectToolbarMenuItem Method (SapGridView)

Class

SapGridView.

Action

Selects an item from the context menu of the grid view's tool bar.

Syntax

C#
gridView.SelectToolbarMenuItem(id)
VB
gridView.SelectToolbarMenuItem(id)
Variable | Description
id | The id of the menu item. String.


SendData Method (SapBarChart)

Class

SapBarChart.

Action

Send data to the server.

Syntax

C#
barChart.SendData(data)
VB
barChart.SendData(data)
Variable | Description
data | The data to be send. String.


SendData Method (SapNetPlan)

Class

SapNetPlan.

Action

This function emulates the output of each action triggered at the control side. The result of the action is sent to the server.

It is currently not possible to select - deselect single objects at the client-side and to replay/script these "local" actions.

Syntax

C#
netPlan.SendData(data)
VB
netPlan.SendData(data)
Variable | Description
data | The data to be send. String.


SendVKey Method (SapWindow)

Class

SapWindow.

Action

Send a virtual key to the system.

Syntax

C#
window.SendVKey(vkey)
VB
window.SendVKey(vkey)
Variable | Description
vkey | The virtual key to send. VKey.


SetCheckBoxState Method (SapTree)

Class

SapTree.

Action

Changes the state of the checkbox in the given node.

Syntax

C#
tree.SetCheckBoxState(nodeKey, itemName, check)
VB
tree.SetCheckBoxState(nodeKey, itemName, check)
Variable | Description
nodeKey | The key of the node. String.
itemName | The name of the item. String.
check | The new checkbox state. Boolean.


SetColumnOrder Method (SapGridView)

Class

SapGridView.

Action

Sets the order of the columns.

Syntax

C#
gridView.SetColumnOrder(columns)
VB
gridView.SetColumnOrder(columns)
Variable | Description
columns | A list of column identifiers in the desired order. List(Of String).


SetColumnOrder Method (SapTree)

Class

SapTree.

Action

Sets the order of the tree's column.

Syntax

C#
tree.SetColumnOrder(columns)
VB
tree.SetColumnOrder(columns)
Variable | Description
columns | A list of the column titles in the desired order. Each title must not occur more than once. List(Of String).


SetColumnWidth Method (SapGridView)

Class

SapGridView.

Action

Sets the width of the specified column.

Syntax

C#
gridView.SetColumnWidth(column, width)
VB
gridView.SetColumnWidth(column, width)
Variable | Description
column | Column identifier. String.
width | Width. Integer.


SetColumnWidth Method (SapTree)

Class

SapTree.

Action

This function sets the width of a column in pixels.

Syntax

C#
tree.SetColumnWidth(columnName, width)
VB
tree.SetColumnWidth(columnName, width)
Variable | Description
columnName | The name of the column. String.
width | The new width of the column. Integer.


SetCurrentCellColumn Method (SapGridView)

Class

SapGridView.

Action

Specifies the column of the current cell.

Syntax

C#
gridView.SetCurrentCellColumn(column)
VB
gridView.SetCurrentCellColumn(column)
Variable | Description
column | Column identifier. String.


SetCurrentCell Method (SapGridView)

Class

SapGridView.

Action

Sets the specified cell as the current cell.

Syntax

C#
gridView.SetCurrentCell(row, column)
VB
gridView.SetCurrentCell(row, column)
Variable | Description
row | Index of the row. Integer.
column | Column identifier. String.


SetCurrentCellRow Method (SapGridView)

Class

SapGridView.

Action

Sets the row of the current cell.

Syntax

C#
gridView.SetCurrentCellRow(row)
VB
gridView.SetCurrentCellRow(row)
Variable | Description
row | Index of the row. The value is zero-based. Integer.


SetFirstVisibleColumn Method (SapGridView)

Class

SapGridView.

Action

Sets the first visible column.

Syntax

C#
gridView.SetFirstVisibleColumn(column)
VB
gridView.SetFirstVisibleColumn(column)
Variable | Description
column | Column identifier. String.


SetFirstVisibleDate Method (SapCalendar)

Class

SapCalendar.

Action

Sets the earliest date visible in the calendar control.

Syntax

C#
calendar.SetFirstVisibleDate(firstVisibleDate)
VB
calendar.SetFirstVisibleDate(firstVisibleDate)
Variable | Description
firstVisibleDate | The date as string. example: "20020228". String.


SetFirstVisibleRow Method (SapGridView)

Class

SapGridView.

Action

Sets the first visible row.

Syntax

C#
gridView.SetFirstVisibleRow(row)
VB
gridView.SetFirstVisibleRow(row)
Variable | Description
row | Index of the row. The value is zero-based. Integer.


SetFocusDate Method (SapCalendar)

Class

SapCalendar.

Action

Sets the date to be focused.

Syntax

C#
calendar.SetFocusDate(focusDate)
VB
calendar.SetFocusDate(focusDate)
Variable | Description
focusDate | The date to be focused as string (YYYYMMDD). String.


SetHierarchyHeaderWidth Method (SapTree)

Class

SapTree.

Action

Sets the width of the Hierarchy Header in pixels.

Syntax

C#
tree.SetHierarchyHeaderWidth(width)
VB
tree.SetHierarchyHeaderWidth(width)
Variable | Description
width | The new width of the header. Integer.


SetPasswordText Method (SapTextField)

Class

SapTextField.

Action

Sends an encrypted password to the object.

Syntax

C#
textField.SetPasswordText(password)
VB
textField.SetPasswordText(password)
Variable | Description
password | The encrypted password. String.


SetSelectedNode Method (SapTree)

Class

SapTree.

Action

Select the given node.

Syntax

C#
tree.SetSelectedNode(nodeKey)
VB
tree.SetSelectedNode(nodeKey)
Variable | Description
nodeKey | The key of the node. String.


SetSelectedRows Method (SapGridView)

Class

SapGridView.

Action

Selects the specified rows.

Syntax

C#
gridView.SetSelectedRows(rows)
VB
gridView.SetSelectedRows(rows)
Variable | Description
rows | Specifies the rows as comma separated list of row index or index ranges, e.g. "1,3,6-8". String.


SetSelectionIndexes Method (SapTextEdit)

Class

SapTextEdit.

Action

Selects the text within the specified range.

Syntax

C#
textEdit.SetSelectionIndexes(start, end)
VB
textEdit.SetSelectionIndexes(start, end)
Variable | Description
start | Start index (inclusive). The value is zero-based. Integer.
end | End index (exclusive). The value is zero-based. Integer.


SetSelectionInterval Method (SapCalendar)

Class

SapCalendar.

Action

Selects the specified interval.

Syntax

C#
calendar.SetSelectionInterval(interval)
VB
calendar.SetSelectionInterval(interval)
Variable | Description
interval | The interval represented by two concatenated date strings (YYYYMMDD) separated by a comma. String.


SetText Method (SapOkCodeField)

Class

SapOkCodeField.

Action

Sets the text of the control to the specified text.

Syntax

C#
okCodeField.SetText(text)
VB
okCodeField.SetText(text)
Variable | Description
text | New text of the text component. String.


SetText Method (SapTextEdit)

Class

SapTextEdit.

Action

Sets the specified text in the text edit control.

Syntax

C#
textEdit.SetText(text)
VB
textEdit.SetText(text)
Variable | Description
text | Text. String.


SetText Method (SapTextField)

Class

SapTextField.

Action

Sets the text of the control to the specified text.

Syntax

C#
textField.SetText(text)
VB
textField.SetText(text)
Variable | Description
text | New text of the text component. String.


SetTopNode Method (SapTree)

Class

SapTree.

Action

Sets the given key as top node.

Syntax

C#
tree.SetTopNode(nodeKey)
VB
tree.SetTopNode(nodeKey)
Variable | Description
nodeKey | The key of the node. String.


ShowContextMenu Method (SapComponent)

Class

SapComponent.

Action

Shows the context menu of the control.

Syntax

C#
component.ShowContextMenu()
VB
component.ShowContextMenu()


StartSelection Property (SapCalendar)

Class

SapCalendar.

Action

Gets the start of the selection interval.

Syntax

C#
protected String StartSelection { get; }
VB
'Declaration
Protected Read Property StartSelection As String

Access

Read only.


StatusbarVisible Property (SapWindow)

Class

SapWindow.

Action

Gets whether the statusbar is visible.

Syntax

C#
protected Boolean StatusbarVisible { get; }
VB
'Declaration
Protected Read Property StatusbarVisible As Boolean

Access

Read only.


SystemFocus Property (SapWindow)

Class

SapWindow.

Action

Gets the element within SAP GUI that has the focus from the server application's perspective.

Syntax

C#
protected SapComponent SystemFocus { get; }
VB
'Declaration
Protected Read Property SystemFocus As SapComponent

Access

Read only.


TabBackward Method (SapWindow)

Class

SapWindow.

Action

Execute the Shift+Tab key on the window to jump backward one element.

Syntax

C#
window.TabBackward()
VB
window.TabBackward()


TabForward Method (SapWindow)

Class

SapWindow.

Action

Execute the Tab key on the window to jump forward one element.

Syntax

C#
window.TabForward()
VB
window.TabForward()


TableFieldName Property (SapTable)

Class

SapTable.

Action

Gets the table field name.

Syntax

C#
protected String TableFieldName { get; }
VB
'Declaration
Protected Read Property TableFieldName As String

Access

Read only.


Tabs Property (SapTabStrip)

Class

SapTabStrip.

Action

Gets all tabs of the tab pane.

Syntax

C#
protected List(Of SapTab) Tabs { get; }
VB
'Declaration
Protected Read Property Tabs As List(Of SapTab)

Access

Read only.


TitlebarVisible Property (SapWindow)

Class

SapWindow.

Action

Gets whether the titlebar is visible.

Syntax

C#
protected Boolean TitlebarVisible { get; }
VB
'Declaration
Protected Read Property TitlebarVisible As Boolean

Access

Read only.


Title Property (SapGridView)

Class

SapGridView.

Action

Gets the title of the grid control.

Syntax

C#
protected String Title { get; }
VB
'Declaration
Protected Read Property Title As String

Access

Read only.


ToolbarButtonCount Property (SapGridView)

Class

SapGridView.

Action

Gets the number of tool bar buttons (separators included).

Syntax

C#
protected Integer ToolbarButtonCount { get; }
VB
'Declaration
Protected Read Property ToolbarButtonCount As Integer

Access

Read only.


ToolbarVisible Property (SapWindow)

Class

SapWindow.

Action

Gets whether the toolbar is visible.

Syntax

C#
protected Boolean ToolbarVisible { get; }
VB
'Declaration
Protected Read Property ToolbarVisible As Boolean

Access

Read only.


Tooltip Property (SapComponent)

Class

SapComponent.

Action

Gets the tooltip text.

Syntax

C#
protected String Tooltip { get; }
VB
'Declaration
Protected Read Property Tooltip As String

Access

Read only.


TopNode Property (SapTree)

Class

SapTree.

Action

Gets the key of the top node.

Syntax

C#
protected String TopNode { get; }
VB
'Declaration
Protected Read Property TopNode As String

Access

Read only.


Top Property (SapComponent)

Class

SapComponent.

Action

Gets the top coordinate of the element in screen coordinates.

Syntax

C#
protected Integer Top { get; }
VB
'Declaration
Protected Read Property Top As Integer

Access

Read only.


TreeType Property (SapTree)

Class

SapTree.

Action

Gets the tree type. (simple tree, list tree or column tree).

Syntax

C#
protected TreeType TreeType { get; }
VB
'Declaration
Protected Read Property TreeType As TreeType

Access

Read only.


TriggerModified Method (SapGridView)

Class

SapGridView.

Action

Notifies the server of multiple changes in cells. Typically this method should be called after multiple calls to ModifyCell.

Syntax

C#
gridView.TriggerModified()
VB
gridView.TriggerModified()


Uncheck Method (SapCheckBox)

Class

SapCheckBox.

Action

Un-checks the check box.

Syntax

C#
checkBox.Uncheck()
VB
checkBox.Uncheck()


UnselectAll Method (SapTree)

Class

SapTree.

Action

All selections are removed.

Syntax

C#
tree.UnselectAll()
VB
tree.UnselectAll()


UnselectColumn Method (SapTree)

Class

SapTree.

Action

This function removes a column from the column selection.

Syntax

C#
tree.UnselectColumn(columnName)
VB
tree.UnselectColumn(columnName)
Variable | Description
columnName | The name of the column. String.


UnselectNode Method (SapTree)

Class

SapTree.

Action

The node with the key nodeKey is removed from the Node Selection.

Syntax

C#
tree.UnselectNode(nodeKey)
VB
tree.UnselectNode(nodeKey)
Variable | Description
nodeKey | The key of the node. String.


Url Property (SapPicture)

Class

SapPicture.

Action

Gets the URL of the picture.

Syntax

C#
protected String Url { get; }
VB
'Declaration
Protected Read Property Url As String

Access

Read only.


ValueChange Method (SapChart)

Class

SapChart.

Action

Changes a value of the chart.

Syntax

C#
chart.ValueChange(series, point, xValue, yValue, dataChange, id, zValue, changeFlag)
VB
chart.ValueChange(series, point, xValue, yValue, dataChange, id, zValue, changeFlag)
Variable | Description
series | Number of the data set within the row that should be changed. Integer.
point | Number of the data point within the row that should be changed. Integer.
xValue | New x value. Double.
yValue | New y value. Double.
dataChange | Setting this parameter to True means the value was not changed interactively within the graphic but rather by entering the new value on the DataPoint property page. Boolean.
id | GFW data container id of the changed point. String.
zValue | New z value. Double.
changeFlag | Notify which value was changed or if it was a time value. ChartChangeFlag.


VisibleRowCount Property (SapGridView)

Class

SapGridView.

Action

Gets the number of visible rows of the grid view.

Syntax

C#
protected Integer VisibleRowCount { get; }
VB
'Declaration
Protected Read Property VisibleRowCount As Integer

Access

Read only.


VisibleRowCount Property (SapTable)

Class

SapTable.

Action

Gets the number of visible rows in the table.

Syntax

C#
protected Integer VisibleRowCount { get; }
VB
'Declaration
Protected Read Property VisibleRowCount As Integer

Access

Read only.


Week Property (SapCalendar)

Class

SapCalendar.

Action

Gets the week of the year that is currently selected.

Syntax

C#
protected Integer Week { get; }
VB
'Declaration
Protected Read Property Week As Integer

Access

Read only.


Width Property (SapComponent)

Class

SapComponent.

Action

Gets the current width of the component.

Syntax

C#
protected Integer Width { get; }
VB
'Declaration
Protected Read Property Width As Integer

Access

Read only.


WindowHandle Property (SapBarChart)

Class

SapBarChart.

Action

Gets the window handle of the control that is connected to the GuiShell.

Syntax

C#
protected Integer WindowHandle { get; }
VB
'Declaration
Protected Read Property WindowHandle As Integer

Access

Read only.


WindowHandle Property (SapChart)

Class

SapChart.

Action

Gets the window handle of the control that is connected to the GuiShell.

Syntax

C#
protected Integer WindowHandle { get; }
VB
'Declaration
Protected Read Property WindowHandle As Integer

Access

Read only.


WindowHandle Property (SapHTMLViewer)

Class

SapHTMLViewer.

Action

Gets the window handle of the control that is connected to the GuiShell.

Syntax

C#
protected Integer WindowHandle { get; }
VB
'Declaration
Protected Read Property WindowHandle As Integer

Access

Read only.


WindowHandle Property (SapNetPlan)

Class

SapNetPlan.

Action

Gets the window handle of the control that is connected to the GuiShell.

Syntax

C#
protected Integer WindowHandle { get; }
VB
'Declaration
Protected Read Property WindowHandle As Integer

Access

Read only.


WindowHandle Property (SapToolbarControl)

Class

SapToolbarControl.

Action

Gets the window handle of the control that is connected to the GuiShell.

Syntax

C#
protected Integer WindowHandle { get; }
VB
'Declaration
Protected Read Property WindowHandle As Integer

Access

Read only.


WindowHandle Property (SapWindow)

Class

SapWindow.

Action

Gets the window handle of the control that is connected to the GuiShell.

Syntax

C#
protected Integer WindowHandle { get; }
VB
'Declaration
Protected Read Property WindowHandle As Integer

Access

Read only.


WorkingPaneHeight Property (SapWindow)

Class

SapWindow.

Action

Gets the current height of the working pane.

Syntax

C#
protected Integer WorkingPaneHeight { get; }
VB
'Declaration
Protected Read Property WorkingPaneHeight As Integer

Access

Read only.


WorkingPaneWidth Property (SapWindow)

Class

SapWindow.

Action

Gets the current width of the working pane.

Syntax

C#
protected Integer WorkingPaneWidth { get; }
VB
'Declaration
Protected Read Property WorkingPaneWidth As Integer

Access

Read only.


Year Property (SapCalendar)

Class

SapCalendar.

Action

Gets the year that is currently selected.

Syntax

C#
protected Integer Year { get; }
VB
'Declaration
Protected Read Property Year As Integer

Access

Read only.


AutomationId Property (SLBase)

Class

SLBase.

Action

Gets a string containing the UI Automation identifier (ID) for the element.

Syntax

C#
protected String AutomationId { get; }
VB
'Declaration
Protected Read Property AutomationId As String

Access

Read only.


CanSelectMultiple Property (SLCalendar)

Class

SLCalendar.

Action

Gets whether multiple dates can be selected.

Syntax

C#
protected Boolean CanSelectMultiple { get; }
VB
'Declaration
Protected Read Property CanSelectMultiple As Boolean

Access

Read only.


CanSelectMultiple Property (SLDataGrid)

Class

SLDataGrid.

Action

Gets whether the data grid allows more than one row to be selected concurrently.

Syntax

C#
protected Boolean CanSelectMultiple { get; }
VB
'Declaration
Protected Read Property CanSelectMultiple As Boolean

Access

Read only.


CanSelectMultiple Property (SLListBox)

Class

SLListBox.

Action

Gets whether the list box allows more than one child element to be selected concurrently.

Syntax

C#
protected Boolean CanSelectMultiple { get; }
VB
'Declaration
Protected Read Property CanSelectMultiple As Boolean

Access

Read only.


Cells Property (SLDataGridRow)

Class

SLDataGridRow.

Action

Gets the cells of the data grid row.

Syntax

C#
protected List(Of SLDataGridCell) Cells { get; }
VB
'Declaration
Protected Read Property Cells As List(Of SLDataGridCell)

Access

Read only.


CellTexts Property (SLDataGridRow)

Class

SLDataGridRow.

Action

Gets the text of the cells of the data grid row.

Syntax

C#
protected List(Of String) CellTexts { get; }
VB
'Declaration
Protected Read Property CellTexts As List(Of String)

Access

Read only.


Check Method (SLCheckBox)

Class

SLCheckBox.

Action

Checks the check box.

Syntax

C#
checkBox.Check()
VB
checkBox.Check()


ClassName Property (SLBase)

Class

SLBase.

Action

Gets the simple class name of the element.

Syntax

C#
protected String ClassName { get; }
VB
'Declaration
Protected Read Property ClassName As String

Access

Read only.


Clear Method (SLPasswordBox)

Class

SLPasswordBox.

Action

Removes all text from the password field.

Syntax

C#
passwordBox.Clear()
VB
passwordBox.Clear()


Clear Method (SLRichTextBox)

Class

SLRichTextBox.

Action

Removes all text from the text box.

Syntax

C#
richTextBox.Clear()
VB
richTextBox.Clear()


Clear Method (SLTextBox)

Class

SLTextBox.

Action

Removes all text from the text field.

Syntax

C#
textBox.Clear()
VB
textBox.Clear()


CloseCalendar Method (SLDatePicker)

Class

SLDatePicker.

Action

Closes the drop-down Calendar.

Syntax

C#
datePicker.CloseCalendar()
VB
datePicker.CloseCalendar()


Close Method (SLAutoCompleteBox)

Class

SLAutoCompleteBox.

Action

Closes the drop-down list that contains the matches if it is currently open.

Syntax

C#
autoCompleteBox.Close()
VB
autoCompleteBox.Close()


Close Method (SLComboBox)

Class

SLComboBox.

Action

Closes the combo box.

Syntax

C#
comboBox.Close()
VB
comboBox.Close()


Close Method (SLWindow)

Class

SLWindow.

Action

Closes the window.

Syntax

C#
window.Close()
VB
window.Close()


Collapse Method (SLTreeView)

Class

SLTreeView.

Action

Collapses the specified item.

Syntax

C#
treeView.Collapse(item)
VB
treeView.Collapse(item)
Variable | Description
item | The item to collapse. ItemPath.


Collapse Method (SLTreeViewItem)

Class

SLTreeViewItem.

Action

Collapses the item.

Syntax

C#
treeViewItem.Collapse()
VB
treeViewItem.Collapse()


ColumnCount Property (SLDataGrid)

Class

SLDataGrid.

Action

Gets the number of columns in the data grid.

Syntax

C#
protected Integer ColumnCount { get; }
VB
'Declaration
Protected Read Property ColumnCount As Integer

Access

Read only.


ColumnHeaders Property (SLDataGrid)

Class

SLDataGrid.

Action

Gets a list containing the header item for every column.

Syntax

C#
protected List(Of SLHeaderItem) ColumnHeaders { get; }
VB
'Declaration
Protected Read Property ColumnHeaders As List(Of SLHeaderItem)

Access

Read only.


ColumnHeaderTexts Property (SLDataGrid)

Class

SLDataGrid.

Action

Gets a list containing the text of the header item for every column.

Syntax

C#
protected List(Of String) ColumnHeaderTexts { get; }
VB
'Declaration
Protected Read Property ColumnHeaderTexts As List(Of String)

Access

Read only.


CurrentPage Property (SLDataPager)

Class

SLDataPager.

Action

Gets the current page.

Syntax

C#
protected Integer CurrentPage { get; }
VB
'Declaration
Protected Read Property CurrentPage As Integer

Access

Read only.


DecreaseLarge Method (SLSlider)

Class

SLSlider.

Action

Decreases the value of the Slider by a large amount.

Syntax

C#
slider.DecreaseLarge()
VB
slider.DecreaseLarge()


DecreaseSmall Method (SLSlider)

Class

SLSlider.

Action

Decreases the value of the Slider by a small amount.

Syntax

C#
slider.DecreaseSmall()
VB
slider.DecreaseSmall()


DeselectAll Method (SLListBox)

Class

SLListBox.

Action

Deselects all list items.

Syntax

C#
listBox.DeselectAll()
VB
listBox.DeselectAll()


Deselect Method (SLListItem)

Class

SLListItem.

Action

Deselects the item.

Syntax

C#
listItem.Deselect()
VB
listItem.Deselect()


DisplayMode Property (SLCalendar)

Class

SLCalendar.

Action

Gets a value that indicates whether the calendar displays a month, year, or decade.

Syntax

C#
protected SLCalendarMode DisplayMode { get; }
VB
'Declaration
Protected Read Property DisplayMode As SLCalendarMode

Access

Read only.


ExpandAll Method (SLTreeView)

Class

SLTreeView.

Action

Expands all items in the tree.

Syntax

C#
treeView.ExpandAll()
VB
treeView.ExpandAll()


Expand Method (SLTreeView)

Class

SLTreeView.

Action

Expands the specified item.

Syntax

C#
treeView.Expand(item)
VB
treeView.Expand(item)
Variable | Description
item | The item to expand. ItemPath.


Expand Method (SLTreeViewItem)

Class

SLTreeViewItem.

Action

Expands the item.

Syntax

C#
treeViewItem.Expand()
VB
treeViewItem.Expand()


ExpandSubTree Method (SLTreeViewItem)

Class

SLTreeViewItem.

Action

Expands the sub tree under this tree item.

Syntax

C#
treeViewItem.ExpandSubTree()
VB
treeViewItem.ExpandSubTree()


GetRawChildren Method (SLBase)

Class

SLBase.

Action

Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type.

Syntax

C#
rawChildren = base.GetRawChildren([automationControlType])
VB
rawChildren = base.GetRawChildren([automationControlType])
Variable | Description
rawChildren | List(Of SLBase).
automationControlType | Optional: optionally specifies that only children with this control type should be retrieved. String.

Examples

VB

In order to get all raw children of an element:
slBase.GetRawChildren()
In order to get only children of a certain control type. For a list of control types have a look at the control types provided by the MSUIA.
slBase.GetRawChildren("Text")


HeaderItems Property (SLHeader)

Class

SLHeader.

Action

Gets a list containing the header items of this header control.

Syntax

C#
protected List(Of SLHeaderItem) HeaderItems { get; }
VB
'Declaration
Protected Read Property HeaderItems As List(Of SLHeaderItem)

Access

Read only.


HorizontallyScrollable Property (SLAutoCompleteBox)

Class

SLAutoCompleteBox.

Action

Gets a value that indicates whether the combo box can scroll horizontally.

Syntax

C#
protected Boolean HorizontallyScrollable { get; }
VB
'Declaration
Protected Read Property HorizontallyScrollable As Boolean

Access

Read only.


HorizontallyScrollable Property (SLComboBox)

Class

SLComboBox.

Action

Gets a value that indicates whether the combo box can scroll horizontally.

Syntax

C#
protected Boolean HorizontallyScrollable { get; }
VB
'Declaration
Protected Read Property HorizontallyScrollable As Boolean

Access

Read only.


HorizontallyScrollable Property (SLDataGrid)

Class

SLDataGrid.

Action

Gets a value that indicates whether the data grid can scroll horizontally.

Syntax

C#
protected Boolean HorizontallyScrollable { get; }
VB
'Declaration
Protected Read Property HorizontallyScrollable As Boolean

Access

Read only.


HorizontallyScrollable Property (SLListBox)

Class

SLListBox.

Action

Gets a value that indicates whether the list box can scroll horizontally.

Syntax

C#
protected Boolean HorizontallyScrollable { get; }
VB
'Declaration
Protected Read Property HorizontallyScrollable As Boolean

Access

Read only.


HorizontallyScrollable Property (SLPane)

Class

SLPane.

Action

Gets a value that indicates whether the pane can scroll horizontally.

Syntax

C#
protected Boolean HorizontallyScrollable { get; }
VB
'Declaration
Protected Read Property HorizontallyScrollable As Boolean

Access

Read only.


HorizontallyScrollable Property (SLTreeView)

Class

SLTreeView.

Action

Gets a value that indicates whether the tree view can scroll horizontally.

Syntax

C#
protected Boolean HorizontallyScrollable { get; }
VB
'Declaration
Protected Read Property HorizontallyScrollable As Boolean

Access

Read only.


HorizontalScrollPercent Property (SLAutoCompleteBox)

Class

SLAutoCompleteBox.

Action

Gets the current horizontal scroll position or negative one (-1) if there is no valid scroll position.

Syntax

C#
protected Double HorizontalScrollPercent { get; }
VB
'Declaration
Protected Read Property HorizontalScrollPercent As Double

Access

Read only.


HorizontalScrollPercent Property (SLComboBox)

Class

SLComboBox.

Action

Gets the current horizontal scroll position or negative one (-1) if there is no valid scroll position.

Syntax

C#
protected Double HorizontalScrollPercent { get; }
VB
'Declaration
Protected Read Property HorizontalScrollPercent As Double

Access

Read only.


HorizontalScrollPercent Property (SLDataGrid)

Class

SLDataGrid.

Action

Gets the current horizontal scroll position or negative one (-1) if there is no valid scroll position.

Syntax

C#
protected Double HorizontalScrollPercent { get; }
VB
'Declaration
Protected Read Property HorizontalScrollPercent As Double

Access

Read only.


HorizontalScrollPercent Property (SLListBox)

Class

SLListBox.

Action

Gets the current horizontal scroll position or negative one (-1) if there is no valid scroll position.

Syntax

C#
protected Double HorizontalScrollPercent { get; }
VB
'Declaration
Protected Read Property HorizontalScrollPercent As Double

Access

Read only.


HorizontalScrollPercent Property (SLPane)

Class

SLPane.

Action

Gets the current horizontal scroll position or negative one (-1) if there is no valid scroll position.

Syntax

C#
protected Double HorizontalScrollPercent { get; }
VB
'Declaration
Protected Read Property HorizontalScrollPercent As Double

Access

Read only.


HorizontalScrollPercent Property (SLTreeView)

Class

SLTreeView.

Action

Gets the current horizontal scroll position or negative one (-1) if there is no valid scroll position.

Syntax

C#
protected Double HorizontalScrollPercent { get; }
VB
'Declaration
Protected Read Property HorizontalScrollPercent As Double

Access

Read only.


IncreaseLarge Method (SLSlider)

Class

SLSlider.

Action

Increases the value of the Slider by a large amount.

Syntax

C#
slider.IncreaseLarge()
VB
slider.IncreaseLarge()


IncreaseSmall Method (SLSlider)

Class

SLSlider.

Action

Increases the value of the Slider by a small amount.

Syntax

C#
slider.IncreaseSmall()
VB
slider.IncreaseSmall()


IsCalendarOpen Property (SLDatePicker)

Class

SLDatePicker.

Action

Gets a value whether the drop-down Calendar is open.

Syntax

C#
protected Boolean IsCalendarOpen { get; }
VB
'Declaration
Protected Read Property IsCalendarOpen As Boolean

Access

Read only.


IsEnabled Property (SLBase)

Class

SLBase.

Action

Gets a value that indicates whether the element is enabled.

Syntax

C#
protected Boolean IsEnabled { get; }
VB
'Declaration
Protected Read Property IsEnabled As Boolean

Access

Read only.


IsExpanded Property (SLTreeViewItem)

Class

SLTreeViewItem.

Action

Gets a value that indicates whether the nested items in a tree item are expanded or collapsed.

Syntax

C#
protected Boolean IsExpanded { get; }
VB
'Declaration
Protected Read Property IsExpanded As Boolean

Access

Read only.


IsLeaf Property (SLTreeViewItem)

Class

SLTreeViewItem.

Action

Gets a value that indicates whether the tree view item is a leaf item.

Syntax

C#
protected Boolean IsLeaf { get; }
VB
'Declaration
Protected Read Property IsLeaf As Boolean

Access

Read only.


IsOpen Property (SLAutoCompleteBox)

Class

SLAutoCompleteBox.

Action

Gets a value that indicates whether the auto complete box is open.

Syntax

C#
protected Boolean IsOpen { get; }
VB
'Declaration
Protected Read Property IsOpen As Boolean

Access

Read only.


IsOpen Property (SLComboBox)

Class

SLComboBox.

Action

Gets a value that indicates whether the combo box is open.

Syntax

C#
protected Boolean IsOpen { get; }
VB
'Declaration
Protected Read Property IsOpen As Boolean

Access

Read only.


IsReadOnly Property (SLPasswordBox)

Class

SLPasswordBox.

Action

Gets whether the password box is read-only.

Syntax

C#
protected Boolean IsReadOnly { get; }
VB
'Declaration
Protected Read Property IsReadOnly As Boolean

Access

Read only.


IsReadOnly Property (SLTextBox)

Class

SLTextBox.

Action

Gets whether the text box is read-only.

Syntax

C#
protected Boolean IsReadOnly { get; }
VB
'Declaration
Protected Read Property IsReadOnly As Boolean

Access

Read only.


IsSelected Property (SLCalendarButton)

Class

SLCalendarButton.

Action

Gets a value that indicates whether the calendar button is selected.

Syntax

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

Access

Read only.


IsSelected Property (SLCalendarDayButton)

Class

SLCalendarDayButton.

Action

Gets a value that indicates whether the calendar day button is selected.

Syntax

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

Access

Read only.


IsSelected Property (SLComboBoxItem)

Class

SLComboBoxItem.

Action

Gets a value that indicates whether the combo box item is selected.

Syntax

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

Access

Read only.


IsSelected Property (SLDataGridCell)

Class

SLDataGridCell.

Action

Gets a value that indicates whether the cell is selected.

Syntax

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

Access

Read only.


IsSelected Property (SLDataGridRow)

Class

SLDataGridRow.

Action

Gets a value that indicates whether the row is selected.

Syntax

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

Access

Read only.


IsSelected Property (SLListItem)

Class

SLListItem.

Action

Gets a value that indicates whether the list item is selected.

Syntax

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

Access

Read only.


IsSelected Property (SLRadioButton)

Class

SLRadioButton.

Action

Gets a value that indicates whether the radio button is selected.

Syntax

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

Access

Read only.


IsSelected Property (SLTabItem)

Class

SLTabItem.

Action

Gets a value that indicates whether the tab item is selected.

Syntax

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

Access

Read only.


IsSelected Property (SLTreeViewItem)

Class

SLTreeViewItem.

Action

Gets a value that indicates whether a tree item is selected.

Syntax

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

Access

Read only.


IsSelectionRequired Property (SLCalendar)

Class

SLCalendar.

Action

Gets whether at least one date has to be selected.

Syntax

C#
protected Boolean IsSelectionRequired { get; }
VB
'Declaration
Protected Read Property IsSelectionRequired As Boolean

Access

Read only.


Items Property (SLAutoCompleteBox)

Class

SLAutoCompleteBox.

Action

Gets a list containing items of the current matches. If nothing was entered in the control's text box an empty list is returned.

Syntax

C#
protected List(Of SLComboBoxItem) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of SLComboBoxItem)

Access

Read only.


Items Property (SLComboBox)

Class

SLComboBox.

Action

Gets a complete list of items.

Syntax

C#
protected List(Of SLComboBoxItem) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of SLComboBoxItem)

Access

Read only.


Items Property (SLListBox)

Class

SLListBox.

Action

Gets the list of list box items.

Syntax

C#
protected List(Of SLListItem) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of SLListItem)

Access

Read only.


Items Property (SLTabControl)

Class

SLTabControl.

Action

Gets a complete list of tab items.

Syntax

C#
protected List(Of SLTabItem) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of SLTabItem)

Access

Read only.


Items Property (SLTreeViewItem)

Class

SLTreeViewItem.

Action

Gets a complete list of items.

Syntax

C#
protected List(Of SLTreeViewItem) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of SLTreeViewItem)

Access

Read only.


ItemTexts Property (SLAutoCompleteBox)

Class

SLAutoCompleteBox.

Action

Gets a list containing the texts of the current matches. If nothing was entered in the control's text box an empty list is returned.

Syntax

C#
protected List(Of String) ItemTexts { get; }
VB
'Declaration
Protected Read Property ItemTexts As List(Of String)

Access

Read only.


ItemTexts Property (SLComboBox)

Class

SLComboBox.

Action

Gets a complete list of item texts.

Syntax

C#
protected List(Of String) ItemTexts { get; }
VB
'Declaration
Protected Read Property ItemTexts As List(Of String)

Access

Read only.

Examples

VB

comboBox.Open()
Dim items = comboBox.ItemTexts
comboBox.Close()


ItemTexts Property (SLListBox)

Class

SLListBox.

Action

Gets the list of all item texts.

Syntax

C#
protected List(Of String) ItemTexts { get; }
VB
'Declaration
Protected Read Property ItemTexts As List(Of String)

Access

Read only.


ItemTexts Property (SLTabControl)

Class

SLTabControl.

Action

Gets a complete list of tab item texts.

Syntax

C#
protected List(Of String) ItemTexts { get; }
VB
'Declaration
Protected Read Property ItemTexts As List(Of String)

Access

Read only.


ItemTexts Property (SLTreeViewItem)

Class

SLTreeViewItem.

Action

Gets a complete list of item texts.

Syntax

C#
protected List(Of String) ItemTexts { get; }
VB
'Declaration
Protected Read Property ItemTexts As List(Of String)

Access

Read only.


LargeChange Property (SLSlider)

Class

SLSlider.

Action

Gets the value that is added to or subtracted from the Value property when a large change is made, such as with the PAGE DOWN key.

Syntax

C#
protected Double LargeChange { get; }
VB
'Declaration
Protected Read Property LargeChange As Double

Access

Read only.


Maximum Property (SLHorizontalScrollBar)

Class

SLHorizontalScrollBar.

Action

Gets the maximum scroll position.

Syntax

C#
protected Double Maximum { get; }
VB
'Declaration
Protected Read Property Maximum As Double

Access

Read only.


Maximum Property (SLProgressBar)

Class

SLProgressBar.

Action

Gets the maximum progress value.

Syntax

C#
protected Double Maximum { get; }
VB
'Declaration
Protected Read Property Maximum As Double

Access

Read only.


Maximum Property (SLSlider)

Class

SLSlider.

Action

Gets the maximum progress value.

Syntax

C#
protected Double Maximum { get; }
VB
'Declaration
Protected Read Property Maximum As Double

Access

Read only.


Maximum Property (SLVerticalScrollBar)

Class

SLVerticalScrollBar.

Action

Gets the maximum scroll position.

Syntax

C#
protected Double Maximum { get; }
VB
'Declaration
Protected Read Property Maximum As Double

Access

Read only.


Minimum Property (SLHorizontalScrollBar)

Class

SLHorizontalScrollBar.

Action

Gets the minimum scroll position.

Syntax

C#
protected Double Minimum { get; }
VB
'Declaration
Protected Read Property Minimum As Double

Access

Read only.


Minimum Property (SLProgressBar)

Class

SLProgressBar.

Action

Gets the minimum progress value.

Syntax

C#
protected Double Minimum { get; }
VB
'Declaration
Protected Read Property Minimum As Double

Access

Read only.


Minimum Property (SLSlider)

Class

SLSlider.

Action

Gets the minimum progress value.

Syntax

C#
protected Double Minimum { get; }
VB
'Declaration
Protected Read Property Minimum As Double

Access

Read only.


Minimum Property (SLVerticalScrollBar)

Class

SLVerticalScrollBar.

Action

Gets the minimum scroll position.

Syntax

C#
protected Double Minimum { get; }
VB
'Declaration
Protected Read Property Minimum As Double

Access

Read only.


MoveHorizontal Method (SLGridSplitter)

Class

SLGridSplitter.

Action

Moves the splitter horizontally.

Syntax

C#
gridSplitter.MoveHorizontal(value)
VB
gridSplitter.MoveHorizontal(value)
Variable | Description
value | The amount of pixel to move the splitter. Double.


Move Method (SLWindow)

Class

SLWindow.

Action

Moves the window.

Syntax

C#
window.Move(x, y)
VB
window.Move(x, y)
Variable | Description
x | The x coordinate. Double.
y | The y coordinate. Double.


MoveToFirstPage Method (SLDataPager)

Class

SLDataPager.

Action

Moves the data pager to the first page.

Syntax

C#
dataPager.MoveToFirstPage()
VB
dataPager.MoveToFirstPage()


MoveToLastPage Method (SLDataPager)

Class

SLDataPager.

Action

Moves the data pager to the last page.

Syntax

C#
dataPager.MoveToLastPage()
VB
dataPager.MoveToLastPage()


MoveToNextPage Method (SLDataPager)

Class

SLDataPager.

Action

Moves the data pager to the next page.

Syntax

C#
dataPager.MoveToNextPage()
VB
dataPager.MoveToNextPage()


MoveToPage Method (SLDataPager)

Class

SLDataPager.

Action

Moves the data pager to the given page.

Syntax

C#
dataPager.MoveToPage(page)
VB
dataPager.MoveToPage(page)
Variable | Description
page | The page to move the data pager to. Integer.


MoveToPreviousPage Method (SLDataPager)

Class

SLDataPager.

Action

Moves the data pager to the previous page.

Syntax

C#
dataPager.MoveToPreviousPage()
VB
dataPager.MoveToPreviousPage()


MoveVertical Method (SLGridSplitter)

Class

SLGridSplitter.

Action

Moves the splitter vertically.

Syntax

C#
gridSplitter.MoveVertical(value)
VB
gridSplitter.MoveVertical(value)
Variable | Description
value | The amount of pixel to move the splitter. Double.


Name Property (SLBase)

Class

SLBase.

Action

Gets a string containing the UI Automation name for the element.

Syntax

C#
protected String Name { get; }
VB
'Declaration
Protected Read Property Name As String

Access

Read only.


NumericValue Property (SLSpinner)

Class

SLSpinner.

Action

Gets the current numeric value of the spinner.

Syntax

C#
protected Double NumericValue { get; }
VB
'Declaration
Protected Read Property NumericValue As Double

Access

Read only.


OpenCalendar Method (SLDatePicker)

Class

SLDatePicker.

Action

Opens the drop-down Calendar.

Syntax

C#
datePicker.OpenCalendar()
VB
datePicker.OpenCalendar()


Open Method (SLComboBox)

Class

SLComboBox.

Action

Opens the combo box.

Syntax

C#
comboBox.Open()
VB
comboBox.Open()


PageCount Property (SLDataPager)

Class

SLDataPager.

Action

Gets the count of the pages.

Syntax

C#
protected Integer PageCount { get; }
VB
'Declaration
Protected Read Property PageCount As Integer

Access

Read only.


RootItems Property (SLTreeView)

Class

SLTreeView.

Action

Gets a complete list of all root tree items.

Syntax

C#
protected List(Of SLTreeViewItem) RootItems { get; }
VB
'Declaration
Protected Read Property RootItems As List(Of SLTreeViewItem)

Access

Read only.


RootItemTexts Property (SLTreeView)

Class

SLTreeView.

Action

Gets a complete list of the texts of all root tree items.

Syntax

C#
protected List(Of String) RootItemTexts { get; }
VB
'Declaration
Protected Read Property RootItemTexts As List(Of String)

Access

Read only.


RowCount Property (SLDataGrid)

Class

SLDataGrid.

Action

Gets the number of rows in the data grid.

Syntax

C#
protected Integer RowCount { get; }
VB
'Declaration
Protected Read Property RowCount As Integer

Access

Read only.


RowHeader Property (SLDataGridRow)

Class

SLDataGridRow.

Action

Gets the header for this row.

Syntax

C#
protected SLHeaderItem RowHeader { get; }
VB
'Declaration
Protected Read Property RowHeader As SLHeaderItem

Access

Read only.


Rows Property (SLDataGrid)

Class

SLDataGrid.

Action

Gets a list of rows in the data grid.

If the data grid has a vertical scroll bar, rows which are not in the visible area of the data grid do not expose any information (e.g. text, caption). In order to interact with such a row or retrieve information about the row it needs to be scrolled into view first.

Syntax

C#
protected List(Of SLDataGridRow) Rows { get; }
VB
'Declaration
Protected Read Property Rows As List(Of SLDataGridRow)

Access

Read only.


RowTexts Property (SLDataGrid)

Class

SLDataGrid.

Action

Gets a list of row texts in the data grid. The text for every row is returned as a string that contains the text of every cell separated with a blank character.

If the data grid has a vertical scroll bar, rows which are not in the visible area of the data grid return an empty text. In order to retrieve the text of such a row it needs to be scrolled into view first.

Syntax

C#
protected List(Of String) RowTexts { get; }
VB
'Declaration
Protected Read Property RowTexts As List(Of String)

Access

Read only.


ScrollHorizontal Method (SLAutoCompleteBox)

Class

SLAutoCompleteBox.

Action

Scrolls the currently visible region of the content area, horizontally, the specified ScrollAmount.

Syntax

C#
autoCompleteBox.ScrollHorizontal(scrollAmount)
VB
autoCompleteBox.ScrollHorizontal(scrollAmount)
Variable | Description
scrollAmount | The direction and distance to scroll. ScrollAmount.


ScrollHorizontal Method (SLComboBox)

Class

SLComboBox.

Action

Scrolls the currently visible region of the content area, horizontally, the specified ScrollAmount.

Syntax

C#
comboBox.ScrollHorizontal(scrollAmount)
VB
comboBox.ScrollHorizontal(scrollAmount)
Variable | Description
scrollAmount | The direction and distance to scroll. ScrollAmount.


ScrollHorizontal Method (SLDataGrid)

Class

SLDataGrid.

Action

Scrolls the currently visible region of the content area, horizontally, the specified ScrollAmount.

Syntax

C#
dataGrid.ScrollHorizontal(scrollAmount)
VB
dataGrid.ScrollHorizontal(scrollAmount)
Variable | Description
scrollAmount | The direction and distance to scroll. ScrollAmount.


ScrollHorizontal Method (SLListBox)

Class

SLListBox.

Action

Scrolls the currently visible region of the content area, horizontally, the specified ScrollAmount.

Syntax

C#
listBox.ScrollHorizontal(scrollAmount)
VB
listBox.ScrollHorizontal(scrollAmount)
Variable | Description
scrollAmount | The direction and distance to scroll. ScrollAmount.


ScrollHorizontal Method (SLPane)

Class

SLPane.

Action

Scrolls the currently visible region of the content area, horizontally, the specified ScrollAmount.

Syntax

C#
pane.ScrollHorizontal(scrollAmount)
VB
pane.ScrollHorizontal(scrollAmount)
Variable | Description
scrollAmount | The direction and distance to scroll. ScrollAmount.


ScrollHorizontal Method (SLTreeView)

Class

SLTreeView.

Action

Scrolls the currently visible region of the content area, horizontally, the specified ScrollAmount.

Syntax

C#
treeView.ScrollHorizontal(scrollAmount)
VB
treeView.ScrollHorizontal(scrollAmount)
Variable | Description
scrollAmount | The direction and distance to scroll. ScrollAmount.


ScrollIntoView Method (SLDataGrid)

Class

SLDataGrid.

Action

Scrolls the specified row or cell into view.

Syntax

C#
dataGrid.ScrollIntoView(row, [column])
VB
dataGrid.ScrollIntoView(row, [column])
Variable | Description
row | The row where to scroll to. ItemIdentifier.
column | Optional: The column where to scroll to. ItemIdentifier.


ScrollIntoView Method (SLDataGridCell)

Class

SLDataGridCell.

Action

Scroll the cell into view.

Syntax

C#
dataGridCell.ScrollIntoView()
VB
dataGridCell.ScrollIntoView()


ScrollIntoView Method (SLDataGridRow)

Class

SLDataGridRow.

Action

Scrolls the row into view.

Syntax

C#
dataGridRow.ScrollIntoView()
VB
dataGridRow.ScrollIntoView()


ScrollIntoView Method (SLListItem)

Class

SLListItem.

Action

Scroll the list item into view.

Syntax

C#
listItem.ScrollIntoView()
VB
listItem.ScrollIntoView()


ScrollIntoView Method (SLTreeViewItem)

Class

SLTreeViewItem.

Action

Scrolls the tree item into view.

Syntax

C#
treeViewItem.ScrollIntoView()
VB
treeViewItem.ScrollIntoView()


Scroll Method (SLHorizontalScrollBar)

Class

SLHorizontalScrollBar.

Action

Scrolls the scroll bar by the specified amount.

Syntax

C#
horizontalScrollBar.Scroll(scrollAmount)
VB
horizontalScrollBar.Scroll(scrollAmount)
Variable | Description
scrollAmount | The amount to scroll. ScrollAmount.


Scroll Method (SLVerticalScrollBar)

Class

SLVerticalScrollBar.

Action

Scrolls the scroll bar by the specified amount.

Syntax

C#
verticalScrollBar.Scroll(scrollAmount)
VB
verticalScrollBar.Scroll(scrollAmount)
Variable | Description
scrollAmount | The amount to scroll. ScrollAmount.


ScrollPosition Property (SLHorizontalScrollBar)

Class

SLHorizontalScrollBar.

Action

Gets the current scroll position.

Syntax

C#
protected Double ScrollPosition { get; }
VB
'Declaration
Protected Read Property ScrollPosition As Double

Access

Read only.


ScrollPosition Property (SLVerticalScrollBar)

Class

SLVerticalScrollBar.

Action

Gets the current scroll position.

Syntax

C#
protected Double ScrollPosition { get; }
VB
'Declaration
Protected Read Property ScrollPosition As Double

Access

Read only.


ScrollToMaximum Method (SLHorizontalScrollBar)

Class

SLHorizontalScrollBar.

Action

Scrolls the scroll bar to the right end.

Syntax

C#
horizontalScrollBar.ScrollToMaximum()
VB
horizontalScrollBar.ScrollToMaximum()


ScrollToMaximum Method (SLVerticalScrollBar)

Class

SLVerticalScrollBar.

Action

Scrolls the scroll bar to the bottom.

Syntax

C#
verticalScrollBar.ScrollToMaximum()
VB
verticalScrollBar.ScrollToMaximum()


ScrollToMinimum Method (SLHorizontalScrollBar)

Class

SLHorizontalScrollBar.

Action

Scrolls the scroll bar to the left end.

Syntax

C#
horizontalScrollBar.ScrollToMinimum()
VB
horizontalScrollBar.ScrollToMinimum()


ScrollToMinimum Method (SLVerticalScrollBar)

Class

SLVerticalScrollBar.

Action

Scrolls the scroll bar to the top.

Syntax

C#
verticalScrollBar.ScrollToMinimum()
VB
verticalScrollBar.ScrollToMinimum()


ScrollToPosition Method (SLHorizontalScrollBar)

Class

SLHorizontalScrollBar.

Action

Scrolls the scroll bar to the specific position.

Syntax

C#
horizontalScrollBar.ScrollToPosition(position)
VB
horizontalScrollBar.ScrollToPosition(position)
Variable | Description
position | The position. Must be within the minimum and the maximum position for this scroll bar. Double.


ScrollToPosition Method (SLVerticalScrollBar)

Class

SLVerticalScrollBar.

Action

Scrolls the scroll bar to the specific position.

Syntax

C#
verticalScrollBar.ScrollToPosition(position)
VB
verticalScrollBar.ScrollToPosition(position)
Variable | Description
position | The position. Must be within the minimum and the maximum position for this scroll bar. Double.


ScrollVertical Method (SLAutoCompleteBox)

Class

SLAutoCompleteBox.

Action

Scrolls the currently visible region of the content area, vertically, the specified ScrollAmount.

Syntax

C#
autoCompleteBox.ScrollVertical(scrollAmount)
VB
autoCompleteBox.ScrollVertical(scrollAmount)
Variable | Description
scrollAmount | The direction and distance to scroll. ScrollAmount.


ScrollVertical Method (SLComboBox)

Class

SLComboBox.

Action

Scrolls the currently visible region of the content area, vertically, the specified ScrollAmount.

Syntax

C#
comboBox.ScrollVertical(scrollAmount)
VB
comboBox.ScrollVertical(scrollAmount)
Variable | Description
scrollAmount | The direction and distance to scroll. ScrollAmount.


ScrollVertical Method (SLDataGrid)

Class

SLDataGrid.

Action

Scrolls the currently visible region of the content area, vertically, the specified ScrollAmount.

Syntax

C#
dataGrid.ScrollVertical(scrollAmount)
VB
dataGrid.ScrollVertical(scrollAmount)
Variable | Description
scrollAmount | The direction and distance to scroll. ScrollAmount.


ScrollVertical Method (SLListBox)

Class

SLListBox.

Action

Scrolls the currently visible region of the content area, vertically, the specified ScrollAmount.

Syntax

C#
listBox.ScrollVertical(scrollAmount)
VB
listBox.ScrollVertical(scrollAmount)
Variable | Description
scrollAmount | =The direction and distance to scroll. ScrollAmount.


ScrollVertical Method (SLPane)

Class

SLPane.

Action

Scrolls the currently visible region of the content area, vertically, the specified ScrollAmount.

Syntax

C#
pane.ScrollVertical(scrollAmount)
VB
pane.ScrollVertical(scrollAmount)
Variable | Description
scrollAmount | The direction and distance to scroll. ScrollAmount.


ScrollVertical Method (SLTreeView)

Class

SLTreeView.

Action

Scrolls the currently visible region of the content area, vertically, the specified ScrollAmount.

Syntax

C#
treeView.ScrollVertical(scrollAmount)
VB
treeView.ScrollVertical(scrollAmount)
Variable | Description
scrollAmount | =The direction and distance to scroll. ScrollAmount.


SelectAll Method (SLListBox)

Class

SLListBox.

Action

Selects all items in the list.

Syntax

C#
listBox.SelectAll()
VB
listBox.SelectAll()


SelectCell Method (SLDataGrid)

Class

SLDataGrid.

Action

Selects the specified cell.

Syntax

C#
dataGrid.SelectCell(row, column, [modifiers])
VB
dataGrid.SelectCell(row, column, [modifiers])
Variable | Description
row | The row to select. ItemIdentifier.
column | The cell to select. ItemIdentifier.
modifiers | Optional: The modifier keys to press while selecting the cell. Use a modifier to select multiple cells. ModifierKeys.

Examples

VB

In order to select a cell with the text "cell 1" in the third row type:
dataGrid.SelectCell(2, "cell 1")


SelectDate Method (SLCalendar)

Class

SLCalendar.

Action

Selects the given date.

Syntax

C#
calendar.SelectDate(dateToSelect)
VB
calendar.SelectDate(dateToSelect)
Variable | Description
dateToSelect | The date to select. DateTime?.


SelectDates Method (SLCalendar)

Class

SLCalendar.

Action

Selects the given dates.

This method will only work if the calendar supports the MultipleRange selection mode.

Syntax

C#
calendar.SelectDates(dates)
VB
calendar.SelectDates(dates)
Variable | Description
dates | The dates to select. List(Of DateTime?).


SelectedCell Property (SLDataGrid)

Class

SLDataGrid.

Action

Gets the currently selected cell or null (Nothing in Visual Basic) if no cell is selected.

Syntax

C#
protected SLDataGridCell SelectedCell { get; }
VB
'Declaration
Protected Read Property SelectedCell As SLDataGridCell

Access

Read only.


SelectedCellText Property (SLDataGrid)

Class

SLDataGrid.

Action

Gets the text of the currently selected cell or an empty string if no cell is selected.

Syntax

C#
protected String SelectedCellText { get; }
VB
'Declaration
Protected Read Property SelectedCellText As String

Access

Read only.


SelectedDate Property (SLCalendar)

Class

SLCalendar.

Action

Gets the currently selected date in the currently displayed view.

Syntax

C#
protected DateTime? SelectedDate { get; }
VB
'Declaration
Protected Read Property SelectedDate As DateTime?

Access

Read only.


SelectedDate Property (SLDatePicker)

Class

SLDatePicker.

Action

Gets the selected date or null (Nothing in Visual Basic) if no date is selected.

Syntax

C#
protected DateTime? SelectedDate { get; }
VB
'Declaration
Protected Read Property SelectedDate As DateTime?

Access

Read only.


SelectedDates Property (SLCalendar)

Class

SLCalendar.

Action

Gets a list of selected dates in the currently displayed view.

Syntax

C#
protected List(Of DateTime?) SelectedDates { get; }
VB
'Declaration
Protected Read Property SelectedDates As List(Of DateTime?)

Access

Read only.


SelectedIndex Property (SLComboBox)

Class

SLComboBox.

Action

Gets the index of the selected item or negative one (-1) if the selection is empty. The value is zero-based.

Syntax

C#
protected Integer SelectedIndex { get; }
VB
'Declaration
Protected Read Property SelectedIndex As Integer

Access

Read only.


SelectedIndex Property (SLListBox)

Class

SLListBox.

Action

Gets the index of the first item in the current selection or returns negative one (-1) if the selection is empty. The value is zero-based.

Syntax

C#
protected Integer SelectedIndex { get; }
VB
'Declaration
Protected Read Property SelectedIndex As Integer

Access

Read only.


SelectedIndex Property (SLTabControl)

Class

SLTabControl.

Action

Gets the index of the selected item or negative one (-1) if the selection is empty. The value is zero-based.

Syntax

C#
protected Integer SelectedIndex { get; }
VB
'Declaration
Protected Read Property SelectedIndex As Integer

Access

Read only.


SelectedIndices Property (SLListBox)

Class

SLListBox.

Action

Gets the indices of the currently selected items. An empty list is returned if no items are currently selected.

Syntax

C#
protected List(Of Integer) SelectedIndices { get; }
VB
'Declaration
Protected Read Property SelectedIndices As List(Of Integer)

Access

Read only.


SelectedItemPath Property (SLTreeView)

Class

SLTreeView.

Action

Gets the selected item path or an empty item path if nothing is selected.

Syntax

C#
protected ItemPath SelectedItemPath { get; }
VB
'Declaration
Protected Read Property SelectedItemPath As ItemPath

Access

Read only.


SelectedItem Property (SLComboBox)

Class

SLComboBox.

Action

Gets the selected item or null (Nothing in Visual Basic) if the selection is empty.

Syntax

C#
protected SLComboBoxItem SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As SLComboBoxItem

Access

Read only.


SelectedItem Property (SLListBox)

Class

SLListBox.

Action

Gets the first item in the current selection or returns null (Nothing in Visual Basic) if the selection is empty.

Syntax

C#
protected SLListItem SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As SLListItem

Access

Read only.


SelectedItem Property (SLTabControl)

Class

SLTabControl.

Action

Gets the selected item or null (Nothing in Visual Basic) if the selection is empty.

Syntax

C#
protected SLTabItem SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As SLTabItem

Access

Read only.


SelectedItem Property (SLTreeView)

Class

SLTreeView.

Action

Gets the selected item or returns null (Nothing in Visual Basic) if the selection is empty.

Syntax

C#
protected SLTreeViewItem SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As SLTreeViewItem

Access

Read only.


SelectedItems Property (SLListBox)

Class

SLListBox.

Action

Gets the currently selected items. An empty list is returned, if no items are currently selected.

Syntax

C#
protected List(Of SLListItem) SelectedItems { get; }
VB
'Declaration
Protected Read Property SelectedItems As List(Of SLListItem)

Access

Read only.


SelectedItemText Property (SLComboBox)

Class

SLComboBox.

Action

Gets the text of the selected item or an empty string if the selection is empty.

Syntax

C#
protected String SelectedItemText { get; }
VB
'Declaration
Protected Read Property SelectedItemText As String

Access

Read only.


SelectedItemText Property (SLListBox)

Class

SLListBox.

Action

Gets the text of the first selected item.

Syntax

C#
protected String SelectedItemText { get; }
VB
'Declaration
Protected Read Property SelectedItemText As String

Access

Read only.


SelectedItemText Property (SLTabControl)

Class

SLTabControl.

Action

Gets the text of the selected item or an empty string if the selection is empty.

Syntax

C#
protected String SelectedItemText { get; }
VB
'Declaration
Protected Read Property SelectedItemText As String

Access

Read only.


SelectedItemText Property (SLTreeView)

Class

SLTreeView.

Action

Gets the text of the selected item or an empty string if the selection is empty.

Syntax

C#
protected String SelectedItemText { get; }
VB
'Declaration
Protected Read Property SelectedItemText As String

Access

Read only.


SelectedItemTexts Property (SLListBox)

Class

SLListBox.

Action

Gets the texts of the currently selected items. An empty list is returned if no items are currently selected.

Syntax

C#
protected List(Of String) SelectedItemTexts { get; }
VB
'Declaration
Protected Read Property SelectedItemTexts As List(Of String)

Access

Read only.


SelectedRow Property (SLDataGrid)

Class

SLDataGrid.

Action

Gets the currently selected row or null (Nothing in Visual Basic) if no row is selected.

Syntax

C#
protected SLDataGridRow SelectedRow { get; }
VB
'Declaration
Protected Read Property SelectedRow As SLDataGridRow

Access

Read only.


SelectedRows Property (SLDataGrid)

Class

SLDataGrid.

Action

Gets a list of currently selected rows or an empty list if no row is selected.

Syntax

C#
protected List(Of SLDataGridRow) SelectedRows { get; }
VB
'Declaration
Protected Read Property SelectedRows As List(Of SLDataGridRow)

Access

Read only.


SelectedRowText Property (SLDataGrid)

Class

SLDataGrid.

Action

Gets the text of the currently selected row or an empty string if no row is selected.

Syntax

C#
protected String SelectedRowText { get; }
VB
'Declaration
Protected Read Property SelectedRowText As String

Access

Read only.


SelectedRowTexts Property (SLDataGrid)

Class

SLDataGrid.

Action

Gets the text of the currently selected rows or an empty list if no row is selected.

Syntax

C#
protected List(Of String) SelectedRowTexts { get; }
VB
'Declaration
Protected Read Property SelectedRowTexts As List(Of String)

Access

Read only.


SelectedText Property (SLRichTextBox)

Class

SLRichTextBox.

Action

Gets the selected text.

if the selection contains non-text elements, e.g. an image, those elements are represented as blank character

Syntax

C#
protected String SelectedText { get; }
VB
'Declaration
Protected Read Property SelectedText As String

Access

Read only.


Select Method (SLAutoCompleteBox)

Class

SLAutoCompleteBox.

Action

Types the given text into the auto box complete box and selects a match.

If there is no match after entering the text an exception is thrown. If value of the parameter matchIndex is less than 0 or greater than the number of matches an exception is thrown as well.

Syntax

C#
autoCompleteBox.Select(text, [matchIndex])
VB
autoCompleteBox.Select(text, [matchIndex])
Variable | Description
text | The text to type into the text box. String.
matchIndex | Optional: The index of the match to select. The value is zero-based. Integer.

Examples

VB

In order to select the first match starting with the text "Apple" type:
autoCompletBox.Select("Apple")
In order to select the third match starting with the text "A" type:
autoCompletBox.Select("A", 2)


Select Method (SLButton)

Class

SLButton.

Action

Clicks the button.

Syntax

C#
button.Select()
VB
button.Select()


Select Method (SLCalendarButton)

Class

SLCalendarButton.

Action

Clicks the button.

Syntax

C#
calendarButton.Select()
VB
calendarButton.Select()


Select Method (SLCalendarDayButton)

Class

SLCalendarDayButton.

Action

Clicks the button.

Syntax

C#
calendarDayButton.Select()
VB
calendarDayButton.Select()


Select Method (SLComboBox)

Class

SLComboBox.

Action

Selects an item in the combo box.

Syntax

C#
comboBox.Select(item)
VB
comboBox.Select(item)
Variable | Description
item | The item to select. ItemIdentifier.

Examples

VB

In order to select the item with the text "item 1" from a combo box type:
comboBox.Select("item 1")
In order to select the third item from a combo box type:
comboBox.Select(2)


Select Method (SLComboBoxItem)

Class

SLComboBoxItem.

Action

Selects the combo box item.

Syntax

C#
comboBoxItem.Select()
VB
comboBoxItem.Select()


Select Method (SLDataGrid)

Class

SLDataGrid.

Action

Selects the specified row.

Syntax

C#
dataGrid.Select(item, [modifiers])
VB
dataGrid.Select(item, [modifiers])
Variable | Description
item | The row to select. ItemIdentifier.
modifiers | Optional: The modifier keys to press while selecting the row. Use a modifier to select multiple rows. ModifierKeys.

Examples

VB

In order to select the row that contains two cells with the text "cell 1" and "cell 2" type:
dataGrid.Select("cell 1 cell 2")
or
dataGrid.Select("*cell 1*")
In order to select the third row from a data grid type:
dataGrid.Select(2)
In order to select multiple rows in a data grid use modifier keys (such as Ctrl or Shift). For selecting the fist and the third row in a data grid that supports multiple selections, type the following:
dataGrid.Select(0)
dataGrid.Select(2, ModifierKeys.Control)


Select Method (SLDataGridCell)

Class

SLDataGridCell.

Action

Selects the cell.

Syntax

C#
dataGridCell.Select()
VB
dataGridCell.Select()


Select Method (SLDataGridRow)

Class

SLDataGridRow.

Action

Selects the row.

Syntax

C#
dataGridRow.Select()
VB
dataGridRow.Select()


Select Method (SLHeaderItem)

Class

SLHeaderItem.

Action

Selects the header item.

Syntax

C#
headerItem.Select()
VB
headerItem.Select()


Select Method (SLHyperlinkButton)

Class

SLHyperlinkButton.

Action

Clicks the hyperlink button.

Syntax

C#
hyperlinkButton.Select()
VB
hyperlinkButton.Select()


Select Method (SLListBox)

Class

SLListBox.

Action

Selects the given list box item.

Syntax

C#
listBox.Select(item, [modifiers])
VB
listBox.Select(item, [modifiers])
Variable | Description
item | The name or index of the item to select. ItemIdentifier.
modifiers | Optional: The modifier keys (Alt, Shift and Ctrl) to press while selecting an item. Default: Don't use modifier keys. ModifierKeys.

Examples

VB

In order to select the item with the text "item 1" from a list box type:
listBox.Select("item 1")
In order to select the third item from a list box type:
listBox.Select(2)
In order to select multiple items in a list box use modifier keys (such as Ctrl or Shift). For selecting both the items with the text "item 1" and "item 3" in a multi-select list box (that has the extended selection style), type the following:
listBox.Select("item 1")
listBox.Select("item 3", ModifierKeys.Control)
In a multi-select list box with the multiple selection style a user can deselect a selected item by clicking on it. The following code selects two items in such a list box and then deselects the first one.
listBox.Select("item 1")
listBox.Select("item 3")
listBox.Select("item 1") ' deselects "item 1"


Select Method (SLListItem)

Class

SLListItem.

Action

Selects the list item.

Syntax

C#
listItem.Select()
VB
listItem.Select()


Select Method (SLRadioButton)

Class

SLRadioButton.

Action

Deselects any selected items and then selects the current element.

Syntax

C#
radioButton.Select()
VB
radioButton.Select()


Select Method (SLRepeatButton)

Class

SLRepeatButton.

Action

Clicks the button.

Syntax

C#
repeatButton.Select()
VB
repeatButton.Select()


Select Method (SLTabControl)

Class

SLTabControl.

Action

Selects an item in the tab control.

Syntax

C#
tabControl.Select(item)
VB
tabControl.Select(item)
Variable | Description
item | The item to select. ItemIdentifier.


Select Method (SLTabItem)

Class

SLTabItem.

Action

Selects the tab item.

Syntax

C#
tabItem.Select()
VB
tabItem.Select()


Select Method (SLTreeView)

Class

SLTreeView.

Action

Selects the specified item.

Syntax

C#
treeView.Select(item)
VB
treeView.Select(item)
Variable | Description
item | The item to select. ItemPath.


Select Method (SLTreeViewItem)

Class

SLTreeViewItem.

Action

Selects the item.

Syntax

C#
treeViewItem.Select()
VB
treeViewItem.Select()


SelectRange Method (SLCalendar)

Class

SLCalendar.

Action

Selects a range of dates.

Syntax

C#
calendar.SelectRange(startDate, endDate)
VB
calendar.SelectRange(startDate, endDate)
Variable | Description
startDate | The start date of the selection. DateTime?.
endDate | The end date of the selection. DateTime?.


SetHorizontalScrollPercent Method (SLAutoCompleteBox)

Class

SLAutoCompleteBox.

Action

Sets the horizontal scroll position as a percentage of the total content area within the combo box.

Syntax

C#
autoCompleteBox.SetHorizontalScrollPercent(percent)
VB
autoCompleteBox.SetHorizontalScrollPercent(percent)
Variable | Description
percent | The percentage of the total horizontal content area. Double.


SetHorizontalScrollPercent Method (SLComboBox)

Class

SLComboBox.

Action

Sets the horizontal scroll position as a percentage of the total content area within the combo box.

Syntax

C#
comboBox.SetHorizontalScrollPercent(percent)
VB
comboBox.SetHorizontalScrollPercent(percent)
Variable | Description
percent | The percentage of the total horizontal content area. Double.


SetHorizontalScrollPercent Method (SLDataGrid)

Class

SLDataGrid.

Action

Sets the horizontal scroll position as a percentage of the total content area within the data grid.

Syntax

C#
dataGrid.SetHorizontalScrollPercent(percent)
VB
dataGrid.SetHorizontalScrollPercent(percent)
Variable | Description
percent | The percentage of the total horizontal content area. Double.


SetHorizontalScrollPercent Method (SLListBox)

Class

SLListBox.

Action

Sets the horizontal scroll position as a percentage of the total content area within the list box.

Syntax

C#
listBox.SetHorizontalScrollPercent(percent)
VB
listBox.SetHorizontalScrollPercent(percent)
Variable | Description
percent | The percentage of the total horizontal content area. Double.


SetHorizontalScrollPercent Method (SLPane)

Class

SLPane.

Action

Sets the horizontal scroll position as a percentage of the total content area within the pane.

Syntax

C#
pane.SetHorizontalScrollPercent(percent)
VB
pane.SetHorizontalScrollPercent(percent)
Variable | Description
percent | The percentage of the total horizontal content area. Double.


SetHorizontalScrollPercent Method (SLTreeView)

Class

SLTreeView.

Action

Sets the horizontal scroll position as a percentage of the total content area within the tree view.

Syntax

C#
treeView.SetHorizontalScrollPercent(percent)
VB
treeView.SetHorizontalScrollPercent(percent)
Variable | Description
percent | The percentage of the total horizontal content area. Double.


SetIndeterminate Method (SLCheckBox)

Class

SLCheckBox.

Action

Set the check box to the indeterminate state.

Syntax

C#
checkBox.SetIndeterminate()
VB
checkBox.SetIndeterminate()


SetPosition Method (SLPasswordBox)

Class

SLPasswordBox.

Action

Sets the insertion point in the password field.

Syntax

C#
passwordBox.SetPosition(position)
VB
passwordBox.SetPosition(position)
Variable | Description
position | The position of the caret within the password field. The value is zero-based. Integer.


SetPosition Method (SLRichTextBox)

Class

SLRichTextBox.

Action

Sets the insertion point in the text box.

Syntax

C#
richTextBox.SetPosition(position)
VB
richTextBox.SetPosition(position)
Variable | Description
position | The position of the caret within the text box. The value is zero-based. Integer.


SetPosition Method (SLTextBox)

Class

SLTextBox.

Action

Sets the insertion point in the text field.

Syntax

C#
textBox.SetPosition(position)
VB
textBox.SetPosition(position)
Variable | Description
position | The position of the caret within the text field. The value is zero-based. Integer.


SetSelection Method (SLPasswordBox)

Class

SLPasswordBox.

Action

Selects a range of text in the password box.

Syntax

C#
passwordBox.SetSelection(startPosition, length)
VB
passwordBox.SetSelection(startPosition, length)
Variable | Description
startPosition | The start index for the selection. The value is zero-based. Integer.
length | The number of characters to select from the start position. Integer.


SetSelection Method (SLRichTextBox)

Class

SLRichTextBox.

Action

Selects a range of text in the text box.

Syntax

C#
richTextBox.SetSelection(startPosition, length)
VB
richTextBox.SetSelection(startPosition, length)
Variable | Description
startPosition | The start index for the selection. The value is zero-based. Integer.
length | The number of characters to select from the start position. Integer.


SetSelection Method (SLTextBox)

Class

SLTextBox.

Action

Selects a range of text in the text box.

Syntax

C#
textBox.SetSelection(startPosition, length)
VB
textBox.SetSelection(startPosition, length)
Variable | Description
startPosition | The start index for the selection. The value is zero-based. Integer.
length | The number of characters to select from the start position. Integer.


SetText Method (SLPasswordBox)

Class

SLPasswordBox.

Action

Replaces the text in the password field with the given text.

Syntax

C#
passwordBox.SetText(text)
VB
passwordBox.SetText(text)
Variable | Description
text | The new text. String.


SetText Method (SLRichTextBox)

Class

SLRichTextBox.

Action

Replaces the content in the text box with the given text.

Syntax

C#
richTextBox.SetText(text)
VB
richTextBox.SetText(text)
Variable | Description
text | The new text. String.


SetText Method (SLTextBox)

Class

SLTextBox.

Action

Replaces the text in the text field with the given text.

Syntax

C#
textBox.SetText(text)
VB
textBox.SetText(text)
Variable | Description
text | The new text. String.


SetValue Method (SLSlider)

Class

SLSlider.

Action

Sets the value of the slider.

Syntax

C#
slider.SetValue(value)
VB
slider.SetValue(value)
Variable | Description
value | The new slider value. Double.


SetValueToMaximum Method (SLSlider)

Class

SLSlider.

Action

Sets the Slider to the maximum position.

Syntax

C#
slider.SetValueToMaximum()
VB
slider.SetValueToMaximum()


SetValueToMinimum Method (SLSlider)

Class

SLSlider.

Action

Sets the Slider to the minimum position.

Syntax

C#
slider.SetValueToMinimum()
VB
slider.SetValueToMinimum()


SetVerticalScrollPercent Method (SLAutoCompleteBox)

Class

SLAutoCompleteBox.

Action

Sets the vertical scroll position as a percentage of the total content area within the combo box.

Syntax

C#
autoCompleteBox.SetVerticalScrollPercent(percent)
VB
autoCompleteBox.SetVerticalScrollPercent(percent)
Variable | Description
percent | The percentage of the total vertical content area. Double.


SetVerticalScrollPercent Method (SLComboBox)

Class

SLComboBox.

Action

Sets the vertical scroll position as a percentage of the total content area within the combo box.

Syntax

C#
comboBox.SetVerticalScrollPercent(percent)
VB
comboBox.SetVerticalScrollPercent(percent)
Variable | Description
percent | The percentage of the total vertical content area. Double.


SetVerticalScrollPercent Method (SLDataGrid)

Class

SLDataGrid.

Action

Sets the vertical scroll position as a percentage of the total content area within the data grid.

Syntax

C#
dataGrid.SetVerticalScrollPercent(percent)
VB
dataGrid.SetVerticalScrollPercent(percent)
Variable | Description
percent | The percentage of the total vertical content area. Double.


SetVerticalScrollPercent Method (SLListBox)

Class

SLListBox.

Action

Sets the vertical scroll position as a percentage of the total content area within the list box.

Syntax

C#
listBox.SetVerticalScrollPercent(percent)
VB
listBox.SetVerticalScrollPercent(percent)
Variable | Description
percent | The percentage of the total vertical content area. Double.


SetVerticalScrollPercent Method (SLPane)

Class

SLPane.

Action

Sets the vertical scroll position as a percentage of the total content area within the pane.

Syntax

C#
pane.SetVerticalScrollPercent(percent)
VB
pane.SetVerticalScrollPercent(percent)
Variable | Description
percent | The percentage of the total vertical content area. Double.


SetVerticalScrollPercent Method (SLTreeView)

Class

SLTreeView.

Action

Sets the vertical scroll position as a percentage of the total content area within the tree view.

Syntax

C#
treeView.SetVerticalScrollPercent(percent)
VB
treeView.SetVerticalScrollPercent(percent)
Variable | Description
percent | The percentage of the total vertical content area. Double.


SmallChange Property (SLSlider)

Class

SLSlider.

Action

Gets the value that is added to or subtracted from the Value property when a small change is made, such as with an arrow key.

Syntax

C#
protected Double SmallChange { get; }
VB
'Declaration
Protected Read Property SmallChange As Double

Access

Read only.


SupportedDisplayModes Property (SLCalendar)

Class

SLCalendar.

Action

Gets a list of supported display modes.

Syntax

C#
protected List(Of SLCalendarMode) SupportedDisplayModes { get; }
VB
'Declaration
Protected Read Property SupportedDisplayModes As List(Of SLCalendarMode)

Access

Read only.


SwitchToDecadeView Method (SLCalendar)

Class

SLCalendar.

Action

Switches the calendar display mode to 'decade', if supported.

Syntax

C#
calendar.SwitchToDecadeView()
VB
calendar.SwitchToDecadeView()


SwitchToMonthView Method (SLCalendar)

Class

SLCalendar.

Action

Switches the calendar display mode to 'month', if supported.

Syntax

C#
calendar.SwitchToMonthView()
VB
calendar.SwitchToMonthView()


SwitchToYearView Method (SLCalendar)

Class

SLCalendar.

Action

Switches the calendar display mode to 'year', if supported.

Syntax

C#
calendar.SwitchToYearView()
VB
calendar.SwitchToYearView()


Toggle Method (SLCheckBox)

Class

SLCheckBox.

Action

Cycles through the toggle states of the check box in this order: On, Off and, if supported, Indeterminate.

Syntax

C#
checkBox.Toggle()
VB
checkBox.Toggle()


Toggle Method (SLToggleButton)

Class

SLToggleButton.

Action

Cycles through the toggle states of the button in this order: On, Off and, if supported, Indeterminate.

Syntax

C#
toggleButton.Toggle()
VB
toggleButton.Toggle()


ToggleState Property (SLCheckBox)

Class

SLCheckBox.

Action

Gets the toggle state of the check box.

Syntax

C#
protected ToggleState ToggleState { get; }
VB
'Declaration
Protected Read Property ToggleState As ToggleState

Access

Read only.


ToggleState Property (SLToggleButton)

Class

SLToggleButton.

Action

Gets the toggle state of the button.

Syntax

C#
protected ToggleState ToggleState { get; }
VB
'Declaration
Protected Read Property ToggleState As ToggleState

Access

Read only.


Uncheck Method (SLCheckBox)

Class

SLCheckBox.

Action

Unchecks the check box.

Syntax

C#
checkBox.Uncheck()
VB
checkBox.Uncheck()


VerticallyScrollable Property (SLAutoCompleteBox)

Class

SLAutoCompleteBox.

Action

Gets a value that indicates whether the combo box can scroll vertically.

Syntax

C#
protected Boolean VerticallyScrollable { get; }
VB
'Declaration
Protected Read Property VerticallyScrollable As Boolean

Access

Read only.


VerticallyScrollable Property (SLComboBox)

Class

SLComboBox.

Action

Gets a value that indicates whether the combo box can scroll vertically.

Syntax

C#
protected Boolean VerticallyScrollable { get; }
VB
'Declaration
Protected Read Property VerticallyScrollable As Boolean

Access

Read only.


VerticallyScrollable Property (SLDataGrid)

Class

SLDataGrid.

Action

Gets a value that indicates whether the data grid can scroll vertically.

Syntax

C#
protected Boolean VerticallyScrollable { get; }
VB
'Declaration
Protected Read Property VerticallyScrollable As Boolean

Access

Read only.


VerticallyScrollable Property (SLListBox)

Class

SLListBox.

Action

Gets a value that indicates whether the list box can scroll vertically.

Syntax

C#
protected Boolean VerticallyScrollable { get; }
VB
'Declaration
Protected Read Property VerticallyScrollable As Boolean

Access

Read only.


VerticallyScrollable Property (SLPane)

Class

SLPane.

Action

Gets a value that indicates whether the pane can scroll vertically.

Syntax

C#
protected Boolean VerticallyScrollable { get; }
VB
'Declaration
Protected Read Property VerticallyScrollable As Boolean

Access

Read only.


VerticallyScrollable Property (SLTreeView)

Class

SLTreeView.

Action

Gets a value that indicates whether the tree view can scroll vertically.

Syntax

C#
protected Boolean VerticallyScrollable { get; }
VB
'Declaration
Protected Read Property VerticallyScrollable As Boolean

Access

Read only.


VerticalScrollPercent Property (SLAutoCompleteBox)

Class

SLAutoCompleteBox.

Action

Gets the current vertical scroll position or negative one (-1) if there is no valid scroll position.

Syntax

C#
protected Double VerticalScrollPercent { get; }
VB
'Declaration
Protected Read Property VerticalScrollPercent As Double

Access

Read only.


VerticalScrollPercent Property (SLComboBox)

Class

SLComboBox.

Action

Gets the current vertical scroll position or negative one (-1) if there is no valid scroll position.

Syntax

C#
protected Double VerticalScrollPercent { get; }
VB
'Declaration
Protected Read Property VerticalScrollPercent As Double

Access

Read only.


VerticalScrollPercent Property (SLDataGrid)

Class

SLDataGrid.

Action

Gets the current vertical scroll position or negative one (-1) if there is no valid scroll position.

Syntax

C#
protected Double VerticalScrollPercent { get; }
VB
'Declaration
Protected Read Property VerticalScrollPercent As Double

Access

Read only.


VerticalScrollPercent Property (SLListBox)

Class

SLListBox.

Action

Gets the current vertical scroll position or negative one (-1) if there is no valid scroll position.

Syntax

C#
protected Double VerticalScrollPercent { get; }
VB
'Declaration
Protected Read Property VerticalScrollPercent As Double

Access

Read only.


VerticalScrollPercent Property (SLPane)

Class

SLPane.

Action

Gets the current vertical scroll position or negative one (-1) if there is no valid scroll position.

Syntax

C#
protected Double VerticalScrollPercent { get; }
VB
'Declaration
Protected Read Property VerticalScrollPercent As Double

Access

Read only.


VerticalScrollPercent Property (SLTreeView)

Class

SLTreeView.

Action

Gets the current vertical scroll position or negative one (-1) if there is no valid scroll position.

Syntax

C#
protected Double VerticalScrollPercent { get; }
VB
'Declaration
Protected Read Property VerticalScrollPercent As Double

Access

Read only.


VisibleItemPaths Property (SLTreeView)

Class

SLTreeView.

Action

Gets the visible items in the tree as item paths.

Syntax

C#
protected List(Of ItemPath) VisibleItemPaths { get; }
VB
'Declaration
Protected Read Property VisibleItemPaths As List(Of ItemPath)

Access

Read only.


AccessibleName Property (AWTComponent)

Class

AWTComponent.

Action

Gets the accessible name of the component.

Syntax

C#
protected String AccessibleName { get; }
VB
'Declaration
Protected Read Property AccessibleName As String

Access

Read only.

Examples

VB

Dim accessibleName As String = component.AccessibleName


AccessibleName Property (AWTMenuItem)

Class

AWTMenuItem.

Action

Gets the accessible name of the component.

Syntax

C#
protected String AccessibleName { get; }
VB
'Declaration
Protected Read Property AccessibleName As String

Access

Read only.

Examples

VB

Dim accessibleName As String = openFileMenuItem.AccessibleName


AccessibleRole Property (AWTComponent)

Class

AWTComponent.

Action

Gets the accessible role of the component.

Syntax

C#
protected String AccessibleRole { get; }
VB
'Declaration
Protected Read Property AccessibleRole As String

Access

Read only.

Examples

VB

Dim accessibleRole As String = component.AccessibleRole


Alignment Property (AWTLabel)

Class

AWTLabel.

Action

Gets the alignment of the label.

Syntax

C#
protected Alignment Alignment { get; }
VB
'Declaration
Protected Read Property Alignment As Alignment

Access

Read only.

Examples

VB

Dim alignment As SilkTest.Ntf.Swing.Alignment = labelInfo.Alignment


Alignment Property (JLabel)

Class

JLabel.

Action

Gets the alignment of the label.

Syntax

C#
protected Alignment Alignment { get; }
VB
'Declaration
Protected Read Property Alignment As Alignment

Access

Read only.

Examples

VB

Dim alignment As SilkTest.Ntf.Swing.Alignment.Left = label.Alignment


Alignment Property (JTextField)

Class

JTextField.

Action

Gets the alignment of the text field.

Syntax

C#
protected Alignment Alignment { get; }
VB
'Declaration
Protected Read Property Alignment As Alignment

Access

Read only.

Examples

VB

Dim alignment As SilkTest.Ntf.Swing.Alignment = textField.Alignment


AllCellTexts Property (JTable)

Class

JTable.

Action

Gets the text values of all cells in the table. The cells are grouped in rows, where each row contains the texts of its cells.

Syntax

C#
protected List(Of List(Of String)) AllCellTexts { get; }
VB
'Declaration
Protected Read Property AllCellTexts As List(Of List(Of String))

Access

Read only.

Examples

VB

Dim allCellTexts As List(of List(of String)) = table.AllCellTexts


AllCellTexts Property (OracleFormsListView)

Class

OracleFormsListView.

Action

Gets the text values of all cells in the listview. The cells are grouped in rows, where each row contains the texts of its cells.

Only the values that have been visible to the user at least once are available.

Syntax

C#
protected List(Of List(Of String)) AllCellTexts { get; }
VB
'Declaration
Protected Read Property AllCellTexts As List(Of List(Of String))

Access

Read only.


AllCellValues Property (JTable)

Class

JTable.

Action

Gets the values of all cells in the table. The cells are grouped in rows, where each row contains the values of its cells.

Syntax

C#
protected List(Of List(Of Object)) AllCellValues { get; }
VB
'Declaration
Protected Read Property AllCellValues As List(Of List(Of Object))

Access

Read only.

Examples

VB

Dim allCellValues As List(of List(of Object)) = table.AllCellValues


Background Property (AWTComponent)

Class

AWTComponent.

Action

Gets the background color of the component.

Syntax

C#
protected Color Background { get; }
VB
'Declaration
Protected Read Property Background As Color

Access

Read only.

Examples

VB

Dim backgroundColor As SilkTest.Ntf.Color = component.Background


CancelEditing Method (JTree)

Class

JTree.

Action

Cancels the current editing session.

Syntax

C#
tree.CancelEditing()
VB
tree.CancelEditing()

Examples

VB

tree.CancelEditing()


CaretPosition Property (AWTTextComponent)

Class

AWTTextComponent.

Action

Gets the position of the text insertion caret for the text component. The value is zero-based.

Syntax

C#
protected Integer CaretPosition { get; }
VB
'Declaration
Protected Read Property CaretPosition As Integer

Access

Read only.

Examples

VB

Dim caretPosition As Integer = textComponent.CaretPosition


CaretPosition Property (JTextComponent)

Class

JTextComponent.

Action

Gets the position of the text insertion caret for the text component. The value is zero-based.

Syntax

C#
protected Integer CaretPosition { get; }
VB
'Declaration
Protected Read Property CaretPosition As Integer

Access

Read only.

Examples

VB

Dim caretPosition As Integer = textComponent.CaretPosition


CaretPosition Property (OracleFormsTextField)

Class

OracleFormsTextField.

Action

Gets the position of the text insertion caret for the text field. The value is zero-based.

Syntax

C#
protected Integer CaretPosition { get; }
VB
'Declaration
Protected Read Property CaretPosition As Integer

Access

Read only.


CharacterAttributes Property (JTextPane)

Class

JTextPane.

Action

Gets the character attributes in effect at the location of the caret.

Syntax

C#
protected List(Of String) CharacterAttributes { get; }
VB
'Declaration
Protected Read Property CharacterAttributes As List(Of String)

Access

Read only.

Examples

VB

Dim characterAttributes As IList = textPane.CharacterAttributes


Checked Property (AWTCheckbox)

Class

AWTCheckbox.

Action

Gets whether the check box is checked.

Syntax

C#
protected Boolean Checked { get; }
VB
'Declaration
Protected Read Property Checked As Boolean

Access

Read only.

Examples

VB

Dim isChecked As Boolean = caseSensitiveCheckBox.Checked


Checked Property (AWTCheckboxMenuItem)

Class

AWTCheckboxMenuItem.

Action

Gets whether the check box of the menu item is checked.

Syntax

C#
protected Boolean Checked { get; }
VB
'Declaration
Protected Read Property Checked As Boolean

Access

Read only.

Examples

VB

Dim isMenuItemChecked As Boolean = checkMenuItem.Checked


Checked Property (AWTRadioButton)

Class

AWTRadioButton.

Action

Gets whether the radio button is checked.

Syntax

C#
protected Boolean Checked { get; }
VB
'Declaration
Protected Read Property Checked As Boolean

Access

Read only.

Examples

VB

Dim isChecked As Boolean = leftAligmentRadioButton.Checked


Checked Property (IOracleFormsMenuBase)

Class

IOracleFormsMenuBase.

Action

Gets whether the MenuItem is checked.

Syntax

C#
protected Boolean Checked { get; }
VB
'Declaration
Protected Read Property Checked As Boolean

Access

Read only.


Checked Property (JCheckBoxMenuItem)

Class

JCheckBoxMenuItem.

Action

Gets whether the check box in a menu item is checked.

Syntax

C#
protected Boolean Checked { get; }
VB
'Declaration
Protected Read Property Checked As Boolean

Access

Read only.

Examples

VB

Dim isChecked As Boolean = checkBoxMenuItem.Checked


Checked Property (JRadioButtonMenuItem)

Class

JRadioButtonMenuItem.

Action

Gets whether the radio button in a menu item is checked.

Syntax

C#
protected Boolean Checked { get; }
VB
'Declaration
Protected Read Property Checked As Boolean

Access

Read only.

Examples

VB

Dim isChecked As Boolean = leftAligmentMenuItem.Checked


Checked Property (OracleFormsCheckbox)

Class

OracleFormsCheckbox.

Action

Gets whether the check box is checked.

Syntax

C#
protected Boolean Checked { get; }
VB
'Declaration
Protected Read Property Checked As Boolean

Access

Read only.


Checked Property (OracleFormsRadioButton)

Class

OracleFormsRadioButton.

Action

Gets whether the radio button is checked.

Syntax

C#
protected Boolean Checked { get; }
VB
'Declaration
Protected Read Property Checked As Boolean

Access

Read only.


Check Method (AWTCheckbox)

Class

AWTCheckbox.

Action

Checks the check box.

Syntax

C#
checkbox.Check()
VB
checkbox.Check()

Examples

VB

caseSensitiveCheckBox.Check()


Check Method (AWTCheckboxMenuItem)

Class

AWTCheckboxMenuItem.

Action

Checks the check box of the menu item.

Syntax

C#
checkboxMenuItem.Check()
VB
checkboxMenuItem.Check()

Examples

VB

checkMenuItem.Check()


Check Method (AWTRadioButton)

Class

AWTRadioButton.

Action

Checks the radio button.

Syntax

C#
radioButton.Check()
VB
radioButton.Check()

Examples

VB

leftAligmentRadioButton.Check()


Check Method (JCheckBox)

Class

JCheckBox.

Action

Checks the check box.

Syntax

C#
checkBox.Check()
VB
checkBox.Check()

Examples

VB

forwardCheckBox.Check()


Check Method (JRadioButton)

Class

JRadioButton.

Action

Checks the radio button.

Syntax

C#
radioButton.Check()
VB
radioButton.Check()

Examples

VB

leftAligmentRadioButton.Check()


Check Method (OracleFormsCheckbox)

Class

OracleFormsCheckbox.

Action

Checks the check box.

Syntax

C#
oracleFormsCheckbox.Check()
VB
oracleFormsCheckbox.Check()


Check Method (OracleFormsMenu)

Class

OracleFormsMenu.

Action

Checks a menu item.

Syntax

C#
oracleFormsMenu.Check(item)
VB
oracleFormsMenu.Check(item)
Variable | Description
item | The menu item to check. Can be either a top-level menu item or a menu item that can be found in a submenu. For checking a menu item from a submenu separate the menu item names with a slash. The item can contain the wildcards '?' (matches one character) or '*' (matches 0 to many characters). ItemPath.


Check Method (OracleFormsMenuItem)

Class

OracleFormsMenuItem.

Action

Checks a menu item.

Syntax

C#
oracleFormsMenuItem.Check()
VB
oracleFormsMenuItem.Check()


Check Method (OracleFormsRadioButton)

Class

OracleFormsRadioButton.

Action

Checks the radio button.

Syntax

C#
oracleFormsRadioButton.Check()
VB
oracleFormsRadioButton.Check()


Clear Method (AWTTextComponent)

Class

AWTTextComponent.

Action

Removes all the text from the text component.

Syntax

C#
textComponent.Clear()
VB
textComponent.Clear()

Examples

VB

textComponent.Clear()


Clear Method (JTextComponent)

Class

JTextComponent.

Action

Removes all the text from text component.

Syntax

C#
textComponent.Clear()
VB
textComponent.Clear()

Examples

VB

textComponent.Clear()


Clear Method (OracleFormsTextField)

Class

OracleFormsTextField.

Action

Removes all the text from the text field.

Syntax

C#
oracleFormsTextField.Clear()
VB
oracleFormsTextField.Clear()


ClearSelection Method (JTable)

Class

JTable.

Action

Deselects all selected columns and rows.

Syntax

C#
table.ClearSelection()
VB
table.ClearSelection()

Examples

VB

table.ClearSelection()


ClearSelection Method (JTree)

Class

JTree.

Action

Clears the selection.

Syntax

C#
tree.ClearSelection()
VB
tree.ClearSelection()

Examples

VB

tree.ClearSelection()


ClearSelection Method (OracleFormsListView)

Class

OracleFormsListView.

Action

Clears the selection.

Syntax

C#
oracleFormsListView.ClearSelection()
VB
oracleFormsListView.ClearSelection()


ClickCell Method (JTable)

Class

JTable.

Action

Clicks the specified cell in the table.

Syntax

C#
table.ClickCell(row, column, [button, position, modifiers])
VB
table.ClickCell(row, column, [button, position, modifiers])
Variable | Description
row | The index of the row. The value is zero-based. Integer.
column | The name or index of the column. ItemIdentifier.
button | Optional: The button used for clicking. Valid values are: left (=1, the default value), right (=2), middle (=3). MouseButton.
position | Optional: The clicked position within the table cell. If the position is omitted, the click is done in the center of the table cell. Point.
modifiers | Optional: The modifier keys (Alt, Shift and Ctrl) to press while clicking the table cell. Use a modifier to click multiple table cells. Default: Don't use modifier keys. ModifierKeys.

Examples

VB

table.ClickCell(1, "Street", MouseButton.Left, New Point(10, 10), SilkTest.Ntf.ModifierKeys.Control)
table.ClickCell(1, "Street")
table.ClickCell(1, 5)


ClickColumnHeader Method (JTableHeader)

Class

JTableHeader.

Action

Clicks the column header of the table.

Syntax

C#
tableHeader.ClickColumnHeader(column, [button, position, modifiers])
VB
tableHeader.ClickColumnHeader(column, [button, position, modifiers])
Variable | Description
column | The name or index of the column. ItemIdentifier.
button | Optional: The button used for clicking. Valid values are: left (=1, the default value), right (=2), middle (=3). MouseButton.
position | Optional: The clicked position within the column header. (default: column header center). Point.
modifiers | Optional: The modifier keys (Alt, Shift and Ctrl) to press while clicking the column header. Default: Don't use modifier keys. ModifierKeys.

Examples

VB

tableHeader.ClickColumnHeader("Product Name", MouseButton.Left, New Point(10, 10), SilkTest.Ntf.ModifierKeys.Control)
tableHeader.ClickColumnHeader(4, MouseButton.Left, New Point(10, 10), SilkTest.Ntf.ModifierKeys.Control)
tableHeader.ClickColumnHeader("Product Name")
tableHeader.ClickColumnHeader(4)


ClickItem Method (JList)

Class

JList.

Action

Clicks the specified list item.

Syntax

C#
list.ClickItem(item, [button, position, modifiers])
VB
list.ClickItem(item, [button, position, modifiers])
Variable | Description
item | The name or index of the list item. ItemIdentifier.
button | Optional: The button used for clicking. Valid values are: left (=1, the default value), right (=2), middle (=3). MouseButton.
position | Optional: The clicked position within the list. (default: center of the list item). Point.
modifiers | Optional: The modifier keys (Alt, Shift and Ctrl) to press while clicking the list item. Use a modifier to click multiple list items. Default: Don't use modifier keys. ModifierKeys.

Examples

VB

colorsList.ClickItem("green", MouseButton.Left, New Point(10, 10), SilkTest.Ntf.ModifierKeys.Control)
colorsList.ClickItem(3, MouseButton.Left, New Point(10, 10), SilkTest.Ntf.ModifierKeys.Control)
colorsList.ClickItem("green")
colorsList.ClickItem(3)


ClickItem Method (OracleFormsListBox)

Class

OracleFormsListBox.

Action

Clicks the specified list item.

Syntax

C#
oracleFormsListBox.ClickItem(item, [button, position, modifiers])
VB
oracleFormsListBox.ClickItem(item, [button, position, modifiers])
Variable | Description
item | The name or index of the list item. ItemIdentifier.
button | Optional: The button used for clicking. Valid values are: left (=1, the default value), right (=2), middle (=3). MouseButton.
position | Optional: The clicked position within the list. (default: center of the list item). Point.
modifiers | Optional: The modifier keys (Alt, Shift and Ctrl) to press while clicking the list item. Use a modifier to click multiple list items. Default: Don't use modifier keys. ModifierKeys.


ClickItem Method (OracleFormsTree)

Class

OracleFormsTree.

Action

Clicks on a tree node specified by the item path.

Syntax

C#
oracleFormsTree.ClickItem(item, [button, position, modifiers])
VB
oracleFormsTree.ClickItem(item, [button, position, modifiers])
Variable | Description
item | The path of the item to click on. ItemPath.
button | Optional: The button used for clicking. Valid values are: left (=1, the default value), right (=2), middle (=3). MouseButton.
position | Optional: The position to click. If the position is omitted, the click is done in the center of the tree node. Point.
modifiers | Optional: The modifier keys (Alt, Shift and Ctrl) to press while clicking the tree node. Default: Don't use modifier keys. ModifierKeys.


ClickNode Method (JTree)

Class

JTree.

Action

Clicks on a tree node specified by the item path.

Syntax

C#
tree.ClickNode(item, [button, position, modifiers])
VB
tree.ClickNode(item, [button, position, modifiers])
Variable | Description
item | The item path to click on. ItemPath.
button | Optional: The button used for clicking. Valid values are: left (=1, the default value), right (=2), middle (=3). MouseButton.
position | Optional: The position to click. If the position is omitted, the click is done in the center of the tree node. Point.
modifiers | Optional: The modifier keys (Alt, Shift and Ctrl) to press while clicking the tree node. Default: Don't use modifier keys. ModifierKeys.

Examples

VB

tree.ClickNode("/level_1-1/level_2-1/level_3-4", MouseButton.Left, New Point(10, 10), SilkTest.Ntf.ModifierKeys.Control)
tree.ClickNode("/level_1-1/level_2-1/level_3-4")


CollapseAll Method (JTree)

Class

JTree.

Action

Collapses all tree nodes.

Syntax

C#
tree.CollapseAll()
VB
tree.CollapseAll()

Examples

VB

tree.CollapseAll()


CollapseAll Method (OracleFormsTree)

Class

OracleFormsTree.

Action

Collapses all tree nodes.

Syntax

C#
oracleFormsTree.CollapseAll()
VB
oracleFormsTree.CollapseAll()


Collapse Method (JTree)

Class

JTree.

Action

Collapses the tree node identified by the specified item path.

Syntax

C#
tree.Collapse(item)
VB
tree.Collapse(item)
Variable | Description
item | The item path. ItemPath.

Examples

VB

tree.Collapse("/level_1-1/level_2-1/level_3-4")


Collapse Method (OracleFormsTree)

Class

OracleFormsTree.

Action

Collapses the tree node identified by the specified item path.

Syntax

C#
oracleFormsTree.Collapse(item)
VB
oracleFormsTree.Collapse(item)
Variable | Description
item | The item path. ItemPath.


Color Property (JColorChooser)

Class

JColorChooser.

Action

Gets the current color value from the color chooser.

Syntax

C#
protected Color Color { get; }
VB
'Declaration
Protected Read Property Color As Color

Access

Read only.

Examples

VB

Dim colorRed As SilkTest.Ntf.Color = ColorChooser.Color


ColumnCount Property (JTable)

Class

JTable.

Action

Gets the number of columns in the table.

Syntax

C#
protected Integer ColumnCount { get; }
VB
'Declaration
Protected Read Property ColumnCount As Integer

Access

Read only.

Examples

VB

Dim columnCount As Integer = table.ColumnCount


ColumnCount Property (OracleFormsListView)

Class

OracleFormsListView.

Action

Gets the number of columns in the listview.

Syntax

C#
protected Integer ColumnCount { get; }
VB
'Declaration
Protected Read Property ColumnCount As Integer

Access

Read only.


Columns Property (AWTTextArea)

Class

AWTTextArea.

Action

Gets the number of columns in the text area. The value is zero-based.

Syntax

C#
protected Integer Columns { get; }
VB
'Declaration
Protected Read Property Columns As Integer

Access

Read only.

Examples

VB

Dim columns As Integer = colorsTextArea.Columns


Columns Property (JTextArea)

Class

JTextArea.

Action

Gets the number of columns in the text area. The value is zero-based.

Syntax

C#
protected Integer Columns { get; }
VB
'Declaration
Protected Read Property Columns As Integer

Access

Read only.

Examples

VB

Dim columns As Integer = textArea.Columns


ContentType Property (JEditorPane)

Class

JEditorPane.

Action

Gets the type of content that this editor is currently set to deal with.

Syntax

C#
protected String ContentType { get; }
VB
'Declaration
Protected Read Property ContentType As String

Access

Read only.

Examples

VB

Dim contentType As String = editorPane.ContentType


Cursor Property (AWTComponent)

Class

AWTComponent.

Action

Gets the name of the cursor set in the component.

Syntax

C#
protected String Cursor { get; }
VB
'Declaration
Protected Read Property Cursor As String

Access

Read only.

Examples

VB

Dim cursor As String = component.Cursor


Default Property (OracleFormsButton)

Class

OracleFormsButton.

Action

Gets whether the button is the default button.

Syntax

C#
protected Boolean Default { get; }
VB
'Declaration
Protected Read Property Default As Boolean

Access

Read only.


DeselectAll Method (AWTList)

Class

AWTList.

Action

Deselects all list items.

Syntax

C#
list.DeselectAll()
VB
list.DeselectAll()

Examples

VB

colorsList.DeselectAll()


DeselectAll Method (JList)

Class

JList.

Action

Deselects all list items.

Syntax

C#
list.DeselectAll()
VB
list.DeselectAll()

Examples

VB

colorsList.DeselectAll()


Deselect Method (AWTList)

Class

AWTList.

Action

Deselects the specified list item.

Syntax

C#
list.Deselect(item)
VB
list.Deselect(item)
Variable | Description
item | The name or index of the item to deselect. ItemIdentifier.

Examples

VB

colorsList.Deselect("blue")
colorsList.Deselect(3)


Deselect Method (JList)

Class

JList.

Action

Deselects the specified list item.

Syntax

C#
list.Deselect(item)
VB
list.Deselect(item)
Variable | Description
item | The name or index of the list item. ItemIdentifier.

Examples

VB

colorsList.Deselect("red")
colorsList.Deselect(1)


Direction Property (BasicArrowButton)

Class

BasicArrowButton.

Action

Gets the direction the arrow points to.

Syntax

C#
protected Direction Direction { get; }
VB
'Declaration
Protected Read Property Direction As Direction

Access

Read only.

Examples

VB

Dim direction As SilkTest.Ntf.Swing.Direction = arrowButton.Direction


DividerLocation Property (JSplitPane)

Class

JSplitPane.

Action

Gets the current divider location.

Syntax

C#
protected Integer DividerLocation { get; }
VB
'Declaration
Protected Read Property DividerLocation As Integer

Access

Read only.

Examples

VB

Dim dividerLocation As Integer = splitPane.DividerLocation


DividerSize Property (JSplitPane)

Class

JSplitPane.

Action

Gets the size of the divider.

Syntax

C#
protected Integer DividerSize { get; }
VB
'Declaration
Protected Read Property DividerSize As Integer

Access

Read only.

Examples

VB

Dim dividerSize As Integer = splitPane.DividerSize


DoubleClickCell Method (JTable)

Class

JTable.

Action

Double-clicks the specified cell in the table.

Syntax

C#
table.DoubleClickCell(row, column, [button, position, modifiers])
VB
table.DoubleClickCell(row, column, [button, position, modifiers])
Variable | Description
row | The index of the row. The value is zero-based. Integer.
column | The name or index of the column. ItemIdentifier.
button | Optional: The button used for double-clicking. Valid values are: left (=1, the default value), right (=2), middle (=3). MouseButton.
position | Optional: The double-clicked position within the table cell. If the position is omitted, the double-click is done in the center of the table cell. Point.
modifiers | Optional: The modifier keys (Alt, Shift and Ctrl) to press while double-clicking the table cell. Default: Don't use modifier keys. ModifierKeys.

Examples

VB

table.DoubleClickCell(1, "Street", MouseButton.Left, New Point(10, 10), SilkTest.Ntf.ModifierKeys.Control)
table.DoubleClickCell(1, "Street")
table.DoubleClickCell(1, 5)


DoubleClickItem Method (AWTList)

Class

AWTList.

Action

Double-clicks a list item.

Syntax

C#
list.DoubleClickItem(item, [modifiers])
VB
list.DoubleClickItem(item, [modifiers])
Variable | Description
item | The name or index of the item to double-click. ItemIdentifier.
modifiers | Optional: The modifier keys (Alt, Shift and Ctrl) to press while double-clicking an item. Default: Don't use modifier keys. ModifierKeys.

Examples

VB

colorsList.DoubleClickItem("red", SilkTest.Ntf.ModifierKeys.Control)
colorsList.DoubleClickItem("red")
colorsList.DoubleClickItem(1, SilkTest.Ntf.ModifierKeys.Control)
colorsList.DoubleClickItem(1)


DoubleClickItem Method (JList)

Class

JList.

Action

Double-clicks a list item.

Syntax

C#
list.DoubleClickItem(item, [button, position, modifiers])
VB
list.DoubleClickItem(item, [button, position, modifiers])
Variable | Description
item | The name or index of the list item. ItemIdentifier.
button | Optional: The button used for double-clicking. Valid values are: left (=1, the default value), right (=2), middle (=3). MouseButton.
position | Optional: The double-clicked position within the list. (default: center of the list item). Point.
modifiers | Optional: The modifier keys (Alt, Shift and Ctrl) to press while double-clicking the list item. Default: Don't use modifier keys. ModifierKeys.

Examples

VB

colorsList.DoubleClickItem("green", MouseButton.Left, New Point(10, 10), Silktest.Ntf.ModifierKeys.Control)
colorsList.DoubleClickItem("green")
colorsList.DoubleClickItem(3)


DoubleClickItem Method (OracleFormsListBox)

Class

OracleFormsListBox.

Action

Double-clicks a list item.

Syntax

C#
oracleFormsListBox.DoubleClickItem(item, [button, position, modifiers])
VB
oracleFormsListBox.DoubleClickItem(item, [button, position, modifiers])
Variable | Description
item | The name or index of the list item. ItemIdentifier.
button | Optional: The button used for double-clicking. Valid values are: left (=1, the default value), right (=2), middle (=3). MouseButton.
position | Optional: The double-clicked position within the list. (default: center of the list item). Point.
modifiers | Optional: The modifier keys (Alt, Shift and Ctrl) to press while double-clicking the list item. Default: Don't use modifier keys. ModifierKeys.


DoubleClickItem Method (OracleFormsTree)

Class

OracleFormsTree.

Action

Double-clicks on a tree node specified by the item path.

Syntax

C#
oracleFormsTree.DoubleClickItem(item, [button, position, modifiers])
VB
oracleFormsTree.DoubleClickItem(item, [button, position, modifiers])
Variable | Description
item | The path of the item to double-click on. ItemPath.
button | Optional: The button used for double-clicking. Valid values are: left (=1, the default value), right (=2), middle (=3). MouseButton.
position | Optional: The position to double-click. If the position is omitted, the double-click is done in the center of the tree node. Point.
modifiers | Optional: The modifier keys (Alt, Shift and Ctrl) to press while double-clicking the tree node. Default: Don't use modifier keys. ModifierKeys.


DoubleClickNode Method (JTree)

Class

JTree.

Action

Double-clicks on a tree node specified by the item path.

Syntax

C#
tree.DoubleClickNode(item, [button, position, modifiers])
VB
tree.DoubleClickNode(item, [button, position, modifiers])
Variable | Description
item | The item path to double-click on. ItemPath.
button | Optional: The button used for double-clicking. Valid values are: left (=1, the default value), right (=2), middle (=3). MouseButton.
position | Optional: The position to double-click. If the position is omitted, the double-click is done in the center of the tree node. Point.
modifiers | Optional: The modifier keys (Alt, Shift and Ctrl) to press while double-clicking the tree node. Default: Don't use modifier keys. ModifierKeys.

Examples

VB

tree.DoubleClickNode("/level_1-1/level_2-1/level_3-4", MouseButton.Left, New Point(10, 10), SilkTest.Ntf.ModifierKeys.Control)
tree.DoubleClickNode("/level_1-1/level_2-1/level_3-4")


DropDownOpen Property (OracleFormsComboBox)

Class

OracleFormsComboBox.

Action

Gets whether the drop down is currently open.

Syntax

C#
protected Boolean DropDownOpen { get; }
VB
'Declaration
Protected Read Property DropDownOpen As Boolean

Access

Read only.


DropDownOpen Property (OracleFormsPopList)

Class

OracleFormsPopList.

Action

Gets whether the drop down is currently open.

Syntax

C#
protected Boolean DropDownOpen { get; }
VB
'Declaration
Protected Read Property DropDownOpen As Boolean

Access

Read only.


EchoChar Property (AWTTextField)

Class

AWTTextField.

Action

Gets the character that is displayed instead of the characters that are actually typed.

Syntax

C#
protected String EchoChar { get; }
VB
'Declaration
Protected Read Property EchoChar As String

Access

Read only.

Examples

VB

Dim echoChar As String = passwordTextField.EchoChar


EchoChar Property (JPasswordField)

Class

JPasswordField.

Action

Gets the character that is displayed instead of the characters that are actually typed.

Syntax

C#
protected String EchoChar { get; }
VB
'Declaration
Protected Read Property EchoChar As String

Access

Read only.

Examples

VB

Dim echoChar As String = passwordField.EchoChar


EchoCharSet Property (AWTTextField)

Class

AWTTextField.

Action

Gets whether EchoChar is set to a value other than 0.

Syntax

C#
protected Boolean EchoCharSet { get; }
VB
'Declaration
Protected Read Property EchoCharSet As Boolean

Access

Read only.

Examples

VB

Dim isEchoCharSet As Boolean = passwordTextField.EchoCharSet


EchoCharSet Property (JPasswordField)

Class

JPasswordField.

Action

Gets whether EchoChar is set to a value other than 0.

Syntax

C#
protected Boolean EchoCharSet { get; }
VB
'Declaration
Protected Read Property EchoCharSet As Boolean

Access

Read only.

Examples

VB

Dim isEchoCharSet As Boolean = passwordField.EchoCharSet


Editable Property (AWTTextComponent)

Class

AWTTextComponent.

Action

Gets whether the text of the text component can be changed by the user.

Syntax

C#
protected Boolean Editable { get; }
VB
'Declaration
Protected Read Property Editable As Boolean

Access

Read only.

Examples

VB

Dim isEditable As Boolean = textComponent.Editable


Editable Property (JComboBox)

Class

JComboBox.

Action

Gets whether the combo box is editable.

Syntax

C#
protected Boolean Editable { get; }
VB
'Declaration
Protected Read Property Editable As Boolean

Access

Read only.

Examples

VB

Dim isEditable As Boolean = colorsComboBox.Editable


Editable Property (JTextComponent)

Class

JTextComponent.

Action

Gets whether the text of the text component can be changed by the user.

Syntax

C#
protected Boolean Editable { get; }
VB
'Declaration
Protected Read Property Editable As Boolean

Access

Read only.

Examples

VB

Dim isEditable As Boolean = textComponent.Editable


Editable Property (OracleFormsTextField)

Class

OracleFormsTextField.

Action

Gets whether the text of the text field can be changed by the user.

Syntax

C#
protected Boolean Editable { get; }
VB
'Declaration
Protected Read Property Editable As Boolean

Access

Read only.


EditingColumn Property (JTable)

Class

JTable.

Action

Gets the name or index of the column that contains the cell currently being edited.

Syntax

C#
protected ItemIdentifier EditingColumn { get; }
VB
'Declaration
Protected Read Property EditingColumn As ItemIdentifier

Access

Read only.

Examples

VB

Dim editingColumn As String = table.EditingColumn


EditingRow Property (JTable)

Class

JTable.

Action

Gets the index of the row that contains the cell currently being edited. The value is zero-based.

Syntax

C#
protected Integer EditingRow { get; }
VB
'Declaration
Protected Read Property EditingRow As Integer

Access

Read only.

Examples

VB

Dim editingRow As Integer = table.EditingRow


Enabled Property (AWTComponent)

Class

AWTComponent.

Action

Gets whether the component is enabled.

Syntax

C#
protected Boolean Enabled { get; }
VB
'Declaration
Protected Read Property Enabled As Boolean

Access

Read only.

Examples

VB

Dim isEnabled As Boolean = component.Enabled


Enabled Property (AWTMenuItem)

Class

AWTMenuItem.

Action

Gets whether the menu item is enabled.

Syntax

C#
protected Boolean Enabled { get; }
VB
'Declaration
Protected Read Property Enabled As Boolean

Access

Read only.

Examples

VB

Dim isEnabled As Boolean = openFileMenuItem.Enabled


ExpandAll Method (JTree)

Class

JTree.

Action

Expands all tree nodes.

Syntax

C#
tree.ExpandAll()
VB
tree.ExpandAll()

Examples

VB

tree.ExpandAll()


ExpandAll Method (OracleFormsTree)

Class

OracleFormsTree.

Action

Expands all tree nodes.

Syntax

C#
oracleFormsTree.ExpandAll()
VB
oracleFormsTree.ExpandAll()


Expand Method (JTree)

Class

JTree.

Action

Expands the tree node identified by the specified item path.

Syntax

C#
tree.Expand(item)
VB
tree.Expand(item)
Variable | Description
item | The item path. ItemPath.

Examples

VB

tree.Expand("/level_1-1/level_2-1/level_3-4")


Expand Method (OracleFormsTree)

Class

OracleFormsTree.

Action

Expands the tree node identified by the specified item path.

Syntax

C#
oracleFormsTree.Expand(item)
VB
oracleFormsTree.Expand(item)
Variable | Description
item | The item path. ItemPath.


FindCell Method (JTable)

Class

JTable.

Action

Returns the cell containing the specified text.

FindCell searches cells for text starting in the 1st row, 1st column. It searches each cell in the first row, then searches the second row, and so on, until it finds a match or it reaches the end of the table. You can use wildcards in your search text.

Syntax

C#
result = table.FindCell(text)
VB
result = table.FindCell(text)
Variable | Description
result | A list containing the row and column index of the cell (in this order). If the cell is not found the list is empty . List(Of Integer).
text | The text in a cell in the table. String.

Examples

VB

Dim findCell As IList = table.findCell("SilkTest")


FindItem Method (JList)

Class

JList.

Action

Returns the index of an item in the list.

Syntax

C#
result = list.FindItem(itemText)
VB
result = list.FindItem(itemText)
Variable | Description
result | The index of the first matching item or -1 (4Test: 0) if no item was not found. The value is zero-based. Integer.
itemText | The item to find. String.

Examples

VB

Dim index As Integer = ColorsList.FindItem("green")


Focusable Property (AWTComponent)

Class

AWTComponent.

Action

Gets whether the component can be focused.

Syntax

C#
protected Boolean Focusable { get; }
VB
'Declaration
Protected Read Property Focusable As Boolean

Access

Read only.

Examples

VB

Dim isFocusable As Boolean = component.Focusable


FocusedRow Property (OracleFormsListView)

Class

OracleFormsListView.

Action

Gets the index of the focused row, -1 (4Test: 0) is returned if no row is focused. The value is zero-based.

Syntax

C#
protected Integer FocusedRow { get; }
VB
'Declaration
Protected Read Property FocusedRow As Integer

Access

Read only.


Font Property (AWTComponent)

Class

AWTComponent.

Action

Gets the font of the component.

Syntax

C#
protected String Font { get; }
VB
'Declaration
Protected Read Property Font As String

Access

Read only.

Examples

VB

Dim font As String = component.Font


Foreground Property (AWTComponent)

Class

AWTComponent.

Action

Gets the foreground color of the component.

Syntax

C#
protected Color Foreground { get; }
VB
'Declaration
Protected Read Property Foreground As Color

Access

Read only.

Examples

VB

Dim foregroundColor As SilkTest.Ntf.Color = component.Foreground


FormattedText Property (JEditorPane)

Class

JEditorPane.

Action

Gets the text of the editor pane.

Syntax

C#
protected String FormattedText { get; }
VB
'Declaration
Protected Read Property FormattedText As String

Access

Read only.

Examples

VB

Dim formattedText As String = editorPane.FormattedText


GetCellText Method (JTable)

Class

JTable.

Action

Returns the cell text.

Syntax

C#
cellText = table.GetCellText(row, column)
VB
cellText = table.GetCellText(row, column)
Variable | Description
cellText | The cell text. String.
row | The index of the row. The value is zero-based. Integer.
column | The name or index of the column. ItemIdentifier.

Examples

VB

Dim cellText As String = table.GetCellText(1, "Product")
cellText = table.GetCellText(1, 3)


GetCellText Method (OracleFormsListView)

Class

OracleFormsListView.

Action

Returns the cell text.

Only the values that have been visible to the user at least once are available.

Syntax

C#
cellText = oracleFormsListView.GetCellText(row, column)
VB
cellText = oracleFormsListView.GetCellText(row, column)
Variable | Description
cellText | String.
row | The index of the row. The value is zero-based. Integer.
column | The name or index of the column. ItemIdentifier.


GetCellValue Method (JTable)

Class

JTable.

Action

Returns the cell value.

Use "GetCellText" to retrieve the displayed cell text.

Syntax

C#
cellValue = table.GetCellValue(row, column)
VB
cellValue = table.GetCellValue(row, column)
Variable | Description
cellValue | The value object of the cell. If the type of the table cell is not recognized, the object String value is returned. If the cell is empty a null (Nothing in Visual Basic) object is returned. Object.
row | The index of the row. The value is zero-based. Integer.
column | The name or index of the column. ItemIdentifier.

Examples

VB

Dim cellValue As Object = table.GetCellValue(1, "SilkTest")
cellValue = Table.GetCellValue(1, 3)


GetColumnName Method (JTable)

Class

JTable.

Action

Returns the name of the column at the specified index.

Syntax

C#
columnName = table.GetColumnName(column)
VB
columnName = table.GetColumnName(column)
Variable | Description
columnName | The name of the column. String.
column | The index of the column. The value is zero-based. Integer.

Examples

VB

Dim columnName As String = table.GetColumnName(5)


GetColumnName Method (OracleFormsListView)

Class

OracleFormsListView.

Action

Returns the name of the column at the specified index.

Syntax

C#
columnName = oracleFormsListView.GetColumnName(index)
VB
columnName = oracleFormsListView.GetColumnName(index)
Variable | Description
columnName | String.
index | The index of the column. The value is zero-based. Integer.


GetColumnWidth Method (OracleFormsListView)

Class

OracleFormsListView.

Action

Returns the width of the specified column.

Syntax

C#
columnWidth = oracleFormsListView.GetColumnWidth(column)
VB
columnWidth = oracleFormsListView.GetColumnWidth(column)
Variable | Description
columnWidth | Integer.
column | The name or index of the column. ItemIdentifier.


GetHorizontalBar Method (IAWTScrollable)

Class

IAWTScrollable.

Action

Gets the horizontal scroll bar.

Syntax

C#
horizontalBar = iAWTScrollable.GetHorizontalBar()
VB
horizontalBar = iAWTScrollable.GetHorizontalBar()
Variable | Description
horizontalBar | The horizontal scroll bar control. AWTHorizontalScrollbar.


GetHorizontalBar Method (JScrollPane)

Class

JScrollPane.

Action

Gets the horizontal scroll bar.

Syntax

C#
horizontalBar = scrollPane.GetHorizontalBar()
VB
horizontalBar = scrollPane.GetHorizontalBar()
Variable | Description
horizontalBar | JHorizontalScrollBar.


GetHorizontalScrollbar Method (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Gets the horizontal scroll bar.

Syntax

C#
horizontalScrollbar = iOracleFormsScrollable.GetHorizontalScrollbar()
VB
horizontalScrollbar = iOracleFormsScrollable.GetHorizontalScrollbar()
Variable | Description
horizontalScrollbar | The horizontal scroll bar control. OracleFormsHorizontalScrollbar.


GetItem Method (AWTChoice)

Class

AWTChoice.

Action

Returns the item at the specified index.

Syntax

C#
item = choice.GetItem(index)
VB
item = choice.GetItem(index)
Variable | Description
item | The name of the item. String.
index | The index of the item. The value is zero-based. Integer.

Examples

VB

Dim item As String = colorsChoice.GetItem(1)


GetItem Method (AWTList)

Class

AWTList.

Action

Returns the list item at the specified index.

Syntax

C#
item = list.GetItem(index)
VB
item = list.GetItem(index)
Variable | Description
item | The name of the list item. String.
index | The index of the list item. The value is zero-based. Integer.

Examples

VB

Dim item As String = colorsList.GetItem(1)


GetItem Method (JComboBox)

Class

JComboBox.

Action

Returns the item at the specified index.

Syntax

C#
item = comboBox.GetItem(index)
VB
item = comboBox.GetItem(index)
Variable | Description
item | The name of the item. String.
index | The item index. The value is zero-based. Integer.

Examples

VB

Dim item As String = colorsComboBox.GetItem(1)


GetItem Method (JList)

Class

JList.

Action

Returns the item at the specified index.

Syntax

C#
item = list.GetItem(index)
VB
item = list.GetItem(index)
Variable | Description
item | The name of the item. String.
index | The item index. The value is zero-based. Integer.

Examples

VB

Dim item As String = colorsList.GetItem(2)


GetItemRect Method (JList)

Class

JList.

Action

Returns the size and position of the item relative to the list.

Syntax

C#
itemRect = list.GetItemRect(item)
VB
itemRect = list.GetItemRect(item)
Variable | Description
itemRect | The rectangle returned includes the item's X and Y position relative to the list, its width, and its height. Rectangle.
item | The name or index of the item. ItemIdentifier.

Examples

VB

Dim rect As Rectangle = ColorsList.GetItemRect("green")
rect = ColorsList.GetItemRect(2)


GetItemRect Method (JTree)

Class

JTree.

Action

Returns the size and position of the item relative to the tree.

Syntax

C#
itemRect = tree.GetItemRect(item)
VB
itemRect = tree.GetItemRect(item)
Variable | Description
itemRect | The rectangle returned includes the item's X and Y position relative to the tree, its width, and its height. Rectangle.
item | The item path. ItemPath.

Examples

VB

Dim rect As Rectangle = tree.GetItemRect("/level_1-1/level_2-1/level_3-4")


GetItemText Method (OracleFormsChoice)

Class

OracleFormsChoice.

Action

Returns the item at the specified index.

Syntax

C#
itemText = oracleFormsChoice.GetItemText(index)
VB
itemText = oracleFormsChoice.GetItemText(index)
Variable | Description
itemText | The name of the item. String.
index | The index of the item. The value is zero-based. Integer.


GetItemValue Method (JList)

Class

JList.

Action

Returns the value object of the list item.

Syntax

C#
itemValue = list.GetItemValue(item)
VB
itemValue = list.GetItemValue(item)
Variable | Description
itemValue | The value object of the list item. Object.
item | The name or index of the list item. ItemIdentifier.

Examples

VB

Dim item As Object = colorsList.GetItemValue("green")
item = colorsList.GetItemValue(2)


GetTabIndex Method (JTabbedPane)

Class

JTabbedPane.

Action

Returns the tab index.

Syntax

C#
tabIndex = tabbedPane.GetTabIndex(title)
VB
tabIndex = tabbedPane.GetTabIndex(title)
Variable | Description
tabIndex | The tab index. The value is zero-based. Integer.
title | The title of the tab. String.

Examples

VB

Dim tabIndex As Integer = tabbedPane.GetTabIndex("Alignment")


GetTabIndex Method (OracleFormsTabBar)

Class

OracleFormsTabBar.

Action

Returns the tab index.

Syntax

C#
tabIndex = oracleFormsTabBar.GetTabIndex(title)
VB
tabIndex = oracleFormsTabBar.GetTabIndex(title)
Variable | Description
tabIndex | The tab index. The value is zero-based. Integer.
title | The title of the tab. String.


GetTabTitle Method (JTabbedPane)

Class

JTabbedPane.

Action

Returns the tab title.

Syntax

C#
tabTitle = tabbedPane.GetTabTitle(index)
VB
tabTitle = tabbedPane.GetTabTitle(index)
Variable | Description
tabTitle | The title of the tab. String.
index | The index of the tab. The value is zero-based. Integer.

Examples

VB

Dim tabTitle As String = tabbedPane.GetTabTitle(1)


GetTabTitle Method (OracleFormsTabBar)

Class

OracleFormsTabBar.

Action

Returns the tab title.

Syntax

C#
tabTitle = oracleFormsTabBar.GetTabTitle(index)
VB
tabTitle = oracleFormsTabBar.GetTabTitle(index)
Variable | Description
tabTitle | The title of the tab. String.
index | The index of the tab. The value is zero-based. Integer.


GetVerticalBar Method (IAWTScrollable)

Class

IAWTScrollable.

Action

Gets the vertical scroll bar.

Syntax

C#
verticalBar = iAWTScrollable.GetVerticalBar()
VB
verticalBar = iAWTScrollable.GetVerticalBar()
Variable | Description
verticalBar | The vertical scroll bar control. AWTVerticalScrollbar.


GetVerticalBar Method (JScrollPane)

Class

JScrollPane.

Action

Gets the vertical scroll bar.

Syntax

C#
verticalBar = scrollPane.GetVerticalBar()
VB
verticalBar = scrollPane.GetVerticalBar()
Variable | Description
verticalBar | JVerticalScrollBar.


GetVerticalScrollbar Method (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Gets the vertical scroll bar.

Syntax

C#
verticalScrollbar = iOracleFormsScrollable.GetVerticalScrollbar()
VB
verticalScrollbar = iOracleFormsScrollable.GetVerticalScrollbar()
Variable | Description
verticalScrollbar | The vertical scroll bar control. OracleFormsVerticalScrollbar.


Height Property (AWTComponent)

Class

AWTComponent.

Action

Gets the current height of the component.

Syntax

C#
protected Integer Height { get; }
VB
'Declaration
Protected Read Property Height As Integer

Access

Read only.

Examples

VB

Dim height As Integer = component.Height


HorizontalScrollbarPage Method (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Increments the current scroll position by specified number of pages.

Syntax

C#
iOracleFormsScrollable.HorizontalScrollbarPage(pageCount)
VB
iOracleFormsScrollable.HorizontalScrollbarPage(pageCount)
Variable | Description
pageCount | The number of pages to increment. Integer.


HorizontalScrollbarPageSize Property (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Gets the block increment value of the scroll bar.

Syntax

C#
protected Integer HorizontalScrollbarPageSize { get; }
VB
'Declaration
Protected Read Property HorizontalScrollbarPageSize As Integer

Access

Read only.


HorizontalScrollbarPosition Property (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Gets the current position of the scroll bar.

Syntax

C#
protected Integer HorizontalScrollbarPosition { get; }
VB
'Declaration
Protected Read Property HorizontalScrollbarPosition As Integer

Access

Read only.


HorizontalScrollbarRange Property (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Gets the range value of the scroll bar.

Syntax

C#
protected Range HorizontalScrollbarRange { get; }
VB
'Declaration
Protected Read Property HorizontalScrollbarRange As Range

Access

Read only.


HorizontalScrollbarScrollToMax Method (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Scrolls to the maximum position of the scroller.

Syntax

C#
iOracleFormsScrollable.HorizontalScrollbarScrollToMax()
VB
iOracleFormsScrollable.HorizontalScrollbarScrollToMax()


HorizontalScrollbarScrollTo Method (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Scrolls to the specified position.

Syntax

C#
iOracleFormsScrollable.HorizontalScrollbarScrollTo(position)
VB
iOracleFormsScrollable.HorizontalScrollbarScrollTo(position)
Variable | Description
position | The position to scroll to. Integer.


HorizontalScrollbarScrollToMin Method (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Scrolls to the minimum position of the scroller.

Syntax

C#
iOracleFormsScrollable.HorizontalScrollbarScrollToMin()
VB
iOracleFormsScrollable.HorizontalScrollbarScrollToMin()


HorizontalScrollbarStep Method (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Increments the current scroll position by specified steps.

Syntax

C#
iOracleFormsScrollable.HorizontalScrollbarStep(stepCount)
VB
iOracleFormsScrollable.HorizontalScrollbarStep(stepCount)
Variable | Description
stepCount | The number of steps to increment. Integer.


HorizontalScrollbarStepSize Property (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Gets the unit increment value of the scroll bar.

Syntax

C#
protected Integer HorizontalScrollbarStepSize { get; }
VB
'Declaration
Protected Read Property HorizontalScrollbarStepSize As Integer

Access

Read only.


Indeterminate Property (JProgressBar)

Class

JProgressBar.

Action

Gets whether the progress bar is indeterminate.

Syntax

C#
protected Boolean Indeterminate { get; }
VB
'Declaration
Protected Read Property Indeterminate As Boolean

Access

Read only.

Examples

VB

Dim isIndeterminate As Boolean = progressBar.Indeterminate


Insert Method (AWTTextArea)

Class

AWTTextArea.

Action

Inserts the specified text at the specified position.

Syntax

C#
textArea.Insert(text, pos)
VB
textArea.Insert(text, pos)
Variable | Description
text | The text to insert. String.
pos | The position at which to insert. The value is zero-based. Integer.

Examples

VB

colorsTextArea.Insert("yellow", 16)


Insert Method (JTextArea)

Class

JTextArea.

Action

Inserts the specified text at the specified position.

Syntax

C#
textArea.Insert(text, pos)
VB
textArea.Insert(text, pos)
Variable | Description
text | The text to insert. String.
pos | The position at which to insert text. The value is zero-based. Integer.

Examples

VB

textArea.Insert("magenta", 5)


Inverted Property (JSlider)

Class

JSlider.

Action

Gets the value is true if the value-range shown for the slider is reversed.

Syntax

C#
protected Boolean Inverted { get; }
VB
'Declaration
Protected Read Property Inverted As Boolean

Access

Read only.

Examples

VB

Dim isInverted As Boolean = verticalSlider.Inverted


IsCellEditable Method (JTable)

Class

JTable.

Action

Returns true if the specified cell is editable.

Syntax

C#
cellEditable = table.IsCellEditable(row, column)
VB
cellEditable = table.IsCellEditable(row, column)
Variable | Description
cellEditable | True if the cell is editable; otherwise false. Boolean.
row | The index of the row. The value is zero-based. Integer.
column | The name or index of the column. ItemIdentifier.

Examples

VB

Dim isCellEditable As Boolean = table.IsCellEditable(1, "Street")
isCellEditable = table.IsCellEditable(1, 4)


IsCellSelected Method (JTable)

Class

JTable.

Action

Returns true if the specified cell is selected; otherwise false.

Syntax

C#
cellSelected = table.IsCellSelected(row, column)
VB
cellSelected = table.IsCellSelected(row, column)
Variable | Description
cellSelected | True if the cell is selected; otherwise false. Boolean.
row | The index of the row. The value is zero-based. Integer.
column | The name or index of the column. ItemIdentifier.

Examples

VB

Dim isCellSelected As Boolean = table.IsCellSelected(1, "Street")
isCellSelected = Table.IsCellSelected(1, 4)


IsChecked Method (OracleFormsMenu)

Class

OracleFormsMenu.

Action

a value that indicates whether the MenuItem is checked.

Syntax

C#
checked = oracleFormsMenu.IsChecked(item)
VB
checked = oracleFormsMenu.IsChecked(item)
Variable | Description
checked | Boolean.
item | The menu item to check. Can be either a top-level menu item or a menu item that can be found in a submenu. For checking a menu item from a submenu separate the menu item names with a slash. The item can contain the wildcards '?' (matches one character) or '*' (matches 0 to many characters). ItemPath.


IsColumnSelected Method (JTable)

Class

JTable.

Action

Returns true if the specified column is selected.

Syntax

C#
columnSelected = table.IsColumnSelected(column)
VB
columnSelected = table.IsColumnSelected(column)
Variable | Description
columnSelected | True if the column is selected; otherwise false. Boolean.
column | The name or index of the column. ItemIdentifier.

Examples

VB

Dim isColumnSelected As Boolean = table.IsColumnSelected("Product Name")
isColumnSelected = table.IsColumnSelected(3)


IsEditable Property (JTree)

Class

JTree.

Action

Gets whether the tree is editable.

Syntax

C#
protected Boolean IsEditable { get; }
VB
'Declaration
Protected Read Property IsEditable As Boolean

Access

Read only.

Examples

VB

Dim isEditable As Boolean = tree.IsEditable


IsEditing Property (JTree)

Class

JTree.

Action

Gets whether the tree is being edited.

Syntax

C#
protected Boolean IsEditing { get; }
VB
'Declaration
Protected Read Property IsEditing As Boolean

Access

Read only.

Examples

VB

Dim isEditing As Boolean = tree.IsEditing


IsExpanded Method (JTree)

Class

JTree.

Action

Returns 'true' if the specified item path is expanded.

Syntax

C#
expanded = tree.IsExpanded(item)
VB
expanded = tree.IsExpanded(item)
Variable | Description
expanded | True if the specified item path is expanded; otherwise false. Boolean.
item | The item path. ItemPath.

Examples

VB

Dim isExpanded As Boolean = tree.IsExpanded("/level_1-1/level_2-1/level_3-4")


IsExpanded Method (OracleFormsTree)

Class

OracleFormsTree.

Action

Returns 'true' if the specified item path is expanded.

Syntax

C#
expanded = oracleFormsTree.IsExpanded(item)
VB
expanded = oracleFormsTree.IsExpanded(item)
Variable | Description
expanded | True if the specified item path is expanded; otherwise false. Boolean.
item | The item path. ItemPath.


IsPassword Property (AWTTextField)

Class

AWTTextField.

Action

Gets whether the text field is a password text field.

Syntax

C#
protected Boolean IsPassword { get; }
VB
'Declaration
Protected Read Property IsPassword As Boolean

Access

Read only.


IsPassword Property (OracleFormsTextField)

Class

OracleFormsTextField.

Action

Gets whether the text field is a password text field.

Syntax

C#
protected Boolean IsPassword { get; }
VB
'Declaration
Protected Read Property IsPassword As Boolean

Access

Read only.


IsPathEditable Method (JTree)

Class

JTree.

Action

whether an item path is editable.

Syntax

C#
pathEditable = tree.IsPathEditable(item)
VB
pathEditable = tree.IsPathEditable(item)
Variable | Description
pathEditable | True if the specified item path is editable; otherwise false. Boolean.
item | The item path. ItemPath.

Examples

VB

Dim isPathEditable As Boolean = tree.IsPathEditable("/level_1-1/level_2-1/level_3-4")


IsRowSelected Method (JTable)

Class

JTable.

Action

Returns true if the specified row is selected.

Syntax

C#
rowSelected = table.IsRowSelected(row)
VB
rowSelected = table.IsRowSelected(row)
Variable | Description
rowSelected | True if the row is selected; otherwise false. Boolean.
row | The index of the row. The value is zero-based. Integer.

Examples

VB

Dim isRowSelected As Boolean = table.IsRowSelected(1)


IsRowVisible Method (OracleFormsListView)

Class

OracleFormsListView.

Action

Returns whether the specified row is visible.

Syntax

C#
rowVisible = oracleFormsListView.IsRowVisible(index)
VB
rowVisible = oracleFormsListView.IsRowVisible(index)
Variable | Description
rowVisible | Boolean.
index | The index of the row. The value is zero-based. Integer.


IsTabEnabled Method (JTabbedPane)

Class

JTabbedPane.

Action

Returns whether or not the tab is currently enabled.

Syntax

C#
tabEnabled = tabbedPane.IsTabEnabled(tab)
VB
tabEnabled = tabbedPane.IsTabEnabled(tab)
Variable | Description
tabEnabled | True if the tab is enabled; otherwise false. Boolean.
tab | The name or index of the tab. ItemIdentifier.

Examples

VB

Dim isTabEnabled As Boolean = tabbedPane.IsTabEnabled("Alignment")
isTabEnabled = tabbedPane.IsTabEnabled(1)


IsTabEnabled Method (OracleFormsTabBar)

Class

OracleFormsTabBar.

Action

Returns whether or not the tab is currently enabled.

Syntax

C#
tabEnabled = oracleFormsTabBar.IsTabEnabled(tab)
VB
tabEnabled = oracleFormsTabBar.IsTabEnabled(tab)
Variable | Description
tabEnabled | True if the tab is enabled; otherwise false. Boolean.
tab | The name or index of the tab. ItemIdentifier.


IsVisible Method (OracleFormsTree)

Class

OracleFormsTree.

Action

Returns 'true' if the specified item path is visible.

Syntax

C#
visible = oracleFormsTree.IsVisible(item)
VB
visible = oracleFormsTree.IsVisible(item)
Variable | Description
visible | True if the specified item path is visible; otherwise false. Boolean.
item | The item path. ItemPath.


ItemCount Property (AWTChoice)

Class

AWTChoice.

Action

Gets the number of items in the combo box.

Syntax

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

Access

Read only.

Examples

VB

Dim itemCount As Integer = colorsChoice.ItemCount


ItemCount Property (AWTList)

Class

AWTList.

Action

Gets the number of list items.

Syntax

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

Access

Read only.

Examples

VB

Dim itemCount As Integer = colorsList.ItemCount


ItemCount Property (JComboBox)

Class

JComboBox.

Action

Gets the number of items in the list.

Syntax

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

Access

Read only.

Examples

VB

Dim itemCount As Integer = colorsComboBox.ItemCount


ItemCount Property (JList)

Class

JList.

Action

Gets the number of list items.

Syntax

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

Access

Read only.

Examples

VB

Dim itemCount As Integer = colorsList.ItemCount


ItemCount Property (OracleFormsChoice)

Class

OracleFormsChoice.

Action

Gets the number of items in the choice.

Syntax

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

Access

Read only.


Items Property (AWTChoice)

Class

AWTChoice.

Action

Gets the list of combo box items.

Syntax

C#
protected List(Of ItemIdentifier) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

Access

Read only.

Examples

VB

Dim items As IList = colorsChoice.Items


Items Property (AWTList)

Class

AWTList.

Action

Gets a list of items in the list.

Syntax

C#
protected List(Of ItemIdentifier) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

Access

Read only.

Examples

VB

Dim items As IList = colorsList.Items


Items Property (JComboBox)

Class

JComboBox.

Action

Gets the list of all contained items.

Syntax

C#
protected List(Of ItemIdentifier) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

Access

Read only.

Examples

VB

Dim items As IList = colorsComboBox.Items


Items Property (JList)

Class

JList.

Action

Gets the list of all contained list items.

Syntax

C#
protected List(Of ItemIdentifier) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

Access

Read only.

Examples

VB

Dim items As IList = colorsList.Items


Items Property (OracleFormsChoice)

Class

OracleFormsChoice.

Action

Gets the list of choice items.

Syntax

C#
protected List(Of ItemIdentifier) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

Access

Read only.


LogicalStyle Property (JTextPane)

Class

JTextPane.

Action

Gets the logical style assigned to the current paragraph in effect at the location of the caret.

Syntax

C#
protected String LogicalStyle { get; }
VB
'Declaration
Protected Read Property LogicalStyle As String

Access

Read only.

Examples

VB

Dim logicalStyle As String = textPane.LogicalStyle


MaximumDividerLocation Property (JSplitPane)

Class

JSplitPane.

Action

Gets the maximum location of the divider.

Syntax

C#
protected Integer MaximumDividerLocation { get; }
VB
'Declaration
Protected Read Property MaximumDividerLocation As Integer

Access

Read only.

Examples

VB

Dim maximumDividerLocation As Integer = splitPane.MaximumDividerLocation


Maximum Property (JProgressBar)

Class

JProgressBar.

Action

Gets the progress bar's maximum value.

Syntax

C#
protected Integer Maximum { get; }
VB
'Declaration
Protected Read Property Maximum As Integer

Access

Read only.

Examples

VB

Dim maximum As Integer = progressBar.Maximum


Maximum Property (JSlider)

Class

JSlider.

Action

Gets the maximum value supported by the slider.

Syntax

C#
protected Integer Maximum { get; }
VB
'Declaration
Protected Read Property Maximum As Integer

Access

Read only.

Examples

VB

Dim maximum As Integer = verticalSlider.Maximum


MinimumDividerLocation Property (JSplitPane)

Class

JSplitPane.

Action

Gets the minimum location of the divider.

Syntax

C#
protected Integer MinimumDividerLocation { get; }
VB
'Declaration
Protected Read Property MinimumDividerLocation As Integer

Access

Read only.

Examples

VB

Dim minimumDividerLocation As Integer = splitPane.MinimumDividerLocation


Minimum Property (JProgressBar)

Class

JProgressBar.

Action

Gets the progress bar's minimum value.

Syntax

C#
protected Integer Minimum { get; }
VB
'Declaration
Protected Read Property Minimum As Integer

Access

Read only.

Examples

VB

Dim minimum As Integer = progressBar.Minimum


Minimum Property (JSlider)

Class

JSlider.

Action

Gets the minimum value supported by the slider.

Syntax

C#
protected Integer Minimum { get; }
VB
'Declaration
Protected Read Property Minimum As Integer

Access

Read only.

Examples

VB

Dim minimum As Integer = verticalSlider.Minimum


Modal Property (AWTDialog)

Class

AWTDialog.

Action

Gets whether the dialog is modal.

Syntax

C#
protected Boolean Modal { get; }
VB
'Declaration
Protected Read Property Modal As Boolean

Access

Read only.

Examples

VB

Dim isModal As Boolean = optionsDialog.Modal


MoveColumn Method (JTable)

Class

JTable.

Action

Moves the column to the position of the target column.

Syntax

C#
table.MoveColumn(column, targetColumn)
VB
table.MoveColumn(column, targetColumn)
Variable | Description
column | The name or index of the column to move. ItemIdentifier.
targetColumn | The name or index of the target column. ItemIdentifier.

Examples

VB

table.MoveColumn(5, 3)


MultipleMode Property (AWTList)

Class

AWTList.

Action

Gets whether the list allows multiple selection.

Syntax

C#
protected Boolean MultipleMode { get; }
VB
'Declaration
Protected Read Property MultipleMode As Boolean

Access

Read only.

Examples

VB

Dim isMultipleMode As Boolean = colorsList.MultipleMode


Name Property (AWTComponent)

Class

AWTComponent.

Action

Gets the name of the component.

Syntax

C#
protected String Name { get; }
VB
'Declaration
Protected Read Property Name As String

Access

Read only.

Examples

VB

Dim name As String = component.Name


Next Method (JSpinner)

Class

JSpinner.

Action

Sets the spinner to the object in the sequence that comes after the object returned by the Value property.

Syntax

C#
spinner.Next()
VB
spinner.Next()

Examples

VB

monthSpinner.Next()


OpenContextMenu Method (AWTComponent)

Class

AWTComponent.

Action

Opens a context menu at the specified position.

Syntax

C#
component.OpenContextMenu([pos])
VB
component.OpenContextMenu([pos])
Variable | Description
pos | Optional: The coordinates to open the context menu relative to the control on which this function is called. Point.


Page Method (IAWTScroller)

Class

IAWTScroller.

Action

Increments the current scroll position by specified number of pages.

Syntax

C#
iAWTScroller.Page(pageCount)
VB
iAWTScroller.Page(pageCount)
Variable | Description
pageCount | The number of pages to increment. Integer.

Examples

VB

scrollBar.Page(1)


Page Property (JEditorPane)

Class

JEditorPane.

Action

Gets the current URL being displayed.

Syntax

C#
protected String Page { get; }
VB
'Declaration
Protected Read Property Page As String

Access

Read only.

Examples

VB

Dim page As String = editorPane.Page


PageSize Property (IAWTScroller)

Class

IAWTScroller.

Action

Gets the block increment value of the scroll bar.

Syntax

C#
protected Integer PageSize { get; }
VB
'Declaration
Protected Read Property PageSize As Integer

Access

Read only.

Examples

VB

Dim pageSize As Integer = scrollBar.PageSize


ParagraphAttributes Property (JTextPane)

Class

JTextPane.

Action

Gets the attributes of the current paragraph in effect at the location of the caret.

Syntax

C#
protected List(Of String) ParagraphAttributes { get; }
VB
'Declaration
Protected Read Property ParagraphAttributes As List(Of String)

Access

Read only.

Examples

VB

Dim paragraphAttributes As IList = TextPane.ParagraphAttributes


PasswordChar Property (OracleFormsTextField)

Class

OracleFormsTextField.

Action

Gets the character that is displayed instead of the characters that are actually typed, if the text field is a password text field.

Syntax

C#
protected String PasswordChar { get; }
VB
'Declaration
Protected Read Property PasswordChar As String

Access

Read only.


Position Property (IAWTScroller)

Class

IAWTScroller.

Action

Gets the current position of the scroll bar.

Syntax

C#
protected Integer Position { get; }
VB
'Declaration
Protected Read Property Position As Integer

Access

Read only.

Examples

VB

Dim position As Integer = scrollBar.Position


Position Property (IBaseScrollable)

Class

IBaseScrollable.

Action

Gets the current scroll position of the scrollable component.

Syntax

C#
protected Point Position { get; }
VB
'Declaration
Protected Read Property Position As Point

Access

Read only.


Position Property (JSlider)

Class

JSlider.

Action

Gets the position of the slider.

Syntax

C#
protected Integer Position { get; }
VB
'Declaration
Protected Read Property Position As Integer

Access

Read only.

Examples

VB

Dim position As Integer = verticalSlider.Position


Previous Method (JSpinner)

Class

JSpinner.

Action

Sets the spinner to the object in the sequence that comes before the object returned by the Value property.

Syntax

C#
spinner.Previous()
VB
spinner.Previous()

Examples

VB

monthSpinner.Previous()


ProgressString Property (JProgressBar)

Class

JProgressBar.

Action

Gets the string representation of the current progress.

Syntax

C#
protected String ProgressString { get; }
VB
'Declaration
Protected Read Property ProgressString As String

Access

Read only.

Examples

VB

Dim progress As String = progressBar.ProgressString


Range Property (IAWTScroller)

Class

IAWTScroller.

Action

Gets the range value of the scroll bar.

Syntax

C#
protected Range Range { get; }
VB
'Declaration
Protected Read Property Range As Range

Access

Read only.

Examples

VB

Dim range As Integer = scrollBar.Range


ReplaceRange Method (AWTTextArea)

Class

AWTTextArea.

Action

Replaces text between the specified start and end positions with the specified replacement text.

Syntax

C#
textArea.ReplaceRange(text, start, end)
VB
textArea.ReplaceRange(text, start, end)
Variable | Description
text | The text to use as the replacement. String.
start | The start position. The value is zero-based. Integer.
end | The end position. The value is zero-based. Integer.

Examples

VB

colorsTextArea.ReplaceRange("blue", 31, 37)


ReplaceRange Method (JTextArea)

Class

JTextArea.

Action

Replaces text within the specified range with the new text specified.

Syntax

C#
textArea.ReplaceRange(text, start, end)
VB
textArea.ReplaceRange(text, start, end)
Variable | Description
text | The text to use as the replacement. String.
start | The start position. The value is zero-based. Integer.
end | The end position. The value is zero-based. Integer.

Examples

VB

textArea.ReplaceRange("yellow", 5, 9)


Resizable Property (AWTDialog)

Class

AWTDialog.

Action

Gets whether the dialog is resizable by the user.

Syntax

C#
protected Boolean Resizable { get; }
VB
'Declaration
Protected Read Property Resizable As Boolean

Access

Read only.

Examples

VB

Dim isResizable As Boolean = optionsDialog.Resizable


Resizable Property (AWTFrame)

Class

AWTFrame.

Action

Gets whether the frame is resizable by the user.

Syntax

C#
protected Boolean Resizable { get; }
VB
'Declaration
Protected Read Property Resizable As Boolean

Access

Read only.

Examples

VB

Dim isResizable As Boolean = frameWindow.Resizable


ResizeColumn Method (JTable)

Class

JTable.

Action

Resizes the specified column.

Syntax

C#
table.ResizeColumn(column, width)
VB
table.ResizeColumn(column, width)
Variable | Description
column | The name or index of the column to resize. ItemIdentifier.
width | The new width for the column. Integer.

Examples

VB

table.ResizeColumn("Street", 150)
table.ResizeColumn(3, 150)


RowCount Property (JTable)

Class

JTable.

Action

Gets the number of rows that can be shown in the table.

Syntax

C#
protected Integer RowCount { get; }
VB
'Declaration
Protected Read Property RowCount As Integer

Access

Read only.

Examples

VB

Dim rowCount As Integer = table.RowCount


RowCount Property (OracleFormsListView)

Class

OracleFormsListView.

Action

Gets the number of rows in the listview.

Syntax

C#
protected Integer RowCount { get; }
VB
'Declaration
Protected Read Property RowCount As Integer

Access

Read only.


Rows Property (AWTTextArea)

Class

AWTTextArea.

Action

Gets the number of rows in the text area. The value is zero-based.

Syntax

C#
protected Integer Rows { get; }
VB
'Declaration
Protected Read Property Rows As Integer

Access

Read only.

Examples

VB

Dim rows As Integer = colorsTextArea.Rows


Rows Property (JTextArea)

Class

JTextArea.

Action

Gets the number of rows in the text area. The value is zero-based.

Syntax

C#
protected Integer Rows { get; }
VB
'Declaration
Protected Read Property Rows As Integer

Access

Read only.

Examples

VB

Dim rows As Integer = textArea.Rows


ScrollCellIntoView Method (JTable)

Class

JTable.

Action

Scrolls the specified cell into view.

Syntax

C#
table.ScrollCellIntoView(row, column)
VB
table.ScrollCellIntoView(row, column)
Variable | Description
row | The index of the row. The value is zero-based. Integer.
column | The name or index of the column. ItemIdentifier.

Examples

VB

table.ScrollCellIntoView(25, "Street")
table.ScrollCellIntoView(25, 4)


ScrollIntoView Method (AWTComponent)

Class

AWTComponent.

Action

Scrolls the component into view if it is hidden and a child of a scroll pane.

Syntax

C#
component.ScrollIntoView()
VB
component.ScrollIntoView()

Examples

VB

component.ScrollIntoView()


ScrollItemIntoView Method (JList)

Class

JList.

Action

Scrolls an item into view.

Syntax

C#
list.ScrollItemIntoView(item)
VB
list.ScrollItemIntoView(item)
Variable | Description
item | The name or index of the item to scroll into view. ItemIdentifier.

Examples

VB

colorsList.ScrollItemIntoView("orange")
colorsList.ScrollItemIntoView(10)


ScrollItemIntoView Method (OracleFormsTree)

Class

OracleFormsTree.

Action

Scrolls the given item path to a visible position.

Syntax

C#
oracleFormsTree.ScrollItemIntoView(item)
VB
oracleFormsTree.ScrollItemIntoView(item)
Variable | Description
item | The item path. ItemPath.


ScrollPathIntoView Method (JTree)

Class

JTree.

Action

Scrolls the given item path to a visible position.

Syntax

C#
tree.ScrollPathIntoView(item)
VB
tree.ScrollPathIntoView(item)
Variable | Description
item | The item path. ItemPath.

Examples

VB

tree.ScrollPathIntoView("/level_1-1/level_2-1/level_3-4")


ScrollToMax Method (IOracleFormsScroller)

Class

IOracleFormsScroller.

Action

Scrolls to the maximum position of the scroller.

Syntax

C#
iOracleFormsScroller.ScrollToMax()
VB
iOracleFormsScroller.ScrollToMax()


ScrollTo Method (IAWTScroller)

Class

IAWTScroller.

Action

Scrolls to the specified position.

Syntax

C#
iAWTScroller.ScrollTo(position)
VB
iAWTScroller.ScrollTo(position)
Variable | Description
position | The position to scroll to. Integer.

Examples

VB

scrollBar.ScrollTo(2)


ScrollTo Method (IBaseScrollable)

Class

IBaseScrollable.

Action

Scrolls to the specified position.

Syntax

C#
iBaseScrollable.ScrollTo(position)
VB
iBaseScrollable.ScrollTo(position)
Variable | Description
position | The position to scroll to. Point.


ScrollToMin Method (IOracleFormsScroller)

Class

IOracleFormsScroller.

Action

Scrolls to the minimum position of the scroller.

Syntax

C#
iOracleFormsScroller.ScrollToMin()
VB
iOracleFormsScroller.ScrollToMin()


ScrollToRow Method (OracleFormsListView)

Class

OracleFormsListView.

Action

Scrolls to the specified row.

Syntax

C#
oracleFormsListView.ScrollToRow(index)
VB
oracleFormsListView.ScrollToRow(index)
Variable | Description
index | The row to scroll to. The value is zero-based. Integer.


SelectAll Method (AWTList)

Class

AWTList.

Action

Selects all items in the list.

Syntax

C#
list.SelectAll()
VB
list.SelectAll()

Examples

VB

colorsList.SelectAll()


SelectAll Method (AWTTextComponent)

Class

AWTTextComponent.

Action

Selects all the text in the text component.

Syntax

C#
textComponent.SelectAll()
VB
textComponent.SelectAll()

Examples

VB

textComponent.SelectAll()


SelectAll Method (JList)

Class

JList.

Action

Selects all list elements.

Syntax

C#
list.SelectAll()
VB
list.SelectAll()

Examples

VB

colorsList.SelectAll()


SelectAll Method (JTable)

Class

JTable.

Action

Selects all rows, columns, and cells in the table.

Syntax

C#
table.SelectAll()
VB
table.SelectAll()

Examples

VB

table.SelectAll()


SelectAll Method (JTextComponent)

Class

JTextComponent.

Action

Selects all the content in the text component.

Syntax

C#
textComponent.SelectAll()
VB
textComponent.SelectAll()

Examples

VB

textComponent.SelectAll()


SelectAll Method (OracleFormsTextField)

Class

OracleFormsTextField.

Action

Selects all the text in the text field.

Syntax

C#
oracleFormsTextField.SelectAll()
VB
oracleFormsTextField.SelectAll()


SelectColumn Method (JTable)

Class

JTable.

Action

Selects the specified column.

Syntax

C#
table.SelectColumn(column, [clearSelection])
VB
table.SelectColumn(column, [clearSelection])
Variable | Description
column | The name or index of the column to select. ItemIdentifier.
clearSelection | Optional: Whether to clear the previous selection. The default is true. Boolean.

Examples

VB

table.SelectColumn("Street", False)
table.SelectColumn(5, False)


SelectedColumn Property (JTable)

Class

JTable.

Action

Gets the index or name of the selected column. -1 (4Test: 0) is returned if no column is selected.

If multiple column selection is allowed, returns the index or name of the first selected column.

Syntax

C#
protected ItemIdentifier SelectedColumn { get; }
VB
'Declaration
Protected Read Property SelectedColumn As ItemIdentifier

Access

Read only.

Examples

VB

Dim selectedColumn As String = table.SelectedColumn


SelectedColumns Property (JTable)

Class

JTable.

Action

Gets the list of indices of all selected columns.

Syntax

C#
protected List(Of ItemIdentifier) SelectedColumns { get; }
VB
'Declaration
Protected Read Property SelectedColumns As List(Of ItemIdentifier)

Access

Read only.

Examples

VB

Dim selectedColumns As IList = table.SelectedColumns


SelectedIndex Property (AWTChoice)

Class

AWTChoice.

Action

Gets the index of the selected item. -1 (4Test: 0) is returned, if no item is currently selected. The value is zero-based.

Syntax

C#
protected Integer SelectedIndex { get; }
VB
'Declaration
Protected Read Property SelectedIndex As Integer

Access

Read only.

Examples

VB

Dim selectedIndex As Integer = colorsChoice.SelectedIndex


SelectedIndex Property (AWTList)

Class

AWTList.

Action

Gets the index of the currently selected item. -1 (4Test: 0) is returned, if no item is currently selected. The value is zero-based.

Syntax

C#
protected Integer SelectedIndex { get; }
VB
'Declaration
Protected Read Property SelectedIndex As Integer

Access

Read only.

Examples

VB

Dim selectedIndex As Integer = colorsList.SelectedIndex


SelectedIndex Property (JComboBox)

Class

JComboBox.

Action

Gets the index of the currently selected item. The value is zero-based.

Syntax

C#
protected Integer SelectedIndex { get; }
VB
'Declaration
Protected Read Property SelectedIndex As Integer

Access

Read only.

Examples

VB

Dim selectedIndex As Integer = colorsComboBox.SelectedIndex


SelectedIndex Property (JList)

Class

JList.

Action

Gets the index of the selected list item. The value is zero-based.

Syntax

C#
protected Integer SelectedIndex { get; }
VB
'Declaration
Protected Read Property SelectedIndex As Integer

Access

Read only.

Examples

VB

Dim selectedIndex As Integer = colorsList.SelectedIndex


SelectedIndex Property (OracleFormsChoice)

Class

OracleFormsChoice.

Action

Gets the index of the selected item. -1 (4Test: 0) is returned, if no item is currently selected. The value is zero-based.

Syntax

C#
protected Integer SelectedIndex { get; }
VB
'Declaration
Protected Read Property SelectedIndex As Integer

Access

Read only.


SelectedIndices Property (AWTList)

Class

AWTList.

Action

Gets the indices of the currently selected items. An empty list is returned, if no items are currently selected.

Syntax

C#
protected List(Of Integer) SelectedIndices { get; }
VB
'Declaration
Protected Read Property SelectedIndices As List(Of Integer)

Access

Read only.

Examples

VB

Dim selectedIndices As IList = colorsList.SelectedIndices


SelectedIndices Property (JList)

Class

JList.

Action

Gets the list of indices of the selected list items.

Syntax

C#
protected List(Of Integer) SelectedIndices { get; }
VB
'Declaration
Protected Read Property SelectedIndices As List(Of Integer)

Access

Read only.

Examples

VB

Dim selectedIndices As IList = colorsList.SelectedIndices


SelectedItemPath Property (JTree)

Class

JTree.

Action

Gets the selected item path.

Syntax

C#
protected ItemPath SelectedItemPath { get; }
VB
'Declaration
Protected Read Property SelectedItemPath As ItemPath

Access

Read only.

Examples

VB

Dim selectedItemPath As String = tree.SelectedItemPath


SelectedItemPath Property (OracleFormsTree)

Class

OracleFormsTree.

Action

Gets the list of selected item path.

Syntax

C#
protected ItemPath SelectedItemPath { get; }
VB
'Declaration
Protected Read Property SelectedItemPath As ItemPath

Access

Read only.


SelectedItemPaths Property (JTree)

Class

JTree.

Action

Gets the list of selected item paths.

Syntax

C#
protected List(Of ItemPath) SelectedItemPaths { get; }
VB
'Declaration
Protected Read Property SelectedItemPaths As List(Of ItemPath)

Access

Read only.

Examples

VB

Dim selectedItemPaths As IList = tree.SelectedItemPaths


SelectedItem Property (AWTChoice)

Class

AWTChoice.

Action

Gets the selected item. NULL is returned, if no item is currently selected.

Syntax

C#
protected ItemIdentifier SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As ItemIdentifier

Access

Read only.

Examples

VB

Dim selectedItem As String = colorsChoice.SelectedItem


SelectedItem Property (AWTList)

Class

AWTList.

Action

Gets the currently selected list item. NULL is returned, if no item is currently selected.

Syntax

C#
protected ItemIdentifier SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As ItemIdentifier

Access

Read only.

Examples

VB

Dim selectedItem As String = colorsList.SelectedItem


SelectedItem Property (JComboBox)

Class

JComboBox.

Action

Gets the current selected item.

Syntax

C#
protected ItemIdentifier SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As ItemIdentifier

Access

Read only.

Examples

VB

Dim selectedItem As String = colorsComboBox.SelectedItem


SelectedItem Property (JList)

Class

JList.

Action

Gets the name or index of the selected list item.

Syntax

C#
protected ItemIdentifier SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As ItemIdentifier

Access

Read only.

Examples

VB

Dim selectedItem As String = colorsList.SelectedItem


SelectedItem Property (OracleFormsChoice)

Class

OracleFormsChoice.

Action

Gets the selected item.

Syntax

C#
protected ItemIdentifier SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As ItemIdentifier

Access

Read only.


SelectedItems Property (AWTList)

Class

AWTList.

Action

Gets the currently selected list items. An empty list is returned, if no items are currently selected.

Syntax

C#
protected List(Of ItemIdentifier) SelectedItems { get; }
VB
'Declaration
Protected Read Property SelectedItems As List(Of ItemIdentifier)

Access

Read only.

Examples

VB

Dim selectedItems As IList = colorsList.SelectedItems


SelectedItems Property (JList)

Class

JList.

Action

Gets the list of names or indices of the selected list items.

Syntax

C#
protected List(Of ItemIdentifier) SelectedItems { get; }
VB
'Declaration
Protected Read Property SelectedItems As List(Of ItemIdentifier)

Access

Read only.

Examples

VB

Dim selectedItems As IList = colorsList.SelectedItems


SelectedItemText Property (JTree)

Class

JTree.

Action

Gets the selected item text.

Syntax

C#
protected String SelectedItemText { get; }
VB
'Declaration
Protected Read Property SelectedItemText As String

Access

Read only.

Examples

VB

Dim selectedItemText As String = tree.SelectedItemText


SelectedItemText Property (OracleFormsTree)

Class

OracleFormsTree.

Action

Gets the selected item text.

Syntax

C#
protected String SelectedItemText { get; }
VB
'Declaration
Protected Read Property SelectedItemText As String

Access

Read only.


Selected Property (JToggleButton)

Class

JToggleButton.

Action

Gets whether the toggle button is selected.

Syntax

C#
protected Boolean Selected { get; }
VB
'Declaration
Protected Read Property Selected As Boolean

Access

Read only.

Examples

VB

Dim isSelected As Boolean = toggleButton.Selected


SelectedRow Property (JTable)

Class

JTable.

Action

Gets the index of the selected row, -1 (4Test: 0) is returned if no row is selected. The value is zero-based.

If multiple row selection is allowed, returns the index of the first selected row.

Syntax

C#
protected Integer SelectedRow { get; }
VB
'Declaration
Protected Read Property SelectedRow As Integer

Access

Read only.

Examples

VB

Dim selectedRow As Integer = table.SelectedRow


SelectedRow Property (OracleFormsListView)

Class

OracleFormsListView.

Action

Gets the index of the selected row, -1 (4Test: 0) is returned if no row is selected. The value is zero-based.

Syntax

C#
protected Integer SelectedRow { get; }
VB
'Declaration
Protected Read Property SelectedRow As Integer

Access

Read only.


SelectedRows Property (JTable)

Class

JTable.

Action

Gets the list of indices of all selected rows.

Syntax

C#
protected List(Of Integer) SelectedRows { get; }
VB
'Declaration
Protected Read Property SelectedRows As List(Of Integer)

Access

Read only.

Examples

VB

Dim selectedRows As IList = table.SelectedRows


SelectedTabIndex Property (JTabbedPane)

Class

JTabbedPane.

Action

Gets the index of the currently selected tab or -1 (4Test: 0) if no tab is selected. The value is zero-based.

Syntax

C#
protected Integer SelectedTabIndex { get; }
VB
'Declaration
Protected Read Property SelectedTabIndex As Integer

Access

Read only.


SelectedTab Property (JTabbedPane)

Class

JTabbedPane.

Action

Gets the currently selected tab.

Syntax

C#
protected ItemIdentifier SelectedTab { get; }
VB
'Declaration
Protected Read Property SelectedTab As ItemIdentifier

Access

Read only.

Examples

VB

Dim selectedTab As String = tabbedPane.SelectedTab
selectedTab = tabbedPane.SelectedTab


SelectedTab Property (OracleFormsTabBar)

Class

OracleFormsTabBar.

Action

Gets the currently selected tab.

Syntax

C#
protected ItemIdentifier SelectedTab { get; }
VB
'Declaration
Protected Read Property SelectedTab As ItemIdentifier

Access

Read only.


SelectedText Property (AWTTextComponent)

Class

AWTTextComponent.

Action

Gets the current selected text.

Syntax

C#
protected String SelectedText { get; }
VB
'Declaration
Protected Read Property SelectedText As String

Access

Read only.

Examples

VB

Dim selectedText As String = textComponent.SelectedText


SelectedText Property (JTextComponent)

Class

JTextComponent.

Action

Gets the current selected text.

Syntax

C#
protected String SelectedText { get; }
VB
'Declaration
Protected Read Property SelectedText As String

Access

Read only.

Examples

VB

Dim selectedText As String = textComponent.SelectedText


SelectedText Property (OracleFormsTextField)

Class

OracleFormsTextField.

Action

Gets the current selected text.

Syntax

C#
protected String SelectedText { get; }
VB
'Declaration
Protected Read Property SelectedText As String

Access

Read only.


SelectionCount Property (JTree)

Class

JTree.

Action

Gets the number of tree nodes selected.

Syntax

C#
protected Integer SelectionCount { get; }
VB
'Declaration
Protected Read Property SelectionCount As Integer

Access

Read only.

Examples

VB

Dim selectionCount As Integer = tree.SelectionCount


SelectionEnd Property (AWTTextComponent)

Class

AWTTextComponent.

Action

Gets the end position of the selected text. The value is zero-based.

Syntax

C#
protected Integer SelectionEnd { get; }
VB
'Declaration
Protected Read Property SelectionEnd As Integer

Access

Read only.

Examples

VB

Dim selectionEnd As Integer = textComponent.SelectionEnd


SelectionEnd Property (JTextComponent)

Class

JTextComponent.

Action

Gets the end position of the selection. The value is zero-based.

Syntax

C#
protected Integer SelectionEnd { get; }
VB
'Declaration
Protected Read Property SelectionEnd As Integer

Access

Read only.

Examples

VB

Dim selectionEnd As Integer = textComponent.SelectionEnd


SelectionEnd Property (OracleFormsTextField)

Class

OracleFormsTextField.

Action

Gets the end position of the selected text. The value is zero-based.

Syntax

C#
protected Integer SelectionEnd { get; }
VB
'Declaration
Protected Read Property SelectionEnd As Integer

Access

Read only.


SelectionStart Property (AWTTextComponent)

Class

AWTTextComponent.

Action

Gets the start position of the selected text. The value is zero-based.

Syntax

C#
protected Integer SelectionStart { get; }
VB
'Declaration
Protected Read Property SelectionStart As Integer

Access

Read only.

Examples

VB

Dim selectionStart As Integer = textComponent.SelectionStart


SelectionStart Property (JTextComponent)

Class

JTextComponent.

Action

Gets the start position of the selection. The value is zero-based.

Syntax

C#
protected Integer SelectionStart { get; }
VB
'Declaration
Protected Read Property SelectionStart As Integer

Access

Read only.

Examples

VB

Dim selectionStart As Integer = textComponent.SelectionStart


SelectionStart Property (OracleFormsTextField)

Class

OracleFormsTextField.

Action

Gets the start position of the selected text. The value is zero-based.

Syntax

C#
protected Integer SelectionStart { get; }
VB
'Declaration
Protected Read Property SelectionStart As Integer

Access

Read only.


Select Method (AbstractButton)

Class

AbstractButton.

Action

Selects the button.

Syntax

C#
abstractButton.Select()
VB
abstractButton.Select()


Select Method (AWTButton)

Class

AWTButton.

Action

Selects the button.

Syntax

C#
button.Select()
VB
button.Select()

Examples

VB

okButton.Select()


Select Method (AWTChoice)

Class

AWTChoice.

Action

Selects the specified item in the combo box.

Syntax

C#
choice.Select(item)
VB
choice.Select(item)
Variable | Description
item | The name or index of the item to select. ItemIdentifier.

Examples

VB

colorsChoice.Select("yellow")
colorsChoice.Select(1)


Select Method (AWTList)

Class

AWTList.

Action

Selects the specified item.

Syntax

C#
list.Select(item)
VB
list.Select(item)
Variable | Description
item | The name or index of the item to select. ItemIdentifier.

Examples

VB

colorsList.Select("red")
colorsList.Select(1)


Select Method (AWTMenuItem)

Class

AWTMenuItem.

Action

Selects the menu item.

Syntax

C#
menuItem.Select()
VB
menuItem.Select()

Examples

VB

openFileMenuItem.Select()


Select Method (JComboBox)

Class

JComboBox.

Action

Selects the specified item.

Syntax

C#
comboBox.Select(item)
VB
comboBox.Select(item)
Variable | Description
item | The name or index of the item to select. ItemIdentifier.

Examples

VB

colorsComboBox.Select("red")
colorsComboBox.Select(1)


Select Method (JList)

Class

JList.

Action

Selects a list item.

Syntax

C#
list.Select(item)
VB
list.Select(item)
Variable | Description
item | The name or index of the list item. ItemIdentifier.

Examples

VB

colorsList.Select("orange")
colorsList.Select(10)


Select Method (JTabbedPane)

Class

JTabbedPane.

Action

Selects the specified tab.

Syntax

C#
tabbedPane.Select(tab)
VB
tabbedPane.Select(tab)
Variable | Description
tab | The name or index of the tab to select. ItemIdentifier.

Examples

VB

tabbedPane.Select("Alignment")
tabbedPane.Select(1)


Select Method (JTree)

Class

JTree.

Action

Selects a tree node identified by the specified item path.

Syntax

C#
tree.Select(item)
VB
tree.Select(item)
Variable | Description
item | The item path. ItemPath.

Examples

VB

tree.Select("/level_1-1/level_2-1/level_3-4")


Select Method (OracleFormsButton)

Class

OracleFormsButton.

Action

Selects the button.

Syntax

C#
oracleFormsButton.Select()
VB
oracleFormsButton.Select()


Select Method (OracleFormsChoice)

Class

OracleFormsChoice.

Action

Selects the specified item in the choice.

Syntax

C#
oracleFormsChoice.Select(item)
VB
oracleFormsChoice.Select(item)
Variable | Description
item | The name or index of the item to select. ItemIdentifier.


Select Method (OracleFormsMenu)

Class

OracleFormsMenu.

Action

Selects a menu item.

Syntax

C#
oracleFormsMenu.Select(item)
VB
oracleFormsMenu.Select(item)
Variable | Description
item | The menu item to select. Can be either a top-level menu item or a menu item that can be found in a submenu. For selecting a menu item from a submenu separate the menu item names with a slash. The item can contain the wildcards '?' (matches one character) or '*' (matches 0 to many characters). ItemPath.


Select Method (OracleFormsMenuItem)

Class

OracleFormsMenuItem.

Action

Selects a menu item.

Syntax

C#
oracleFormsMenuItem.Select()
VB
oracleFormsMenuItem.Select()


Select Method (OracleFormsTabBar)

Class

OracleFormsTabBar.

Action

Selects the specified tab.

Syntax

C#
oracleFormsTabBar.Select(tab)
VB
oracleFormsTabBar.Select(tab)
Variable | Description
tab | The name or index of the tab to select. ItemIdentifier.


Select Method (OracleFormsTabBarItem)

Class

OracleFormsTabBarItem.

Action

Selects the tab.

Syntax

C#
oracleFormsTabBarItem.Select()
VB
oracleFormsTabBarItem.Select()


Select Method (OracleFormsToolBarItem)

Class

OracleFormsToolBarItem.

Action

Selects the element.

Syntax

C#
oracleFormsToolBarItem.Select()
VB
oracleFormsToolBarItem.Select()


Select Method (OracleFormsTree)

Class

OracleFormsTree.

Action

Selects a tree node identified by the specified item path.

Syntax

C#
oracleFormsTree.Select(item)
VB
oracleFormsTree.Select(item)
Variable | Description
item | The item path. ItemPath.


SelectRange Method (AWTList)

Class

AWTList.

Action

Selects all items within the specified range.

Syntax

C#
list.SelectRange(fromElement, toElement)
VB
list.SelectRange(fromElement, toElement)
Variable | Description
fromElement | The first element to select. ItemIdentifier.
toElement | The last element to select. ItemIdentifier.

Examples

VB

colorsList.SelectRange(3, 5)


SelectRange Method (JList)

Class

JList.

Action

Selects a specified range of list elements.

Syntax

C#
list.SelectRange(fromElement, toElement)
VB
list.SelectRange(fromElement, toElement)
Variable | Description
fromElement | The name or index of the start element. ItemIdentifier.
toElement | The name or index of the end element. ItemIdentifier.

Examples

VB

colorsList.SelectRange("red", "green")
colorsList.SelectRange(1, 2)


SelectRow Method (JTable)

Class

JTable.

Action

Selects the specified row.

Syntax

C#
table.SelectRow(row, [clearSelection])
VB
table.SelectRow(row, [clearSelection])
Variable | Description
row | The row to select. The value is zero-based. Integer.
clearSelection | Optional: Whether to clear the previous selection. The default is true. Boolean.

Examples

VB

table.SelectRow(1, False)


SelectRow Method (OracleFormsListView)

Class

OracleFormsListView.

Action

Selects the specified row.

Syntax

C#
oracleFormsListView.SelectRow(index)
VB
oracleFormsListView.SelectRow(index)
Variable | Description
index | The row to select. The value is zero-based. Integer.


SetCaretPosition Method (AWTTextComponent)

Class

AWTTextComponent.

Action

Sets the position of the text insertion caret for this text component.

Syntax

C#
textComponent.SetCaretPosition(index)
VB
textComponent.SetCaretPosition(index)
Variable | Description
index | New position of the text insertion caret. The value is zero-based. Integer.

Examples

VB

textComponent.SetCaretPosition(7)


SetCaretPosition Method (JTextComponent)

Class

JTextComponent.

Action

Sets the position of the text insertion caret for this text component.

Syntax

C#
textComponent.SetCaretPosition(index)
VB
textComponent.SetCaretPosition(index)
Variable | Description
index | The position of the text caret. The value is zero-based. Integer.

Examples

VB

textComponent.SetCaretPosition(15)


SetCaretPosition Method (OracleFormsTextField)

Class

OracleFormsTextField.

Action

Sets the position of the text insertion caret for this text field.

Syntax

C#
oracleFormsTextField.SetCaretPosition(index)
VB
oracleFormsTextField.SetCaretPosition(index)
Variable | Description
index | New position of the text insertion caret. The value is zero-based. Integer.


SetCellValue Method (JTable)

Class

JTable.

Action

Sets the specified value for the specified cell in the table.

Syntax

C#
table.SetCellValue(row, column, value)
VB
table.SetCellValue(row, column, value)
Variable | Description
row | The index of the row. The value is zero-based. Integer.
column | The name or index of the column. ItemIdentifier.
value | The cell value object. Object.

Examples

VB

table.SetCellValue(1, "Product Name", "SilkTest")
table.SetCellValue(1, 4, "SilkTest")


SetColor Method (JColorChooser)

Class

JColorChooser.

Action

Sets the current color of the color chooser to the specified color.

Syntax

C#
colorChooser.SetColor(color)
VB
colorChooser.SetColor(color)
Variable | Description
color | The color to set. Color.

Examples

VB

Dim colorRed As SilkTest.Ntf.Color = New SilkTest.Ntf.Color(255, 0, 0, 0)
ColorChooser.SetColor(colorRed)


SetColumnWidth Method (OracleFormsListView)

Class

OracleFormsListView.

Action

Sets the width of the specified column.

Syntax

C#
oracleFormsListView.SetColumnWidth(column, width)
VB
oracleFormsListView.SetColumnWidth(column, width)
Variable | Description
column | The name or index of the column to resize. ItemIdentifier.
width | The new width for the column. Integer.


SetPosition Method (JSlider)

Class

JSlider.

Action

Sets the current position of the slider.

Syntax

C#
slider.SetPosition(position)
VB
slider.SetPosition(position)
Variable | Description
position | The current value of the slider position. Integer.

Examples

VB

verticalSlider.SetPosition(10)


SetPosition Method (JSplitPane)

Class

JSplitPane.

Action

Sets the position of the divider.

Syntax

C#
splitPane.SetPosition(position)
VB
splitPane.SetPosition(position)
Variable | Description
position | The new position of the divider. Integer.

Examples

VB

splitPane.SetPosition(100)


SetSelectionRange Method (AWTTextComponent)

Class

AWTTextComponent.

Action

Selects the text within the specified range.

Syntax

C#
textComponent.SetSelectionRange(selectionStart, selectionEnd)
VB
textComponent.SetSelectionRange(selectionStart, selectionEnd)
Variable | Description
selectionStart | The start position of the selection. The value is zero-based. Integer.
selectionEnd | The end position of the selection. The value is zero-based. Integer.

Examples

VB

textComponent.SetSelectionRange(11, 15)


SetSelectionRange Method (JTextComponent)

Class

JTextComponent.

Action

Selects the text within the specified range.

Syntax

C#
textComponent.SetSelectionRange(selectionStart, selectionEnd)
VB
textComponent.SetSelectionRange(selectionStart, selectionEnd)
Variable | Description
selectionStart | The start index of the selection. The value is zero-based. Integer.
selectionEnd | The end index of the selection. The value is zero-based. Integer.

Examples

VB

textComponent.SetSelectionRange(8, 13)


SetSelectionRange Method (OracleFormsTextField)

Class

OracleFormsTextField.

Action

Selects the text within the specified range.

Syntax

C#
oracleFormsTextField.SetSelectionRange(selectionStart, selectionEnd)
VB
oracleFormsTextField.SetSelectionRange(selectionStart, selectionEnd)
Variable | Description
selectionStart | The start position of the selection. The value is zero-based. Integer.
selectionEnd | The end position of the selection. The value is zero-based. Integer.


SetText Method (AWTTextComponent)

Class

AWTTextComponent.

Action

Sets the text of the text component to the specified text.

Syntax

C#
textComponent.SetText(text)
VB
textComponent.SetText(text)
Variable | Description
text | New text of the text component. String.

Examples

VB

textComponent.SetText("SilkTest")


SetText Method (JTextComponent)

Class

JTextComponent.

Action

Sets the text content to the specified text.

Syntax

C#
textComponent.SetText(text)
VB
textComponent.SetText(text)
Variable | Description
text | The new text content. String.

Examples

VB

textComponent.SetText("blue")


SetText Method (OracleFormsComboBox)

Class

OracleFormsComboBox.

Action

Sets the text of the combo box to the specified text.

Syntax

C#
oracleFormsComboBox.SetText(text)
VB
oracleFormsComboBox.SetText(text)
Variable | Description
text | New text of the combo box. String.


SetText Method (OracleFormsTextField)

Class

OracleFormsTextField.

Action

Sets the text of the text field to the specified text.

Syntax

C#
oracleFormsTextField.SetText(text)
VB
oracleFormsTextField.SetText(text)
Variable | Description
text | New text of the text field. String.


SplashScreenRunning Property (OracleFormsApplication)

Class

OracleFormsApplication.

Action

Gets whether the application currently displays a splash screen.

Syntax

C#
protected Boolean SplashScreenRunning { get; }
VB
'Declaration
Protected Read Property SplashScreenRunning As Boolean

Access

Read only.


StartEditing Method (JTree)

Class

JTree.

Action

Starts editing at given item path or current selection.

Syntax

C#
tree.StartEditing([item])
VB
tree.StartEditing([item])
Variable | Description
item | Optional: The item path. ItemPath.

Examples

VB

tree.StartEditing("/level_1-1/level_2-1/level_3-4")


Step Method (IAWTScroller)

Class

IAWTScroller.

Action

Increments the current scroll position by specified steps.

Syntax

C#
iAWTScroller.Step(stepCount)
VB
iAWTScroller.Step(stepCount)
Variable | Description
stepCount | The number of steps to increment. Integer.

Examples

VB

scrollBar.Step(1)


StepSize Property (IAWTScroller)

Class

IAWTScroller.

Action

Gets the unit increment value of the scroll bar.

Syntax

C#
protected Integer StepSize { get; }
VB
'Declaration
Protected Read Property StepSize As Integer

Access

Read only.

Examples

VB

Dim stepSize As Integer = scrollBar.StepSize


StopEditing Method (JTree)

Class

JTree.

Action

Stops the current editing session.

Syntax

C#
tree.StopEditing()
VB
tree.StopEditing()

Examples

VB

tree.StopEditing()


TabCount Property (JTabbedPane)

Class

JTabbedPane.

Action

Gets the number of tabs.

Syntax

C#
protected Integer TabCount { get; }
VB
'Declaration
Protected Read Property TabCount As Integer

Access

Read only.

Examples

VB

Dim tabCount As Integer = tabbedPane.TabCount


TabCount Property (OracleFormsTabBar)

Class

OracleFormsTabBar.

Action

Gets the number of tabs.

Syntax

C#
protected Integer TabCount { get; }
VB
'Declaration
Protected Read Property TabCount As Integer

Access

Read only.


TabRunCount Property (JTabbedPane)

Class

JTabbedPane.

Action

Gets the number of tab runs currently used to display the tabs.

Syntax

C#
protected Integer TabRunCount { get; }
VB
'Declaration
Protected Read Property TabRunCount As Integer

Access

Read only.

Examples

VB

Dim tabRunCount As Integer = tabbedPane.TabRunCount


Title Property (AWTDialog)

Class

AWTDialog.

Action

Gets the title of the dialog.

Syntax

C#
protected String Title { get; }
VB
'Declaration
Protected Read Property Title As String

Access

Read only.

Examples

VB

Dim title As String = optionsDialog.Title


Title Property (AWTFrame)

Class

AWTFrame.

Action

Gets the title of the frame.

Syntax

C#
protected String Title { get; }
VB
'Declaration
Protected Read Property Title As String

Access

Read only.

Examples

VB

Dim title As String = frameWindow.Title


Toggle Method (AWTCheckbox)

Class

AWTCheckbox.

Action

Toggles the check box state.

Syntax

C#
checkbox.Toggle()
VB
checkbox.Toggle()

Examples

VB

caseSensitiveCheckBox.Toggle()


Toggle Method (AWTCheckboxMenuItem)

Class

AWTCheckboxMenuItem.

Action

Toggles the check box state of the menu item.

Syntax

C#
checkboxMenuItem.Toggle()
VB
checkboxMenuItem.Toggle()

Examples

VB

checkMenuItem.Toggle()


Toggle Method (JToggleButton)

Class

JToggleButton.

Action

Toggles the button.

Syntax

C#
toggleButton.Toggle()
VB
toggleButton.Toggle()

Examples

VB

toggleButton.Toggle()


ToolTipText Property (JComponent)

Class

JComponent.

Action

Gets the tool tip text of a Swing component.

Syntax

C#
protected String ToolTipText { get; }
VB
'Declaration
Protected Read Property ToolTipText As String

Access

Read only.

Examples

VB

Dim toolTipText As String = Component.ToolTipText


Uncheck Method (AWTCheckbox)

Class

AWTCheckbox.

Action

Unchecks the check box.

Syntax

C#
checkbox.Uncheck()
VB
checkbox.Uncheck()

Examples

VB

caseSensitiveCheckBox.Uncheck()


Uncheck Method (AWTCheckboxMenuItem)

Class

AWTCheckboxMenuItem.

Action

Unchecks the check box of the menu item.

Syntax

C#
checkboxMenuItem.Uncheck()
VB
checkboxMenuItem.Uncheck()

Examples

VB

checkMenuItem.Uncheck()


Uncheck Method (JCheckBox)

Class

JCheckBox.

Action

Unchecks the check box.

Syntax

C#
checkBox.Uncheck()
VB
checkBox.Uncheck()

Examples

VB

forwardCheckBox.Uncheck()


Uncheck Method (OracleFormsCheckbox)

Class

OracleFormsCheckbox.

Action

Unchecks the check box.

Syntax

C#
oracleFormsCheckbox.Uncheck()
VB
oracleFormsCheckbox.Uncheck()


Uncheck Method (OracleFormsMenu)

Class

OracleFormsMenu.

Action

Unchecks a menu item.

Syntax

C#
oracleFormsMenu.Uncheck(item)
VB
oracleFormsMenu.Uncheck(item)
Variable | Description
item | The menu item to uncheck. Can be either a top-level menu item or a menu item that can be found in a submenu. For unchecking a menu item from a submenu separate the menu item names with a slash. The item can contain the wildcards '?' (matches one character) or '*' (matches 0 to many characters). ItemPath.


Uncheck Method (OracleFormsMenuItem)

Class

OracleFormsMenuItem.

Action

Unchecks a menu item.

Syntax

C#
oracleFormsMenuItem.Uncheck()
VB
oracleFormsMenuItem.Uncheck()


VerticalScrollbarPage Method (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Increments the current scroll position by specified number of pages.

Syntax

C#
iOracleFormsScrollable.VerticalScrollbarPage(pageCount)
VB
iOracleFormsScrollable.VerticalScrollbarPage(pageCount)
Variable | Description
pageCount | The number of pages to increment. Integer.


VerticalScrollbarPageSize Property (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Gets the block increment value of the scroll bar.

Syntax

C#
protected Integer VerticalScrollbarPageSize { get; }
VB
'Declaration
Protected Read Property VerticalScrollbarPageSize As Integer

Access

Read only.


VerticalScrollbarPosition Property (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Gets the current position of the scroll bar.

Syntax

C#
protected Integer VerticalScrollbarPosition { get; }
VB
'Declaration
Protected Read Property VerticalScrollbarPosition As Integer

Access

Read only.


VerticalScrollbarRange Property (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Gets the range value of the scroll bar.

Syntax

C#
protected Range VerticalScrollbarRange { get; }
VB
'Declaration
Protected Read Property VerticalScrollbarRange As Range

Access

Read only.


VerticalScrollbarScrollToMax Method (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Scrolls to the maximum position of the scroller.

Syntax

C#
iOracleFormsScrollable.VerticalScrollbarScrollToMax()
VB
iOracleFormsScrollable.VerticalScrollbarScrollToMax()


VerticalScrollbarScrollTo Method (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Scrolls to the specified position.

Syntax

C#
iOracleFormsScrollable.VerticalScrollbarScrollTo(position)
VB
iOracleFormsScrollable.VerticalScrollbarScrollTo(position)
Variable | Description
position | The position to scroll to. Integer.


VerticalScrollbarScrollToMin Method (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Scrolls to the minimum position of the scroller.

Syntax

C#
iOracleFormsScrollable.VerticalScrollbarScrollToMin()
VB
iOracleFormsScrollable.VerticalScrollbarScrollToMin()


VerticalScrollbarStep Method (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Increments the current scroll position by specified steps.

Syntax

C#
iOracleFormsScrollable.VerticalScrollbarStep(stepCount)
VB
iOracleFormsScrollable.VerticalScrollbarStep(stepCount)
Variable | Description
stepCount | The number of steps to increment. Integer.


VerticalScrollbarStepSize Property (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Gets the unit increment value of the scroll bar.

Syntax

C#
protected Integer VerticalScrollbarStepSize { get; }
VB
'Declaration
Protected Read Property VerticalScrollbarStepSize As Integer

Access

Read only.


ViewRectangle Property (JViewport)

Class

JViewport.

Action

Gets the visible part of the view, in view coordinates.

Syntax

C#
protected Rectangle ViewRectangle { get; }
VB
'Declaration
Protected Read Property ViewRectangle As Rectangle

Access

Read only.

Examples

VB

Dim rect As Rectangle = viewport.ViewRectangle


VisibleItemPaths Property (JTree)

Class

JTree.

Action

Gets the visible items in the tree as item paths.

Syntax

C#
protected List(Of ItemPath) VisibleItemPaths { get; }
VB
'Declaration
Protected Read Property VisibleItemPaths As List(Of ItemPath)

Access

Read only.


Width Property (AWTComponent)

Class

AWTComponent.

Action

Gets the current width of the component.

Syntax

C#
protected Integer Width { get; }
VB
'Declaration
Protected Read Property Width As Integer

Access

Read only.

Examples

VB

Dim width As Integer = component.Width


AllowsCheck Property (ListView)

Class

ListView.

Action

Gets whether this list view supports checking items.

Syntax

C#
protected Boolean AllowsCheck { get; }
VB
'Declaration
Protected Read Property AllowsCheck As Boolean

Access

Read only.


AllowsMultiSelect Property (ListView)

Class

ListView.

Action

Gets whether the list view supports selecting multiple items.

Syntax

C#
protected Boolean AllowsMultiSelect { get; }
VB
'Declaration
Protected Read Property AllowsMultiSelect As Boolean

Access

Read only.


CheckedIndices Property (ListView)

Class

ListView.

Action

Gets a list containing the indices of the checked items.

Syntax

C#
protected List(Of Integer) CheckedIndices { get; }
VB
'Declaration
Protected Read Property CheckedIndices As List(Of Integer)

Access

Read only.


CheckedItems Property (ListView)

Class

ListView.

Action

Gets a list containing the checked items.

Syntax

C#
protected List(Of ItemIdentifier) CheckedItems { get; }
VB
'Declaration
Protected Read Property CheckedItems As List(Of ItemIdentifier)

Access

Read only.


Check Method (ListView)

Class

ListView.

Action

Checks an item.

Syntax

C#
listView.Check(item)
VB
listView.Check(item)
Variable | Description
item | The item to check. ItemIdentifier.


ColumnCount Property (Header)

Class

Header.

Action

Gets the number of columns in the header.

Syntax

C#
protected Integer ColumnCount { get; }
VB
'Declaration
Protected Read Property ColumnCount As Integer

Access

Read only.


ColumnCount Property (ListView)

Class

ListView.

Action

Gets the number of columns per item.

Syntax

C#
protected Integer ColumnCount { get; }
VB
'Declaration
Protected Read Property ColumnCount As Integer

Access

Read only.


ColumnOrder Property (Header)

Class

Header.

Action

Gets the header's item indices as they are currently ordered.

Syntax

C#
protected List(Of Integer) ColumnOrder { get; }
VB
'Declaration
Protected Read Property ColumnOrder As List(Of Integer)

Access

Read only.


Decrement Method (UpDown)

Class

UpDown.

Action

Decreases the position value of the up/down control.

Syntax

C#
upDown.Decrement([amount])
VB
upDown.Decrement([amount])
Variable | Description
amount | Optional: The amount to decrement. The default value is '1'. Integer.


Description Property (AccessibleControl)

Class

AccessibleControl.

Action

Gets the description text of the accessible object.

Syntax

C#
protected String Description { get; }
VB
'Declaration
Protected Read Property Description As String

Access

Read only.


DividerDoubleSelect Method (Header)

Class

Header.

Action

Double-clicks the divider on the right side of the specified item.

Syntax

C#
header.DividerDoubleSelect(item, button)
VB
header.DividerDoubleSelect(item, button)
Variable | Description
item | The path or index of the item to select. ItemIdentifier.
button | The button to select. 1=left,2=right,3=middle,... MouseButton.


DoDefaultAction Method (AccessibleControl)

Class

AccessibleControl.

Action

Executes the default action of the underlying accessible control supports a default action.

Syntax

C#
accessibleControl.DoDefaultAction()
VB
accessibleControl.DoDefaultAction()


DoubleSelect Method (Header)

Class

Header.

Action

Double-clicks an item.

Syntax

C#
header.DoubleSelect(item, button)
VB
header.DoubleSelect(item, button)
Variable | Description
item | The path or index of the item to double-click. ItemIdentifier.
button | The index of the mouse button to use to perform the double-click. 1=left, 2=right, 3=middle,... MouseButton.


DoubleSelect Method (ListView)

Class

ListView.

Action

Double-clicks an item.

Syntax

C#
listView.DoubleSelect(item, [modifiers])
VB
listView.DoubleSelect(item, [modifiers])
Variable | Description
item | The item to double-click. ItemIdentifier.
modifiers | Optional: The modifier to double-click. ModifierKeys.


ExtendSelect Method (ListView)

Class

ListView.

Action

Selects a range of items by extending the selection in the extend-selection listview.

Syntax

C#
listView.ExtendSelect(item)
VB
listView.ExtendSelect(item)
Variable | Description
item | The item to select. ItemIdentifier.


ExtendSelect Method (MonthCalendar)

Class

MonthCalendar.

Action

Selects a range of dates and times.

Syntax

C#
monthCalendar.ExtendSelect(selectedDate)
VB
monthCalendar.ExtendSelect(selectedDate)
Variable | Description
selectedDate | The DateTime that you want to select. DateTime?.


GetColumnTitle Method (Header)

Class

Header.

Action

Returns the title of a specified header item.

Syntax

C#
columnTitle = header.GetColumnTitle(itemIndex)
VB
columnTitle = header.GetColumnTitle(itemIndex)
Variable | Description
columnTitle | String.
itemIndex | The index of the item. The value is zero-based. Integer.


GetColumnWidth Method (Header)

Class

Header.

Action

Returns the width of a specified column.

Syntax

C#
columnWidth = header.GetColumnWidth(item)
VB
columnWidth = header.GetColumnWidth(item)
Variable | Description
columnWidth | Integer.
item | The item to return the width for. ItemIdentifier.


GetItemImageIndex Method (ListView)

Class

ListView.

Action

Returns the index into the image list of a list view that contains icons. This allows to verify that the correct image is used for an item.

Syntax

C#
itemImageIndex = listView.GetItemImageIndex(item, [fromStateImageList])
VB
itemImageIndex = listView.GetItemImageIndex(item, [fromStateImageList])
Variable | Description
itemImageIndex | Integer.
item | The item to get the image index from. ItemIdentifier.
fromStateImageList | Optional: Whether to retrieve the index from the state image list or from the image list. Boolean.


GetItemIndex Method (ListView)

Class

ListView.

Action

Returns the index of the list view item or -1 if is not found.

Syntax

C#
itemIndex = listView.GetItemIndex(item)
VB
itemIndex = listView.GetItemIndex(item)
Variable | Description
itemIndex | Integer.
item | The item to get the index for. ItemIdentifier.


GetItemRect Method (ListView)

Class

ListView.

Action

Returns rectangle of the item. If getIconRect is set then the rectangle of the icon of the item will be returned otherwise the rectangle of the item text is returned. If a columnIndex is specified the rectangle of this column is returned.

Syntax

C#
itemRect = listView.GetItemRect(item, [getIconRect, columnIndex])
VB
itemRect = listView.GetItemRect(item, [getIconRect, columnIndex])
Variable | Description
itemRect | Rectangle.
item | The item to get the rectangle from. ItemIdentifier.
getIconRect | Optional: Whether to retrieve the rectangle of the icon or the text of the item. Boolean.
columnIndex | Optional: The column position of the item. The value is zero-based. Integer.


GetItemText Method (ListView)

Class

ListView.

Action

Returns the text of an item.

Syntax

C#
itemText = listView.GetItemText(item, [columnIndex])
VB
itemText = listView.GetItemText(item, [columnIndex])
Variable | Description
itemText | String.
item | The item to get the text from. ItemIdentifier.
columnIndex | Optional: The column position of the item. The value is zero-based. Integer.


Horizontal Property (Pager)

Class

Pager.

Action

Gets whether the up/down control is horizontal.

Syntax

C#
protected Boolean Horizontal { get; }
VB
'Declaration
Protected Read Property Horizontal As Boolean

Access

Read only.


Horizontal Property (UpDown)

Class

UpDown.

Action

Gets whether the up/down control is horizontal.

Syntax

C#
protected Boolean Horizontal { get; }
VB
'Declaration
Protected Read Property Horizontal As Boolean

Access

Read only.


Increment Method (UpDown)

Class

UpDown.

Action

Increases the position value of the up/down control.

Syntax

C#
upDown.Increment([amount])
VB
upDown.Increment([amount])
Variable | Description
amount | Optional: The amount to increment. The default value is '1'. Integer.


ItemCount Property (ListView)

Class

ListView.

Action

Gets the number of items contained in the list view.

Syntax

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

Access

Read only.


Items Property (ListView)

Class

ListView.

Action

Gets a list containing all items of the listview.

Syntax

C#
protected List(Of ItemIdentifier) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

Access

Read only.


MultiSelect Method (ListView)

Class

ListView.

Action

Adds an item in the list to the set of currently selected items.

Syntax

C#
listView.MultiSelect(item)
VB
listView.MultiSelect(item)
Variable | Description
item | The item to select. ItemIdentifier.


MultiUnselect Method (ListView)

Class

ListView.

Action

Removes an item in the list from the set of selected items.

Syntax

C#
listView.MultiUnselect(item)
VB
listView.MultiUnselect(item)
Variable | Description
item | The item to select. ItemIdentifier.


OpenMonthMenu Method (MonthCalendar)

Class

MonthCalendar.

Action

Opens a calendar menu to a specific month.

Syntax

C#
monthCalendar.OpenMonthMenu()
VB
monthCalendar.OpenMonthMenu()


Position Property (ProgressBar)

Class

ProgressBar.

Action

Gets or sets the current position.

Syntax

C#
protected Integer Position { get; set; }
VB
'Declaration
Protected ReadWrite Property Position As Integer

Access

Read and write.


Position Property (UpDown)

Class

UpDown.

Action

Gets or sets the position for the up/down control.

Syntax

C#
protected Integer Position { get; set; }
VB
'Declaration
Protected ReadWrite Property Position As Integer

Access

Read and write.


Range Property (ProgressBar)

Class

ProgressBar.

Action

Gets or sets the range of the progress bar control.

Syntax

C#
protected Range Range { get; set; }
VB
'Declaration
Protected ReadWrite Property Range As Range

Access

Read and write.


Range Property (UpDown)

Class

UpDown.

Action

Gets or sets the range of the up/down control.

Syntax

C#
protected Range Range { get; set; }
VB
'Declaration
Protected ReadWrite Property Range As Range

Access

Read and write.


Resize Method (Header)

Class

Header.

Action

Resizes an item of the header.

Syntax

C#
header.Resize(item, width)
VB
header.Resize(item, width)
Variable | Description
item | The item to resize. ItemIdentifier.
width | The new width of the header, in pixels. Integer.


Role Property (AccessibleControl)

Class

AccessibleControl.

Action

Gets the role of this accessible object.

Syntax

C#
protected String Role { get; }
VB
'Declaration
Protected Read Property Role As String

Access

Read only.


ScrollDown Method (Pager)

Class

Pager.

Action

Moves the scroll bar down.

Syntax

C#
pager.ScrollDown()
VB
pager.ScrollDown()


ScrollUp Method (Pager)

Class

Pager.

Action

Moves the scroll bar up.

Syntax

C#
pager.ScrollUp()
VB
pager.ScrollUp()


SelectedIndices Property (ListView)

Class

ListView.

Action

Gets a list containing the indices of the selected items.

Syntax

C#
protected List(Of Integer) SelectedIndices { get; }
VB
'Declaration
Protected Read Property SelectedIndices As List(Of Integer)

Access

Read only.


SelectedItems Property (ListView)

Class

ListView.

Action

Gets a list containing the selected items.

Syntax

C#
protected List(Of ItemIdentifier) SelectedItems { get; }
VB
'Declaration
Protected Read Property SelectedItems As List(Of ItemIdentifier)

Access

Read only.


Select Method (Header)

Class

Header.

Action

Selects an item or button.

Syntax

C#
header.Select(item, button)
VB
header.Select(item, button)
Variable | Description
item | The path or index of the item to select. ItemIdentifier.
button | The index of the mouse button to use for selection. 1=left, 2=right, 3=middle,... MouseButton.


Select Method (ListView)

Class

ListView.

Action

Selects an item.

Syntax

C#
listView.Select(item)
VB
listView.Select(item)
Variable | Description
item | The item to select. ItemIdentifier.


Select Method (MonthCalendar)

Class

MonthCalendar.

Action

Selects a date and time.

Syntax

C#
monthCalendar.Select(selectedDate)
VB
monthCalendar.Select(selectedDate)
Variable | Description
selectedDate | The date and time to select. DateTime?.


SelectNextMonth Method (MonthCalendar)

Class

MonthCalendar.

Action

Selects the next month.

Syntax

C#
monthCalendar.SelectNextMonth(selectedYear, selectedMonth)
VB
monthCalendar.SelectNextMonth(selectedYear, selectedMonth)
Variable | Description
selectedYear | The year to select. Integer.
selectedMonth | The month to select. Integer.


SelectPreviousMonth Method (MonthCalendar)

Class

MonthCalendar.

Action

Selects the previous month.

Syntax

C#
monthCalendar.SelectPreviousMonth(selectedYear, selectedMonth)
VB
monthCalendar.SelectPreviousMonth(selectedYear, selectedMonth)
Variable | Description
selectedYear | The year to select. Integer.
selectedMonth | The month to select. Integer.


SelectToday Method (MonthCalendar)

Class

MonthCalendar.

Action

Selects the date for today.

Syntax

C#
monthCalendar.SelectToday()
VB
monthCalendar.SelectToday()


SetItemFocus Method (ListView)

Class

ListView.

Action

Gives focus to the item in the list.

Syntax

C#
listView.SetItemFocus(item)
VB
listView.SetItemFocus(item)
Variable | Description
item | The item to focus on. ItemIdentifier.


State Property (AccessibleControl)

Class

AccessibleControl.

Action

Gets the state string that describes the different states of this accessible object.

Syntax

C#
protected String State { get; }
VB
'Declaration
Protected Read Property State As String

Access

Read only.


Uncheck Method (ListView)

Class

ListView.

Action

Unchecks an item.

Syntax

C#
listView.Uncheck(item)
VB
listView.Uncheck(item)
Variable | Description
item | The item to uncheck. ItemIdentifier.


WrapAround Property (UpDown)

Class

UpDown.

Action

Gets whether values are wrapped if smaller than minimum or larger than maximum.

Syntax

C#
protected Boolean WrapAround { get; }
VB
'Declaration
Protected Read Property WrapAround As Boolean

Access

Read only.


AllowsMultiSelect Property (DataGrid)

Class

DataGrid.

Action

Gets whether the table supports selecting multiple items.

Syntax

C#
protected Boolean AllowsMultiSelect { get; }
VB
'Declaration
Protected Read Property AllowsMultiSelect As Boolean

Access

Read only.


AutoResize Method (DataGridColumn)

Class

DataGridColumn.

Action

Automatically resizes a column by double clicking its divider.

Syntax

C#
dataGridColumn.AutoResize()
VB
dataGridColumn.AutoResize()


CheckedIndices Property (CheckedListBox)

Class

CheckedListBox.

Action

Gets or sets the indices of the checked item(s).

Syntax

C#
protected List(Of Integer) CheckedIndices { get; set; }
VB
'Declaration
Protected ReadWrite Property CheckedIndices As List(Of Integer)

Access

Read and write.


CheckedItems Property (CheckedListBox)

Class

CheckedListBox.

Action

Gets or sets the names of the checked item(s).

Syntax

C#
protected List(Of ItemIdentifier) CheckedItems { get; set; }
VB
'Declaration
Protected ReadWrite Property CheckedItems As List(Of ItemIdentifier)

Access

Read and write.


Check Method (CheckedListBox)

Class

CheckedListBox.

Action

Selects an item from the checked list box.

Syntax

C#
checkedListBox.Check(item)
VB
checkedListBox.Check(item)
Variable | Description
item | The item to select. ItemIdentifier.


ColumnCount Property (DataGrid)

Class

DataGrid.

Action

Gets the number of columns in the DataGrid.

Syntax

C#
protected Integer ColumnCount { get; }
VB
'Declaration
Protected Read Property ColumnCount As Integer

Access

Read only.


ColumnItems Property (DataGrid)

Class

DataGrid.

Action

Gets a list of all items in the column.

Syntax

C#
protected List(Of DataGridColumn) ColumnItems { get; }
VB
'Declaration
Protected Read Property ColumnItems As List(Of DataGridColumn)

Access

Read only.


Column Property (DataGridItem)

Class

DataGridItem.

Action

Gets the column of the item in the data grid. The value is zero-based.

Syntax

C#
protected Integer Column { get; }
VB
'Declaration
Protected Read Property Column As Integer

Access

Read only.


DecrementDecimal Method (NumericUpDown)

Class

NumericUpDown.

Action

Decreases the position value of the up/down control.

Syntax

C#
numericUpDown.DecrementDecimal([amount])
VB
numericUpDown.DecrementDecimal([amount])
Variable | Description
amount | Optional: The amount to increment. The default value is '1'. Double.


Decrement Method (DomainUpDown)

Class

DomainUpDown.

Action

Decreases the position value of the up/down control.

Syntax

C#
domainUpDown.Decrement([amount])
VB
domainUpDown.Decrement([amount])
Variable | Description
amount | Optional: The amount to increment. The default value is '1'. Integer.


DoubleSelectItem Method (DataGrid)

Class

DataGrid.

Action

Double-clicks an item.

Syntax

C#
dataGrid.DoubleSelectItem(column, row, [modifiers])
VB
dataGrid.DoubleSelectItem(column, row, [modifiers])
Variable | Description
column | The index of the column to select. The value is zero-based. Integer.
row | The index of the row to select. The value is zero-based. Integer.
modifiers | Optional: The active modifier key state while selecting the item. ModifierKeys.


ExtendSelectItem Method (DataGrid)

Class

DataGrid.

Action

Expands the selection to the given item.

Syntax

C#
dataGrid.ExtendSelectItem(column, row)
VB
dataGrid.ExtendSelectItem(column, row)
Variable | Description
column | The index of the column to select. The value is zero-based. Integer.
row | The index of the row to select. The value is zero-based. Integer.


Height Property (DataGridRow)

Class

DataGridRow.

Action

Gets or sets the width of the column.

Syntax

C#
protected Integer Height { get; set; }
VB
'Declaration
Protected ReadWrite Property Height As Integer

Access

Read and write.


IncrementDecimal Method (NumericUpDown)

Class

NumericUpDown.

Action

Increases the position value of the up/down control.

Syntax

C#
numericUpDown.IncrementDecimal([amount])
VB
numericUpDown.IncrementDecimal([amount])
Variable | Description
amount | Optional: The amount to increment. The default value is '1'. Double.


Increment Method (DomainUpDown)

Class

DomainUpDown.

Action

Increases the position value of the up/down control.

Syntax

C#
domainUpDown.Increment([amount])
VB
domainUpDown.Increment([amount])
Variable | Description
amount | Optional: The amount to increment. The default value is '1'. Integer.


ItemCount Property (DataGridRow)

Class

DataGridRow.

Action

Gets the number of items in the row.

Syntax

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

Access

Read only.


ItemCount Property (DomainUpDown)

Class

DomainUpDown.

Action

Gets the number of items contained in the list view.

Syntax

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

Access

Read only.


Items Property (DataGrid)

Class

DataGrid.

Action

Gets a list of all items in the column.

Syntax

C#
protected List(Of DataGridItem) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of DataGridItem)

Access

Read only.


Items Property (DataGridRow)

Class

DataGridRow.

Action

Gets a list of items in the row.

Syntax

C#
protected List(Of DataGridItem) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of DataGridItem)

Access

Read only.


Items Property (DomainUpDown)

Class

DomainUpDown.

Action

Gets the items in the domain up/down control.

Syntax

C#
protected List(Of ItemIdentifier) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

Access

Read only.


LoadAssembly Method (FormsWindow)

Class

FormsWindow.

Action

Loads the assembly on the specified path in the Windows Forms application.

The main use case to load an additional assembly that contains utility methods that can be called via the "Dynamic Invoke" feature.

Syntax

C#
formsWindow.LoadAssembly(assemblyFile)
VB
formsWindow.LoadAssembly(assemblyFile)
Variable | Description
assemblyFile | The path of the assembly file to load. String.


Maximum Property (NumericUpDown)

Class

NumericUpDown.

Action

Gets or sets the maximum value of the up/down control.

Syntax

C#
protected Double Maximum { get; set; }
VB
'Declaration
Protected ReadWrite Property Maximum As Double

Access

Read and write.


Minimum Property (NumericUpDown)

Class

NumericUpDown.

Action

Gets or sets the minimum value of the up/down control.

Syntax

C#
protected Double Minimum { get; set; }
VB
'Declaration
Protected ReadWrite Property Minimum As Double

Access

Read and write.


MultiSelectItem Method (DataGrid)

Class

DataGrid.

Action

Adds a row from the table to the set of selected rows.

Syntax

C#
dataGrid.MultiSelectItem(column, row)
VB
dataGrid.MultiSelectItem(column, row)
Variable | Description
column | The index of the column to select. The value is zero-based. Integer.
row | The index of the row to select. The value is zero-based. Integer.


MultiUnselectItem Method (DataGrid)

Class

DataGrid.

Action

Removes a item from the set of selected items.

Syntax

C#
dataGrid.MultiUnselectItem(column, row)
VB
dataGrid.MultiUnselectItem(column, row)
Variable | Description
column | The index of the column to select. The value is zero-based. Integer.
row | The index of the row to select. The value is zero-based. Integer.


PositionDecimal Property (NumericUpDown)

Class

NumericUpDown.

Action

Gets or sets the position for the up/down control.

Syntax

C#
protected Double PositionDecimal { get; set; }
VB
'Declaration
Protected ReadWrite Property PositionDecimal As Double

Access

Read and write.


Resize Method (DataGridColumn)

Class

DataGridColumn.

Action

Resizes a column.

Syntax

C#
dataGridColumn.Resize(width)
VB
dataGridColumn.Resize(width)
Variable | Description
width | The new width of the column, in pixels. Integer.


Resize Method (DataGridRow)

Class

DataGridRow.

Action

Resizes a column.

Syntax

C#
dataGridRow.Resize(height)
VB
dataGridRow.Resize(height)
Variable | Description
height | The new height of the row, in pixels. Integer.


RowCount Property (DataGrid)

Class

DataGrid.

Action

Gets the number of rows in the DataGrid.

Syntax

C#
protected Integer RowCount { get; }
VB
'Declaration
Protected Read Property RowCount As Integer

Access

Read only.


RowItems Property (DataGrid)

Class

DataGrid.

Action

Gets a list of all items in the row.

Syntax

C#
protected List(Of DataGridRow) RowItems { get; }
VB
'Declaration
Protected Read Property RowItems As List(Of DataGridRow)

Access

Read only.


Row Property (DataGridItem)

Class

DataGridItem.

Action

Gets the row of the item in the data grid. The value is zero-based.

Syntax

C#
protected Integer Row { get; }
VB
'Declaration
Protected Read Property Row As Integer

Access

Read only.


ScrollIntoView Method (DataGrid)

Class

DataGrid.

Action

Tries to bring the item to the top left corner of the datagrid.

Syntax

C#
dataGrid.ScrollIntoView(column, row)
VB
dataGrid.ScrollIntoView(column, row)
Variable | Description
column | The index of the column. The value is zero-based. Integer.
row | The index of the row. The value is zero-based. Integer.


ScrollIntoView Method (DataGridColumn)

Class

DataGridColumn.

Action

Tries to bring the column to the left by scrolling the data grid.

Syntax

C#
dataGridColumn.ScrollIntoView()
VB
dataGridColumn.ScrollIntoView()


ScrollIntoView Method (DataGridItem)

Class

DataGridItem.

Action

Tries to bring the item to the top left corner of the datagrid.

Syntax

C#
dataGridItem.ScrollIntoView()
VB
dataGridItem.ScrollIntoView()


ScrollIntoView Method (DataGridRow)

Class

DataGridRow.

Action

Tries to bring the row to the top by scrolling the data grid.

Syntax

C#
dataGridRow.ScrollIntoView()
VB
dataGridRow.ScrollIntoView()


SelectAllItems Method (DataGrid)

Class

DataGrid.

Action

Selects all items in the datagrid.

Syntax

C#
dataGrid.SelectAllItems()
VB
dataGrid.SelectAllItems()


SelectedIndex Property (DomainUpDown)

Class

DomainUpDown.

Action

Gets or sets the position for the up/down control. The value is zero-based.

Syntax

C#
protected Integer SelectedIndex { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedIndex As Integer

Access

Read and write.


SelectedItem Property (DomainUpDown)

Class

DomainUpDown.

Action

Gets or sets the position for the up/down control.

Syntax

C#
protected ItemIdentifier SelectedItem { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedItem As ItemIdentifier

Access

Read and write.


SelectedItems Property (DataGrid)

Class

DataGrid.

Action

Gets the selected item(s).

Syntax

C#
protected List(Of DataGridItem) SelectedItems { get; }
VB
'Declaration
Protected Read Property SelectedItems As List(Of DataGridItem)

Access

Read only.


Selected Property (DataGridItem)

Class

DataGridItem.

Action

Gets whether the item is selected.

Syntax

C#
protected Boolean Selected { get; }
VB
'Declaration
Protected Read Property Selected As Boolean

Access

Read only.


SelectItem Method (DataGrid)

Class

DataGrid.

Action

Selects an item.

Syntax

C#
dataGrid.SelectItem(column, row)
VB
dataGrid.SelectItem(column, row)
Variable | Description
column | The index of the column to select. The value is zero-based. Integer.
row | The index of the row to select. The value is zero-based. Integer.


Select Method (DataGridColumn)

Class

DataGridColumn.

Action

Selects a column.

Syntax

C#
dataGridColumn.Select([modifiers])
VB
dataGridColumn.Select([modifiers])
Variable | Description
modifiers | Optional: The active modifier key state while selecting the item. ModifierKeys.


Select Method (DataGridItem)

Class

DataGridItem.

Action

Selects an item.

Syntax

C#
dataGridItem.Select([modifiers])
VB
dataGridItem.Select([modifiers])
Variable | Description
modifiers | Optional: The active modifier key state while selecting the item. ModifierKeys.


Select Method (DataGridRow)

Class

DataGridRow.

Action

Selects a column.

Syntax

C#
dataGridRow.Select([modifiers])
VB
dataGridRow.Select([modifiers])
Variable | Description
modifiers | Optional: The active modifier key state while selecting the item. ModifierKeys.


Select Method (DomainUpDown)

Class

DomainUpDown.

Action

Selects an item.

Syntax

C#
domainUpDown.Select(item)
VB
domainUpDown.Select(item)
Variable | Description
item | The item to select. ItemIdentifier.


Uncheck Method (CheckedListBox)

Class

CheckedListBox.

Action

Selects an item from the checked list box.

Syntax

C#
checkedListBox.Uncheck(item)
VB
checkedListBox.Uncheck(item)
Variable | Description
item | The item to select. ItemIdentifier.


Width Property (DataGridColumn)

Class

DataGridColumn.

Action

Gets or sets the width of the column.

Syntax

C#
protected Integer Width { get; set; }
VB
'Declaration
Protected ReadWrite Property Width As Integer

Access

Read and write.


WrapAround Property (DomainUpDown)

Class

DomainUpDown.

Action

Gets whether values are wrapped if smaller than minimum or larger than maximum.

Syntax

C#
protected Boolean WrapAround { get; }
VB
'Declaration
Protected Read Property WrapAround As Boolean

Access

Read only.


AcceptsReturn Property (WPFTextBoxBase)

Class

WPFTextBoxBase.

Action

Gets a value that indicates how the text editing control responds when the user presses the ENTER key.

Syntax

C#
protected Boolean AcceptsReturn { get; }
VB
'Declaration
Protected Read Property AcceptsReturn As Boolean

Access

Read only.


AcceptsTab Property (WPFTextBoxBase)

Class

WPFTextBoxBase.

Action

Gets a value that indicates how the text editing control responds when the user presses the TAB key.

Syntax

C#
protected Boolean AcceptsTab { get; }
VB
'Declaration
Protected Read Property AcceptsTab As Boolean

Access

Read only.


Activate Method (WPFWindow)

Class

WPFWindow.

Action

Attempts to bring the window to the foreground and activates it.

Syntax

C#
result = window.Activate()
VB
result = window.Activate()
Variable | Description
result | Boolean.


ActualHeight Property (WPFFrameworkElement)

Class

WPFFrameworkElement.

Action

Gets the rendered height of this element.

Syntax

C#
protected Double ActualHeight { get; }
VB
'Declaration
Protected Read Property ActualHeight As Double

Access

Read only.


ActualWidth Property (WPFFrameworkElement)

Class

WPFFrameworkElement.

Action

Gets the rendered width of this element.

Syntax

C#
protected Double ActualWidth { get; }
VB
'Declaration
Protected Read Property ActualWidth As Double

Access

Read only.


AppendText Method (WPFTextBoxBase)

Class

WPFTextBoxBase.

Action

Appends a string to the contents of a text control.

Syntax

C#
textBoxBase.AppendText(textData)
VB
textBoxBase.AppendText(textData)
Variable | Description
textData | A string that specifies the text to append to the current contents of the text control. String.


Author Property (WPFStickyNoteControl)

Class

WPFStickyNoteControl.

Action

Gets the name of the author who created the sticky note.

Syntax

C#
protected String Author { get; }
VB
'Declaration
Protected Read Property Author As String

Access

Read only.


AutoWordSelection Property (WPFTextBoxBase)

Class

WPFTextBoxBase.

Action

Gets a value that determines if a user selects part of a word by dragging across it with the mouse, whether the rest of the word is selected.

Syntax

C#
protected Boolean AutoWordSelection { get; }
VB
'Declaration
Protected Read Property AutoWordSelection As Boolean

Access

Read only.


Balance Property (WPFMediaElement)

Class

WPFMediaElement.

Action

Gets or sets a ratio of volume across speakers.

Syntax

C#
protected Double Balance { get; set; }
VB
'Declaration
Protected ReadWrite Property Balance As Double

Access

Read and write.


BeginEdit Method (WPFDataGrid)

Class

WPFDataGrid.

Action

Begins to edit the specified cell.

Syntax

C#
dataGrid.BeginEdit(row, column)
VB
dataGrid.BeginEdit(row, column)
Variable | Description
row | The row to edit. ItemIdentifier.
column | The column to edit. ItemIdentifier.


BeginEdit Method (WPFToolkitDataGrid)

Class

WPFToolkitDataGrid.

Action

Begins to edit the specified cell.

Syntax

C#
toolkitDataGrid.BeginEdit(row, column)
VB
toolkitDataGrid.BeginEdit(row, column)
Variable | Description
row | The row to edit. ItemIdentifier.
column | The column to edit. ItemIdentifier.


BlackoutDates Property (WPFCalendar)

Class

WPFCalendar.

Action

Gets a list of dates that are marked as not selectable.

Syntax

C#
protected List(Of DateTime?) BlackoutDates { get; }
VB
'Declaration
Protected Read Property BlackoutDates As List(Of DateTime?)

Access

Read only.


BlackoutDates Property (WPFToolkitCalendar)

Class

WPFToolkitCalendar.

Action

Gets a list of dates that are marked as not selectable.

Syntax

C#
protected List(Of DateTime?) BlackoutDates { get; }
VB
'Declaration
Protected Read Property BlackoutDates As List(Of DateTime?)

Access

Read only.


BringIntoView Method (WPFBase)

Class

WPFBase.

Action

Attempts to bring this element into view.

Syntax

C#
base.BringIntoView()
VB
base.BringIntoView()


CancelEdit Method (WPFDataGrid)

Class

WPFDataGrid.

Action

Cancels the edited cell.

Syntax

C#
dataGrid.CancelEdit()
VB
dataGrid.CancelEdit()


CancelEdit Method (WPFToolkitDataGrid)

Class

WPFToolkitDataGrid.

Action

Cancels the edited cell.

Syntax

C#
toolkitDataGrid.CancelEdit()
VB
toolkitDataGrid.CancelEdit()


CanDecreaseZoom Property (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Gets a value that indicates whether the DocumentViewer can zoom out more.

Syntax

C#
protected Boolean CanDecreaseZoom { get; }
VB
'Declaration
Protected Read Property CanDecreaseZoom As Boolean

Access

Read only.


CanDecreaseZoom Property (WPFFlowDocumentPageViewer)

Class

WPFFlowDocumentPageViewer.

Action

Gets a value that indicates whether the Zoom level can be decreased.

Syntax

C#
protected Boolean CanDecreaseZoom { get; }
VB
'Declaration
Protected Read Property CanDecreaseZoom As Boolean

Access

Read only.


CanDecreaseZoom Property (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Gets a value that indicates whether the Zoom level can be decreased.

Syntax

C#
protected Boolean CanDecreaseZoom { get; }
VB
'Declaration
Protected Read Property CanDecreaseZoom As Boolean

Access

Read only.


CanDecreaseZoom Property (WPFFlowDocumentScrollViewer)

Class

WPFFlowDocumentScrollViewer.

Action

Gets a value that indicates whether the Zoom level can be decreased.

Syntax

C#
protected Boolean CanDecreaseZoom { get; }
VB
'Declaration
Protected Read Property CanDecreaseZoom As Boolean

Access

Read only.


CanGoBack Property (WPFFrame)

Class

WPFFrame.

Action

Gets a value that indicates whether there is at least one entry in back navigation history.

Syntax

C#
protected Boolean CanGoBack { get; }
VB
'Declaration
Protected Read Property CanGoBack As Boolean

Access

Read only.


CanGoBack Property (WPFNavigationWindow)

Class

WPFNavigationWindow.

Action

Gets a value that indicates whether there is at least one entry in back navigation history.

Syntax

C#
protected Boolean CanGoBack { get; }
VB
'Declaration
Protected Read Property CanGoBack As Boolean

Access

Read only.


CanGoForward Property (WPFFrame)

Class

WPFFrame.

Action

Gets a value that indicates whether there is at least one entry in forward navigation history.

Syntax

C#
protected Boolean CanGoForward { get; }
VB
'Declaration
Protected Read Property CanGoForward As Boolean

Access

Read only.


CanGoForward Property (WPFNavigationWindow)

Class

WPFNavigationWindow.

Action

Gets a value that indicates whether there is at least one entry in forward navigation history.

Syntax

C#
protected Boolean CanGoForward { get; }
VB
'Declaration
Protected Read Property CanGoForward As Boolean

Access

Read only.


CanGoToNextPage Property (WPFDocumentViewerBase)

Class

WPFDocumentViewerBase.

Action

Gets a value that indicates whether or not the viewer can jump to the next page in the current Document.

Syntax

C#
protected Boolean CanGoToNextPage { get; }
VB
'Declaration
Protected Read Property CanGoToNextPage As Boolean

Access

Read only.


CanGoToNextPage Property (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Gets a value that indicates whether or not the viewer can jump to the next page in the current Document.

Syntax

C#
protected Boolean CanGoToNextPage { get; }
VB
'Declaration
Protected Read Property CanGoToNextPage As Boolean

Access

Read only.


CanGoToPage Method (WPFDocumentViewerBase)

Class

WPFDocumentViewerBase.

Action

Returns a value that indicates whether or the viewer is able to jump to the specified page number.

Syntax

C#
result = documentViewerBase.CanGoToPage(pageNumber)
VB
result = documentViewerBase.CanGoToPage(pageNumber)
Variable | Description
result | Boolean.
pageNumber | The page number. Integer.


CanGoToPage Method (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Returns a value that indicates whether or the viewer is able to jump to the specified page number.

Syntax

C#
result = flowDocumentReader.CanGoToPage(pageNumber)
VB
result = flowDocumentReader.CanGoToPage(pageNumber)
Variable | Description
result | Boolean.
pageNumber | The page number. Integer.


CanGoToPreviousPage Property (WPFDocumentViewerBase)

Class

WPFDocumentViewerBase.

Action

Gets a value that indicates whether or not the viewer can jump to the previous page in the current Document.

Syntax

C#
protected Boolean CanGoToPreviousPage { get; }
VB
'Declaration
Protected Read Property CanGoToPreviousPage As Boolean

Access

Read only.


CanGoToPreviousPage Property (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Gets a value that indicates whether or not the viewer can jump to the previous page in the current Document.

Syntax

C#
protected Boolean CanGoToPreviousPage { get; }
VB
'Declaration
Protected Read Property CanGoToPreviousPage As Boolean

Access

Read only.


CanIncreaseZoom Property (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Gets a value that indicates whether the DocumentViewer can zoom in more.

Syntax

C#
protected Boolean CanIncreaseZoom { get; }
VB
'Declaration
Protected Read Property CanIncreaseZoom As Boolean

Access

Read only.


CanIncreaseZoom Property (WPFFlowDocumentPageViewer)

Class

WPFFlowDocumentPageViewer.

Action

Gets a value that indicates whether the Zoom level can be increased.

Syntax

C#
protected Boolean CanIncreaseZoom { get; }
VB
'Declaration
Protected Read Property CanIncreaseZoom As Boolean

Access

Read only.


CanIncreaseZoom Property (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Gets a value that indicates whether the Zoom level can be increased.

Syntax

C#
protected Boolean CanIncreaseZoom { get; }
VB
'Declaration
Protected Read Property CanIncreaseZoom As Boolean

Access

Read only.


CanIncreaseZoom Property (WPFFlowDocumentScrollViewer)

Class

WPFFlowDocumentScrollViewer.

Action

Gets a value that indicates whether the Zoom level can be increased.

Syntax

C#
protected Boolean CanIncreaseZoom { get; }
VB
'Declaration
Protected Read Property CanIncreaseZoom As Boolean

Access

Read only.


CanPause Property (WPFMediaElement)

Class

WPFMediaElement.

Action

Gets a value indicating whether the media can be paused.

Syntax

C#
protected Boolean CanPause { get; }
VB
'Declaration
Protected Read Property CanPause As Boolean

Access

Read only.


CanRedo Property (WPFTextBoxBase)

Class

WPFTextBoxBase.

Action

Gets a value that indicates whether the most recent undo action can be redone.

Syntax

C#
protected Boolean CanRedo { get; }
VB
'Declaration
Protected Read Property CanRedo As Boolean

Access

Read only.


CanUndo Property (WPFTextBoxBase)

Class

WPFTextBoxBase.

Action

Gets a value that indicates whether the most recent action can be undone.

Syntax

C#
protected Boolean CanUndo { get; }
VB
'Declaration
Protected Read Property CanUndo As Boolean

Access

Read only.


CaretIndex Property (WPFRichTextBox)

Class

WPFRichTextBox.

Action

Gets the insertion position index of the caret.

Syntax

C#
protected Integer CaretIndex { get; }
VB
'Declaration
Protected Read Property CaretIndex As Integer

Access

Read only.


CaretIndex Property (WPFTextBox)

Class

WPFTextBox.

Action

Gets the insertion position index of the caret.

Syntax

C#
protected Integer CaretIndex { get; }
VB
'Declaration
Protected Read Property CaretIndex As Integer

Access

Read only.


Cells Property (WPFDataGridRow)

Class

WPFDataGridRow.

Action

Gets the cells of the data grid row.

Syntax

C#
protected List(Of WPFDataGridCell) Cells { get; }
VB
'Declaration
Protected Read Property Cells As List(Of WPFDataGridCell)

Access

Read only.


Cells Property (WPFToolkitDataGridRow)

Class

WPFToolkitDataGridRow.

Action

Gets the Cells of the data grid.

Syntax

C#
protected List(Of WPFToolkitDataGridCell) Cells { get; }
VB
'Declaration
Protected Read Property Cells As List(Of WPFToolkitDataGridCell)

Access

Read only.


CharacterCasing Property (WPFTextBox)

Class

WPFTextBox.

Action

Gets a value that indicates how characters are cased when they are manually entered into the text box.

Syntax

C#
protected CharacterCasing CharacterCasing { get; }
VB
'Declaration
Protected Read Property CharacterCasing As CharacterCasing

Access

Read only.


Check Method (WPFMenuBase)

Class

WPFMenuBase.

Action

Checks a menu item.

Syntax

C#
menuBase.Check(item)
VB
menuBase.Check(item)
Variable | Description
item | The menu item to check. Can be either a top-level menu item or a menu item that can be found in a submenu. For checking a menu item from a submenu separate the menu item names with a slash. The item can contain the wildcards '?' (matches one character) or '*' (matches 0 to many characters). ItemPath.

Examples

VB

' Check the menu item 'Word Wrap' from the 'Format' menu
menu.Check("Format/Word Wrap")


Check Method (WPFMenuItem)

Class

WPFMenuItem.

Action

Checks the menu item.

Syntax

C#
menuItem.Check()
VB
menuItem.Check()


Check Method (WPFToggleButton)

Class

WPFToggleButton.

Action

Checks the button.

Syntax

C#
toggleButton.Check()
VB
toggleButton.Check()


Clear Method (WPFPasswordBox)

Class

WPFPasswordBox.

Action

Clears the value of the Password property.

Syntax

C#
passwordBox.Clear()
VB
passwordBox.Clear()


Clear Method (WPFRichTextBox)

Class

WPFRichTextBox.

Action

Clears all the content from the RichTextBox.

Syntax

C#
richTextBox.Clear()
VB
richTextBox.Clear()


Clear Method (WPFTextBox)

Class

WPFTextBox.

Action

Clears all the content from the text box.

Syntax

C#
textBox.Clear()
VB
textBox.Clear()


ClearSelection Method (WPFDatePicker)

Class

WPFDatePicker.

Action

Clears the selection.

Syntax

C#
datePicker.ClearSelection()
VB
datePicker.ClearSelection()


ClearSelection Method (WPFToolkitDatePicker)

Class

WPFToolkitDatePicker.

Action

Clears the selection.

Syntax

C#
toolkitDatePicker.ClearSelection()
VB
toolkitDatePicker.ClearSelection()


ClickMode Property (WPFButtonBase)

Class

WPFButtonBase.

Action

Gets a value that specifies how the button can be clicked.

Syntax

C#
protected ClickMode ClickMode { get; }
VB
'Declaration
Protected Read Property ClickMode As ClickMode

Access

Read only.


Close Method (WPFComboBox)

Class

WPFComboBox.

Action

Closes the ComboBox.

Syntax

C#
comboBox.Close()
VB
comboBox.Close()


Close Method (WPFContextMenu)

Class

WPFContextMenu.

Action

Closes the ContextMenu.

Syntax

C#
contextMenu.Close()
VB
contextMenu.Close()


Close Method (WPFPopup)

Class

WPFPopup.

Action

Closes the pop-up window.

Syntax

C#
popup.Close()
VB
popup.Close()


CloseOverflowItems Method (WPFToolBar)

Class

WPFToolBar.

Action

Closes the overflow toolbar items area.

Syntax

C#
toolBar.CloseOverflowItems()
VB
toolBar.CloseOverflowItems()


CloseSubmenu Method (WPFMenuItem)

Class

WPFMenuItem.

Action

Closes the submenu if available.

Syntax

C#
menuItem.CloseSubmenu()
VB
menuItem.CloseSubmenu()


Collapse Method (WPFExpander)

Class

WPFExpander.

Action

Collapses the Expander control. Only the header is visible.

Syntax

C#
expander.Collapse()
VB
expander.Collapse()


Collapse Method (WPFStickyNoteControl)

Class

WPFStickyNoteControl.

Action

Collapses the sticky note.

Syntax

C#
stickyNoteControl.Collapse()
VB
stickyNoteControl.Collapse()


Collapse Method (WPFTreeView)

Class

WPFTreeView.

Action

Collapses the specified item.

Syntax

C#
treeView.Collapse(item)
VB
treeView.Collapse(item)
Variable | Description
item | The item to collapse. ItemPath.


Collapse Method (WPFTreeViewItem)

Class

WPFTreeViewItem.

Action

Collapses the item.

Syntax

C#
treeViewItem.Collapse()
VB
treeViewItem.Collapse()


ColumnHeaders Property (WPFListView)

Class

WPFListView.

Action

Gets the header columns.

Syntax

C#
protected List(Of WPFColumnHeader) ColumnHeaders { get; }
VB
'Declaration
Protected Read Property ColumnHeaders As List(Of WPFColumnHeader)

Access

Read only.


ColumnHeaders Property (WPFTreeView)

Class

WPFTreeView.

Action

Gets the header columns.

Syntax

C#
protected List(Of WPFColumnHeader) ColumnHeaders { get; }
VB
'Declaration
Protected Read Property ColumnHeaders As List(Of WPFColumnHeader)

Access

Read only.


Columns Property (WPFDataGrid)

Class

WPFDataGrid.

Action

Gets a collection that contains all the columns in the data grid.

Syntax

C#
protected List(Of WPFDataGridColumnHeader) Columns { get; }
VB
'Declaration
Protected Read Property Columns As List(Of WPFDataGridColumnHeader)

Access

Read only.


Columns Property (WPFToolkitDataGrid)

Class

WPFToolkitDataGrid.

Action

Gets a collection that contains all the columns in the data grid.

Syntax

C#
protected List(Of WPFToolkitDataGridColumnHeader) Columns { get; }
VB
'Declaration
Protected Read Property Columns As List(Of WPFToolkitDataGridColumnHeader)

Access

Read only.


CommitEdit Method (WPFDataGrid)

Class

WPFDataGrid.

Action

Commits the edited cell.

Syntax

C#
dataGrid.CommitEdit()
VB
dataGrid.CommitEdit()


CommitEdit Method (WPFToolkitDataGrid)

Class

WPFToolkitDataGrid.

Action

Commits the edited cell.

Syntax

C#
toolkitDataGrid.CommitEdit()
VB
toolkitDataGrid.CommitEdit()


Content Property (WPFContentControl)

Class

WPFContentControl.

Action

Gets the content of the control.

Syntax

C#
protected Object Content { get; }
VB
'Declaration
Protected Read Property Content As Object

Access

Read only.


Copy Method (WPFTextBoxBase)

Class

WPFTextBoxBase.

Action

Copies the current selection of the text editing control to the Clipboard.

Syntax

C#
textBoxBase.Copy()
VB
textBoxBase.Copy()


CurrentCell Property (WPFDataGrid)

Class

WPFDataGrid.

Action

Gets the cell that has focus.

Syntax

C#
protected WPFDataGridCell CurrentCell { get; }
VB
'Declaration
Protected Read Property CurrentCell As WPFDataGridCell

Access

Read only.


CurrentCell Property (WPFToolkitDataGrid)

Class

WPFToolkitDataGrid.

Action

Gets the cell that has focus.

Syntax

C#
protected WPFToolkitDataGridCell CurrentCell { get; }
VB
'Declaration
Protected Read Property CurrentCell As WPFToolkitDataGridCell

Access

Read only.


Cut Method (WPFTextBoxBase)

Class

WPFTextBoxBase.

Action

Removes the current selection from the text editing control and copies it to the Clipboard.

Syntax

C#
textBoxBase.Cut()
VB
textBoxBase.Cut()


DecreaseLarge Method (WPFSlider)

Class

WPFSlider.

Action

Decreases the value of the Slider by a large amount.

Syntax

C#
slider.DecreaseLarge()
VB
slider.DecreaseLarge()


DecreaseSmall Method (WPFSlider)

Class

WPFSlider.

Action

Decreases the value of the Slider by a small amount.

Syntax

C#
slider.DecreaseSmall()
VB
slider.DecreaseSmall()


DecreaseZoom Method (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Zooms out of the document content by one zoom step.

Syntax

C#
documentViewer.DecreaseZoom()
VB
documentViewer.DecreaseZoom()


DecreaseZoom Method (WPFFlowDocumentPageViewer)

Class

WPFFlowDocumentPageViewer.

Action

Decreases the zoom.

Syntax

C#
flowDocumentPageViewer.DecreaseZoom()
VB
flowDocumentPageViewer.DecreaseZoom()


DecreaseZoom Method (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Decreases the zoom.

Syntax

C#
flowDocumentReader.DecreaseZoom()
VB
flowDocumentReader.DecreaseZoom()


DecreaseZoom Method (WPFFlowDocumentScrollViewer)

Class

WPFFlowDocumentScrollViewer.

Action

Decreases the zoom.

Syntax

C#
flowDocumentScrollViewer.DecreaseZoom()
VB
flowDocumentScrollViewer.DecreaseZoom()


Delay Property (WPFRepeatButton)

Class

WPFRepeatButton.

Action

Gets the amount of time, in milliseconds, the RepeatButton waits while it is pressed before it starts repeating.

Syntax

C#
protected Integer Delay { get; }
VB
'Declaration
Protected Read Property Delay As Integer

Access

Read only.


Delay Property (WPFSlider)

Class

WPFSlider.

Action

Gets the amount of time in milliseconds that a RepeatButton waits, while it is pressed, before a command to move the Thumb executes.

Syntax

C#
protected Integer Delay { get; }
VB
'Declaration
Protected Read Property Delay As Integer

Access

Read only.


DeselectAll Method (WPFListBox)

Class

WPFListBox.

Action

Clears the selections in multi-select ListBox.

Syntax

C#
listBox.DeselectAll()
VB
listBox.DeselectAll()


Deselect Method (WPFDataGridCell)

Class

WPFDataGridCell.

Action

Deselects the cell.

Syntax

C#
dataGridCell.Deselect()
VB
dataGridCell.Deselect()


Deselect Method (WPFDataGridRow)

Class

WPFDataGridRow.

Action

Deselects the row.

Syntax

C#
dataGridRow.Deselect()
VB
dataGridRow.Deselect()


Deselect Method (WPFListBoxItem)

Class

WPFListBoxItem.

Action

Deselects the ListBoxItem.

Syntax

C#
listBoxItem.Deselect()
VB
listBoxItem.Deselect()


Deselect Method (WPFTabItem)

Class

WPFTabItem.

Action

Deselects the item.

Syntax

C#
tabItem.Deselect()
VB
tabItem.Deselect()


Deselect Method (WPFToolkitDataGridCell)

Class

WPFToolkitDataGridCell.

Action

Deselects the cell.

Syntax

C#
toolkitDataGridCell.Deselect()
VB
toolkitDataGridCell.Deselect()


Deselect Method (WPFToolkitDataGridRow)

Class

WPFToolkitDataGridRow.

Action

Deselects the row.

Syntax

C#
toolkitDataGridRow.Deselect()
VB
toolkitDataGridRow.Deselect()


DisplayDateEnd Property (WPFCalendar)

Class

WPFCalendar.

Action

Gets the last date in the date range that is available in the calendar.

Syntax

C#
protected DateTime? DisplayDateEnd { get; }
VB
'Declaration
Protected Read Property DisplayDateEnd As DateTime?

Access

Read only.


DisplayDateEnd Property (WPFToolkitCalendar)

Class

WPFToolkitCalendar.

Action

Gets the last date in the date range that is available in the calendar.

Syntax

C#
protected DateTime? DisplayDateEnd { get; }
VB
'Declaration
Protected Read Property DisplayDateEnd As DateTime?

Access

Read only.


DisplayDate Property (WPFCalendar)

Class

WPFCalendar.

Action

Gets the date to display.

Syntax

C#
protected DateTime? DisplayDate { get; }
VB
'Declaration
Protected Read Property DisplayDate As DateTime?

Access

Read only.


DisplayDate Property (WPFToolkitCalendar)

Class

WPFToolkitCalendar.

Action

Gets the date to display.

Syntax

C#
protected DateTime? DisplayDate { get; }
VB
'Declaration
Protected Read Property DisplayDate As DateTime?

Access

Read only.


DisplayDateStart Property (WPFCalendar)

Class

WPFCalendar.

Action

Gets the first date that is available in the calendar.

Syntax

C#
protected DateTime? DisplayDateStart { get; }
VB
'Declaration
Protected Read Property DisplayDateStart As DateTime?

Access

Read only.


DisplayDateStart Property (WPFToolkitCalendar)

Class

WPFToolkitCalendar.

Action

Gets the first date that is available in the calendar.

Syntax

C#
protected DateTime? DisplayDateStart { get; }
VB
'Declaration
Protected Read Property DisplayDateStart As DateTime?

Access

Read only.


DisplayMode Property (WPFCalendar)

Class

WPFCalendar.

Action

Gets a value that indicates whether the calendar displays a month, year, or decade.

Syntax

C#
protected CalendarMode DisplayMode { get; }
VB
'Declaration
Protected Read Property DisplayMode As CalendarMode

Access

Read only.


DisplayMode Property (WPFToolkitCalendar)

Class

WPFToolkitCalendar.

Action

Gets a value that indicates whether the calendar displays a month, year, or decade.

Syntax

C#
protected CalendarMode DisplayMode { get; }
VB
'Declaration
Protected Read Property DisplayMode As CalendarMode

Access

Read only.


DragCancel Method (WPFThumb)

Class

WPFThumb.

Action

Cancels the drag operation.

Syntax

C#
thumb.DragCancel()
VB
thumb.DragCancel()


DragComplete Method (WPFThumb)

Class

WPFThumb.

Action

Completes the drag operation.

Syntax

C#
thumb.DragComplete(horizontalChange, verticalChange)
VB
thumb.DragComplete(horizontalChange, verticalChange)
Variable | Description
horizontalChange | The horizontal distance that the mouse has moved. Double.
verticalChange | The vertical distance that the mouse has moved. Double.


DragDelta Method (WPFThumb)

Class

WPFThumb.

Action

The delta of the current drag operation.

Syntax

C#
thumb.DragDelta(horizontalChange, verticalChange)
VB
thumb.DragDelta(horizontalChange, verticalChange)
Variable | Description
horizontalChange | The horizontal distance that the mouse has moved. Double.
verticalChange | The vertical distance that the mouse has moved. Double.


DragStart Method (WPFThumb)

Class

WPFThumb.

Action

Starts a drag operation.

Syntax

C#
thumb.DragStart(horizontalOffset, verticalOffset)
VB
thumb.DragStart(horizontalOffset, verticalOffset)
Variable | Description
horizontalOffset | The horizontal offset of the mouse click. Double.
verticalOffset | The vertical offset of the mouse click. Double.


ExpandAll Method (WPFTreeView)

Class

WPFTreeView.

Action

Expands all items in the tree.

Syntax

C#
treeView.ExpandAll()
VB
treeView.ExpandAll()


ExpandDirection Property (WPFExpander)

Class

WPFExpander.

Action

Gets the direction in which the Expander content window opens.

Syntax

C#
protected ExpandDirection ExpandDirection { get; }
VB
'Declaration
Protected Read Property ExpandDirection As ExpandDirection

Access

Read only.


Expand Method (WPFExpander)

Class

WPFExpander.

Action

Expands the Expander control.

Syntax

C#
expander.Expand()
VB
expander.Expand()


Expand Method (WPFStickyNoteControl)

Class

WPFStickyNoteControl.

Action

Expands the sticky note.

Syntax

C#
stickyNoteControl.Expand()
VB
stickyNoteControl.Expand()


Expand Method (WPFTreeView)

Class

WPFTreeView.

Action

Expands the specified item.

Syntax

C#
treeView.Expand(item)
VB
treeView.Expand(item)
Variable | Description
item | The item to expand. ItemPath.


Expand Method (WPFTreeViewItem)

Class

WPFTreeViewItem.

Action

Expands the item.

Syntax

C#
treeViewItem.Expand()
VB
treeViewItem.Expand()


ExpandSubTree Method (WPFTreeViewItem)

Class

WPFTreeViewItem.

Action

Expands the sub tree under this tree item.

Syntax

C#
treeViewItem.ExpandSubTree()
VB
treeViewItem.ExpandSubTree()


FirstDayOfWeek Property (WPFCalendar)

Class

WPFCalendar.

Action

Gets the day that is considered the beginning of the week.

Syntax

C#
protected CalendarDayOfWeek FirstDayOfWeek { get; }
VB
'Declaration
Protected Read Property FirstDayOfWeek As CalendarDayOfWeek

Access

Read only.


FirstDayOfWeek Property (WPFToolkitCalendar)

Class

WPFToolkitCalendar.

Action

Gets the day that is considered the beginning of the week.

Syntax

C#
protected CalendarDayOfWeek FirstDayOfWeek { get; }
VB
'Declaration
Protected Read Property FirstDayOfWeek As CalendarDayOfWeek

Access

Read only.


FirstPage Method (WPFDocumentViewerBase)

Class

WPFDocumentViewerBase.

Action

Jumps to the first page.

Syntax

C#
documentViewerBase.FirstPage()
VB
documentViewerBase.FirstPage()


FirstPage Method (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Jumps to the first page.

Syntax

C#
flowDocumentReader.FirstPage()
VB
flowDocumentReader.FirstPage()


FitToHeight Method (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Fits a single page to the height of the current viewport.

Syntax

C#
documentViewer.FitToHeight()
VB
documentViewer.FitToHeight()


FitToWidth Method (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Fits a single page to the width of the current viewport.

Syntax

C#
documentViewer.FitToWidth()
VB
documentViewer.FitToWidth()


FontFamily Property (WPFControl)

Class

WPFControl.

Action

Gets the preferred top-level font family for the TextBlock.

Syntax

C#
protected String FontFamily { get; }
VB
'Declaration
Protected Read Property FontFamily As String

Access

Read only.


FontFamily Property (WPFTextBlock)

Class

WPFTextBlock.

Action

Gets the preferred top-level font family for the TextBlock.

Syntax

C#
protected String FontFamily { get; }
VB
'Declaration
Protected Read Property FontFamily As String

Access

Read only.


FontSize Property (WPFControl)

Class

WPFControl.

Action

Gets the top-level font size for the TextBlock.

Syntax

C#
protected Double FontSize { get; }
VB
'Declaration
Protected Read Property FontSize As Double

Access

Read only.


FontSize Property (WPFTextBlock)

Class

WPFTextBlock.

Action

Gets the top-level font size for the TextBlock.

Syntax

C#
protected Double FontSize { get; }
VB
'Declaration
Protected Read Property FontSize As Double

Access

Read only.


GetCharacterIndexFromLineIndex Method (WPFTextBox)

Class

WPFTextBox.

Action

Returns the zero-based character index for the first character in the specified line.

Syntax

C#
characterIndexFromLineIndex = textBox.GetCharacterIndexFromLineIndex(lineIndex)
VB
characterIndexFromLineIndex = textBox.GetCharacterIndexFromLineIndex(lineIndex)
Variable | Description
characterIndexFromLineIndex | Integer.
lineIndex | The zero-based index of the line to retrieve the initial character index for. Integer.


GetFirstVisibleLineIndex Method (WPFTextBox)

Class

WPFTextBox.

Action

Returns the line index for the first line that is currently visible in the text box.

Syntax

C#
firstVisibleLineIndex = textBox.GetFirstVisibleLineIndex()
VB
firstVisibleLineIndex = textBox.GetFirstVisibleLineIndex()
Variable | Description
firstVisibleLineIndex | Integer.


GetLastVisibleLineIndex Method (WPFTextBox)

Class

WPFTextBox.

Action

Returns the line index for the last line that is currently visible in the text box.

Syntax

C#
lastVisibleLineIndex = textBox.GetLastVisibleLineIndex()
VB
lastVisibleLineIndex = textBox.GetLastVisibleLineIndex()
Variable | Description
lastVisibleLineIndex | Integer.


GetLineIndexFromCharacterIndex Method (WPFTextBox)

Class

WPFTextBox.

Action

Returns the zero-based line index for the line that contains the specified character index.

Syntax

C#
lineIndexFromCharacterIndex = textBox.GetLineIndexFromCharacterIndex(charIndex)
VB
lineIndexFromCharacterIndex = textBox.GetLineIndexFromCharacterIndex(charIndex)
Variable | Description
lineIndexFromCharacterIndex | Integer.
charIndex | The zero-based character index for which to retrieve the associated line index. Integer.


GetLineLength Method (WPFTextBox)

Class

WPFTextBox.

Action

Returns the number of characters in the specified line.

Syntax

C#
lineLength = textBox.GetLineLength(lineIndex)
VB
lineLength = textBox.GetLineLength(lineIndex)
Variable | Description
lineLength | Integer.
lineIndex | The zero-based line index for which to return a character count. Integer.


GetLineText Method (WPFTextBox)

Class

WPFTextBox.

Action

Returns the text that is currently displayed on the specified line.

Syntax

C#
lineText = textBox.GetLineText(lineIndex)
VB
lineText = textBox.GetLineText(lineIndex)
Variable | Description
lineText | String.
lineIndex | The zero-based line index for which to retrieve the currently displayed text. Integer.


GetMaximumScrollPosition Method (IWPFScrollable)

Class

IWPFScrollable.

Action

Retrieves the maximum position of the ScrollViewer.

Syntax

C#
maximumScrollPosition = iWPFScrollable.GetMaximumScrollPosition(orientation)
VB
maximumScrollPosition = iWPFScrollable.GetMaximumScrollPosition(orientation)
Variable | Description
maximumScrollPosition | Double.
orientation | GetMaximumScrollPosition of either the horizontal or vertical scrollbar. Orientation.


GetScrollPosition Method (IWPFScrollable)

Class

IWPFScrollable.

Action

Return the position of the ScrollViewer.

Syntax

C#
scrollPosition = iWPFScrollable.GetScrollPosition(orientation)
VB
scrollPosition = iWPFScrollable.GetScrollPosition(orientation)
Variable | Description
scrollPosition | Double.
orientation | GetScrollPosition of either the horizontal or vertical scrollbar. Orientation.


GoBack Method (WPFFrame)

Class

WPFFrame.

Action

Navigates to the most recent item in back navigation history.

Syntax

C#
frame.GoBack()
VB
frame.GoBack()


GoBack Method (WPFNavigationWindow)

Class

WPFNavigationWindow.

Action

Navigates to the most recent item in back navigation history.

Syntax

C#
navigationWindow.GoBack()
VB
navigationWindow.GoBack()


GoForward Method (WPFFrame)

Class

WPFFrame.

Action

Navigates to the most recent item in forward navigation history.

Syntax

C#
frame.GoForward()
VB
frame.GoForward()


GoForward Method (WPFNavigationWindow)

Class

WPFNavigationWindow.

Action

Navigates to the most recent item in forward navigation history.

Syntax

C#
navigationWindow.GoForward()
VB
navigationWindow.GoForward()


GoToPage Method (WPFDocumentViewerBase)

Class

WPFDocumentViewerBase.

Action

Jumps to the specified page.

Syntax

C#
documentViewerBase.GoToPage(pageNumber)
VB
documentViewerBase.GoToPage(pageNumber)
Variable | Description
pageNumber | The page number. Integer.


GoToPage Method (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Jumps to the specified page.

Syntax

C#
flowDocumentReader.GoToPage(pageNumber)
VB
flowDocumentReader.GoToPage(pageNumber)
Variable | Description
pageNumber | The page number. Integer.


GroupName Property (WPFRadioButton)

Class

WPFRadioButton.

Action

Gets the group name of this radio button.

Syntax

C#
protected String GroupName { get; }
VB
'Declaration
Protected Read Property GroupName As String

Access

Read only.


HasAudio Property (WPFMediaElement)

Class

WPFMediaElement.

Action

Gets a value indicating whether the media has audio.

Syntax

C#
protected Boolean HasAudio { get; }
VB
'Declaration
Protected Read Property HasAudio As Boolean

Access

Read only.


HasContent Property (WPFContentControl)

Class

WPFContentControl.

Action

Gets a value that indicates whether the ContentControl contains content.

Syntax

C#
protected Boolean HasContent { get; }
VB
'Declaration
Protected Read Property HasContent As Boolean

Access

Read only.


HasItems Property (WPFItemsControl)

Class

WPFItemsControl.

Action

Gets a value that indicates whether the ItemsControl contains items.

Syntax

C#
protected Boolean HasItems { get; }
VB
'Declaration
Protected Read Property HasItems As Boolean

Access

Read only.


HasOverflowItems Property (WPFToolBar)

Class

WPFToolBar.

Action

Gets a value that indicates whether the ToolBar has items that are not visible.

Syntax

C#
protected Boolean HasOverflowItems { get; }
VB
'Declaration
Protected Read Property HasOverflowItems As Boolean

Access

Read only.


HasSubmenu Property (WPFMenuItem)

Class

WPFMenuItem.

Action

Gets whether a menu item has a submenu.

Syntax

C#
protected Boolean HasSubmenu { get; }
VB
'Declaration
Protected Read Property HasSubmenu As Boolean

Access

Read only.


HasVideo Property (WPFMediaElement)

Class

WPFMediaElement.

Action

Gets a value indicating whether the media has video.

Syntax

C#
protected Boolean HasVideo { get; }
VB
'Declaration
Protected Read Property HasVideo As Boolean

Access

Read only.


HorizontalOffset Property (WPFContextMenu)

Class

WPFContextMenu.

Action

Gets the horizontal distance between the target origin and the popup alignment point. This is a dependency property.

Syntax

C#
protected Double HorizontalOffset { get; }
VB
'Declaration
Protected Read Property HorizontalOffset As Double

Access

Read only.


HorizontalOffset Property (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Gets the horizontal scroll position.

Syntax

C#
protected Double HorizontalOffset { get; }
VB
'Declaration
Protected Read Property HorizontalOffset As Double

Access

Read only.


HorizontalScrollBarVisibility Property (WPFTextBoxBase)

Class

WPFTextBoxBase.

Action

Gets a value that indicates whether a horizontal scroll bar is shown.

Syntax

C#
protected ScrollBarVisibility HorizontalScrollBarVisibility { get; }
VB
'Declaration
Protected Read Property HorizontalScrollBarVisibility As ScrollBarVisibility

Access

Read only.


IncreaseLarge Method (WPFSlider)

Class

WPFSlider.

Action

Increases the value of the Slider by a large amount.

Syntax

C#
slider.IncreaseLarge()
VB
slider.IncreaseLarge()


IncreaseSmall Method (WPFSlider)

Class

WPFSlider.

Action

Increases the value of the Slider by a small amount.

Syntax

C#
slider.IncreaseSmall()
VB
slider.IncreaseSmall()


IncreaseZoom Method (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Zooms in on the document content by one zoom step.

Syntax

C#
documentViewer.IncreaseZoom()
VB
documentViewer.IncreaseZoom()


IncreaseZoom Method (WPFFlowDocumentPageViewer)

Class

WPFFlowDocumentPageViewer.

Action

Increases the zoom.

Syntax

C#
flowDocumentPageViewer.IncreaseZoom()
VB
flowDocumentPageViewer.IncreaseZoom()


IncreaseZoom Method (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Increases the zoom.

Syntax

C#
flowDocumentReader.IncreaseZoom()
VB
flowDocumentReader.IncreaseZoom()


IncreaseZoom Method (WPFFlowDocumentScrollViewer)

Class

WPFFlowDocumentScrollViewer.

Action

Increases the zoom.

Syntax

C#
flowDocumentScrollViewer.IncreaseZoom()
VB
flowDocumentScrollViewer.IncreaseZoom()


Interval Property (WPFRepeatButton)

Class

WPFRepeatButton.

Action

Gets the amount of time, in milliseconds, between repeats once repeating starts.

Syntax

C#
protected Integer Interval { get; }
VB
'Declaration
Protected Read Property Interval As Integer

Access

Read only.


IsCancel Property (WPFButton)

Class

WPFButton.

Action

Gets a value that indicates whether a Button is a Cancel button. A user can activate the Cancel button by pressing the ESC key. This is a dependency property.

Syntax

C#
protected Boolean IsCancel { get; }
VB
'Declaration
Protected Read Property IsCancel As Boolean

Access

Read only.


IsChecked Property (WPFMenuItem)

Class

WPFMenuItem.

Action

Gets a value that indicates whether the MenuItem is checked.

Syntax

C#
protected Boolean IsChecked { get; }
VB
'Declaration
Protected Read Property IsChecked As Boolean

Access

Read only.


IsChecked Property (WPFToggleButton)

Class

WPFToggleButton.

Action

Gets whether the button is checked.

Syntax

C#
protected Boolean IsChecked { get; }
VB
'Declaration
Protected Read Property IsChecked As Boolean

Access

Read only.


IsDefaulted Property (WPFButton)

Class

WPFButton.

Action

Gets a value that indicates whether a Button is the button that is activated when a user presses ENTER. This is a dependency property.

Syntax

C#
protected Boolean IsDefaulted { get; }
VB
'Declaration
Protected Read Property IsDefaulted As Boolean

Access

Read only.


IsDefault Property (WPFButton)

Class

WPFButton.

Action

Gets a value that indicates whether a Button is the default button. A user invokes the default button by pressing the ENTER key. This is a dependency property.

Syntax

C#
protected Boolean IsDefault { get; }
VB
'Declaration
Protected Read Property IsDefault As Boolean

Access

Read only.


IsDirectionReversed Property (WPFSlider)

Class

WPFSlider.

Action

Gets the direction of increasing value.

Syntax

C#
protected Boolean IsDirectionReversed { get; }
VB
'Declaration
Protected Read Property IsDirectionReversed As Boolean

Access

Read only.


IsDropDownOpen Property (WPFComboBox)

Class

WPFComboBox.

Action

Gets a value that indicates whether the drop-down for a combo box is currently open.

Syntax

C#
protected Boolean IsDropDownOpen { get; }
VB
'Declaration
Protected Read Property IsDropDownOpen As Boolean

Access

Read only.


IsEditable Property (WPFComboBox)

Class

WPFComboBox.

Action

Gets a value that enables or disables editing of the text in text box of the ComboBox.

Syntax

C#
protected Boolean IsEditable { get; }
VB
'Declaration
Protected Read Property IsEditable As Boolean

Access

Read only.


IsEditing Property (WPFDataGridCell)

Class

WPFDataGridCell.

Action

Gets a value that indicates whether the cell is in edit mode.

Syntax

C#
protected Boolean IsEditing { get; }
VB
'Declaration
Protected Read Property IsEditing As Boolean

Access

Read only.


IsEditing Property (WPFToolkitDataGridCell)

Class

WPFToolkitDataGridCell.

Action

Gets a value that indicates whether the cell is in edit mode.

Syntax

C#
protected Boolean IsEditing { get; }
VB
'Declaration
Protected Read Property IsEditing As Boolean

Access

Read only.


IsEnabled Property (WPFBase)

Class

WPFBase.

Action

Gets a value that indicates whether this element is enabled in the user interface (UI).

Syntax

C#
protected Boolean IsEnabled { get; }
VB
'Declaration
Protected Read Property IsEnabled As Boolean

Access

Read only.


IsExpanded Property (WPFExpander)

Class

WPFExpander.

Action

Gets whether the Expander content window is visible.

Syntax

C#
protected Boolean IsExpanded { get; }
VB
'Declaration
Protected Read Property IsExpanded As Boolean

Access

Read only.


IsExpanded Property (WPFStickyNoteControl)

Class

WPFStickyNoteControl.

Action

Gets a value indicating whether the StickyNoteControl is expanded.

Syntax

C#
protected Boolean IsExpanded { get; }
VB
'Declaration
Protected Read Property IsExpanded As Boolean

Access

Read only.


IsExpanded Property (WPFTreeViewItem)

Class

WPFTreeViewItem.

Action

Gets a value that indicates whether the nested items in a TreeViewItem are expanded or collapsed.

Syntax

C#
protected Boolean IsExpanded { get; }
VB
'Declaration
Protected Read Property IsExpanded As Boolean

Access

Read only.


IsLocked Property (WPFToolBarTray)

Class

WPFToolBarTray.

Action

Gets a value that indicates whether a ToolBar can be moved inside a ToolBarTray.

Syntax

C#
protected Boolean IsLocked { get; }
VB
'Declaration
Protected Read Property IsLocked As Boolean

Access

Read only.


IsMainMenu Property (WPFMenu)

Class

WPFMenu.

Action

Gets a value that indicates whether this Menu receives a main menu activation notification.

Syntax

C#
protected Boolean IsMainMenu { get; }
VB
'Declaration
Protected Read Property IsMainMenu As Boolean

Access

Read only.


IsMediaLoaded Property (WPFMediaElement)

Class

WPFMediaElement.

Action

Gets a value indicating the content is loaded.

Syntax

C#
protected Boolean IsMediaLoaded { get; }
VB
'Declaration
Protected Read Property IsMediaLoaded As Boolean

Access

Read only.


IsMoveToPointEnabled Property (WPFSlider)

Class

WPFSlider.

Action

Gets a value that indicates whether the Thumb of a Slider moves immediately to the location of the mouse click that occurs while the mouse pointer pauses on the Slider track.

Syntax

C#
protected Boolean IsMoveToPointEnabled { get; }
VB
'Declaration
Protected Read Property IsMoveToPointEnabled As Boolean

Access

Read only.


IsMuted Property (WPFMediaElement)

Class

WPFMediaElement.

Action

Gets or sets a value indicating whether the audio is muted.

Syntax

C#
protected Boolean IsMuted { get; set; }
VB
'Declaration
Protected ReadWrite Property IsMuted As Boolean

Access

Read and write.


IsOpen Property (WPFContextMenu)

Class

WPFContextMenu.

Action

Gets a value that indicates whether the ContextMenu is open.

Syntax

C#
protected Boolean IsOpen { get; }
VB
'Declaration
Protected Read Property IsOpen As Boolean

Access

Read only.


IsOverflowOpen Property (WPFToolBar)

Class

WPFToolBar.

Action

Gets a value that indicates whether the ToolBar overflow area is currently visible.

Syntax

C#
protected Boolean IsOverflowOpen { get; }
VB
'Declaration
Protected Read Property IsOverflowOpen As Boolean

Access

Read only.


IsPressed Property (WPFMenuItem)

Class

WPFMenuItem.

Action

Gets a value that indicates whether a MenuItem is pressed.

Syntax

C#
protected Boolean IsPressed { get; }
VB
'Declaration
Protected Read Property IsPressed As Boolean

Access

Read only.


IsReadOnly Property (WPFComboBox)

Class

WPFComboBox.

Action

Gets whether the combo box is in selection-only mode, in which the contents of the combo box are selectable but not editable.

Syntax

C#
protected Boolean IsReadOnly { get; }
VB
'Declaration
Protected Read Property IsReadOnly As Boolean

Access

Read only.


IsReadOnly Property (WPFDataGrid)

Class

WPFDataGrid.

Action

Gets a value that indicates whether the user can edit values in the data grid.

Syntax

C#
protected Boolean IsReadOnly { get; }
VB
'Declaration
Protected Read Property IsReadOnly As Boolean

Access

Read only.


IsReadOnly Property (WPFDataGridCell)

Class

WPFDataGridCell.

Action

Gets a value that indicates whether the cell can be put in edit mode.

Syntax

C#
protected Boolean IsReadOnly { get; }
VB
'Declaration
Protected Read Property IsReadOnly As Boolean

Access

Read only.


IsReadOnly Property (WPFTextBoxBase)

Class

WPFTextBoxBase.

Action

Gets a value that indicates whether the text editing control is read-only to a user interacting with the control.

Syntax

C#
protected Boolean IsReadOnly { get; }
VB
'Declaration
Protected Read Property IsReadOnly As Boolean

Access

Read only.


IsReadOnly Property (WPFToolkitDataGrid)

Class

WPFToolkitDataGrid.

Action

Gets a value that indicates whether the user can edit values in the data grid.

Syntax

C#
protected Boolean IsReadOnly { get; }
VB
'Declaration
Protected Read Property IsReadOnly As Boolean

Access

Read only.


IsReadOnly Property (WPFToolkitDataGridCell)

Class

WPFToolkitDataGridCell.

Action

Gets a value that indicates whether the cell can be put in edit mode.

Syntax

C#
protected Boolean IsReadOnly { get; }
VB
'Declaration
Protected Read Property IsReadOnly As Boolean

Access

Read only.


IsSelected Property (WPFDataGridCell)

Class

WPFDataGridCell.

Action

Gets a value that indicates whether the cell is selected.

Syntax

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

Access

Read only.


IsSelected Property (WPFDataGridRow)

Class

WPFDataGridRow.

Action

Gets a value that indicates whether the row is selected.

Syntax

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

Access

Read only.


IsSelected Property (WPFListBoxItem)

Class

WPFListBoxItem.

Action

Gets a value that indicates whether a ListBoxItem is selected.

Syntax

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

Access

Read only.


IsSelected Property (WPFTabItem)

Class

WPFTabItem.

Action

Gets a value that indicates whether the TabItem is selected.

Syntax

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

Access

Read only.


IsSelected Property (WPFToolkitDataGridCell)

Class

WPFToolkitDataGridCell.

Action

Gets a value that indicates whether the cell is selected.

Syntax

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

Access

Read only.


IsSelected Property (WPFToolkitDataGridRow)

Class

WPFToolkitDataGridRow.

Action

Gets a value that indicates whether the row is selected.

Syntax

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

Access

Read only.


IsSelected Property (WPFTreeViewItem)

Class

WPFTreeViewItem.

Action

Gets a value that indicates whether a TreeViewItem is selected.

Syntax

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

Access

Read only.


IsSelectionRangeEnabled Property (WPFSlider)

Class

WPFSlider.

Action

Gets a value that indicates whether the Slider displays a selection range along the Slider.

Syntax

C#
protected Boolean IsSelectionRangeEnabled { get; }
VB
'Declaration
Protected Read Property IsSelectionRangeEnabled As Boolean

Access

Read only.


IsSnapToTickEnabled Property (WPFSlider)

Class

WPFSlider.

Action

Gets a value that indicates whether the Slider automatically moves the Thumb to the closest tick mark.

Syntax

C#
protected Boolean IsSnapToTickEnabled { get; }
VB
'Declaration
Protected Read Property IsSnapToTickEnabled As Boolean

Access

Read only.


IsSpellCheckEnabled Property (WPFTextBoxBase)

Class

WPFTextBoxBase.

Action

Gets whether spell checking is enabled.

Syntax

C#
protected Boolean IsSpellCheckEnabled { get; }
VB
'Declaration
Protected Read Property IsSpellCheckEnabled As Boolean

Access

Read only.


IsSubmenuOpen Property (WPFMenuItem)

Class

WPFMenuItem.

Action

Gets a value that indicates whether the submenu of the MenuItem is open.

Syntax

C#
protected Boolean IsSubmenuOpen { get; }
VB
'Declaration
Protected Read Property IsSubmenuOpen As Boolean

Access

Read only.


IsTabStop Property (WPFControl)

Class

WPFControl.

Action

Gets a value that indicates whether a control is included in tab navigation.

Syntax

C#
protected Boolean IsTabStop { get; }
VB
'Declaration
Protected Read Property IsTabStop As Boolean

Access

Read only.


IsTextSearchEnabled Property (WPFItemsControl)

Class

WPFItemsControl.

Action

Gets a value that indicates whether TextSearch is enabled on the ItemsControl instance.

Syntax

C#
protected Boolean IsTextSearchEnabled { get; }
VB
'Declaration
Protected Read Property IsTextSearchEnabled As Boolean

Access

Read only.


IsThreeState Property (WPFToggleButton)

Class

WPFToggleButton.

Action

Gets whether the control supports two or three states.

Syntax

C#
protected Boolean IsThreeState { get; }
VB
'Declaration
Protected Read Property IsThreeState As Boolean

Access

Read only.


IsTodayHighlighted Property (WPFCalendar)

Class

WPFCalendar.

Action

Gets a value that indicates whether the current date is highlighted.

Syntax

C#
protected Boolean IsTodayHighlighted { get; }
VB
'Declaration
Protected Read Property IsTodayHighlighted As Boolean

Access

Read only.


IsTodayHighlighted Property (WPFToolkitCalendar)

Class

WPFToolkitCalendar.

Action

Gets a value that indicates whether the current date is highlighted.

Syntax

C#
protected Boolean IsTodayHighlighted { get; }
VB
'Declaration
Protected Read Property IsTodayHighlighted As Boolean

Access

Read only.


IsUndoEnabled Property (WPFTextBoxBase)

Class

WPFTextBoxBase.

Action

Gets a value that indicates whether undo support is enabled for the text-editing control.

Syntax

C#
protected Boolean IsUndoEnabled { get; }
VB
'Declaration
Protected Read Property IsUndoEnabled As Boolean

Access

Read only.


Items Property (WPFItemsControl)

Class

WPFItemsControl.

Action

Gets a complete list of items.

Syntax

C#
protected List(Of WPFBase) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of WPFBase)

Access

Read only.


ItemTexts Property (WPFItemsControl)

Class

WPFItemsControl.

Action

Gets a complete list of item texts.

Syntax

C#
protected List(Of String) ItemTexts { get; }
VB
'Declaration
Protected Read Property ItemTexts As List(Of String)

Access

Read only.


LargeChange Property (WPFRangeBase)

Class

WPFRangeBase.

Action

Gets a value to be added to or subtracted from the value of a RangeBase control.

Syntax

C#
protected Double LargeChange { get; }
VB
'Declaration
Protected Read Property LargeChange As Double

Access

Read only.


LastPage Method (WPFDocumentViewerBase)

Class

WPFDocumentViewerBase.

Action

Jumps to the last page.

Syntax

C#
documentViewerBase.LastPage()
VB
documentViewerBase.LastPage()


LastPage Method (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Jumps to the last page.

Syntax

C#
flowDocumentReader.LastPage()
VB
flowDocumentReader.LastPage()


Length Property (WPFMediaElement)

Class

WPFMediaElement.

Action

Gets the natural duration of the media in seconds.

Syntax

C#
protected Double Length { get; }
VB
'Declaration
Protected Read Property Length As Double

Access

Read only.


LineCount Property (WPFTextBox)

Class

WPFTextBox.

Action

Gets the total number of lines in the text box.

Syntax

C#
protected Integer LineCount { get; }
VB
'Declaration
Protected Read Property LineCount As Integer

Access

Read only.


LoadAssembly Method (WPFWindow)

Class

WPFWindow.

Action

Loads the assembly on the specified path in the WPF application.

The main use case to load an additional assembly that contains utility methods that can be called via the "Dynamic Invoke" feature.

Syntax

C#
window.LoadAssembly(assemblyFile)
VB
window.LoadAssembly(assemblyFile)
Variable | Description
assemblyFile | The path of the assembly file to load. String.


MasterPageNumber Property (WPFDocumentViewerBase)

Class

WPFDocumentViewerBase.

Action

Gets the page number for the current master page.

Syntax

C#
protected Integer MasterPageNumber { get; }
VB
'Declaration
Protected Read Property MasterPageNumber As Integer

Access

Read only.


MaxDropDownHeight Property (WPFComboBox)

Class

WPFComboBox.

Action

Gets the maximum height for a combo box drop-down.

Syntax

C#
protected Double MaxDropDownHeight { get; }
VB
'Declaration
Protected Read Property MaxDropDownHeight As Double

Access

Read only.


Maximum Property (WPFRangeBase)

Class

WPFRangeBase.

Action

Gets the highest possible value of the range element.

Syntax

C#
protected Double Maximum { get; }
VB
'Declaration
Protected Read Property Maximum As Double

Access

Read only.


MaxLength Property (WPFPasswordBox)

Class

WPFPasswordBox.

Action

Gets the maximum length for passwords to be handled by this PasswordBox.

Syntax

C#
protected Integer MaxLength { get; }
VB
'Declaration
Protected Read Property MaxLength As Integer

Access

Read only.


MaxLength Property (WPFTextBox)

Class

WPFTextBox.

Action

Gets the maximum number of characters that can be manually entered into the text box.

Syntax

C#
protected Integer MaxLength { get; }
VB
'Declaration
Protected Read Property MaxLength As Integer

Access

Read only.


MaxLines Property (WPFTextBox)

Class

WPFTextBox.

Action

Gets the maximum number of visible lines.

Syntax

C#
protected Integer MaxLines { get; }
VB
'Declaration
Protected Read Property MaxLines As Integer

Access

Read only.


MaxZoom Property (WPFFlowDocumentPageViewer)

Class

WPFFlowDocumentPageViewer.

Action

Gets the maximum allowable Zoom level for the FlowDocumentPageViewer.

Syntax

C#
protected Double MaxZoom { get; }
VB
'Declaration
Protected Read Property MaxZoom As Double

Access

Read only.


MaxZoom Property (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Gets the maximum allowable Zoom level for the FlowDocumentReader.

Syntax

C#
protected Double MaxZoom { get; }
VB
'Declaration
Protected Read Property MaxZoom As Double

Access

Read only.


MaxZoom Property (WPFFlowDocumentScrollViewer)

Class

WPFFlowDocumentScrollViewer.

Action

Gets the maximum allowable Zoom level for the FlowDocumentScrollViewer.

Syntax

C#
protected Double MaxZoom { get; }
VB
'Declaration
Protected Read Property MaxZoom As Double

Access

Read only.


Minimum Property (WPFRangeBase)

Class

WPFRangeBase.

Action

Gets the minimum possible value of the range element.

Syntax

C#
protected Double Minimum { get; }
VB
'Declaration
Protected Read Property Minimum As Double

Access

Read only.


MinLines Property (WPFTextBox)

Class

WPFTextBox.

Action

Gets the minimum number of visible lines.

Syntax

C#
protected Integer MinLines { get; }
VB
'Declaration
Protected Read Property MinLines As Integer

Access

Read only.


MinZoom Property (WPFFlowDocumentPageViewer)

Class

WPFFlowDocumentPageViewer.

Action

Gets the minimum allowable Zoom level for the FlowDocumentPageViewer.

Syntax

C#
protected Double MinZoom { get; }
VB
'Declaration
Protected Read Property MinZoom As Double

Access

Read only.


MinZoom Property (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Gets the minimum allowable Zoom level for the FlowDocumentReader.

Syntax

C#
protected Double MinZoom { get; }
VB
'Declaration
Protected Read Property MinZoom As Double

Access

Read only.


MinZoom Property (WPFFlowDocumentScrollViewer)

Class

WPFFlowDocumentScrollViewer.

Action

Gets the minimum allowable Zoom level for the FlowDocumentScrollViewer.

Syntax

C#
protected Double MinZoom { get; }
VB
'Declaration
Protected Read Property MinZoom As Double

Access

Read only.


MoveDown Method (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Scrolls the document content down 16 device independent pixels.

Syntax

C#
documentViewer.MoveDown()
VB
documentViewer.MoveDown()


MoveLeft Method (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Scrolls the document content left 16 device independent pixels.

Syntax

C#
documentViewer.MoveLeft()
VB
documentViewer.MoveLeft()


MoveRight Method (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Scrolls the document content right 16 device independent pixels.

Syntax

C#
documentViewer.MoveRight()
VB
documentViewer.MoveRight()


MoveUp Method (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Scrolls the document content up 16 device independent pixels.

Syntax

C#
documentViewer.MoveUp()
VB
documentViewer.MoveUp()


Name Property (WPFFrameworkElement)

Class

WPFFrameworkElement.

Action

Gets the identifying name of the element.

Syntax

C#
protected String Name { get; }
VB
'Declaration
Protected Read Property Name As String

Access

Read only.


Navigate Method (WPFFrame)

Class

WPFFrame.

Action

Navigates asynchronously to the specified source content.

Syntax

C#
result = frame.Navigate(uri)
VB
result = frame.Navigate(uri)
Variable | Description
result | True if a navigation is not canceled; otherwise, false. Boolean.
uri | The URI for the desired content. String.


Navigate Method (WPFHyperlink)

Class

WPFHyperlink.

Action

Performs a click on the Hyperlink.

Syntax

C#
hyperlink.Navigate()
VB
hyperlink.Navigate()


Navigate Method (WPFNavigationWindow)

Class

WPFNavigationWindow.

Action

Navigates asynchronously to the specified source content.

Syntax

C#
result = navigationWindow.Navigate(uri)
VB
result = navigationWindow.Navigate(uri)
Variable | Description
result | True if a navigation is not canceled; otherwise, false. Boolean.
uri | The URI for the desired content. String.


NavigateUri Property (WPFHyperlink)

Class

WPFHyperlink.

Action

Gets a URI to navigate to when the Hyperlink is activated.

Syntax

C#
protected String NavigateUri { get; }
VB
'Declaration
Protected Read Property NavigateUri As String

Access

Read only.


NextPage Method (WPFDocumentViewerBase)

Class

WPFDocumentViewerBase.

Action

Jumps to the next page.

Syntax

C#
documentViewerBase.NextPage()
VB
documentViewerBase.NextPage()


NextPage Method (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Jumps to the next page.

Syntax

C#
flowDocumentReader.NextPage()
VB
flowDocumentReader.NextPage()


OpenContextMenu Method (WPFBase)

Class

WPFBase.

Action

Opens a context menu at the specified position.

Syntax

C#
base.OpenContextMenu([pos])
VB
base.OpenContextMenu([pos])
Variable | Description
pos | Optional: The coordinates to open the context menu relative to the element on which this function is called. Point.


OpenContextMenuSelect Method (WPFBase)

Class

WPFBase.

Action

Opens a context menu and selects a menu item from the context menu.

Syntax

C#
base.OpenContextMenuSelect(item, [pos])
VB
base.OpenContextMenuSelect(item, [pos])
Variable | Description
item | The menu item to select. Can be either a top-level menu item or a menu item that can be found in a submenu. For selecting a menu item from a submenu separate the menu item names with a slash. The item can contain the wildcards '?' (matches one character) or '*' (matches 0 to many characters). ItemPath.
pos | Optional: The coordinates to open the context menu relative to the element on which this function is called. Point.

Examples

VB

' Open the context menu at the specified position and select the menu item 'Copy'
window.OpenContextMenuSelect("Copy", New Point(100, 50))

' Open the context menu by right clicking in the middle of the window and select the 'Mail Recipient' menu item in the submenu of the 'Send To' menu item
window.OpenContextMenuSelect("Send To/Mail Recipient")

' Open the context menu at the specified position and select the 4th menu item in the submenu of 'Send To' menu item
window.OpenContextMenuSelect("Send To/[3]", New Point(100, 50))


Open Method (WPFComboBox)

Class

WPFComboBox.

Action

Opens the ComboBox.

Syntax

C#
comboBox.Open()
VB
comboBox.Open()


OpenOverflowItems Method (WPFToolBar)

Class

WPFToolBar.

Action

Opens the overflow toolbar items area.

Syntax

C#
toolBar.OpenOverflowItems()
VB
toolBar.OpenOverflowItems()


OpenSubmenu Method (WPFMenuItem)

Class

WPFMenuItem.

Action

Opens the submenu if available.

Syntax

C#
menuItem.OpenSubmenu()
VB
menuItem.OpenSubmenu()


Orientation Property (WPFScrollBar)

Class

WPFScrollBar.

Action

Gets whether the ScrollBar is displayed horizontally or vertically.

Syntax

C#
protected Orientation Orientation { get; }
VB
'Declaration
Protected Read Property Orientation As Orientation

Access

Read only.


Orientation Property (WPFSlider)

Class

WPFSlider.

Action

Gets whether the Slider is displayed horizontally or vertically.

Syntax

C#
protected Orientation Orientation { get; }
VB
'Declaration
Protected Read Property Orientation As Orientation

Access

Read only.


Orientation Property (WPFToolBar)

Class

WPFToolBar.

Action

Gets the orientation of the ToolBar.

Syntax

C#
protected Orientation Orientation { get; }
VB
'Declaration
Protected Read Property Orientation As Orientation

Access

Read only.


Orientation Property (WPFToolBarTray)

Class

WPFToolBarTray.

Action

Gets the orientation of a ToolBarTray.

Syntax

C#
protected Orientation Orientation { get; }
VB
'Declaration
Protected Read Property Orientation As Orientation

Access

Read only.


PageCount Property (WPFDocumentViewerBase)

Class

WPFDocumentViewerBase.

Action

Gets the total number of pages in the current Document.

Syntax

C#
protected Integer PageCount { get; }
VB
'Declaration
Protected Read Property PageCount As Integer

Access

Read only.


PageCount Property (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Gets the total number of pages in the current Document.

Syntax

C#
protected Integer PageCount { get; }
VB
'Declaration
Protected Read Property PageCount As Integer

Access

Read only.


PageNumber Property (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Gets the page number for the current master page.

Syntax

C#
protected Integer PageNumber { get; }
VB
'Declaration
Protected Read Property PageNumber As Integer

Access

Read only.


PasswordChar Property (WPFPasswordBox)

Class

WPFPasswordBox.

Action

Gets the masking character for the PasswordBox.

Syntax

C#
protected String PasswordChar { get; }
VB
'Declaration
Protected Read Property PasswordChar As String

Access

Read only.


Paste Method (WPFPasswordBox)

Class

WPFPasswordBox.

Action

Pastes the contents of the clipboard over the current selection in the text editing control.

Syntax

C#
passwordBox.Paste()
VB
passwordBox.Paste()


Paste Method (WPFTextBoxBase)

Class

WPFTextBoxBase.

Action

Pastes the contents of the Clipboard over the current selection in the text editing control.

Syntax

C#
textBoxBase.Paste()
VB
textBoxBase.Paste()


Pause Method (WPFMediaElement)

Class

WPFMediaElement.

Action

Pauses media at the current position. This method has an effect only if the LoadedBehavior property is set to Manual.

Syntax

C#
mediaElement.Pause()
VB
mediaElement.Pause()


Placement Property (WPFContextMenu)

Class

WPFContextMenu.

Action

Gets the Placement property of a ContextMenu. This is a dependency property.

Syntax

C#
protected PlacementMode Placement { get; }
VB
'Declaration
Protected Read Property Placement As PlacementMode

Access

Read only.


PlacementRectangle Property (WPFContextMenu)

Class

WPFContextMenu.

Action

Gets the area relative to which the context menu is positioned when it opens. This is a dependency property.

Syntax

C#
protected Rectangle PlacementRectangle { get; }
VB
'Declaration
Protected Read Property PlacementRectangle As Rectangle

Access

Read only.


Play Method (WPFMediaElement)

Class

WPFMediaElement.

Action

Plays media from the current position. This method has an effect only if the LoadedBehavior property is set to Manual.

Syntax

C#
mediaElement.Play()
VB
mediaElement.Play()


PointFromScreen Method (WPFFrameworkElement)

Class

WPFFrameworkElement.

Action

Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual.

Syntax

C#
result = frameworkElement.PointFromScreen(point)
VB
result = frameworkElement.PointFromScreen(point)
Variable | Description
result | The converted Point. Point.
point | The Point value in screen coordinates. Point.


PointToScreen Method (WPFFrameworkElement)

Class

WPFFrameworkElement.

Action

Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates.

Syntax

C#
result = frameworkElement.PointToScreen(point)
VB
result = frameworkElement.PointToScreen(point)
Variable | Description
result | The converted Point. Point.
point | The Point value that represents the current coordinate system of the Visual. Point.


Position Property (WPFMediaElement)

Class

WPFMediaElement.

Action

Gets or sets the current position of progress through the media's playback time in seconds.

Syntax

C#
protected Double Position { get; set; }
VB
'Declaration
Protected ReadWrite Property Position As Double

Access

Read and write.


PreviousPage Method (WPFDocumentViewerBase)

Class

WPFDocumentViewerBase.

Action

Jumps to the previous page.

Syntax

C#
documentViewerBase.PreviousPage()
VB
documentViewerBase.PreviousPage()


PreviousPage Method (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Jumps to the previous page.

Syntax

C#
flowDocumentReader.PreviousPage()
VB
flowDocumentReader.PreviousPage()


Redo Method (WPFTextBoxBase)

Class

WPFTextBoxBase.

Action

Undoes the most recent undo command. In other words, redoes the most recent undo unit on the undo stack.

Syntax

C#
result = textBoxBase.Redo()
VB
result = textBoxBase.Redo()
Variable | Description
result | Boolean.


Refresh Method (WPFFrame)

Class

WPFFrame.

Action

Reloads the current content.

Syntax

C#
frame.Refresh()
VB
frame.Refresh()


Refresh Method (WPFNavigationWindow)

Class

WPFNavigationWindow.

Action

Reloads the current content.

Syntax

C#
navigationWindow.Refresh()
VB
navigationWindow.Refresh()


Resize Method (WPFColumnHeader)

Class

WPFColumnHeader.

Action

Resizes the column header.

Syntax

C#
columnHeader.Resize(value)
VB
columnHeader.Resize(value)
Variable | Description
value | The new width. Double.


Role Property (WPFMenuItem)

Class

WPFMenuItem.

Action

Gets a value that indicates the role of a MenuItem.

Syntax

C#
protected MenuItemRole Role { get; }
VB
'Declaration
Protected Read Property Role As MenuItemRole

Access

Read only.


ScrollIntoView Method (WPFDataGrid)

Class

WPFDataGrid.

Action

Scrolls the specified cell into view.

Syntax

C#
dataGrid.ScrollIntoView(row, [column])
VB
dataGrid.ScrollIntoView(row, [column])
Variable | Description
row | The row where to scroll to. ItemIdentifier.
column | Optional: The column where to scroll to. ItemIdentifier.


ScrollIntoView Method (WPFDataGridCell)

Class

WPFDataGridCell.

Action

Scrolls the cell into view.

Syntax

C#
dataGridCell.ScrollIntoView()
VB
dataGridCell.ScrollIntoView()


ScrollIntoView Method (WPFDataGridRow)

Class

WPFDataGridRow.

Action

Scrolls the row into view.

Syntax

C#
dataGridRow.ScrollIntoView()
VB
dataGridRow.ScrollIntoView()


ScrollIntoView Method (WPFListBox)

Class

WPFListBox.

Action

Scrolls an item into view.

Syntax

C#
listBox.ScrollIntoView(item)
VB
listBox.ScrollIntoView(item)
Variable | Description
item | The item to scroll into view. ItemIdentifier.


ScrollIntoView Method (WPFListBoxItem)

Class

WPFListBoxItem.

Action

Scrolls the item into the view.

Syntax

C#
listBoxItem.ScrollIntoView()
VB
listBoxItem.ScrollIntoView()


ScrollIntoView Method (WPFToolkitDataGrid)

Class

WPFToolkitDataGrid.

Action

Scrolls the specified cell into view.

Syntax

C#
toolkitDataGrid.ScrollIntoView(row, [column])
VB
toolkitDataGrid.ScrollIntoView(row, [column])
Variable | Description
row | The row where to scroll to. ItemIdentifier.
column | Optional: The column where to scroll to. ItemIdentifier.


ScrollIntoView Method (WPFToolkitDataGridCell)

Class

WPFToolkitDataGridCell.

Action

Scrolls the cell into view.

Syntax

C#
toolkitDataGridCell.ScrollIntoView()
VB
toolkitDataGridCell.ScrollIntoView()


ScrollIntoView Method (WPFToolkitDataGridRow)

Class

WPFToolkitDataGridRow.

Action

Scrolls the row into view.

Syntax

C#
toolkitDataGridRow.ScrollIntoView()
VB
toolkitDataGridRow.ScrollIntoView()


Scroll Method (IWPFScrollable)

Class

IWPFScrollable.

Action

Sets the value of the ScrollViewer to a specific scrolldestination.

Syntax

C#
iWPFScrollable.Scroll(scrolldestination)
VB
iWPFScrollable.Scroll(scrolldestination)
Variable | Description
scrolldestination | The value to set the ScrollViewer. ScrollDestination.


ScrollPageDown Method (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Scrolls down one viewport.

Syntax

C#
documentViewer.ScrollPageDown()
VB
documentViewer.ScrollPageDown()


ScrollPageLeft Method (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Scrolls left one viewport.

Syntax

C#
documentViewer.ScrollPageLeft()
VB
documentViewer.ScrollPageLeft()


ScrollPageRight Method (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Scrolls right one viewport.

Syntax

C#
documentViewer.ScrollPageRight()
VB
documentViewer.ScrollPageRight()


ScrollPageUp Method (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Scrolls up one viewport.

Syntax

C#
documentViewer.ScrollPageUp()
VB
documentViewer.ScrollPageUp()


ScrollToLine Method (WPFTextBox)

Class

WPFTextBox.

Action

Scrolls the line at the specified line index into view.

Syntax

C#
textBox.ScrollToLine(lineIndex)
VB
textBox.ScrollToLine(lineIndex)
Variable | Description
lineIndex | The zero-based line index of the line to scroll into view. Integer.


ScrollToPosition Method (IWPFScrollable)

Class

IWPFScrollable.

Action

Sets the position of the ScrollViewer.

Syntax

C#
iWPFScrollable.ScrollToPosition(offset, orientation)
VB
iWPFScrollable.ScrollToPosition(offset, orientation)
Variable | Description
offset | The value of the ScrollViewer. Double.
orientation | ScrollToPosition of either the horizontal or vertical scrollbar. Orientation.


SelectAll Method (WPFListBox)

Class

WPFListBox.

Action

Selects all the items in the ListBox.

Syntax

C#
listBox.SelectAll()
VB
listBox.SelectAll()


SelectAll Method (WPFPasswordBox)

Class

WPFPasswordBox.

Action

Selects the entire contents of the PasswordBox.

Syntax

C#
passwordBox.SelectAll()
VB
passwordBox.SelectAll()


SelectAll Method (WPFTextBoxBase)

Class

WPFTextBoxBase.

Action

Selects the entire contents of the text editing control.

Syntax

C#
textBoxBase.SelectAll()
VB
textBoxBase.SelectAll()


SelectCell Method (WPFDataGrid)

Class

WPFDataGrid.

Action

Selects the specified cell.

Syntax

C#
dataGrid.SelectCell(row, column, [modifiers])
VB
dataGrid.SelectCell(row, column, [modifiers])
Variable | Description
row | The row to select. ItemIdentifier.
column | The cell to select. ItemIdentifier.
modifiers | Optional: The modifier keys to press while selecting the cell. Use a modifier to select multiple items. ModifierKeys.


SelectCell Method (WPFToolkitDataGrid)

Class

WPFToolkitDataGrid.

Action

Selects the specified cell.

Syntax

C#
toolkitDataGrid.SelectCell(row, column, [modifiers])
VB
toolkitDataGrid.SelectCell(row, column, [modifiers])
Variable | Description
row | The row to select. ItemIdentifier.
column | The cell to select. ItemIdentifier.
modifiers | Optional: The modifier keys to press while selecting the cell. Use a modifier to select multiple items. ModifierKeys.


SelectDate Method (WPFCalendar)

Class

WPFCalendar.

Action

Selects the given date and clears the current selection.

Syntax

C#
calendar.SelectDate(dateToSelect)
VB
calendar.SelectDate(dateToSelect)
Variable | Description
dateToSelect | The date to select. DateTime?.


SelectDate Method (WPFDatePicker)

Class

WPFDatePicker.

Action

Selects the given date.

Syntax

C#
datePicker.SelectDate(dateToSelect)
VB
datePicker.SelectDate(dateToSelect)
Variable | Description
dateToSelect | The date to select. DateTime?.


SelectDate Method (WPFToolkitCalendar)

Class

WPFToolkitCalendar.

Action

Selects the given date and clears the current selection.

Syntax

C#
toolkitCalendar.SelectDate(dateToSelect)
VB
toolkitCalendar.SelectDate(dateToSelect)
Variable | Description
dateToSelect | The date to select. DateTime?.


SelectDate Method (WPFToolkitDatePicker)

Class

WPFToolkitDatePicker.

Action

Selects the given date.

Syntax

C#
toolkitDatePicker.SelectDate(dateToSelect)
VB
toolkitDatePicker.SelectDate(dateToSelect)
Variable | Description
dateToSelect | The date to select. DateTime?.


SelectDates Method (WPFCalendar)

Class

WPFCalendar.

Action

Selects the given dates and clears the current selection.

Syntax

C#
calendar.SelectDates(dates)
VB
calendar.SelectDates(dates)
Variable | Description
dates | The dates to select. List(Of DateTime?).


SelectDates Method (WPFToolkitCalendar)

Class

WPFToolkitCalendar.

Action

Selects the given dates and clears the current selection.

Syntax

C#
toolkitCalendar.SelectDates(dates)
VB
toolkitCalendar.SelectDates(dates)
Variable | Description
dates | The dates to select. List(Of DateTime?).


SelectedCell Property (WPFDataGrid)

Class

WPFDataGrid.

Action

Gets the selected cells in the data grid.

Syntax

C#
protected WPFDataGridCell SelectedCell { get; }
VB
'Declaration
Protected Read Property SelectedCell As WPFDataGridCell

Access

Read only.


SelectedCell Property (WPFToolkitDataGrid)

Class

WPFToolkitDataGrid.

Action

Gets the selected cells in the data grid.

Syntax

C#
protected WPFToolkitDataGridCell SelectedCell { get; }
VB
'Declaration
Protected Read Property SelectedCell As WPFToolkitDataGridCell

Access

Read only.


SelectedCells Property (WPFDataGrid)

Class

WPFDataGrid.

Action

Gets the list of cells that are currently selected.

Syntax

C#
protected List(Of WPFDataGridCell) SelectedCells { get; }
VB
'Declaration
Protected Read Property SelectedCells As List(Of WPFDataGridCell)

Access

Read only.


SelectedCells Property (WPFToolkitDataGrid)

Class

WPFToolkitDataGrid.

Action

Gets the list of cells that are currently selected.

Syntax

C#
protected List(Of WPFToolkitDataGridCell) SelectedCells { get; }
VB
'Declaration
Protected Read Property SelectedCells As List(Of WPFToolkitDataGridCell)

Access

Read only.


SelectedCellText Property (WPFDataGrid)

Class

WPFDataGrid.

Action

Gets the text of the selected cells in the data grid or an empty string if no cell is selected.

Syntax

C#
protected String SelectedCellText { get; }
VB
'Declaration
Protected Read Property SelectedCellText As String

Access

Read only.


SelectedCellText Property (WPFToolkitDataGrid)

Class

WPFToolkitDataGrid.

Action

Gets the text of the selected cells in the data grid or an empty string if no cell is selected.

Syntax

C#
protected String SelectedCellText { get; }
VB
'Declaration
Protected Read Property SelectedCellText As String

Access

Read only.


SelectedCellTexts Property (WPFDataGrid)

Class

WPFDataGrid.

Action

Gets the texts of the selected cells in the data grid or an empty list if no cells are selected.

Syntax

C#
protected List(Of String) SelectedCellTexts { get; }
VB
'Declaration
Protected Read Property SelectedCellTexts As List(Of String)

Access

Read only.


SelectedCellTexts Property (WPFToolkitDataGrid)

Class

WPFToolkitDataGrid.

Action

Gets the texts of the selected cells in the data grid or an empty list if no cells are selected.

Syntax

C#
protected List(Of String) SelectedCellTexts { get; }
VB
'Declaration
Protected Read Property SelectedCellTexts As List(Of String)

Access

Read only.


SelectedDate Property (WPFCalendar)

Class

WPFCalendar.

Action

Gets the currently selected date.

Syntax

C#
protected DateTime? SelectedDate { get; }
VB
'Declaration
Protected Read Property SelectedDate As DateTime?

Access

Read only.


SelectedDate Property (WPFDatePicker)

Class

WPFDatePicker.

Action

Gets the currently selected date.

Syntax

C#
protected DateTime? SelectedDate { get; }
VB
'Declaration
Protected Read Property SelectedDate As DateTime?

Access

Read only.


SelectedDate Property (WPFToolkitCalendar)

Class

WPFToolkitCalendar.

Action

Gets the currently selected date.

Syntax

C#
protected DateTime? SelectedDate { get; }
VB
'Declaration
Protected Read Property SelectedDate As DateTime?

Access

Read only.


SelectedDate Property (WPFToolkitDatePicker)

Class

WPFToolkitDatePicker.

Action

Gets the currently selected date.

Syntax

C#
protected DateTime? SelectedDate { get; }
VB
'Declaration
Protected Read Property SelectedDate As DateTime?

Access

Read only.


SelectedDates Property (WPFCalendar)

Class

WPFCalendar.

Action

Gets a list of selected dates.

Syntax

C#
protected List(Of DateTime?) SelectedDates { get; }
VB
'Declaration
Protected Read Property SelectedDates As List(Of DateTime?)

Access

Read only.


SelectedDates Property (WPFToolkitCalendar)

Class

WPFToolkitCalendar.

Action

Gets a list of selected dates.

Syntax

C#
protected List(Of DateTime?) SelectedDates { get; }
VB
'Declaration
Protected Read Property SelectedDates As List(Of DateTime?)

Access

Read only.


SelectedIndex Property (WPFSelector)

Class

WPFSelector.

Action

Gets the index of the first item in the current selection or returns negative one (-1) if the selection is empty. The value is zero-based.

Syntax

C#
protected Integer SelectedIndex { get; }
VB
'Declaration
Protected Read Property SelectedIndex As Integer

Access

Read only.


SelectedItemPath Property (WPFTreeView)

Class

WPFTreeView.

Action

Gets the selected item path or an empty item path if nothing is selected.

Syntax

C#
protected ItemPath SelectedItemPath { get; }
VB
'Declaration
Protected Read Property SelectedItemPath As ItemPath

Access

Read only.


SelectedItem Property (WPFSelector)

Class

WPFSelector.

Action

Gets the first item in the current selection or returns null (Nothing in Visual Basic) if the selection is empty.

Syntax

C#
protected WPFBase SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As WPFBase

Access

Read only.


SelectedItem Property (WPFTreeView)

Class

WPFTreeView.

Action

Gets the selected item or returns null (Nothing in Visual Basic) if the selection is empty.

Syntax

C#
protected WPFTreeViewItem SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As WPFTreeViewItem

Access

Read only.


SelectedItems Property (WPFListBox)

Class

WPFListBox.

Action

Gets the currently selected items. A complete list of items can be retrieved with the "Items" property.

Syntax

C#
protected List(Of WPFListBoxItem) SelectedItems { get; }
VB
'Declaration
Protected Read Property SelectedItems As List(Of WPFListBoxItem)

Access

Read only.


SelectedItems Property (WPFMultiSelector)

Class

WPFMultiSelector.

Action

Gets the items in the MultiSelector that are selected.

Syntax

C#
protected List(Of WPFListBoxItem) SelectedItems { get; }
VB
'Declaration
Protected Read Property SelectedItems As List(Of WPFListBoxItem)

Access

Read only.


SelectedItemText Property (WPFSelector)

Class

WPFSelector.

Action

Gets the text of the first item in the current selection or returns an empty string if the selection is empty.

Syntax

C#
protected String SelectedItemText { get; }
VB
'Declaration
Protected Read Property SelectedItemText As String

Access

Read only.


SelectedItemText Property (WPFTreeView)

Class

WPFTreeView.

Action

Gets the text of the selected item or an empty string if the selection is empty.

Syntax

C#
protected String SelectedItemText { get; }
VB
'Declaration
Protected Read Property SelectedItemText As String

Access

Read only.


SelectedItemTexts Property (WPFListBox)

Class

WPFListBox.

Action

Gets a list of string containing the text of every currently selected item.

Syntax

C#
protected List(Of String) SelectedItemTexts { get; }
VB
'Declaration
Protected Read Property SelectedItemTexts As List(Of String)

Access

Read only.


SelectedItemTexts Property (WPFMultiSelector)

Class

WPFMultiSelector.

Action

Gets the text of the items in the MultiSelector that are selected.

Syntax

C#
protected List(Of String) SelectedItemTexts { get; }
VB
'Declaration
Protected Read Property SelectedItemTexts As List(Of String)

Access

Read only.


SelectedText Property (WPFRichTextBox)

Class

WPFRichTextBox.

Action

Gets the content of the current selection in the text box. Getting this property returns a string copy of the current. Setting this property replaces the current selection with the specified string.

Syntax

C#
protected String SelectedText { get; }
VB
'Declaration
Protected Read Property SelectedText As String

Access

Read only.


SelectedText Property (WPFTextBox)

Class

WPFTextBox.

Action

Gets the content of the current selection in the text box. Getting this property returns a string copy of the current text. Setting this property replaces the current selection with the specified string.

Syntax

C#
protected String SelectedText { get; }
VB
'Declaration
Protected Read Property SelectedText As String

Access

Read only.


SelectionEnd Property (WPFSlider)

Class

WPFSlider.

Action

Gets the largest value of a specified selection for a Slider.

Syntax

C#
protected Double SelectionEnd { get; }
VB
'Declaration
Protected Read Property SelectionEnd As Double

Access

Read only.


SelectionLength Property (WPFRichTextBox)

Class

WPFRichTextBox.

Action

Gets a value indicating the number of characters in the current selection in the text box.

Syntax

C#
protected Integer SelectionLength { get; }
VB
'Declaration
Protected Read Property SelectionLength As Integer

Access

Read only.


SelectionLength Property (WPFTextBox)

Class

WPFTextBox.

Action

Gets a value that indicates the number of characters in the current selection in the text box.

Syntax

C#
protected Integer SelectionLength { get; }
VB
'Declaration
Protected Read Property SelectionLength As Integer

Access

Read only.


SelectionMode Property (WPFCalendar)

Class

WPFCalendar.

Action

Gets a value that indicates what kind of selections are allowed.

Syntax

C#
protected CalendarSelectionMode SelectionMode { get; }
VB
'Declaration
Protected Read Property SelectionMode As CalendarSelectionMode

Access

Read only.


SelectionMode Property (WPFDataGrid)

Class

WPFDataGrid.

Action

Gets a value that indicates how rows and cells are selected in the data grid.

Syntax

C#
protected DataGridSelectionMode SelectionMode { get; }
VB
'Declaration
Protected Read Property SelectionMode As DataGridSelectionMode

Access

Read only.


SelectionMode Property (WPFListBox)

Class

WPFListBox.

Action

Gets the selection behavior for a ListBox.

Syntax

C#
protected SelectionMode SelectionMode { get; }
VB
'Declaration
Protected Read Property SelectionMode As SelectionMode

Access

Read only.


SelectionMode Property (WPFToolkitCalendar)

Class

WPFToolkitCalendar.

Action

Gets a value that indicates what kind of selections are allowed.

Syntax

C#
protected CalendarSelectionMode SelectionMode { get; }
VB
'Declaration
Protected Read Property SelectionMode As CalendarSelectionMode

Access

Read only.


SelectionMode Property (WPFToolkitDataGrid)

Class

WPFToolkitDataGrid.

Action

Gets a value that indicates how rows and cells are selected in the data grid.

Syntax

C#
protected DataGridSelectionMode SelectionMode { get; }
VB
'Declaration
Protected Read Property SelectionMode As DataGridSelectionMode

Access

Read only.


Selection Property (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Gets the selected content of the DocumentViewer.

Syntax

C#
protected String Selection { get; }
VB
'Declaration
Protected Read Property Selection As String

Access

Read only.


Selection Property (WPFFlowDocumentPageViewer)

Class

WPFFlowDocumentPageViewer.

Action

Gets the selected content of the FlowDocumentPageViewer.

Syntax

C#
protected String Selection { get; }
VB
'Declaration
Protected Read Property Selection As String

Access

Read only.


Selection Property (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Gets the selected content of the FlowDocumentReader.

Syntax

C#
protected String Selection { get; }
VB
'Declaration
Protected Read Property Selection As String

Access

Read only.


Selection Property (WPFFlowDocumentScrollViewer)

Class

WPFFlowDocumentScrollViewer.

Action

Gets the selected content of the FlowDocumentScrollViewer.

Syntax

C#
protected String Selection { get; }
VB
'Declaration
Protected Read Property Selection As String

Access

Read only.


SelectionStart Property (WPFRichTextBox)

Class

WPFRichTextBox.

Action

Gets a character index for the beginning of the current selection.

Syntax

C#
protected Integer SelectionStart { get; }
VB
'Declaration
Protected Read Property SelectionStart As Integer

Access

Read only.


SelectionStart Property (WPFSlider)

Class

WPFSlider.

Action

Gets the smallest value of a specified selection for a Slider.

Syntax

C#
protected Double SelectionStart { get; }
VB
'Declaration
Protected Read Property SelectionStart As Double

Access

Read only.


SelectionStart Property (WPFTextBox)

Class

WPFTextBox.

Action

Gets a character index for the beginning of the current selection.

Syntax

C#
protected Integer SelectionStart { get; }
VB
'Declaration
Protected Read Property SelectionStart As Integer

Access

Read only.


SelectionUnit Property (WPFDataGrid)

Class

WPFDataGrid.

Action

Gets a value that indicates whether rows, cells, or both can be selected in the data grid.

Syntax

C#
protected DataGridSelectionUnit SelectionUnit { get; }
VB
'Declaration
Protected Read Property SelectionUnit As DataGridSelectionUnit

Access

Read only.


SelectionUnit Property (WPFToolkitDataGrid)

Class

WPFToolkitDataGrid.

Action

Gets a value that indicates whether rows, cells, or both can be selected in the data grid.

Syntax

C#
protected DataGridSelectionUnit SelectionUnit { get; }
VB
'Declaration
Protected Read Property SelectionUnit As DataGridSelectionUnit

Access

Read only.


Select Method (WPFButtonBase)

Class

WPFButtonBase.

Action

Selects the Button.

Syntax

C#
buttonBase.Select()
VB
buttonBase.Select()


Select Method (WPFDataGridCell)

Class

WPFDataGridCell.

Action

Selects the cell.

Syntax

C#
dataGridCell.Select()
VB
dataGridCell.Select()


Select Method (WPFDataGridRow)

Class

WPFDataGridRow.

Action

Selects the row.

Syntax

C#
dataGridRow.Select()
VB
dataGridRow.Select()


Select Method (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Selects a range of text.

Syntax

C#
documentViewer.Select(text, [occurrence])
VB
documentViewer.Select(text, [occurrence])
Variable | Description
text | The text to be selected. String.
occurrence | Optional: The zero based occurrence of the specified text to be selected. The value is zero-based. Integer.


Select Method (WPFFlowDocumentPageViewer)

Class

WPFFlowDocumentPageViewer.

Action

Selects a range of text.

Syntax

C#
flowDocumentPageViewer.Select(text, [occurrence])
VB
flowDocumentPageViewer.Select(text, [occurrence])
Variable | Description
text | The text to be selected. String.
occurrence | Optional: The zero based occurrence of the specified text to be selected. The value is zero-based. Integer.


Select Method (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Selects a range of text.

Syntax

C#
flowDocumentReader.Select(text, [occurrence])
VB
flowDocumentReader.Select(text, [occurrence])
Variable | Description
text | The text to be selected. String.
occurrence | Optional: The zero based occurrence of the specified text to be selected. The value is zero-based. Integer.


Select Method (WPFFlowDocumentScrollViewer)

Class

WPFFlowDocumentScrollViewer.

Action

Selects a range of text.

Syntax

C#
flowDocumentScrollViewer.Select(text, [occurrence])
VB
flowDocumentScrollViewer.Select(text, [occurrence])
Variable | Description
text | The text to be selected. String.
occurrence | Optional: The zero based occurrence of the specified text to be selected. The value is zero-based. Integer.


Select Method (WPFListBoxItem)

Class

WPFListBoxItem.

Action

Selects the ListBoxItem.

Syntax

C#
listBoxItem.Select()
VB
listBoxItem.Select()


Select Method (WPFMenuBase)

Class

WPFMenuBase.

Action

Selects a menu item.

Syntax

C#
menuBase.Select(item)
VB
menuBase.Select(item)
Variable | Description
item | The menu item to select. Can be either a top-level menu item or a menu item that can be found in a submenu. For selecting a menu item from a submenu separate the menu item names with a slash. The item can contain the wildcards '?' (matches one character) or '*' (matches 0 to many characters). ItemPath.

Examples

VB

' Select the 'Open' menu item from the 'File' menu
menu.Select("File/Open")


Select Method (WPFMenuItem)

Class

WPFMenuItem.

Action

Selects the menu item.

Syntax

C#
menuItem.Select()
VB
menuItem.Select()


Select Method (WPFRichTextBox)

Class

WPFRichTextBox.

Action

Selects a range of text in the text box.

Syntax

C#
richTextBox.Select(start, length)
VB
richTextBox.Select(start, length)
Variable | Description
start | The start position for the selection. Integer.
length | The number of characters to select from the start position. Integer.


Select Method (WPFSelector)

Class

WPFSelector.

Action

Selects an item in the ListBox. If the item is not visible, it is scrolled into view.

Syntax

C#
selector.Select(item, [modifiers])
VB
selector.Select(item, [modifiers])
Variable | Description
item | The item to select. ItemIdentifier.
modifiers | Optional: The modifier keys to press while selecting the item. Use a modifier to select multiple items in a multi-select ListBox. ModifierKeys.


Select Method (WPFTabItem)

Class

WPFTabItem.

Action

Selects the item.

Syntax

C#
tabItem.Select()
VB
tabItem.Select()


Select Method (WPFTextBox)

Class

WPFTextBox.

Action

Selects a range of text in the text box.

Syntax

C#
textBox.Select(start, length)
VB
textBox.Select(start, length)
Variable | Description
start | The zero-based character index of the first character in the selection. Integer.
length | The length of the selection, in characters. Integer.


Select Method (WPFToolkitDataGridCell)

Class

WPFToolkitDataGridCell.

Action

Selects the cell.

Syntax

C#
toolkitDataGridCell.Select()
VB
toolkitDataGridCell.Select()


Select Method (WPFToolkitDataGridRow)

Class

WPFToolkitDataGridRow.

Action

Selects the row.

Syntax

C#
toolkitDataGridRow.Select()
VB
toolkitDataGridRow.Select()


Select Method (WPFTreeView)

Class

WPFTreeView.

Action

Selects the specified item.

Syntax

C#
treeView.Select(item)
VB
treeView.Select(item)
Variable | Description
item | The item to select. ItemPath.


Select Method (WPFTreeViewItem)

Class

WPFTreeViewItem.

Action

Selects the item.

Syntax

C#
treeViewItem.Select()
VB
treeViewItem.Select()


SelectRange Method (WPFCalendar)

Class

WPFCalendar.

Action

Selects a range of dates.

Syntax

C#
calendar.SelectRange(startDate, endDate, [extend])
VB
calendar.SelectRange(startDate, endDate, [extend])
Variable | Description
startDate | The start date of the selection. DateTime?.
endDate | The end date of the selection. DateTime?.
extend | Optional: Whether to extend the currently present selection. Boolean.


SelectRange Method (WPFToolkitCalendar)

Class

WPFToolkitCalendar.

Action

Selects a range of dates.

Syntax

C#
toolkitCalendar.SelectRange(startDate, endDate, [extend])
VB
toolkitCalendar.SelectRange(startDate, endDate, [extend])
Variable | Description
startDate | The start date of the selection. DateTime?.
endDate | The end date of the selection. DateTime?.
extend | Optional: Whether to extend the currently present selection. Boolean.


SetDisplayDate Method (WPFCalendar)

Class

WPFCalendar.

Action

Sets the date to display.

Syntax

C#
calendar.SetDisplayDate(dateToDisplay)
VB
calendar.SetDisplayDate(dateToDisplay)
Variable | Description
dateToDisplay | The date to set. DateTime?.


SetDisplayDate Method (WPFToolkitCalendar)

Class

WPFToolkitCalendar.

Action

Sets the date to display.

Syntax

C#
toolkitCalendar.SetDisplayDate(dateToDisplay)
VB
toolkitCalendar.SetDisplayDate(dateToDisplay)
Variable | Description
dateToDisplay | The date to set. DateTime?.


SetIndeterminate Method (WPFToggleButton)

Class

WPFToggleButton.

Action

Set the button to the indeterminate state.

Syntax

C#
toggleButton.SetIndeterminate()
VB
toggleButton.SetIndeterminate()


SetText Method (WPFPasswordBox)

Class

WPFPasswordBox.

Action

Sets the text.

Syntax

C#
passwordBox.SetText(text)
VB
passwordBox.SetText(text)
Variable | Description
text | The text to set. String.


SetText Method (WPFRichTextBox)

Class

WPFRichTextBox.

Action

Sets the text.

Syntax

C#
richTextBox.SetText(text)
VB
richTextBox.SetText(text)
Variable | Description
text | The text to set. String.


SetText Method (WPFTextBox)

Class

WPFTextBox.

Action

Sets the text.

Syntax

C#
textBox.SetText(text)
VB
textBox.SetText(text)
Variable | Description
text | The text to set. String.


SetValue Method (WPFScrollBar)

Class

WPFScrollBar.

Action

Sets the value of the ScrollBar.

Syntax

C#
scrollBar.SetValue(value)
VB
scrollBar.SetValue(value)
Variable | Description
value | The value the ScrollBar is set to. Double.


SetValue Method (WPFSlider)

Class

WPFSlider.

Action

Sets the value of the Slider.

Syntax

C#
slider.SetValue(value)
VB
slider.SetValue(value)
Variable | Description
value | The value the Slider is set to. Double.


SetValueToMaximum Method (WPFScrollBar)

Class

WPFScrollBar.

Action

Sets the ScrollBar to maximum.

Syntax

C#
scrollBar.SetValueToMaximum()
VB
scrollBar.SetValueToMaximum()


SetValueToMaximum Method (WPFSlider)

Class

WPFSlider.

Action

Sets the Slider to the maximum position.

Syntax

C#
slider.SetValueToMaximum()
VB
slider.SetValueToMaximum()


SetValueToMinimum Method (WPFScrollBar)

Class

WPFScrollBar.

Action

Sets the ScrollBar to minimum.

Syntax

C#
scrollBar.SetValueToMinimum()
VB
scrollBar.SetValueToMinimum()


SetValueToMinimum Method (WPFSlider)

Class

WPFSlider.

Action

Sets the Slider to the minimum position.

Syntax

C#
slider.SetValueToMinimum()
VB
slider.SetValueToMinimum()


SmallChange Property (WPFRangeBase)

Class

WPFRangeBase.

Action

Gets a value to be added to or subtracted from the value of a RangeBase control.

Syntax

C#
protected Double SmallChange { get; }
VB
'Declaration
Protected Read Property SmallChange As Double

Access

Read only.


Source Property (WPFFrame)

Class

WPFFrame.

Action

Gets the uniform resource identifier (URI) of the current content.

Syntax

C#
protected String Source { get; }
VB
'Declaration
Protected Read Property Source As String

Access

Read only.


Source Property (WPFNavigationWindow)

Class

WPFNavigationWindow.

Action

Gets the uniform resource identifier (URI) of the current content.

Syntax

C#
protected String Source { get; }
VB
'Declaration
Protected Read Property Source As String

Access

Read only.


SpeedRatio Property (WPFMediaElement)

Class

WPFMediaElement.

Action

Gets or sets the speed ratio of the media.

Syntax

C#
protected Double SpeedRatio { get; set; }
VB
'Declaration
Protected ReadWrite Property SpeedRatio As Double

Access

Read and write.


State Property (WPFToggleButton)

Class

WPFToggleButton.

Action

Gets the state of the button.

Syntax

C#
protected ButtonState State { get; }
VB
'Declaration
Protected Read Property State As ButtonState

Access

Read only.


StaysOpenOnClick Property (WPFMenuItem)

Class

WPFMenuItem.

Action

Gets a value that indicates that the submenu in which this MenuItem is located should not close when this item is clicked.

Syntax

C#
protected Boolean StaysOpenOnClick { get; }
VB
'Declaration
Protected Read Property StaysOpenOnClick As Boolean

Access

Read only.


StaysOpenOnEdit Property (WPFComboBox)

Class

WPFComboBox.

Action

Gets whether a ComboBox that is open and displays a drop-down control will remain open when a user clicks the TextBox.

Syntax

C#
protected Boolean StaysOpenOnEdit { get; }
VB
'Declaration
Protected Read Property StaysOpenOnEdit As Boolean

Access

Read only.


StaysOpen Property (WPFContextMenu)

Class

WPFContextMenu.

Action

Gets a value that indicates whether the ContextMenu should close automatically. This is a dependency property.

Syntax

C#
protected Boolean StaysOpen { get; }
VB
'Declaration
Protected Read Property StaysOpen As Boolean

Access

Read only.


StaysOpen Property (WPFPopup)

Class

WPFPopup.

Action

Gets a value that indicates whether the Popup control closes when the control is no longer in focus.

Syntax

C#
protected Boolean StaysOpen { get; }
VB
'Declaration
Protected Read Property StaysOpen As Boolean

Access

Read only.


StopLoading Method (WPFFrame)

Class

WPFFrame.

Action

Stops further downloading of content for the current navigation request.

Syntax

C#
frame.StopLoading()
VB
frame.StopLoading()


StopLoading Method (WPFNavigationWindow)

Class

WPFNavigationWindow.

Action

Stops further downloading of content for the current navigation request.

Syntax

C#
navigationWindow.StopLoading()
VB
navigationWindow.StopLoading()


Stop Method (WPFMediaElement)

Class

WPFMediaElement.

Action

Stops and resets media to be played from the beginning. This method has an effect only if the LoadedBehavior property is set to Manual.

Syntax

C#
mediaElement.Stop()
VB
mediaElement.Stop()


SwitchViewingMode Method (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Switches the viewing mode.

Syntax

C#
flowDocumentReader.SwitchViewingMode(viewingMode)
VB
flowDocumentReader.SwitchViewingMode(viewingMode)
Variable | Description
viewingMode | The viewing mode to switch to. ViewingMode.


TabIndex Property (WPFControl)

Class

WPFControl.

Action

Gets a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key.

Syntax

C#
protected Integer TabIndex { get; }
VB
'Declaration
Protected Read Property TabIndex As Integer

Access

Read only.


TargetName Property (WPFHyperlink)

Class

WPFHyperlink.

Action

Gets the name of a target window or frame for the Hyperlink.

Syntax

C#
protected String TargetName { get; }
VB
'Declaration
Protected Read Property TargetName As String

Access

Read only.


TextAlignment Property (WPFTextBlock)

Class

WPFTextBlock.

Action

Gets a value that indicates the horizontal alignment of text content.

Syntax

C#
protected TextAlignment TextAlignment { get; }
VB
'Declaration
Protected Read Property TextAlignment As TextAlignment

Access

Read only.


TextAlignment Property (WPFTextBox)

Class

WPFTextBox.

Action

Gets the horizontal alignment of the contents of the text box.

Syntax

C#
protected TextAlignment TextAlignment { get; }
VB
'Declaration
Protected Read Property TextAlignment As TextAlignment

Access

Read only.


TextTrimming Property (WPFTextBlock)

Class

WPFTextBlock.

Action

Gets the text trimming behavior to employ when content overflows the content area.

Syntax

C#
protected TextTrimming TextTrimming { get; }
VB
'Declaration
Protected Read Property TextTrimming As TextTrimming

Access

Read only.


TextWrapping Property (WPFTextBlock)

Class

WPFTextBlock.

Action

Gets a value that indicates how the TextBlock wraps text.

Syntax

C#
protected TextWrapping TextWrapping { get; }
VB
'Declaration
Protected Read Property TextWrapping As TextWrapping

Access

Read only.


TextWrapping Property (WPFTextBox)

Class

WPFTextBox.

Action

Gets a value indicating how the text box should wrap text.

Syntax

C#
protected TextWrapping TextWrapping { get; }
VB
'Declaration
Protected Read Property TextWrapping As TextWrapping

Access

Read only.


TickFrequency Property (WPFSlider)

Class

WPFSlider.

Action

Gets the interval between tick marks.

Syntax

C#
protected Double TickFrequency { get; }
VB
'Declaration
Protected Read Property TickFrequency As Double

Access

Read only.


TickPlacement Property (WPFSlider)

Class

WPFSlider.

Action

Gets the position of tick marks with respect to the Track of the Slider.

Syntax

C#
protected TickPlacement TickPlacement { get; }
VB
'Declaration
Protected Read Property TickPlacement As TickPlacement

Access

Read only.


Title Property (WPFPage)

Class

WPFPage.

Action

Gets the title of the Page.

Syntax

C#
protected String Title { get; }
VB
'Declaration
Protected Read Property Title As String

Access

Read only.


Title Property (WPFWindow)

Class

WPFWindow.

Action

Gets a window's title.

Syntax

C#
protected String Title { get; }
VB
'Declaration
Protected Read Property Title As String

Access

Read only.


ToggleFindDialog Method (WPFFlowDocumentPageViewer)

Class

WPFFlowDocumentPageViewer.

Action

Toggles the Find dialog.

Syntax

C#
flowDocumentPageViewer.ToggleFindDialog()
VB
flowDocumentPageViewer.ToggleFindDialog()


ToggleFindDialog Method (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Toggles the Find dialog.

Syntax

C#
flowDocumentReader.ToggleFindDialog()
VB
flowDocumentReader.ToggleFindDialog()


ToggleFindDialog Method (WPFFlowDocumentScrollViewer)

Class

WPFFlowDocumentScrollViewer.

Action

Toggles the Find dialog.

Syntax

C#
flowDocumentScrollViewer.ToggleFindDialog()
VB
flowDocumentScrollViewer.ToggleFindDialog()


ToolBars Property (WPFToolBarTray)

Class

WPFToolBarTray.

Action

Gets the collection of ToolBar elements in the ToolBarTray.

Syntax

C#
protected List(Of WPFToolBar) ToolBars { get; }
VB
'Declaration
Protected Read Property ToolBars As List(Of WPFToolBar)

Access

Read only.


ToolTip Property (WPFBase)

Class

WPFBase.

Action

Gets the tool tip that is displayed for this element in the user interface (UI).

Syntax

C#
protected String ToolTip { get; }
VB
'Declaration
Protected Read Property ToolTip As String

Access

Read only.


Uncheck Method (WPFMenuBase)

Class

WPFMenuBase.

Action

Unchecks a menu item.

Syntax

C#
menuBase.Uncheck(item)
VB
menuBase.Uncheck(item)
Variable | Description
item | The menu item to uncheck. Can be either a top-level menu item or a menu item that can be found in a submenu. For unchecking a menu item from a submenu separate the menu item names with a slash. The item can contain the wildcards '?' (matches one character) or '*' (matches 0 to many characters). ItemPath.

Examples

VB

' Uncheck the menu item 'Word Wrap' from the 'Format' menu
menu.Uncheck("Format/Word Wrap")


Uncheck Method (WPFMenuItem)

Class

WPFMenuItem.

Action

Unchecks the menu item.

Syntax

C#
menuItem.Uncheck()
VB
menuItem.Uncheck()


Uncheck Method (WPFToggleButton)

Class

WPFToggleButton.

Action

Unchecks the button.

Syntax

C#
toggleButton.Uncheck()
VB
toggleButton.Uncheck()


Undo Method (WPFTextBoxBase)

Class

WPFTextBoxBase.

Action

Undoes the most recent undo command. In other words, undoes the most recent undo unit on the undo stack.

Syntax

C#
result = textBoxBase.Undo()
VB
result = textBoxBase.Undo()
Variable | Description
result | Boolean.


VerticalOffset Property (WPFContextMenu)

Class

WPFContextMenu.

Action

Gets the vertical distance between the target origin and the popup alignment point. This is a dependency property.

Syntax

C#
protected Double VerticalOffset { get; }
VB
'Declaration
Protected Read Property VerticalOffset As Double

Access

Read only.


VerticalOffset Property (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Gets the vertical scroll position.

Syntax

C#
protected Double VerticalOffset { get; }
VB
'Declaration
Protected Read Property VerticalOffset As Double

Access

Read only.


VerticalScrollBarVisibility Property (WPFTextBoxBase)

Class

WPFTextBoxBase.

Action

Gets a value that indicates whether a vertical scroll bar is shown.

Syntax

C#
protected ScrollBarVisibility VerticalScrollBarVisibility { get; }
VB
'Declaration
Protected Read Property VerticalScrollBarVisibility As ScrollBarVisibility

Access

Read only.


ViewingMode Property (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Gets the viewing mode for the FlowDocumentReader.

Syntax

C#
protected ViewingMode ViewingMode { get; }
VB
'Declaration
Protected Read Property ViewingMode As ViewingMode

Access

Read only.


ViewportSize Property (WPFScrollBar)

Class

WPFScrollBar.

Action

Gets the amount of the scrollable content that is currently visible. This is a dependency property.

Syntax

C#
protected Double ViewportSize { get; }
VB
'Declaration
Protected Read Property ViewportSize As Double

Access

Read only.


VisibleItemPaths Property (WPFTreeView)

Class

WPFTreeView.

Action

Gets the visible items in the tree as item paths.

Syntax

C#
protected List(Of ItemPath) VisibleItemPaths { get; }
VB
'Declaration
Protected Read Property VisibleItemPaths As List(Of ItemPath)

Access

Read only.


Volume Property (WPFMediaElement)

Class

WPFMediaElement.

Action

Gets or sets the media's volume.

Syntax

C#
protected Double Volume { get; set; }
VB
'Declaration
Protected ReadWrite Property Volume As Double

Access

Read and write.


ZoomIncrement Property (WPFFlowDocumentPageViewer)

Class

WPFFlowDocumentPageViewer.

Action

Gets the zoom increment.

Syntax

C#
protected Double ZoomIncrement { get; }
VB
'Declaration
Protected Read Property ZoomIncrement As Double

Access

Read only.


ZoomIncrement Property (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Gets the zoom increment.

Syntax

C#
protected Double ZoomIncrement { get; }
VB
'Declaration
Protected Read Property ZoomIncrement As Double

Access

Read only.


ZoomIncrement Property (WPFFlowDocumentScrollViewer)

Class

WPFFlowDocumentScrollViewer.

Action

Gets the zoom increment.

Syntax

C#
protected Double ZoomIncrement { get; }
VB
'Declaration
Protected Read Property ZoomIncrement As Double

Access

Read only.


Zoom Property (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Gets the document zoom percentage.

Syntax

C#
protected Double Zoom { get; }
VB
'Declaration
Protected Read Property Zoom As Double

Access

Read only.


Zoom Property (WPFFlowDocumentPageViewer)

Class

WPFFlowDocumentPageViewer.

Action

Gets the current zoom level for the FlowDocumentPageViewer.

Syntax

C#
protected Double Zoom { get; }
VB
'Declaration
Protected Read Property Zoom As Double

Access

Read only.


Zoom Property (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Gets the current zoom level for the FlowDocumentReader.

Syntax

C#
protected Double Zoom { get; }
VB
'Declaration
Protected Read Property Zoom As Double

Access

Read only.


Zoom Property (WPFFlowDocumentScrollViewer)

Class

WPFFlowDocumentScrollViewer.

Action

Gets the current zoom level for the FlowDocumentScrollViewer.

Syntax

C#
protected Double Zoom { get; }
VB
'Declaration
Protected Read Property Zoom As Double

Access

Read only.


ZoomToActualSize Method (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Zooms to 100%.

Syntax

C#
documentViewer.ZoomToActualSize()
VB
documentViewer.ZoomToActualSize()


AcceptAlert Method (BrowserWindow)

Class

BrowserWindow.

Action

Accepts a JavaScript alert by pressing OK.

Syntax

C#
browserWindow.AcceptAlert([promptInput])
VB
browserWindow.AcceptAlert([promptInput])
Variable | Description
promptInput | Optional: If the JavaScript alert is a prompt, this text is passed to the alert. String.


AllowsMultiSelect Property (DomListBox)

Class

DomListBox.

Action

Gets or sets whether the control is multiselectable.

Syntax

C#
protected Boolean AllowsMultiSelect { get; set; }
VB
'Declaration
Protected ReadWrite Property AllowsMultiSelect As Boolean

Access

Read and write.


Back Method (BrowserWindow)

Class

BrowserWindow.

Action

Goes back in the history.

Syntax

C#
browserWindow.Back()
VB
browserWindow.Back()


CaptureFullPageBitmap Method (BrowserWindow)

Class

BrowserWindow.

Action

Capture a screenshot of the whole web page and save it as a file to the specified path. The filename extension determines the file type. Possible extensions are .jpg, .jpeg, .png, and .bmp.

Syntax

C#
browserWindow.CaptureFullPageBitmap(path)
VB
browserWindow.CaptureFullPageBitmap(path)
Variable | Description
path | The file path to the generated image. The filename extension determines the file type. Possible extensions are .jpg, .jpeg, .png, and .bmp. String.


Check Method (DomCheckBox)

Class

DomCheckBox.

Action

Checks the check box.

Syntax

C#
checkBox.Check()
VB
checkBox.Check()


ClearCache Method (BrowserApplication)

Class

BrowserApplication.

Action

Clears the browser's cache.

This method is only supported for Internet Explorer.

Syntax

C#
webBrowser.ClearCache([option])
VB
webBrowser.ClearCache([option])
Variable | Description
option | Optional: 0: Delete all. 1: Delete temporary internet files. 3: Delete cookies. Integer.


ClearText Method (DomTextField)

Class

DomTextField.

Action

Clears the textfield's text.

Syntax

C#
textField.ClearText()
VB
textField.ClearText()


Close Method (BrowserWindow)

Class

BrowserWindow.

Action

Close a modal browser dialog, a tab of the browser, or the browser itself if it is the last tab (or IE6).

Syntax

C#
browserWindow.Close()
VB
browserWindow.Close()


CloseOtherTabs Method (BrowserApplication)

Class

BrowserApplication.

Action

Closes all tabs except the active one. When several tabs are open, Internet Explorer only displays some of the tabs and scroll buttons. This method closes all other tabs except for the selected one, including the tabs that are not currently visible. This method is not supported for mobile Web applications.

Syntax

C#
webBrowser.CloseOtherTabs()
VB
webBrowser.CloseOtherTabs()


CloseTab Method (BrowserApplication)

Class

BrowserApplication.

Action

Closes the specified tab. If no tab is specified, the active tab is closed. When several tabs are open, Internet Explorer only displays some of the tabs and scroll buttons. As a result, only the currently visible tabs work with this method, which affects index semantics. For example, only the currently visible tabs can be closed. Index 0 identifies the first visible tab. This method is not supported for mobile Web applications.

Syntax

C#
result = webBrowser.CloseTab([tab])
VB
result = webBrowser.CloseTab([tab])
Variable | Description
result | The active BrowserWindow after closing the tab. BrowserWindow.
tab | Optional: The tab to close. A tab name may contain the wildcards '*' and '?'. ItemIdentifier.


DismissAlert Method (BrowserWindow)

Class

BrowserWindow.

Action

Dismisses a JavaScript alert.

Syntax

C#
browserWindow.DismissAlert()
VB
browserWindow.DismissAlert()


DomClick Method (DomElement)

Class

DomElement.

Action

Invokes a click using the DOM API. Alternatively you can invoke the Click function which will use low level replay for DomElements and subclasses.

Syntax

C#
element.DomClick([button, pos])
VB
element.DomClick([button, pos])
Variable | Description
button | Optional: The mouse button to press. Values include: 1=left, 2=right,3=center,... MouseButton.
pos | Optional: The coordinates (relative to the window) at which to click. Point.


DomDoubleClick Method (DomElement)

Class

DomElement.

Action

Invokes a double click using the DOM API. Alternatively you can invoke the DoubleClick function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications.

Syntax

C#
element.DomDoubleClick([button, pos, modifiers])
VB
element.DomDoubleClick([button, pos, modifiers])
Variable | Description
button | Optional: The mouse button to press. Values include: 1=left, 2=right,3=center,... MouseButton.
pos | Optional: The coordinates (relative to the window) at which to click. Point.
modifiers | Optional: currently has no effect, and will be removed in future versions of Silk Test. ModifierKeys.


DomMouseMove Method (DomElement)

Class

DomElement.

Action

Invokes a mouse move using the DOM API. Alternatively you can use MouseMove function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications.

Syntax

C#
element.DomMouseMove([pos])
VB
element.DomMouseMove([pos])
Variable | Description
pos | Optional: The coordinates (relative to the window) of the new location. Point.


ExecuteJavaScript Method (BrowserWindow)

Class

BrowserWindow.

Action

Evaluates JavaScript code within the top-level document context.

Syntax

C#
browserWindow.ExecuteJavaScript(code)
VB
browserWindow.ExecuteJavaScript(code)
Variable | Description
code | The JavaScript code to evaluate. String.


ExecuteJavaScript Method (DomElement)

Class

DomElement.

Action

Evaluates the given JavaScript code within the parent document's context.

Syntax

C#
element.ExecuteJavaScript(code, [elementName])
VB
element.ExecuteJavaScript(code, [elementName])
Variable | Description
code | The JavaScript code to evaluate. String.
elementName | Optional: An optional name for the current element that can be used in the script, such as 'alert(currentElement.tagName);' opens a message box and displays the tag name of the current element. String.


ExistsTab Method (BrowserApplication)

Class

BrowserApplication.

Action

Returns true if the tab exists and false otherwise. This method is not supported for mobile Web applications.

Syntax

C#
result = webBrowser.ExistsTab(tab)
VB
result = webBrowser.ExistsTab(tab)
Variable | Description
result | True if the tab exists and false otherwise. Boolean.
tab | The item identifier to locate the tab. ItemIdentifier.


Forward Method (BrowserWindow)

Class

BrowserWindow.

Action

Goes forward in the history.

Syntax

C#
browserWindow.Forward()
VB
browserWindow.Forward()


GetActiveTab Method (BrowserApplication)

Class

BrowserApplication.

Action

The GetActiveTab method is deprecated. In Silk Test 2011 or later use the GetSelectedTab method instead.

Returns the active tab. This method is not supported for mobile Web applications.

Syntax

C#
activeTab = webBrowser.GetActiveTab()
VB
activeTab = webBrowser.GetActiveTab()
Variable | Description
activeTab | The BrowserWindow that is currently active. BrowserWindow.


GetAlertText Method (BrowserWindow)

Class

BrowserWindow.

Action

Retrieves the message text of a JavaScript alert.

Syntax

C#
alertText = browserWindow.GetAlertText()
VB
alertText = browserWindow.GetAlertText()
Variable | Description
alertText | String.


GetBrowserMajorVersion Method (BrowserWindow)

Class

BrowserWindow.

Action

Returns the browser's major version number.

Syntax

C#
browserMajorVersion = browserWindow.GetBrowserMajorVersion()
VB
browserMajorVersion = browserWindow.GetBrowserMajorVersion()
Variable | Description
browserMajorVersion | Integer.


GetCellCount Method (DomTableRow)

Class

DomTableRow.

Action

Returns the number of cells in this table row.

Syntax

C#
cellCount = tableRow.GetCellCount()
VB
cellCount = tableRow.GetCellCount()
Variable | Description
cellCount | Integer.


GetCell Method (DomTable)

Class

DomTable.

Action

Returns the specified cell.

Syntax

C#
cell = table.GetCell(row, col)
VB
cell = table.GetCell(row, col)
Variable | Description
cell | DomElement.
row | Index of the row. ItemIdentifier.
col | Index of the column. ItemIdentifier.


GetCell Method (DomTableRow)

Class

DomTableRow.

Action

Returns the DOM element in the given cell.

Syntax

C#
cell = tableRow.GetCell(itemIdentifier)
VB
cell = tableRow.GetCell(itemIdentifier)
Variable | Description
cell | DomElement.
itemIdentifier | Index of the cell. ItemIdentifier.


GetCellText Method (DomTable)

Class

DomTable.

Action

Returns the content of a cell element.

Syntax

C#
cellText = table.GetCellText(row, col)
VB
cellText = table.GetCellText(row, col)
Variable | Description
cellText | String.
row | Index of the row. ItemIdentifier.
col | Index of the column. ItemIdentifier.


GetColumnCount Method (DomTable)

Class

DomTable.

Action

Number of columns of the table.

Syntax

C#
columnCount = table.GetColumnCount()
VB
columnCount = table.GetColumnCount()
Variable | Description
columnCount | Integer.


GetCssStyle Method (DomElement)

Class

DomElement.

Action

Retrieves the computed CSS style with the specified style name.

Syntax

C#
cssStyle = element.GetCssStyle(styleName)
VB
cssStyle = element.GetCssStyle(styleName)
Variable | Description
cssStyle | String.
styleName | The CSS style name, for example 'text-decoration'. String.


GetDomAttributeList Method (DomElement)

Class

DomElement.

Action

Returns the names of all DOM attributes that are available for this element. This method is not supported for mobile Web applications.

Syntax

C#
domAttributeList = element.GetDomAttributeList([specifiedOnly])
VB
domAttributeList = element.GetDomAttributeList([specifiedOnly])
Variable | Description
domAttributeList | List(Of String).
specifiedOnly | Optional: return only attributes specified for that DOM element. Since IE9 this is always true. Boolean.


GetDomAttribute Method (DomElement)

Class

DomElement.

Action

Gets the value of an object specific DOM attribute.

Syntax

C#
domAttribute = element.GetDomAttribute(attributeName)
VB
domAttribute = element.GetDomAttribute(attributeName)
Variable | Description
domAttribute | The value of the attribute. Object.
attributeName | The name of the attribute. String.


GetHtmlRect Method (BrowserWindow)

Class

BrowserWindow.

Action

Retrieves the rectangle of the BrowserWindow in HTML pixels. The click function also uses HTML pixel coordinates for all DomElements. We recommend to use GetHtmlRect for all position calculations within the browser. This will ensure that your scripts are cross-browser capable and your position calculations are not affected by changing zoom levels on mobile browsers.

Syntax

C#
htmlRect = browserWindow.GetHtmlRect()
VB
htmlRect = browserWindow.GetHtmlRect()
Variable | Description
htmlRect | Rectangle.


GetHtmlRect Method (DomElement)

Class

DomElement.

Action

Retrieves the rectangle of a DomElement relative to the BrowserWindow in HTML pixels. In contrast to the screen coordinates that are provided by the GetRect function, the coordinates provided by GetHtmlRect are not affected by the zoom level on mobile browsers. The click function also uses HTML pixel coordinates for all DomElements. We recommend to use GetHtmlRect for all position calculations within the browser. This will ensure that your scripts are cross-browser capable and your position calculations are not effected by changing zoom levels on mobile browsers.

Syntax

C#
htmlRect = element.GetHtmlRect()
VB
htmlRect = element.GetHtmlRect()
Variable | Description
htmlRect | Rectangle.


GetPageSource Method (BrowserWindow)

Class

BrowserWindow.

Action

Returns the page source of the web site.

Syntax

C#
pageSource = browserWindow.GetPageSource()
VB
pageSource = browserWindow.GetPageSource()
Variable | Description
pageSource | String.


GetRowCount Method (DomTable)

Class

DomTable.

Action

Returns the number of rows.

Syntax

C#
rowCount = table.GetRowCount()
VB
rowCount = table.GetRowCount()
Variable | Description
rowCount | Integer.


GetRow Method (DomTable)

Class

DomTable.

Action

Returns the DOM element for the specified row.

Syntax

C#
row = table.GetRow(itemIdentifier)
VB
row = table.GetRow(itemIdentifier)
Variable | Description
row | DomTableRow.
itemIdentifier | Index of the row. ItemIdentifier.


GetRows Method (DomTable)

Class

DomTable.

Action

Returns a list of rows (DomTableRows).

Syntax

C#
rows = table.GetRows()
VB
rows = table.GetRows()
Variable | Description
rows | List(Of DomTableRow).


GetRowText Method (DomTable)

Class

DomTable.

Action

Returns the content of all cell elements of a specified row.

Syntax

C#
rowText = table.GetRowText(row)
VB
rowText = table.GetRowText(row)
Variable | Description
rowText | List(Of String).
row | Index of the row. ItemIdentifier.


GetSelectedTabIndex Method (BrowserApplication)

Class

BrowserApplication.

Action

Returns the index of the active tab. When several tabs are open, Internet Explorer only displays some of the tabs and scroll buttons. As a result, this method only returns the index relative to the currently visible tabs. Index 0 identifies the first visible tab. This method is not supported for mobile Web applications.

Syntax

C#
selectedTabIndex = webBrowser.GetSelectedTabIndex()
VB
selectedTabIndex = webBrowser.GetSelectedTabIndex()
Variable | Description
selectedTabIndex | Integer.


GetSelectedTab Method (BrowserApplication)

Class

BrowserApplication.

Action

Returns the currently selected tab. This method is not supported for mobile Web applications.

Syntax

C#
selectedTab = webBrowser.GetSelectedTab()
VB
selectedTab = webBrowser.GetSelectedTab()
Variable | Description
selectedTab | The BrowserWindow that is currently selected. BrowserWindow.


GetSelectedTabName Method (BrowserApplication)

Class

BrowserApplication.

Action

Returns the name of the active tab. This method is not supported for mobile Web applications.

Syntax

C#
selectedTabName = webBrowser.GetSelectedTabName()
VB
selectedTabName = webBrowser.GetSelectedTabName()
Variable | Description
selectedTabName | String.


GetTabCount Method (BrowserApplication)

Class

BrowserApplication.

Action

Returns the number of open tabs. When several tabs are open, Internet Explorer only displays some of the tabs and scroll buttons. As a result, this method only returns the number of currently visible tabs. This method is not supported for mobile Web applications.

Syntax

C#
tabCount = webBrowser.GetTabCount()
VB
tabCount = webBrowser.GetTabCount()
Variable | Description
tabCount | Integer.


GetText Method (DomElement)

Class

DomElement.

Action

Gets the visible text of a DOM element.

Syntax

C#
text = element.GetText()
VB
text = element.GetText()
Variable | Description
text | String.


GetUrl Method (BrowserWindow)

Class

BrowserWindow.

Action

Returns the URL for the main document.

Syntax

C#
url = browserWindow.GetUrl()
VB
url = browserWindow.GetUrl()
Variable | Description
url | String.


GetUserAgent Method (BrowserWindow)

Class

BrowserWindow.

Action

Returns the browser's user agent string.

Syntax

C#
userAgent = browserWindow.GetUserAgent()
VB
userAgent = browserWindow.GetUserAgent()
Variable | Description
userAgent | String.


Highlight Method (DomElement)

Class

DomElement.

Action

Highlights a DOM element.

Syntax

C#
element.Highlight(foregroundColor, backgroundColor)
VB
element.Highlight(foregroundColor, backgroundColor)
Variable | Description
foregroundColor | Foreground color for highlighted DOM element. You can use any valid HTML color, for example red or #ff0000. String.
backgroundColor | Background color for highlighted DOM element. You can use any valid HTML color, for example red or #ff0000. String.


IsAlertPresent Method (BrowserWindow)

Class

BrowserWindow.

Action

Returns true if a JavaScript alert is open.

Syntax

C#
alertPresent = browserWindow.IsAlertPresent()
VB
alertPresent = browserWindow.IsAlertPresent()
Variable | Description
alertPresent | Boolean.


IsChecked Method (DomCheckBox)

Class

DomCheckBox.

Action

Returns true if the checkbox is checked and false otherwise.

Syntax

C#
checked = checkBox.IsChecked()
VB
checked = checkBox.IsChecked()
Variable | Description
checked | Boolean.


IsFocused Property (DomElement)

Class

DomElement.

Action

Gets whether the DOM element has focus.

Syntax

C#
protected Boolean IsFocused { get; }
VB
'Declaration
Protected Read Property IsFocused As Boolean

Access

Read only.


IsPassword Property (DomTextField)

Class

DomTextField.

Action

Gets whether the text field is a password text field.

Syntax

C#
protected Boolean IsPassword { get; }
VB
'Declaration
Protected Read Property IsPassword As Boolean

Access

Read only.


ItemCount Property (DomListBox)

Class

DomListBox.

Action

Gets the number of items in the listbox.

Syntax

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

Access

Read only.


Items Property (DomListBox)

Class

DomListBox.

Action

Gets the list of items in the listbox.

In Silk Test 14.0 or later, whitespace in the list is trimmed consistently across all supported browsers. For some browser versions, this whitespace handling differs to Silk Test versions prior to Silk Test 13.5. You can re-enable the old behavior by setting the OPT_COMPATIBILITY option to a version lower than 13.5.0.

Syntax

C#
protected List(Of ItemIdentifier) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

Access

Read only.


MultiSelect Method (DomListBox)

Class

DomListBox.

Action

Selects a list of items.

Syntax

C#
listBox.MultiSelect(items)
VB
listBox.MultiSelect(items)
Variable | Description
items | The items to select. List(Of ItemIdentifier ).


Navigate Method (BrowserApplication)

Class

BrowserApplication.

Action

Navigate to the specified URL in the currently active tab/window.

Syntax

C#
webBrowser.Navigate(url)
VB
webBrowser.Navigate(url)
Variable | Description
url | The URL to navigate to. String.


Navigate Method (BrowserWindow)

Class

BrowserWindow.

Action

Navigates the main document to an URL.

Syntax

C#
browserWindow.Navigate(url)
VB
browserWindow.Navigate(url)
Variable | Description
url | The URL to navigate to. String.


OpenTab Method (BrowserApplication)

Class

BrowserApplication.

Action

Opens a new tab and navigates to the given URL. If no URL is given, the tab navigates to about:blank. This method is not supported for mobile Web applications.

Syntax

C#
result = webBrowser.OpenTab([url])
VB
result = webBrowser.OpenTab([url])
Variable | Description
result | The opened BrowserWindow. BrowserWindow.
url | Optional: The URL to navigate the new tab to. String.


RadioListItemCount Property (DomRadioButton)

Class

DomRadioButton.

Action

Gets the number of items in the radiolist. This property is not supported for mobile Web applications.

Syntax

C#
protected Integer RadioListItemCount { get; }
VB
'Declaration
Protected Read Property RadioListItemCount As Integer

Access

Read only.


RadioListItems Property (DomRadioButton)

Class

DomRadioButton.

Action

Gets the list of items in the radio list.

In Silk Test 14.0 or later, whitespace in the list is trimmed consistently across all supported browsers. For some browser versions, this whitespace handling differs to Silk Test versions prior to Silk Test 13.5. You can re-enable the old behavior by setting the OPT_COMPATIBILITY option to a version lower than 13.5.0. This property is not supported for mobile Web applications.

Syntax

C#
protected List(Of ItemIdentifier) RadioListItems { get; }
VB
'Declaration
Protected Read Property RadioListItems As List(Of ItemIdentifier)

Access

Read only.


RadioListSelectedIndex Property (DomRadioButton)

Class

DomRadioButton.

Action

Gets the index of the selected item. Setter for this property was removed with Silk Test 17.5, as it was never functional. This property is not supported for mobile Web applications. The value is zero-based.

Syntax

C#
protected Integer RadioListSelectedIndex { get; }
VB
'Declaration
Protected Read Property RadioListSelectedIndex As Integer

Access

Read only.


RadioListSelectedItem Property (DomRadioButton)

Class

DomRadioButton.

Action

Gets the item that is selected in the radiolist. Setter for this property was removed with Silk Test 17.5, as it was never functional. This property is not supported for mobile Web applications.

Syntax

C#
protected ItemIdentifier RadioListSelectedItem { get; }
VB
'Declaration
Protected Read Property RadioListSelectedItem As ItemIdentifier

Access

Read only.


RadioListSelect Method (DomRadioButton)

Class

DomRadioButton.

Action

Selects an item in the radio list.

In Silk Test 14.0 or later, whitespace in the list is trimmed consistently across all supported browsers. For some browser versions, this whitespace handling differs to Silk Test versions prior to Silk Test 13.5. You can re-enable the old behavior by setting the OPT_COMPATIBILITY option to a version lower than 13.5.0.

Syntax

C#
radioButton.RadioListSelect(item)
VB
radioButton.RadioListSelect(item)
Variable | Description
item | The item to select. ItemIdentifier.


Reload Method (BrowserWindow)

Class

BrowserWindow.

Action

Reloads the main document as the reload button in the browser does.

Syntax

C#
browserWindow.Reload([bypassCache])
VB
browserWindow.Reload([bypassCache])
Variable | Description
bypassCache | Optional: Set to true to by-pass the cache. This is equivalent to pressing Ctrl+F5 in Windows Internet Explorer and Mozilla Firefox. When you are using Google Chrome, setting this parameter has no effect. Boolean.


ScrollIntoView Method (DomElement)

Class

DomElement.

Action

Scrolls the DOM element into the visible area of the browser window.

Syntax

C#
element.ScrollIntoView()
VB
element.ScrollIntoView()


SelectedIndices Property (DomListBox)

Class

DomListBox.

Action

Gets or sets the indices of the selected item(s).

Syntax

C#
protected List(Of Integer) SelectedIndices { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedIndices As List(Of Integer)

Access

Read and write.


SelectedItems Property (DomListBox)

Class

DomListBox.

Action

Gets or sets the names of the selected item(s).

Syntax

C#
protected List(Of ItemIdentifier) SelectedItems { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedItems As List(Of ItemIdentifier)

Access

Read and write.


Selected Property (DomRadioButton)

Class

DomRadioButton.

Action

Gets whether the radio button is selected.

Syntax

C#
protected Boolean Selected { get; }
VB
'Declaration
Protected Read Property Selected As Boolean

Access

Read only.


Select Method (DomButton)

Class

DomButton.

Action

Clicks a button.

Syntax

C#
button.Select()
VB
button.Select()


Select Method (DomCheckBox)

Class

DomCheckBox.

Action

Selects the check box.

Syntax

C#
checkBox.Select(state)
VB
checkBox.Select(state)
Variable | Description
state | The state of a check box. Values include: 1=checked,2=unchecked,3=undecided. Integer.


Select Method (DomLink)

Class

DomLink.

Action

Clicks a link.

Syntax

C#
link.Select()
VB
link.Select()


Select Method (DomListBox)

Class

DomListBox.

Action

Selects an item.

Syntax

C#
listBox.Select(item)
VB
listBox.Select(item)
Variable | Description
item | The item to select. ItemIdentifier.


Select Method (DomRadioButton)

Class

DomRadioButton.

Action

Selects the radio button.

Syntax

C#
radioButton.Select()
VB
radioButton.Select()


SelectTab Method (BrowserApplication)

Class

BrowserApplication.

Action

Selects the specified tab. When several tabs are open, Internet Explorer only displays some of the tabs and scroll buttons. As a result, only the currently visible tabs work with this method, which affects index semantics. For example, only the currently visible tabs can be selected. Index 0 selects the first visible tab. This method is not supported for mobile Web applications.

Syntax

C#
result = webBrowser.SelectTab(tab)
VB
result = webBrowser.SelectTab(tab)
Variable | Description
result | The selected tab. BrowserWindow.
tab | The tab to select. A tab name may contain the wildcards '*' and '?'. ItemIdentifier.


SetDomAttribute Method (DomElement)

Class

DomElement.

Action

Sets the value of an object specific DOM attribute.

Syntax

C#
element.SetDomAttribute(attributeName, attributeValue)
VB
element.SetDomAttribute(attributeName, attributeValue)
Variable | Description
attributeName | The name of the attribute. String.
attributeValue | The value that should be set. Object.


SetFocus Method (BrowserObject)

Class

BrowserObject.

Action

Gives focus to the control.

Syntax

C#
browserObject.SetFocus()
VB
browserObject.SetFocus()


SetText Method (DomTextField)

Class

DomTextField.

Action

Sets the text.

Syntax

C#
textField.SetText(text)
VB
textField.SetText(text)
Variable | Description
text | The text to set. String.


SetUndecided Method (DomCheckBox)

Class

DomCheckBox.

Action

Sets the check box to the undecided state.

Syntax

C#
checkBox.SetUndecided()
VB
checkBox.SetUndecided()


SetViewportName Method (BrowserWindow)

Class

BrowserWindow.

Action

Set the size of the browser window to the specified size from your Browser Size list.

Syntax

C#
browserWindow.SetViewportName(viewportName, [orientation])
VB
browserWindow.SetViewportName(viewportName, [orientation])
Variable | Description
viewportName | The name of the browser size in your Browser Size list. String.
orientation | Optional: The orientation of the browser window. DisplayOrientation.


SetViewportSize Method (BrowserWindow)

Class

BrowserWindow.

Action

Sets the size of the browser window to the specified width and height.

Syntax

C#
browserWindow.SetViewportSize(width, height)
VB
browserWindow.SetViewportSize(width, height)
Variable | Description
width | The new width of the browser window. Integer.
height | The new height of the browser window. Integer.


State Property (DomCheckBox)

Class

DomCheckBox.

Action

Gets or sets the state of a check box. Values include: 1=checked,2=unchecked,3=undecided.

Syntax

C#
protected Integer State { get; set; }
VB
'Declaration
Protected ReadWrite Property State As Integer

Access

Read and write.


Submit Method (DomForm)

Class

DomForm.

Action

Submits the form.

Syntax

C#
form.Submit()
VB
form.Submit()


Toggle Method (DomCheckBox)

Class

DomCheckBox.

Action

Toggles the state of the check box. If the checkbox is checked it is unchecked and vice versa. If the checkbox is in the undecided state it is left undecided.

Syntax

C#
checkBox.Toggle()
VB
checkBox.Toggle()


Uncheck Method (DomCheckBox)

Class

DomCheckBox.

Action

Unchecks the check box.

Syntax

C#
checkBox.Uncheck()
VB
checkBox.Uncheck()


Unhighlight Method (DomElement)

Class

DomElement.

Action

Restores the original foreground and background colors.

Syntax

C#
element.Unhighlight()
VB
element.Unhighlight()


Unselect Method (DomListBox)

Class

DomListBox.

Action

Unselects an item.

Syntax

C#
listBox.Unselect(item)
VB
listBox.Unselect(item)
Variable | Description
item | The item to unselect. ItemIdentifier.


ViewportHeight Property (BrowserWindow)

Class

BrowserWindow.

Action

Gets the height of the browser viewport.

Syntax

C#
protected Integer ViewportHeight { get; }
VB
'Declaration
Protected Read Property ViewportHeight As Integer

Access

Read only.


ViewportName Property (BrowserWindow)

Class

BrowserWindow.

Action

Gets the name of the viewport that matches the innerWidth and innerHeight of the browser window.

Syntax

C#
protected String ViewportName { get; }
VB
'Declaration
Protected Read Property ViewportName As String

Access

Read only.


ViewportOrientation Property (BrowserWindow)

Class

BrowserWindow.

Action

Gets the orientation of the browser viewport, this can be portrait or landscape.

Syntax

C#
protected DisplayOrientation ViewportOrientation { get; }
VB
'Declaration
Protected Read Property ViewportOrientation As DisplayOrientation

Access

Read only.


ViewportWidth Property (BrowserWindow)

Class

BrowserWindow.

Action

Gets the width of the browser viewport.

Syntax

C#
protected Integer ViewportWidth { get; }
VB
'Declaration
Protected Read Property ViewportWidth As Integer

Access

Read only.


Visible Property (BrowserObject)

Class

BrowserObject.

Action

Gets whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay.

Syntax

C#
protected Boolean Visible { get; }
VB
'Declaration
Protected Read Property Visible As Boolean

Access

Read only.